<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="10";
$submodulo="424";
require_once("includes/rsusuario.php"); 

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots

	// recibe parametros
	$idcitaser=antisqlinyeccion($_POST['idcitaser'],"text");
	$idprofesional=antisqlinyeccion($_POST['idprofesional'],"int");
	$idpaciente=antisqlinyeccion($_POST['idpaciente'],"int");
	$registrado_el=antisqlinyeccion($ahora,"text");
	$titulo_evento=antisqlinyeccion($_POST['titulo_evento'],"text");
	$descripcion_evento=antisqlinyeccion($_POST['descripcion_evento'],"text");
	$hora_inicio=antisqlinyeccion(datetimelocal_to_ymd($_POST['hora_inicio']),"text");
	$hora_fin=antisqlinyeccion(datetimelocal_to_ymd($_POST['hora_fin']),"text");
	$estado=1;
	$confirmado=antisqlinyeccion($_POST['confirmado'],"text");
	$sms=antisqlinyeccion($_POST['sms'],"text");
	$registrado_por=$idusu;
	$modif_por=antisqlinyeccion($_POST['modif_por'],"int");
	$modif_el=antisqlinyeccion($_POST['modif_el'],"text");
	$anulado_por=antisqlinyeccion($_POST['anulado_por'],"int");
	$anulado_el=antisqlinyeccion($_POST['anulado_el'],"text");
	$idtipopago=antisqlinyeccion($_POST['idtipopago'],"int");
  $idestadocita=antisqlinyeccion($_POST['estadocita'],"int");
	$idcliente=antisqlinyeccion($_POST['idcliente'],"int");
	$celular=antisqlinyeccion($_POST['celular'],"int");




	if(intval($_POST['idprofesional']) == 0){
		$valido="N";
		$errores.=" - El campo profesional no puede ser cero o nulo.<br />";	
	}
	if(intval($_POST['idpaciente']) == 0){
		$valido="N";
		$errores.=" - El campo paciente no puede ser cero o nulo.<br />";	
	}
	if(trim($_POST['titulo_evento']) == ''){
		$valido="N";
		$errores.=" - El campo titulo evento no puede estar vacio.<br />";	
	}

	if(trim($_POST['descripcion_evento']) == ''){
		$valido="N";
		$errores.=" - El campo descripcion_evento no puede estar vacio.<br />";	
	}


	if(trim($_POST['hora_inicio']) == ''){
		$valido="N";
		$errores.=" - El campo hora_inicio no puede estar vacio.<br />";	
	}

	if(trim($_POST['hora_fin']) == ''){
		$valido="N";
		$errores.=" - El campo hora_fin no puede estar vacio.<br />";	
	}
	if(strtotime(datetimelocal_to_ymd($_POST['hora_inicio'])) >= strtotime(datetimelocal_to_ymd($_POST['hora_fin']))){
		$valido="N";
		$errores.="- El inicio no puede ser mayor o igual al final.".$saltolinea;
	}



	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into agenda_citas
		(encargado, idprofesional, idpaciente, registrado_el, titulo_evento, descripcion_evento, hora_inicio, hora_fin, estado, confirmado, sms, registrado_por, modif_por, modif_el, anulado_por, anulado_el, idempresa, idsucursal, idcliente, celular, idtipopago, idestadocita)
		values
		(0, $idprofesional, $idpaciente, $registrado_el, $titulo_evento, $descripcion_evento, $hora_inicio, $hora_fin, $estado, 'N', 'N', $registrado_por, $modif_por, $modif_el, 0, $anulado_el, 1, $idsucursal, 0, $celular, $idtipopago, $idestadocita)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: agenda.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
  <?php require_once("includes/head_gen.php"); ?>
    <!-- FullCalendar -->
    <link href="vendors/fullcalendar/dist/fullcalendar.min.css" rel="stylesheet">
    <link href="vendors/fullcalendar/dist/fullcalendar.print.css" rel="stylesheet" media="print">
<script>

// Funcion de guardar cita editada
function guardar(id){
  var titulo = $('#title2').val();
  var descripcion = $('#descr2').val();
  var inicio = $('#inicio_evt').val();
  var final = $('#final_evt').val();
  var estadocita = $('#estadocitaup').val();
  var tipopagoup = $('#tipopagoup').val();
  
  var parametros = {
    "idcitaser"      : id,
    "titulo"         : titulo,
    "descripcion"    : descripcion,
    "inicio"         : inicio,
    "fin"            : final,
    "idestadocita"   : estadocita,
    "idtipopago"     : tipopagoup,
    
    
  };

  $.ajax({      
    data:  parametros,
    url:   'agenda_guarda.php',
    type:  'post',
    cache: false,
    timeout: 5000,  // I chose 3 secs for kicks: 3000
    crossDomain: true,
    beforeSend: function () {
      $("#modal-body2").val('Cargando...');        
    },
    success:  function (response) {
      if(IsJsonString(response)){
        var obj = jQuery.parseJSON(response);
        if(obj.valido == 'S'){
          $('#errores').hide();
          $('#title2').val(obj.title);
          $('#descr2').val(obj.description);
          $('#inicio_evt').val(obj.inicio);
          $('#final_evt').val(obj.final);
          $('#estadocitaup').val(obj.status);
          $('#tipopagoup').val(obj.tipopagoUpdate);
          
          document.location.href='agenda.php';
        }else{
          alert('Errores:\n'+obj.errores);  
          $('#errores').html('<strong>Errores:</strong><br />'+nl2br(obj.errores));
          $('#errores').show();
        }
      }else{
        alert(response);  
        $('#testmodal2').html(response);
      }
    },
    error: function(jqXHR, textStatus, errorThrown) {
      if(jqXHR.status == 404){
        alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
      }else if(jqXHR.status == 0){
        alert('Se ha rechazado la conexión.');
      }else{
        alert(jqXHR.status+' '+errorThrown);
      }
    }
    
    
  }).fail( function( jqXHR, textStatus, errorThrown ) {
    
    if (jqXHR.status === 0) {
  
      alert('No conectado: verifique la red.');
    
    } else if (jqXHR.status == 404) {
    
      alert('Pagina no encontrada [404]');
    
    } else if (jqXHR.status == 500) {
    
      alert('Internal Server Error [500].');
    
    } else if (textStatus === 'parsererror') {
    
      alert('Requested JSON parse failed.');
    
    } else if (textStatus === 'timeout') {
    
      alert('Tiempo de espera agotado, time out error.');
    
    } else if (textStatus === 'abort') {
    
      alert('Solicitud ajax abortada.'); // Ajax request aborted.
    
    } else {
    
      alert('Uncaught Error: ' + jqXHR.responseText);
    
    }
  });
}







function agregacero_fecha(num){
  var numero = num+''; 
  var tamano = numero.length;
  //alert(tamano);
  if(tamano < 2){
    var res = '0'+numero;
  }else{
    var res = numero;
  }
  return res;
}
function toDatetimeLocal(date) {
  var daten = new Date(date);
  var YYYY = daten.getFullYear();
  var MM = agregacero_fecha(daten.getMonth() + 1);
  var DD = agregacero_fecha(daten.getDate());
  var HH = agregacero_fecha(daten.getHours());
  var II = agregacero_fecha(daten.getMinutes());
  var SS = agregacero_fecha(daten.getSeconds());
  var fecha_dtl =  YYYY + '-' + MM + '-' + DD + 'T' + HH + ':' + II + ':' + SS;
  return fecha_dtl;
}
function nl2br (str, is_xhtml) {
  var breakTag = (is_xhtml || typeof is_xhtml === 'undefined') ? '<br ' + '/>' : '<br>'; 
  return (str + '').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1' + breakTag + '$2');
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
      <?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2> Calendario </h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<p>
<a href="agenda_citas_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a>
<a href="agenda.php" class="btn btn-sm btn-primary"><span class="fa fa-calendar"></span> Calendario</a>
<a href="agenda_citas.php" class="btn btn-sm btn-default"><span class="fa fa-search"></span> Citas</a>
</p>
<hr />

                    <div id='calendar'></div>



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->


<!-- Modal para Nueva Cita -->
<div id="CalenderModalNew" class="modal fade in" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="false">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
        <h4 class="modal-title" id="myModalLabel3">Nueva Cita</h4>
      </div>
      <div class="modal-body">
        <div class="alert alert-danger alert-dismissible fade in" role="alert" id="errores" style="display:none;"></div>
        
        <div  style="padding: 5px 20px;">
          <?php if(trim($errores) != ""): ?>
            <div class="alert alert-danger alert-dismissible fade in" role="alert">
              <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
              <strong>Errores:</strong><br><?php echo $errores; ?>
            </div>
          <?php endif; ?>

          <form id="form1" name="form1" method="post" action="" class="form-horizontal">
            <div class="row">
              
              <div class="col-md-6">
                
                <div class="form-group">
                  <label class="col-sm-3 control-label">Profesional</label>
                  <div class="col-sm-9">
                    <?php
                      // consulta
                      $consulta="
                        SELECT idprofesional, profesional
                        FROM med_profesional 
                        WHERE estado <> 6 
                        ORDER BY profesional ASC
                      ";

                      // valor seleccionado
                      if(isset($_POST['idprofesional'])){ 
                        $value_selected=htmlentities($_POST['idprofesional']); 
                      }

                      $parametros_array=array(
                        'nombre_campo' => 'idprofesional',
                        'id_campo' => 'idprofesional',
                        'nombre_campo_bd' => 'profesional',
                        'id_campo_bd' => 'idprofesional',
                        'value_selected' => $value_selected,
                        'pricampo_name' => 'Seleccionar...',
                        'pricampo_value' => '',
                        'style_input' => 'class="form-control"', 
                        'acciones' => ' required',
                        'autosel_1registro' => 'N'
                      );

                      echo campo_select($consulta, $parametros_array);
                    ?>
                  </div>
                </div>

                <div class="form-group">
                  <label class="col-sm-3 control-label">Título Evento *</label>
                  <div class="col-sm-9">
                    <input type="text" name="titulo_evento" id="titulo_evento" class="form-control" placeholder="Título evento" required>
                  </div>
                </div>

                <div class="form-group">
                  <label class="col-sm-3 control-label">Inicio</label>
                  <div class="col-sm-9">
                    <input type="datetime-local" name="hora_inicio" id="hora_inicio" class="form-control" placeholder="Hora inicio" required>
                  </div>
                </div>

                <div class="form-group">
                  <label class="col-sm-3 control-label">Celular</label>
                  <div class="col-sm-9">
                    <input type="text" name="celular" id="celular" class="form-control" placeholder="Celular">
                  </div>
                </div>
              </div>

              <div class="col-md-6">
                
                <div class="form-group">
                  <label class="col-sm-3 control-label">Paciente</label>
                  <div class="col-sm-9">
                    <?php
                      $consulta="
                        SELECT idpaciente, nomape AS paciente
                        FROM med_pacientes
                        WHERE estado <> 6 
                        ORDER BY nomape ASC
                      ";

                      if(isset($_POST['idpaciente'])){ 
                        $value_selected=htmlentities($_POST['idpaciente']); 
                      }

                      $parametros_array=array(
                        'nombre_campo' => 'idpaciente',
                        'id_campo' => 'idpaciente',
                        'nombre_campo_bd' => 'paciente',
                        'id_campo_bd' => 'idpaciente',
                        'value_selected' => $value_selected,
                        'pricampo_name' => 'Seleccionar...',
                        'pricampo_value' => '',
                        'style_input' => 'class="form-control"', 
                        'acciones' => ' required',
                        'autosel_1registro' => 'N'
                      );

                      echo campo_select($consulta, $parametros_array);
                    ?>
                  </div>
                </div>

                <div class="form-group">
                  <label class="col-sm-3 control-label">Descripción *</label>
                  <div class="col-sm-9">
                    <textarea name="descripcion_evento" id="descripcion_evento" class="form-control" style="height:55px;" placeholder="Descripción evento" required></textarea>
                  </div>
                </div>

                <div class="form-group">
                  <label class="col-sm-3 control-label">Fin</label>
                  <div class="col-sm-9">
                    <input type="datetime-local" name="hora_fin" id="hora_fin" class="form-control" placeholder="Hora fin" required>
                  </div>
                </div>

                <div class="form-group">
                  <label class="control-label col-md-3 col-sm-3 col-xs-12">Estado</label>
                  <div class="col-md-9 col-sm-9 col-xs-12">
                      
                      <?php 
                      // Consulta para obtener los estados de las citas
                      $consulta = "
                          SELECT idestadocita, estado_cita 
                          FROM agenda_citas_estados 
                          WHERE estado = 1 
                          ORDER BY orden ASC
                      ";
                      
                      
                      // Ejecuta la consulta 
                      $rsestado = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
                      ?>

                      <!-- Formulario de selección -->
                      <select name="estadocita" class="form-control" id="estadocita">
                            <option value="" selected="selected"> --- Ninguno --- </option>
                            <?php while (!$rsestado->EOF) { ?>
                              <option value="<?php echo $rsestado->fields['idestadocita']; ?>" <?php if ($_REQUEST['estadocita'] == $rsestado->fields['idestadocita']) { ?> selected="selected" <?php } ?><?php $ns = trim($rsestado->fields['estado_cita']); ?>><?php echo $rsestado->fields['estado_cita']; ?></option>
                            <?php $rsestado->MoveNext();
                            }
                            ?>
                          </select>  
                  </div>
                </div>

                <div class="form-group">
                  <label class="col-sm-3 control-label">Tipo de Pago</label>
                  <div class="col-sm-9">
                    <?php
                      $consulta="
                        SELECT idforma,  descripcion
                        FROM formas_pago 
                        WHERE estado <> 6 
                        order by orden asc
                      ";

                      if(isset($_POST['idtipopago'])){ 
                        $value_selected=htmlentities($_POST['idtipopago']); 
                      }

                      $parametros_array=array(
                        'nombre_campo' => 'idtipopago',
                        'id_campo' => 'idtipopago',
                        'nombre_campo_bd' => 'descripcion',
                        'id_campo_bd' => 'idforma',
                        'value_selected' => $value_selected,
                        'pricampo_name' => 'Seleccionar...',
                        'pricampo_value' => '',
                        'style_input' => 'class="form-control"', 
                        'acciones' => ' required',
                        'autosel_1registro' => 'N'
                      );

                      echo campo_select($consulta, $parametros_array);
                    ?>
                  </div>
                </div>
              </div>
            </div>

            <!-- Botones de acción -->
            <div class="form-group">
              <div class="col-sm-offset-3 col-sm-9 text-right">
                <button id="boton_guardar" type="submit" class="btn btn-success"><span class="fa fa-check-square-o"></span> Registrar</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal"><span class="fa fa-ban"></span> Cancelar</button>
              </div>
            </div>
            <!-- Botones de acción -->

            <input type="hidden" name="MM_insert" value="form1">
            <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Fin Modal para Nueva Cita -->

<!-- Fin Modal para Nueva Cita -->

<!-- Modal para Editar Cita -->
<div id="CalenderModalEdit" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">

      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
        <h4 class="modal-title" id="myModalLabel2"> Editar Evento </h4>
      </div>
      <div class="modal-body2">
        <div class="alert alert-danger alert-dismissible fade in" role="alert" id="errores" style="display:none;">
        </div>
        <div id="testmodal2" style="padding: 5px 20px;">
          <form id="antoform2" class="form-horizontal calender" role="form">
            <div class="form-group">
              <label class="col-sm-3 control-label"> Título * </label>
              <div class="col-sm-9">
                <input type="text" class="form-control" id="title2" name="title2">
              </div>
            </div>
            <div class="form-group">
              <label class="col-sm-3 control-label"> Descripción * </label>
              <div class="col-sm-9">
                <textarea class="form-control" style="height:55px;" id="descr2" name="descr2"></textarea>
              </div>
            </div>
            
            <div class="form-group">
              <label class="col-sm-3 control-label"> Inicio </label>
              <div class="col-sm-9">
                <input type="datetime-local" class="form-control" id="inicio_evt" name="inicio_evt">
              </div>
            </div>
            
            <div class="form-group">
              <label class="col-sm-3 control-label"> Final </label>
              <div class="col-sm-9">
                <input type="datetime-local" class="form-control" id="final_evt" name="final_evt">
              </div>
            </div>


            <div class="form-group">
            <label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo de pago</label>
            <div class="col-md-9 col-sm-9 col-xs-12">
                
                <?php 
                // Consulta para obtener los tipos de pago
                $consulta = "
                    SELECT idforma,  descripcion
                    FROM formas_pago 
                    WHERE estado <> 6 
                    order by orden asc
                ";
                
                // Ejecuta la consulta 
                $rsestado = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
                ?>

                <!-- Formulario de selección -->
                <select name="tipopagoup" class="form-control" id="tipopagoup">
                    <option value="" selected="selected"> --- Ninguno --- </option>
                    <?php while (!$rsestado->EOF) { ?>
                        <option value="<?php echo $rsestado->fields['idforma']; ?>" <?php if ($_REQUEST['tipopagoup'] == $rsestado->fields['idforma']) { ?> selected="selected" <?php } ?>><?php echo $rsestado->fields['descripcion']; ?></option>
                    <?php $rsestado->MoveNext();
                    }
                    ?>
                </select>  
            </div>
        </div>


            

            <div class="form-group">
            <label class="control-label col-md-3 col-sm-3 col-xs-12">Estado</label>
            <div class="col-md-9 col-sm-9 col-xs-12">
                
                <?php 
                // Consulta para obtener los estados de las citas
                $consulta = "
                    SELECT idestadocita, estado_cita 
                    FROM agenda_citas_estados 
                    WHERE estado = 1 
                    ORDER BY orden ASC
                ";
                
                
                // Ejecuta la consulta 
                $rsestado = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
                ?>

                <!-- Formulario de selección -->
                <select name="estadocitaup" class="form-control" id="estadocitaup">
                      <option value="" selected="selected"> --- Ninguno --- </option>
                      <?php while (!$rsestado->EOF) { ?>
                        <option value="<?php echo $rsestado->fields['idestadocita']; ?>" <?php if ($_REQUEST['estadocita'] == $rsestado->fields['idestadocita']) { ?> selected="selected" <?php } ?><?php $ns = trim($rsestado->fields['estado_cita']); ?>><?php echo $rsestado->fields['estado_cita']; ?></option>
                      <?php $rsestado->MoveNext();
                      }
                      ?>
                    </select>  
            </div>
          </div>


          
            

        </form>
        </div>
      </div>
      <div class="modal-footer" id="botones_pie">

        <button type="button" class="btn btn-primary antoclose2" data-dismiss="modal">Cerrar</button>
        
      </div>
    </div>
  </div>
</div>
<!-- Fin Modal para Editar Cita -->

<div id="fc_create" data-toggle="modal" data-target="#CalenderModalNew"></div>
<div id="fc_edit" data-toggle="modal" data-target="#CalenderModalEdit"></div>

        <!-- footer content -->
    <?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
    <!-- FullCalendar -->
    <script src="vendors/fullcalendar/dist/fullcalendar.min.js"></script>
    <!--<script src="vendors/fullcalendar/dist/lang/es.js"></script>
    <script src='vendors/fullcalendar/dist/lang/locale-all.js'></script>-->
<script>



/* CALENDAR */ 
function  init_calendar() {
    
  if( typeof ($.fn.fullCalendar) === 'undefined'){ return; }
    
  var date = new Date(),
    d = date.getDate(),
    m = date.getMonth(),
    y = date.getFullYear(),
    started,
    categoryClass;

  var calendar = $('#calendar').fullCalendar({ 
    locale: 'es',
    header: {
    left: 'prev,next',
    center: 'title',
    right: 'month,agendaWeek,listMonth,agendaDay'
    },
    defaultView: 'agendaDay',
    selectable: true,
    selectHelper: true,
    hour12: false,
    firstHour: 8,
    slotMinutes: 30,
    
    defaultEventMinutes: 120,
    
    
    dayNames: ['Domingo', 'Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sabado'],
    dayNamesShort: ['Dom','Lun','Mar','Mie','Jue','Vie','Sáb'],
    monthNamesShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
    monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
    buttonText: {
        today:    'Hoy',
        month:    'Mes',
        week:     'Semana',
        day:      'Día',
        list:     'Lista'
    },

  
    
    // Crear evento desde el modal
    select: function(start, end, allDay) {
      // Mostrar el modal de creación
      $('#fc_create').click();

      // Establecer valores predeterminados para las horas
      $('#hora_inicio').val(toDatetimeLocal(end)); 
      $('#hora_fin').val(toDatetimeLocal(end)); 

      // Asignar la función para guardar el evento al #botón_guardar
      $('#boton_guardar').off('click').on('click', function() {
        // Validar el formulario antes de guardar
        var errores = false;
        var errorMessage = "";

        // Validar los campos requeridos
        var tituloEvento = $('#titulo_evento').val();
        var horaInicio = $('#hora_inicio').val();
        var horaFin = $('#hora_fin').val();
        var descripcionEvento = $('#descripcion_evento').val();

        // Validación de los campos requeridos
        if (tituloEvento === "") {
          errores = true;
          errorMessage += "El título del evento es obligatorio.\n";
        }

        if (horaInicio === "") {
          errores = true;
          errorMessage += "La hora de inicio es obligatoria.\n";
        }

        if (horaFin === "") {
          errores = true;
          errorMessage += "La hora de fin es obligatoria.\n";
        }

        if (descripcionEvento === "") {
          errores = true;
          errorMessage += "La descripción del evento es obligatoria.\n";
        }

        // Si hay errores, mostrar mensaje y evitar el envío
        if (errores) {
          // Mostrar el mensaje de error
          $('#errores').text(errorMessage).show();
          return false; // Evitar que el formulario se envíe
        } else {
          
          $('#form1').submit();  
        }
      });
    },




    
    eventClick: function(calEvent, jsEvent, view) {
    $('#fc_edit').click();
    var idevento = calEvent.extendedProps.idevento;
    $('#myModalLabel2').html('Editar Evento '  + ' | id:' + idevento);

    
    $('#title2').val(calEvent.titleEvent); 
    $('#descr2').val(calEvent.description);
    $('#inicio_evt').val(calEvent.start);
    $('#final_evt').val(calEvent.end);
    $('#estadocita').val(calEvent.status);
    $('#estadocita option[value="'+ calEvent.status +'"]').prop('selected', true);
    $('#estadocitaup option[value="'+ calEvent.status +'"]').prop('selected', true);
    var fecha_local_ini = toDatetimeLocal(calEvent.start);
    var fecha_local_fin = toDatetimeLocal(calEvent.end);
    $('#tipopagoup option[value="'+ calEvent.tipopagoUpdate +'"]').prop('selected', true);
    //alert(calEvent.start);
    ///alert(toDatetimeLocal(calEvent.start));

    $('#inicio_evt').val(fecha_local_ini);
    $('#final_evt').val(fecha_local_fin);
    
    $('#idevento').val(calEvent.extendedProps.idevento);
    
    var botones_pie = '<button type="button" class="btn btn-success antosubmit2" onMouseUp="guardar('+idevento+');">Guardar Cambios</button><button type="button" class="btn btn-primary antoclose2" data-dismiss="modal">Cerrar</button>';
    $('#botones_pie').html(botones_pie);

    categoryClass = $("#event_type").val();

    $(".antosubmit2").on("click", function() {
      calEvent.title = $("descr2").val();

      calendar.fullCalendar('updateEvent', calEvent);
      $('.antoclose2').click();
    });

    calendar.fullCalendar('unselect');
    },
    
    
    editable: true,
    
    // se usa si editable es true, y hace la accion que queremos al editar el inicio del evento
    eventDrop: function(event, delta, revertFunc) {
  
    alert(event.title + " fue cambiado al horario: " + event.start.format('DD/MM/YYYY H:mm'));
  
    if (!confirm("Esta seguro que desea cambiarlo?")) {
      revertFunc();
    }
  
    },
    // se usa si editable es true, y hace la accion que queremos al editar la duraccion del evento
    eventResize: function(event, delta, revertFunc) {
  
    //alert('El final del evento '+ event.title + " sera cambiado a: " + event.end.format('DD/MM/YYYY H:mm'));
  
    if (!confirm('El final del evento '+ event.title + " sera cambiado a: " + event.end.format('DD/MM/YYYY H:mm')+"\nEs esto correcto?")) {
      revertFunc();
    }
  
    },
     
<?php 

$ahorad=date("Y-m-d");
$consulta=
"select
	agenda_citas.* ,
	(
	select
		CONCAT(nombres, ' ', apellidos)
	from
		med_pacientes
	where
		idpaciente = agenda_citas.idpaciente) as np,
	agenda_citas_estados.estado_cita as estado_cita,
	agenda_citas_estados.color as color_cita,
  formas_pago.idforma as id_tipo_pago,
	formas_pago.descripcion as tipo_pago
from
	agenda_citas
left join agenda_citas_estados on
	agenda_citas_estados.idestadocita = agenda_citas.idestadocita
left join formas_pago on
	formas_pago.idforma = agenda_citas.idtipopago
where
	agenda_citas.estado = 1
	and hora_inicio >= '$ahorad'
order by
	hora_inicio asc
limit 100
";

$rs=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
//echo $consulta;exit;



?>
events: [
<?php while(!$rs->EOF){
        $y_ini=date("Y",strtotime($rs->fields['hora_inicio']));
        $m_ini=date("m",strtotime($rs->fields['hora_inicio']))-1;
        $d_ini=date("d",strtotime($rs->fields['hora_inicio']));
        $h_ini=date("H",strtotime($rs->fields['hora_inicio']));
        $i_ini=date("i",strtotime($rs->fields['hora_inicio']));
        
        $y_fin=date("Y",strtotime($rs->fields['hora_fin']));
        $m_fin=date("m",strtotime($rs->fields['hora_fin']))-1;
        $d_fin=date("d",strtotime($rs->fields['hora_fin']));
        $h_fin=date("H",strtotime($rs->fields['hora_fin']));
        $i_fin=date("i",strtotime($rs->fields['hora_fin']));
        
?>
      {
      title: '<?php echo date('H:i', strtotime($rs->fields['hora_fin'])).' | '.$rs->fields['np'].' | '.$rs->fields['titulo_evento'].' | '.$rs->fields['estado_cita'].' | '.$rs->fields['tipo_pago']; ?>',
      titleEvent: '<?php echo $rs->fields['titulo_evento']?>',
      description: '<?php echo $rs->fields['descripcion_evento']; ?>',
      start: new Date(<?php echo $y_ini ?>, <?php echo $m_ini ?>, <?php echo $d_ini ?>, <?php echo $h_ini ?>, <?php echo $i_ini ?>),
      end: new Date(<?php echo $y_fin ?>, <?php echo $m_fin ?>, <?php echo $d_fin ?>, <?php echo $h_fin ?>, <?php echo $i_fin ?>),
      status: '<?php echo $rs->fields['idestadocita']; ?>',
      tipopagoUpdate:'<?php echo $rs->fields['id_tipo_pago']; ?>',
      color: '<?php echo $rs->fields['color_cita']; ?>',
      extendedProps: {
        // aca adentro puede ir el nombre de variable que quieras, ejemplo, idevento: 'algo' o cangrejo: 'otro'
        idevento: '<?php echo $rs->fields['idcitaser']; ?>'
        },
        
      },

<?php $rs->MoveNext(); } ?>
    ]

  });
  
};
init_calendar();
</script>
   <!-- events: [
     {
    title: 'All Day Event',
    start: new Date(y, m, 1)
    }, {
    title: 'Long Event',
    start: new Date(y, m, d - 5),
    end: new Date(y, m, d - 2)
    }, {
    title: 'Meeting',
    start: new Date(y, m, d, 10, 30),
    allDay: false
    }, {
    title: 'Lunch',
    start: new Date(y, m, d + 14, 12, 0),
    end: new Date(y, m, d, 14, 0),
    allDay: false
    }, {
    title: 'Click for Google',
    start: new Date(y, m, 28),
    end: new Date(y, m, 29),
    url: 'http://google.com/'
    }





    // Para redirigir al formulario de edicion
    var editUrl = 'agenda_citas_edit.php?id=' + idevento; 
    window.location.href = editUrl;


      ]-->
  </body>
</html>
