<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="10";
$submodulo="424";
require_once("includes/rsusuario.php"); 



$idcitaser=intval($_GET['id']);
if($idcitaser == 0){
	header("location: agenda_citas.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from agenda_citas 
where 
idcitaser = $idcitaser
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcitaser=intval($rs->fields['idcitaser']);
if($idcitaser == 0){
	header("location: agenda_citas.php");
	exit;	
}

 

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	


	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		update agenda_citas
		set
			estado = 6,
			anulado_por = $idusu,
			anulado_el = '$ahora'
		where
			idcitaser = $idcitaser
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: agenda_citas.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());





?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Borrar Cita</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>

<strong>IMPORTANTE:</strong> Si el paciente o el medico cancelo <strong style="color:#F00;">NO BORRE LA CITA</strong>, marque como cancelada para no perder trazabilidad.
<hr />
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Profesional </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
    <?php 
// consulta
$consulta="
Select idprofesional,  profesional
from med_profesional 
where 
estado <> 6 
order by profesional asc
";

// valor seleccionado
if(isset($_POST['idprofesional'])){ 
	$value_selected=htmlentities($_POST['idprofesional']); 
}else{
	$value_selected=htmlentities($rs->fields['idprofesional']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idprofesional',
	'id_campo' => 'idprofesional',
	
	'nombre_campo_bd' => 'profesional',
	'id_campo_bd' => 'idprofesional',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' disabled  ',
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Paciente </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
    <?php 
// consulta
$consulta="
Select idpaciente,  nomape as paciente
from med_paciente
where 
estado <> 6 
order by nomape asc
";

// valor seleccionado
if(isset($_POST['idpaciente'])){ 
	$value_selected=htmlentities($_POST['idpaciente']); 
}else{
	$value_selected=htmlentities($rs->fields['idpaciente']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idpaciente',
	'id_campo' => 'idpaciente',
	
	'nombre_campo_bd' => 'paciente',
	'id_campo_bd' => 'idpaciente',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' disabled  ',
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Titulo Evento* </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="titulo_evento" id="titulo_evento" value="<?php  if(isset($_POST['titulo_evento'])){ echo htmlentities($_POST['titulo_evento']); }else{ echo htmlentities($rs->fields['titulo_evento']); }?>" placeholder="Titulo evento" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Descripcion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="descripcion_evento" id="descripcion_evento" value="<?php  if(isset($_POST['descripcion_evento'])){ echo htmlentities($_POST['descripcion_evento']); }else{ echo htmlentities($rs->fields['descripcion_evento']); }?>" placeholder="Descripcion evento" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">inicio </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="datetime-local" name="hora_inicio" id="hora_inicio" value="<?php  if(isset($_POST['hora_inicio'])){ echo htmlentities($_POST['hora_inicio']); }else{ echo ymd_to_datetimelocal($rs->fields['hora_inicio']); }?>" placeholder="Hora inicio" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fin </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="datetime-local" name="hora_fin" id="hora_fin" value="<?php  if(isset($_POST['hora_fin'])){ echo htmlentities($_POST['hora_fin']); }else{ echo ymd_to_datetimelocal($rs->fields['hora_fin']); }?>" placeholder="Hora fin" class="form-control"  />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Celular </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="celular" id="celular" value="<?php  if(isset($_POST['celular'])){ echo intval($_POST['celular']); }else{ echo intval($rs->fields['celular']); }?>" placeholder="Celular" class="form-control"  />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='agenda_citas.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />




                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
