<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="17";
$submodulo="429";
require_once("includes/rsusuario.php"); 




if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	//$fechaini=date('Y-m-d',strtotime('-30 day',strtotime(date("Y-m-d"))));
	$fechaini=date("Y-m-d");
	$fechafin=date("Y-m-d");
}else{
	$fechaini=date("Y-m-d",strtotime($_GET['desde']));
	$fechafin=date("Y-m-d",strtotime($_GET['hasta']));	
}

//[fecha_ini] => 2017-09-25 [idinsumo_final] => 0 [fecha_fin] => 2017-10-05 [orden_prod] => [estado_produccion] => 0 [idtanda] =>

$whereadd="";
if($fechaini != ''){
	$whereadd.=" and produccion_producido.fecha_producido >= '$fechaini' ";
}
if($fechafin != ''){
	$whereadd.=" and produccion_producido.fecha_producido <= '$fechafin' ";
}
if(intval($_GET['idinsumo_final']) > 0){
	$idinsumo_final=intval($_GET['idinsumo_final']);
	$whereadd.=" and produccion_producido.idinsumo_final = $idinsumo_final ";
}
if(intval($_GET['estado_produccion']) > 0){
	$idinsumo_final=intval($_GET['estado_produccion']);
	$whereadd.=" and produccion_producido.estado_produccion = $estado_produccion ";
}
if(intval($_GET['idtanda']) > 0){
	$idproducido=intval($_GET['idtanda']);
	$whereadd.=" and produccion_producido.idproducido = $idproducido ";
}
if(intval($_GET['orden_prod']) > 0){
	$idinsumo_final=intval($_GET['orden_prod']);
	$whereadd.=" and produccion_producido.orden_prod = $orden_prod ";
}

$consulta="
select *, produccion_producido.costo as costo
from produccion_producido 
inner join insumos_lista on insumos_lista.idinsumo = produccion_producido.idinsumo_final
/*inner join produccion_estado on produccion_estado.idestado_produccion = produccion_producido.estado_produccion*/
inner join usuarios on usuarios.idusu = produccion_producido.idusuario
where
idproducido is not null
and produccion_producido.estado <> 6
$whereadd
order by produccion_producido.fecha_producido desc, produccion_producido.idproducido desc

";
//echo $consulta;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

//echo $consulta; 
// estados de produccion
$consulta="
select idestado_produccion, produccion_estado, descripcion_larga
from produccion_estado
";
$rses=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


// productos producidos
$consulta="
SELECT idinsumo_final, descripcion
FROM produccion_producido
inner join insumos_lista on insumos_lista.idinsumo = produccion_producido.idinsumo_final
where
produccion_producido.estado <> 6
group by idinsumo_final 
order by insumos_lista.descripcion asc
";
$rsprf=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Anular Produccion</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<form id="form1" name="form1" method="get" action="">



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php echo $fechaini; ?>" placeholder="Desde" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $fechafin; ?>" placeholder="Hasta" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Producto Objetivo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT insumos_lista.idinsumo, CONCAT(insumos_lista.descripcion,' [',insumos_lista.idinsumo,']') AS descripcion
FROM insumos_lista
inner join prod_lista_objetivos on prod_lista_objetivos.idinsumo = insumos_lista.idinsumo
where
insumos_lista.estado = 'A'
order by insumos_lista.descripcion asc
 ";

// valor seleccionado
if(isset($_GET['idinsumo'])){ 
	$value_selected=htmlentities($_GET['idinsumo']); 
}else{
	//$value_selected=htmlentities($rs->fields['idinsumo']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idinsumo',
	'id_campo' => 'idinsumo',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idinsumo',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Tanda Nro *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idtanda" id="idtanda" value="<?php echo intval($_GET['idtanda']); ?>" placeholder="Idtanda" class="form-control"  />                    
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Buscar</button>

        </div>
    </div>


          </form>
<div class="clearfix"></div>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
            <thead>
              <tr>
              	<th></th>
                <th>Tanda</th>
                <th>Orden N&deg;</th>
                <th>Producto Final</th>
                <th>Fecha</th>
                <th>Costo</th>
                <th>Costo Unit</th>
                <th>Total Producido</th>
                <th>Responsable</th>


              </tr>
              </thead>
              <tbody>
<?php while (!$rs->EOF){
	
$diferencia=($rs->fields['cantidad_real']-$rs->fields['cantidad_teorica']);
	 ?>
              <tr>
			<td>
				
				<div class="btn-group">

					<a href="anular_produccion_anul.php?id=<?php echo $rs->fields['idproducido']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
				</div>

			</td>
                <td align="center"><?php echo $rs->fields['idproducido']; ?></td>
                <td align="center"><?php echo $rs->fields['orden_prod']; ?></td>
                <td align="center"><?php echo $rs->fields['descripcion']; ?></td>
                <td align="center"><?php echo date("d/m/Y",strtotime($rs->fields['fecha_producido'])); ?></td>
                <td align="center"><?php echo formatomoneda($rs->fields['costo'],2,'N'); ?></td>
                <td align="center"><?php echo formatomoneda($rs->fields['costo']/$rs->fields['cantidad_real'],2,'N'); ?></td>
                <td align="center"><?php echo formatomoneda($rs->fields['cantidad_real'],4,'N'); ?></td>
                <td align="center"><?php echo $rs->fields['usuario']; ?></td>


              </tr>
<?php $rs->MoveNext();  }  ?>
            </tbody>
          </table>
		</div>



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
