<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");


require_once("../includes/funciones_carrito.php");


function limpia_json($texto){
	global $saltolinea;
	
	$texto=str_replace($saltolinea,'',$texto);
	$texto=utf8_encode($texto);
	$respuesta=$texto;
	return $respuesta;	
}


require_once("app_rsusuario.php");


if(trim($_POST['fechahora']) != ''){
	$fechahora=antisqlinyeccion(trim($_REQUEST['fechahora']),"text");
	$whereadd.=" and tmp_ventares_cab.fechahora >= $fechahora ";	
}
if(intval($_POST['idpedido']) > 0){
	$idpedido=antisqlinyeccion(trim($_REQUEST['idpedido']),"int");
	$whereadd.=" and tmp_ventares_cab.idtmpventares_cab >= $idpedido ";	
}
if(intval($_POST['idcanal']) > 0){
	$idcanal=antisqlinyeccion(trim($_REQUEST['idcanal']),"int");
	$whereadd.=" and tmp_ventares_cab.idcanal = $idcanal ";	
}


$consulta="
select 
tmp_ventares_cab.idtmpventares_cab, fechahora, ruc, telefono, direccion, tmp_ventares_cab.idsucursal,
canal.canal, tmp_ventares_cab.idcanal, tmp_ventares_cab.observacion, tmp_ventares_cab.observacion_delivery,
nombre_deliv, apellido_deliv, chapa, tmp_ventares_cab.razon_social, monto,

(select nombre from sucursales where idsucu = tmp_ventares_cab.idsucursal ) as sucursal,
(select usuario from usuarios where idusu = tmp_ventares_cab.idusu) as registrado_por,
(
Select cliente_delivery_dom.referencia
from cliente_delivery_dom
where  
cliente_delivery_dom.iddomicilio=tmp_ventares_cab.iddomicilio
limit 1	
) as referencia,
(select nombre_mesa from mesas_atc where idatc = tmp_ventares_cab.idatc) as nombre_mesa,
(select numero_mesa from mesas where idmesa = tmp_ventares_cab.idmesa) as numero_mesa,
(select salon.nombre  from mesas inner join salon on salon.idsalon = mesas.idsalon where idmesa = tmp_ventares_cab.idmesa) as salon,
tmp_ventares_cab.idmesa,
(select  descneto from ventas where idventa = tmp_ventares_cab.idventa) as descuento
from tmp_ventares_cab
inner join canal on canal.idcanal =  tmp_ventares_cab.idcanal
where 
tmp_ventares_cab.estado <> 6
and tmp_ventares_cab.finalizado = 'S'
and tmp_ventares_cab.fechahora >= DATE_SUB(NOW(),INTERVAL 720 HOUR)
$whereadd
and tmp_ventares_cab.idcanal = 4
order by tmp_ventares_cab.fechahora desc
limit 100
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
//

$comanda=array();
$i=0;
while(!$rs->EOF){
	$idtmpventares_cab=$rs->fields['idtmpventares_cab'];
	$idventa=$rs->fields['idventa'];
	
	//$parametros_array=array("estado_pedido" => 'R', "idpedido" => $idtmpventares_cab);
	//$carrito_detalles=carrito_muestra($parametros_array);
	
	$comanda[$i]['id']=$rs->fields['idtmpventares_cab'];
	$comanda[$i]['created_at']=$rs->fields['fechahora'];
	$comanda[$i]['invoice_number']=$rs->fields['idtmpventares_cab'];
	$comanda[$i]['subsidiary']=$rs->fields['idsucursal'];
	$comanda[$i]['sales_channel']=$rs->fields['canal'];
	$comanda[$i]['sales_channel_id']=$rs->fields['idcanal'];
	$comanda[$i]['user_note']=$rs->fields['observacion'];
	$comanda[$i]['delivery_note']=$rs->fields['observacion_delivery'];
	$comanda[$i]['customer'] = array(
        'business_name' => $rs->fields['razon_social'],
        'document_number' => $rs->fields['ruc'],
		'receiver_name_delivery' => trim($rs->fields['nombre_deliv']).' '.trim($rs->fields['apellido_deliv']),
		'receiver_name_carry' => trim($rs->fields['chapa']),
        'phone' =>  $rs->fields['telefono'],
        'address' => $rs->fields['direccion'],
		'address_reference' => $rs->fields['referencia'],
	);
	
	if(intval($rs->fields['idcanal']) == 4){
		$comanda[$i]['table'] = array(
			'idtable' => $rs->fields['idmesa'],
			'name' => $rs->fields['nombre_mesa'],
			'number' => $rs->fields['numero_mesa'],
			'salon' => $rs->fields['salon'],
		);
	}
	$comanda[$i]['sale_amount'] = floatval($rs->fields['monto']);
	$comanda[$i]['sale_discount'] = floatval($rs->fields['descuento']); // descuento de la factura

	
	if(intval($idventa) > 0){
		$consulta="
		select *, (select descripcion from formas_pago where idforma = gest_pagos_det.idformapago) as medio_pago
		from gest_pagos 
		inner join gest_pagos_det on gest_pagos_det.idpago = gest_pagos.idpago
		where 
		 estado = 1 
		 and idventa = $idventa
		order by idcliente asc
		";
		$rspag=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$ipag=0;
		while(!$rspag->EOF){
			// formas de pago factura
			$comanda[$i][$ipag]['sale_payment_type'] = array(
				'idtype' => $rspag->fields['idformapago'],
				'payment_type' => $rspag->fields['medio_pago'],
				'payment_type_amount' => floatval($rspag->fields['monto_pago_det'])
			);
			$ipag++;
		$rspag->MoveNext(); }
	}
	
	$consulta="
	select 
	tmp_ventares.idproducto, productos.descripcion, tmp_ventares.cantidad, tmp_ventares.precio,
	tmp_ventares.observacion, productos.idcategoria
	from tmp_ventares 
	inner join productos on productos.idprod_serial = tmp_ventares.idproducto
	where
	tmp_ventares.idtmpventares_cab = $idtmpventares_cab
	and  tmp_ventares.borrado = 'N'
	
	UNION ALL
	
	select 
	tmp_ventares_bak.idproducto, productos.descripcion, tmp_ventares_bak.cantidad, tmp_ventares_bak.precio,
	tmp_ventares_bak.observacion, productos.idcategoria
	from tmp_ventares_bak 
	inner join productos on productos.idprod_serial = tmp_ventares_bak.idproducto
	where
	tmp_ventares_bak.idtmpventares_cab = $idtmpventares_cab
	and  tmp_ventares_bak.borrado = 'N'
	";
	$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idet=0;
	while(!$rsdet->EOF){
		// detalle del pedido
		$comanda[$i][$idet]['details'] = array(
			'idproduct' => $rsdet->fields['idproducto'],
			'product' => $rsdet->fields['descripcion'],
			'quantity' => floatval($rsdet->fields['cantidad']),
			'price' => floatval($rsdet->fields['precio']), 
			'category_id' => $rsdet->fields['idcategoria'], // idcategoria
			'note' => $rsdet->fields['observacion'],
		);
		$idet++;
	$rsdet->MoveNext(); }
	
	
	
	//$comanda[$i]['details']=$carrito_detalles;
	
	$i++;
$rs->MoveNext(); }


//print_r($comanda);


// convierte a formato json
$respuesta=json_encode($comanda, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

// devuelve la respuesta formateada
echo $respuesta;



?>