<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="20";
$submodulo="452";
require_once("includes/rsusuario.php"); 

$consulta="
update api_integra_log set valido = 'S' where json_log_resp like '%\"valido\":\"S\"%';
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$consulta="
update api_integra_log set valido = 'N' where json_log_resp like '%\"valido\":\"N\"%';
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

/*

// errores mas comunes
SELECT substr(api_integra_log.json_log_resp,45,20) as error, count(*) FROM `api_integra_log` where valido is not null and valido = 'N' and date(registrado_el) >= '2022-01-01' group by substr(api_integra_log.json_log_resp,45,20) ORDER BY `count(*)` DESC

SELECT date(registrado_el), valido, count(*) 
FROM `api_integra_log` 
where 
valido is not null 
group by date(registrado_el), valido 
order by date(registrado_el) desc


*/

$consulta="
select idapilog, registrado_el, tipo,
SUBSTRING(json_log_resp,1,500) as json_log_resp,
SUBSTRING(json_log,1,500) as json_log
from api_integra_log 
order by idapilog desc
limit 200
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Log de llamda a la api de integracion</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<strong>Ver Ultimos 200 registros:</strong>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Idapilog</th>
			<th align="center">Json Recibido</th>
			<th align="center">Json Respuesta</th>
			<th align="center">Registrado el</th>
            <th align="center">Tipo</th>
            <th align="center">Valido</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){
$color="#FFF";
$tipo=$rs->fields['tipo'];
$valido='';
if($tipo == 'API PEDIDOS'){
	$data=json_decode($rs->fields['json_log_resp'],true);
	$valido=$data['data']['valido'];
	if($valido == 'S'){
		$color="#0F0";
	}else{
		$color="#F00";
	}
}

	
	 ?>
		<tr>
			<td align="center"><?php echo intval($rs->fields['idapilog']); ?></td>
			<td align="center"><textarea name="textarea" id="textarea" style="width:100%;" rows="5"><?php echo antixss($rs->fields['json_log']); ?></textarea></td>
			<td align="center"><textarea name="textarea" id="textarea" style="width:100%;" rows="5"><?php echo antixss($rs->fields['json_log_resp']); ?></textarea></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
            <td align="center"><?php echo antixss($rs->fields['tipo']); ?></td>
            <td align="center" style="background-color:<?php echo $color; ?>;"><?php 

			echo siono($valido);
			?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
