<?php
    require_once("../includes/conexion.php");
    require_once("../includes/funciones.php");
    // nombre del modulo al que pertenece este archivo
    $modulo = "1";
    $submodulo = "532";
    $dirsup = "S";
    require_once("../includes/rsusuario.php");

    $id_app_rider = intval($_GET['id']);
    if ($id_app_rider == 0) {
        header("location: app_rider.php");
        exit;
    }

    // consulta a la tabla    
    $consulta = "SELECT
                     * 
                FROM 
                    app_rider 
                WHERE 
                    id_app_rider = $id_app_rider
                    and estado = 1
                limit 1";

    $rs = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
    $id_app_rider = intval($rs->fields['id_app_rider']);
    if ($id_app_rider == 0) {
        header("location: app_rider.php");
        exit;
    }

    if (isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1') {

        // validaciones basicas
        $valido = "S";
        $errores = "";

        // control de formularios, seguridad para evitar doble envio y ataques via bots
        if ($_SESSION['form_control'] != $_POST['form_control']) {
            $errores .= "- Se detecto un intento de envio doble, recargue la pagina.<br />";
            $valido = "N";
        }
        if (trim($_POST['form_control']) == '') {
            $errores .= "- Control del formularios no activado.<br />";
            $valido = "N";
        }
        $_SESSION['form_control'] = md5(rand());
        // control de formularios, seguridad para evitar doble envio y ataques via bots

        // recibe parametros
        $nombre_api_rider = antisqlinyeccion($_POST['nombre_api_rider'], "text");
        $usuario_api = antisqlinyeccion($_POST['usuario_api'], "text");
        $clave_api = antisqlinyeccion($_POST['clave_api'], "clave");
        $token_api = antisqlinyeccion($_POST['token_api'], "clave");
        $estado = 1;
        $idmotorista = antisqlinyeccion($_POST['idmotorista'], "int");
        $dominio = antisqlinyeccion($_POST['dominio'], "clave");
        $idprod_fijo_app = antisqlinyeccion($_POST['idprod_fijo_app'], "text");
        $store_id = antisqlinyeccion($_POST['store_id'], "int");

        /*if(trim($_POST['nombre_api_rider']) == ''){
        $valido="N";
        $errores.=" - El campo nombre_api_rider no puede estar vacio.<br />";    
    }*/
        /*if(trim($_POST['usuario_api']) == ''){
        $valido="N";
        $errores.=" - El campo usuario_api no puede estar vacio.<br />";    
    }
    if(trim($_POST['clave_api']) == ''){
        $valido="N";
        $errores.=" - El campo clave_api no puede estar vacio.<br />";    
    }
    if(trim($_POST['token_api']) == ''){
        $valido="N";
        $errores.=" - El campo token_api no puede estar vacio.<br />";    
    }*/
        /* 
idmotorista 
    if(intval($_POST['idmotorista']) == 0){
        $valido="N";
        $errores.=" - El campo idmotorista no puede ser cero o nulo.<br />";    
    }
*/

        // si todo es correcto actualiza
        if ($valido == "S") {

            $consulta = "UPDATE 
                            app_rider
                        SET
                            usuario_api=$usuario_api,
                            clave_api=$clave_api,
                            token_api=$token_api,
                            idmotorista=$idmotorista,
                            dominio=$dominio,
                            idprod_fijo_app=$idprod_fijo_app,
                            store_id=$store_id
                        WHERE
                            id_app_rider = $id_app_rider
                            and estado = 1";
            $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));

            header("location: app_rider.php");
            exit;
        }
    }

    // control de formulario despues de recibir el post y validar vuelve a regenerar
    $_SESSION['form_control'] = md5(rand());
?>

 <!DOCTYPE html>
 <html lang="en">

 <head>
     <?php require_once("../includes/head_gen.php"); ?>
 </head>

 <body class="nav-md">
     <div class="container body">
         <div class="main_container">
             <?php require_once("../includes/menu_gen.php"); ?>

             <!-- top navigation -->
             <?php require_once("../includes/menu_top_gen.php"); ?>
             <!-- /top navigation -->

             <!-- page content -->
             <div class="right_col" role="main">
                 <div class="">
                     <div class="page-title">
                     </div>
                     <div class="clearfix"></div>
                     <?php require_once("../includes/lic_gen.php"); ?>

                     <!-- SECCION -->
                     <div class="row">
                         <div class="col-md-12 col-sm-12 col-xs-12">
                             <div class="x_panel">
                                 <div class="x_title">
                                     <h2>Integraciones de App de Entregas de Delivery</h2>
                                     <ul class="nav navbar-right panel_toolbox">
                                         <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                                         </li>
                                     </ul>
                                     <div class="clearfix"></div>
                                 </div>
                                 <div class="x_content">

                                     <?php if (trim($errores) != "") { ?>
                                         <div class="alert alert-danger alert-dismissible fade in" role="alert">
                                             <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
                                             </button>
                                             <strong>Errores:</strong><br /><?php echo $errores; ?>
                                         </div>
                                     <?php } ?>
                                     <form id="form1" name="form1" method="post" action="">

                                         <div class="col-md-6 col-sm-6 form-group">
                                             <label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre api rider *</label>
                                             <div class="col-md-9 col-sm-9 col-xs-12">
                                                 <input type="text" name="nombre_api_rider" id="nombre_api_rider" value="<?php if (isset($_POST['nombre_api_rider'])) {
                                                                                                                                echo htmlentities($_POST['nombre_api_rider']);
                                                                                                                            } else {
                                                                                                                                echo htmlentities($rs->fields['nombre_api_rider']);
                                                                                                                            } ?>" placeholder="Nombre api rider" class="form-control" required="required" disabled />
                                             </div>
                                         </div>

                                         <div class="col-md-6 col-sm-6 form-group">
                                             <label class="control-label col-md-3 col-sm-3 col-xs-12">Usuario api *</label>
                                             <div class="col-md-9 col-sm-9 col-xs-12">
                                                 <input type="text" name="usuario_api" id="usuario_api" value="<?php if (isset($_POST['usuario_api'])) {
                                                                                                                    echo htmlentities($_POST['usuario_api']);
                                                                                                                } else {
                                                                                                                    echo htmlentities($rs->fields['usuario_api']);
                                                                                                                } ?>" placeholder="Usuario api" class="form-control" />
                                             </div>
                                         </div>

                                         <div class="col-md-6 col-sm-6 form-group">
                                             <label class="control-label col-md-3 col-sm-3 col-xs-12">Clave api *</label>
                                             <div class="col-md-9 col-sm-9 col-xs-12">
                                                 <input type="text" name="clave_api" id="clave_api" value="<?php if (isset($_POST['clave_api'])) {
                                                                                                                echo htmlentities($_POST['clave_api']);
                                                                                                            } else {
                                                                                                                echo htmlentities($rs->fields['clave_api']);
                                                                                                            } ?>" placeholder="Clave api" class="form-control" />
                                             </div>
                                         </div>

                                         <div class="col-md-6 col-sm-6 form-group">
                                             <label class="control-label col-md-3 col-sm-3 col-xs-12">Token api *</label>
                                             <div class="col-md-9 col-sm-9 col-xs-12">
                                                 <input type="text" name="token_api" id="token_api" value="<?php if (isset($_POST['token_api'])) {
                                                                                                                echo htmlentities($_POST['token_api']);
                                                                                                            } else {
                                                                                                                echo htmlentities($rs->fields['token_api']);
                                                                                                            } ?>" placeholder="Token api" class="form-control" />
                                             </div>
                                         </div>

                                         <div class="col-md-6 col-sm-6 form-group">
                                             <label class="control-label col-md-3 col-sm-3 col-xs-12">Dominio *</label>
                                             <div class="col-md-9 col-sm-9 col-xs-12">
                                                 <input type="text" name="dominio" id="dominio" value="<?php if (isset($_POST['dominio'])) {
                                                                                                            echo htmlentities($_POST['dominio']);
                                                                                                        } else {
                                                                                                            echo htmlentities($rs->fields['dominio']);
                                                                                                        } ?>" placeholder="Dominio Test o Produccion" class="form-control" />
                                             </div>
                                         </div>

                                         <div class="col-md-6 col-sm-6 form-group">
                                             <label class="control-label col-md-3 col-sm-3 col-xs-12">Idprod Fijo App *</label>
                                             <div class="col-md-9 col-sm-9 col-xs-12">
                                                 <input type="text" name="idprod_fijo_app" id="idprod_fijo_app" value="<?php if (isset($_POST['idprod_fijo_app'])) {
                                                                                                                            echo htmlentities($_POST['idprod_fijo_app']);
                                                                                                                        } else {
                                                                                                                            echo htmlentities($rs->fields['idprod_fijo_app']);
                                                                                                                        } ?>" placeholder="idprod_fijo_app" class="form-control" />
                                             </div>
                                         </div>

                                         <div class="col-md-6 col-sm-6 form-group">
                                             <label class="control-label col-md-3 col-sm-3 col-xs-12">Store Id *</label>
                                             <div class="col-md-9 col-sm-9 col-xs-12">
                                                 <input type="text" name="store_id" id="store_id" value="<?php if (isset($_POST['store_id'])) {
                                                                                                                echo htmlentities($_POST['store_id']);
                                                                                                            } else {
                                                                                                                echo htmlentities($rs->fields['store_id']);
                                                                                                            } ?>" placeholder="store_id" class="form-control" />
                                             </div>
                                         </div>

                                         <div class="col-md-6 col-sm-6 form-group">
                                             <label class="control-label col-md-3 col-sm-3 col-xs-12">Motorista *</label>
                                             <div class="col-md-9 col-sm-9 col-xs-12">
                                                 <?php

                                                    // consulta
                                                    $consulta = "SELECT 
                                                                    idmotorista, 
                                                                    motorista
                                                                FROM 
                                                                    motoristas
                                                                WHERE
                                                                    estado = 1
                                                                ORDER BY 
                                                                    motorista asc";

                                                    // valor seleccionado
                                                    if (isset($_POST['idmotorista'])) {
                                                        $value_selected = htmlentities($_POST['idmotorista']);
                                                    } else {
                                                        $value_selected = htmlentities($rs->fields['idmotorista']);
                                                    }

                                                    // parametros
                                                    $parametros_array = array(
                                                        'nombre_campo' => 'idmotorista',
                                                        'id_campo' => 'idmotorista',

                                                        'nombre_campo_bd' => 'motorista',
                                                        'id_campo_bd' => 'idmotorista',

                                                        'value_selected' => $value_selected,

                                                        'pricampo_name' => 'Seleccionar...',
                                                        'pricampo_value' => '',
                                                        'style_input' => 'class="form-control"',
                                                        'acciones' => '  ' . $required,
                                                        'autosel_1registro' => 'N'

                                                    );

                                                    // construye campo
                                                    echo campo_select($consulta, $parametros_array);

                                                    ?>
                                             </div>
                                         </div>

                                         <div class="clearfix"></div>
                                         <br />

                                         <div class="form-group">
                                             <div class="col-md-12 col-sm-12 col-xs-12 text-center">

                                                 <button type="submit" class="btn btn-success"><span class="fa fa-check-square-o"></span> Registrar</button>
                                                 <button type="button" class="btn btn-primary" onMouseUp="document.location.href='app_rider.php'"><span class="fa fa-ban"></span> Cancelar</button>
                                             </div>
                                         </div>

                                         <input type="hidden" name="MM_update" value="form1" />
                                         <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
                                         <br />
                                     </form>
                                     <div class="clearfix"></div>
                                     <br /><br />
                                 </div>
                             </div>
                         </div>
                     </div>
                     <!-- SECCION -->
                 </div>
             </div>
             <!-- /page content -->

             <!-- POPUP DE MODAL OCULTO -->
             <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
                 <div class="modal-dialog modal-lg">
                     <div class="modal-content">
                         <div class="modal-header">
                             <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
                             <h4 class="modal-title" id="modal_titulo">Titulo</h4>
                         </div>
                         <div class="modal-body" id="modal_cuerpo">
                             Contenido...
                         </div>
                         <div class="modal-footer" id="modal_pie">
                             <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                         </div>
                     </div>
                 </div>
             </div>
             <!-- POPUP DE MODAL OCULTO -->

             <!-- footer content -->
             <?php require_once("../includes/pie_gen.php"); ?>
             <!-- /footer content -->
         </div>
     </div>
     <?php require_once("../includes/footer_gen.php"); ?>
 </body>

 </html>