<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="532";
$dirsup="S";
require_once("../includes/rsusuario.php"); 



$id_app_rider=intval($_GET['id']);
if($id_app_rider == 0){
	header("location: app_rider.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from app_rider 
inner join motoristas on motoristas.idmotorista = app_rider.idmotorista
where 
id_app_rider = $id_app_rider
and app_rider.estado = 1
limit 1
";
$rscab=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$id_app_rider=intval($rscab->fields['id_app_rider']);
if($id_app_rider == 0){
	header("location: app_rider.php");
	exit;	
}
/*
$consulta="
select *
from app_rider_sucursales 
inner join sucursales on sucursales.idsucu = app_rider_sucursales.idsucursal
where 
 app_rider_sucursales.estado = 1 
 and id_app_rider = $id_app_rider
order by id_app_rider_suc asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

*/


if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	//$id_app_rider=antisqlinyeccion($_POST['id_app_rider'],"int");
	$idsucursal=antisqlinyeccion($_POST['idsucursal'],"int");
	$idsucursal_app=antisqlinyeccion($_POST['idsucursal_app'],"int");
	$estado=1;




	if(intval($_POST['idsucursal']) == 0){
		$valido="N";
		$errores.=" - El campo idsucursal no puede ser cero o nulo.<br />";	
	}
	if(intval($_POST['idsucursal_app']) == 0){
		$valido="N";
		$errores.=" - El campo idsucursal_app no puede ser cero o nulo.<br />";	
	}
	$consulta="
	select * 
	from app_rider_sucursales
	where
	estado = 1 
	and idsucursal = $idsucursal
	and id_app_rider = $id_app_rider
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(intval($rsex->fields['id_app_rider']) > 0){
		$valido="N";
		$errores.=" - La sucursal que intentas agregar ya existe para esta aplicacion, editala.<br />";	
	}
	

	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into app_rider_sucursales
		(id_app_rider, idsucursal, idsucursal_app, estado)
		values
		($id_app_rider, $idsucursal, $idsucursal_app, $estado)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: app_rider_sucursales.php?id=".$id_app_rider);
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Agregar Sucursal a <?php echo antixss($rscab->fields['nombre_api_rider']); ?></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Id app rider</th>
			<th align="center">Nombre api rider</th>
			<th align="center">Estado</th>
			<th align="center">Idmotorista</th>
		</tr>
	  </thead>
	  <tbody>

		<tr>

			<td align="center"><?php echo intval($rscab->fields['id_app_rider']); ?></td>
			<td align="center"><?php echo antixss($rscab->fields['nombre_api_rider']); ?></td>

			<td align="center"><?php if(intval($rscab->fields['estado']) == 1){ echo "Activo"; }else{ echo "Inactivo"; } ?></td>
			<td align="center"><?php echo antixss($rscab->fields['motorista']); ?></td>
		</tr>

	  </tbody>
    </table>
</div>
<br />	

	<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal Sistema *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idsucu, nombre
FROM sucursales
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_POST['idsucursal'])){ 
	$value_selected=htmlentities($_POST['idsucursal']); 
}else{
	$value_selected=htmlentities($rs->fields['idsucursal']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idsucursal',
	'id_campo' => 'idsucursal',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idsucu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
		
		?>                  
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal App *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idsucursal_app" id="idsucursal_app" value="<?php  if(isset($_POST['idsucursal_app'])){ echo intval($_POST['idsucursal_app']); }else{ echo intval($rs->fields['idsucursal_app']); }?>" placeholder="Idsucursal app" class="form-control" required="required" />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='app_rider_sucursales.php<?php echo parametros_url(); ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />				  
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
