<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="532";
$dirsup="S";
require_once("../includes/rsusuario.php"); 



$id_app_rider=intval($_GET['id']);
if($id_app_rider == 0){
	header("location: app_rider.php");
	exit;	
}


// consulta a la tabla	
$consulta="
select * 
from app_rider 
inner join motoristas on motoristas.idmotorista = app_rider.idmotorista
where 
id_app_rider = $id_app_rider
and app_rider.estado = 1
limit 1
";
$rscab=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$id_app_rider=intval($rscab->fields['id_app_rider']);
if($id_app_rider == 0){
	header("location: app_rider.php");
	exit;	
}




if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	//$id_app_rider=antisqlinyeccion($_POST['id_app_rider'],"int");
	$idzona=antisqlinyeccion($_POST['idzona'],"int");
	$idzona_app=antisqlinyeccion($_POST['idzona_app'],"int");
	$estado=1;
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");





	if(intval($_POST['idzona']) == 0){
		$valido="N";
		$errores.=" - El campo idzona no puede ser cero o nulo.<br />";	
	}

	if(intval($_POST['idzona_app']) == 0){
		$valido="N";
		$errores.=" - El campo idzona_app no puede ser cero o nulo.<br />";	
	}
	
	$consulta="
	select * 
	from app_rider_zonas
	where
	estado = 1 
	and idzona=$idzona
	and id_app_rider = $id_app_rider
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(intval($rsex->fields['id_app_rider']) > 0){
		$valido="N";
		$errores.=" - La zona que intentas agregar ya existe para esta aplicacion, editala.<br />";	
	}


	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into app_rider_zonas
		(id_app_rider, idzona, idzona_app, estado, registrado_por, registrado_el)
		values
		($id_app_rider, $idzona, $idzona_app, $estado, $registrado_por, $registrado_el)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: app_rider_zonas.php?id=$id_app_rider");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Editar Sucursal <?php echo antixss($rscab->fields['nombre_api_rider']); ?></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idzona *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idzonadel as idzona, describezona
FROM zonas_delivery
where
estado = 1
order by describezona asc
 ";

// valor seleccionado
if(isset($_POST['idzona'])){ 
	$value_selected=htmlentities($_POST['idzona']); 
}else{
	$value_selected=htmlentities($rs->fields['idzona']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idzona',
	'id_campo' => 'idzona',
	
	'nombre_campo_bd' => 'describezona',
	'id_campo_bd' => 'idzona',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
		
		?>                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idzona app *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idzona_app" id="idzona_app" value="<?php  if(isset($_POST['idzona_app'])){ echo intval($_POST['idzona_app']);  }?>" placeholder="Idzona app" class="form-control" required="required"  />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='app_rider_zonas.php?id=<?php echo $id_app_rider; ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />
				  
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
