<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="26";
$submodulo="328";
require_once("includes/rsusuario.php"); 


// actualizador
require_once("sys_actualizador.php");

$idcliente=intval($_GET['id']);
if($idcliente == 0){
	header("location: atrasos_recurrente.php");
	exit;	
}
// consulta a la tabla	
$consulta="
select * 
from cliente 
where 
idcliente = $idcliente
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcliente=intval($rs->fields['idcliente']);
if($idcliente == 0){
	header("location: atrasos_recurrente.php");
	exit;	
}


	
$consulta="
SELECT	cliente.idcliente, cliente.maxventa, max(detalle.atraso) as atraso, min(detalle.vencimiento) as vencimiento, sum(detalle.saldo_cuota) as saldo_cuota,
cliente.fantasia, cliente.razon_social, cliente.contacto, cliente.cargo_contacto, cliente.email,
(select fechahora from enviofac_email where idcliente = cliente.idcliente order by fechahora desc limit 1) as ultenvio,
bloqueado_sistema,
(select max(pagos_cab.fecha_pago) from pagos_cab where pagos_cab.idcliente = operacion.idcliente) as ultpago,
DATEDIFF(NOW(),(select max(pagos_cab.fecha_pago) from pagos_cab where pagos_cab.idcliente = operacion.idcliente)) as atraso_ultpag,
(select usuario from usuarios where idusu = cliente.idgestorcobranza) as gestorcob
FROM operacion 
inner join detalle on operacion.idoperacion = detalle.idoperacion 
inner join cliente on cliente.idcliente = operacion.idcliente
where 
operacion.estado = 1
and cliente.estado = 1 
and cliente.idcliente = $idcliente
group by cliente.idcliente
order by min(detalle.vencimiento) asc
";
$rsact=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idclienteop=intval($rsact->fields['idcliente']);
$atraso=intval();



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	//$idempresa=antisqlinyeccion($_POST['idempresa'],"int");


	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	$idmotivorescision=antisqlinyeccion($_POST['idmotivorescision'],"int");

	if(intval($_POST['idmotivorescision']) == 0){
		$valido="N";
		$errores.=" - El campo motivo rescision no puede ser cero o nulo.<br />";	
	}
	
	$consulta="
	SELECT * 
	FROM cuentas_clientes 
	where 
	idcliente = $idcliente 
	and saldo_activo > 0 
	and estado <> 6
	limit 1
	";
	$rsdeu=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if($rsdeu->fields['idcliente'] > 0){
		$errores.="- No se puede borrar este cliente por que tiene FACTURAS A CREDITO activas: cobre las deudas, realice una nota de credito o anule las facturas a credito para poder borrar el cliente.";
		$valido="N";	
	}


	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update cliente
		set
			estado = 6,
			cli_borrado_por = $idusu,
			cli_borrado_el = '$ahora',
			idmotivorescision=$idmotivorescision,
			bloqueado_sistema = 'S',
			bloquear_sistema = 'S'
			
		where
			idcliente = $idcliente
			and estado = 1
			and borrable = 'S'
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// busca el ultimo log de bloqueo si esta bloqueado o desbloqueado
		$consulta="
		select bloqueado_sistema from cliente_bloq_desbloq where idcliente = $idcliente order by idclientebloq desc limit 1;
		";
		$rsult=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		// si el ultimo estado del log no es bloqueado, genera un registro como bloqueado
		if(trim($rsult->fields['bloqueado_sistema']) != 'S'){
			$consulta="
			INSERT INTO `cliente_bloq_desbloq`
			(`bloqueado_sistema`, `fechahora`, `idcliente`, `atraso`, `mensaje_adm`, `mensaje_all`)
			VALUES 
			('S','$ahora',$idcliente,0,'LICENCIA SE DIO DE BAJA POR SU EJECUTIVO', NULL)
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
		

		
		header("location: atrasos_recurrente.php");
		exit;
		
	}

}


// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function datos_contacto(idcliente){
	var direccionurl='atrasos_recurrente_clie.php';	
	var parametros = {
	  "idcliente" : idcliente
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#myModalLabel").html('Datos de Contacto');	
			$("#modal_cuerpo").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			$("#modal_cuerpo").html(response);	
			$('#dialogobox').modal('show');
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
function estado_cuenta(idcliente){
	var direccionurl='estado_recurrente_clie.php';	
	var parametros = {
	  "idcliente" : idcliente
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#myModalLabel").html('Datos de Contacto');	
			$("#modal_cuerpo").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			$("#modal_cuerpo").html(response);	
			$('#dialogobox').modal('show');
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Clientes recurrentes atrasados</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>	
<?php if($idclienteop > 0){ ?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
			    <thead>
			      <tr >
			        <th>Nombre de Fantasia</th>
			        <th>Razon Social</th>

			        <th>Atraso</th>
                    <th>Atraso Ult Pag</th>
                    <th>Sistema Bloqueado</th>
			        <th>Vencimiento</th>
			        <th>Ult Pago</th>
                    <th>Ult Venta</th>                    
			        <th>Codclie</th>
			        <th>Saldo</th>
			        <th>Contacto</th>
			        <th>Cargo</th>
			        <th>Ejecutivo</th>
                    <th>Ult Comentario</th>
		          </tr>
                  </thead>
                  <tbody>
<?php
					  
$i=0;					  
//while (!$rsact->EOF){
	$i++;
	$saldoacum+=$rsact->fields['saldo_cuota'];

	?>
			      <tr>
			        <td align="center"><?php echo $rsact->fields['fantasia'];?></td>
			        <td align="center"><?php echo $rsact->fields['razon_social'];?></td>

			        <td align="center" <?php if($rsact->fields['atraso'] >= 1){?>style="color:#FF0000;"<?php } ?>><?php echo $rsact->fields['atraso'];?></td>
			        <td align="center" <?php if($rsact->fields['atraso_ultpag'] >= 40){?>style="color:#FF0000;"<?php } ?>><?php echo $rsact->fields['atraso_ultpag'];?></td>
                    <td align="center" <?php if($rsact->fields['bloqueado_sistema'] == 'S'){?>style="color:#FF0000;"<?php } ?>><?php echo $rsact->fields['bloqueado_sistema'];?></td>
			        <td align="center"><?php echo date("d/m/Y",strtotime($rsact->fields['vencimiento']));?></td>
			        <td align="center"><?php if($rsact->fields['ultpago'] != ''){ echo date("d/m/Y",strtotime($rsact->fields['ultpago'])); } ?></td>
			        <td align="center"><?php if($rsact->fields['maxventa'] != ''){ echo date("d/m/Y",strtotime($rsact->fields['maxventa'])); } ?></td>
			        <td align="center"><?php echo $rsact->fields['idcliente'];?></td>
			        <td align="center"><?php echo formatomoneda($rsact->fields['saldo_cuota'],0);?></td>
			        <td align="center"><?php echo $rsact->fields['contacto'];?></td>
			        <td align="center"><?php echo $rsact->fields['cargo_contacto'];?></td>
			        <td align="center" <?php if(trim($rsact->fields['gestorcob']) == ''){ ?>style="color:#FFF; background-color:#FF0000; "<?php } ?>><?php if(trim($rsact->fields['gestorcob']) != ''){ echo $rsact->fields['gestorcob']; }else{ echo "SIN ASIGNAR"; } ?></td>
                    <td align="center"><?php echo $rsact->fields['ult_comentario'];?></td>
		          </tr>
<?php //$rsact->MoveNext();} ?>
		        </tbody>
		      </table>
              </div>
			  <p>&nbsp;</p>
<?php }else{ ?>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Idcliente</th>
			
			<th align="center">Tipocliente</th>
			<th align="center">Fantasia</th>
			<th align="center">Razon social</th>
			<th align="center">Ruc</th>
			<th align="center">Documento</th>
			<th align="center">Nombre</th>
			<th align="center">Apellido</th>
			

		</tr>
	  </thead>
	  <tbody>
<?php //while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idcliente']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['tipocliente']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['fantasia']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['ruc']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['documento']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['nombre']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['apellido']); ?></td>
			
		</tr>
<?php //$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
<?php } ?>
					  
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idcliente *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="" name="idcliente" id="idcliente" value="<?php  if(isset($_POST['idcliente'])){ echo ($_POST['idcliente']); }else{ echo ($rs->fields['idcliente']); }?>" placeholder="Idcliente" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
	</div>
</div>
	
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Motivo rescision *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idmotivo, motivo
FROM motivo_rescision
where
estado = 1
order by motivo asc
 ";

// valor seleccionado
if(isset($_POST['idmotivorescision'])){ 
	$value_selected=htmlentities($_POST['idmotivorescision']); 
}else{
	$value_selected=htmlentities($rs->fields['idmotivorescision']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idmotivorescision',
	'id_campo' => 'idmotivorescision',
	
	'nombre_campo_bd' => 'motivo',
	'id_campo_bd' => 'idmotivo',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
                 
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='atrasos_recurrente.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>


  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo antixss($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->
        
        <!-- POPUP DE MODAL OCULTO -->
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="dialogobox">
                    <div class="modal-dialog modal-lg">
                      <div class="modal-content">

                        <div class="modal-header">
                          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
                          </button>
                          <h4 class="modal-title" id="myModalLabel">Titulo</h4>
                        </div>
                        <div class="modal-body" id="modal_cuerpo">
						...
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                          
                        </div>

                      </div>
                    </div>
                  </div>

                      
                  </div>
                </div>
              </div>
              
              
              
        <!-- POPUP DE MODAL OCULTO -->
        

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
