<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");

require_once("bi_funciones.php");

// para mostrar errores por ejemplo el de falta de memoria en vez de mostarr un error 500 y no saber el problema
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL ^ E_NOTICE);

// para evitar el error 500 por falta de memoria
ini_set('memory_limit', '-1');
set_time_limit(0);




$parametros_array=array('descripcion' => 'INICIO MIGRACION BI','inicio' => 'S'); echo log_bi($parametros_array);


$parametros_array=array('descripcion' => 'inicio rellenar tablas locales'); echo log_bi($parametros_array);
// rellena las tablas locales
rellenar_tablas_locales_bi();
$parametros_array=array('descripcion' => 'fin rellenar tablas locales'); echo log_bi($parametros_array);


$parametros_array=array('descripcion' => 'inicio mimgrar bi_fac_cab'); echo log_bi($parametros_array);
// migrar la tabla bi_fac_cab a bd externa
$columnas_array=array('idbifaccab', 'idventa', 'fechahora', 'totalventa', 'descuento', 'monto_factura', 'ruc', 'razon_social', 'idcaja', 'tipo_venta', 'factura', 'formas_pago', 'sucursal', 'deposito', 'operador', 'cajero', 'estado', 'dia_semana', 'canal', 'canal_venta', 'motorista', 'mesa', 'salon');
$parametros_array=array(
	'nombre_tabla' => 'bi_fac_cab',
	'nombre_tabla_tmp' => 'bi_fac_cab_tmp',
	'idcolumnacontrol' => 'idventa',
	'idpktabla' => 'idbifaccab',
	'migra_total' => 'S',
	'columnas_array' => $columnas_array
);
migrar_bi($parametros_array);
$parametros_array=array('descripcion' => 'fin mimgrar bi_fac_cab'); echo log_bi($parametros_array);






$parametros_array=array('descripcion' => 'inicio migrar bi_fac_det'); echo log_bi($parametros_array);
// migrar la tabla bi_fac_det a bd externa
$columnas_array=array('idbifacdet', 'idventa', 'idventadet', 'fechahora', 'factura', 'condicion', 'codprod', 'codbarra', 'producto', 'categoria', 'subcategoria', 'sucursal', 'deposito', 'precio_unitario', 'cantidad', 'subtotal', 'costo_unitario', 'subtotal_costo', 'exenta', 'gravadas', 'ivaml', 'cantidad_referencial_unit', 'cantidad_referencial_total', 'medida_referencial', 'operador', 'cajero', 'ruc', 'razon_social', 'proveedor', 'dia_semana', 'canal', 'canal_venta', 'motorista', 'mesa', 'salon', 'lista_precio', 'estado_factura');
$parametros_array=array(
	'nombre_tabla' => 'bi_fac_det',
	'nombre_tabla_tmp' => 'bi_fac_det_tmp',
	'idcolumnacontrol' => 'idventadet',
	'idpktabla' => 'idbifacdet',
	'migra_total' => 'S',
	'columnas_array' => $columnas_array
);
migrar_bi($parametros_array);
$parametros_array=array('descripcion' => 'fin migrar bi_fac_det'); echo log_bi($parametros_array);







$parametros_array=array('descripcion' => 'inicio migrar bi_stockmov'); echo log_bi($parametros_array);
// migrar la tabla bi_stockmov a bd externa
$columnas_array=array('idbistockmov',  'idstockmov' ,  'deposito' ,  'movimiento' ,  'cod_articulo' ,  'cod_barra' ,  'cod_externo' ,  'articulo' ,  'cant_anterior' ,  'cant_movimiento' ,  'cant_posterior' ,  'fechahora_mov' ,  'fechahora_comprobante' ,  'cod_comprobante' ,  'usuario' );
$parametros_array=array(
	'nombre_tabla' => 'bi_stockmov',
	'nombre_tabla_tmp' => 'bi_stockmov_tmp',
	'idcolumnacontrol' => 'idstockmov',
	'idpktabla' => 'idbistockmov',
	'migra_total' => 'S',
	'columnas_array' => $columnas_array
);
migrar_bi($parametros_array);
$parametros_array=array('descripcion' => 'fin migrar bi_stockmov'); echo log_bi($parametros_array);


$parametros_array=array('descripcion' => 'FINAL MIGRACION BI','fin' => 'S'); echo log_bi($parametros_array);


?>