<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="233";
require_once("includes/rsusuario.php"); 


$idcambiopreciomasivo=intval($_GET['id']);
if($idcambiopreciomasivo == 0){
	header("location: cambio_precio_masivo.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select *
from cambio_precio_masivo
where 
idcambiopreciomasivo = $idcambiopreciomasivo
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcambiopreciomasivo=intval($rs->fields['idcambiopreciomasivo']);
if($idcambiopreciomasivo == 0){
	header("location: cambio_precio_masivo.php");
	exit;	
}




if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$idsucursal=antisqlinyeccion($_POST['idsucursal'],"int");

	$total=intval($_POST['total']);
	// prevenir while eternos y borrados por hack
	if($total > 1000){
		$total=1000;	
	}
	if($total < 1){
		$total=1;	
	}
	// validar que se haya marcado al menos 1
	$hay="N";
	for($i=0;$i<$total;$i++){
		if(intval($_POST['checkbox_'.$i]) > 0){
			$hay="S";
		}
	}


	if($hay != "S"){
		$valido="N";
		$errores.=" - Debes marcar al menos 1 sucursal.<br />";	
	}


	// si todo es correcto inserta
	if($hay == "S"){
		// borrar todos los items
		$consulta="
		delete from cambio_precio_masivo_sucursales where idcambiopreciomasivo = $idcambiopreciomasivo
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// insertar nuevos permisos
		for($i=0;$i<$total;$i++){
			// datos para insertar
			$idsucursal=intval($_POST['checkbox_'.$i]);
			
			if($idsucursal > 0){
					
				$consulta="
				insert into cambio_precio_masivo_sucursales
				(idsucursal,idcambiopreciomasivo)
				values
				($idsucursal,$idcambiopreciomasivo)
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				
			}
			
		}
		
		header("location: cambio_precio_masivo_det.php?id=$idcambiopreciomasivo");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


$consulta="
select *, 
	(
	select idcambiopreciomasivo 
	from cambio_precio_masivo_sucursales 
	where 
	idsucursal = sucursales.idsucu 
	and idcambiopreciomasivo = $idcambiopreciomasivo
	) as asignado
from sucursales
where
estado = 1
";
$rssuccam=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function marcar(source){
	checkboxes=document.getElementsByTagName('input'); //obtenemos todos los controles del tipo Input
	for(i=0;i<checkboxes.length;i++) { //recoremos todos los controles
		if(checkboxes[i].type == "checkbox"){ //solo si es un checkbox entramos
			checkboxes[i].checked=source.checked; //si es un checkbox le damos el valor del checkbox que lo llamÃ³ (Marcar/Desmarcar Todos)
		}
	}
}
function marcabox(id){
	if($("#"+id).is(':checked')){
		$("#"+id).prop('checked', false);	
	}else{
		$("#"+id).prop('checked', true);
	}
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>

            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Agregar Items</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                  
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">
                  
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
    <thead>
      <tr>
        <th  align="center"  ><p align="center" style="margin:0px;"><input type="checkbox" name="checkbox" id="checkbox" onclick="marcar(this);" /></p></th>
        <th  align="center" ><strong>Sucursal</strong></th>
	  </tr>
    </thead>
    <tbody>
      <?php $i=0; while (!$rssuccam->EOF){ 

	  
	  
	  ?>
      <tr onClick="marcabox('checkbox_<?php echo $i; ?>');">
        <td align="center"><input type="checkbox" id="checkbox_<?php echo $i; ?>" name="checkbox_<?php echo $i; ?>" <?php if(intval($rssuccam->fields['asignado']) > 0){ ?>checked="checked"<?php } ?> value="<?php echo $rssuccam->fields['idsucu']; ?>" /></td>
        <td height="27" align="center"><?php echo antixss($rssuccam->fields['nombre']) ?><br /></td>
        </tr>
      <?php $i++; $rssuccam->MoveNext(); } ?>
     </tbody>
</table>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
   <input type="hidden" name="total" id="total" value="<?php echo $i; ?>" />
<br />
</form>


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 

            


          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
