<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Activar acceso a padres (portal)</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
					<div class="col-md-12 col-xs-12">
						<div class="col-md-6 col-sm-6 form-group">
							<label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre / apellido </label>
							<div class="col-md-9 col-sm-9 col-xs-12">
							<input type="text" name="nombre" id="nombre" value="" onKeyUp="filtrar(this.value,'N')" class="form-control" required="required">                    
							</div>
						</div>
						<div class="col-md-6 col-sm-6 form-group">
							<label class="control-label col-md-3 col-sm-3 col-xs-12">Razon Social</label>
							<div class="col-md-9 col-sm-9 col-xs-12">
							<input type="text" name="rz" id="rz" value=""  onKeyUp="filtrar(this.value,'RZ')" class="form-control" required="required">                    
							</div>
						</div>
					</div>
					<div class="col-md-12 col-xs-12">
					
						<div class="table-responsive" id="filtradod">
							<?php require_once('cantina_mini_filtro_padres.php')?>
						</div>
					</div>
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->
	<script>
		function filtrar(valor,campo){
			var direccionurl='cantina_mini_filtro_padres.php';
			
				var parametros = {
				  "busca" : valor,
				  "campo" : campo
				  
				};
				   $.ajax({
					  
							data:  parametros,
							url:   direccionurl,
							type:  'post',
							beforeSend: function () {
									$("#filtradod").html('Cargando...');
							},
							success:  function (response) {
								
									$("#filtradod").html(response);
									
							}
					});
			
			
		}
		
	</script>
        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
