<?php
/*---------------------------------------------------------
UR:24/06/2021
Administracion centralizada de pedidos


-----------------------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="29";
$submodulo="354";
require_once("includes/rsusuario.php"); 

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Administraci&oacute;n de Pedidos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
							 <?php  
			 //cargamos los valores basicos del pedido
			$buscar="Select regid,idpresupuesto,evento_para,hora_entrega,
			(select razon_social 
			from cliente where idcliente=pedidos_eventos.id_cliente_solicita) 
			as solicitado_por,registrado_el,confirmado_pedido_el as confirmadoel,
			(select usuario 
			from usuarios where idusu=pedidos_eventos.registrado_por) as quien
			from pedidos_eventos 
			where estado=3 
			order by regid desc";
			$rga=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$tpedidos=$rga->RecordCount();  
			  
				$buscar="Select regid,idpresupuesto,evento_para,hora_entrega,dire_entrega,
			(select telefono from cliente_pedido where idclienteped=pedidos_eventos.id_cliente_solicita) as telefono,
			(select nomape 
			from cliente_pedido where idclienteped=pedidos_eventos.id_cliente_solicita) 
			as solicitado_por,registrado_el,confirmado_pedido_el as confirmadoel,
			(select usuario 
			from usuarios where idusu=pedidos_eventos.registrado_por) as quien
			from pedidos_eventos where estado=3 order by regid desc ";
			$rga=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$tpedidos=$rga->RecordCount();  
			    
			  ?>
           
					  <?php if ($tpedidos > 0){?>
					  			<div class="table-responsive">
									<table width="70%" height="87" class="table table-striped jambo_table bulk_action">
									<thead>
										<tr class="headings">
											<th width="4%">&nbsp;</th>
											<th class="column-title">Id Pedido / Cliente</th>
										
											<th class="column-title">Fecha Evento </th>
											<th class="column-title">Hora Evento </th>
											<th class="column-title">Direcci&oacute;n </th>
											<th class="column-title">Tel&eacute;fono </th>
											<th class="column-title">Registrado el</th>
											<th class="column-title">Registrado por</th>
										
										</tr>
									</thead>
									<tbody>
										<?php while (!$rga->EOF){
										
	
											//verificamos siel pedido posee al menos una orden para marcarla en verde y si su estado primario no es modificado
	
	
										$idreg=intval($rga->fields['regid']);
										$buscar="Select * from produccion_orden_new
										 where idunico=$idreg  ";
										$rgpro=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
										$existen=intval($rgpro->fields['idunico']);
										if ($existen==0){
											$color="#F23131";
											
										} else {
											//ya existe 
											$color="green";
											  
										}
										?>
									<tr class="" style="color:<?php echo $color; ?>">
									<td class="a-center ">
										<a href="cat_adm_pedidos_genera_pdf.php?reg=<?php echo $rga->fields['regid']?>&t=1" target="_blank" ><span class="fa fa-file-pdf-o"></span></a>&nbsp;&nbsp;
										<a href="cat_adm_pedidos.php?reg=<?php echo $rga->fields['regid']?>" ><span class="fa fa-editar"></span></a>
											<a href="javascript:void(0);" onclick="mostrarpanel(<?php echo $rga->fields['regid']?>)"><span class="fa fa-search-plus"></span></a>&nbsp;&nbsp;
										<a href="cat_adm_pedidos.php?reg=<?php echo $rga->fields['regid']?>" ><span class="fa fa-editar"></span></a>
										</td>
									  <td class=" "><?php echo "C - ".$rga->fields['regid']?>&nbsp; | &nbsp;<?php echo $rga->fields['solicitado_por']; ?></td>
									  <td class=" "><?php echo date("d/m/Y",strtotime($rga->fields['evento_para'])); ?>
										<input type="hidden" name="fechaseg_<?php echo $rga->fields['regid']?>" id="fechaseg_<?php echo $rga->fields['regid']?>" value="<?php echo $rga->fields['evento_para'] ?>" />
										</td>
										<td class=" "><?php echo $rga->fields['hora_entrega']; ?></td>
										<td class=" "><?php echo $rga->fields['dire_entrega']; ?></td>
										<td class=" "><?php echo $rga->fields['telefono']; ?></td>
										<td class=" "><?php echo date("d/m/Y H:i:s",strtotime($rga->fields['registrado_el'])); ?></td>
										<td class="a-right a-right "><?php echo $rga->fields['quien']; ?></td>
										
									  </tr>
									<?php $rga->MoveNext();}?>
									</tbody>
									</table>
									</div>
					  
					  <?php } else { ?>
							<span class="fa fa-warning"></span>&nbsp;&nbsp;<h2>No existen pedidos confirmados.</h2>

					<?php }?>




                  






                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
			  
            <div class="modal fade" id="acciones"  role="dialog" aria-labelledby="titulo" aria-hidden="true" >
			<div class="modal-dialog modal-dialog-centered" role="document" >
			  <div class="modal-content" style="width: 800px;">

				<!-- Modal Header -->
				<div class="modal-header">
					
					<span  id="variadotit" style="font-weight:bold;"></span>
				   <button type="button" class="close" data-dismiss="modal"></button>
				</div>

				<!-- Modal body -->
				<div class="modal-body" id="acciones_cuerpo" style="min-height:250px; overflow-y: scroll">
				  
                  
				</div>
					
				<!-- Modal footer -->
				<div class="modal-footer">
				 
                
				</div>

			  </div>
			</div>
		  </div>
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
	  <script>
	  function mostrarpanel(regunico){
		  var parametros = {
				"valorunico" :regunico
			};
			$.ajax({
					data:  parametros,
					url:   'cat_mini_pedido_adm.php',
					type:  'post',
					beforeSend: function () {

					},
					success:  function (response) {
						$("#acciones_cuerpo").html(response);
						$("#acciones").modal("show");
					}
			});
	  }
	  function cargar(idinsumo,cpr,idreg){
		  
		  var valido='';
		  valido='S';
		  var errores=''; 
		  var obssnew=$("#obs_"+idinsumo).val();
		  var fechasegura=$("#fechaseg_"+idreg).val();
		  var fechaprod=$("#fechap_"+idinsumo).val();
		  var horaprod=$("#horapp_"+idinsumo).val();
		  var comentario_cpr=$("#comentacentral_"+idinsumo).val();
		  if (fechaprod==''){
			  errores=errores+"* Debe indicar la fecha de produccion";
			  valido='N';
		  }
		   if (horaprod==''){
			  errores=errores+"* Debe indicar la hora de produccion";
			  valido='N';
		  }
		  var d1 = Date.parse("'"+fechasegura+"'");
		  //alert(d1);
		  var d2 = Date.parse(fechaprod);
		  if (d1 < d2) {
			  errores=errores+"* La fecha de produccion no debe superar al evento";
			valido='N';
		   }
		   if (valido=='S'){
			   var parametros = {
				   "idinsumo" : idinsumo,
					"cpr" :cpr,
					"obsn" 		 : obssnew,
					"fechasegura" : fechasegura,
				   "fechaprodu"  :fechaprod,
				   "horaprod"	:horaprod,
				   "comentario_cpr" : comentario_cpr,
				   "idunicopedido": idreg
				};
				$.ajax({
						data:  parametros,
						url:   'cat_udpmini.php',
						type:  'post',
						beforeSend: function () {

						},
						success:  function (response) {

							$("#actualizadatosg").html(response);


						}
				});
		   } else {
			   alert(errores);
		   }
		  
		  
	  }
		 
	  </script>
<?php require_once("includes/footer_gen.php"); ?>
	  <script>
	<?php if (intval($_REQUEST['idr'])>0){ ?> 	  
	  $(document).ready(function() {
   					
						mostrarpanel(<?php echo $_REQUEST['idr'] ?>);
					
			}); 
		  <?php }?>
	  </script>
  </body>
</html>
