<?php
/*-----------------------------------------
14/03/2024
Se agrega facturador vinculado(refresh)


----------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="29";
$submodulo="347";
require_once("includes/rsusuario.php"); 
require_once('includes/funciones_eventos.php');

$idcliente=intval($_POST['idcliente']);
$idtransaccion=intval($_POST['idtransaccion']);

if($idcliente==0){
	echo "Error al obtener id del cliente";
	exit;
}

$buscar="Select idcliente,razon_social,ruc,(select idsucursal_clie from sucursal_cliente where matriz ='S' and idcliente=$idcliente ) as idsucursal_cliente_atriz from cliente where idcliente=$idcliente ";
$rgf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

//Traemos la lista de facturadores vinculados si existen, sino, por defecto colocamos a la misma persona
$buscar="Select * from cliente_factura_vinculada where principal='S' limit 1";
$rsvv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$trr=$rsvv->RecordCount();

if($trr>0 && $trr>1){
	//select

?>



<?php } else { 
	if($trr==0){
		$idcliente_actual=intval($rsvv->fields['idcliente']);
		$rz=$rsvv($rsvv->fields['razon_social']);
		 //agregamos al mismo para que sea su principal 
		 $insertar="Insert into cliente_factura_vinculada
			(idcliente_origen,idcliente_facturador,principal,registrado_el,registrado_por,estado_facturador)
			values
			($idcliente_actual,$idcliente_actual,'S','$ahora',$idusu,1)";
		  $conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
	}
	
	
}

//Traemos la lista de facturadores vinculados si existen
$buscar="Select nombre,apellido,razon_social,idcliente_facturador
 from cliente_factura_vinculada
inner join cliente on cliente.idcliente=cliente_factura_vinculada.idcliente_facturador
where estado_facturador=1 and cliente_factura_vinculada.idcliente_origen=$idcliente order by razon_social ASC";
$rsvv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
?>
<div class="col-md-6 col-sm-6 form-group">
		<label class="control-label col-md-3 col-sm-3 col-xs-12"><a class="btn btn-dark" onclick="refresh(<?php echo $idcliente; ?>,<?php echo $idtransaccion; ?>)"><span class="fa fa-refresh"></span></a></label>
		<div class="col-md-9 col-sm-9 col-xs-12">
		<select name="facturador" id="facturador" class="form-control">
	<option value="">Facturadores Vinculados</option>
	<?php while(!$rsvv->EOF){ 
		
		$idc=$rsvv->fields['idcliente_facturador']."-".$rsvv->fields['razon_social'];
	?>
	<option value="<?php echo $idc; ?>"><?php echo $rsvv->fields['razon_social']; ?></option>
	<?php $rsvv->MoveNext();} ?>
</select>               
		</div>
	</div>

<div class="col-md-6 col-xs-12">
<a class="btn btn-primary" onclick="usar_este_facturador()"><span class="fa fa-arrow-right"></span>&nbsp;Seleccionar</a>
&nbsp;
<a class="btn btn-warning" target="_blank" href="cliente_edit.php?id=<?php echo $idcliente; ?>"><span class="fa fa-user"></span>&nbsp;Agregar Nuevo</a>
&nbsp;

</div>

