<?php 
/*-------------------------------------------
22/03/2023
------------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 


function redondear_precio($precio,$ceros=1,$direccion='N'){
     // direccion  A: hacia arriba // B: hacia abajo N: Normal
    if($direccion == 'A'){
        $precio_redondeado=ceil($precio/10**$ceros)*(10**$ceros);
    }else if($direccion == 'B'){
        $precio_redondeado=floor($precio/10**$ceros)*(10**$ceros);
    }else{
        $precio_redondeado=round($precio/10**$ceros)*(10**$ceros);
    }
    return $precio_redondeado;
}

$producto=intval($_REQUEST['prod']);
$cantidad=antisqlinyeccion($_POST['cant'],"float");

$idlistaprecio=intval($_SESSION['idlistaprecio']);
$idcanalventa=intval($_SESSION['idcanalventa']);
$idplantilla=intval($_POST['idplantilla']);
$seladd_lp=" productos_sucursales.precio ";

$buscar="Select * from pedidos_eventos_transacciones where registrado_por=$idusu and estado=1 order by idtransaccion desc limit 1";
$rst=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idtransaccion=intval($rst->fields['idtransaccion']);

if ($idplantilla == 0){
	//Si no posee plantilla entra aca
	//echo 'ENTRO ACA1';exit;
	$consulta="
	select productos.idmedida, productos.idtipoproducto, $seladd_lp as precio,idprod_serial,idcpr
	from productos 
	inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial
	$joinadd_lp
	where
	productos.idprod_serial is not null
	and productos.idempresa = $idempresa
	and productos.idprod_serial = $producto
	and productos.borrado = 'N'
	
	and productos_sucursales.idsucursal = $idsucursal 
	and productos_sucursales.idempresa = $idempresa
	and productos_sucursales.activo_suc = 1
	
	$whereadd_lp
	
	order by productos.descripcion asc
	";
	//echo $consulta;exit;
	
	$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$precio=antisqlinyeccion($rs->fields['precio'],"float");	
	$medida=intval($rs->fields['idmedida']);
	$idtipoproducto=$rs->fields['idtipoproducto'];
	$cpr=intval($rs->fields['idcpr']);
	if($idtipoproducto == 3){
		$idtipoproducto=1;
	}
	if ($idtipoproducto==11){
		$combo_catering='S';
		
	} else {
		$combo_catering='N';
	}
	
	if ($medida != 4){
		//Precio en kls a gramos
		$preciogr=($precio/1000);
		$subtotal=(($preciogr*1000)*$cantidad);
	} else {
		if ($cantidad==0){
			$cantidad=1;
		}
		$subtotal=($precio*$cantidad);
	}


	$subtotal=round($subtotal);
	if (!function_exists("isNatural")) {
		function isNatural($var){
			return preg_match('/^[0-9]+$/', (string )$var) ? TRUE : FALSE;
		}
	}

	if($cantidad > 0){
		if ($combo_catering=='S'){
			//cargamos los productos del combo catering e insertamos al carrito
			
		}
		$consulta="
		INSERT INTO tmp_carrito_pedidos
		(idtransaccion,idproducto,cantidad,precio,subtotal,estado,registrado_por,idcpr) 
		VALUES 
		($idtransaccion, $producto,$cantidad,$precio,$subtotal,1,$idusu,$cpr)
		;
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	}
}
//Si  posee plantilla entra aca	
if ($idplantilla > 0){
	
	//Como es una plantilla, almacenamos los datos de la primera linea para el titulo
	//$buscar="Select cantidad_personas from pedidos_eventos where idtransaccion=$idtransaccion";
	//$rscabes=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$cantidad_personas=intval($rscabes->fields['cantidad_personas']);
	///if ($cantidad_personas==0)
	$cantidad_personas=intval($_POST['cant']);
	
	
	//echo $cantidad_personas;exit;
	$buscar="Select * from plantilla_articulos where idplantillaart=$idplantilla";
	$rsb2=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	//echo $buscar;exit;
	$muestraprecio=trim($rsb2->fields['desglosa_precio']);
	//echo $buscar;exit;
	$idproducto_vinculado=intval($rsb2->fields['idproducto_vinculado']);
	$tituloplantilla=trim($rsb2->fields['nombre_plantilla']);
	//$tituloplantilla=str_replace("(","",$tituloplantilla);
	//$tituloplantilla=str_replace(")","",$tituloplantilla);
	if ($muestraprecio=='N' and $idproducto_vinculado==0){
		echo "Error : no existe articulo vinculado para facturacion.";exit;
	}
	if ($cantidad_personas>0){
		if ($idproducto_vinculado > 0){
			$buscar="Select * from productos_sucursales where idproducto=$idproducto_vinculado and idsucursal=$idsucursal";
			$rsb3=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$precio=floatval($rsb3->fields['precio']);
			$subtotal=$precio*$cantidad_personas;
		} 
		if ($muestraprecio!='S'){
			
			$consulta="
			INSERT INTO tmp_carrito_pedidos
			(idtransaccion,idproducto,cantidad,precio,subtotal,estado,registrado_por,idplantilla,
			desglosa_precio,titulo_contenedor,observacion,idproducto_vinculado) 
			VALUES 
			($idtransaccion,$idproducto_vinculado,$cantidad_personas,$precio,$subtotal,1,$idusu,$idplantilla,'$muestraprecio',
			'S','$tituloplantilla',$idproducto_vinculado)
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		} else {
			// Vemos para insertar el titulo por desglose si
		
			$consulta="
			INSERT INTO tmp_carrito_pedidos
			(idtransaccion,idproducto,cantidad,precio,subtotal,estado,registrado_por,idplantilla,
			desglosa_precio,titulo_contenedor,observacion,idproducto_vinculado) 
			VALUES 
			($idtransaccion,0,$cantidad_personas,0,0,1,$idusu,$idplantilla,'S',
			'S','$tituloplantilla',0)
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
		 //echo "ES PLANTILLA CON $consulta";exit;
	
		//Si tiene plantilla, y la variable de la plantilla es muestra Precios SI, debe calcular po los precios de enta de los articulos, ya que NO estara vinculado a una plantilla en si, es solo para rellenar automatico
		//$cantidad_personas=$cantidad;//toma del post cuando es plantilla en cantidad viene el numero de personas
		$idsucursal=intval($_SESSION['idsucursal']);
		//traemos la cantidad de personas por la transaccion
	
		$buscar="
			Select 
			idmedida,idtipoproducto,productos.idcpr,
			(select desglosa_precio from plantilla_articulos where idplantillaart=$idplantilla) as muestraprecio,
			(select precio from productos_sucursales where productos_sucursales.idproducto=plantilla_articulos_det.idproducto and idsucursal=$idsucursal and activo_suc=1) as precio,
			
			plantilla_articulos_det.idproducto,cantidad,descripcion 
			from plantilla_articulos_det
			inner join productos on productos.idprod_serial=plantilla_articulos_det.idproducto
			where 
			idplantillaart=$idplantilla and plantilla_articulos_det.estado <>6
			and productos.borrado = 'N' 
			order by idplantillaartdet asc";

			$rsb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

			while(!$rsb->EOF){
				$muestraprecio=trim($rsb->fields['muestraprecio']);
				$producto=intval($rsb->fields['idproducto']);
				$cantidad_definida_articulos=floatval($rsb->fields['cantidad']);
				
				//ver si este calculo ocurre solo al desglosar precios	
				//$cantidad=($cantidad*$cantidad_definida_articulos);
		
				$precio=floatval($rsb->fields['precio']);
				$idtipoproducto=floatval($rsb->fields['idtipoproducto']);
				$fechahora=date("Y-m-d H:i:s");
				$borrado=antisqlinyeccion($_POST['borrado'],'text');
				$combinado=antisqlinyeccion($_POST['combinado'],'text');
				$prod_1=antisqlinyeccion($_POST['idprod1'],'text');
				$prod_2=antisqlinyeccion($_POST['idprod2'],'text');
				$idmedida=intval($rsb->fields['idmedida']);
				$muestraprecio=trim($rsb->fields['muestraprecio']);
				$cpr=intval($rsb->fields['idcpr']);
				if($cantidad > 0){
					//en $cantidad llega la cantidad de personas del evento (VERIFCADO).
					$cantidad_calculada=floatval($cantidad*$cantidad_definida_articulos);
					if ($medida != 4){
					//Precio en kls a gramos
						$preciogr=($precio/1000);
						$subtotal=(($preciogr*1000)*$cantidad_calculada);
					} else {
						if ($cantidad_calculada==0){
							$cantidad_calculada=1;
						}
						$subtotal=($precio*$cantidad_calculada);
					}
					if ($muestraprecio=='N'){
						$precio=0;
						$subtotal=0;
					}
				
					$consulta="
						INSERT INTO tmp_carrito_pedidos
						(idtransaccion,idproducto,cantidad,precio,subtotal,estado,registrado_por,idplantilla,desglosa_precio,idcpr) 
						VALUES 
						($idtransaccion, $producto,$cantidad_calculada,$precio,$subtotal,1,$idusu,$idplantilla,'$muestraprecio',$cpr)
						;
						";
						$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				}		
				$rsb->MoveNext();
			}
		
	} else {
		echo "Error: debe enviar la cantidad de personas";exit;
		
	}
}
?>