<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="29";
$submodulo="354";
$dirsup="S";
require_once("../includes/rsusuario.php"); 

$idanticipomultiplecab=intval($_GET['id']);
if($idanticipomultiplecab == 0){
	echo "No se envio el codigo de pago multiple.";
	exit;
}


$consulta="
select * ,
(select usuario from usuarios where cuentas_clientes_pagos_cab.registrado_por = usuarios.idusu) as registrado_por,
(select razon_social from cliente where cliente.idcliente = cuentas_clientes_pagos_cab.idcliente) as cliente
from cuentas_clientes_pagos_cab 
where 
estado = 1
and notanum is null
and idpago_afavor in (
	select pagos_afavor_adh.idpago_afavor 
	from anticipo_multiple_cab
	inner join gest_pagos on gest_pagos.idanticipomultiplecab = anticipo_multiple_cab.idanticipomultiplecab
	inner join pagos_afavor_adh on pagos_afavor_adh.idpago = gest_pagos.idpago
	where 
	anticipo_multiple_cab.estado = 1 
	and gest_pagos.estado = 1
	and anticipo_multiple_cab.idanticipomultiplecab = $idanticipomultiplecab
	group by pagos_afavor_adh.idpago_afavor
)
order by registrado_el asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Anticipos Multiples</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if($rs->fields['idcuentaclientepagcab'] > 0){ ?>
<strong>Recibos Generados:</strong><br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Razon Social</th>
			<th align="center">Monto abonado</th>
			<th align="center">Fecha pago</th>
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>

			<th align="center">Recibo</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
                    <a href="../cobro_cuentas_imp_pdf.php?id=<?php echo $rs->fields['idcuentaclientepagcab']; ?>" target="_blank" class="btn btn-sm btn-default" title="Descargar Ticket PDF" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar Ticket PDF"><span class="fa fa-file-pdf-o"></span></a>
                    <a href="../cobro_cuentas_imp_recibo_pdf.php?id=<?php echo $rs->fields['idcuentaclientepagcab']; ?>" target="_blank" class="btn btn-sm btn-default" title="Descargar A4 PDF" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar A4 PDF"><span class="fa fa-file"></span></a>
				</div>

			</td>
			<td align="center"><?php echo antixss($rs->fields['cliente']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_abonado']);  ?></td>
			<td align="center"><?php if($rs->fields['fecha_pago'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_pago'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>

			<td align="center"><?php echo antixss($rs->fields['recibo']); ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
<?php }else{ ?>
<br /><br />No se encontraron recibos para el id enviado.<br /><br />
<?php } ?>					  
<br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
