<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="40";
$submodulo="569";
require_once("../includes/rsusuario.php"); 

$idpedido=intval($_GET['id']);
if($idpedido == 0){
	header("location: cat_pedidos_reposicion.php");
	exit;	
}


// consulta a la tabla	
$consulta="
select *
from compras_pedidos 
where 
estado = 1
 and sucursal = $idsucursal
 and idpedido = $idpedido
order by idpedido desc
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idpedido=intval($rs->fields['idpedido']);
if($idpedido == 0){
	header("location: cat_pedidos_reposicion.php");
	exit;	
}




if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	



	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update compras_pedidos
		set
			estado = 6
		where
			idpedido = $idpedido
			and estado = 1
		";
		//echo $consulta;exit;
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: cat_pedidos_reposicion.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
       <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
      <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Borrar Pedido de Reposicion</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Origen *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT iddeposito, descripcion
FROM gest_depositos
where
estado = 1
and idsucursal =$idsucursal
and tiposala <> 3
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['origen'])){ 
	$value_selected=htmlentities($_POST['origen']); 
}else{
	$value_selected=htmlentities($rs->fields['origen']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'origen',
	'id_campo' => 'origen',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'iddeposito',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" disabled ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Destino *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT iddeposito, descripcion
FROM gest_depositos
where
estado = 1
and idsucursal =$idsucursal
and tiposala <> 3
and compras = 1
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['destino'])){ 
	$value_selected=htmlentities($_POST['destino']); 
}else{
	$value_selected=htmlentities($rs->fields['destino']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'destino',
	'id_campo' => 'destino',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'iddeposito',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" disabled ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha a entregar *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" disabled name="fecha_entrega" id="fecha_entrega" value="<?php  if(isset($_POST['fecha_entrega'])){ echo htmlentities($_POST['fecha_entrega']); }else{ echo date("Y-m-d",strtotime($rs->fields['fecha_entrega'])); }?>" placeholder="Fecha entrega" class="form-control" required />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Observacion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" disabled name="obs" id="obs" value="<?php  if(isset($_POST['obs'])){ echo htmlentities($_POST['obs']); }else{ echo htmlentities($rs->fields['obs']); }?>" placeholder="Obs" class="form-control"  />                    
	</div>
</div>





<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='compras_pedidos.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
