<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="40";
$submodulo="569";
require_once("../includes/rsusuario.php"); 

$idpedido=intval($_GET['id']);
if($idpedido == 0){
	header("location: cat_pedidos_reposicion.php");
	exit;	
}

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	$idpedido=intval($_POST['ocidp']);

	$origen=intval($_POST['origen']);

	$dst=intval($_POST['destino']);
	
	if ($origen>0 && $dst > 0){
		$valido='S';
	} else {
		$errores.="- Debe indicar origen y destino para elpedido.<br />";
		$valido="N";
	}
	// si todo es correcto inserta
	if($valido == "S"){
		

		$consulta="
		update compras_pedidos
		set
			origen=$origen,destino=$dst
		where
			idpedido = $idpedido
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: cat_pedidos_reposicion.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());
$consulta="
select *,
(select usuario from usuarios where compras_pedidos.pedido_por = usuarios.idusu) as pedido_por,
(select descripcion from gest_depositos where iddeposito = compras_pedidos.origen) as origenchar,
(select descripcion from gest_depositos where iddeposito = compras_pedidos.destino) as destinochar,
(select nombre from sucursales where idsucu = compras_pedidos.sucursal) as sucursal
from compras_pedidos 
where 
idpedido = $idpedido

";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$fecha_entrega=$rs->fields['fecha_entrega'];
$idpedido=intval($rs->fields['idpedido']);

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
<script>


</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
       <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
             <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
				<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Idpedido</th>
			<th align="center">Fecha a entregar</th>
			<th align="center">Fechapedido</th>
			<th align="center">Pedido por</th>
			<th align="center">Origen</th>
			<th align="center">Destino</th>

			<th align="center">Obs</th>
			<th align="center">Sucursal</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ 
$origen=intval($rs->fields['origen']);
$dst=intval($rs->fields['destino']);

?>
		<tr>

			<td align="center"><?php echo antixss($rs->fields['idpedido']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_entrega'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_entrega'])); } ?></td>
			<td align="center"><?php echo date("d/m/Y H:i:s",strtotime($rs->fields['fechapedido'])); ?></td>
			<td align="center"><?php echo antixss($rs->fields['pedido_por']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['origenchar']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['destinochar']); ?></td>

			<td align="center"><?php echo antixss($rs->fields['obs']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['sucursal']); ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<hr />
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>



<form id="form1" name="form1" method="post" action="">
<input type="hidden" name="ocidp" id="ocidp" value=<?php echo $idpedido ?> />
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Origen *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT iddeposito, descripcion
FROM gest_depositos
where
estado = 1

and tiposala <> 3
order by descripcion asc
 ";
//echo $consulta;
// valor seleccionado
if(isset($_POST['origen'])){ 
	$value_selected=htmlentities($_POST['origen']); 
}else{
	$value_selected=htmlentities($origen);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'origen',
	'id_campo' => 'origen',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'iddeposito',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ' ,
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Reponer desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT iddeposito, descripcion
FROM gest_depositos
where
estado = 1
and tiposala <> 3

order by descripcion asc
 ";
//echo $consulta;exit;
// valor seleccionado
if(isset($_POST['destino'])){ 
	$value_selected=htmlentities($_POST['destino']); 
}else{
	$value_selected=htmlentities($dst);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'destino',
	'id_campo' => 'destino',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'iddeposito',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Finalizar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='cat_pedidos_reposicion.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->
        
        <!-- POPUP DE MODAL OCULTO -->
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="dialogobox">
                    <div class="modal-dialog modal-lg">
                      <div class="modal-content">

                        <div class="modal-header">
                          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
                          </button>
                          <h4 class="modal-title" id="myModalLabel">Titulo</h4>
                        </div>
                        <div class="modal-body" id="modal_cuerpo">
						...
                        </div>
                        <div class="modal-footer">
                          
						  <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                          
                        </div>

                      </div>
                    </div>
                  </div>

                      
                  </div>
                </div>
              </div>
              
              
              
        <!-- POPUP DE MODAL OCULTO -->


        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>

<script>
 function abrir_panel(clase,codigo,nombre){
	if(clase==1){
		$("#myModalLabel").html("Editar articulo "+nombre);
		var direccionurl='cat_edita_articulo.php';		
		var parametros = {
		  "codigo"   : codigo,
		  "idpedido"   : <?php echo $idpedido ?>	
		};
			$.ajax({		  
			data:  parametros,
			url:   direccionurl,
			type:  'post',
			beforeSend: function () {
				$("#modal_cuerpo").html("");				
			},
			success:  function (response) {
				$("#modal_cuerpo").html(response);
				
			}
		});
					 
	}
	if(clase==2){
		$("#myModalLabel").html("Eliminar "+nombre);
		$("#modal_cuerpo").html("");

		
	}
	 $("#dialogobox").modal("show");
	 
 }
function eliminar(codigo){
	
	var busqueda = $("#producto").val();
	var direccionurl='cat_pedidos_reposicion_car.php';		
	var parametros = {
	  "codigoun"   : codigo,
	  "idpedido" : <?php echo $idpedido ?>
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$("#carrito_prod").html('Cargando...');				
		},
		success:  function (response) {
			$("#carrito_prod").html(response);
		}
	});
}


</script>


  </body>
</html>
