<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="180";
require_once("includes/rsusuario.php"); 
//exit;

function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}




$consulta="
SELECT adherentes.idadherente, adherentes.idcliente, adherentes.nombres as nombre_adherente, adherentes.apellidos as apellido_adherente,
cliente.nombre as nombre_cliente, cliente.apellido as apellido_cliente, cliente.razon_social, cliente.ruc,
cliente.sucursal as idsucursal, sucursales.nombre as sucursal, adherentes_tipos_opcionales.idtipoad as idgrado, adherentes_tipos_opcionales.descripcion as grado,
adherentes.registrado_el, usuarios.usuario as registrado_por
FROM `adherentes` 
inner join cliente on cliente.idcliente = adherentes.idcliente
left join sucursales on sucursales.idsucu = cliente.sucursal
left join adherentes_tipos_opcionales on adherentes_tipos_opcionales.idtipoad = adherentes.idtipoad
left join usuarios on usuarios.idusu = adherentes.registrado_por
WHERE
adherentes.estado = 1
and cliente.estado = 1  
ORDER BY adherentes.idadherente ASC
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 //	CONCAT('\"',factura,'\"') as Factura,


 $impreso=date("d/m/Y H:i:s");



$datos="";


// asigna los datos de la consulta a una variable
$array=$rs->fields;

// CONSTRUYE CABECERA
foreach($array as $key=>$value){
	$i++;
	$datos.=limpiacsv($key).';';
}
reset($array);
$datos.=$saltolinea;





$impreso=date("YmdHis");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=adherentes_'.$impreso.'.csv');
	
	
// imprime cabecera
echo $datos;


//CONSTRUYE CUERPO
$fila=1;
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		echo limpiacsv($value).';';
	}
	echo $saltolinea;
$rs->MoveNext(); }


exit; 

?>
