<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="2";
$submodulo="404";
require_once("includes/rsusuario.php"); 


// idconceptomovtipo = 6 : carga manual
$consulta="
select *,
(select usuario from usuarios where cn_conceptos_mov.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where cn_conceptos_mov.borrado_por = usuarios.idusu) as borrado_por,
(select descripcion from cn_conceptos where cn_conceptos.idconcepto = cn_conceptos_mov.idconcepto) as concepto
from cn_conceptos_mov 
where 
 estado = 1 
 and idconceptomovtipo = 6
order by idconceptomov asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Cargas Manuales de Resultado de Gestion</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<p><a href="cn_conceptos_mov_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a></p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Idconceptomov</th>
			<th align="center">Concepto</th>
			<th align="center">Fecha comprobante</th>
			<th align="center">Monto comprobante</th>
			<th align="center">Registrado el</th>
			<th align="center">Registrado por</th>


		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">

					<a href="cn_conceptos_mov_edit.php?id=<?php echo $rs->fields['idconceptomov']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
					<a href="cn_conceptos_mov_del.php?id=<?php echo $rs->fields['idconceptomov']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
				</div>

			</td>
			<td align="center"><?php echo antixss($rs->fields['idconceptomov']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['concepto']); ?></td>

			<td align="center"><?php if($rs->fields['fecha_comprobante'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_comprobante'])); } ?></td>

			<td align="right"><?php echo formatomoneda($rs->fields['monto_comprobante']);  ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>


		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
