<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="254";
require_once("includes/rsusuario.php"); 


$mes=date("m");
$ano=date("Y");
if($_GET['ano'] > 0 && $_GET['mes'] > 0){
	$mes=intval($_GET['mes']);	
	$ano=intval($_GET['ano']);	
}
$ultdiames=ultimoDiaMes($mes,$ano);
$fecha_comprobante_ini=$ano.'-'.$mes."-01";
$fecha_comprobante_fin=$ano.'-'.$mes.'-'.$ultdiames;

$consulta="
select sum(totalcobrar) as total_vendido 
from ventas 
where 
YEAR(fecha) = $ano 
and MONTH(fecha) = $mes
and estado <> 6
";
$rsven=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$total_vendido=$rsven->fields['total_vendido'];

$consulta="
select * ,
(
SELECT sum(cn_conceptos_mov.monto_comprobante) as  monto_comprobante
FROM cn_conceptos_mov
inner join cn_conceptos on cn_conceptos.idconcepto = cn_conceptos_mov.idconcepto
where
cn_conceptos.idgrupo = cn_grupos.idgrupo
and cn_conceptos.idconcepto > 1
and cn_conceptos_mov.estado = 1
and cn_conceptos_mov.fecha_comprobante >= '$fecha_comprobante_ini'
and cn_conceptos_mov.fecha_comprobante <= '$fecha_comprobante_fin'
) as monto_grupo
from cn_grupos
where 
estado = 1
and idgrupo > 1
order by descripcion asc
";
$rsgrupos=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

/*
modificar retroactivo en base a tabla de gastos asignadas a conceptos

// gastos
UPDATE `cn_conceptos_mov`
SET 
idconcepto = (select gastos_lista.idconcepto from gastos_lista where gastos_lista.idgasto = cn_conceptos_mov.codrefer)
WHERE 
`idconceptomovtipo` = 2

// compras
UPDATE `cn_conceptos_mov`
SET 
idconcepto = (select insumos_lista.idconcepto from insumos_lista where insumos_lista.idinsumo = cn_conceptos_mov.codrefer)
WHERE 
`idconceptomovtipo` = 1

// salarios
UPDATE `cn_conceptos_mov`
SET 
-----idconcepto = xxxxxxx falta agregar
WHERE 
`idconceptomovtipo` = 3

*/




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Estado de Resultado Simplificado</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<form id="form1" name="form1" method="get" action="">


<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">A&ntilde;o *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
    <select name="ano" class="form-control" required="required">
        <option value="">Seleccionar...</option>
        <?php for($i=date("Y")-1;$i<=date("Y");$i++){ ?>
        <option value="<?php echo $i ?>"
        <?php 
		$selected=" selected ";	
		if($i == $ano){
			echo $selected;
		}
		?>
        
        
        ><?php echo $i ?></option>
        <?php } ?>
    </select>
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Mes *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
    <select name="mes" class="form-control" required="required">
        <option value="">Seleccionar...</option>
        <?php for($i=1;$i<=12;$i++){ ?>
        <option value="<?php echo $i ?>"
        <?php 
		$selected=" selected ";	
		if($i == $mes){
			echo $selected;
		}
		?>
        
        ><?php echo mesespanol($i); ?></option>
        <?php } ?>
    </select>
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-primary" ><span class="fa fa-search"></span> Filtrar</button>
        </div>
    </div>

<br />
</form>

<br /><hr /><br />
<p><a href="cn_err_qf_csv.php?ano=<?php echo intval($_GET['ano']); ?>&mes=<?php echo intval($_GET['mes']); ?>" class="btn btn-sm btn-default"><span class="fa fa-file-excel-o"></span> Descargar</a>
<a  target="_blank" href="cn_err_qf_pdf.php?ano=<?php echo intval($_GET['ano']); ?>&mes=<?php echo intval($_GET['mes']); ?>"  class="btn btn-sm btn-default"><span class="fa fa-print"></span> Imprimir</a>
</p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  	<thead>
            <tr>
                <td >Ventas</td>
                <td align="right" style="text-align:right;"><?php echo formatomoneda($total_vendido,2,'N'); ?></td>
                <td align="right" style="text-align:right;">100%</td>
            </tr>
		</thead>
        <tbody>
            <tr>
                <td>Ventas</td>
                <td align="right"><?php echo formatomoneda($total_vendido,2,'N'); ?></td>
                <td align="right">100%</td>
            </tr>
		</tbody>
<?php  

$resultado=$total_vendido;

while(!$rsgrupos->EOF){

$idgrupo=$rsgrupos->fields['idgrupo'];
$consulta="
SELECT cn_conceptos.idconcepto, cn_conceptos.descripcion, sum(cn_conceptos_mov.monto_comprobante) as  monto_comprobante
FROM cn_conceptos_mov
inner join cn_conceptos on cn_conceptos.idconcepto = cn_conceptos_mov.idconcepto
inner join cn_grupos on cn_grupos.idgrupo = cn_conceptos.idgrupo
where
cn_grupos.idgrupo = $idgrupo
and cn_conceptos.idconcepto > 1
and cn_conceptos_mov.estado = 1
and cn_conceptos_mov.fecha_comprobante >= '$fecha_comprobante_ini'
and cn_conceptos_mov.fecha_comprobante <= '$fecha_comprobante_fin'
group by cn_conceptos.descripcion, cn_conceptos.idconcepto
order by cn_conceptos.descripcion asc
";	
$rsconcep=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$monto_grupo=$rsgrupos->fields['monto_grupo']*-1; 


$resultado+=$monto_grupo;

?>
	  	<thead>
            <tr>
                <td><?php echo $rsgrupos->fields['descripcion']; ?></td>
                <td align="right" style="text-align:right;"> <?php echo formatomoneda($monto_grupo,4,'N') ?></td>
                <td align="right" style="text-align:right;"> <?php echo formatomoneda(($monto_grupo/$total_vendido)*100,2,'N') ?>%</td>
            </tr>
		</thead>
        <tbody>
<?php  while(!$rsconcep->EOF){
$monto_comprobante=$rsconcep->fields['monto_comprobante']*-1; 
	
	 ?>
            <tr>
                <td><a href="cn_err_qf_det.php?id=<?php echo $rsconcep->fields['idconcepto']; ?>&ano=<?php echo $ano; ?>&mes=<?php echo $mes; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a> <?php echo $rsconcep->fields['descripcion']; ?></td>
                <td  align="right"><?php echo formatomoneda($monto_comprobante,4,'N'); ?></td>
                <td align="right" style="text-align:right;"> <?php echo formatomoneda(($monto_comprobante/$total_vendido)*100,2,'N') ?>%</td>
            </tr>
<?php $rsconcep->MoveNext(); }?>
		</tbody>
<?php $rsgrupos->MoveNext(); }?>
	  	<thead>
            <tr>
                <td>Total</td>
                <td align="right" style="text-align:right;"><?php echo formatomoneda($resultado,4,'N'); ?></td>
                <td align="right" style="text-align:right;"> <?php echo formatomoneda(($resultado/$total_vendido)*100,2,'N') ?>%</td>
            </tr>
		</thead>
	</table>
</div>
<br />






                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
