<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="254";
require_once("includes/rsusuario.php"); 


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

$mes=date("m");
$ano=date("Y");
if($_GET['ano'] > 0 && $_GET['mes'] > 0){
	$mes=intval($_GET['mes']);	
	$ano=intval($_GET['ano']);	
}
$ultdiames=ultimoDiaMes($mes,$ano);
$fecha_comprobante_ini=$ano.'-'.$mes."-01";
$fecha_comprobante_fin=$ano.'-'.$mes.'-'.$ultdiames;


$consulta="
select sum(totalcobrar) as total_vendido 
from ventas 
where 
YEAR(fecha) = $ano 
and MONTH(fecha) = $mes
and estado <> 6
";
$rsven=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


$datos="";


	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rsven->fields;
	/*foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;*/
	$datos.='GRUPO;CONCEPTO;MONTO'.$saltolinea;
	
	//CONSTRUYE CUERPO
	$datos.='VENTAS;VENTAS;'.floatval($rsven->fields['total_vendido']).$saltolinea;

$consulta="
SELECT cn_grupos.descripcion as grupo, cn_conceptos.descripcion as concepto,  
REPLACE(COALESCE(sum(cn_conceptos_mov.monto_comprobante*-1),0),'.',',') as  monto_comprobante
FROM cn_conceptos_mov
inner join cn_conceptos on cn_conceptos.idconcepto = cn_conceptos_mov.idconcepto
inner join cn_grupos on cn_grupos.idgrupo = cn_conceptos.idgrupo
where
cn_conceptos.idconcepto > 1
and cn_conceptos_mov.estado = 1
and cn_conceptos_mov.fecha_comprobante >= '$fecha_comprobante_ini'
and cn_conceptos_mov.fecha_comprobante <= '$fecha_comprobante_fin'
group by cn_conceptos.descripcion
order by cn_grupos.descripcion asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 //	CONCAT('\"',factura,'\"') as Factura,


 $impreso=date("d/m/Y H:i:s");






	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	/*$array=$rs->fields;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;*/
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$datos.=limpiacsv($value).';';
		}
		$datos.=$saltolinea;
	$rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=er_'.$impreso.'.csv');
	
echo $datos;
exit;


?>
