<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="2";
$submodulo="348";
require_once("includes/rsusuario.php"); 


$whereadd='';
$whereadd_cn='';

$mes=date("m");
$ano=date("Y");
if($_GET['ano'] > 0 && $_GET['mes'] > 0){
	$mes=intval($_GET['mes']);	
	$ano=intval($_GET['ano']);	
}
$ultdiames=ultimoDiaMes($mes,$ano);
$fecha_comprobante_ini=$ano.'-'.$mes."-01";
$fecha_comprobante_fin=$ano.'-'.$mes.'-'.$ultdiames;

$idsucursal=intval($_GET['suc']);
if($idsucursal > 0){
	$whereadd.=' and ventas.sucursal = '.$idsucursal;
	$whereadd_cn.=' and cn_conceptos_mov.idsucursal_cn = '.$idsucursal;
}


$consulta="
select sum(totalcobrar) as total_vendido 
from ventas 
where 
YEAR(fecha) = $ano 
and MONTH(fecha) = $mes
and estado <> 6
$whereadd
";
$rsven=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$total_vendido=$rsven->fields['total_vendido'];

// actualizar sucursal en compras
$consulta="
update cn_conceptos_mov 
set 
idsucursal_cn = (
	select facturas_proveedores.idsucursal_fact
	from facturas_proveedores_compras
	inner join facturas_proveedores on facturas_proveedores.id_factura = facturas_proveedores_compras.id_factura
	where
	cn_conceptos_mov.codrefer = facturas_proveedores_compras.pkss
	limit 1
)
where
idconceptomovtipo = 1
and idsucursal_cn is null
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
// actualizar sucursal en gastos
$consulta="
update cn_conceptos_mov 
set 
idsucursal_cn = (
	select facturas_proveedores.idsucursal_fact
	from facturas_proveedores_gastos
	inner join facturas_proveedores on facturas_proveedores.id_factura = facturas_proveedores_gastos.id_factura
	where
	cn_conceptos_mov.codrefer = facturas_proveedores_gastos.unss
	limit 1
)
where
idconceptomovtipo = 2
and idsucursal_cn is null
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
select * ,
(
SELECT sum(cn_conceptos_mov.monto_comprobante) as  monto_comprobante
FROM cn_conceptos_mov
inner join cn_conceptos on cn_conceptos.idconcepto = cn_conceptos_mov.idconcepto
where
cn_conceptos.idgrupo = cn_grupos.idgrupo
and cn_conceptos.idconcepto > 1
and cn_conceptos_mov.estado = 1
and cn_conceptos_mov.fecha_comprobante >= '$fecha_comprobante_ini'
and cn_conceptos_mov.fecha_comprobante <= '$fecha_comprobante_fin'
$whereadd_cn
) as monto_grupo
from cn_grupos
where 
estado = 1
and idgrupo > 1
order by descripcion asc
";
$rsgrupos=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

/*

////////////  rellenar estado de resultado retroactivamente (SOLO COMPRAS) ///////////////////

update facturas_proveedores_compras 
set 
idconcepto = (
			select idconcepto 
			from insumos_lista 
			where 
			idinsumo =  facturas_proveedores_compras.idproducto
			)
where 
idconcepto is null;

delete from cn_conceptos_mov where idconceptomovtipo =1;

INSERT INTO cn_conceptos_mov
(
idconcepto, codrefer, fecha_comprobante,
registrado_el, registrado_por, estado, idconceptomovtipo,
year_comprobante, monto_comprobante, iva_comprobante
)
select
facturas_proveedores_compras.idconcepto, pkss, facturas_proveedores.fecha_compra,
facturas_proveedores.fecha_carga, facturas_proveedores.usuario_carga, 1, 1,
YEAR(facturas_proveedores.fecha_compra), subtotal, facturas_proveedores_compras.monto_iva
from facturas_proveedores_compras
inner join facturas_proveedores on facturas_proveedores.id_factura = facturas_proveedores_compras.id_factura
where
facturas_proveedores.idcompra > 0
and facturas_proveedores.estado <> 6
and facturas_proveedores_compras.idconcepto is not null
and pkss not in (select codrefer from cn_conceptos_mov where cn_conceptos_mov.idconceptomovtipo = 1 );


////////////  rellenar estado de resultado retroactivamente (SOLO COMPRAS) ///////////////////


modificar retroactivo en base a tabla de gastos asignadas a conceptos

// gastos


UPDATE `cn_conceptos_mov`
SET 
idconcepto = (select facturas_proveedores_gastos.idconcepto from facturas_proveedores_gastos where facturas_proveedores_gastos.unss = cn_conceptos_mov.codrefer)
WHERE 
`idconceptomovtipo` = 2

UPDATE `cn_conceptos_mov`
SET 
idconcepto = (select gastos_lista.idconcepto from gastos_lista where gastos_lista.idgasto = cn_conceptos_mov.codrefer)
WHERE 
`idconceptomovtipo` = 2

// compras
UPDATE `cn_conceptos_mov`
SET 
idconcepto = (select insumos_lista.idconcepto from insumos_lista where insumos_lista.idinsumo = cn_conceptos_mov.codrefer)
WHERE 
`idconceptomovtipo` = 1

// salarios
UPDATE `cn_conceptos_mov`
SET 
-----idconcepto = xxxxxxx falta agregar
WHERE 
`idconceptomovtipo` = 3

*/




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Resultado de Gestion</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<form id="form1" name="form1" method="get" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">A&ntilde;o *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
    <select name="ano" class="form-control" required="required">
        <option value="">Seleccionar...</option>
        <?php for($i=date("Y")-5;$i<=date("Y");$i++){ ?>
        <option value="<?php echo $i ?>"
        <?php 
		$selected=" selected ";	
		if($i == $ano){
			echo $selected;
		}
		?>
        
        
        ><?php echo $i ?></option>
        <?php } ?>
    </select>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Mes *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
    <select name="mes" class="form-control" required="required">
        <option value="">Seleccionar...</option>
        <?php for($i=1;$i<=12;$i++){ ?>
        <option value="<?php echo $i ?>"
        <?php 
		$selected=" selected ";	
		if($i == $mes){
			echo $selected;
		}
		?>
        
        ><?php echo mesespanol($i); ?></option>
        <?php } ?>
    </select>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Sucursal * </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
<?php 
	  
	  
//lista de sucursales
$buscar="select * from sucursales where  estado = 1 order by nombre asc";
$rsfd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

	  
	  
	  ?><select name="suc" id="suc" class="form-control" >
        <option value="0" <?php if(intval($_GET['suc']) == 0){?>selected="selected"<?php }?>>TODOS</option>
       <?php while (!$rsfd->EOF){?>
        <option value="<?php echo $rsfd->fields['idsucu']?>" <?php if($rsfd->fields['idsucu']==intval($_GET['suc'])){?>selected="selected"<?php }?>><?php echo $rsfd->fields['nombre']?></option>
    
         <?php $rsfd->MoveNext();}?>
    </select>
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>
        </div>
    </div>

<br />
</form>

<br /><hr /><br />
<p>
<a href="cn_err_simp_csv.php<?php echo parametros_url(); ?>" class="btn btn-sm btn-default"><span class="fa fa-file-excel-o"></span> Descargar</a>
<a href="cn_err_asigna.php" class="btn btn-sm btn-default"><span class="fa fa-refresh"></span> Asignacion Retroactiva</a>
</p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  	<thead>
            <tr>
                <td >Ventas</td>
                <td align="right" style="text-align:right;"><?php echo formatomoneda($total_vendido,2,'N'); ?></td>
                <td align="right" style="text-align:right;">100%</td>
            </tr>
		</thead>
        <tbody>
            <tr>
                <td>Ventas</td>
                <td align="right"><?php echo formatomoneda($total_vendido,2,'N'); ?></td>
                <td align="right">100%</td>
            </tr>
		</tbody>
<?php  

$resultado=$total_vendido;

while(!$rsgrupos->EOF){

$idgrupo=$rsgrupos->fields['idgrupo'];
$consulta="
SELECT cn_conceptos.idconcepto, cn_conceptos.descripcion, sum(cn_conceptos_mov.monto_comprobante) as  monto_comprobante
FROM cn_conceptos_mov
inner join cn_conceptos on cn_conceptos.idconcepto = cn_conceptos_mov.idconcepto
inner join cn_grupos on cn_grupos.idgrupo = cn_conceptos.idgrupo
where
cn_grupos.idgrupo = $idgrupo
and cn_conceptos.idconcepto > 1
and cn_conceptos_mov.estado = 1
and cn_conceptos_mov.fecha_comprobante >= '$fecha_comprobante_ini'
and cn_conceptos_mov.fecha_comprobante <= '$fecha_comprobante_fin'
$whereadd_cn
group by cn_conceptos.descripcion, cn_conceptos.idconcepto
order by cn_conceptos.descripcion asc
";	
$rsconcep=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$monto_grupo=$rsgrupos->fields['monto_grupo']*-1; 


$resultado+=$monto_grupo;

?>
	  	<thead>
            <tr>
                <td><?php echo $rsgrupos->fields['descripcion']; ?></td>
                <td align="right" style="text-align:right;"> <?php echo formatomoneda($monto_grupo,4,'N') ?></td>
                <td align="right" style="text-align:right;"> <?php echo formatomoneda(($monto_grupo/$total_vendido)*100,2,'N') ?>%</td>
            </tr>
		</thead>
        <tbody>
<?php  while(!$rsconcep->EOF){
$monto_comprobante=$rsconcep->fields['monto_comprobante']*-1; 
	
	 ?>
            <tr>
                <td><a href="cn_err_simp_det.php?id=<?php echo $rsconcep->fields['idconcepto']; ?>&ano=<?php echo $ano; ?>&mes=<?php echo $mes; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a> <?php echo $rsconcep->fields['descripcion']; ?></td>
                <td  align="right"><?php echo formatomoneda($monto_comprobante,4,'N'); ?></td>
                <td align="right" style="text-align:right;"> <?php echo formatomoneda(($monto_comprobante/$total_vendido)*100,2,'N') ?>%</td>
            </tr>
<?php $rsconcep->MoveNext(); }?>
		</tbody>
<?php $rsgrupos->MoveNext(); }?>
	  	<thead>
            <tr>
                <td>Total</td>
                <td align="right" style="text-align:right;"><?php echo formatomoneda($resultado,4,'N'); ?></td>
                <td align="right" style="text-align:right;"> <?php echo formatomoneda(($resultado/$total_vendido)*100,2,'N') ?>%</td>
            </tr>
		</thead>
	</table>
</div>
<br />






                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
