<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="2";
$submodulo="366";
require_once("includes/rsusuario.php"); 

$mes=intval($_GET['mes']);
$ano=intval($_GET['ano']);

if($mes < 1 or $mes > 12){
	echo "Mes incorrecto!"; exit;	
}
// hasta 5 años exige hacienda
if($ano < date("Y")-5 or $ano > date("Y")){
	echo "A&ntilde;o incorrecto!"; exit;	
}
if($_GET['tipo_c'] == 'C'){
	$whereadd="and facturas_proveedores.idcompra > 0 ";
}else{
	$whereadd="";
}

function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

// se debe parametrizar algunas opciones
$cuenta_credito=413;
$cuenta_contado=412;
$cuenta_excenta=414;
// FECHA	TIPO_DOCUMENTO	FACTURA	SERIE	CDC	TIMBRADO	TIMBRADO_VENCIMIENTO	TIPO_DOCUMENTO_PERSONA	DOCUMENTO_PERSONA	NOMBRE_PERSONA	GRAVADAS_10	GRAVADAS_05	EXENTAS	TOTAL	MONEDA	CONDICION	CUOTAS	CUENTA_10	CUENTA_05	CUENTA_00	SUCURSAL



$consulta="
select abaco_concepto_fijo_10, abaco_concepto_fijo_05, abaco_concepto_fijo_ex from preferencias_contabilidad limit 1
";
$rsprefcont=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$abaco_concepto_fijo_10=trim($rsprefcont->fields['abaco_concepto_fijo_10']);
$abaco_concepto_fijo_05=trim($rsprefcont->fields['abaco_concepto_fijo_05']);
$abaco_concepto_fijo_ex=trim($rsprefcont->fields['abaco_concepto_fijo_ex']);
if($abaco_concepto_fijo_10 != ''){
	$conceptos.="
		'$abaco_concepto_fijo_10' as  'CUENTA_10',
	";
}else{
	$conceptos.="
	CASE WHEN
		facturas_proveedores.idcompra > 0 
	THEN
		(
		 select 
		 cn_conceptos.descripcion
		 from cn_conceptos 
		 inner join facturas_proveedores_compras on facturas_proveedores_compras.idconcepto = cn_conceptos.idconcepto
		WHERE
		 facturas_proveedores_compras.id_factura = facturas_proveedores.id_factura
			order by facturas_proveedores_compras.pkss ASC
			limit 1
		)
	ELSE
		(
		 select 
		 cn_conceptos.descripcion
		 from cn_conceptos 
		 inner join facturas_proveedores_gastos on facturas_proveedores_gastos.idconcepto = cn_conceptos.idconcepto
		WHERE
		 facturas_proveedores_gastos.id_factura = facturas_proveedores.id_factura
			order by facturas_proveedores_gastos.unss ASC
			limit 1
		)
	END as 'CUENTA_10',
	";
}
if($abaco_concepto_fijo_05 != ''){
	$conceptos.="
		'$abaco_concepto_fijo_05' as  'CUENTA_05',
	";
}else{
	$conceptos.="
	CASE WHEN
		facturas_proveedores.idcompra > 0 
	THEN
		(
		 select 
		 cn_conceptos.descripcion
		 from cn_conceptos 
		 inner join facturas_proveedores_compras on facturas_proveedores_compras.idconcepto = cn_conceptos.idconcepto
		WHERE
		 facturas_proveedores_compras.id_factura = facturas_proveedores.id_factura
			order by facturas_proveedores_compras.pkss ASC
			limit 1
		)
	ELSE
		(
		 select 
		 cn_conceptos.descripcion
		 from cn_conceptos 
		 inner join facturas_proveedores_gastos on facturas_proveedores_gastos.idconcepto = cn_conceptos.idconcepto
		WHERE
		 facturas_proveedores_gastos.id_factura = facturas_proveedores.id_factura
			order by facturas_proveedores_gastos.unss ASC
			limit 1
		)
	END as 'CUENTA_05',
	";
}
if($abaco_concepto_fijo_ex != ''){
	$conceptos.="
		'$abaco_concepto_fijo_ex' as  'CUENTA_00',
	";
}else{
	$conceptos.="
	CASE WHEN
		facturas_proveedores.idcompra > 0 
	THEN
		(
		 select 
		 cn_conceptos.descripcion
		 from cn_conceptos 
		 inner join facturas_proveedores_compras on facturas_proveedores_compras.idconcepto = cn_conceptos.idconcepto
		WHERE
		 facturas_proveedores_compras.id_factura = facturas_proveedores.id_factura
			order by facturas_proveedores_compras.pkss ASC
			limit 1
		)
	ELSE
		(
		 select 
		 cn_conceptos.descripcion
		 from cn_conceptos 
		 inner join facturas_proveedores_gastos on facturas_proveedores_gastos.idconcepto = cn_conceptos.idconcepto
		WHERE
		 facturas_proveedores_gastos.id_factura = facturas_proveedores.id_factura
			order by facturas_proveedores_gastos.unss ASC
			limit 1
		)
	END as 'CUENTA_00',
	";
}

$consulta="
select 
fecha_compra as 'FECHA',
(select tipocomprobante from tipo_comprobante where idtipocomprobante = facturas_proveedores.idtipocomprobante) as 'TIPO_DOCUMENTO',
CONCAT(SUBSTRING(REPLACE(facturas_proveedores.factura_numero,'-',''), 1, 3),'-',SUBSTRING(REPLACE(facturas_proveedores.factura_numero,'-',''), 4, 3),'-',SUBSTRING(REPLACE(facturas_proveedores.factura_numero,'-',''), 7, 7)) as 'FACTURA',
'' as 'SERIE',
CONCAT(facturas_proveedores.cdc,'') as 'CDC',
timbrado AS 'TIMBRADO',
CASE WHEN 
	vtotimbrado is not null
	AND vtotimbrado <> ''
THEN
	vtotimbrado
ELSE
	''
END as 'TIMBRADO_VENCIMIENTO',
'RUC' AS 'TIPO_DOCUMENTO_PERSONA',
(select ruc from proveedores where idproveedor = facturas_proveedores.id_proveedor) as 'DOCUMENTO_PERSONA',
(select nombre from proveedores where idproveedor = facturas_proveedores.id_proveedor) as 'NOMBRE_PERSONA',


	REPLACE(ROUND(COALESCE(
	CASE WHEN
		(
		select id_factura 
		from facturas_proveedores_det_impuesto 
		where 
		facturas_proveedores_det_impuesto.id_factura = facturas_proveedores.id_factura 
		limit 1
		) > 0
	THEN
		(
		select sum(gravadoml)
		from facturas_proveedores_det_impuesto 
		where 
		facturas_proveedores_det_impuesto.id_factura = facturas_proveedores.id_factura
		and iva_porc_col = 10
		)
	ELSE
		CASE WHEN 
		 	idcompra > 0
		 THEN
			(
			select sum(subtotal)-(sum(subtotal)/11)
			from facturas_proveedores_compras 
			where 
			id_factura = facturas_proveedores.id_factura 
			and iva_porc = 10
			)
		 ELSE
			(
			select sum(monto_gasto)-(sum(monto_gasto)/11) 
			from facturas_proveedores_gastos 
			where 
			id_factura = facturas_proveedores.id_factura 
			and iva_porc = 10
			)
		 END
	END,0),0),'.',',') as 'GRAVADAS_10',
	
	REPLACE(ROUND(COALESCE(
	CASE WHEN
		(
		select id_factura 
		from facturas_proveedores_det_impuesto 
		where 
		facturas_proveedores_det_impuesto.id_factura = facturas_proveedores.id_factura 
		limit 1
		) > 0
	THEN
		(
		select sum(gravadoml)
		from facturas_proveedores_det_impuesto 
		where 
		facturas_proveedores_det_impuesto.id_factura = facturas_proveedores.id_factura
		and iva_porc_col = 5
		)
	ELSE
		CASE WHEN 
		 	idcompra > 0
		 THEN
			(
			select sum(subtotal)-(sum(subtotal)/21)
			from facturas_proveedores_compras 
			where 
			id_factura = facturas_proveedores.id_factura 
			and iva_porc = 5
			)
		 ELSE
			(
			select sum(monto_gasto)-(sum(monto_gasto)/21) 
			from facturas_proveedores_gastos 
			where 
			id_factura = facturas_proveedores.id_factura 
			and iva_porc = 5
			)
		 END
	END,0),0),'.',',') as 'GRAVADAS_05',
	
	REPLACE(ROUND(COALESCE(
	CASE WHEN
		(
		select id_factura 
		from facturas_proveedores_det_impuesto 
		where 
		facturas_proveedores_det_impuesto.id_factura = facturas_proveedores.id_factura 
		limit 1
		) > 0
	THEN
		(
		select sum(gravadoml) 
		from facturas_proveedores_det_impuesto 
		where 
		facturas_proveedores_det_impuesto.id_factura = facturas_proveedores.id_factura
		and iva_porc_col = 0
		)
	ELSE
		CASE WHEN 
		 	idcompra > 0
		 THEN
			(
			select sum(subtotal) 
			from facturas_proveedores_compras 
			where 
			id_factura = facturas_proveedores.id_factura 
			and iva_porc = 0
			)
		 ELSE
			(
			select sum(monto_gasto) 
			from facturas_proveedores_gastos 
			where 
			id_factura = facturas_proveedores.id_factura 
			and iva_porc = 0
			)
		 END
	END,0),0),'.',',') as 'EXENTAS',



 
REPLACE(ROUND(COALESCE(facturas_proveedores.total_factura,0),0),'.',',') as 'TOTAL',
'GS' as 'MONEDA',
CASE WHEN 
	tipo_factura = 1
THEN
	'CONTADO'
ELSE
	'CREDITO'
END 'CONDICION',

CASE WHEN 
	tipo_factura = 1
THEN
	'0'
ELSE
	COALESCE(cant_cuotas,1)
END as 'CUOTAS',

$conceptos

SUBSTRING(REPLACE(facturas_proveedores.factura_numero,'-',''), 1, 3) AS 'SUCURSAL',
'' AS 'TIPO_ELECTRONICA',
0 as TOTAL_GS

from facturas_proveedores
where 
estado <> 6
and estado_carga = 3
and MONTH(fecha_compra) = $mes
and YEAR(fecha_compra) = $ano
$whereadd

order by fecha_compra asc
";
//echo $consulta;exit;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

/*
'MATERIA PRIMA' as cuenta_10,
'MATERIA PRIMA' as cuenta_05,
'MATERIA PRIMA' as cuenta_00*/
 $impreso=date("d/m/Y H:i:s");

// FECHA	TIPO_DOCUMENTO	FACTURA	SERIE	CDC	TIMBRADO	TIMBRADO_VENCIMIENTO	TIPO_DOCUMENTO_PERSONA	DOCUMENTO_PERSONA	NOMBRE_PERSONA	GRAVADAS_10	GRAVADAS_05	EXENTAS	TOTAL	MONEDA	CONDICION	CUOTAS	CUENTA_10	CUENTA_05	CUENTA_00	SUCURSAL

$datos="";


	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$datos.=limpiacsv($value).';';
		}
		$datos.=$saltolinea;
	$rs->MoveNext(); }



$impreso=date("Ymdhis");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=compras_ab_'.$ano.'_'.$mes.'_'.$impreso.'.csv');
	
echo $datos;
exit;
?>