<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="2";
$submodulo="366";
require_once("includes/rsusuario.php"); 

$mes=intval($_GET['mes']);
$ano=intval($_GET['ano']);

$formato_redondeo_impuesto=2; // redondeo impuesto

if($mes < 1 or $mes > 12){
	echo "Mes incorrecto!"; exit;	
}
// hasta 5 años exige hacienda
if($ano < date("Y")-5 or $ano > date("Y")){
	echo "A&ntilde;o incorrecto!"; exit;	
}


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

// se debe parametrizar algunas opciones
$cuenta_credito=413;
$cuenta_contado=412;
$cuenta_excenta=414;
// codigo de sucursal en la tabla de sucursal
//REPLACE(ROUND(COALESCE((select sum(ivaml) from ventas_detalles_impuesto where idventa = ventas.idventa),0),0),'.',',') as	ven_iva, 
// FACTURA	TIMBRADO	TIMBRADO_VENCIMIENTO	RUC	PERSONA	GRAVADAS_10	GRAVADAS_05	EXENTAS	TOTAL	MONEDA	CONDICION	CUOTAS	CUENTA_10	CUENTA_05	CUENTA_00
/*

CASE WHEN 
	(select idventa from ventas_detalles_impuesto where idventa = ventas.idventa limit 1) > 0
THEN
 	REPLACE(COALESCE((select sum(monto_col)-sum(ivaml) from ventas_detalles_impuesto where idventa = ventas.idventa and ventas_detalles_impuesto.iva_porc_col = 10),0),'.',',')
ELSE
	REPLACE(COALESCE((Select sum(subtotal) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=10),0),'.',',')
END as GRAVADAS_10, 

CASE WHEN 
	(select idventa from ventas_detalles_impuesto where idventa = ventas.idventa limit 1) > 0
THEN
 	REPLACE(COALESCE((select sum(monto_col)-sum(ivaml) from ventas_detalles_impuesto where idventa = ventas.idventa and ventas_detalles_impuesto.iva_porc_col = 5),0),'.',',')
ELSE
	REPLACE(COALESCE((Select sum(subtotal) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=5),0),'.',',')
END as GRAVADAS_5, 

CASE WHEN 
	(select idventa from ventas_detalles_impuesto where idventa = ventas.idventa limit 1) > 0
THEN
 	REPLACE(COALESCE((Select sum(monto_col) as subtotal from ventas_detalles_impuesto where idventa=ventas.idventa and iva_porc_col=0),0),'.',',')
ELSE
	REPLACE(COALESCE((Select sum(subtotal) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=0),0),'.',',')
END as EXENTAS,

*/

/*
REPLACE(COALESCE(
(
select sum(monto_col)/11
from ventas_detalles_impuesto 
where 
idventa = ventas.idventa 
and ventas_detalles_impuesto.iva_porc_col = 10
),0),'.',',') as GRAVADAS_10,
*/
/*


*/


if($formato_redondeo_impuesto == 1){
	$add_redondeo_impuesto="
	REPLACE(COALESCE(
	(
		select round(sum(monto_col)-(sum(monto_col)/11),4)
		from ventas_detalles_impuesto 
		where 
		idventa = ventas.idventa 
		and ventas_detalles_impuesto.iva_porc_col = 10
	)
	,0),'.',',') as GRAVADAS_10,

	REPLACE(COALESCE(
	(
		select round(sum(monto_col)-(sum(monto_col)/21),4)
		from ventas_detalles_impuesto 
		where 
		idventa = ventas.idventa 
		and ventas_detalles_impuesto.iva_porc_col = 5
	)
	,0),'.',',') as GRAVADAS_5,

	REPLACE(COALESCE(
	(
		select round(sum(monto_col),4)
		from ventas_detalles_impuesto 
		where 
		idventa = ventas.idventa 
		and ventas_detalles_impuesto.iva_porc_col = 0
	)
	,0),'.',',') as EXENTAS,
	";
}else{
	$add_redondeo_impuesto="
	CASE WHEN 
		(select idventa from ventas_detalles_impuesto where idventa = ventas.idventa limit 1) > 0
	THEN
		REPLACE(COALESCE((select sum(monto_col)-sum(ivaml) from ventas_detalles_impuesto where idventa = ventas.idventa and ventas_detalles_impuesto.iva_porc_col = 10),0),'.',',')
	ELSE
		REPLACE(COALESCE((Select sum(subtotal) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=10),0),'.',',')
	END as GRAVADAS_10, 

	CASE WHEN 
		(select idventa from ventas_detalles_impuesto where idventa = ventas.idventa limit 1) > 0
	THEN
		REPLACE(COALESCE((select sum(monto_col)-sum(ivaml) from ventas_detalles_impuesto where idventa = ventas.idventa and ventas_detalles_impuesto.iva_porc_col = 5),0),'.',',')
	ELSE
		REPLACE(COALESCE((Select sum(subtotal) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=5),0),'.',',')
	END as GRAVADAS_5, 

	CASE WHEN 
		(select idventa from ventas_detalles_impuesto where idventa = ventas.idventa limit 1) > 0
	THEN
		REPLACE(COALESCE((Select sum(monto_col) as subtotal from ventas_detalles_impuesto where idventa=ventas.idventa and iva_porc_col=0),0),'.',',')
	ELSE
		REPLACE(COALESCE((Select sum(subtotal) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=0),0),'.',',')
	END as EXENTAS,
	";
}

$consulta=" 
with electro_ventas_aprobadas AS (
	SELECT cdc, idventa
	FROM documentos_electronicos_emitidos
	where 
	estado = 1 
	and estado_set = 3 
	and iddocumentoelectronico = 1
	
)
select 
date(ventas.fecha) as FECHA,
(
select facturas_tipoimpreso.descripcion_abaco
from facturas
inner join facturas_tipoimpreso on facturas_tipoimpreso.tipoimpreso = facturas.tipoimpreso
where
idtanda = ventas.idtandatimbrado
) as TIPO_DOCUMENTO,
CONCAT(SUBSTRING(REPLACE(ventas.factura,'-',''), 1, 3),'-',SUBSTRING(REPLACE(ventas.factura,'-',''), 4, 3),'-',SUBSTRING(REPLACE(ventas.factura,'-',''), 7, 7)) as FACTURA,
'' as SERIE,
electro_ventas_aprobadas.cdc as CDC,
timbrado AS TIMBRADO,
(
SELECT timbrado.fin_vigencia 
FROM facturas
inner join timbrado on timbrado.idtimbrado = facturas.idtimbrado 
WHERE 
idtanda = ventas.idtandatimbrado
) as TIMBRADO_VENCIMIENTO,
'RUC' as TIPO_DOCUMENTO_PERSONA,

CASE WHEN 
	ventas.ruc = 'X'
THEN
	'44444401-7'
ELSE
	ventas.ruc
END AS DOCUMENTO_PERSONA,

CASE WHEN 
	ventas.ruc = 'X'
THEN
	'IMPORTES CONSOLIDADOS'
ELSE
	ventas.razon_social
END as NOMBRE_PERSONA,

$add_redondeo_impuesto


REPLACE(ROUND(COALESCE(totalcobrar,0),0),'.',',') as TOTAL,
'GS' as MONEDA,
CASE WHEN 
	tipo_venta = 1
THEN
	'CONTADO'
ELSE
	'CREDITO'
END as CONDICION,

CASE WHEN 
	tipo_venta = 2
THEN
	(
	SELECT max(cuentas_clientes_det.nro_cuota) as plazo
	FROM cuentas_clientes
	inner join cuentas_clientes_det on cuentas_clientes_det.idcta = cuentas_clientes.idcta
	where 
	idventa = ventas.idventa
	)
ELSE
	''
END as CUOTAS,

'VENTA DE MERCADERIAS GRAV. 10%' as CUENTA_10,
'VENTA DE MERCADERIAS GRAV. 05%' as CUENTA_05, 
'VENTAS DE MERCADERIAS EXENTAS DEL IVA' as CUENTA_00,
SUBSTRING(REPLACE(ventas.factura,'-',''), 1, 3)  as SUCURSAL, 
CASE WHEN
	estado = 6
THEN
	'INUTILIZADO'
ELSE
	'ACTIVO'
END as ESTADO_DOCUMENTO,
(
select anulaciones_ventas_motivos.motivo_anulacion
from anulaciones_ventas
inner join anulaciones_ventas_motivos on anulaciones_ventas_motivos.idmotivoanula = anulaciones_ventas.idmotivoanula
WHERE
anulaciones_ventas.idventa = ventas.idventa
order by idanula desc
limit 1
) as MOTIVO,
0 as TOTAL_GS
from ventas
left join electro_ventas_aprobadas on electro_ventas_aprobadas.idventa = ventas.idventa
where
MONTH(ventas.fecha) = $mes
and YEAR(ventas.fecha) = $ano
and ventas.factura is not null
order by date(ventas.fecha) ASC, factura asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
// and ventas.idventa = 119522 la tatita

 $impreso=date("d/m/Y H:i:s");



$datos="";


	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$datos.=limpiacsv($value).';';
		}
		$datos.=$saltolinea;
	$rs->MoveNext(); }



$impreso=date("Ymdhis");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=ventas_ab_'.$ano.'_'.$mes.'_'.$impreso.'.csv');

echo $datos;
exit;
?>