<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="278";
require_once("includes/rsusuario.php");



$idcliente=intval($_GET['id']);
if($idcliente == 0){
	header("location: cobro_cuentas_det.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select *,
(
select sucursal from sucursal_cliente 
where 
idsucursal_clie=
            (
			select ventas.idsucursal_clie from ventas 
            inner join cuentas_clientes on cuentas_clientes.idventa = ventas.idventa
            where 
            cuentas_clientes.idcta = tmp_carrito_cobros.idcta
			)
 ) as sucucliente,

(select usuario from usuarios where tmp_carrito_cobros.registrado_por = usuarios.idusu) as registrado_por,
(select idventa from cuentas_clientes where cuentas_clientes.idcta = tmp_carrito_cobros.idcta) as idventa,
(
select factura
from ventas 
inner join cuentas_clientes on cuentas_clientes.idventa = ventas.idventa
where 
cuentas_clientes.idcta = tmp_carrito_cobros.idcta
) as factura,
(
select idnotacred 
from gest_pagos
  inner join cuentas_clientes on cuentas_clientes.idventa = gest_pagos.idventa
 where 
 cuentas_clientes.idcta = tmp_carrito_cobros.idcta 
 group by idnotacred
 limit 1
 ) as idnc,
 (
select ventas.fecha 
from ventas 
inner join cuentas_clientes on cuentas_clientes.idventa = ventas.idventa
where 
cuentas_clientes.idcta = tmp_carrito_cobros.idcta
) as fechafactura
from tmp_carrito_cobros 
where 
 estado = 1 
 and idcliente = $idcliente
 and registrado_por = $idusu
order by idcarritocobrotmp asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcarritocobrotmp=intval($rs->fields['idcarritocobrotmp']);
$idcliente=intval($rs->fields['idcliente']);
if($idcarritocobrotmp == 0){
	header("location: cobro_cuentas_det.php");
	exit;	
}


if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){



	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots


	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update tmp_carrito_cobros
		set
			estado = 6
		where 
		 estado = 1 
		 and idcliente = $idcliente
		 and registrado_por = $idusu
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: cobro_cuentas_det.php?id=$idcliente");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Vaciar Carrito de Facturas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<h1>Se borrara todo el carrito completo, esta seguro?</h1>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			
			<th align="center">Idcta</th>
            <th align="center">Idventa</th>
			<th align="center">Factura</th>
            <th align="center">Fecha Factura</th>
			<th align="center">Monto abonar</th>


		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){
	
$idcta=intval($rs->fields['idcta']);
$buscar="Select cuentas_clientes_pagos_cab.idcuentaclientepagcab,cuentas_clientes_pagos_cab.monto_abonado as total_notas,
notanum as idnc,notacredito, 
(select fecha_nota from nota_credito_cabeza where idnotacred=cuentas_clientes_pagos_cab.notanum) as fecha_nota
from cuentas_clientes_pagos_cab 
inner join cuentas_clientes_pagos_det on cuentas_clientes_pagos_det.idcuentaclientepagcab=cuentas_clientes_pagos_cab.idcuentaclientepagcab
 where cuentas_clientes_pagos_det.idcta=$idcta and estado <> 6;
";
$rsnc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));	
$idnc=intval($rsnc->fields['idnc']);
	
	
	
	
$total_abonar_acum+=$rs->fields['monto_abonar'];
$sucucliente=trim($rs->fields['sucucliente']);

$tad='';$tad2='';
if ($idnc > 0){
	
	$tn=formatomoneda($rsnc->fields['total_notas']);
	$fn=date("d/m/Y",strtotime($rsnc->fields['fecha_nota']));
	$nn=$rsnc->fields['notacredito'];
	$tad="<br /><span style='color:black;background-color:yellow'>Notas de credito aplicada en Fecha: &nbsp;$fn &nbsp;<br />Numero: &nbsp; $nn x monto de $tn</span>";
	$tad2="<br /><br /><span style='color:black;background-color:yellow'>- $tn</span>";
	
	
}
	 ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idcta']); ?></td>
            <td align="center"><?php echo intval($rs->fields['idventa']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['factura']); ?><?php if($sucucliente!=''){ ?><br /><?php echo $sucucliente; } ?>
			<?php echo $tad; ?>
			</td>
            <td align="center"><?php echo date("d/m/Y",strtotime($rs->fields['fechafactura'])); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_abonar'],4,'N');  ?></td>


		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
		<tr style="background-color:#CCC;font-weight:bold;">
			<td>
				
			Totales

			</td>
			
            <td align="center"></td>
			<td align="center"></td>
            <td align="center"></td>
			<td align="right"><?php echo formatomoneda($total_abonar_acum,4,'N');  ?></td>


		</tr>
	  </tbody>
    </table>
</div>
<br />



<div class="clearfix"></div>
<br /><br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
		
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='cobro_cuentas_det.php?id=<?php echo $idcliente ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
<input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
