<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="282";
require_once("includes/rsusuario.php"); 

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}

if(trim($_GET['recibo']) != ''){
	$recibo=antisqlinyeccion(trim($_GET['recibo']),"text");	
	$whereadd.="
	and recibo = $recibo
	";
}
if(trim($_GET['estado']) != ''){
	$estado=antisqlinyeccion(trim($_GET['estado']),"int");	
	if(intval($_GET['estado']) == 0){
		$whereadd.="
		and cuentas_clientes_pagos_cab.estado is not null
		";
	}else{
		$whereadd.="
		and cuentas_clientes_pagos_cab.estado = $estado
		";
	}

}
if(intval($_GET['idcliente']) > 0){
	$idcliente=antisqlinyeccion(trim($_GET['idcliente']),"text");	
	$whereadd.="
	and idcliente = $idcliente
	";
}
		
$consulta="
select *,
(select usuario from usuarios where cuentas_clientes_pagos_cab.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where cuentas_clientes_pagos_cab.anulado_por = usuarios.idusu) as borrado_por,
(select razon_social from cliente where idcliente  = cuentas_clientes_pagos_cab.idcliente) as cliente
from cuentas_clientes_pagos_cab 
where 
 date(fecha_pago) >= '$desde'
 and date(fecha_pago) <= '$hasta'
 and cuentas_clientes_pagos_cab.notanum is null
 $whereadd
order by idcuentaclientepagcab asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Informe de cobro de cuentas a credito</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php 
$refemenu="busq";
require_once("includes/menu_cobro_inf.php"); ?>
<div class="clearfix"></div>
<hr />

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="get" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha pago desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php echo $desde; ?>" placeholder="Fecha pago" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha pago hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php  echo $hasta; ?>" placeholder="Fecha pago" class="form-control" required />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Recibo </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="recibo" id="recibo" value="<?php  if(isset($_GET['recibo'])){ echo htmlentities($_GET['recibo']); }?>" placeholder="Recibo" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idcliente </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idcliente" id="idcliente" value="<?php  if(isset($_GET['idcliente'])){ echo htmlentities($_GET['idcliente']); }?>" placeholder="idcliente" class="form-control"  />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Estado Recibo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_GET['estado'])){ 
	$value_selected=htmlentities($_GET['estado']); 
}else{
	$value_selected='1';
}
// opciones
$opciones=array(
	'VIGENTE' => '1',
	'ANULADO' => '6',
	'AMBOS' => '0'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'estado',
	'id_campo' => 'estado',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Buscar</button>
        </div>
    </div>

<br />
</form>
<div class="clearfix"></div>
<br /><br />


<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
            <th align="center">Fecha pago</th>
			<th align="center">Recibo</th>
			<th align="center">Cliente</th>
			<th align="center">Monto abonado</th>
			
			<th align="center">Caja #</th>
			<th align="center">Comentarios</th>
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>


		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="cobro_cuentas_informe_det.php?id=<?php echo $rs->fields['idcuentaclientepagcab']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>

				</div>

			</td>
            <td align="center"><?php if($rs->fields['fecha_pago'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_pago'])); }  ?></td>
            <td align="center"><?php echo antixss($rs->fields['recibo']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['cliente']); ?> [<?php echo antixss($rs->fields['idcliente']); ?>]</td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_abonado']);  ?></td>

			<td align="center"><?php echo intval($rs->fields['idcaja_old']); ?></td>
			<td align="center"><?php echo ($rs->fields['comentarios']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>

			

		</tr>
<?php 
					   
$monto_abonado_acum+=$rs->fields['monto_abonado'];						   
$rs->MoveNext(); } //$rs->MoveFirst();
	  
		  
?>
	  </tbody>
	  <tfoot>
		<tr>
			<td colspan="3">
				Totales

			</td>

            <td align="center"></td>
			<td align="right"><?php echo formatomoneda($monto_abonado_acum);  ?></td>
			<td align="center"></td>
			

			<td align="center"></td>

			<td align="center"></td>
			<td align="center"></td>

			

		</tr>
	  </tfoot>
    </table>
</div>
<br />




                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
