<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="282";
require_once("includes/rsusuario.php"); 


$ano_pasado=date("Y")-1;
$consulta="
select 
YEAR(fecha_pago) as ano, MONTH(fecha_pago) as mes, count(idcuentaclientepagcab) as cantidad, sum(monto_abonado) as total
from cuentas_clientes_pagos_cab 
where 
estado = 1 
and YEAR(fecha_pago) >= $ano_pasado
and cuentas_clientes_pagos_cab.notanum is null
and CONCAT(YEAR(fecha_pago),MONTH(fecha_pago)) in (
	select *
	from 
	(
		select CONCAT(YEAR(fecha_pago),MONTH(fecha_pago))
		from cuentas_clientes_pagos_cab 
		where 
		estado = 1 
		and YEAR(fecha_pago) >= $ano_pasado
		and cuentas_clientes_pagos_cab.notanum is null
		group by YEAR(fecha_pago) desc, MONTH(fecha_pago)
		order by YEAR(fecha_pago) desc, MONTH(fecha_pago) desc
		limit 12
	) ultimos_meses
)
group by YEAR(fecha_pago), MONTH(fecha_pago)
order by YEAR(fecha_pago) asc, MONTH(fecha_pago) asc
limit 12
";
$rsmes=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Informe de cobro de cuentas a credito</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php 
$refemenu="evo";
require_once("includes/menu_cobro_inf.php"); ?>
<div class="clearfix"></div>
<hr />

<p class="text-muted font-13 m-b-30" style="font-weight:bold;">
Evolucion Mensual (Ultimos 12 meses):
</p>  
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
          <thead>
            <tr>
              <th align="center" ><strong>Mes/Año</strong></th>
              <th align="center" ><strong>Cantidad de Recibos</strong></th>
              <th align="center" ><strong>Monto Cobrado</strong></th>
				<th align="center"><strong>Cambio</strong></th>
				<th align="center"><strong>Monto Promedio</strong></th>
                <th align="center"><strong>Monto Acumulado</strong></th>
            </tr>
            </thead>
            <tbody>
           <?php  
		   $i=0;
		   while (!$rsmes->EOF){ 
		   $totalacum+=$rsmes->fields['total'];
                $monto_cambio = $rsmes->fields['total'] - $monto_anterior;
				if($monto_cambio < 0){
					$color='red';
				}else{
					$color='green';
				}
		   $i++;
		   ?>
            <tr>
              <td align="center"><?php echo mesespanol($rsmes->fields['mes']);  ?> <?php echo intval($rsmes->fields['ano']);  ?></td>
              <td align="right"><?php echo formatomoneda($rsmes->fields['cantidad']); ?></td>
              <td align="right"><?php echo formatomoneda($rsmes->fields['total']); ?></td>
			    <td align="right" style="color:<?php echo $color; ?>;"><?php if($monto_cambio >= 0){ echo "+"; } ?><?php if($i > 1){ echo formatomoneda($monto_cambio); }else{ echo 0; } ?></td>
				<td align="right"><?php echo formatomoneda($rsmes->fields['total']/$rsmes->fields['cantidad']); ?></td>
				<td align="right"><?php echo formatomoneda($totalacum); ?></td>
            </tr>
           <?php 
		    $monto_anterior = $rsmes->fields['total'];
		   $rsmes->MoveNext(); } $rsmes->MoveFirst();  ?> 
          </tbody>
      </table>
</div>
<div class="clearfix"></div>
<hr />
 <div class="col-md-12">          
<p class="text-muted font-13 m-b-30">
Evolucion Mensual
</p>  
 <canvas id="chartjs-2" class="chartjs" width="undefined" height="undefined"></canvas>
</div>

<?php 
$dia_tope=date("d");
$consulta="
select 
YEAR(fecha_pago) as ano, MONTH(fecha_pago) as mes, count(idcuentaclientepagcab) as cantidad, sum(monto_abonado) as total
from cuentas_clientes_pagos_cab 
where 
estado = 1 
and YEAR(fecha_pago) >= $ano_pasado
and DAY(fecha_pago) <= $dia_tope
and cuentas_clientes_pagos_cab.notanum is null
and CONCAT(YEAR(fecha_pago),MONTH(fecha_pago)) in (
	select *
	from 
	(
		select CONCAT(YEAR(fecha_pago),MONTH(fecha_pago))
		from cuentas_clientes_pagos_cab 
		where 
		estado = 1 
		and YEAR(fecha_pago) >= $ano_pasado
		and cuentas_clientes_pagos_cab.notanum is null
		group by YEAR(fecha_pago) desc, MONTH(fecha_pago)
		order by YEAR(fecha_pago) desc, MONTH(fecha_pago) desc
		limit 12
	) ultimos_meses
)
group by YEAR(fecha_pago), MONTH(fecha_pago)
order by YEAR(fecha_pago) asc, MONTH(fecha_pago) asc
limit 12
";
$rsmesal=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<div class="clearfix"></div>
<hr />
<p class="text-muted font-13 m-b-30" style="font-weight:bold;">
Evolucion Mensual (Ultimos 12 meses) al <?php echo $dia_tope; ?> de cada mes:
</p>  
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
          <thead>
            <tr>
              <th align="center" ><strong>Mes/Año</strong></th>
              <th align="center" ><strong>Cantidad de Recibos</strong></th>
              <th align="center" ><strong>Monto Cobrado</strong></th>
				<th align="center"><strong>Cambio</strong></th>
				<th align="center"><strong>Monto Promedio</strong></th>

            </tr>
            </thead>
            <tbody>
           <?php  
		   $i=0;
		   $totalacum=0;
		   while (!$rsmesal->EOF){ 
		   $totalacum+=$rsmesal->fields['total'];
                $monto_cambio = $rsmesal->fields['total'] - $monto_anterior;
				if($monto_cambio < 0){
					$color='red';
				}else{
					$color='green';
				}
		   $i++;
		   ?>
            <tr>
              <td align="center"><?php echo mesespanol($rsmesal->fields['mes']);  ?> <?php echo intval($rsmesal->fields['ano']);  ?></td>
              <td align="right"><?php echo formatomoneda($rsmesal->fields['cantidad']); ?></td>
			  
              <td align="right"><?php echo formatomoneda($rsmesal->fields['total']); ?></td>
			  <td align="right" style="color:<?php echo $color; ?>;"><?php if($monto_cambio >= 0){ echo "+"; } ?><?php if($i > 1){ echo formatomoneda($monto_cambio); }else{ echo 0; } ?></td>
			  <td align="right"><?php echo formatomoneda($rsmesal->fields['total']/$rsmesal->fields['cantidad']); ?></td>
            </tr>
           <?php  
		   $monto_anterior = $rsmesal->fields['total'];
		   $rsmesal->MoveNext(); } $rsmesal->MoveFirst();  ?> 
          </tbody>
      </table>
</div>

<div class="clearfix"></div>
<hr />
<p class="text-muted font-13 m-b-30" style="font-weight:bold;">
Evolucion Anual:
</p>  
<?php 
$consulta="
select 
YEAR(fecha_pago) as ano, count(idcuentaclientepagcab) as cantidad, sum(monto_abonado) as total
from cuentas_clientes_pagos_cab 
where 
estado = 1 
and cuentas_clientes_pagos_cab.notanum is null
group by YEAR(fecha_pago)
order by YEAR(fecha_pago) asc
limit 12
";
$rsmesal=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
          <thead>
            <tr>
              <th align="center" ><strong>Año</strong></th>
              <th align="center" ><strong>Cantidad de Recibos</strong></th>
              <th align="center" ><strong>Monto Cobrado</strong></th>
				<th align="center"><strong>Cambio</strong></th>
				<th align="center"><strong>% Crecimiento</strong></th>
				<th align="center"><strong>Monto Promedio</strong></th>

            </tr>
            </thead>
            <tbody>
           <?php  
		   $i=0;
		   $totalacum=0;
		   while (!$rsmesal->EOF){ 
				$totalacum+=$rsmesal->fields['total'];
                $monto_cambio = $rsmesal->fields['total'] - $monto_anterior;
				if($monto_cambio < 0){
					$color='red';
				}else{
					$color='green';
				}
                // Cálculo del porcentaje de crecimiento
                if ($monto_anterior > 0) {
                    $porcentaje_crecimiento = (($rsmesal->fields['total'] - $monto_anterior) / $monto_anterior) * 100;
                } else {
                    $porcentaje_crecimiento = 0; // Si no hay monto anterior, no se puede calcular crecimiento
                }
				$i++;
		   
		   ?>
            <tr>
              <td align="center"><?php echo intval($rsmesal->fields['ano']);  ?></td>
              <td align="right"><?php echo formatomoneda($rsmesal->fields['cantidad']); ?></td>
			  
              <td align="right"><?php echo formatomoneda($rsmesal->fields['total']); ?></td>
			  <td align="right" style="color:<?php echo $color; ?>;"><?php if($monto_cambio >= 0){ echo "+"; } ?><?php if($i > 1){ echo formatomoneda($monto_cambio); }else{ echo 0; } ?></td>
			  <td align="right" style="color:<?php echo $color; ?>;"><?php if($i > 1){ echo number_format($porcentaje_crecimiento, 2).'%'; }else{ echo "0%"; } ?></td>
			 <td align="right"><?php echo formatomoneda($rsmesal->fields['total']/$rsmesal->fields['cantidad']); ?></td>
            </tr>
           <?php  
		   $monto_anterior = $rsmesal->fields['total'];
		   $rsmesal->MoveNext(); } $rsmesal->MoveFirst();  ?> 
          </tbody>
      </table>
</div>

<div class="clearfix"></div>
<hr />
<p class="text-muted font-13 m-b-30" style="font-weight:bold;">
<?php
$mes_actual = date("m");
?>
Evolucion Anual al (01/<?php echo mesespanol($mes_actual); ?> de cada Año):<br />
(Al inicio del 1 de <?php echo mesespanol($mes_actual); ?> a las 00:00 hs.)
</p>  
<?php 

$consulta="
SELECT 
    YEAR(fecha_pago) as ano, 
    COUNT(idcuentaclientepagcab) as cantidad, 
    SUM(monto_abonado) as total
FROM 
    cuentas_clientes_pagos_cab 
WHERE 
    estado = 1 
    AND cuentas_clientes_pagos_cab.notanum IS NULL
    AND MONTH(fecha_pago) < $mes_actual
GROUP BY 
    YEAR(fecha_pago)
ORDER BY 
    YEAR(fecha_pago) ASC
LIMIT 12
";
$rsmesal = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
          <thead>
            <tr>
              <th align="center" ><strong>Año</strong></th>
              <th align="center" ><strong>Cantidad de Recibos</strong></th>
              <th align="center" ><strong>Monto Cobrado</strong></th>
				<th align="center"><strong>Cambio</strong></th>
				<th align="center"><strong>% Crecimiento</strong></th>
				<th align="center"><strong>Monto Promedio</strong></th>

            </tr>
            </thead>
            <tbody>
           <?php  
		   $i=0;
		   $totalacum=0;
		   $monto_anterior=0;
		   while (!$rsmesal->EOF){ 
		   $totalacum+=$rsmesal->fields['total'];
                $monto_cambio = $rsmesal->fields['total'] - $monto_anterior;
				if($monto_cambio < 0){
					$color='red';
				}else{
					$color='green';
				}
                // Cálculo del porcentaje de crecimiento
                if ($monto_anterior > 0) {
                    $porcentaje_crecimiento = (($rsmesal->fields['total'] - $monto_anterior) / $monto_anterior) * 100;
                } else {
                    $porcentaje_crecimiento = 0; // Si no hay monto anterior, no se puede calcular crecimiento
                }
		   $i++;
		   ?>
            <tr>
              <td align="center"><?php echo intval($rsmesal->fields['ano']);  ?></td>
              <td align="right"><?php echo formatomoneda($rsmesal->fields['cantidad']); ?></td>
			  
              <td align="right"><?php echo formatomoneda($rsmesal->fields['total']); ?></td>
			  <td align="right" style="color:<?php echo $color; ?>;"><?php if($monto_cambio >= 0){ echo "+"; } ?><?php if($i > 1){ echo formatomoneda($monto_cambio); }else{ echo 0; } ?></td>
			  <td align="right" style="color:<?php echo $color; ?>;"><?php if($i > 1){ echo number_format($porcentaje_crecimiento, 2).'%'; }else{ echo "0%"; } ?></td>
			  <td align="right"><?php echo formatomoneda($rsmesal->fields['total']/$rsmesal->fields['cantidad']); ?></td>
            </tr>
           <?php  
		   $monto_anterior = $rsmesal->fields['total'];
		   $rsmesal->MoveNext(); } $rsmesal->MoveFirst();  ?> 
          </tbody>
      </table>
</div>

<div class="clearfix"></div>
<br /><br /><br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>

<?php 
$rschart=$rsmes;
$data_cant="";
$data_labels="";
while(!$rschart->EOF){
	$data_labels.='"'.antixss(str_replace(",","",mesespanol($rschart->fields['mes']).' '.$rschart->fields['ano'])).'"'.', '.$saltolinea;
	$data_cant.=$rschart->fields['total'].', ';
$rschart->MoveNext(); } //$rschart->MoveFirst();
$data_labels=substr(trim($data_labels),0,-1);
$data_cant=substr(trim($data_cant),0,-1);


?>
<script>
new Chart(document.getElementById("chartjs-2"), {
    "type": "horizontalBar",
    "data": {
        "labels": [<?php echo $data_labels ?>],
        "datasets": [{
            "label": "",
            "data": [<?php echo $data_cant ?>],
            "fill": false,
            "backgroundColor": [
			"rgba(255, 99, 132, 0.2)", "rgba(54, 162, 235, 0.2)", "rgba(255, 206, 86, 0.2)",
            "rgba(75, 192, 192, 0.2)", "rgba(153, 102, 255, 0.2)", "rgba(255, 159, 64, 0.2)",
            "rgba(0, 204, 102, 0.2)", "rgba(255, 102, 0, 0.2)", "rgba(102, 51, 153, 0.2)",
            "rgba(255, 204, 0, 0.2)", "rgba(102, 153, 204, 0.2)", "rgba(0, 102, 102, 0.2)",
            "rgba(204, 51, 0, 0.2)", "rgba(51, 204, 255, 0.2)", "rgba(102, 102, 204, 0.2)",
            "rgba(0, 153, 51, 0.2)", "rgba(255, 51, 153, 0.2)", "rgba(255, 102, 255, 0.2)",
            "rgba(153, 204, 51, 0.2)", "rgba(255, 0, 102, 0.2)", "rgba(102, 255, 204, 0.2)",
            "rgba(0, 102, 51, 0.2)", "rgba(204, 255, 102, 0.2)", "rgba(255, 51, 51, 0.2)",
            "rgba(153, 51, 51, 0.2)", "rgba(102, 102, 255, 0.2)", "rgba(255, 102, 204, 0.2)",
            "rgba(0, 51, 102, 0.2)", "rgba(204, 102, 255, 0.2)", "rgba(153, 255, 153, 0.2)",
            "rgba(102, 255, 102, 0.2)"
			],
            "borderColor": [
			"rgb(255, 99, 132)", "rgb(54, 162, 235)", "rgb(255, 206, 86)",
            "rgb(75, 192, 192)", "rgb(153, 102, 255)", "rgb(255, 159, 64)",
            "rgb(0, 204, 102)", "rgb(255, 102, 0)", "rgb(102, 51, 153)",
            "rgb(255, 204, 0)", "rgb(102, 153, 204)", "rgb(0, 102, 102)",
            "rgb(204, 51, 0)", "rgb(51, 204, 255)", "rgb(102, 102, 204)",
            "rgb(0, 153, 51)", "rgb(255, 51, 153)", "rgb(255, 102, 255)",
            "rgb(153, 204, 51)", "rgb(255, 0, 102)", "rgb(102, 255, 204)",
            "rgb(0, 102, 51)", "rgb(204, 255, 102)", "rgb(255, 51, 51)",
            "rgb(153, 51, 51)", "rgb(102, 102, 255)", "rgb(255, 102, 204)",
            "rgb(0, 51, 102)", "rgb(204, 102, 255)", "rgb(153, 255, 153)",
            "rgb(102, 255, 102)"
			],
            "borderWidth": 1
        }]
    },
    "options": {
        "scales": {
            "xAxes": [{
                "ticks": {
                    "beginAtZero": true
                }
            }]
        }
    }
});
</script>
  </body>
</html>
