<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="264";
require_once("includes/rsusuario.php"); 


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(intval($_GET['idsucu']) > 0){
	$idsucu_g=intval($_GET['idsucu']);
	$whereadd.=" and compras.sucursal = $idsucu_g ";	
}


$consulta="
SELECT codprod, 
(select barcode from productos where idprod_serial = insumos_lista.idproducto) as codbar, 
insumos_lista.descripcion, 
REPLACE(sum(cantidad),'.',',')  as cantidad, 
REPLACE(sum(subtotal)/sum(cantidad),'.',',') as costo_promedio,
REPLACE(sum(subtotal),'.',',') as subtotal
FROM compras_detalles
inner join compras on compras.idcompra = compras_detalles.idcompra
inner join insumos_lista on insumos_lista.idinsumo=compras_detalles.codprod
where
compras.fechacompra >= '$desde'
and compras.fechacompra <= '$hasta'
and compras.estado <> 6
$whereadd
group by codprod
order by sum(subtotal) desc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 //	CONCAT('\"',factura,'\"') as Factura,


 $impreso=date("d/m/Y H:i:s");



$datos="";


	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$datos.=limpiacsv($value).';';
		}
		$datos.=$saltolinea;
	$rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=compras_fac_det_'.$impreso.'.csv');
	
echo $datos;
exit;


?>
