<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="248";
require_once("includes/rsusuario.php"); 

$consulta="
select *
from facturas_proveedores 
inner join facturas_proveedores_tipofactura on facturas_proveedores_tipofactura.idtipofactura = facturas_proveedores.tipo_factura
inner join proveedores on proveedores.idproveedor = facturas_proveedores.id_proveedor
where 
 facturas_proveedores.estado <> 6
order by fecha_compra desc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Compras por Proveedor</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<div class="btn-group">
<button class="btn btn-sm btn-<?php if($refemenu == 'prov'){ ?>primary<?php }else{ ?>default<?php } ?>" type="button" 
onmouseup="document.location.href='reporte_compras.php?desde=<?php echo $desde; ?>&hasta=<?php echo $hasta; ?>'"><span class="fa fa-search"></span> Mix de Compras</button>
<button class="btn btn-sm btn-<?php if($refemenu == 'fac'){ ?>primary<?php }else{ ?>default<?php } ?>" type="button" 
onmouseup="document.location.href='reporte_compras_fac.php?desde=<?php echo $desde; ?>&hasta=<?php echo $hasta; ?>'"><span class="fa fa-search"></span> Facturas</button>
<button class="btn btn-sm btn-<?php if($refemenu == 'condi'){ ?>primary<?php }else{ ?>default<?php } ?>" type="button" 
onmouseup="document.location.href='reporte_ventas_condi.php?desde=<?php echo $desde; ?>&hasta=<?php echo $hasta; ?>'"><span class="fa fa-search"></span> Compras por Proveedor</button>


<br /> 
</div>
<br /><hr /><br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
            <th align="center">Factura numero</th>
			<th align="center">Condicion factura</th>
			<th align="center">Proveedor</th>
			<th align="center">Fecha compra</th>
			<th align="center">Total factura</th>
			<th align="center">Saldo factura</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="facturas_proveedores_det.php?id=<?php echo $rs->fields['id_factura']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>
				</div>

			</td>
			<td align="center"><?php echo antixss($rs->fields['factura_numero']); ?></td>
			<td align="right"><?php echo antixss($rs->fields['tipofactura']);  ?></td>
			<td align="right"><?php echo antixss($rs->fields['nombre']);  ?></td>
			<td align="center"><?php if($rs->fields['fecha_compra'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_compra'])); } ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['total_factura']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['saldo_factura']);  ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />




                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
