<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="26";
$submodulo="243";
require_once("includes/rsusuario.php"); 

$consulta="
select *,
(select usuario from usuarios where contrato.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where contrato.borrado_por = usuarios.idusu) as borrado_por
from contrato 
where 
 estado = 'A'
order by idcontrato asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Contratos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<p><a href="contrato_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a></p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Idcontrato</th>
			<th align="center">Fecha inicio</th>
			<th align="center">Fecha final</th>
			<th align="center">Cliente</th>
			<th align="center">Firmado</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="contrato_det.php?id=<?php echo $rs->fields['idcontrato']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>
					<a href="contrato_edit.php?id=<?php echo $rs->fields['idcontrato']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
					<a href="contrato_del.php?id=<?php echo $rs->fields['idcontrato']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
				</div>

			</td>
			<td align="center"><?php echo intval($rs->fields['idcontrato']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_inicio'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_inicio'])); } ?></td>
			<td align="center"><?php if($rs->fields['fecha_final'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_final'])); } ?></td>
			<td align="center"><?php echo intval($rs->fields['cliente']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['firmado']); ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />




                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
