<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="2";
$submodulo="199";
require_once("includes/rsusuario.php"); 

require_once("includes/funciones_timbrado.php");





if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){




	// validaciones basicas
	$valido="S";
	$errores="";

	$parametros_array=array(
		'numfac' => $_POST['numfac'],
		'factura_suc' => $factura_suc,
		'factura_pexp' => $factura_pexp,
		'idusu' => $idusu,
		'idtipodocutimbrado' => $_POST['idtipodocutimbrado'],
	);
	$res=validar_correccion_correlatividad($parametros_array);
	if($res['valido'] != 'S'){
		$valido='N';
		$errores.=$res['errores'];
	}

	// si todo es correcto actualiza
	if($valido == "S"){

		// registra la correccion
		registrar_correccion_correlatividad($parametros_array);
		
		header("location: corregir_correlatividad_documentos.php?ok=".date("YmdHis").'&idtipodocutimbrado='.intval($_POST['idtipodocutimbrado']));
		exit;
		
	}

}

$consulta="
SELECT facturas.idtanda, timbrado.timbrado, facturas.sucursal, facturas.punto_expedicion, timbrado_tipodocu.tipo_documento,
CASE
	WHEN facturas.idtipodocutimbrado = 1 THEN
		(
			SELECT COALESCE(numfac,0)+1
			FROM lastcomprobantes 
			WHERE idsuc = facturas.sucursal
			AND pe = facturas.punto_expedicion
			ORDER BY ano DESC 
			LIMIT 1 
		)
	WHEN facturas.idtipodocutimbrado = 2 THEN
		(
			SELECT COALESCE(numero_nc,0)+1
			FROM lastcomprobantes 
			WHERE idsuc = facturas.sucursal
			AND pe = facturas.punto_expedicion
			ORDER BY ano DESC 
			LIMIT 1 
		)
	WHEN facturas.idtipodocutimbrado = 3 THEN
		(
			SELECT COALESCE(numero_rem,0)+1
			FROM lastcomprobantes 
			WHERE idsuc = facturas.sucursal
			AND pe = facturas.punto_expedicion
			ORDER BY ano DESC 
			LIMIT 1 
		)
	WHEN facturas.idtipodocutimbrado = 4 THEN
		(
			SELECT COALESCE(numero_nd,0)+1
			FROM lastcomprobantes 
			WHERE idsuc = facturas.sucursal
			AND pe = facturas.punto_expedicion
			ORDER BY ano DESC 
			LIMIT 1 
		)
	WHEN facturas.idtipodocutimbrado = 5 THEN
		(
			SELECT COALESCE(numero_nd,0)+1
			FROM lastcomprobantes 
			WHERE idsuc = facturas.sucursal
			AND pe = facturas.punto_expedicion
			ORDER BY ano DESC 
			LIMIT 1 
		)
ELSE
	0
END as prox_numero

FROM timbrado
inner join facturas on facturas.idtimbrado = timbrado.idtimbrado
inner join timbrado_tipodocu on timbrado_tipodocu.idtipodocutimbrado = facturas.idtipodocutimbrado
WHERE
timbrado.estado <> 6
and facturas.estado = 'A'
order by sucursal asc, punto_expedicion asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Corregir correlatividad documentos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content"> 



Seleccione el punto a cambiar:
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>

			<th align="center">Documento</th>
			<th align="center">Sucursal/Establecimiento</th>
			<th align="center">Punto expedicion</th>
			<th align="center">Proximo Numero</th>

			<th align="center">Timbrado</th>
			<th align="center">Idtanda</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					
					<a href="corregir_correlatividad_documentos_det.php?id=<?php echo $rs->fields['idtanda']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
					
				</div>

			</td>


			<td align="center"><?php echo antixss($rs->fields['tipo_documento']); ?></td>
			<td align="center"><?php echo agregacero($rs->fields['sucursal'],3); ?></td>
			<td align="center"><?php echo agregacero($rs->fields['punto_expedicion'],3); ?></td>
			<td align="center"><?php echo $rs->fields['prox_numero']; ?></td>
			<td align="center"><?php echo antixss($rs->fields['timbrado']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idtanda']); ?></td>

		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>

	  </tbody>

    </table>
</div>
<br />


<br /><br /><br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
<?php 
$consulta="
select *,
(select usuario from usuarios where lastcomprobantes_log.registrado_por = usuarios.idusu) as registrado_por
from lastcomprobantes_log 
order by idlastlog desc
limit 500
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 ?>            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Ultimos 500 Cambios</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th align="center">Sucursal</th>
			<th align="center">Punto Expedicion</th>
			<th align="center">Numero factura anterior</th>
			<th align="center">Numero factura nuevo</th>
			<th align="center">Numero nota credito anterior</th>
			<th align="center">Numero nota credito nuevo</th>
			
			<th align="center">Numero nota remision anterior</th>
			<th align="center">Numero nota remision nuevo</th>
			<th align="center">Numero nota debito anterior</th>
			<th align="center">Numero nota debito nuevo</th>
			<th align="center">Numero autofactura anterior</th>
			<th align="center">Numero autofactura nuevo</th>
			
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td align="center"><?php echo agregacero($rs->fields['idsuc'],3); ?></td>
			<td align="center"><?php echo agregacero($rs->fields['pe'],3); ?></td>
			<td align="center"><?php echo intval($rs->fields['numfac_ant']); ?></td>
			<td align="center"><?php echo intval($rs->fields['numfac_new']); ?></td>
			<td align="center"><?php echo intval($rs->fields['numero_nc_ant']); ?></td>
			<td align="center"><?php echo intval($rs->fields['numero_nc_new']); ?></td>
			
			<td align="center"><?php echo intval($rs->fields['numero_rem_ant']); ?></td>
			<td align="center"><?php echo intval($rs->fields['numero_rem_new']); ?></td>
			<td align="center"><?php echo intval($rs->fields['numero_nd_ant']); ?></td>
			<td align="center"><?php echo intval($rs->fields['numero_nd_new']); ?></td>
			<td align="center"><?php echo intval($rs->fields['numero_au_ant']); ?></td>
			<td align="center"><?php echo intval($rs->fields['numero_au_new']); ?></td>
			
			
			
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
<br /><br /><br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 


			
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
