<?php
/*--------------------------------
UR: 18/08/2023

--------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="24";
$submodulo="597";

require_once("includes/rsusuario.php");


$consulta="
SELECT idreg,(select usuario from usuarios where usuarios_email.idusu = usuarios.idusu)
 usuario_correo , idusu , cuenta_email, clave_acceso,firma, estado,
  (select usuario from usuarios where usuarios_email.registrado_por = usuarios.idusu) registrado_por
  from usuarios_email WHERE estado=1
 order by idreg
";
$rsconsu=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>

            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Configuracion de correo por usuarios</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<p><a href="correo_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar cuenta</a></p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
		    <th></th>
			<th align="center">Id</th>
			<th align="center">Usuario</th>
			<th align="center">Cuenta Email </th>
      <th align="center">Firma</th>
			<th align="center">Registrado por</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rsconsu->EOF){ ?>
		<tr>
			<td>

				<div class="btn-group">

					<a href="correo_edit.php?id=<?php echo intval($rsconsu->fields['idreg']); ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
					<a href="correo_del.php?id=<?php echo intval($rsconsu->fields['idreg']);  ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
				</div>
		</td>
  			<td align="center"><?php echo intval($rsconsu->fields['idreg']); ?></td>
  			<td align="center"><?php echo antixss($rsconsu->fields['usuario_correo']); ?></td>
  			<td align="center"><?php echo antixss($rsconsu->fields['cuenta_email']); ?></td>
        <td align="center"><?php echo antixss($rsconsu->fields['firma']); ?></td>
  			<td align="center"><?php echo antixss($rsconsu->fields['registrado_por']); ?></td>

<?php $rsconsu->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->


          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
