<?php
/*--------------------------------
UR: 18/08/2023

--------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="24";
$submodulo="597";

require_once("includes/rsusuario.php");


$idreg=intval($_GET['id']);
if($idreg == 0){
	header("location: cater_correo.php");
	exit;
}

// consulta a la tabla
$consulta="
select *
from usuarios_email
where
idreg = $idreg
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

if($idreg == 0){
	header("location: cater_correo.php");
	exit;
}


if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";

	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots


	// recibe parametros
	$cuenta_email=antisqlinyeccion($_POST['cuenta_email'],"clave");
	$firma= antisqlinyeccion($_POST['firma'],"text");
	$registrado_por=$idusu;
	$clave_acceso=antisqlinyeccion($_POST['clave_acceso'],"clave");
	$smtp_server=antisqlinyeccion($_POST['smtp_server'],"text");
	$smtp_port=antisqlinyeccion($_POST['smtp_port'],"text");


	if(trim($_POST['clave_acceso']) == ''){
		$valido="N";
		$errores.=" - La contraseña no puede estar vacia.<br />";
	}
	if(trim($_POST['cuenta_email']) == ''){
		$valido="N";
		$errores.=" - El correo no puede estar vacio.<br />";
	}
	if(trim($_POST['smtp_server']) == ''){
		$valido="N";
		$errores.=" - Debe tener Smtp Server.<br />";
	}
	if(trim($_POST['smtp_port']) == ''){
		$valido="N";
		$errores.=" - Debe tener Smtp Port.<br />";
	}

	// si todo es correcto actualiza
	if($valido == "S")
	{
		$consulta="
		update usuarios_email
		SET
			cuenta_email=$cuenta_email,
			firma= $firma,
			clave_acceso= $clave_acceso,
			smtp_server= $smtp_server,
			smtp_port= $smtp_port
		WHERE
			idreg = $idreg
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

		header("location: correo.php");
		exit;

	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>

            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Editar cuenta de correo</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
				  <?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">
	<div class="col-md-12 col-xs-12">
		<span class="fa fa-info-circle"></span>&nbsp; Las cuentas de correo poseen parametros de configuraciones. Si no sabe como completar la informaci&oacute;n requerida, consulte con su proveedor de correos para obtener los datos necesarios.
		<hr />
	</div>
	
	<div class="col-md-6 col-sm-6 form-group">
		<label class="control-label col-md-3 col-sm-3 col-xs-12">Correo *</label>
		<div class="col-md-9 col-sm-9 col-xs-12">
		<input type="text" name="cuenta_email" id="cuenta_email" value="<?php  if(isset($_POST['cuenta_email'])){ echo htmlentities($_POST['cuenta_email']); }else{ echo htmlentities($rs->fields['cuenta_email']); }?>" placeholder="Cuenta email" class="form-control" required="required" />
		</div>
	</div>

	<div class="col-md-6 col-sm-6 form-group">
		<label class="control-label col-md-3 col-sm-3 col-xs-12">Contrase&ntilde;a *</label>
		<div class="col-md-9 col-sm-9 col-xs-12">
		<input type="password" name="clave_acceso" id="clave_acceso" value="<?php  if(isset($_POST['clave_acceso'])){ echo htmlentities($_POST['clave_acceso']); }else{ echo htmlentities($rs->fields['clave_acceso']); }?>" placeholder="Clave" class="form-control" required="required" />
		</div>
	</div>
		<div class="x_content">
	<div class="col-md-6 col-sm-6 form-group">
		<label class="control-label col-md-3 col-sm-3 col-xs-12">Smtp Server *</label>
		<div class="col-md-9 col-sm-9 col-xs-12">
		<input type="text" name="smtp_server" id="smtp_server" value="<?php  if(isset($_POST['smtp_server'])){ echo htmlentities($_POST['smtp_server']); }else{ echo htmlentities($rs->fields['smtp_server']); }?>" placeholder="Smtp server" class="form-control" required="required" />
		</div>
	</div>

		<div class="col-md-6 col-sm-6 form-group">
			<label class="control-label col-md-3 col-sm-3 col-xs-12">Firma</label>
			<div class="col-md-9 col-sm-9 col-xs-12">
			<input type="text" name="firma" id="firma" value="<?php  if(isset($_POST['firma'])){ echo htmlentities($_POST['firma']); }else{ echo htmlentities($rs->fields['firma']); }?>" placeholder="Firma" class="form-control"  />
			</div>
		</div>

			<div class="col-md-6 col-sm-6 form-group">
				<label class="control-label col-md-3 col-sm-3 col-xs-12">Smtp Port *</label>
				<div class="col-md-9 col-sm-9 col-xs-12">
				<input type="text" name="smtp_port" id="smtp_port" value="<?php  if(isset($_POST['smtp_port'])){ echo htmlentities($_POST['smtp_port']); }else{ echo htmlentities($rs->fields['smtp_port']); }?>" placeholder="Smtp port" class="form-control" required="required" />
				</div>
			</div>
		</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="text-center col-md-20 col-sm-15  col-xs-12">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='correo.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->


          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
