<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="16";
$submodulo="76";
require_once("includes/rsusuario.php"); 

$idventadet=intval($_GET['id']);



$consulta="
select *,
(select descripcion from productos where productos.idprod_serial = ventas_detalles.idprod) as producto
from ventas_detalles 
where 
idventadet = $idventadet
limit 1
";
$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idventa=$rsdet->fields['idventa'];
if($idventa == 0){
	header("location: costeo_ventas.php");
	exit;	
}

$consulta="
select * 
from ventas 
where 
idventa = $idventa 
and estado <> 6
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idventa=$rs->fields['idventa'];
if($idventa == 0){
	header("location: costeo_ventas.php");
	exit;	
}

$consulta="
select * ,
(select descripcion from insumos_lista where insumos_lista.idinsumo = venta_receta.idinsumo) as insumo,
(select nombre from medidas where id_medida = venta_receta.idmedida) as medida
from venta_receta 
where 
idventadet = $idventadet
";
$rsrec=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<link rel="stylesheet" type="text/css" href="css/magnific-popup.css" />
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	<div class="clear"></div>
		<div class="cuerpo">
			<div class="colcompleto" id="contenedor">
      <br /><br />

      <div class="divstd">
    		<span class="resaltaditomenor">
    			Costeo de Venta<br />
    		</span>
 		</div>
<br /><hr /><br />
<div style="background-color:#FFC;">
<a href="costeo_ventas.php">Ventas</a> > <a href="costeo_ventas_det.php?id=<?php echo $idventa; ?>">Detalle</a> > <span style="color:#F00;">Receta</span>
</div>
<br /><hr /><br />
<p>Datos Venta:</p>
<table width="980" border="1">
  <tr bgcolor="#FFFF99">
    <td><strong>Idventa</strong></td>
    <td><strong>Factura</strong></td>
    <td><strong>Total Venta</strong></td>
    <td><strong>Fecha Hora</strong></td>
  </tr>
  <tr>
    <td><?php echo $rs->fields['idventa']; ?></td>
    <td align="center"><?php echo $rs->fields['factura']; ?></td>
    <td align="right"><?php echo formatomoneda($rs->fields['totalcobrar'],4,'N'); ?></td>
    <td align="center"><?php echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha'])); ?></td>
  </tr>
</table>
<br />
<p>Productos:</p>
<table width="980" border="1">
  <tr bgcolor="#FFFF99">
    <td><strong>Idventadet</strong></td>
    <td><strong>Producto</strong></td>
    <td><strong>Cantidad</strong></td>
    <td><strong>Precio Venta</strong></td>
    <td><strong>Descuento</strong></td>
    <td><strong>Subtotal Venta Sin Desc</strong></td>
    <td><strong>Subtotal Venta</strong></td>
    <td><strong>Precio Costo</strong></td>
    <td><strong>Subtotal Costo</strong></td>
    <td><strong>Utilidad</strong></td>
  </tr>
<?php while(!$rsdet->EOF){ ?>

  <tr>
    <td><?php echo $rsdet->fields['idventadet']; ?></td>
    <td><?php echo $rsdet->fields['producto']; ?> [P:<?php echo $rsdet->fields['idprod']; ?>]</td>
    <td align="center"><?php echo formatomoneda($rsdet->fields['cantidad'],4,'N'); ?></td>
    <td align="right"><?php echo formatomoneda($rsdet->fields['pventa'],4,'N'); ?></td>
    <td align="right"><?php echo formatomoneda($rsdet->fields['descuento'],4,'N'); ?></td>
    <td align="right"><?php echo formatomoneda($rsdet->fields['subtotal_sindesc'],4,'N'); ?></td>
    <td align="right"><?php echo formatomoneda($rsdet->fields['subtotal'],4,'N'); ?></td>
    <td align="right"><?php echo formatomoneda($rsdet->fields['costo'],4,'N'); ?></td>
    <td align="right"><?php echo formatomoneda($rsdet->fields['subtotal_costo'],4,'N'); ?></td>
    <td align="right"><?php echo formatomoneda($rsdet->fields['utilidad'],4,'N'); ?></td>
  </tr>
<?php $rsdet->MoveNext(); }  ?>
</table>
<br />
<p>Receta:</p>
<table width="980" border="1">
  <tr bgcolor="#FFFF99">
    <td><strong>Idventareceta</strong></td>
    <td><strong>Ingrediente</strong></td>
    <td><strong>Medida</strong></td>
    <td><strong>Cantidad</strong></td>
    
    <td><strong>Costo Unitario</strong></td>
    <td><strong>Subtotal Costo</strong></td>
  </tr>
<?php while(!$rsrec->EOF){ ?>

  <tr>
    <td><?php echo $rsrec->fields['idventareceta']; ?></td>
    <td><?php echo $rsrec->fields['insumo']; ?> [A:<?php echo $rsrec->fields['idinsumo']; ?>]</td>
    <td align="center"><?php echo $rsrec->fields['medida']; ?></td>
    <td align="center"><?php echo formatomoneda($rsrec->fields['cantidad'],4,'N'); ?></td>
    
    <td align="right"><?php echo formatomoneda($rsrec->fields['costo_unitario'],4,'N'); ?></td>
    <td align="right"><?php echo formatomoneda($rsrec->fields['costo'],4,'N'); ?></td>
  </tr>
<?php $rsrec->MoveNext(); }  ?>
</table>

		  </div> <!-- contenedor -->
   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
	<?php require("includes/pie.php"); ?>
</body>
</html>