<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="208";
require_once("includes/rsusuario.php"); 

function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';


if(($_GET['cj']) > 0){
	$idcaja=intval($_GET['cj']);
	$filtrocaja.=" and ventas.idcaja = $idcaja";
	
}
if(($_GET['suc']) > 0){
	$idsuc=intval($_GET['suc']);
	$filtrocaja.=" and ventas.sucursal = $idsuc";
	
}
if(intval($_GET['idprod_serial']) > 0){
	$idprod_serial=intval($_GET['idprod_serial']);
	$filtrocaja.=" and ventas_detalles.idprod = $idprod_serial ";
	
}/*
	<td><strong>Idventa</strong></td>
	<td><strong>Factura</strong></td>
    <td><strong>Idventadet</strong></td>
    <td><strong>Producto</strong></td>
    <td><strong>Cantidad</strong></td>
    <td><strong>Precio Venta</strong></td>
    <td><strong>Descuento</strong></td>
    <td><strong>Subtotal Venta Sin Desc</strong></td>
    <td><strong>Subtotal Venta</strong></td>
    <td><strong>Precio Costo</strong></td>
    <td><strong>Subtotal Costo</strong></td>
    <td><strong>Utilidad</strong></td>
*/
$consulta="
select ventas.idventa, 
ventas_detalles.idventadet, 
date(ventas.fecha) as fecha, 
ventas.factura, 
sucursales.nombre as sucursal, 
productos.descripcion as producto,
REPLACE(COALESCE(ventas_detalles.cantidad,0),'.',',') as cantidad,
REPLACE(COALESCE(ventas_detalles.pventa,0),'.',',') as precio_unitario,
REPLACE(COALESCE(ventas_detalles.descuento,0),'.',',') as descuento,
REPLACE(COALESCE(ventas_detalles.subtotal_sindesc,0),'.',',') as subtotal_sindesc,
REPLACE(COALESCE(ventas_detalles.subtotal,0),'.',',') as subtotal,
REPLACE(COALESCE(ventas_detalles.costo,0),'.',',') as precio_costo,
REPLACE(COALESCE(ventas_detalles.subtotal_costo,0),'.',',') as subtotal_costo,
REPLACE(COALESCE(ventas_detalles.utilidad,0),'.',',') as utilidad
from ventas
inner join sucursales on sucursales.idsucu = ventas.sucursal
inner join ventas_detalles on ventas_detalles.idventa = ventas.idventa
inner join productos on productos.idprod_serial = ventas_detalles.idprod
where
ventas.estado <> 6
and date(ventas.fecha) >= '$desde'
and date(ventas.fecha) <= '$hasta'
$whereadd
order by date(ventas.fecha) asc, ventas.factura asc
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));




 $impreso=date("d/m/Y H:i:s");



$datos="";


	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$datos.=limpiacsv($value).';';
		}
		$datos.=$saltolinea;
	$rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=ventas_cos_'.$impreso.'.csv');
	
echo $datos;
exit;








?>