<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="44";
$submodulo="663";
$dirsup="S";
require_once("../includes/rsusuario.php"); 


$iddarkkitchen=intval($_GET['id']);
if($iddarkkitchen == 0){
	header("location: dark_kitchen.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select *,
(select lista_precio from lista_precios_venta where dark_kitchen.idlistaprecio = lista_precios_venta.idlistaprecio) as lista_precio
from dark_kitchen 
where 
iddarkkitchen = $iddarkkitchen
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$iddarkkitchen=intval($rs->fields['iddarkkitchen']);
if($iddarkkitchen == 0){
	header("location: dark_kitchen.php");
	exit;	
}

// se puede mover esta funcion al archivo funciones_dark_kitchen.php y realizar un require_once
function dark_kitchen_delete($parametros_array){
	global $conexion;
	global $saltolinea;

	// validaciones basicas
	$valido="S";
	$errores="";
	
	
	$iddarkkitchen = antisqlinyeccion($parametros_array['iddarkkitchen'],"int");
	$ahora = antisqlinyeccion($parametros_array['ahora'],"text");
	$idusu = antisqlinyeccion($parametros_array['idusu'],"int");
	
	
	

	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update dark_kitchen
		set
			estado = 6,
			borrado_por = $idusu,
			borrado_el = $ahora
		where
			iddarkkitchen = $iddarkkitchen
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
	}


	return array("errores"=>$errores,"valido"=>$valido);
}



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	$nombre_marca=antisqlinyeccion($_POST['nombre_marca'],"text");
	$muestra_reportes=antisqlinyeccion($_POST['muestra_reportes'],"text");
	$idlistaprecio=antisqlinyeccion($_POST['idlistaprecio'],"int");


	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	$parametros_array=array(
		"iddarkkitchen" => $iddarkkitchen,
		"ahora" => $ahora,
		"idusu" => $idusu

	);

	// si todo es correcto actualiza
	if($valido == "S"){
		$res=dark_kitchen_delete($parametros_array);
		if ($res["valido"]=="S") {
			header("location: dark_kitchen.php");
			exit;
		}else{
			$errores.=$res["errores"];
		}
		
	}

}


// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Dark Kitchen</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Iddarkkitchen *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="iddarkkitchen" id="iddarkkitchen" value="<?php  if(isset($_POST['iddarkkitchen'])){ echo htmlentities($_POST['iddarkkitchen']); }else{ echo htmlentities($rs->fields['iddarkkitchen']); }?>" placeholder="Iddarkkitchen" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre marca *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="nombre_marca" id="nombre_marca" value="<?php  if(isset($_POST['nombre_marca'])){ echo htmlentities($_POST['nombre_marca']); }else{ echo htmlentities($rs->fields['nombre_marca']); }?>" placeholder="Nombre marca" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Lista precio </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idlistaprecio" id="idlistaprecio" value="<?php  if(isset($_POST['idlistaprecio'])){ echo htmlentities($_POST['idlistaprecio']); }else{ echo htmlentities($rs->fields['lista_precio']); }?>" placeholder="Idlistaprecio" class="form-control"  readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='dark_kitchen.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>


  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo antixss($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />	  
					  
					  
					  
					  
					  
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
