<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="29";
$submodulo="350";
require_once("includes/rsusuario.php"); 
if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$nombre=antisqlinyeccion($_POST['nombre'],"text");
	$telefono=antisqlinyeccion($_POST['telefono'],"text");
	$celular=antisqlinyeccion($_POST['celular'],"text");
	$fecha_nacimiento=antisqlinyeccion($_POST['fecha_nacimiento'],"text");
	$correo=antisqlinyeccion($_POST['correo'],"text");
	$comentario_interno=antisqlinyeccion($_POST['comentario_interno'],"text");
	$estado=1;
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");




	if(trim($_POST['nombre']) == ''){
		$valido="N";
		$errores.=" - El campo nombre no puede estar vacio.<br />";	
	}
/* 
telefono 
	if(trim($_POST['telefono']) == ''){
		$valido="N";
		$errores.=" - El campo telefono no puede estar vacio.<br />";	
	}
*/
/* 
celular 
	if(trim($_POST['celular']) == ''){
		$valido="N";
		$errores.=" - El campo celular no puede estar vacio.<br />";	
	}
*/
/* 
fecha_nacimiento 
	if(trim($_POST['fecha_nacimiento']) == ''){
		$valido="N";
		$errores.=" - El campo fecha_nacimiento no puede estar vacio.<br />";	
	}
*/
/* 
correo 
	if(trim($_POST['correo']) == ''){
		$valido="N";
		$errores.=" - El campo correo no puede estar vacio.<br />";	
	}
*/
/* 
comentario_interno 
	if(trim($_POST['comentario_interno']) == ''){
		$valido="N";
		$errores.=" - El campo comentario_interno no puede estar vacio.<br />";	
	}
*/
/* 
registrado_por 
*/
/* 
registrado_el 
*/
/* 
borrado_por 
*/
/* 
borrado_el 
*/


	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into decorador_eventos
		(nombre, telefono, celular, fecha_nacimiento, correo, comentario_interno, estado, registrado_por, registrado_el)
		values
		($nombre, $telefono, $celular, $fecha_nacimiento, $correo, $comentario_interno, $estado, $registrado_por, $registrado_el)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: decorador_eventos.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Agregar decorador de Eventos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="nombre" id="nombre" value="<?php  if(isset($_POST['nombre'])){ echo htmlentities($_POST['nombre']); }else{ echo htmlentities($rs->fields['nombre']); }?>" placeholder="Nombre" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Telefono </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="telefono" id="telefono" value="<?php  if(isset($_POST['telefono'])){ echo htmlentities($_POST['telefono']); }else{ echo htmlentities($rs->fields['telefono']); }?>" placeholder="Telefono" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Celular </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="celular" id="celular" value="<?php  if(isset($_POST['celular'])){ echo htmlentities($_POST['celular']); }else{ echo htmlentities($rs->fields['celular']); }?>" placeholder="Celular" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha nacimiento </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="fecha_nacimiento" id="fecha_nacimiento" value="<?php  if(isset($_POST['fecha_nacimiento'])){ echo htmlentities($_POST['fecha_nacimiento']); }else{ echo htmlentities($rs->fields['fecha_nacimiento']); }?>" placeholder="Fecha nacimiento" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Correo </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="correo" id="correo" value="<?php  if(isset($_POST['correo'])){ echo htmlentities($_POST['correo']); }else{ echo htmlentities($rs->fields['correo']); }?>" placeholder="Correo" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Comentario interno </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="comentario_interno" id="comentario_interno" value="<?php  if(isset($_POST['comentario_interno'])){ echo htmlentities($_POST['comentario_interno']); }else{ echo htmlentities($rs->fields['comentario_interno']); }?>" placeholder="Comentario interno" class="form-control"  />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='decorador_eventos.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
