<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="16";
$submodulo="76";
require_once("includes/rsusuario.php"); 


function descuenta_stock_cost($idinsumo_receta,$cantidad_receta,$iddeposito,$idproducido=0){
	global $idempresa;
	global $conexion;
	$disponible_receta=floatval($cantidad_receta);
	$costo_acumulado=0;
	// busca el nombre del insumo
	$consulta="select * from insumos_lista where idinsumo = $idinsumo_receta and idempresa = $idempresa";
	$rsnom=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$insumo_desc=$rsnom->fields['descripcion'];
	
	// recorre mientras haya disponible
	while($disponible_receta > 0){
		// busca los disponibles
		$consulta="
		select * 
		from costo_productos 
		where 
		idempresa = $idempresa 
		and ubicacion = $iddeposito
		and id_producto = $idinsumo_receta
		and disponible > 0
		order by fechacompra asc, idseriepkcos asc
		";
		$rsdisp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$total_tandas=intval($rsdisp->RecordCount());
		
		// si existen tandas en deposito con cantidad disponible > 0
		if($total_tandas > 0){
			// inicio recorre los registros de costos en deposito
			while (!$rsdisp->EOF){
				$disponible_depo=floatval($rsdisp->fields['disponible']);
				$idseriepkcos=$rsdisp->fields['idseriepkcos'];
				$precio_costo=$rsdisp->fields['precio_costo'];
				$diferencia=0;
				$costo_acumulado=0;
				echo "depo:".$disponible_depo."<br />";
				echo "depo:".$disponible_depo."<br />";
				echo "receta:".$disponible_receta."<br /><hr />";
				
				
				// si hay disponible en esta tanda de costos
				if($disponible_depo > 0){
	
					
					// si el disponible de la tanda de costos es mayor al disponible de receta, se pone la diferencia
					if($disponible_depo > $disponible_receta){
						$diferencia=$disponible_depo-$disponible_receta;
						$consulta="
						UPDATE costo_productos
						SET 
						disponible = $diferencia
						WHERE 
						idempresa = $idempresa 
						and ubicacion = $iddeposito
						and id_producto = $idinsumo_receta
						and idseriepkcos = $idseriepkcos
						";
						$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
						$consulta="
						UPDATE gest_depositos_stock
						SET 
						disponible = $diferencia
						WHERE 
						idempresa = $idempresa 
						and iddeposito = $iddeposito
						and idproducto = $idinsumo_receta
						and idseriecostos = $idseriepkcos
						";
						$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					}
					// si el disponible de la tanda de costos es menor o igual al disponible de receta, se cera el disponible de esa tanda de costo
					if($disponible_depo <= $disponible_receta){
						$consulta="
						UPDATE costo_productos
						SET 
						disponible = 0
						WHERE 
						idempresa = $idempresa 
						and ubicacion = $iddeposito
						and id_producto = $idinsumo_receta
						and idseriepkcos = $idseriepkcos
						";
						$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
						$consulta="
						UPDATE gest_depositos_stock
						SET 
						disponible = 0
						WHERE 
						idempresa = $idempresa 
						and iddeposito = $iddeposito
						and idproducto = $idinsumo_receta
						and idseriecostos = $idseriepkcos
						";
						$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					}
					
					// descuenta del disponible de receta
					$disponible_receta=$disponible_receta-$disponible_depo;
					
				// si no hay disponible	en la tanda de costos es por que no hay en ninguna tanda por el filtro disponible > 0
				}else{
					// nunca puede entrar aca por el filtro disponible > 0
					echo "ERROR! es imposible que suceda esto!";
					exit;
				}
				
				// si no queda disponible en receta termina ambos while
				if($disponible_receta <= 0){
					break 2;
				}
				
			// fin recorre los registros	
			$rsdisp->MoveNext(); }	
			
			
			
			
		} //if($total_tandas > 0){
		// si no existen tandas disponibles en deposito	
		if($total_tandas <= 0){
			if($disponible_receta > 0){
				$disponible_receta_negativo=$disponible_receta*-1;
			}else{
				$disponible_receta_negativo=$disponible_receta;
			}
			// se inserta tanda con el disponible que sobro de la receta pero negativo
			$consulta="
			insert into costo_productos 
			(cantidad,precio_costo,id_producto,idempresa,registrado_el,ubicacion,disponible,idcompra,idproducido,fechacompra)
			values
			($disponible_receta_negativo, $costo_acumulado, $idinsumo_receta, $idempresa, '$ahora', $iddeposito, $disponible_receta_negativo, 0, $idproducido, '$ahora')

			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			// id insertado
			$consulta="select max(idseriepkcos) as ultid from costo_productos where idempresa = $idempresa";
			$rsulid=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$ultid=$rsulid->fields['ultid'];
			
			$consulta="
			INSERT INTO gest_depositos_stock
			(idproducto,idseriecostos,fechacompra,disponible,cantidad,iddeposito,recibido_el,verificado_el,descripcion,costogs,idempresa)
			values
			($idinsumo_receta, $ultid, '$ahora', $disponible_receta_negativo, $disponible_receta_negativo, $iddeposito,'$ahora', '$ahora', '$insumo_desc', 0, $idempresa)
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$disponible_receta=0;
		}
			
			
	} //while($disponible_receta > 0){
		
	return $costo_acumulado;
}
$idinsumo_receta=2;
$cantidad_receta=60;
$iddeposito=10;
$idproducido=1;
echo descuenta_stock_cost($idinsumo_receta,$cantidad_receta,$iddeposito,$idproducido);

?>