<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 

require_once("includes/funciones_electronica.php");

/*
echo "No se puede reenviar este documnento";
exit;
*/
// funciones para factura electronica
if($facturador_electronico == 'S'){
	// envio documento
	require_once('facturaElectronica/Validate.php');
	require_once("facturaElectronica/GeneradorXMLFacturaElectronica.php");
	// consulta de estado
	require_once('facturaElectronica/VerificarEstadoLote.php');
	
	$slot_datos=slot_vigente();
	$slot_firma=trim($slot_datos['nombre_slot']);    //'80052292_test';   // nombre del slot con que se dio de alta la firma digital en el servidor
	
	if($slot_firma == ''){
		echo "No esta cargado el slot de la firma electronica.";
		exit;
	}

}else{
	echo "No es un facturador electronico.";
	exit;
}


$iddocumentoemitido=intval($_GET['id']);

$consulta="
select iddocumentoemitido, iddocumentoelectronico, idventa, idnotacredito, idnotadebito, idnotaremision, idautofactura,
estado_set, nro_lote, numero_comprobante, cod_error_documento
from documentos_electronicos_emitidos
where
estado = 1
and iddocumentoemitido = $iddocumentoemitido
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$iddocumentoelectronico=$rs->fields['iddocumentoelectronico'];
$iddocumentoemitido=intval($rs->fields['iddocumentoemitido']);
$numero_comprobante=htmlentities($rs->fields['numero_comprobante']);
$estado_set=$rs->fields['estado_set'];
$cod_error_documento=$rs->fields['cod_error_documento'];
$nro_lote=$rs->fields['nro_lote'];
if($estado_set == 3){
	echo "No se puede reenviar por que ya fue aprobado por la SET.";
	exit;
}
if($iddocumentoemitido == 0){
	echo "El documento que intentas enviar ya no existe o ya fue reenviado.";
	exit;
}
if($cod_error_documento == 1002){
	echo "No se puede reenviar por que esta duplicado en la set.";
	exit;
}
if($cod_error_documento == 1150){
	echo "No se puede reenviar por que ya supero la fecha permitida por la set para recibir este comprobante, anular y volver a emitir una nueva factura con otra fecha.";
	exit;
}
/*
1	FACTURA ELECTRONICA
2	NOTA DE CREDITO ELECTRONICA
3	NOTA DE DEBITO ELECTRONICA
4	NOTA DE REMISION ELECTRONICA
5	AUTOFACTURA ELECTRONICA
*/

	
// si es una venta, enviar idventa, sino idnotacred, etc
if($iddocumentoelectronico == 1){
	$idventa=$rs->fields['idventa'];
	// GENERAR DOCUMENTO ELECTRONICO
	$parametros_array=array(
		'idventa' => $idventa,
		'iddocumentoelectronico' => $iddocumentoelectronico,
		'forzar_reenvio' => $_GET['forzar_reenvio']
	);
	$res1=genera_documento_electronico($parametros_array);
	echo $res1;
	
	// duerme 5 segundos
	sleep(5);
	
	// trae el nuevo lote del nuevo documento emitido generado
	$consulta="
	select nro_lote, iddocumentoemitido
	from documentos_electronicos_emitidos
	where
	estado = 1
	and idventa = $idventa
	order by iddocumentoemitido desc
	limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$iddocumentoemitido=$rs->fields['iddocumentoemitido'];
	$nro_lote=$rs->fields['nro_lote'];
	$parametros_array=array(
		'nro_lote' => $nro_lote
	);
	$res2=actualiza_estado_documento_electronico($parametros_array);
	print_r($res2);
}
// si es una venta, enviar idventa, sino idnotacred, etc
if($iddocumentoelectronico == 2){
	$idnotacredito=$rs->fields['idnotacredito'];
	// GENERAR DOCUMENTO ELECTRONICO
	$parametros_array=array(
		'idnotacredito' => $idnotacredito,
		'iddocumentoelectronico' => $iddocumentoelectronico,
		'forzar_reenvio' => $_GET['forzar_reenvio']
	);
	$res1=genera_documento_electronico($parametros_array);
	echo $res1;
	
	// duerme 5 segundos
	sleep(5);
	
	// trae el nuevo lote del nuevo documento emitido generado
	$consulta="
	select nro_lote, iddocumentoemitido
	from documentos_electronicos_emitidos
	where
	estado = 1
	and idnotacredito = $idnotacredito
	order by iddocumentoemitido desc
	limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$iddocumentoemitido=$rs->fields['iddocumentoemitido'];
	$nro_lote=$rs->fields['nro_lote'];
	$parametros_array=array(
		'nro_lote' => $nro_lote
	);
	$res2=actualiza_estado_documento_electronico($parametros_array);
	print_r($res2);
}

echo "<hr />";
	$consulta="
	select 
	documentos_electronicos_emitidos.iddocumentoemitido,
	documentos_electronicos_emitidos.idventa,
	documentos_electronicos_emitidos.idnotacredito,
	documentos_electronicos_emitidos.idnotadebito,
	documentos_electronicos_emitidos.idnotaremision,
	documentos_electronicos_emitidos.idautofactura,
	documentos_electronicos_emitidos.fecha_comprobante, 
	documentos_electronicos_emitidos.fecha_firma, 
	documentos_electronicos_emitidos.numero_comprobante, 
	documentos_electronicos_emitidos.cdc, 
	documentos_electronicos_emitidos.estado_set,
	documentos_electronicos.documento_electronico, 
	documentos_electronicos_emitidos_estado.estado_set as estado_set_txt,
	documentos_electronicos_emitidos_estado_mail.estado_mail as estado_mail,
	documentos_electronicos_emitidos_estado.color as color_set,
	documentos_electronicos_emitidos.nro_lote,
	documentos_electronicos_emitidos.json_resp,
	documentos_electronicos_emitidos.respuesta_set,
	documentos_electronicos_emitidos.tot_reenvios_error

	from documentos_electronicos_emitidos 
	inner join documentos_electronicos on documentos_electronicos.iddocumentoelectronico = documentos_electronicos_emitidos.iddocumentoelectronico
	inner join documentos_electronicos_emitidos_estado on documentos_electronicos_emitidos_estado.idestadoset = documentos_electronicos_emitidos.estado_set
	inner join documentos_electronicos_emitidos_estado_mail on documentos_electronicos_emitidos_estado_mail.idestadomail = documentos_electronicos_emitidos.estado_enviocliente

	where 
	 documentos_electronicos_emitidos.estado = 1 
	 and iddocumentoemitido = $iddocumentoemitido
	limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
/*
header("location: factura_electronica_emitidos.php?numero_comprobante=$numero_comprobante&MM_search=form1");
exit;

*/

?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Fecha Comprobante</th>
			<th align="center">Fecha firma</th>
			<th align="center">Numero comprobante</th>
			<th align="center">Tipo Documento</th>



			<th align="center">Cdc</th>
			<th align="center">Lote</th>


			<th align="center">Estado Mail</th>
			<th align="center">Estado SET</th>
			<th align="center">Respuesta SET Lote</th>
			<th align="center">Respuesta SET Documento</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php if($rs->fields['fecha_comprobante'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_comprobante'])); }  ?></td>
			<td align="center"><?php if($rs->fields['fecha_firma'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_firma'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['numero_comprobante']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['documento_electronico']); ?></td>

			<td align="center"><?php echo wordwrap($rs->fields['cdc'], 4, " ",true); ?></td>
			<td align="center"><?php echo antixss($rs->fields['nro_lote']); ?></td>



			<td align="center"><?php echo antixss($rs->fields['estado_mail']); ?></td>
			<td align="center" style="font-weight:bold;color:#FFF;background-color:<?php echo $rs->fields['color_set']; ?>;"><?php echo antixss($rs->fields['estado_set_txt']); ?> <?php if($rs->fields['estado_set'] == 4){ ?>(<?php echo formatomoneda($rs->fields['tot_reenvios_error']); ?>)<?php } ?></td>
			<td align="center"><?php echo antixss($rs->fields['json_resp']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['respuesta_set']); ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
