<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
require_once("includes/rs_carrito.php");
function campo_select($consulta,$parametros_array,$conexion=''){
	
		global $conexion;

	
	// parametros
	$nombre_campo=$parametros_array['nombre_campo']; // name html
	$id_campo=$parametros_array['id_campo']; // id html
	$nombre_campo_bd=$parametros_array['nombre_campo_bd']; // name bd
	$id_campo_bd=$parametros_array['id_campo_bd']; // id bd
	$value_selected=$parametros_array['value_selected']; // valor seleccionado
	$pricampo_name=$parametros_array['pricampo_name']; //  nombre de la primera opcion
	$pricampo_value=$parametros_array['pricampo_value']; // valor de la primera opcion
	$style_input=$parametros_array['style_input'];
	$acciones=$parametros_array['acciones'];
	$autosel_1registro=$parametros_array['autosel_1registro']; // si hay 1 solo registro selecciona automaticamente en caso que sea 'S'
	$opciones_extra=$parametros_array['opciones_extra'];
	$cant_opciones_extra=intval(count($opciones_extra));
	
	// trae datos de la bd
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	if($autosel_1registro == 'S'){	
		$cant_opciones=intval($rs->recordCount())+$cant_opciones_extra;
	}


	// construye campo
	$html.='<select name="'.$nombre_campo.'" id="'.$id_campo.'" '.$style_input.' '.$acciones.'>';
	// si la seleccion automatica esta desactivada
	if($autosel_1registro != 'S'){
		$html.='<option value="'.$pricampo_value.'">'.$pricampo_name.'</option>';
	}
	// si la seleccion automatica esta activada
	if($autosel_1registro == 'S'){
		// si hay mas de una opcion o no hay ninguna
		if($cant_opciones <> 1){
			$html.='<option value="'.$pricampo_value.'">'.$pricampo_name.'</option>';
		}
	}
	while(!$rs->EOF){
		
		// valor actual
		$value_actual=trim($rs->fields[$id_campo_bd]);
		$name_actual=$rs->fields[$nombre_campo_bd];
		//echo $value_selected;
		//echo $value_actual;
		// si es el valor seleccionado
		if(trim($value_selected) == trim($value_actual)){
			$selected='selected="selected"';
		}else{
			$selected='';	
		}
		// si la seleccion automatica esta activada y hay mas de 1 registro
		if($autosel_1registro == 'S' && $cant_opciones < 2){
			$selected='selected="selected"';
		}
		
		$html.='<option value="'.$value_actual.'" '.$selected.'>'.$name_actual.'</option>';
	$rs->MoveNext(); }
	if($cant_opciones_extra > 0){
		foreach($opciones_extra as $key => $value){
			
			// valor actual
			$value_actual=trim($value);
			$name_actual=trim($key);
			// si es el valor seleccionado
			if(trim($value_selected) == trim($value_actual)){
				$selected='selected="selected"';
			}else{
				$selected='';	
			}
			// si la seleccion automatica esta activada y hay mas de 1 registro
			if($autosel_1registro == 'S' && $cant_opciones < 2){
				$selected='selected="selected"';
			}
			
			$html.='<option value="'.$value_actual.'" '.$selected.'>'.$name_actual.'</option>';
		}
	}
    $html.='</select>';     
     
     return $html;
}
function campo_select_sinbd($parametros_array){

	// parametros
	$nombre_campo=$parametros_array['nombre_campo']; // name html
	$id_campo=$parametros_array['id_campo']; // id html
	$nombre_campo_bd=$parametros_array['nombre_campo_bd']; // name bd
	$id_campo_bd=$parametros_array['id_campo_bd']; // id bd
	$value_selected=$parametros_array['value_selected']; // valor seleccionado
	$pricampo_name=$parametros_array['pricampo_name']; //  nombre de la primera opcion
	$pricampo_value=$parametros_array['pricampo_value']; // valor de la primera opcion
	$style_input=$parametros_array['style_input'];
	$acciones=$parametros_array['acciones'];
	$autosel_1registro=$parametros_array['autosel_1registro']; // si hay 1 solo registro selecciona automaticamente en caso que sea 'S'
	$opciones=$parametros_array['opciones'];
	
	// trae datos de la bd
	//$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	if($autosel_1registro == 'S'){	
		$cant_opciones=intval(count($opciones));
	}


	// construye campo
	$html.='<select name="'.$nombre_campo.'" id="'.$id_campo.'" '.$style_input.' '.$acciones.'>';
	// si la seleccion automatica esta desactivada
	if($autosel_1registro != 'S'){
		$html.='<option value="'.$pricampo_value.'">'.$pricampo_name.'</option>';
	}
	// si la seleccion automatica esta activada
	if($autosel_1registro == 'S'){
		// si hay mas de una opcion o no hay ninguna
		if($cant_opciones <> 1){
			$html.='<option value="'.$pricampo_value.'">'.$pricampo_name.'</option>';
		}
	}
	foreach($opciones as $key => $value){
		
		// valor actual
		$value_actual=trim($value);
		$name_actual=trim($key);
		// si es el valor seleccionado
		if(trim($value_selected) == trim($value_actual)){
			$selected='selected="selected"';
		}else{
			$selected='';	
		}
		// si la seleccion automatica esta activada y hay mas de 1 registro
		if($autosel_1registro == 'S' && $cant_opciones < 2){
			$selected='selected="selected"';
		}
		
		$html.='<option value="'.$value_actual.'" '.$selected.'>'.$name_actual.'</option>';
	}
    $html.='</select>';     
     
     return $html;
}

$consulta="
select *,
(select idinsumo from insumos_lista where idproducto = productos.idprod_serial) as idinsumo,
medidas.nombre_singular as medida
from web_carrito
inner join web_carrito_det on web_carrito.idwebcarrito = web_carrito_det.idwebcarrito
inner join productos on productos.idprod_serial = web_carrito_det.idproducto
inner join medidas on medidas.id_medida = productos.idmedida
 where 
 web_carrito.id_ses = '$session_id'
 and web_carrito.idempresa = $idempresa
 and productos.idempresa = $idempresa
 and web_carrito.estado = 1
";
$rs_prod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

// sumatoria
$consulta="
select sum(web_carrito_det.subtotal)  as total
from web_carrito
inner join web_carrito_det on web_carrito.idwebcarrito = web_carrito_det.idwebcarrito
inner join productos on productos.idprod_serial = web_carrito_det.idproducto
 where 
 web_carrito.id_ses = '$session_id'
 and web_carrito.idempresa = $idempresa
 and productos.idempresa = $idempresa
 and web_carrito.estado = 1
";
$rs_prodtot=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?>
	<section id="cart_items">
		<div class="container" style="background-color: #fff; padding-bottom:80px;">
     <br><br>

						<div class="breadcrumbs">
							<ol class="breadcrumb">
							  <li ><a href="index.php">Portada</a></li>
							  <li class="active"> <b>Carrito</b></li>
							</ol>
						</div><!--/breadcrums-->
<?php if($_GET['env'] == 's'){ ?>                        
<div class="col-sm-offset-3 col-sm-7 text-center alert alert-success alert-dismissible" role="alert">
  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
  <strong>Pedido enviado!!</strong> nos pondremos en contacto con usted en la brevedad posible.
</div>
<div class="clearfix"></div>
<?php 
$id=intval($_GET['idpedido']);

$consulta="
select * 
from web_pedidos
where
idwebpedido = $id
and idempresa = $idempresa
and estado = 1
order by fechahora desc
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idwebpedido=$rs->fields['idwebpedido'];
$id=intval($idwebpedido);
$fechahora=$rs->fields['fechahora'];
$key_bd=md5($idwebpedido.'_'.$fechahora);
$key=trim($_GET['key']);


$consulta="
select * 
from web_pedidos_det
inner join productos on productos.idprod_serial = web_pedidos_det.idproducto
where
web_pedidos_det.idwebpedido = $idwebpedido
and web_pedidos_det.idempresa = $idempresa
and productos.idempresa = $idempresa
order by web_pedidos_det.fechahora desc
limit 1000
";
$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));





if($key == $key_bd){
?>
<a href="pedido_imp.php?id=<?php echo $idwebpedido; ?>&key=<?php echo $key_bd; ?>" target="_blank" class="btn btn-sm btn-default"><span class="fa fa-print"></span> Imprimir</a>
<hr />
<strong>Resumen del Pedido:</strong><br />
<br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
             <thead>
               <tr>
                 <th>Fecha/Hora</th>
                 <th>Nombre</th>
                 <th>Email</th>
                 <th>Forma Pago</th>
                 <th>Delivery</th>
               </tr>
               </thead>
               <tbody>
               <tr>
                 <td align="center"><?php echo date("d/m/Y H:i:s",strtotime($rs->fields['fechahora'])); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['nomape']); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['email']); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['formapago']); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['delivery']); ?></td>
               </tr>
             </tbody>
           </table>
</div>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
             <thead>
               <tr>
                 <th>Telefono</th>
                 <th>Direccion</th>
                 <th>Comentarios</th>
                 <th>RUC</th>
                 <th>Razon Social</th>
               </tr>
               </thead>
               <tbody>
               <tr>
                 <td align="center"><?php echo antixss($rs->fields['telefono']); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['direccion']); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['comentarios']); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['ruc']); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
               </tr>
             </tbody>
           </table>
</div>


<strong>Detalle del Pedido:</strong><br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
             <thead>
               <tr>
                 <th>Producto</td>
                 <th>Cantidad</th>
                 <th>Precio</th>
                 <th>Subtotal</th>
               </tr>
               </thead>
               <tbody>
<?php 
while (!$rsdet->EOF){
$total+=$rsdet->fields['subtotal'];	
$idwebpedido_det=$rsdet->fields['idwebpedido_det'];
if($rsdet->fields['idtipoproducto'] == 2){ // combo
	$consulta="
	select productos.descripcion,  count(*) as total
	from tmp_combos_listas_ecom_ped
	inner join productos on productos.idprod_serial = tmp_combos_listas_ecom_ped.idproducto
	where
	idwebpedido_det =  $idwebpedido_det
	group by productos.descripcion
	";
	$rs_combo=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$combo_partes="";
	while (!$rs_combo->EOF){
		//if($rs_combo->fields['total'] > 1){
			$combo_partes.="[".$rs_combo->fields['total']."] ".strtolower($rs_combo->fields['descripcion']).", ";
		//}else{
		//	$combo_partes.=strtolower($rs_combo->fields['descripcion']).", ";	
		//}
	$rs_combo->MoveNext(); }
	$combo_partes=substr($combo_partes,0,-2);
	

} 
if($rsdet->fields['idtipoproducto'] == 4){ // combinado extendido
	$consulta="
	select productos.descripcion,  count(*) as total
	from tmp_combinado_listas_ecom_ped
	inner join productos on productos.idprod_serial = tmp_combinado_listas_ecom_ped.idproducto_partes
	where
	idwebpedido_det =  $idwebpedido_det
	group by productos.descripcion
	";
	$rs_combo=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$combo_partes="";
	while (!$rs_combo->EOF){
		//if($rs_combo->fields['total'] > 1){
			$combo_partes.="[".$rs_combo->fields['total']."] ".strtolower($rs_combo->fields['descripcion']).", ";
		//}else{
		//	$combo_partes.=strtolower($rs_combo->fields['descripcion']).", ";	
		//}
	$rs_combo->MoveNext(); }
	$combo_partes=substr($combo_partes,0,-2);


}  
?>
               <tr>
                 <td align="center"><?php echo antixss($rsdet->fields['descripcion']); ?><?php if($combo_partes != ''){ echo "<br />Obs: ".$combo_partes; } ?></td>
                 <td align="center"><?php echo formatomoneda($rsdet->fields['cantidad'],4,'N'); ?></td>
                 <td align="center"><?php echo formatomoneda($rsdet->fields['precio'],4,'N'); ?></td>
                 <td align="center"><?php echo formatomoneda($rsdet->fields['subtotal'],4,'N'); ?></td>
               </tr>
<?php $rsdet->Movenext();}?>
             </tbody>
           </table>
</div>
<br /><br />
           <h1 align="center" style="font-weight:bold;">Total: <?php echo formatomoneda($total,4,'N'); ?><?php if($rs->fields['delivery'] == 'S'){ ?> + Delivery <?php } ?></h1>
<?php }else{ ?>  
- No se puede mostrar el detalle de este pedido.
<?php } ?>
<div class="clearfix"></div>
<br /><br />

<br /><br />
<?php } ?>                  
  <?php if($_GET['env'] != 's'){ ?>                        
<!--cart-items-->
<hr />
	<div class="cart-items">
		<div class="container">
<?php while (!$rs_prod->EOF){
	// crea imagen
$id=$rs_prod->fields['idprod_serial'];
$img="$RUTA_IMG/wprod_".$id.".jpg";	 
if(!file_exists($img)){
	$img="$RUTA_IMG/wprod_0.jpg";
}
$idwebcarrito_det=$rs_prod->fields['idwebcarrito_det'];
$disabled="";
if($rs_prod->fields['idtipoproducto'] != 1){ 
	$disabled='disabled="disabled"';
}
	 ?>

						<div class="cart-header">
				<div class="alert-close eliminar" onMouseUp="borra('<?php echo $idwebcarrito_det; ?>');"> </div>
				<div class="cart-sec simpleCart_shelfItem">
					<div class="cart-item cyc">
						<a href="producto.php"><img src="<?php echo $img; ?>" class="img-responsive" alt=""></a>
					</div>
					<div class="cart-item-info">
                    	<?php if($rs_prod->fields['idtipoproducto'] == 1){  ?>
						<h5>
                        <?php if(trim($rs_prod->fields['idinsumo']) != ''){ ?>Codigo : <?php echo $rs_prod->fields['idinsumo']; } ?>
                        <?php if(trim($rs_prod->fields['barcode']) != ''){ ?><br />C.Barra: <?php echo $rs_prod->fields['barcode']; } ?>
                        </h5>
                        <?php } ?>
						<h4><span><?php echo $rs_prod->fields['descripcion']; ?></span></h4>
                        <?php 
						if($rs_prod->fields['idtipoproducto'] == 2){ // combo
							$consulta="
							select productos.descripcion,  count(*) as total
							from tmp_combos_listas_ecom
							inner join productos on productos.idprod_serial = tmp_combos_listas_ecom.idproducto
							where
							idwebcarrito_det =  $idwebcarrito_det
							group by productos.descripcion
							";
							$rs_combo=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
							$combo_partes="";
							while (!$rs_combo->EOF){
								//if($rs_combo->fields['total'] > 1){
									$combo_partes.="[".$rs_combo->fields['total']."] ".strtolower($rs_combo->fields['descripcion']).", ";
								//}else{
								//	$combo_partes.=strtolower($rs_combo->fields['descripcion']).", ";	
								//}
							$rs_combo->MoveNext(); }
							$combo_partes=substr($combo_partes,0,-2);
							echo "Obs: ".$combo_partes;
						
						}
						if($rs_prod->fields['idtipoproducto'] == 4){ // combinado extendido
							$consulta="
							select productos.descripcion,  count(*) as total
							from tmp_combinado_listas_ecom
							inner join productos on productos.idprod_serial = tmp_combinado_listas_ecom.idproducto_partes
							where
							idwebcarrito_det =  $idwebcarrito_det
							group by productos.descripcion
							";
							$rs_combo=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
							$combo_partes="";
							while (!$rs_combo->EOF){
								//if($rs_combo->fields['total'] > 1){
									$combo_partes.="[".$rs_combo->fields['total']."] ".strtolower($rs_combo->fields['descripcion']).", ";
								//}else{
								//	$combo_partes.=strtolower($rs_combo->fields['descripcion']).", ";	
								//}
							$rs_combo->MoveNext(); }
							$combo_partes=substr($combo_partes,0,-2);
							echo "Obs: ".$combo_partes;
						
						}  
						?>
							<div class="quantity">
                            <form name="<?php echo md5('+'.$rs_prod->fields['idprod_serial']); ?>" id="<?php echo md5('+'.$rs_prod->fields['idprod_serial']); ?>" method="post"  action="carro.php"> 
								<p class="qty"> Cantidad :  </p>
								<?php /*?><input min="1" 
								type="number" value="<?php echo intval($rs_prod->fields['cantidad']); ?>"
								id="cant"
								class="item_quantity" name="cant">
                                <input name="id" type="hidden" id="id" 
                                value="<?php echo $rs_prod->fields['idprod_serial']; ?>">
                                <button type="submit" > <span class="glyphicon glyphicon-refresh"></span> </button><?php */ ?>
<?php /*if($rs_prod->fields['cantidad'] < 10){ ?>
<div id="cont_sel_<?php echo $rs_prod->fields['idprod_serial']; ?>">                                
<select name="cant" id="cant_<?php echo $rs_prod->fields['idprod_serial']; ?>"  autocomplete="off"  onChange="actualizar_cant('<?php echo md5('+'.$rs_prod->fields['idprod_serial']); ?>',<?php echo $rs_prod->fields['idprod_serial']; ?>)" style="font-size:16px;" <?php echo $disabled ?>>
                            
<?php for($i=1;$i<10;$i++){ ?>
                                <option value="<?php echo $i; ?>" data-a-css-class="quantity-option" <?php if($i == $rs_prod->fields['cantidad']){?> selected="selected"<?php } ?>>
                                   <?php echo $i; ?>
                                </option>
<?php } ?>
                            <option value="10" data-a-css-class="quantity-option quantity-option-10">
                                10+
                            </option>
                        </select>
</div>
<?php }*/ ?>
<?php 
/*if($rs_prod->fields['cantidad'] >= 10){ 
	$display="display";
}else{
	$display="none";	
}*/
$display="display";
?>
<div id="cont_inp_<?php echo $rs_prod->fields['idprod_serial']; ?>" style="display:<?php echo $display?>;">
							<input name="cant_inp" id="cant_inp_<?php echo $rs_prod->fields['idprod_serial']; ?>"  value="<?php echo floatval($rs_prod->fields['cantidad']); ?>"
							 type="number" class="item_quantity" onKeyUp="muestra_btn(<?php echo $rs_prod->fields['idprod_serial']; ?>);" onchange="actualizar_cant_inp('<?php echo md5('+'.$rs_prod->fields['idprod_serial']); ?>',<?php echo $rs_prod->fields['idprod_serial']; ?>);" <?php echo $disabled ?> >
                            <a class="btn btn-default update" style="margin:0px; display:none; font-size:16px;" href="#" 
                            id="btn_<?php echo $rs_prod->fields['idprod_serial']; ?>" onMouseUp="actualizar_cant_inp('<?php echo md5('+'.$rs_prod->fields['idprod_serial']); ?>',<?php echo $rs_prod->fields['idprod_serial']; ?>)" >Actualizar</a>    
</div>			
							
                            <input name="id" type="hidden" id="id" 
                            value="<?php echo $rs_prod->fields['idprod_serial']; ?>">
                            
                           </form>             
							</div>

						<div class="delivery">
							<p>Precio Unitario : Gs. <?php echo formatomoneda($rs_prod->fields['precio'],0); ?> x <?php echo capitalizar($rs_prod->fields['medida']); ?></p>
							<span>Subtotal: Gs.<?php echo formatomoneda($rs_prod->fields['subtotal'],0); ?></span>
							<div class="clearfix"></div>
						</div>
					</div>
					<div class="clearfix"></div>
				</div>
			</div>
            <hr />
<?php $rs_prod->MoveNext(); } ?>            
            
            

					</div>
	</div>
	<!--//cart-items-->
 
			<div class="row">
				<div class="col-sm-6">
					<div class="chose_area">
						<ul class="user_option">
							<li>
								<!--<input type="checkbox" id="delivery">-->
                                <input type="radio" name="canal" id="canal_del" value="D" checked >
								<label>DELIVERY</label>
							</li>
							<li>
                                <input type="radio" name="canal" id="canal_car" value="C"  >
								<label>PASA A RETIRAR</label>
							</li>
							<li>
								<label><?php echo $rspers->fields['texto_delivery'];  ?></label>
							</li>
                            <hr />
							<li>
								
								<input type="radio" name="formapago" id="formapago_ef" value="EF" checked>
								<label>PAGO EN EFECTIVO</label>
							</li>
							<li>
								<input type="radio" name="formapago" id="formapago_tc" value="TC">
								<label>PAGO CON TARJETA DE CREDITO / DEBITO</label>
							</li>


						</ul>
					</div>
				</div>

				<div class="col-sm-6">
					<div class="total_area">
						<ul>
							<li><h2> TOTAL <span>Gs.<?php echo formatomoneda($rs_prodtot->fields['total'],0); ?></span></h2></li>
						</ul>
                        <?php if($totalencarro > 0){ ?>
						<!--<a class="btn btn-default update" href="" data-toggle="modal" data-target="#carrito">Solicitar Productos</a>-->
						<a class="btn btn-default update" href="#" onClick="solicitar_productos();" >Solicitar Productos</a>
                        <?php } ?>
					</div>
				</div>
			</div>
<?php } ?>  
<br /><br />


		</div>
	</section> <!--/#cart_items-->
<?php if($totalencarro > 0){ ?>
<!--POPUP CONFIRMAR PEDIDO-->
<form method="post" action="">
<div class="modal fade" id="carrito" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog " role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h3 class="modal-title text-center " id="myModalLabel">Solicitar Productos</h3>
      </div>
      <div class="modal-body">
        <br>
        <div class="row">
            <div class="col-sm-12">
                <p></p>
            </div>
        </div>
        <div class="row">
          <div class="col-sm-12">
          
            <div class="form-group">              
              <input type="text" class="form-control input-lg" name="nomape" id="nomape"  placeholder="Nombre y Apellido:">
              <div class="requerir" id="nomape_er">* Debe completar este campo</div>
            </div>
            <div class="form-group">              
              <input type="email" class="form-control input-lg" name="email" id="email"  placeholder="E-mail:">
              <div class="requerir" id="email_er">* Debe completar este campo</div>
            </div>
            <div class="form-group">              
              <input type="tel" class="form-control input-lg" id="telefono" name="telefono" placeholder="Teléfono / Celular:">
              <div class="requerir" id="telefono_er">* Debe completar este campo</div>
            </div>
            <div class="form-group">              
              <input type="text" class="form-control input-lg" id="direccion" name="direccion" placeholder="Direccion:">
              <div class="requerir" id="direccion_er">* Debe completar este campo</div>
              
            </div>
            
            <div class="form-group">              
              <input type="text" class="form-control input-lg" id="ruc" name="ruc" placeholder="RUC (Opcional):">
            </div>
            
            <div class="form-group">              
              <input type="text" class="form-control input-lg" id="razon_social" name="razon_social" placeholder="Razon Social (Opcional):">
            </div>
			  
            <div class="form-group" id="suc_retiro">              

<?php 
// consulta
$consulta="
SELECT idsucu, 
CASE WHEN 
	direccion IS NOT NULL
THEN
	CONCAT(CONCAT(UPPER(SUBSTRING(COALESCE(nombre,''),1,1)),LOWER(SUBSTRING(nombre,2))),' (',COALESCE(LOWER(direccion),''),')') 
ELSE
	CONCAT(UPPER(SUBSTRING(COALESCE(nombre,''),1,1)),LOWER(SUBSTRING(nombre,2)))
END AS nombre
FROM sucursales
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_POST['idsucu'])){ 
	$value_selected=htmlentities($_POST['idsucu']); 
}else{
	$value_selected='';
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idsucu',
	'id_campo' => 'idsucu',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idsucu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Sucursal de retiro...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control input-lg"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
				<div class="requerir" id="idsucursal_er">* Debe completar este campo</div>
            </div>
            
            
            <div class="form-group">              
              <textarea class="form-control" rows="3" id="comentarios" name="comentarios" placeholder="Comentarios:"></textarea>
            </div>

          
          </div>
        </div>
      </div>
      <div class="modal-footer">
      	<input type="hidden" name="form" value="1" />
        <button type="button" class="btn btn-success btn-lg" id="confirmabtn" onMouseUp="confirmar_pedido();">Confirmar</button>
        
      </div>
    </div>
  </div>
</div>
</form>
<!--/POPUP CONFIRMAR PEDIDO-->
<?php } ?>		