<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
require_once("includes/rs_carrito.php");


$consulta = "
select *,
(select idinsumo from insumos_lista where idproducto = productos.idprod_serial) as idinsumo,
medidas.nombre_singular as medida
from web_carrito
inner join web_carrito_det on web_carrito.idwebcarrito = web_carrito_det.idwebcarrito
inner join productos on productos.idprod_serial = web_carrito_det.idproducto
inner join medidas on medidas.id_medida = productos.idmedida
where 
web_carrito.id_ses = '$session_id'
and web_carrito.idempresa = $idempresa
and productos.idempresa = $idempresa
and web_carrito.estado = 1
";
$rs_prod = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
// sumatoria
$consulta = "
select sum(web_carrito_det.subtotal)  as total,count(web_carrito_det.subtotal)  as total_productos , web_carrito_det.precio as precio , web_carrito_det.idproducto as idproducto
from web_carrito
inner join web_carrito_det on web_carrito.idwebcarrito = web_carrito_det.idwebcarrito
inner join productos on productos.idprod_serial = web_carrito_det.idproducto
where 
web_carrito.id_ses = '$session_id'
and web_carrito.idempresa = $idempresa
and productos.idempresa = $idempresa
and web_carrito.estado = 1
";
$rs_prodtot = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));


//ciudades
$consulta="Select idciudad,nombre,obliga_barrio from ciudades where estado=1 and muestra_web='S' order by nombre ASC";
$rsciu=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


//barrios
$consulta="Select idbarrio,nombre from barrios where estado=1 order by nombre ASC";
$rsbarr=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$buscar="Select idcliente,ruc,razon_social from cliente where borrable='N' and ruc='X' and estado=1 order by idcliente desc limit 1";
$rsf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$rucgen=$rsf->fields['ruc'];
$rzgen=$rsf->fields['razon_social'];

/*------------------------------------DEBE VENIR DE LA BASE DE DATOS SI O SI--------------------------------*/
$fecha_minima=date("Y-m-d");
$fecha_segura=date("Y-m-d",strtotime($fecha_minima_hoy."+ 2 days"));

/*--------------------------------------------------------------------------------------------------------*/




?>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@10"></script>
<script>
	function apretar_combinado(prodprinc) {
		$('#dialogobox').modal('show');
		$(".modal-title").html('Armar Combinado');
		var direccionurl = 'combinado_ventas.php';
		var parametros = {
			"prodprinc": prodprinc
		};
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$(".modal-body").html("Cargando Opciones...");
			},
			success: function(response) {

				$(".modal-body").html(response);
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if (jqXHR.status == 404) {
					alert('Pagina no encontrada. ' + jqXHR.status + ' ' + errorThrown);
				} else if (jqXHR.status == 0) {
					alert('Se ha rechazado la conexión.');
				} else {
					alert(jqXHR.status + ' ' + errorThrown);
				}
			}
		}).fail(function(jqXHR, textStatus, errorThrown) {

			if (jqXHR.status === 0) {

				alert('No conectado: verifique la red.');

			} else if (jqXHR.status == 404) {

				alert('Pagina no encontrada [404]');

			} else if (jqXHR.status == 500) {

				alert('Internal Server Error [500].');

			} else if (textStatus === 'parsererror') {

				alert('Requested JSON parse failed.');

			} else if (textStatus === 'timeout') {

				alert('Tiempo de espera agotado, time out error.');

			} else if (textStatus === 'abort') {

				alert('Solicitud ajax abortada.'); // Ajax request aborted.

			} else {

				alert('Uncaught Error: ' + jqXHR.responseText);

			}

		});

	}
	function generico(){
	
	var ruc='<?php echo $rucgen; ?>';
	var razon='<?php echo $rzgen ?>';
	//var dv=<?php echo $dvgen ?>;
	$("#razon_social").val(razon);
	$("#ruc").val(ruc);
}
	function agrega_prod_combinado(idproducto_principal, idproducto_partes) {
		var direccionurl = 'combinado_ventas_add.php';
		var parametros = {
			"prodprinc": idproducto_principal,
			"prodpart": idproducto_partes
		};
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$("#counter_combinado_" + idproducto_principal + '_' + idproducto_partes).val('...');
			},
			success: function(response) {
				if (IsJsonString(response)) {
					var obj = jQuery.parseJSON(response);
					if (obj.valido == 'S') {
						$("#counter_combinado_" + idproducto_principal + '_' + idproducto_partes).val(obj.cantidad_seleccionada);
					} else {
						$("#counter_combinado_" + idproducto_principal + '_' + idproducto_partes).val(obj.cantidad_seleccionada);
						// muestra mensaje error
						$.notify({
							// options
							icon: 'glyphicon glyphicon-warning-sign',
							title: 'Error:',
							message: obj.errores
						}, {
							// settings
							type: 'danger',
							z_index: 2000,
							placement: {
								from: "top",
								align: "right"
							},
							animate: {
								enter: 'animated fadeInDown',
								exit: 'animated fadeOutUp'
							},
						});
					}
				} else {
					$("#counter_combo_" + idproducto_principal + '_' + idproducto_partes).val(0);
					alert(response);

				}
			}
		});
	}

	function saca_prod_combinado(idproducto_principal, idproducto_partes) {
		var direccionurl = 'combinado_ventas_del.php';
		var parametros = {
			"prodprinc": idproducto_principal,
			"prodpart": idproducto_partes
		};
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$("#counter_combinado_" + idproducto_principal + '_' + idproducto_partes).val('...');
			},
			success: function(response) {
				if (IsJsonString(response)) {
					var obj = jQuery.parseJSON(response);
					if (obj.valido == 'S') {
						$("#counter_combinado_" + idproducto_principal + '_' + idproducto_partes).val(obj.cantidad_seleccionada);
					} else {
						$("#counter_combinado_" + idproducto_principal + '_' + idproducto_partes).val(obj.cantidad_seleccionada);
						// muestra mensaje error
						$.notify({
							// options
							icon: 'glyphicon glyphicon-warning-sign',
							title: 'Error:',
							message: obj.errores
						}, {
							// settings
							type: 'danger',
							z_index: 2000,
							placement: {
								from: "top",
								align: "right"
							},
							animate: {
								enter: 'animated fadeInDown',
								exit: 'animated fadeOutUp'
							},
						});
					}
				} else {
					$("#counter_combo_" + idproducto_principal + '_' + idproducto_partes).val(0);
					alert(response);

				}
			}
		});
	}

	function terminar_combinado(idproducto) {
		var html_ant = $(".modal-body").html();
		var direccionurl = 'combinado_ventas_termina.php';
		var parametros = {
			"prodprinc": idproducto

		};
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$(".modal-body").html('Registrando...');
			},
			success: function(response) {
				if (IsJsonString(response)) {
					var obj = jQuery.parseJSON(response);
					if (obj.valido == 'S') {
						$('#dialogobox').modal('hide');
						// actualiza carrito
						$("#totcarro-top").html(obj.totalencarro);
						$("#totcarro-navbar").html(obj.totalencarro);
						// muestra mensaje agregado
						$.notify({
							// options
							icon: 'glyphicon glyphicon-shopping-cart',
							message: 'Agregado!'
						}, {
							// settings
							type: 'success',
							placement: {
								from: "bottom",
								align: "right"
							},
						});

						actualizar_agregado_carrito();

						$("#producto_box_" + idproducto + " .card-body").append('<a href="#" class="icono-carrito" title="Ir al carrito" data-toggle="tooltip" data-placement="right"  data-original-title="Ir al carrito"><img src="img/agregado_car.png" class="cart_added" alt="Agregado al carrito" /></a>');
						$("#producto_box_" + idproducto).addClass('card-producto-agregado');
					} else {
						$(".modal-body").html(html_ant);
						// muestra mensaje error
						$.notify({
							// options
							icon: 'glyphicon glyphicon-warning-sign',
							title: 'Errores:<br />',
							message: nl2br(obj.errores)
						}, {
							// settings
							type: 'danger',
							z_index: 2000,
							placement: {
								from: "top",
								align: "right"
							},
							animate: {
								enter: 'animated fadeInDown',
								exit: 'animated fadeOutUp'
							},
						});
					}
				} else {
					$(".modal-body").html(response);

				}
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if (jqXHR.status == 404) {
					alert('Pagina no encontrada. ' + jqXHR.status + ' ' + errorThrown);
				} else if (jqXHR.status == 0) {
					alert('Se ha rechazado la conexión.');
				} else {
					alert(jqXHR.status + ' ' + errorThrown);
				}
			}
		}).fail(function(jqXHR, textStatus, errorThrown) {

			if (jqXHR.status === 0) {

				alert('No conectado: verifique la red.');

			} else if (jqXHR.status == 404) {

				alert('Pagina no encontrada [404]');

			} else if (jqXHR.status == 500) {

				alert('Internal Server Error [500].');

			} else if (textStatus === 'parsererror') {

				alert('Requested JSON parse failed.');

			} else if (textStatus === 'timeout') {

				alert('Tiempo de espera agotado, time out error.');

			} else if (textStatus === 'abort') {

				alert('Solicitud ajax abortada.'); // Ajax request aborted.

			} else {

				alert('Uncaught Error: ' + jqXHR.responseText);

			}

		});
	}

	function apretar_combo(idproducto, cantidad, obj) {
		$('#dialogobox').modal('show');
		$(".modal-title").html('Armar Combo');
		var direccionurl = 'combo_ventas.php';
		var parametros = {
			"id": idproducto
		};
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$(".modal-body").html("Cargando Opciones...");
			},
			success: function(response) {

				$(".modal-body").html(response);
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if (jqXHR.status == 404) {
					alert('Pagina no encontrada. ' + jqXHR.status + ' ' + errorThrown);
				} else if (jqXHR.status == 0) {
					alert('Se ha rechazado la conexión.');
				} else {
					alert(jqXHR.status + ' ' + errorThrown);
				}
			}
		}).fail(function(jqXHR, textStatus, errorThrown) {

			if (jqXHR.status === 0) {

				alert('No conectado: verifique la red.');

			} else if (jqXHR.status == 404) {

				alert('Pagina no encontrada [404]');

			} else if (jqXHR.status == 500) {

				alert('Internal Server Error [500].');

			} else if (textStatus === 'parsererror') {

				alert('Requested JSON parse failed.');

			} else if (textStatus === 'timeout') {

				alert('Tiempo de espera agotado, time out error.');

			} else if (textStatus === 'abort') {

				alert('Solicitud ajax abortada.'); // Ajax request aborted.

			} else {

				alert('Uncaught Error: ' + jqXHR.responseText);

			}

		});

	}

	function agrega_prod_grupo_combo(idproducto, idlistacombo) {
		var direccionurl = 'combo_ventas_add.php';
		var parametros = {
			"idlista": idlistacombo,
			"idprod": idproducto

		};

		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$("#counter_combo_" + idproducto + '_' + idlistacombo).val('...');
			},
			success: function(response) {

				if (IsJsonString(response)) {
					mostrarError(response);
					var obj = jQuery.parseJSON(response);
					if (obj.valido == 'S') {
						$("#counter_combo_" + idproducto + '_' + idlistacombo).val(obj.cantidad_seleccionada);
					} else {
						$("#counter_combo_" + idproducto + '_' + idlistacombo).val(obj.cantidad_seleccionada);
						// muestra mensaje error
						$.notify({
							// options
							icon: 'glyphicon glyphicon-warning-sign',
							title: 'Error:',
							message: obj.errores
						}, {
							// settings
							type: 'danger',
							z_index: 2000,
							placement: {
								from: "top",
								align: "right"
							},
							animate: {
								enter: 'animated fadeInDown',
								exit: 'animated fadeOutUp'
							},
						});
					}
				} else {
					$("#counter_combo_" + idproducto + '_' + idlistacombo).val(0);
					alert(response);

				}
				sumarRestar(idlistacombo)
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if (jqXHR.status == 404) {
					alert('Pagina no encontrada. ' + jqXHR.status + ' ' + errorThrown);
				} else if (jqXHR.status == 0) {
					alert('Se ha rechazado la conexión.');
				} else {
					alert(jqXHR.status + ' ' + errorThrown);
				}
			}
		}).fail(function(jqXHR, textStatus, errorThrown) {

			if (jqXHR.status === 0) {

				alert('No conectado: verifique la red.');

			} else if (jqXHR.status == 404) {

				alert('Pagina no encontrada [404]');

			} else if (jqXHR.status == 500) {

				alert('Internal Server Error [500].');

			} else if (textStatus === 'parsererror') {

				alert('Requested JSON parse failed.');

			} else if (textStatus === 'timeout') {

				alert('Tiempo de espera agotado, time out error.');

			} else if (textStatus === 'abort') {

				alert('Solicitud ajax abortada.'); // Ajax request aborted.

			} else {

				alert('Uncaught Error: ' + jqXHR.responseText);

			}

		});

	}

	function mostrarError(response) {
		var obj = JSON.parse(response);
		if (obj.valido === 'N') {
			var mensajeError = obj.errores;
			// Mostrar el mensaje de error con SweetAlert2

			Swal.fire({
				position: "top-end",
				icon: "error",
				title: mensajeError,
				showConfirmButton: false,
				timer: 1500
			});
		}
	}

	function sumarRestar(idlistacombo) {

		var suma = 0;
		var maximaCantidad = parseInt(document.querySelector('#grupo_' + idlistacombo + ' .maxima-cantidad').value);

		// Buscar dinámicamente el div con el id correspondiente al grupo
		var grupo = document.querySelector('#grupo_' + idlistacombo);
		if (grupo) {
			grupo.querySelectorAll('input[type="text"]').forEach(function(input) {
				var parsedValue = parseInt(input.value);
				// Verificar si parsedValue es un número válido
				if (!isNaN(parsedValue)) {
					suma += parsedValue;
				} else {
					suma += 0;
					console.error('El valor del campo de texto no es un número válido: ' + input.value);
				}
			});
		} else {
			console.error('No se encontró ningún grupo con el ID "grupo_' + idlistacombo + '".');
			return;
		}

		var diferencia = maximaCantidad - suma;
		var sobran = maximaCantidad - diferencia;
		var mensaje = document.querySelector('#mensaje_cantidad_' + idlistacombo);
		if (mensaje) {

			if (diferencia < 1) {
				mensaje.textContent = 'Completaste la selección';
				mensaje.style.color = '#cea71f'; // Cambia el color del texto si la diferencia es cero
			} else {
				mensaje.textContent = 'Elegí hasta ' + maximaCantidad + ' (puedes elegir hasta ' + diferencia + ' más)';
				mensaje.style.color = '#ffffff';
			}
		} else {
			console.error('No se encontró ningún elemento con el ID "mensaje_cantidad_' + idlistacombo + '".');
			return;
		}
	}

	function saca_prod_grupo_combo(idproducto, idlistacombo) {
		var direccionurl = 'combo_ventas_del.php';
		var parametros = {
			"idlista": idlistacombo,
			"idprod": idproducto

		};
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$("#counter_combo_" + idproducto + '_' + idlistacombo).val('...');
			},
			success: function(response) {
				if (IsJsonString(response)) {
					var obj = jQuery.parseJSON(response);
					if (obj.valido == 'S') {
						$("#counter_combo_" + idproducto + '_' + idlistacombo).val(obj.cantidad_seleccionada);
					} else {
						$("#counter_combo_" + idproducto + '_' + idlistacombo).val(obj.cantidad_seleccionada);
						// muestra mensaje error
						$.notify({
							// options
							icon: 'glyphicon glyphicon-warning-sign',
							title: 'Error:',
							message: obj.errores
						}, {
							// settings
							type: 'danger',
							z_index: 2000,
							placement: {
								from: "top",
								align: "right"
							},
							animate: {
								enter: 'animated fadeInDown',
								exit: 'animated fadeOutUp'
							},
						});
					}
				} else {
					$("#counter_combo_" + idproducto + '_' + idlistacombo).val(0);
					alert(response);

				}
				sumarRestar(idlistacombo)
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if (jqXHR.status == 404) {
					alert('Pagina no encontrada. ' + jqXHR.status + ' ' + errorThrown);
				} else if (jqXHR.status == 0) {
					alert('Se ha rechazado la conexión.');
				} else {
					alert(jqXHR.status + ' ' + errorThrown);
				}
			}
		}).fail(function(jqXHR, textStatus, errorThrown) {

			if (jqXHR.status === 0) {

				alert('No conectado: verifique la red.');

			} else if (jqXHR.status == 404) {

				alert('Pagina no encontrada [404]');

			} else if (jqXHR.status == 500) {

				alert('Internal Server Error [500].');

			} else if (textStatus === 'parsererror') {

				alert('Requested JSON parse failed.');

			} else if (textStatus === 'timeout') {

				alert('Tiempo de espera agotado, time out error.');

			} else if (textStatus === 'abort') {

				alert('Solicitud ajax abortada.'); // Ajax request aborted.

			} else {

				alert('Uncaught Error: ' + jqXHR.responseText);

			}

		});

	}
function terminar_combo(idproducto) {
    var boton = $("#agregar_al_carrito");
    var htmlOriginal = boton.html();
    boton.html('<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>');

    $.ajax({
        data: { "idprod_princ": idproducto },
        url: 'combo_ventas_termina.php',
        type: 'post',
        cache: false,
        timeout: 3000,
        crossDomain: true,
        success: function(response) {
            if (IsJsonString(response)) {
                var obj = jQuery.parseJSON(response);
                if (obj.valido == 'S') {
                    $('#dialogobox').modal('hide');
                    $("#totcarro-top, #totcarro-navbar").html(obj.totalencarro);
                    mostrarMensaje('Agregado al carrito', 'success');
                    actualizar_agregado_carrito();
                    agregarIconoCarrito(idproducto);
                } else {
                    mostrarMensaje(obj.errores, 'error');
                }
            } else {
                $(".modal-body").html(response);
            }
        },
        error: function(jqXHR, textStatus, errorThrown) {
            console.log(jqXHR, textStatus, errorThrown);
        },
        complete: function() {
            boton.html(htmlOriginal);
        }
    });
}
function mostrarMensaje(mensaje, tipo) {
    Swal.fire({
        position: "top-end",
        icon: (tipo === 'success') ? 'success' : 'error',
        title: mensaje,
        showConfirmButton: false,
        timer: 1500
    });
}
function alerta_modal(titulo, mensaje) {
	$('#dialogobox').modal('show');
	$(".modal-title").html(titulo);
	$(".modal-body").html(mensaje);
}

	function IsJsonString(str) {
		try {
			JSON.parse(str);
		} catch (e) {
			return false;
		}
		return true;
	}

	function nl2br(str, is_xhtml) {
		var breakTag = (is_xhtml || typeof is_xhtml === 'undefined') ? '<br ' + '/>' : '<br>';

		return (str + '').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1' + breakTag + '$2');
	}

	function reinicia_combos_y_otros() {
		var direccionurl = 'reinicia_combos_y_otros.php';
		var parametros = {
			"time_nocache": '<?php echo $ahora  ?>'
		};
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {

			},
			success: function(response, textStatus, xhr) {

			}

		});
	}
	function validar_fecha(valor){
	var errores="";
	
	var fecha1=new Date("'"+valor+"'");
	var fecha2=new Date("<?php echo $fechasegura ?>");
	//var fecha2 = new Date('2023-10-30');
	var diferenciaEnMilisegundos = fecha2 - fecha1;
	var diferenciaEnDias = Math.floor(diferenciaEnMilisegundos / (1000 * 60 * 60 * 24));
	if(diferenciaEnDias>=0){
		errores="Atencion: No se permite un pedido antes del <?php echo date("d/m/Y",strtotime($fechasegura)); ?>";
		//alert('La diferencia entre las fechas es: ' + diferenciaEnDias + ' días.');
		$("#confirmabtn").hide();
		$("#erroresfinales").html(errores);
		$("#erroresfinales").show();
	} else {
		$("#erroresfinales").html("");
		$("#confirmabtn").show();
		$("#erroresfinales").hide();
	}

}
	function confirmar_pedido() {
		$('#fechaev_er').html("* Debe completar este campo");
		
		var validae="";
		var error_barrio='';
		var valido = 'S';
		var fechaev = $("#fechaev").val();
		var horaev = $("#horaev").val();
		var nomape = $("#nomape").val();
		var documento=$("#documentotxt").val();
		var email = $("#email").val();
		var telefono = $("#telefono").val();
		var direccion = $("#direccion").val();
		var ruc = $("#ruc").val();
		var mensajertte= $("#mensa").val();
		var razon_social = $("#razon_social").val();
		var receptor = $("#persona_recibe").val();
		var telefono_receptor= $("#persona_recibe_numero").val();
		var ciudad= $("#ciudad").val();
		var barrio= $("#barrio").val();
		var comentarios = $("#comentarios").val();
		var idsucursal = $("#sucuseleccionada").val();
		var obliga_barrio="";
		var canal_entrega=$("#canal_entrega").val();
		if (canal_entrega==1) {
			var delivery = "S";
			var carry = 'N';
		}else{
			var delivery = "N";	
			var carry = 'S';
		}
		
		
		var formapago =1;// $('input:radio[name=formapago]:checked').val();
		
		
		if(fechaev==''){
			validae=validae+"Debe indicar una fecha para evento \n";
			valido = 'N';
			$('#fechaev_er').show();
		} else {
			
			$('#fechaev_er').hide();
			//Comparar contra la fecha segura
			
			var fecha_segura = "<?php echo $fecha_segura; ?>";
			var fecha_minima= <?php echo $fecha_minima; ?>;
			
			
			// Convierte ambas fechas a objetos Date de JavaScript
			var dateinputcompara = new Date(fechaev);
			var dateminima = new Date(fecha_minima);
			var datesegura = new Date(fecha_segura);
			
			
			if(dateinputcompara.getTime() < dateminima.getTime()){
					$('#fechaev_er').html("Los pedidos deben realizarse con un mínimo de 72 horas de anticipacion");
					$('#fechaev_er').show();
					//validae=validae+"La fecha indicada es menor a la permitida \n";
					valido='N';
			}
			if(dateinputcompara.getTime() < datesegura.getTime()){
					$('#fechaev_er').html("Los pedidos deben realizarse con un mínimo de 72 horas de anticipacion");
					//validae=validae+"La fecha indicada es menor a la permitida \n";
					$('#fechaev_er').show();
					valido='N';
			}
			
			
			
			
		}
		if(horaev==''){
			valido = 'N';
			$('#horaev_er').show();
			validae=validae+"La hora indicada es no es valida \n";
		} else {
			$('#horaev_er').hide();
			
		}
		
		if(nomape == ''){
			valido = 'N';
			$('#nomape_er').show();
			validae=validae+"Debe indicar nombre y apellido \n";
		}else{
			$('#nomape_er').hide();	
		}
		
		if(documento==''){
			valido = 'N';
			validae=validae+"Debe indicar documento \n";
			$('#documento_er').show();
		} else {
			$('#documento_er').hide();
			
		}
		if(email == ''){
			valido = 'N';
			$('#email_er').show();
			validae=validae+"Debe email \n";
		}else{
			$('#email_er').hide();	
		}
		if(telefono == ''){
			valido = 'N';
			$('#telefono_er').show();
			validae=validae+"Debe indicar telefono \n";
		}else{
			$('#telefono_er').hide();	
		}
		
		//SI NO ES PASA A BUSCAR< VERIFICAMOS
		if(delivery=='S'){
			if(direccion == ''){
				valido = 'N';
				$('#direccion_er').show();
				validae=validae+"Debe indicar direccion \n";
			}else{
				$('#direccion_er').hide();	
			}
			if(ciudad == '' && delivery=='S'){
				valido = 'N';
				$('#ciudad_er').show();
				validae=validae+"Debe indicar ciudad \n";
			}else{
				$('#ciudad_er').hide();	
				var es=ciudad.split("-");
				obliga_barrio=(es[1]);
			}
			//alert(obliga_barrio);
			
			if(obliga_barrio=='S' && barrio==''){
				valido = 'N';error_barrio=error_barrio+'Barrio vacio y obliga_barrio'+obliga_barrio;
				validae=validae+"Debe indicar barrio \n";
				$('#barrio_er').show();
				
			} else {
				if(obliga_barrio=="'S'"){
					if(barrio == '' && delivery=='S'){
						valido = 'N';error_barrio=error_barrio+'Barrio vacio y delivery SI mas obliga_barrio'+obliga_barrio;
						validae=validae+"Debe indicar barrio  \n";
						$('#barrio_er').show();
					}else{
						$('#barrio_er').hide();
						//valido = 'S';						
					}
				} else {
					//valido = 'S';
					$('#barrio_er').hide();	
				}
			}
			if(receptor == ''){
				valido = 'N';
				validae=validae+"Debe indicar receptor del pedido \n";
				$('#persona_recibe_er').show();
			}else{
				$('#persona_recibe_er').hide();	
			}
			if(telefono_receptor == ''){
				valido = 'N';
				validae=validae+"Debe indicar numero del receptor \n";
				$('#persona_recibe_numero_er').show();
			}else{
				$('#persona_recibe_numero_er').hide();	
			}
		} else {
				valido = 'S';
			
		}
		

		if(ruc==''){
			valido = 'N';
			$('#ruc_er').show();
			validae=validae+"Debe indicar ruc o no usa \n";
		} else {
			$('#ruc_er').hide();
			
		}
		if(razon_social==''){
			valido = 'N';
			$('#razon_social_er').show();
			validae=validae+"Debe indicar rz \n";
		} else {
			$('#razon_social_er').hide();
			
		}
		
		///valido='N';
		if(valido == 'S'){
			//alert("Todo valido");
			var parametros = {
				"delivery"		:delivery,
				"nomape"       : nomape,
				"email"        : email,
				"telefono"     : telefono,
				"direccion"    : direccion,
				"comentarios"  : comentarios,
				"ruc"          : ruc,
				"razon_social" : razon_social,
				"formapago"    : formapago,
				"delivery"     : delivery,
				"idsucursal"   : idsucursal,
				"fecha_evento" : fechaev ,
				"hora_evento"	:horaev,
				"mensaje_remite": mensajertte,
				"documento": documento,
				"ciudad"	:ciudad,
				"barrio"	: barrio,
				"receptor"	:receptor,
				"obliga_barrio": obliga_barrio,
				"telefono_receptor"	:telefono_receptor,
			};
			$.ajax({
				data:  parametros,
				url:   'carro_registra.php',
				type:  'post',
				beforeSend: function () {
					$("#confirmabtn").hide();
				},
				success:  function (response) {
					//alert(response);
					//alert('peticion enviada');
					if(IsJsonString(response)){
						
						var obj = jQuery.parseJSON(response);
						//$("#monto_abonar").val(obj.valido);
						if(obj.valido == 'S'){
							document.location.href='resumen.php?env=s&idpedido='+obj.idpedido+'&key='+obj.key;
						}else{
							//alert('Errores: '+obj.errores); // nl2br();
							$("#confirmabtn").show();
						}
					}else{
						alert("Hubo un problema con tu compra y no se pudo registrar.\n"+response);
						
						$("#confirmabtn").show();
					}
				
				}
			});
		
		} else {
			
			//alert('Errores de validaciones:'+validae);
			
		}
	}
</script>

<div class="overlay_dos"></div>

<section class="">
	<div class="productos_carrito">

		<?php if ($_GET['env'] != 's') { ?>

			<div class="row">
				<?php if ($_GET['env'] == 's') { ?>
					<div class="col-12 text-center alert alert-success alert-dismissible" role="alert">
						<button type="button" class="close btn" data-dismiss="alert" aria-label="Close">
							<span aria-hidden="true">×</span>
						</button>
						<strong>Pedido enviado!!</strong> nos pondremos en contacto con usted en la brevedad posible.
					</div>
					<div class="clearfix"></div>
				<?php } ?>
			</div>
			<div class="contenedor_carrito texto-blanco">


				<div class="lista_carrito">

					<?php
					$tiene_productos = 0;
					while (!$rs_prod->EOF) {
						$tiene_productos = 1;
						// crea imagen
						$id  = $rs_prod->fields['idprod_serial'];
						$img = "$RUTA_IMG/wprod_$id.jpg";

						if (!file_exists($img)) {
							$img = "$RUTA_IMG/wprod_0.jpg";
						}

						$idwebcarrito_det = $rs_prod->fields['idwebcarrito_det'];
						$idproducto = $rs_prod->fields['idproducto'];
						$disabled = "";

						if ($rs_prod->fields['idtipoproducto'] != 1) {
							$disabled = 'disabled="disabled"';
						}
						$observacion = "-";
						$idPordSerial = $rs_prod->fields['idprod_serial'];
						if ($rs_prod->fields['observacion']) {
							$observacion = $rs_prod->fields['observacion'];
						}

					?>
						<div id="cont_inp_<?php echo $idPordSerial ?>" class="d-flex flex-column mb-2 d-md-revert producto_carrito fondo_dos">

							<td><!-- aca inicia -->
								<button class="btn-carrito-quitar-producto color_dos" id_eliminar="<?php echo $idwebcarrito_det; ?>" ; onclick="borra(<?php echo $idwebcarrito_det . ',' . $idproducto; ?>);">
									<ion-icon name="trash-outline"></ion-icon>
								</button>
								<div class="descripcion">
									<span class="nombre_producto_carrito color_dos">
										<?php echo $rs_prod->fields['descripcion']; ?>
									</span>
									<span class="descripcion_producto_carrito color_dos">
										<?php echo $rs_prod->fields['descripcion_larga']; ?>
									</span>
									<span class="observacion_producto_carrito color_dos">
										Obs: <?php echo $observacion; ?>
									</span>
									<?php
									if (!$rs_prod->fields['observacion']) {
										echo '<button class="agregar_observacion color_uno fondo_transparente" onclick="agrega_observacion(' . $idproducto . ',`' . $rs_prod->fields['descripcion'] . '`)">Agregar observacion</button>';
									}
									?>
									<?php
									/* if($rs_prod->fields['idtipoproducto'] == 1):  
												if( trim($rs_prod->fields['idinsumo']) != '' ):
													echo "<small>Cód. ".$rs_prod->fields['idinsumo']."</small>";
												endif;
													echo "<br>";
												if( trim($rs_prod->fields['barcode']) != '' ):
													echo "<small>Cód. de Barras: ".$rs_prod->fields['barcode']."</small>";
												endif;
											endif; */
									?>
								</div>




								<small class="color_dos">
									<?php
									if ($rs_prod->fields['idtipoproducto'] == 2) { // combo
										$consulta = "
												select productos.descripcion,  count(*) as total
												from tmp_combos_listas_ecom
												inner join productos on productos.idprod_serial = tmp_combos_listas_ecom.idproducto
												where
												idwebcarrito_det =  $idwebcarrito_det
												group by productos.descripcion
												";
										$rs_combo = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
										$combo_partes = "";
										while (!$rs_combo->EOF) {
											//if($rs_combo->fields['total'] > 1){
											$combo_partes .= "[" . $rs_combo->fields['total'] . "] " . strtolower($rs_combo->fields['descripcion']) . ", ";
											//}else{
											//	$combo_partes.=strtolower($rs_combo->fields['descripcion']).", ";	
											//}
											$rs_combo->MoveNext();
										}
										$combo_partes = substr($combo_partes, 0, -2);
										echo "Detalle: " . $combo_partes;
									}
									if ($rs_prod->fields['idtipoproducto'] == 4) { // combinado extendido
										$consulta = "
												select productos.descripcion,  count(*) as total
												from tmp_combinado_listas_ecom
												inner join productos on productos.idprod_serial = tmp_combinado_listas_ecom.idproducto_partes
												where
												idwebcarrito_det =  $idwebcarrito_det
												group by productos.descripcion
												";
										$rs_combo = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
										$combo_partes = "";
										while (!$rs_combo->EOF) {
											//if($rs_combo->fields['total'] > 1){
											$combo_partes .= "[" . $rs_combo->fields['total'] . "] " . strtolower($rs_combo->fields['descripcion']) . ", ";
											//}else{
											//	$combo_partes.=strtolower($rs_combo->fields['descripcion']).", ";	
											//}
											$rs_combo->MoveNext();
										}
										$combo_partes = substr($combo_partes, 0, -2);
										echo "Detalle: " . $combo_partes;
									}
									?>
								</small>


								<div class="base">
									<div class="cantidad">
										<button class="restar boton_cantidad fondo_cuatro" funcion="restar" idprod="<?php echo $rs_prod->fields['idprod_serial']; ?>"><ion-icon name="remove-outline" class="color_tres"></ion-icon></button>
										<form name="<?php echo md5('+' . $rs_prod->fields['idprod_serial']); ?>" id="<?php echo md5('+' . $rs_prod->fields['idprod_serial']); ?>" method="post" action="carro.php">

											<div id="cont_inp_<?php echo $rs_prod->fields['idprod_serial']; ?>" style="display:<?php echo $display ?>;">

												<input name="cant_inp" id="cant_inp_<?php echo $rs_prod->fields['idprod_serial']; ?>" value="<?php echo floatval($rs_prod->fields['cantidad']); ?>" type="number" class="form-control bg-white text-center px-0" onKeyUp="muestra_btn(<?php echo $rs_prod->fields['idprod_serial']; ?>);" onchange="actualizar_cant_inp('<?php echo md5('+' . $rs_prod->fields['idprod_serial']); ?>',<?php echo $rs_prod->fields['idprod_serial']; ?>);" <?php echo $disabled ?>>
												<!-- <a 
															class="btn btn-comprar mt-1 p-1" style="margin:0px; display:none; font-size:12px; font-weight:500;" 
															href="#" 
															id="btn_<?php echo $rs_prod->fields['idprod_serial']; ?>" 
															onMouseUp="actualizar_cant_inp('<?php echo md5('+' . $rs_prod->fields['idprod_serial']); ?>',<?php echo $rs_prod->fields['idprod_serial']; ?>)" >
															Actualizar
														</a> -->
												<input name="id" type="hidden" id="id" value="<?php echo $rs_prod->fields['idprod_serial']; ?>">
											</div>
										</form>
										<button class="sumar boton_cantidad fondo_cuatro" funcion="sumar" idprod="<?php echo $rs_prod->fields['idprod_serial']; ?>"><ion-icon name="add-outline" class="color_tres"></ion-icon></button>
									</div>

									<span class="precio color_dos" precio_unitario="<?php echo formatomoneda($rs_prod->fields['precio'], 0); ?>">Gs <?php echo formatomoneda($rs_prod->fields['subtotal'], 0); ?></span>
								</div>
							</td><!-- aca termina -->


						</div>
					<?php
						$rs_prod->MoveNext();
					}


					///endwhile; //fin while
					$mostrar_aviso = "display:none;";
					if ($tiene_productos == 0) {
						$mostrar_aviso = "display:flex;";
					}
					?>
					<div class='contenedor_vacio' style="<?php echo $mostrar_aviso; ?>">
						<img src='img/carrito_vacio.png'>
						<span>Tu carrito esta vacio</span>
					</div>
				</div>
				<?php
				if ($tiene_productos != 0) {
					echo '
							<div class="contenedor_total_carrito flotante fondo_uno">              
								<span class="total_titulo color_dos" >Finalizar pedido</span>
								<span class="total_numero color_dos" >Gs ' . formatomoneda($rs_prodtot->fields['total'], 0) . '</span>             
							</div>		
							';
							
							
				}

				?>


			</div>
			<div class="contenedor_pedido">
				
				
				<div class="contenedor_datos_pedido" id="forma_retiro_ppal">
					<div class="col-sm-12">
						<span class="titulo_input color_dos">Por favor, indique metodo de entrega/retiro <span>
						<br />
						<button class="editar_carrito fondo_uno color_dos">Modificar carrito</button>
						<hr />
					</div>
					<div class="col-sm-12">
						<span class="titulo_input color_dos"><input type="radio" name="canal" id="canal_del" value="D"  onClick="mostrar_sucus(1);" >&nbsp; Delivery<span>
						<div class="form-group">
							<?php echo $rspers->fields['texto_delivery'];  ?>
							
						</div>
					</div>
					<div class="col-sm-12" style="border-radius: 10px;">
						<span class="titulo_input color_dos"><input type="radio" name="canal" id="canal_car" value="C" onClick="mostrar_sucus(2);" > &nbsp;Pasa a retirar<br /></span>
						<div class="form-group" id="forma_retiro" style="display:none; background-color:#B6AF26;">
							<div class="col-sm-12">
								<span class="titulo_input color_dos">&nbsp;&nbsp;<input type="radio" name="suculi" id="sucu_01" value=""  onClick="marcar(1);" >&nbsp; Central<span>
								<div class="form-group">
									&nbsp;&nbsp;&nbsp;	España 555 casi San Jose (Lunes a Viernes de 8.00 am a 17.00 hs, sabados de 8.00 a 15 hs, 24 y 31 diciembre hasta las 13 hs)
									
								</div>
							</div>
							<div class="col-sm-12">
								<span class="titulo_input color_dos">&nbsp;&nbsp;<input type="radio" name="suculi" id="sucu_02" value="" onclick="marcar(2);" >&nbsp; Caffe-Bistro<span>
								<div class="form-group">
									&nbsp;&nbsp;&nbsp; Nuestra señora del Carmen casi San Martín (lunes a domingos de 7.30 am a 23.00 hs. 24 y 31 de diciembre hasta las 17 hs)
								</div>
							</div>
						
						</div>
					</div>
					
				</div>
				<div class="contenedor_opciones_carrito" id="opciones_pago" style="display:none;" >
					

					<hr />
					<span id="metodo_seleccionado_entrega" style="color: white;"></span>
		
					<form method="post" action="">
						<input type="hidden" name="sucuseleccionada" id="sucuseleccionada" value="" />
						<div class="" id="carrito" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
							<div class="contenedor_datos_pedido">
								<div class="col-sm-12">
									<span class="titulo_input color_dos">Fecha Entrega</span>
									<div class="form-group">
										  <input type="date" class="form-control input-lg" name="fechaev" id="fechaev" min="<?php echo $fecha_minima; ?>" onchange="validar_fecha(this.value);" placeholder=" ">
											<div class="requerir" id="fechaev_er">* Debe completar este campo</div>
									</div>
									<span class="titulo_input color_dos">Rango Horario</span>
									<div class="form-group">
											<select class="form-control input-lg" name="horaev" id="horaev">
												<option value="" selected="selected">Seleccionar</option>
												<option value="1" >05:00 a 6:30</option>
												<option value="2" >07:00 a 09:00</option>
												<option value="3" >08:00 a 10:00</option>
												<option value="4" >10:00 a 12:00</option>
												<option value="5" >14:00 a 16:00</option>
											</select>
											
											<div class="requerir" id="horaev_er">* Debe completar este campo</div>
									</div>
									<span class="titulo_input color_dos">Nombre y Apellido</span>
									<div class="form-group">
										 <input type="text" class="form-control input-lg" name="nomape" id="nomape">
										<div class="requerir" id="nomape_er">* Debe completar este campo</div>
									</div>
									<span class="titulo_input color_dos">Nº Documento / CI</span>
									<div class="form-group">
										 <input type="text" class="form-control input-lg" name="documentotxt" id="documentotxt"  placeholder="">
										<div class="requerir" id="documento_er">* Debe completar este campo</div>
										
									</div>
									<span class="titulo_input color_dos">Email</span>
									<div class="form-group">
										  <input type="email" class="form-control input-lg" name="email" id="email"  placeholder="">
										<div class="requerir" id="email_er">* Debe completar este campo</div>
										
									</div>
									<span class="titulo_input color_dos">Celular</span>
									<div class="form-group">
										  <input type="tel" class="form-control input-lg" id="telefono" name="telefono" placeholder="">
											<div class="requerir" id="telefono_er">* Debe completar este campo</div>
										
									</div>
									
									<span class="titulo_input color_dos" id="dire_entrega_div1">Direccion entrega</span>
									<div class="form-group" id="dire_entrega_div2">
										 <input type="text" class="form-control input-lg" id="direccion" name="direccion" placeholder="">
										<div class="requerir" id="direccion_er">* Debe completar este campo</div>
										
									</div>
									<span class="titulo_input color_dos" id="ciudad_entrega_div1">Ciudad</span>
									<div class="form-group" id="ciudad_entrega_div2">
										<select class="form-control input-lg" name="ciudad" id="ciudad" onchange="filtra_barrios(this.value)">
											<option value="" selected="selected">Seleccionar</option>
											<?php while(!$rsciu->EOF){ ?>
												<option value="<?php echo $rsciu->fields['idciudad']."-"."'".$rsciu->fields['obliga_barrio']."'"  ?>" ><?php echo $rsciu->fields['nombre'] ?></option>
											<?php $rsciu->MoveNext();} ?>
											
										</select>
										<div class="requerir" id="ciudad_er">* Debe completar este campo</div>
									
									</div>
									<span class="titulo_input color_dos" id="barrio_entrega_div1">Barrio</span>
									<div class="form-group" id="listabarrios" >
										<select class="form-control input-lg" name="barrio" id="barrio">
											<option value="" selected="selected">Seleccionar</option>
											<?php while(!$rsbarr->EOF){ ?>
												<option value="<?php echo $rsbarr->fields['idbarrio'] ?>" ><?php echo $rsbarr->fields['nombre'] ?></option>
											<?php $rsbarr->MoveNext();} ?>
											
										</select>
									 
									   <div class="requerir" id="barrio_er">* Debe completar este campo</div>
										
									</div>
									<span class="titulo_input color_dos">RUC &nbsp; &nbsp;<input type="radio" name="noruc" id="noruc"  onclick="generico();"  >
									<label><strong>No Usa</strong> </label></span>
									<div class="form-group">
										<input type="text" class="form-control input-lg" id="ruc" name="ruc" placeholder="">
										<div class="requerir" id="ruc_er">* Debe completar este campo</div>
									</div>
									<span class="titulo_input color_dos">Razon Social *</span>
									<div class="form-group">
										  <input type="text" class="form-control input-lg" id="razon_social" name="razon_social" placeholder="">
											<div class="requerir" id="razon_social_er">* Debe completar este campo</div>
									</div>

									<span class="titulo_input color_dos">Tarjeta con Mensaje para el Remitente</span>
									<div class="form-group">
										 <input  class="form-control input-lg" rows="3" id="mensa" name="mensa" placeholder=""/>
										
									</div>
									<span class="titulo_input color_dos" id="recibe_entrega_div1">Nombre de la Persona que recibe</span>
									<div class="form-group" id="recibe_entrega_div2">
										<input  class="form-control input-lg" rows="3" id="persona_recibe" name="persona_recibe" placeholder="" />
										<div class="requerir" id="persona_recibe_er">* Debe completar este campo</div>
										
									</div>
									<span class="titulo_input color_dos"  id="recibe_entrega_num_div1">Numero de la Persona que recibe</span>
									<div class="form-group" id="recibe_entrega_num_div2">
										  <input  class="form-control input-lg" rows="3" id="persona_recibe_numero" name="persona_recibe_numero" placeholder=""/>
										<div class="requerir" id="persona_recibe_numero_er">* Debe completar este campo</div>
										
									</div>
									<span class="titulo_input color_dos"></span>
									<div class="form-group">
										
										
									</div>
									<span class="titulo_input color_dos"></span>
									<div class="form-group">
										
										
									</div>
									
									<span class="titulo_input color_dos">Comentarios adicionales</span>
									<div class="form-group">
										<textarea class="form-control" rows="3" id="comentarios" name="comentarios" placeholder="Comentarios:"></textarea>
									</div>
								</div>

								<div class="contenedor_total_pedido">
									<span class="total_titulo color_cuatro">Total carrito</span>
									<span class="total_numero color_dos">Gs <?php echo formatomoneda($rs_prodtot->fields['total'], 0); ?></span>
									<!-- <?php if ($totalencarro > 0) { ?>
										<button class="btn btn-solicitar" data-bs-toggle="modal" data-bs-target="#carrito" >
											<i class="fab fa-get-pocket"></i> Solicitar
										</button>
									<?php } ?> -->
								</div>


								<div class=""><!--
									<input type="hidden" name="form" value="1">
									<button type="button" class="btn btn-solicitar color_dos fondo_cinco" id="confirmabtn" onclick="confirmar_pedido();">
										Proceder al Pago
										<ion-icon name="checkmark-circle-outline"></ion-icon>
									</button>
									-->
									<div id="erroresfinales" style="display:none;background-color:red;color:white;" ></div>
									<input type="hidden" name="form" value="1" />
									<input type="hidden" name="canal_entrega" id="canal_entrega" value="" />
									<button type="button" class="btn btn-solicitar color_dos fondo_cinco" id="confirmabtn"  onMouseUp="confirmar_pedido();">Confirmar Pedido</button>
								</div>

							</div>
						</div>
					</form>

				</div>
				
				
				
				
				
			</div>
			
			
			
			
			
			

			<!--POPUP CONFIRMAR PEDIDO-->

			<!--/POPUP CONFIRMAR PEDIDO-->

		<?php }; //fin if $_GET['env'] != 's' 
		?>

	</div>
</section>

<div class="ver_carrito_movil fondo_uno">
	<span class="contenedor_contador color_dos"><ion-icon name="cart-outline"></ion-icon><span class="contador_productos"><?php echo formatomoneda($rs_prodtot->fields['total_productos'], 0); ?></span></span>
	<span class="color_dos">Ver pedido</span>
	<span class="total_numero color_dos">Gs <?php echo formatomoneda($rs_prodtot->fields['total'], 0); ?></span>
</div>
<div class="observacion_formulario" id_producto="">
	<div class="cabecera_observacion">
		<span class="titulo_pedido color_dos">Observación</span>
		<button class="cerrar_observacion color_dos fondo_transparente" onclick=cerrar_observacion()><ion-icon name="close-outline"></ion-icon></button>
	</div>
	<p class="color_dos">¿Tienes alguna observación con respecto a tu pedido? Escribelas aquí!</p>
	<span class="producto_observacion color_dos">-</span>
	<textarea class="observacion_input fondo_dos" id="" cols="30" rows="10"></textarea>
	<button class="agregar_observacion_carrito fondo_uno" onclick="enviar_observacion()">Agregar observación</button>
</div>
<script>
	const observacion_formulario = document.querySelector(".observacion_formulario");
	const observacion_input = observacion_formulario.querySelector(".observacion_input");
	const producto_observacion = observacion_formulario.querySelector(".producto_observacion");
	const overlay_dos = document.querySelector(".overlay_dos");

function marcar(cual){
	
	//POR AHORA EN DURO, TRAER DE LA BD Y RECIBIR SEGUN LSTA DE SUCURSALES!!!
	if(cual==1){
		marca_txt="Entrega por delivery";
	}
	$("#sucuseleccionada").val(cual);

	solicitar_productos();
	

}
function mostrar_sucus(origen){
	if(origen==2){
		//Busca en sucursales
		$("#forma_retiro").show();
		$("#canal_entrega").val(2);
		$("#dire_entrega_div1").hide();
		$("#dire_entrega_div2").hide();
		$("#barrio_entrega_div1").hide();
		$("#listabarrios").hide();
		$("#ciudad_entrega_div1").hide();
		$("#ciudad_entrega_div2").hide();
		$("#recibe_entrega_div1").hide();
		$("#recibe_entrega_div2").hide();
		$("#recibe_entrega_num_div1").hide();
		$("#recibe_entrega_num_div2").hide();
		$("#opciones_pago").hide();
		
	} else { 
		//delivery
		var marca_txt="";
		$("#metodo_seleccionado_entrega").html(marca_txt);
		$("#forma_retiro").hide();//en caso que este visible,
		$("#canal_entrega").val(1);
		
		//Desocultar los divs para direbarrioyciudad
		$("#dire_entrega_div1").show();
		$("#dire_entrega_div2").show();
		$("#barrio_entrega_div1").show();
		$("#listabarrios").show();
		$("#ciudad_entrega_div1").show();
		$("#ciudad_entrega_div2").show();
		$("#recibe_entrega_div1").show();
		$("#recibe_entrega_div2").show();
		$("#recibe_entrega_num_div1").show();
		$("#recibe_entrega_num_div2").show();
		$("#opciones_pago").show();
		
	}
}
function solicitar_productos(){
	$("#forma_retiro").hide();
	$("#opciones_pago").show();
}

function filtra_barrios(valor){
	var es=valor.split("-");
	var obliga_barrio=es[1];
	//alert(obliga_barrio);
	var idciudad=es[0];
	//alert(idciudad);
	var parametros = {
		"idciudad"       : idciudad
		
	};
	$.ajax({
		data:  parametros,
		url:   'barrios_listado.php',
		type:  'post',
		beforeSend: function () {
			
		},
		success:  function (response) {
			$("#listabarrios").html(response);
		}
	});
	
}

	function agrega_observacion(id, nombre) {
		producto_observacion.innerHTML = "-" + nombre;
		overlay_dos.style = "display: flex; z-index: 9;";
		observacion_formulario.style = "display: flex;";
		observacion_formulario.setAttribute("id_producto", id);
	}

	function cerrar_observacion() {
		observacion_input.value = "";
		observacion_formulario.style = "display: none;";
		overlay_dos.style = "display: none;";
	}

	function enviar_observacion() {
		const observacion = observacion_input.value;
		const id_producto = observacion_formulario.getAttribute("id_producto");
		var tabla_peticion = new FormData();
		tabla_peticion.append('enviar_observacion', observacion);
		tabla_peticion.append('id_observacion', id_producto);
		fetch('carro_edit.php', {
				method: "POST",
				body: tabla_peticion,
			}).then(respuesta => respuesta.text())
			.then(datos => {
				const texto_obs = document.querySelector(`#cont_inp_${id_producto} .observacion_producto_carrito`);
				const boton_obs = document.querySelector(`#cont_inp_${id_producto} .agregar_observacion`);
				texto_obs.innerHTML = "Obs: " + observacion;
				boton_obs.remove();
				cerrar_observacion();
				return;
			});
	}
	var contenedor_carrito = document.querySelector(".contenedor_carrito");
	var contenedor_vacio = document.querySelector(".contenedor_vacio");
	var lista_carrito = document.querySelector(".contenedor_carrito");
	let contenedor_pedido = document.querySelector(".contenedor_pedido");
	const editar_carrito = document.querySelector(".editar_carrito");
	var contenedor_total_carrito = document.querySelector(".contenedor_total_carrito.flotante");
	editar_carrito.addEventListener('click', function() {
		contenedor_carrito.style = "display : block;";
		contenedor_pedido.style = "display : none;";
	});
	if (contenedor_total_carrito) {
		contenedor_total_carrito.addEventListener('click', function() {
			contenedor_carrito.style = "display : none;";
			contenedor_pedido.style = "display : block;";
		});
	}







	function formatear(numero) {
		var num = numero;
		if (!isNaN(num)) {
			num = num.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g, '$1.');
			num = num.split('').reverse().join('').replace(/^[\.]/, '');
			return num;
		}
	}

	function borra(id, id_producto) {
		var tabla_peticion = new FormData();
		const boton_eliminar = document.querySelector(`.btn-carrito-quitar-producto[id_eliminar='${id}']`);
		const producto_carrito_eliminar = boton_eliminar.closest(".producto_carrito");
		const producto_lista_eliminar = document.querySelector(`#producto_box_${id_producto}`);
		tabla_peticion.append('del', id);
		fetch('carro.php', {
				method: "POST",
				body: tabla_peticion,
			}).then(respuesta => respuesta.json())
			.then(datos => {
				producto_carrito_eliminar.remove();
				if (producto_lista_eliminar) {
					producto_lista_eliminar.classList.remove("card-producto-agregado");
					const imagen_carrito = producto_lista_eliminar.querySelector(`.icono-carrito`);
					imagen_carrito.remove();
				}
				actualizar_carrito();
			});
	}

	function actualizar_carrito() {
		const total_productos = document.querySelectorAll('.producto_carrito');
		const total_carrito_texto = document.querySelectorAll(".total_numero");
		const contador_productos = document.querySelector(".contador_productos");
		let total_carrito = 0;
		total_productos.forEach(producto => {
			const precio = producto.querySelector(".precio");
			const precio_unitario = Number(precio.getAttribute("precio_unitario").replace(/[gs₲.]/gi, ''));
			const cantidad = producto.querySelector(".cantidad input").value;
			const operacion = Number(cantidad) * precio_unitario;
			precio.innerHTML = "Gs " + formatear(operacion);
			total_carrito += operacion;
		});
		total_carrito_texto[0].innerHTML = "Gs " + formatear(total_carrito);
		total_carrito_texto[1].innerHTML = "Gs " + formatear(total_carrito);
		if (total_carrito_texto[2]) {
			total_carrito_texto[2].innerHTML = "Gs " + formatear(total_carrito);
		}

		if (total_productos.length <= 0) {
			contenedor_total_carrito = contenedor_carrito.querySelector(".contenedor_total_carrito.flotante");
			contenedor_vacio = contenedor_carrito.querySelector(".contenedor_vacio");
			contenedor_vacio.style = "display: flex;";
			if (contenedor_total_carrito) {
				contenedor_total_carrito.style = "display: none;";
			}

		}
		contador_productos.innerHTML = total_productos.length;

	}
	actualizar_carrito();

	var boton_cantidad = lista_carrito.querySelectorAll('.boton_cantidad');
	boton_cantidad.forEach(boton => {
		boton.addEventListener('click', actualizar_cant_inp);
	});

	function actualizar_cant_inp(event) {
		const click = event.target;
		const boton = click.closest('.boton_cantidad');
		const funcion = boton.getAttribute('funcion');
		const idprod = boton.getAttribute('idprod');
		let padre = boton.closest('.producto_carrito');
		let input_cantidad = padre.querySelector('input');

		if (funcion == "sumar") {
			input_cantidad.value = parseInt(input_cantidad.value) + 1;
		} else {
			if (input_cantidad.value == "1") {
				return;
			}
			input_cantidad.value = parseInt(input_cantidad.value) - 1;
		}
		actualizar_carrito();



		var tabla_peticion = new FormData();
		tabla_peticion.append('id', idprod);
		tabla_peticion.append('cant_inp', input_cantidad.value);
		fetch('carro_edit.php', {
				method: "POST",
				body: tabla_peticion,
			}).then(respuesta => respuesta.text())
			.then(datos => {
				return;
			});
	}

	function actualizar_agregado_carrito() {
		fetch('carro_interact_actualizar.php', {
				method: "GET",
			}).then(respuesta => respuesta.text())
			.then(datos => {
				lista_carrito.innerHTML = "";
				lista_carrito.innerHTML = datos;
				boton_cantidad = lista_carrito.querySelectorAll('.boton_cantidad');
				boton_cantidad.forEach(boton => {
					boton.addEventListener('click', actualizar_cant_inp);
				});
				contenedor_total_carrito = lista_carrito.querySelector(".contenedor_total_carrito.flotante");
				contenedor_total_carrito.addEventListener('click', function() {
					contenedor_carrito.style = "display : none;";
					contenedor_pedido.style = "display : block;";
				});
				actualizar_carrito();
			});
	}


	function carro_add(idproducto, cantidad, obj) {
		var direccionurl = 'carro_add.php';
		var parametros = {
			"id": idproducto,
			"q": cantidad
		};
		actualizar_carrito();
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$(obj).animate({
					opacity: 0.05,
				}, 1000, "linear", function() {
					$(obj).animate({
						opacity: 1,
					}, 1000, "linear", function() {});
				});
			},
			success: function(response, textStatus, xhr) {
				//alerta_modal('Agregado','Mensaje');
				if (IsJsonString(response)) {
					var obj = jQuery.parseJSON(response);
					if (obj.valido == 'S') {
						// actualiza carrito
						$("#totcarro-top").html(obj.totalencarro);
						$("#totcarro-navbar").html(obj.totalencarro);


						actualizar_agregado_carrito();
						// muestra mensaje agregado
						$.notify({
							// options
							icon: 'glyphicon glyphicon-shopping-cart',
							message: 'Agregado!'
						}, {
							// settings
							type: 'success',
							placement: {
								from: "bottom",
								align: "right"
							},
						});
						$("#producto_box_" + idproducto + " .card-body").append('<a href="#" class="icono-carrito" title="Ir al carrito" data-toggle="tooltip" data-placement="right"  data-original-title="Ir al carrito"><img src="img/agregado_car.png" class="cart_added" alt="Agregado al carrito" /></a>');
						$("#producto_box_" + idproducto).addClass('card-producto-agregado');
					} else {
						alert(obj.errores);
					}
				} else {
					alert(response);
				}

			},
			error: function(jqXHR, textStatus, errorThrown) {
				if (jqXHR.status == 404) {
					alert('Pagina no encontrada. ' + jqXHR.status + ' ' + errorThrown);
				} else if (jqXHR.status == 0) {
					alert('Se ha rechazado la conexión.');
				} else {
					alert(jqXHR.status + ' ' + errorThrown);
				}
			}


		}).fail(function(jqXHR, textStatus, errorThrown) {

			if (jqXHR.status === 0) {

				alert('No conectado: verifique la red.');

			} else if (jqXHR.status == 404) {

				alert('Pagina no encontrada [404]');

			} else if (jqXHR.status == 500) {

				alert('Internal Server Error [500].');

			} else if (textStatus === 'parsererror') {

				alert('Requested JSON parse failed.');

			} else if (textStatus === 'timeout') {

				alert('Tiempo de espera agotado, time out error.');

			} else if (textStatus === 'abort') {

				alert('Solicitud ajax abortada.'); // Ajax request aborted.

			} else {

				alert('Uncaught Error: ' + jqXHR.responseText);

			}
		});
	}
</script>