<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="296";
require_once("includes/rsusuario.php"); 




if($_GET['idproveedor'] > 0){
	$idproveedor=intval($_GET['idproveedor']);
	$whereadd.="
	and insumos_lista.idproveedor = $idproveedor
	";	
}
if($_GET['idgrupoinsu'] > 0){
	$idgrupoinsu=intval($_GET['idgrupoinsu']);
	$whereadd.="
	and insumos_lista.idgrupoinsu = $idgrupoinsu
	";	
}
if($_GET['idagrupaciondep'] > 0){
	$idagrupaciondep=intval($_GET['idagrupaciondep']);
	$whereadd.="
	and gest_depositos.iddeposito in (select iddeposito from depositos_agrupacion_det where idagrupaciondep = $idagrupaciondep)
	";	
	$whereadd_dep.="
	and gest_depositos.iddeposito in (select iddeposito from depositos_agrupacion_det where idagrupaciondep = $idagrupaciondep)
	";	
}
if($_GET['idmarca'] > 0){
	$idmarca=intval($_GET['idmarca']);
	$whereadd.=" and (select idmarca from productos where idprod_serial = insumos_lista.idproducto limit 1) = $idmarca ";	
	$url_add.='&idmarca='.antixss($_GET['idmarca']);
}
if(trim($_GET['descripcion']) != ''){
	$descripcion=antisqlinyeccion($_GET['descripcion'],"like");
	$whereadd.=" and insumos_lista.descripcion like '%$descripcion%' ";	
	$url_add.='&descripcion='.antixss($_GET['descripcion']);
}


// reemplaza a los de arriba
if(trim($_GET['barcode']) != ''){
	$barcode=antisqlinyeccion($_GET['barcode'],"text");
	$whereadd=" and (select barcode from productos where idprod_serial = insumos_lista.idproducto limit 1) = $barcode ";	
	$url_add.='&barcode='.antixss($_GET['barcode']);
}

$consulta="
select * 
from gest_depositos 
where 
estado = 1 

$whereadd_dep
order by orden_nro asc, descripcion asc
";
$rsdep = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
while(!$rsdep->EOF){
	
	$iddeposito=$rsdep->fields['iddeposito'];
	$deposito=$rsdep->fields['descripcion'];
	$depositos[$iddeposito] = $deposito;
	
$rsdep->MoveNext(); }

$consulta="
select idinsumo, insumos_lista.descripcion, gest_depositos_stock_gral.iddeposito, gest_depositos_stock_gral.disponible,
gest_depositos.descripcion as deposito,
(select barcode from productos where productos.idprod_serial = insumos_lista.idproducto) as codbar
from insumos_lista 
cross join gest_depositos_stock_gral on gest_depositos_stock_gral.idproducto = insumos_lista.idinsumo 
cross join gest_depositos on gest_depositos.iddeposito = gest_depositos_stock_gral.iddeposito
where 
insumos_lista.estado = 'A'
and hab_invent = 1 
$whereadd
order by insumos_lista.descripcion asc,gest_depositos.iddeposito asc 
limit 10000
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));




while(!$rs->EOF){
	$idarticulo=$rs->fields['idinsumo'];
	$iddeposito=$rs->fields['iddeposito'];
	$articulos[$idarticulo]['articulo'] = $rs->fields['descripcion'];
	$articulos[$idarticulo]['codbar'] = $rs->fields['codbar'];
	$articulos[$idarticulo][$iddeposito] = $rs->fields['disponible'];
	
$rs->MoveNext(); }




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Existencia por Depositos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Grupo de Stock</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<?php 
    // consulta
    $consulta="
    SELECT idgrupoinsu, nombre
    FROM grupo_insumos
    where
    estado = 1
    order by nombre asc
     ";
    
    // valor seleccionado
    if(isset($_GET['idgrupoinsu'])){ 
        $value_selected=htmlentities($_GET['idgrupoinsu']); 
    }else{
        $value_selected=htmlentities($rs->fields['idgrupoinsu']);
    }
    
    // parametros
    $parametros_array=array(
        'nombre_campo' => 'idgrupoinsu',
        'id_campo' => 'idgrupoinsu',
        
        'nombre_campo_bd' => 'nombre',
        'id_campo_bd' => 'idgrupoinsu',
        
        'value_selected' => $value_selected,
        
        'pricampo_name' => 'TODOS',
        'pricampo_value' => '',
        'style_input' => 'class="form-control"', 
        'acciones' => '  ',
        'autosel_1registro' => 'S'
    
    );
    
    // construye campo
    echo campo_select($consulta,$parametros_array);
    
    ?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Grupo de Depositos</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<?php 
    // consulta
    $consulta="
    SELECT idagrupaciondep, nombre_agrupacion
    FROM depositos_agrupacion
    where
    estado = 1
    order by nombre_agrupacion asc
     ";
    
    // valor seleccionado
    if(isset($_GET['idagrupaciondep'])){ 
        $value_selected=htmlentities($_GET['idagrupaciondep']); 
    }else{
        $value_selected=htmlentities($rs->fields['idagrupaciondep']);
    }
    
    // parametros
    $parametros_array=array(
        'nombre_campo' => 'idagrupaciondep',
        'id_campo' => 'idagrupaciondep',
        
        'nombre_campo_bd' => 'nombre_agrupacion',
        'id_campo_bd' => 'idagrupaciondep',
        
        'value_selected' => $value_selected,
        
        'pricampo_name' => 'TODOS',
        'pricampo_value' => '',
        'style_input' => 'class="form-control"', 
        'acciones' => '  ',
        'autosel_1registro' => 'N'
    
    );
    
    // construye campo
    echo campo_select($consulta,$parametros_array);
    
    ?>
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Proveedor</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<?php 
    // consulta
    $consulta="
    SELECT idproveedor, nombre
    FROM proveedores
    where
    estado = 1
    order by nombre asc
     ";
    
    // valor seleccionado
    if(isset($_GET['idproveedor'])){ 
        $value_selected=htmlentities($_GET['idproveedor']); 
    }else{
        $value_selected=htmlentities($rs->fields['idproveedor']);
    }
    
    // parametros
    $parametros_array=array(
        'nombre_campo' => 'idproveedor',
        'id_campo' => 'idproveedor',
        
        'nombre_campo_bd' => 'nombre',
        'id_campo_bd' => 'idproveedor',
        
        'value_selected' => $value_selected,
        
        'pricampo_name' => 'TODOS',
        'pricampo_value' => '',
        'style_input' => 'class="form-control"', 
        'acciones' => '  ',
        'autosel_1registro' => 'S'
    
    );
    
    // construye campo
    echo campo_select($consulta,$parametros_array);
    
    ?>
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Marca *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 

$acciones=' ';

// consulta
$consulta="
SELECT idmarca, marca
FROM marca
where
idestado = 1
order by marca asc
 ";

// valor seleccionado
if(isset($_GET['idmarca'])){ 
	$value_selected=htmlentities($_GET['idmarca']); 
}else{
	$value_selected=0;
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idmarca',
	'id_campo' => 'idmarca',
	
	'nombre_campo_bd' => 'marca',
	'id_campo_bd' => 'idmarca',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '0',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$acciones.' ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Articulo </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="descripcion" id="descripcion" value="<?php  if(isset($_GET['descripcion'])){ echo antixss($_GET['descripcion']);  }?>" placeholder="Descripcion" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Barcode </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="barcode" id="barcode" value="<?php  if(isset($_GET['barcode'])){ echo antixss($_GET['barcode']);  }?>" placeholder="barcode" class="form-control"  />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>
        </div>
    </div>


<br />
</form>
<div class="clearfix"></div>
<br />
<?php if(isset($_GET['idgrupoinsu'])){ ?>
<hr />
<button class="btn btn-sm btn-default" type="button" onmouseup="document.location.href='existencia_depositos_xls.php<?php echo parametros_url(); ?>'"><span class="fa fa-file-excel-o"></span> Descargar</button>
<div class="clearfix"></div>
<br />
Se muestran hasta un maximo de 10.000 articulos en pantalla para la lista completa de articulos debe descargar.<br />
<?php /*?><pre>
<?php print_r($articulos);?>
</pre><?php */?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th align="center">Cod Articulo</th>
			<th align="center">Cod Barra</th>
			<th align="center">Articulo</th>
<?php foreach($depositos as $iddeposito => $deposito){?>
			<th align="center"><?php echo $deposito; ?> [<?php echo $iddeposito; ?>]</th>
<?php } ?>
		<th align="center">Total</th>
		</tr>
	  </thead>
	  <tbody>
<?php foreach($articulos as $articulo => $articulo_contenido){?>
		<tr>

			<td align="center"><?php echo $articulo; ?></td>
            <td align="center"><?php echo antixss($articulo_contenido['codbar']); ?></td>
			<td align="left"><?php echo antixss($articulo_contenido['articulo']); ?></td>
<?php 
$total_articulo=0;
foreach($depositos as $iddeposito => $deposito){
$deposito_acum[$iddeposito]+=$articulo_contenido[$iddeposito];
$total_articulo+=$articulo_contenido[$iddeposito];
?>
            <td align="right"><?php echo formatomoneda($articulo_contenido[$iddeposito],4,'N'); ?></td>
<?php } ?>
			<td align="right"><?php echo formatomoneda($total_articulo,4,'N'); ?></td>
		</tr>
<?php } ?>
		<tr style="background-color:#CCC; font-weight:bold;">

			<td align="center">Totales</td>
            <td align="center"></td>
			<td align="left"></td>
<?php 
$total_articulo=0;
foreach($depositos as $iddeposito => $deposito){
$total_articulo+=$deposito_acum[$iddeposito];
	
?>
            <td align="right"><?php echo formatomoneda($deposito_acum[$iddeposito],4,'N'); ?></td>
<?php } ?>
			<td align="right"><?php echo formatomoneda($total_articulo,4,'N'); ?></td>
		</tr>
	  </tbody>
    </table>
</div>
<br />

<?php } ?>
<br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
