<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="39";
$submodulo="566";
require_once("includes/rsusuario.php"); 


// este ddebe estar ultimo siempre
if(trim($_GET['numero_comprobante']) != ''){
	//sobreescribe todos los filtroos
	$whereadd="";
	
	$numero_comprobante=antisqlinyeccion(trim($_GET['numero_comprobante']),"text");
	$whereadd.=" and documentos_electronicos_emitidos.numero_comprobante = $numero_comprobante ";
	$url_add.='&numero_comprobante='.antixss($numero_comprobante);
}

$consulta="
select 
documentos_electronicos_emitidos.iddocumentoemitido,
documentos_electronicos_emitidos.idventa,
documentos_electronicos_emitidos.idnotacredito,
documentos_electronicos_emitidos.idnotadebito,
documentos_electronicos_emitidos.idnotaremision,
documentos_electronicos_emitidos.idautofactura,
documentos_electronicos_emitidos.fecha_comprobante, 
documentos_electronicos_emitidos.fecha_firma, 
documentos_electronicos_emitidos.numero_comprobante, 
documentos_electronicos_emitidos.cdc, 
documentos_electronicos_emitidos.estado_set,
documentos_electronicos.documento_electronico, 
documentos_electronicos_emitidos_estado.estado_set as estado_set_txt,
documentos_electronicos_emitidos_estado_mail.estado_mail as estado_mail,
documentos_electronicos_emitidos_estado.color as color_set,
documentos_electronicos_emitidos.nro_lote,
documentos_electronicos_emitidos.json_resp,
documentos_electronicos_emitidos.respuesta_set,
documentos_electronicos_emitidos.tot_reenvios_error,
documentos_electronicos_emitidos.estado

from documentos_electronicos_emitidos 
inner join documentos_electronicos on documentos_electronicos.iddocumentoelectronico = documentos_electronicos_emitidos.iddocumentoelectronico
inner join documentos_electronicos_emitidos_estado on documentos_electronicos_emitidos_estado.idestadoset = documentos_electronicos_emitidos.estado_set
inner join documentos_electronicos_emitidos_estado_mail on documentos_electronicos_emitidos_estado_mail.idestadomail = documentos_electronicos_emitidos.estado_enviocliente

where 
 documentos_electronicos_emitidos.estado in (1,6)

$whereadd
order by iddocumentoemitido desc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$num_total_registros=$rs->RecordCount();

/******** PAGINACION **********/
$nropagina = intval($_GET["pagina"]);
//Limito la busqueda
$TAMANO_PAGINA = 100;
//examino la página a mostrar y el inicio del registro a mostrar
if ($nropagina == 0) {
   $inicio = 0;
   $nropagina = 1;
} else {
   $inicio = ($nropagina - 1) * $TAMANO_PAGINA;
}
//calculo el total de páginas
$total_paginas = ceil($num_total_registros / $TAMANO_PAGINA);

// volver a consultar pero agregar los limites
$consulta.=" 
Limit $inicio, $TAMANO_PAGINA
";
//echo $consulta;exit;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

/******** PAGINACION **********/

 

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function actualizar_estado_cdc(cdc,id){	
			
	var direccionurl='sifen/actualiza_cdc.php';	
	var parametros = {
	  "MM_insert"             : "form1",
	  "cdc"                  : cdc,
	  "iddocumentoemitido"    : id,	
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		//timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#box_bnts_"+id).html("Actualizando, favor aguarde...");				
		},
		success:  function (response) {
			$("#box_bnts_"+id).html('Recargando, aguarde un momento...<br />'+response);
			
			setTimeout(function(){document.location.reload()},2000);

		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Documentos Electronicos Emitidos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Fecha Comprobante</th>
			<th align="center">Fecha firma</th>
			<th align="center">Numero comprobante</th>
			<th align="center">Tipo Documento</th>



			<th align="center">Cdc</th>
			<th align="center">Lote</th>


			<th align="center">Estado Mail</th>
			<th align="center">Estado SET</th>
			<th align="center">Respuesta SET Lote</th>
			<th align="center">Respuesta SET Documento</th>
			<th align="center">Estado</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group" id='box_bnts_<?php echo $rs->fields['iddocumentoemitido']; ?>'>
					
					<a href="xml_electronica.php?id=<?php echo $rs->fields['iddocumentoemitido']; ?>" class="btn btn-sm btn-default" title="Descargar XML" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar XML"><span class="fa fa-download"></span> XML</a>
					
                    <a href="factura_imprime_impresor_sincaja_vp.php?vta=<?php echo $rs->fields['idventa']; ?>" target="_blank" class="btn btn-sm btn-default" title="Vista Previa Factura" data-toggle="tooltip" data-placement="right"  data-original-title="Vista Previa Factura"><span class="fa fa-file-pdf-o"></span> PDF</a>
					<?php if($rs->fields['estado'] == 6){?>
					<a href="javascript:void(0);"  onClick="actualizar_estado_cdc('<?php echo $rs->fields['cdc']; ?>',<?php echo $rs->fields['iddocumentoemitido']; ?>);"  class="btn btn-sm btn-default" title="Actualizar Estado CDC" data-toggle="tooltip" data-placement="right"  data-original-title="Actualizar Estado CDC"><span class="fa fa-refresh"></span> Actualizar Estado CDC</a>
					<?php } ?>
				</div>

			</td>
			<td align="center"><?php if($rs->fields['fecha_comprobante'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_comprobante'])); }  ?></td>
			<td align="center"><?php if($rs->fields['fecha_firma'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_firma'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['numero_comprobante']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['documento_electronico']); ?></td>

					<td align="center" style="word-wrap: break-word;"><input type="text" value="<?php echo  antixss($rs->fields['cdc']); //echo wordwrap($rs->fields['cdc'], 4, " ",true); ?>" style="width:100px;"></td>
			<td align="center"><?php echo antixss($rs->fields['nro_lote']); ?></td>



			<td align="center"><?php echo antixss($rs->fields['estado_mail']); ?></td>
			<td align="center" style="font-weight:bold;color:#FFF;background-color:<?php echo $rs->fields['color_set']; ?>;"><?php echo antixss($rs->fields['estado_set_txt']); ?> <?php if($rs->fields['estado_set'] == 4){ ?>(<?php echo formatomoneda($rs->fields['tot_reenvios_error']); ?>)<?php } ?></td>
			<td align="center"><?php echo antixss($rs->fields['json_resp']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['respuesta_set']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['estado']); ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>

<br />

<hr />		

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
