<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="548";
$dirsup='S';
require_once("../includes/rsusuario.php"); 






// validaciones basicas
$valido="S";
$errores="";



// recibe parametros
$idcarritofacturaranticiptmp=antisqlinyeccion($_POST['idcarritofacturaranticiptmp'],"text");
$idpago_afavor=antisqlinyeccion($_POST['idpago_afavor'],"int");
$idcliente=antisqlinyeccion($_POST['idcliente'],"int");
$monto_abonar=floatval($_POST['monto_abonar']); // monto_aplicar
$registrado_por=$idusu;
$registrado_el=antisqlinyeccion($ahora,"text");
$estado=1;

/*echo "a".$monto_abonar;
exit;
*/


if(intval($_POST['idpago_afavor']) == 0){
	$valido="N";
	$errores.=" - El campo idpago_afavor no puede ser cero o nulo.<br />";	
}
if(intval($_POST['idcliente']) == 0){
	$valido="N";
	$errores.=" - El campo idcliente no puede ser cero o nulo.<br />";	
}
if(floatval($_POST['monto_abonar']) <= 0){
	$valido="N";
	$errores.=" - El campo monto_aplicar no puede ser cero o negativo.<br />";	
}


$consulta="
select *,
(select usuario from usuarios where pagos_afavor_adh.idusuario = usuarios.idusu) as registrado_por,
(select recibo from cuentas_clientes_pagos_cab where pagos_afavor_adh.idpago_afavor = cuentas_clientes_pagos_cab.idpago_afavor) as recibo
from pagos_afavor_adh 
inner join cliente on cliente.idcliente = pagos_afavor_adh.idcliente
where 
pagos_afavor_adh.estado <> 6
and saldo > 0
and cliente.idcliente = $idcliente
and idpago_afavor = $idpago_afavor
order by idpago_afavor desc
";
//echo $consulta;exit;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$saldo_anticipo=floatval($rs->fields['saldo']);

if(floatval($_POST['monto_abonar']) > $saldo_anticipo){
	$valido="N";
	$errores.=" - El campo monto_abonar no puede ser mayor al saldo del anticipo.<br />";	
}

/*
if($monto_abonar > $saldo_anticipo){
	$monto_abonar=floatval($rs->fields['saldo']);
}
if($monto_abonar == 0){
	$monto_abonar=floatval($rs->fields['saldo']);
}*/
//echo 'a'.$monto_abonar;exit;

// busca si hay anticipos en el carrito cuyos anticipos se anularon
$consulta="
select idcarritofacturaranticiptmp
from tmp_carrito_facturar_anticip 
where 
estado <> 6
and idpago_afavor in (select idpago_afavor from pagos_afavor_adh where estado =6)
limit 1;
";
$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
// si esta anulado quitar del carrito
if(intval($rsex->fields['idcarritofacturaranticiptmp']) > 0){
	$consulta="
	update tmp_carrito_facturar_anticip
	set 
	estado = 6
	where 
	estado <> 6
	and idpago_afavor in (select idpago_afavor from pagos_afavor_adh where estado =6)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
}
// busca si hay en el carrito con saldo = 0
$consulta="
select idcarritofacturaranticiptmp
from tmp_carrito_facturar_anticip
where 
estado <> 6
and idpago_afavor in (
	select idpago_afavor 
	from pagos_afavor_adh 
	where 
	tmp_carrito_facturar_anticip.idpago_afavor = pagos_afavor_adh.idpago_afavor
	and estado <> 6
	and saldo = 0
)
";
$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
// si esta anulado quitar del carrito
if(intval($rsex->fields['idcarritofacturaranticiptmp']) > 0){
	$consulta="
	update tmp_carrito_facturar_anticip
	set 
	estado = 6
	where 
	estado <> 6
	and idpago_afavor in (
		select idpago_afavor 
		from pagos_afavor_adh 
		where 
		tmp_carrito_facturar_anticip.idpago_afavor = pagos_afavor_adh.idpago_afavor
		and estado <> 6
		and saldo = 0
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
}

if(intval($rsex->fields['saldo_anticipo']) == 0){
	$consulta="
	update tmp_carrito_facturar_anticip
	set 
	estado = 6
	where 
	estado <> 6
	and idpago_afavor in (select idpago_afavor from pagos_afavor_adh where estado =6)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
}
// si todo es correcto inserta
if($valido == "S"){

	$consulta="
	insert into tmp_carrito_facturar_anticip
	(idpago_afavor, idcliente, monto_abonar, registrado_por, registrado_el, estado)
	values
	($idpago_afavor, $idcliente, $monto_abonar, $registrado_por, $registrado_el, $estado)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



}

// genera array con los datos
$arr = array(
	'valido' => $valido,
	'errores' => $errores
);

//print_r($arr);

// convierte a formato json
$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

// devuelve la respuesta formateada
echo $respuesta;




?>