<?php
/*-----------------------------------
29/03/2023

----------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 
//Id del presupuesto y comando para cambiar a central de pedidos
$pedido_central=intval($_GET['pc']);
$id=intval($_GET['idp']);
if ($id>0){
	$_SESSION['idpresupuesto']=$id;
}
if($id == 0){
	header("location: gest_presupuestos_panel.php");
	exit;
}
//Cabecera
$consulta="
select * 
from presupuestos
where
idunico = $id
order by registrado_el desc
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idpresupuesto=$rs->fields['idunico'];

$ex=explode("|",trim($rs->fields['nombre_presupuesto']));
$idcliente=intval($ex[0]);
$finalizado='N';



//echo $idcliente;
//exit;
if ($idcliente==0){
	$idcliente=1;
}
if ($idcliente >0){
	$buscar="Select * from cliente where idcliente=$idcliente";
	$rs1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$ruc=trim($rs1->fields['ruc']);
	$rz=trim($rs1->fields['razon_social']);
} else{
	echo "No se recibe cliente" ;exit;
	
}





$consulta="
select * ,idtipoproducto
from presupuestos_detalles
inner join productos on productos.idprod_serial = presupuestos_detalles.idproducto
where
presupuestos_detalles.idpresupuesto = $idpresupuesto
and productos.idempresa = $idempresa
and combinado = 'N'
order by presupuestos_detalles.idpresu_ser desc
limit 1000
";
$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
//echo $consulta;exit;

if($pedido_central==1){
	$finalizado='S';
	$idcanal=1;
	$es_delivery='N';
	$telefono=0;
	$direccion_ins='';
	$nomape_ins=trim($rs1->fields['nombre'].' '.$rs1->fields['apellido']);
	$nomape_ins=antisqlinyeccion($nomape_ins,'text');
	$nombres_ins=antisqlinyeccion($rs1->fields['nombre'],'text');
	$apellidos_ins=antisqlinyeccion($rs1->fields['apellido'],'text');
	$rz=antisqlinyeccion($rz,'text');
	$ruc=antisqlinyeccion($ruc,'text');
// crea la cabecera del pedido
	$consulta="
	INSERT INTO tmp_ventares_cab
	(razon_social, ruc, chapa, observacion, monto, idusu, fechahora, idsucursal, idempresa,idcanal,delivery,idmesa,
	telefono,delivery_zona,direccion,llevapos,cambio,observacion_delivery,delivery_costo,iddomicilio,idclientedel,nombre_deliv,apellido_deliv,idatc,notificado,idclienteped) 
	VALUES 
	($rz, $ruc, $nomape_ins, NULL, 0, $idusu, '$ahora', $idsucursal, 1,$idcanal,'$es_delivery',0,
	$telefono,1,'$direccion_ins','N',0,NULL,0,0,0,$nombres_ins,$apellidos_ins,0,'N',$idcliente)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	$buscar="Select * from tmp_ventares_cab where idusu=$idusu order by fechahora desc limit 1";
	$rs2=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));


	$idtmpventares_cab=intval($rs2->fields['idtmpventares_cab']);
}


// si hay algo en el carrito lo borra
$consulta="
select * 
from tmp_ventares 
where
usuario = $idusu
and finalizado = 'N'
and registrado = 'N'
and idsucursal = $idsucursal
and idempresa = $idempresa
and borrado = 'N'
;
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
// recorre borra si existe algo
while(!$rs->EOF){
	
	$idventatmp=$rs->fields['idventatmp'];
	$idtmpventaresagregado=intval($rs->fields['idtmpventaresagregado']);
	
	// borra los detalles que contienen ese producto
	$consulta="
	update tmp_ventares
	set borrado = 'S'
	where
	idventatmp = $idventatmp
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// borra los agregados relacionados al idventatmp principal
	$consulta="
	update tmp_ventares
	set 
	borrado = 'S'
	where
	idventatmp_princ_delagregado = $idventatmp
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// borra los agregados de la tabla de agregados
	$consulta="
	delete from tmp_ventares_agregado
	where
	idventatmp = $idventatmp
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	if($idtmpventaresagregado > 0){
		$consulta="
		delete from tmp_ventares_agregado
		where
		idtmpventaresagregado = $idtmpventaresagregado
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	}
	

$rs->MoveNext(); }



while(!$rsdet->EOF){
	$excluye="N";
	$idproducto=$rsdet->fields['idproducto'];
	$idtipoproducto=$rsdet->fields['idtipoproducto'];
	$cantidad=floatval($rsdet->fields['cantidad']);
	$precio=floatval($rsdet->fields['precio']);
	$receta_cambiada="'N'";
	$combinado='N';
	$subtotal=floatval($rsdet->fields['subtotal']);
	$iddetalle=$rsdet->fields['idpresu_ser'];
	$idtmpventares_cab=antisqlinyeccion($idtmpventares_cab,'int');
	// convertir en pedido
	$consulta="
	INSERT INTO tmp_ventares
	(idtmpventares_cab,idproducto, idtipoproducto, cantidad, precio, fechahora, usuario, registrado, idsucursal, idempresa, receta_cambiada, borrado,finalizado, combo, combinado, idprod_mitad1, idprod_mitad2,subtotal) 
	VALUES 
	($idtmpventares_cab,$idproducto, $idtipoproducto,$cantidad,$precio, '$ahora',$idusu, 'N', $idsucursal, $idempresa, $receta_cambiada, 'N', '$finalizado','$combo', '$combinado', NULL, NULL,$subtotal)
	;
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	//echo $consulta;exit;
	$consulta="
	select max(idventatmp) as idventatmp from tmp_ventares where usuario = $idusu
	";
	$rstmp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idventatmp=$rstmp->fields['idventatmp'];
		

$rsdet->MoveNext(); 
}

$_SESSION['idpresupuesto'] = $idpresupuesto;
if($pedido_central==1){

	// marcar como finalizado en DETALLE
	$consulta="
	select sum(subtotal) as tt from 
	tmp_ventares where
	finalizado = 'S'
	and 
	idtmpventares_cab = $idtmpventares_cab
	and borrado = 'N'
	";
	$rvb=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$mg=floatval($rvb->fields['tt']);
	
	// marcar como finalizado en cabecera
	$consulta="
	update tmp_ventares_cab
	set 
	finalizado = 'S',monto=$mg
	where
	idtmpventares_cab = $idtmpventares_cab
	and idsucursal = $idsucursal
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	header("location: central_pedidos.php");
} else{
	header("location: gest_ventas_resto_caja.php");
	exit;
}






?>