<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="336";
require_once("includes/rsusuario.php");

$texto_defecto_inicio="Servicio de sistema informatico: ".$saltolinea; // traer de preferencias

if(intval($_POST['idcliente']) > 0){
	$idcliente=intval($_POST['idcliente']);
}

if($idcliente == 0){
	echo "No se indico el cliente.";
	exit;	
}

$consulta="
select ventas.*,
(select sucursales.nombre from sucursales where sucursales.idsucu = ventas.sucursal) as sucursal,
CASE WHEN tipo_venta = 1 then 'CONTADO' ELSE 'CREDITO' END as condicion,
(select canal from canal where canal.idcanal = ventas.idcanal) as canal,
carrito_facturar_tk.idcarritofacturartk
from ventas 
inner join carrito_facturar_tk on carrito_facturar_tk.idventa = ventas.idventa
where 
 ventas.estado <> 6
and ventas.idcliente = $idcliente 
and (ventas.factura is null  or trim(ventas.factura) = '')
and ventas.idventaprinc is null
and carrito_facturar_tk.registrado_por = $idusu
and carrito_facturar_tk.idcliente = $idcliente
and carrito_facturar_tk.estado = 1
order by carrito_facturar_tk.registrado_el asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th align="center">
            	<div class="btn-group">
					<a href="javascript:void(0);" onMouseUp="borrar_cta_todas();" class="btn btn-sm btn-default"><span class="fa fa-trash"></span> Borrar Todas</a>
				</div>
            </th>
			<th align="center">Idventa</th>
			<th align="center">Fecha</th>
			<th align="center">Factura</th>
			<th align="center">Condicion</th>
			<th align="center">Sucursal</th>
			<th align="center">Total sin Desc</th>
			<th align="center">Descneto</th>
			<th align="center">Total venta</th>
			<th align="center">Razon social</th>
			<th align="center">Ruc</th>
			<th align="center">Canal</th>
		</tr>
	  </thead>
	  <tbody>
<?php 

$total_facturar_acum=0;
while(!$rs->EOF){
	
$total_facturar=$rs->fields['totalcobrar'];
$total_facturar_acum+=$total_facturar;
	 ?>
		<tr>
			<td align="center">		
            	<div class="btn-group">
					<a href="facturar_tickets_car_del.php?id=<?php echo intval($rs->fields['idcarritofacturartk']); ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash"></span></a>
				</div>
			</td>
			<td align="center"><?php echo antixss($rs->fields['idventa']); ?></td>
			<td align="center"><?php if($rs->fields['fecha'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['factura']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['condicion']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['sucursal']); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['total_venta']); ?></td>
			<td align="center"><?php echo intval($rs->fields['descneto']); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['totalcobrar']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
			<td align="center"><?php echo intval($rs->fields['ruchacienda']).'-'.intval($rs->fields['dv']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['canal']); ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />

<p align="center">Total a Facturar: <?php echo formatomoneda($total_facturar_acum); ?></p><br />