<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="336";
require_once("includes/rsusuario.php"); 

require_once("includes/funciones_stock.php");
require_once("includes/funciones_cobros.php");
require_once("includes/funciones_ventas.php");

$idcliente=intval($_GET['id']);
if($idcliente == 0){
	header("location: facturar_tickets.php");
	exit;	
}
//Comprobar apertura de caja en fecha establecida
$buscar="Select * from caja_super where estado_caja=1 and cajero=$idusu and sucursal = $idsucursal order by fecha desc limit 1";
$rscaja=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$idcaja_old=intval($rscaja->fields['idcaja']);
$estadocaja=intval($rscaja->fields['estado_caja']);

if ($idcaja_old==0){
	echo "<meta http-equiv='refresh' content='0; url=gest_administrar_caja.php'/>";
	exit;	
}
if ($estadocaja==3){
	echo "<meta http-equiv='refresh' content='0; url=gest_administrar_caja.php'/>";
	exit;	
}

$consulta="
SELECT * 
FROM gest_depositos
where
tiposala = 2
and idempresa = $idempresa
and idsucursal = $idsucursal
and estado = 1
";
//echo $consulta;
$rsdep = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$iddeposito=intval($rsdep->fields['iddeposito']);
if($iddeposito == 0){
	$errores.="No existe deposito de ventas asignado a la sucursal actual.";
	$valido="N";
}

// si la caja no esta abierta direcciona
$parametros_array=array(
	'idcajero' => $idusu,
	'idsucursal' => $idsucursal,
	'idtipocaja' => 1
);
$res=caja_abierta($parametros_array);
$idcaja_new=$res['idcaja'];
//print_r($res);
//exit;
if($res['valido'] != 'S'){
	header("location: gest_administrar_caja.php");	
	exit;
}


$consulta="
select *,
(select usuario from usuarios where cliente.registrado_por = usuarios.idusu) as registrado_por,
(select clientetipo from cliente_tipo where cliente_tipo.idclientetipo = cliente.tipocliente) as tipocliente
from cliente 
where 
 estado = 1 
 and idcliente = $idcliente
limit 1
";
$rscab=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcliente=intval($rscab->fields['idcliente']);
$diplomatico=trim($rscab->fields['diplomatico']);
if($idcliente == 0){
	header("location: facturar_tickets.php");
	exit;	
}

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

if(($_GET['cj']) > 0){
	$idcaja=intval($_GET['cj']);
	$whereadd.=" and ventas.idcaja = $idcaja";
	
}
if(($_GET['idsucu']) > 0){
	$idsuc=intval($_GET['idsucu']);
	$whereadd.=" and ventas.sucursal = $idsuc";
	
}
if(($_GET['idcliente']) > 0){
	$idcliente=intval($_GET['idcliente']);
	$whereadd.=" and ventas.idcliente = $idcliente";
	
}
if(intval($_REQUEST['tipo_venta']) > 0){
	$tipo_venta=antisqlinyeccion($_REQUEST['tipo_venta'],"int");
	$whereadd.=" and ventas.tipo_venta = $tipo_venta";
}
	

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form2'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	
	// parametros entrada
	$idproducto_servicio=intval($_POST['idprod_serial']);
	if(trim($_POST['fecha']) != ''){
		$fecha_factura=$_POST['fecha'];
	}else{
		$fecha_factura=$ahora;
	}
	$ruc=$_POST['ruc'];
	$razon_social=$_POST['razon_social'];
	$afecta_caja="N";  // nunca si fue al contado el ticket ya afecto y si fue a credito en el recibo recien se afectara
	
	$factura_suc=substr($_POST['factura'],0,3);
	$factura_pexp=substr($_POST['factura'],3,3);
	$factura_nro=substr($_POST['factura'],6,7);
	
	/*echo $factura_suc;
	echo "<br />";	
	echo $factura_pexp;
	echo "<br />";	
	echo $factura_nro;
	echo "<br />";	
	exit;*/
	

	$consulta="
	select sum(ventas.totalcobrar) as total
	from ventas 
	inner join carrito_facturar_tk on carrito_facturar_tk.idventa = ventas.idventa
	where 
	carrito_facturar_tk.registrado_por = $idusu
	and carrito_facturar_tk.idcliente = $idcliente
	and carrito_facturar_tk.estado = 1
	";
	$rscartot=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$monto_facturar=floatval($rscartot->fields['total']);

	if($monto_facturar <= 0){
		echo "- No agregaste ningun ticket al carrito.<br />";
		exit;
	}
	
	$consulta="
	select ventas.tipo_venta
	from ventas 
	inner join carrito_facturar_tk on carrito_facturar_tk.idventa = ventas.idventa
	where 
	carrito_facturar_tk.registrado_por = $idusu
	and carrito_facturar_tk.idcliente = $idcliente
	and carrito_facturar_tk.estado = 1
	";
	$rscartip=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$tipo_venta_car=intval($rscartip->fields['tipo_venta']);
		
	//genera cabecera si no existe
	$parametros_array_gencab=array(
		'idusu' => $idusu,
		'idatc' => '', // opcional
		'idcanal' => 1,
	);
	$idtmpventares_cab=genera_cabecera_pedido($parametros_array_gencab);
	

	// borra si ya hay en el carrito
	$consulta="
	update tmp_ventares 
	set
	borrado = 'S'
	where 
	idtmpventares_cab = $idtmpventares_cab 
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	// recibe parametros
	$parametros_array_car=array(
		'idtmpventares_cab' => $idtmpventares_cab,
		'idproducto' => $idproducto_servicio,
		'cantidad' => 1,
		'precio' => $monto_facturar,
		'idmesa' => '',
		'idusu' => $idusu,
		'idsucursal' => $idsucursal,
		'observacion' => $_POST['descripcion']

	);
	// agrega al carrito
	$res=agregar_carrito($parametros_array_car);
	if($res['valido'] == 'N'){
		$errores.=nl2br($res['errores']);	
		$valido="N";
	}
	// SI EXISTE Actualiza
	/*$idventatmp=$rscar->fields['idventatmp'];
	if($idventatmp > 0){
		$observacion=antisqlinyeccion($_POST['descripcion'],"text");
		$consulta="
		update tmp_ventares 
		set 
		precio = $monto_facturar,
		subtotal = $monto_facturar,
		observacion = $observacion
		where 
		idventatmp = $idventatmp
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// si no existe agrega
	}else{
		// recibe parametros
		$parametros_array_car=array(
			'idtmpventares_cab' => $idtmpventares_cab,
			'idproducto' => $idproducto_servicio,
			'cantidad' => 1,
			'precio' => $monto_facturar,
			'idmesa' => '',
			'idusu' => $idusu,
			'idsucursal' => $idsucursal,
			'observacion' => $_POST['descripcion']
			
		);
		// agrega al carrito
		$res=agregar_carrito($parametros_array_car);
		if($res['valido'] == 'N'){
			$errores.=nl2br($res['errores']);	
			$valido="N";
		}
	}*/
	
	
	$parametros_array_ped=array(
		'idtmpventares_cab' => $idtmpventares_cab,
		'idtmpventares_cab_old' => '', // solo tablet
		'idmesa' => '', //opcional
		'idusu' => $idusu,
		'idsucursal' => $idsucursal,
		'idempresa' => $idempresa,
		'razon_social' => $razon_social,
		'ruc' => $ruc,
		'chapa' => '',
		'observacion' => $observacion,
		'iddomicilio' => '',
		'idmozo' => '',
		'idcanal' => 1,
		'idzona' => '',
		'fechahora' => $ahora,
		'diplomatico' => $diplomatico
	);
	$res=validar_pedido($parametros_array_ped);
	if($res['valido'] == 'N'){
		$errores.=nl2br($res['errores']);	
		$valido="N";
	}

	// validar venta
	$parametros_array_vta=array(
		'idcaja' => $idcaja_old,
		'afecta_caja' => $afecta_caja, 
		'iddeposito' => $iddeposito,
		'idtmpventares_cab' => $idtmpventares_cab,
		'idsucursal' => $idsucursal,
		'idempresa' => $idempresa,
		'factura_suc' => $factura_suc,
		'factura_pexp' => $factura_pexp,
		'factura_nro' => $factura_nro,
		'registrado_por' => $idusu,
		'idcliente' => $idcliente,
		'idmoneda' => 1,
		'idvendedor' => '',
		'tipo_venta' => $tipo_venta_car, // 1 contado 2 credito
		'fecha' => $fecha_factura,
		'vencimiento_factura' => $vencimiento_factura, // nuevo agregar a la funcion
		'detalle_agrupado' => 'N',
		'factura_guion' => 'N'
	
	);
	//print_r($parametros_array_vta);exit;
	$res=validar_venta($parametros_array_vta);
	if($res['valido'] == 'N'){
		$errores.=nl2br($res['errores']);	
		$valido="N";
	}

	
	// si todo es correcto inserta
	if($valido == "S"){
		
		// genera la venta con 
		// registra pedido
		registrar_pedido($parametros_array_ped);
		
		// registra venta
		$idventaprinc=registrar_venta($parametros_array_vta);
		//echo "todo ok";exit;
		
		// updatea la venta nueva para no mostrar en reporte
		$consulta="
		update ventas 
		set 
		excluye_repven = 1
		where
		idventa = $idventaprinc
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		// updatea tickets viejos con idventaprinc
		$consulta="
		update ventas 
		set
		 idventaprinc = $idventaprinc,
		 idtipotran = 2
		 where
		 idventa in ( 
			select idventa
			from carrito_facturar_tk
			where 
			carrito_facturar_tk.registrado_por = $idusu
			and carrito_facturar_tk.idcliente = $idcliente
			and carrito_facturar_tk.estado = 1
		  )
		 and idventaprinc is null
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// anula deuda de ventas viejas
		$consulta="
		update cuentas_clientes
		set 
		estado = 6
		where
		idventa in (select idventa from ventas where idventaprinc = $idventaprinc and idventaprinc is not null and estado <> 6)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// valida que la sumatoria de la factura coincida con la sumatoria de las ventas
		$consulta="
		select totalcobrar as total_princ from ventas where idventa = $idventaprinc limit 1
		";
		$rsval=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		select sum(totalcobrar) as total_det from ventas where idventaprinc = $idventaprinc limit 1
		";
		$rsvaldet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// solo en caso de error revierte 
		if($rsval->fields['total_princ'] != $rsvaldet->fields['total_det']){
			
			// anula la venta principal
			$consulta="
			update ventas set estado = 6 where idventa = $idventaprinc
			";	
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			// anula las ventas secundarias
			$consulta="
			update ventas set idventaprinc=NULL where idventaprinc = $idventaprinc
			";	
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
		
		// borrar del carrito
		$consulta="
		delete from carrito_facturar_tk
		where 
		carrito_facturar_tk.registrado_por = $idusu
		and carrito_facturar_tk.idcliente = $idcliente
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// si todo finalizo correctamente 
		$consulta="
		update ventas set finalizo_correcto = 'S' where idventa = $idventaprinc
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		// direcciona para ver el detalle de lo facturado
		header("location: facturar_tickets_cli_listo.php?idventa=".$idventaprinc);
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

	
	
	
	
	
	
	
	
?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
function agregar_cta_todas(){
	var direccionurl='facturar_tickets_car_add.php';	
	var parametros = {
	  "MM_insert"    : "TODAS",
	  "idcliente" : <?php echo $idcliente; ?>,
	  "desde" : '<?php echo $desde; ?>',
	  "hasta" : '<?php echo $hasta; ?>',
	  "idsucu" : '<?php echo $idsuc; ?>',
	  "tipo_venta" : '<?php echo $tipo_venta; ?>' 
	  };
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#carrito_cuentas").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(xhr.status === 200){
				if(IsJsonString(response)){
					var obj = jQuery.parseJSON(response);
					if(obj.valido == 'S'){
						actualiza_carrito();
					}else{
						var titulo = 'Errores';
						var mensaje = obj.errores;
						alerta_modal(titulo,mensaje);
						actualiza_carrito();	
					}
				}else{
					alert(response);
					$("#carrito_cuentas").html(response);		
				}

			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
}
function agregar_cta(idventa){
	var monto_abonar = $("#idventa_"+idventa).val();
	var direccionurl='facturar_tickets_car_add.php';	
	var parametros = {
	  "MM_insert"    : "form1",
	  "idventa"        : idventa,
	  "monto_abonar" : monto_abonar
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#carrito_cuentas").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			//alert(response);
			if(xhr.status === 200){
				if(IsJsonString(response)){
					var obj = jQuery.parseJSON(response);
					if(obj.valido == 'S'){
						actualiza_carrito();
					}else{
						var titulo = 'Errores';
						var mensaje = obj.errores;
						alerta_modal(titulo,mensaje);
						actualiza_carrito();	
					}
				}else{
					alert(response);
					$("#carrito_cuentas").html(response);		
				}

			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
function borrar_cta_todas(){
	var direccionurl='facturar_tickets_car_del.php';	
	var parametros = {
	  "MM_update"    : "TODAS",
	  "idcliente" : <?php echo $idcliente; ?>
	  
	  };
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#carrito_cuentas").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(xhr.status === 200){
				if(IsJsonString(response)){
					var obj = jQuery.parseJSON(response);
					if(obj.valido == 'S'){
						actualiza_carrito();
					}else{
						var titulo = 'Errores';
						var mensaje = obj.errores;
						alerta_modal(titulo,mensaje);
						actualiza_carrito();	
					}
				}else{
					alert(response);
					$("#carrito_cuentas").html(response);		
				}

			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
}
function actualiza_facturas_pend(){

	
	var direccionurl='facturar_tickets_pend.php';		
	var parametros = {
	  "idcliente" : <?php echo $idcliente; ?>,
	  "desde" : '<?php echo $desde; ?>',
	  "hasta" : '<?php echo $hasta; ?>',
	  "idsucu" : '<?php echo $idsuc; ?>' 
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$("#facturas_pend").html('Actualizando...');				
		},
		success:  function (response) {
			$("#facturas_pend").html(response);	
		}
	});
}
function actualiza_carrito(){
	

	
	var direccionurl='facturar_tickets_car.php';		
	var parametros = {
	  "idcliente" : <?php echo $idcliente; ?>,
	  "desde" : '<?php echo $desde; ?>',
	  "hasta" : '<?php echo $hasta; ?>',
	  "idsucu" : '<?php echo $idsuc; ?>' 
	  		  
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$("#carrito_cuentas").html('Actualizando...');				
		},
		success:  function (response) {
			$("#carrito_cuentas").html(response);
			actualiza_facturas_pend();
			var fechas_txt = $("#fechas_txt").val();
			$("#concepto").val(fechas_txt);
		}
	});
}
function alerta_modal(titulo,mensaje){
	$('#dialogobox').modal('show');
	$("#myModalLabel").html(titulo);
	$("#modal_cuerpo").html(mensaje);

	
}

    </script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Facturar tickets</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Idcliente</th>
			<th align="center">Tipocliente</th>
			<th align="center">Razon social</th>
			<th align="center">Ruc</th>
			<th align="center">Documento</th>
			<th align="center">Nombre</th>
			<th align="center">Apellido</th>
			<th align="center">Fantasia</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rscab->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rscab->fields['idcliente']); ?></td>
			<td align="center"><?php echo antixss($rscab->fields['tipocliente']); ?></td>
			<td align="center"><?php echo antixss($rscab->fields['razon_social']); ?></td>
			<td align="center"><?php echo antixss($rscab->fields['ruc']); ?></td>
			<td align="center"><?php echo antixss($rscab->fields['documento']); ?></td>
			<td align="center"><?php echo antixss($rscab->fields['nombre']); ?></td>
			<td align="center"><?php echo antixss($rscab->fields['apellido']); ?></td>
			<td align="center"><?php echo antixss($rscab->fields['fantasia']); ?></td>
		</tr>
<?php $rscab->MoveNext(); } $rscab->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />




<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idsucu, nombre
FROM sucursales
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_GET['idsucu'])){ 
	$value_selected=htmlentities($_GET['idsucu']); 
}else{
	$value_selected=htmlentities($rs->fields['idsucu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idsucu',
	'id_campo' => 'idsucu',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idsucu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODAS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Condicion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 


// valor seleccionado
if(isset($_GET['tipo_venta'])){ 
	$value_selected=htmlentities($_GET['tipo_venta']); 
}else{
	$value_selected='';
}
// opciones
$opciones=array(
	'CONTADO' => '1',
	'CREDITO' => '2'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'tipo_venta',
	'id_campo' => 'tipo_venta',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>
	</div>
</div>

<div class="clearfix"></div>
<br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>
<input name="id" type="hidden" value="<?php echo $idcliente; ?>">

<br />
</form>        
<div class="clearfix"></div>
<br />

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>



<hr />
<strong>Ventas Pendientes de facturar:</strong>
<div id="facturas_pend"><?php require_once("facturar_tickets_pend.php"); ?></div>

<strong>Ventas Seleccionadas:</strong>
<div id="carrito_cuentas"><?php require_once("facturar_tickets_car.php"); ?></div>

<hr />
<form id="form2" name="form2" method="post" action="">

<?php 
$consulta="
select * from lastcomprobantes where pe = $factura_pexp and idsuc = $factura_suc order by ano desc limit 1;
";
$rsproxfac=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$proxfactura=intval($rsproxfac->fields['numfac'])+1;

$factura_completa=agregacero($factura_suc,3).agregacero($factura_pexp,3).agregacero($proxfactura,7);

?>

<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Factura *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="factura" id="factura" value="<?php  if(isset($_POST['factura'])){ echo htmlentities($_POST['factura']); }else{ echo $factura_completa; } ?>" placeholder="Factura" class="form-control"   />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Producto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idprod_serial, descripcion
FROM productos
where
borrado = 'N'
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idprod_serial'])){ 
	$value_selected=htmlentities($_POST['idprod_serial']); 
}else{
	$value_selected=htmlentities($rs->fields['idprod_serial']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idprod_serial',
	'id_campo' => 'idprod_serial',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idprod_serial',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Descripcion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="descripcion" id="descripcion" value="<?php  if(isset($_POST['descripcion'])){ echo htmlentities($_POST['descripcion']); }else{ echo htmlentities("Ventas menores del dia"); }?>" placeholder="Descripcion" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">RUC *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="ruc" id="ruc" value="<?php  if(isset($_POST['ruc'])){ echo htmlentities($_POST['ruc']); }else{ echo htmlentities($rscab->fields['ruc']); }?>" placeholder="RUC" class="form-control" required />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Razon Social *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="razon_social" id="razon_social" value="<?php  if(isset($_POST['razon_social'])){ echo htmlentities($_POST['razon_social']); }else{ echo htmlentities($rscab->fields['razon_social']); }?>" placeholder="Razon Social" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="fecha" id="fecha" value="<?php  if(isset($_POST['fecha'])){ echo htmlentities($_POST['fecha']); }else{ echo htmlentities($rs->fields['fecha']); } ?>" placeholder="Fecha" class="form-control"  />                    
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Facturar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='facturar_tickets.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form2" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />







                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->
        
        <!-- POPUP DE MODAL OCULTO -->
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="dialogobox">
                    <div class="modal-dialog modal-lg">
                      <div class="modal-content">

                        <div class="modal-header">
                          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
                          </button>
                          <h4 class="modal-title" id="myModalLabel">Titulo</h4>
                        </div>
                        <div class="modal-body" id="modal_cuerpo">
						...
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                          
                        </div>

                      </div>
                    </div>
                  </div>

                      
                  </div>
                </div>
              </div>
              
              
              
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
