<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="209";
require_once("includes/rsusuario.php"); 

$unss=intval($_GET['id']);
if($unss == 0){
	header("location: facturas_gastos.php");
	exit;	
}
$consulta="
select *,
(select gastos_lista.descripcion from gastos_lista where idgasto = facturas_proveedores_gastos.id_gasto) as tipogasto,
(select descripcion from cn_conceptos where idconcepto = facturas_proveedores_gastos.idconcepto) as concepto
from facturas_proveedores_gastos 
where 
 estado = 1 
 and unss = $unss
order by unss asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$unss=intval($rs->fields['unss']);
if($unss == 0){
	header("location: facturas_gastos.php");
	exit;	
}

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function agrega_cuota(){
	var monto_cuota = $("#monto_cuota").val();
	var vencimiento = $("#vencimiento").val();
	var parametros = {
				"reg"           : 'S',
				"monto_cuota"   : monto_cuota,
				"vencimiento"   : vencimiento
        };
		$.ajax({
                data:  parametros,
                url:   'registro_gastos_cuo_new.php',
                type:  'post',
                beforeSend: function () {
					$("#gasto_cuota").html('cargando...');
                },
                success:  function (response) {
					$("#gasto_cuota").html(response);
                }
        });
}
function borrar_cuo(idvenc){

	var parametros = {
				"borra"           : 'S',
				"idvenc"   : idvenc,
        };
		$.ajax({
                data:  parametros,
                url:   'registro_gastos_cuo_new.php',
                type:  'post',
                beforeSend: function () {
					$("#gasto_cuota").html('cargando...');
                },
                success:  function (response) {
					$("#gasto_cuota").html(response);
                }
        });
}

</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Discriminar IVA de la Factura</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
                  

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

            <th align="center">Tipo Gasto</th>
            <th align="center">Concepto</th>
			<th align="center">Monto gasto</th>
			
            
			<th align="center">Iva %</th>
			<th align="center">Monto iva</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){
	
	$monto_gasto_acum+=$rs->fields['monto_gasto'];
	$monto_iva_acum+=$rs->fields['monto_iva'];
	
	 ?>
		<tr>

            <td align="right"><?php echo antixss($rs->fields['tipogasto']);  ?></td>
            <td align="right"><?php echo antixss($rs->fields['concepto']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_gasto']);  ?></td>
			
			<td align="center"><?php echo intval($rs->fields['iva_porc']); ?>%</td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_iva']);  ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
		<tr style="background-color:#CCC; font-weight:bold;">
			<td>Totales

			</td>

            <td align="right"></td>
			<td align="right"><?php echo formatomoneda($monto_gasto_acum);  ?></td>
			
			<td align="center"></td>
			<td align="right"><?php echo formatomoneda($monto_iva_acum);  ?></td>
		</tr>
	  </tbody>
    </table>
</div>
<br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
