<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="209";
require_once("includes/rsusuario.php"); 


//Generamos la lista para continuar con la carga de las facturas dejadas por la mitad
$buscar="Select id_factura,fecha_compra,fecha_carga,factura_numero,total_factura,proveedores.nombre
from facturas_proveedores
inner join proveedores on proveedores.idproveedor=facturas_proveedores.id_proveedor
where facturas_proveedores.estado=1
and facturas_proveedores.estado_carga=1
order by fecha_compra asc, fecha_carga asc
 ";
$rsl=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<link rel="stylesheet" type="text/css" href="css/magnific-popup.css" />
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	<div class="clear"></div>
		<div class="cuerpo">
			<div class="colcompleto" id="contenedor">
      <br /><br />

      <div class="divstd">
    		<span class="resaltaditomenor">
    			Registro de Gastos<br />
    		</span>
 		</div>
<br /><hr /><br />
<p align="center"><a href="facturas_gastos_add.php">[Agregar]</a> </p>


<strong>Facturas pendientes de finalizacion:      </strong><br /><br />
                  
				  <div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action" border="1">
  <thead>

		  <th align="center">Acciones</th>
	  <th align="center">Fecha Factura</th>
		<th align="center">Proveedor</th>
		<th align="center">Factura N&uacute;mero</th>
	  <th align="center">Total Factura</th>
		<th align="center">Fecha Carga</th>
		

  </thead>
		
  <tbody>
	  <?php while (!$rsl->EOF){?>
	<tr>
		<td>
        
				<div class="btn-group">
					<a href="facturas_gastos_det.php?idf=<?php echo $rsl->fields['id_factura']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span>[Detalle]</a>
					<a href="facturas_gastos_edit.php?id=<?php echo $rsl->fields['id_factura']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span>[Editar]</a>
					<a href="facturas_gastos_del.php?id=<?php echo $rsl->fields['id_factura']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span>[Borrar]</a>
				</div>
        
        </td>
		<td><?php echo htmlentities(date("d/m/Y",strtotime($rsl->fields['fecha_compra']))); ?></td>
		<td><?php echo htmlentities($rsl->fields['nombre']); ?></td>
		<td><?php echo htmlentities($rsl->fields['factura_numero']); ?></td>
		<td><?php echo formatomoneda($rsl->fields['total_factura']); ?></td>
		<td><?php echo date("d/m/Y H:i:s",strtotime($rsl->fields['fecha_carga'])); ?></td>
	</tr>
	  <?php $rsl->MoveNext();}?>
  </tbody>
</table>
 </div>
<br />



<br /><br /><br /><br /><br />

</div> <!-- contenedor -->
   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
	<?php require("includes/pie.php"); ?>
</body>
</html>