<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="12";
$submodulo="51";
require_once("includes/rsusuario.php"); 

//Comprobar apertura de caja en fecha establecida
$buscar="Select * from caja_super where estado_caja=1 and cajero=$idusu and sucursal = $idsucursal order by fecha desc limit 1";
$rscaja=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idcaja=intval($rscaja->fields['idcaja']);
$estadocaja=intval($rscaja->fields['estado_caja']);
if ($idcaja==0){
	echo "<meta http-equiv='refresh' content='0; url=gest_administrar_caja.php'/>" 	;
	exit;	
}
if ($estadocaja==3){
	echo "<meta http-equiv='refresh' content='0; url=gest_administrar_caja.php'/>" 	;
	exit;	
}


if(isset($_POST['reg']) && (intval($_POST['reg']) > 0)){

	
	$idcta=intval($_POST['reg']);
	
	$buscar="Select * from cuentas_empresa where idcta=$idcta";
	$rsbb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	$saldoactivo=floatval($rsbb->fields['saldo_activo']);
	
	
	
	$fecha=antisqlinyeccion($_POST['fecha'],'date');
	$monto=floatval($_POST['monto']);
	$mediopago=intval($_POST['mediopago']);
	if ($mediopago >1){
		$efe=0;
	} else {
		$efe=$monto;	
	}
	$banco=intval($_POST['bancosele']);
	$cheque=intval($_POST['chequenum']);
	$trans=intval($_POST['transnu']);
	$idcuenta=intval($_POST['ctanum']);
	
	
	$insertar="Insert into cuentas_empresa_pagos
	(idcta,fecha_pago,monto_abonado,estado,cajero,efectivogs,cheque_num,banco,cuentanum,idtransfer,idcaja,idempresa,mediopago,fecha_registrado)
	values
	($idcta,$fecha,$monto,1,$idusu,$efe,$cheque,$banco,$idcuenta,$trans,$idcaja,$idempresa,$mediopago,'$ahora')";
	
	$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
	
	//update de ns
	$ns=$saldoactivo-$monto;
	if ($ns==0){
		//cancelado
		$update="update cuentas_empresa set saldo_activo=0,estado=3 where cuentas_empresa.idcta=$idcta";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		
	} else {
		//cancelado
		$update="update cuentas_empresa set saldo_activo=$ns where cuentas_empresa.idcta=$idcta";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		
	}
	header("Location: teso_pago_proveedores.php?of=$idcta#pagar");
}


//Por seguridad, al cargar la pagina comprobamos que no existan facturas sin cuentas x cobrar (tipo=2 para compras)
$buscar="select * from compras 
where tipocompra=2 and 
facturacompra not in
(select facturanum from cuentas_empresa)
and estado=1";
$rs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

//generamos las nuevas cuentas
while (!$rs->EOF){
	$bc=$buscar="Select max(idcta) as mayor from cuentas_empresa";
	$rsm=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$mayor=intval($rsm->fields['mayor'])+1;
	
	$factura=antisqlinyeccion($rs->fields['facturacompra'],'text');
	$fechacompra=antisqlinyeccion($rs->fields['fechacompra'],'date');
	$iva10=floatval($rs->fields['iva10']);
	$iva5=floatval($rs->fields['iva5']);
	$ex=floatval($rs->fields['exenta']);
	$totalc=floatval($rs->fields['total']);
	$idprov=intval($rs->fields['idproveedor']);
	
	
	$insertar="Insert into cuentas_empresa 
		(idcta,facturanum,fechacompra,totalcompra,totaliva10,totaliva5,totalex,registrado_por,registradoel,
		idproveedor,saldo_activo,estado,clase,$idempresa)
		values
		($mayor,$factura,$fechacompra,$totalc,$iva10,$iva5,$ex,$idusu,current_timestamp,$idprov,$totalc,1,1,$idempresa)";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
	
	
		$rs->Movenext();
}

//Listo, debmos mostrar las cuentas para pagar
if (isset($_POST['fecha']) && ($_POST['fecha'])!=''){
	$df=antisqlinyeccion($_POST['fecha'],'date');
	$add=" and fechacompra=$df";
} else {
	
	$add=" ";
}
$buscar="Select idcta,facturanum,fechacompra,totalcompra,totaliva10,totaliva5,totalex,
registrado_por,registradoel,cuentas_empresa.idproveedor,saldo_activo,nombre,ruc 
from cuentas_empresa
inner join proveedores 
on proveedores.idproveedor=cuentas_empresa.idproveedor
where cuentas_empresa.estado=1 
$add
order by saldo_activo desc
";
$rscuentas=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tr=$rscuentas->RecordCount();

$tb=intval($_GET['of']);


//bancos
$buscar="select * from gest_bancos where estado = 1 and idempresa = $idempresa order by descripcion asc";
$rsbanco=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

//pagos recibidos
$consulta="
select cuentas_empresa_pagos.*, 
(select descripcion from gest_bancos where banco = cuentas_empresa_pagos.banco limit 1) as banco,
(select nombre from proveedores where cuentas_empresa.idproveedor = proveedores.idproveedor and idempresa = $idempresa limit 1) as proveedor,
cuentas_empresa.tipo as tipofactura
from cuentas_empresa_pagos
inner join cuentas_empresa on cuentas_empresa_pagos.idcta = cuentas_empresa.idcta
where
cuentas_empresa_pagos.idcaja = $idcaja
and cuentas_empresa_pagos.idempresa = $idempresa
and cuentas_empresa_pagos.estado <> 6
and cuentas_empresa.tipo = 1
ORDER BY cuentas_empresa_pagos.fecha_pago asc
";  
$rsv = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<?php require("includes/head.php"); ?>
<script>
function alertar(titulo,error,tipo,boton){
	swal({   title: titulo,   text: error,   type: tipo,   confirmButtonText: boton });
	}


function verificar(){
	var errores='';
	var fecha=document.getElementById('fecha').value;
	var monto=document.getElementById('monto').value;
	var banco=0;
	var chequen='';
	var ntrans='';
	var cuentanum='';
	
	var mediopago=parseInt(document.getElementById('mediopago').value);
	if (fecha==''){
		errores=errores+'Debe indicar fecha de pago. \n'	;
	}
	if ((monto=='') || (monto=='0')){
		errores=errores+'Debe indicar monto abonado. \n'	;
		
	}
	if (mediopago==0){
		errores=errores+'Debe indicar medio de pago. \n'	;
	}
	if (mediopago>1){
		
			banco=parseInt(document.getElementById('bancosele').value);
			if (banco==0){
				errores=errores+'Debe indicar banco utilizado. \n'	;
			}
			
			chequen=document.getElementById('chequenum').value;
			ntrans=document.getElementById('transnu').value;
			if ((chequen=='') && (ntrans=='')){
				errores=errores+'Debe indicar numero de cheque/transferencia utilizado. \n'	;
			
			} else {
				if ((chequen!='') && (ntrans!='')){
					errores=errores+'Debe indicar metodo exacto utilizado (solo cheque o solo transferencia). \n'	;
				} else {
					if (mediopago==3){
						cuentanum=document.getElementById('ctanum').value;
						if ((ntrans=='') || (cuentanum=='')){
							errores=errores+'Debe indicar numero de cuenta destino e id de transferencia. \n'	;
						}
					
					}
				}
				
			} 
		
	}
	if (errores==''){
		document.getElementById('env').submit();
		
	} else {
		alertar('ATENCION: Algo salio mal.',errores,'error','Lo entiendo!');
		
	}
}


</script>
<script src="js/sweetalert.min.js"></script>
<link rel="stylesheet" type="text/css" href="css/sweetalert.css">
</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="clear"></div>
<div class="cuerpo">
 <div align="center" >
 <?php require_once("includes/menuarriba.php");?>
</div>

<div class="colcompleto" id="contenedor">
 	<!-- SECCION DONDE COMIENZA TODO -->
		<br />
 	<div class="divstd"><br />
    	<span class="resaltaditomenor">Pago a proveedores</span>
    	<br />
    	<span class="resaltaditomenor">
    	</span>
        <br />
      <table width="200" border="0">
        <tr>
        <td colspan="2" align="center"><a href="index.php"><img src="img/homeblue.png" title="Regresar" width="64" height="64" border="0"/></a></td>
        </tr>
    	  
  	  </table>
        <table width="900" border="1">
          <tbody>
            <tr>
              <td height="25" align="center" bgcolor="#F8FFCC"><strong>Factura Cr&eacute;dito</strong></td>
              <td align="center"><a href="teso_pago_proveedores_fc.php">Factura  Contado</a></td>
               <td align="center"><a href="teso_pago_vencimientos.php">Vencimientos</a></td>
            </tr>
          </tbody>
        </table>
        <p>&nbsp;</p>
        <br />
        <hr />
        <div align="center">
        <form id="fbusca" action="teso_pago_proveedores.php" method="post">
        	<input type="date" name="fecha" id="fecha" required="required" style="height:25px;" /><br />
  			<input type="submit" value="Filtrar Lista"  />
         </form>
        </div>
        <br />
 	</div>
   
 	<div class="divstd">
    	<?php if ($tr > 0){?>
			<table width="750" height="54" class="tablalinda2">
                <tr>
                    <td width="187" height="24" align="center" bgcolor="#CDCDCD"><strong>Proveedor</strong></td>
                    <td width="104" align="center" bgcolor="#CDCDCD"><strong>Ruc</strong></td>
                    <td width="134" align="center" bgcolor="#CDCDCD"><strong>Fecha Compra</strong></td>
                    <td width="134" align="center" bgcolor="#CDCDCD"><strong>Factura N&uacute;mero</strong></td>
                    <td width="105" align="center" bgcolor="#CDCDCD"><strong>Saldo Activo</strong></td>
                    <td width="46" align="center" bgcolor="#CDCDCD"><strong>Acci&oacute;n</strong></td>
                </tr>
    				<?php 
						while (!$rscuentas->EOF){
								$idcta=intval($rscuentas->fields['idcta']);
					?>
                    <tr>
                        <td height="9" align="left"><?php echo $rscuentas->fields['nombre']?></td>
                        <td align="left"><?php echo trim($rscuentas->fields['ruc'])?></td>
                        <td align="center"><?php echo date("d-m-Y",strtotime($rscuentas->fields['fechacompra']));?></td>
                        <td align="center"><?php echo $rscuentas->fields['facturanum']?></td>
                        <td align="right"><?php echo formatomoneda($rscuentas->fields['saldo_activo']) ?></td>
                        <td align="center"><a href="teso_pago_proveedores.php?of=<?php echo $idcta?>#pagar" title="Abrir"><img src="img/1444615142_opened_folder.png" width="32" height="32"/></a></td>
                    </tr>
        
        
        			<?php $rscuentas->MoveNext();}?>
    		</table>
		<?php } else {?>
       	 <div class="resumenmini">No existen deudas activas a ser abonadas</div>
         <?php }?>
 	</div>
    <?php 
	if ($tb > 0){
		 $buscar="Select idcta,facturanum,fechacompra,totalcompra,totaliva10,totaliva5,totalex,
		 registrado_por,registradoel,cuentas_empresa.idproveedor,saldo_activo,nombre,ruc 
		from cuentas_empresa
		inner join proveedores 
		on proveedores.idproveedor=cuentas_empresa.idproveedor
		where cuentas_empresa.idcta=$tb
		";
		$rs1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		
		//pagos recibidos
		$buscar="Select * from cuentas_empresa_pagos where idcta=$tb order by fecha_pago desc";
		$rsb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

	?>
    	<div>
        	<br />
            <div class="resumenmini">
                <strong><?php echo $rs1->fields['nombre'].' '.$rs1->fields['ruc'] ?><br /></strong>
               <span class="resaltarojomini"><?php echo "Fecha: ".date("d-m-Y",strtotime($rs1->fields['fechacompra'])).' / Factura: '.$rs1->fields['facturanum'] ?></span>
    
            </div>
        	<br />
        
        	<div class="divizquierda">
                <span class="resaltaditomenor">Pagos Efectuados</span>
                <br />
                
                <table width="300">
                <tr>
                    <td height="25" align="center" bgcolor="#BEFF5D"><strong>Fecha Pago</strong></td>
                    <td align="center" bgcolor="#BEFF5D"><strong>Monto Abonado</strong></td>
                    <td align="center" bgcolor="#BEFF5D"><strong>Medio Pago</strong></td>
                </tr>
                <?php while (!$rsb->EOF){?>
                	<tr>
                    	<td><?php echo date("d-m-Y",strtotime($rsb->fields['fecha_pago']));?></td>
                        <td><?php echo formatomoneda($rsb->fields['monto_abonado']); ?></td>
                        <td><?php 
						echo mediopago($rsb->fields['mediopago']);
						?></td>
                    </tr>
                <?php $rsb->MoveNext();}?>
                </table>
            </div><a name="pagar"></a>
            <div class="divizquierdam" style="margin-left:">
             <span class="resaltaditomenor">Abonar Deuda</span>
                <br />
                <form id="env" method="post" action="teso_pago_proveedores.php" >
                <input type="hidden" name="reg" id="reg" value="<?php echo $tb?>" />
                  <table width="279" height="244">
                    <tr>
                        <td width="117" align="right" bgcolor="#E4E4E4"><strong>Fecha Pago</strong></td>
                        <td width="142" align="left"><input type="date" name="fecha" id="fecha" value="" /></td>
                    
                    </tr>
                    <tr>
                        <td height="23" align="right" bgcolor="#E4E4E4"><strong>Monto Abonado</strong></td>
                        <td align="left"><input type="text" name="monto" id="monto" value="" /></td>
                    
                    </tr>
                    <tr>
                        <td height="30" align="right" bgcolor="#E4E4E4"><strong>Medio Pago</strong></td>
                        <td align="left">
                        <select id="mediopago" name="mediopago">
                            <option value="0" selected="selected">Seleccionar</option>
                            <option value="1">EFECTIVO</option>
                            <option value="2">CHEQUE</option>
                            <option value="3">TRANSFERENCIA</option>
                            
                        </select>
                        </td>
                    
                    </tr>
                    <tr >
                        <td height="25" align="right" bgcolor="#E4E4E4"><strong>Banco</strong></td>
                        <td align="left"><select id="bancosele" name="bancosele">
                          <option value="0" selected="selected">Seleccionar</option>
                          <?php while (!$rsbanco->EOF){?>
                          <option value="<?php echo $rsbanco->fields['banco'] ?>"><?php echo $rsbanco->fields['descripcion']?></option>
                          
                          
                          <?php $rsbanco->MoveNext();}?>
                        </select></td>
                    
                    </tr>
                    <tr >
                        <td height="28" align="right" bgcolor="#E4E4E4"><strong>Cheque Num</strong></td>
                        <td align="left"><input type="text" name="chequenum" id="chequenum" value="" /></td>
                    
                    </tr>
                    <tr >
                        <td height="30" align="right" bgcolor="#E4E4E4"><strong>Num. Transfer</strong></td>
                        <td align="left"><input type="text" name="transnu" id="transnu" value="" /></td>
                    
                    </tr>
                     <tr >
                        <td height="32" align="right" bgcolor="#E4E4E4"><strong>Num. Cuenta</strong></td>
                       <td align="left"><input type="text" name="ctanum" id="ctanum" value="" /></td>
                    
                    </tr>
                    <tr>
                        <td colspan="2" align="center"><input type="button" name="pag" id="pag" value="Registrar Pago" onclick="verificar()" /></td>
                    </tr>
                    </table>
                </form>
            </div>
        </div>
  
      
   
   
    <?php } else { ?>
    
    
    
    
    <?php }?>
 <div class="clear"></div>
    <br /><hr /><br />
      <h1>Pagos Fac. Credito Realizados:</h1>
      <br />
<table width="900" border="1">
  <thead>
    <tr>
      <th align="center" bgcolor="#F8FFCC"><strong>Fecha</strong></th>
      <th align="center" bgcolor="#F8FFCC">Monto</th>
      <th align="center" bgcolor="#F8FFCC">Tipo Factura</th>
      <th align="center" bgcolor="#F8FFCC">Proveedor</th>
      <th align="center" bgcolor="#F8FFCC"><strong>Medio</strong></th>
      <th align="center" bgcolor="#F8FFCC"><strong>Banco</strong></th>
      <th align="center" bgcolor="#F8FFCC"><strong>N&deg; Cheque</strong></th>
      <th align="center" bgcolor="#F8FFCC">N&deg; Cuenta</th>
      <th align="center" bgcolor="#F8FFCC">N&deg; Transferencia</th>
      </tr>
  </thead>
  <tbody>
<?php while (!$rsv->EOF){	
$tmontoacum+=$rsv->fields['monto_abonado'];
$tipofactura=$rsv->fields['tipofactura'];
if($tipofactura == 1){
	$tipofacturatxt="CREDITO";
}else if($tipofactura == 2){
	$tipofacturatxt="CONTADO";
}else{
	$tipofacturatxt="NO DEFINIDO";
}
?>
    <tr>
      <td align="center"><?php echo date("d/m/Y",strtotime($rsv->fields['fecha_pago'])); ?></td>
      <td align="right"><?php echo formatomoneda($rsv->fields['monto_abonado']); ?></td>
      <td align="right"><?php echo $tipofacturatxt; ?></td>
      <td align="right"><?php echo capitalizar($rsv->fields['proveedor']); ?></td>
      <td align="right"><?php echo capitalizar(mediopago($rsv->fields['mediopago'])); ?></td>
      <td align="right"><?php echo capitalizar($rsv->fields['banco']); ?></td>
      <td align="right"><?php echo formatomoneda($rsv->fields['cheque_num']); ?></td>
      <td align="center"><?php echo formatomoneda($rsv->fields['cuentanum']); ?></td>
      <td align="center"><?php echo formatomoneda($rsv->fields['idtransfer']); ?></td>
      </tr>
<?php $rsv->MoveNext(); } ?>
    <tr>
      <td align="center" bgcolor="#F8FFCC"><strong>Totales:</strong></td>
      <td align="right" bgcolor="#F8FFCC"><strong><?php echo formatomoneda($tmontoacum); ?></strong></td>
      <td align="right" bgcolor="#F8FFCC">&nbsp;</td>
      <td align="right" bgcolor="#F8FFCC">&nbsp;</td>
      <td align="right" bgcolor="#F8FFCC">&nbsp;</td>
      <td align="right" bgcolor="#F8FFCC">&nbsp;</td>
      <td align="right" bgcolor="#F8FFCC">&nbsp;</td>
      <td align="right" bgcolor="#F8FFCC">&nbsp;</td>
      <td align="right" bgcolor="#F8FFCC">&nbsp;</td>
      </tr>
  </tbody>
</table>
</div> <!-- contenedor -->
<div class="clear"></div><!-- clear1 -->
</div> <!-- cuerpo -->
<div class="clear"></div><!-- clear2 -->
<?php require("includes/pie.php"); ?>
</body>
</html>