<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="30";
$submodulo="640";
require_once("includes/rsusuario.php"); 

$consulta="
select *
from sucursales 
where 
 estado = 1 
order by idsucu asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
	<script>
	function descargar_qr(){
		$("#btn_descarga").hide();
		$("#msg_descarga").show();
		setTimeout(function() {
			$("#msg_descarga").hide();
		},15000); // Ocultar el mensaje después de 5000 milisegundos (5 segundos)
		document.location.href='qr_filasmart_img_zip.php';
	}
	</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Fila Smart QR</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<p><a href="fila_smart.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a>
<a href="javascript:void(0);" onclick="descargar_qr();" id="btn_descarga" class="btn btn-sm btn-default"><span class="fa fa-download"></span> Descargar todos los QR</a>
</p>
<div id="msg_descarga" style="display:none;">Descargando, favor aguarde...</div>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			
			<th align="center">Codigo</th>
			<th align="center">Sucursal</th>
            <th align="center">Fantasia Factura</th>
			<th align="center">QR</th>
			<th align="center">Descargar</th>
		</tr>
	  </thead>
	  <tbody>
<?php 
$i=0;		  
while(!$rs->EOF){ ?>
		<tr>

			<td align="right"><?php echo formatomoneda($rs->fields['idsucu']);  ?></td>
			<td align="center"><?php echo antixss($rs->fields['nombre']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['fantasia_sucursal']); ?></td>
			<td align="center"><img src="fila_smart_qr_img.php?id=<?php echo intval($rs->fields['idsucu']); ?>" height="200" style="margin:5px;"   alt="QR Fila Smart" title="QR Fila Smart" /></td>
			<td align="center"><a href="fila_smart_qr_img.php?id=<?php echo intval($rs->fields['idsucu']); ?>&desc=s" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar"><span class="fa fa-download"></span> Descargar</a></td>

		</tr>
<?php $i++; $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />


<br /><br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
