<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="363";
require_once("includes/rsusuario.php"); 


$idbancardvpos=1;
if($idbancardvpos == 0){
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from bancard_vpos_preferencias 	
where 
idbancardvpos = $idbancardvpos
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idbancardvpos=intval($rs->fields['idbancardvpos']);
$idformapago_pred=intval($rs->fields['idformapago_pred']);
if($idbancardvpos == 0){
	echo "Preferencia no cargada!";
	exit;	
}


if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$clave_publica=$_POST['clave_publica'];
	$clave_privada=$_POST['clave_privada'];
	$estado=1;
	$stage=$_POST['stage'];
	$idformapago_pred=$_POST['idformapago_pred'];



	$parametros_array=array(
		"clave_publica" => $clave_publica,
		"clave_privada" => $clave_privada,
		"estado" => $estado,
		"stage" => $stage,
		"idbancardvpos" => $idbancardvpos,
		"idformapago_pred" => $idformapago_pred
	);

	// si todo es correcto actualiza
	if($valido == "S"){
		$res=bancard_vpos_preferencias_edit($parametros_array);
		if ($res["valido"]=="S") {
			header("location: formas_pago_bancard_vpos.php?ok=s");
			exit;
		}else{
			$errores.=$res["errores"];
		}
		
	}else{
		$errores.=$res["errores"];
	}


}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

// se puede mover esta funcion al archivo funciones_bancard_vpos_preferencias.php y realizar un require_once
function bancard_vpos_preferencias_edit($parametros_array){
	global $conexion;
	global $saltolinea;

	// validaciones basicas
	$valido="S";
	$errores="";
	
    
	$clave_publica=antisqlinyeccion($parametros_array['clave_publica'],"textbox");
	$clave_privada=antisqlinyeccion($parametros_array['clave_privada'],"textbox");
	$estado=antisqlinyeccion($parametros_array['estado'],"int");
	$stage=antisqlinyeccion($parametros_array['stage'],"text");
	$idbancardvpos=antisqlinyeccion($parametros_array['idbancardvpos'],"int");
	$idformapago_pred=antisqlinyeccion($parametros_array['idformapago_pred'],"int");
	
/* 
clave_publica 
	if(trim($parametros_array['clave_publica']) == ''){
		$valido="N";
		$errores.=" - El campo clave_publica no puede estar vacio.<br />";	
	}
*/
/* 
clave_privada 
	if(trim($parametros_array['clave_privada']) == ''){
		$valido="N";
		$errores.=" - El campo clave_privada no puede estar vacio.<br />";	
	}
*/
	if(trim($parametros_array['stage']) == ''){
		$valido="N";
		$errores.=" - El campo stage no puede estar vacio.<br />";	
	}
	if(intval($parametros_array['idformapago_pred']) <= 0){
		$valido="N";
		$errores.=" - El campo forma pago online no puede estar vacio.<br />";	
	}
	

	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update bancard_vpos_preferencias
		set
			clave_publica=$clave_publica,
			clave_privada=$clave_privada,
			stage=$stage,
			idformapago_pred=$idformapago_pred
		where
			idbancardvpos = $idbancardvpos
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}


	return array("errores"=>$errores,"valido"=>$valido);
}



$disabled="";
if($_GET['ok'] == 's'){
	$disabled=" disabled ";
}


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Bancard vPos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<p>
<a href="formas_pago.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a>
</p>
<hr />
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Clave publica </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input <?php echo  $disabled; ?> type="text" name="clave_publica" id="clave_publica" value="<?php  if(isset($_POST['clave_publica'])){ echo htmlentities($_POST['clave_publica']); }else{ echo htmlentities($rs->fields['clave_publica']); }?>" placeholder="Clave publica" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Clave privada </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input <?php echo  $disabled; ?> type="text" name="clave_privada" id="clave_privada" value="<?php  if(isset($_POST['clave_privada'])){ echo htmlentities($_POST['clave_privada']); }else{ echo htmlentities($rs->fields['clave_privada']); }?>" placeholder="Clave privada" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Stage *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php
// valor seleccionado
if(isset($_POST['stage'])){ 
	$value_selected=htmlentities($_POST['stage']); 
}else{
	$value_selected=$rs->fields['stage'];
}
// opciones
$opciones=array(
	'TESTING' => 'T',
	'PRODUCCION' => 'P'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'stage',
	'id_campo' => 'stage',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$disabled,
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>
	</div>
</div>



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Forma Pago Online *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<?php 
// consulta
$consulta="
SELECT idforma, descripcion
FROM formas_pago
where
estado = 1
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idformapago_pred'])){ 
	$value_selected=htmlentities($_POST['idformapago_pred']); 
}else{
	$value_selected=htmlentities($idformapago_pred);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idformapago_pred',
	'id_campo' => 'idformapago_pred',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idforma',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$disabled,
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="clearfix"></div>
<br />
<?php if($_GET['ok'] != 's'){ ?>
    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='formas_pago.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>
<?php }else{ ?>
    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
	   <button type="button" class="btn btn-default" onMouseUp="document.location.href='formas_pago_bancard_vpos.php'"><span class="fa fa-edit"></span> Editar</button>
        </div>
    </div>
<?php } ?>
  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />





                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
