<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="25";
$submodulo="488";
require_once("includes/rsusuario.php"); 

		
if($rsco->fields['master_franq'] != 'S'){
	echo "Este local no es master franquicia";
	exit;	
}


$consulta="
select *,
(select usuario from usuarios where franquicia.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where franquicia.borrado_por = usuarios.idusu) as borrado_por,
(select razon_social from franquiciado where idfranquiciado = franquicia.idfranquiciado) as franquiciado,
(select nombre_region from franq_regiones where idregionfranq = franquicia.idregionfranq) as nombre_region
from franquicia 
where 
 estado = 1 
 and url_franquicia is not null
order by idfranquicia asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Franquicias Bloqueos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


En este modulo se puede bloquear el acceso de las franquicias al sistema.<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Bloqueado</th>
			<th align="center">Mensaje</th>
			<th align="center">Idfranquicia</th>
			<th align="center">Nombre franquicia</th>
			<th align="center">Franquiciado</th>
            <th align="center">Region</th>
			<th align="center">Telefono</th>
			</tr>
	  </thead>
	  <tbody>
<?php
$i=0;
 while(!$rs->EOF){ ?>
		<tr>
			<td>
				<?php if(trim($rs->fields['url_franquicia']) != ''){ ?>
				<div class="btn-group">
					<?php if(trim($rs->fields['bloquear']) != 'S'){ ?>
					<a href="franq_bloqueos_bloq.php?id=<?php echo $rs->fields['idfranquicia']; ?>" class="btn btn-sm btn-default" title="Bloquear" data-toggle="tooltip" data-placement="right"  data-original-title="Bloquear"><span class="fa fa-lock"></span></a>
					<?php }else{ ?>
					<a href="franq_bloqueos_desbloq.php?id=<?php echo $rs->fields['idfranquicia']; ?>" class="btn btn-sm btn-default" title="Desbloquear" data-toggle="tooltip" data-placement="right"  data-original-title="Desbloquear"><span class="fa fa-unlock"></span></a>
					<?php } ?>
				</div>
				<?php } ?>

			</td>
			<td align="center" <?php if($rs->fields['bloquear'] == 'S'){?>style="background-color: tomato;"<?php }else{ ?> style="background-color: chartreuse;"<?php } ?>><?php echo siono($rs->fields['bloquear']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['mensaje_bloqueo']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idfranquicia']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['nombre_franquicia']); ?></td>
 
			<td align="center"><?php echo antixss($rs->fields['franquiciado']); ?></td>
           <td align="center"><?php echo antixss($rs->fields['nombre_region']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['telefono']); ?></td>
			</tr>
<?php $i++; $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
<strong>Total: </strong><?php echo formatomoneda($i); ?>
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 



            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
