<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="25";
$submodulo="444";
require_once("includes/rsusuario.php"); 

if(trim($_GET['desde']) == ''){
	$desde=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
}
$idfranquicia=intval($_GET['id']);

$consulta="
select franquicia.idfranquicia, franquicia.nombre_franquicia, count(*) as total, 
min(caja_super_franq.fecha_apertura) as fecha_apertura,
max(caja_super_franq.fecha_cierre) as fecha_cierre
from caja_super_franq
inner join franquicia on franquicia.idfranquicia = caja_super_franq.idfranquicia
where
date(caja_super_franq.fecha_apertura) = '$desde'
and franquicia.idfranquicia = $idfranquicia
group by franquicia.idfranquicia, franquicia.nombre_franquicia
order by franquicia.nombre_franquicia asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Reporte de Cajas de Franquicias</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

   
<p><a href="franq_cajas.php?desde=<?php echo $desde; ?>" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />

<strong>Viendo Fecha: <?php echo date("d/m/Y",strtotime($desde)); ?></strong>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Franquicia</th>
			<th align="center">Horario Apertura<br />(Primera Caja)</th>
            <th align="center">Horario Cierre<br />(Ultima Caja)</th>
			<th align="center">Total Cajas</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo antixss($rs->fields['nombre_franquicia']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_apertura'] != ""){ echo date("H:i",strtotime($rs->fields['fecha_apertura'])); }  ?></td>
			<td align="center"><?php 
			if($rs->fields['fecha_cierre'] != ""){ 
				if(date("Y-m-d",strtotime($rs->fields['fecha_cierre'])) != $desde){
					echo date("H:i",strtotime($rs->fields['fecha_cierre']))."<br />".date("d/m/Y",strtotime($rs->fields['fecha_cierre'])); 
				}else{
					echo date("H:i",strtotime($rs->fields['fecha_cierre']));	
				}
			
			}  ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['total']); ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<?php 
$consulta="
select 
franquicia.idfranquicia, franquicia.nombre_franquicia, 
caja_super_franq.fecha_apertura as fecha_apertura,
caja_super_franq.fecha_cierre as fecha_cierre
from caja_super_franq
inner join franquicia on franquicia.idfranquicia = caja_super_franq.idfranquicia
where
date(caja_super_franq.fecha_apertura) = '$desde'
and franquicia.idfranquicia = $idfranquicia
order by caja_super_franq.fecha_apertura asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Horario Apertura</th>
            <th align="center">Horario Cierre</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>


			<td align="center"><?php if($rs->fields['fecha_apertura'] != ""){ echo date("H:i",strtotime($rs->fields['fecha_apertura'])); }  ?></td>
			<td align="center"><?php 
			if($rs->fields['fecha_cierre'] != ""){ 
				if(date("Y-m-d",strtotime($rs->fields['fecha_cierre'])) != $desde){
					echo date("H:i",strtotime($rs->fields['fecha_cierre']))."<br />".date("d/m/Y",strtotime($rs->fields['fecha_cierre'])); 
				}else{
					echo date("H:i",strtotime($rs->fields['fecha_cierre']));	
				}
			
			}  
			?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
