<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="266";
require_once("includes/rsusuario.php"); 


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

$compra_desde=date("Y-m-d");
$compra_hasta=date("Y-m-d");

if(isset($_GET['desde']) && trim($_GET['desde']) != ''){
	$compra_desde=date("Y-m-d",strtotime($_GET['desde']));
	$compra_hasta=date("Y-m-d",strtotime($_GET['hasta']));
}
$desde=$compra_desde;
$hasta=$compra_hasta;

if(intval($_GET['idproveedor']) > 0){
	$idproveedor=intval($_GET['idproveedor']);
	$whereadd.=" and facturas_proveedores.id_proveedor = $idproveedor ";	
}
if(intval($_GET['idconcepto']) > 0){
	$idconcepto=intval($_GET['idconcepto']);
	$whereadd.=" and gastos_lista.idconcepto = $idconcepto ";	
}


/*$consulta="
select fechacompra as fecha_compra, facturacompra as factura_compra, 
CASE WHEN tipocompra = 1 THEN 'CONTADO' ELSE 'CREDITO' END AS condicion_compra, 
REPLACE(total,'.',',') as total_factura,
proveedores.idproveedor, proveedores.nombre as proveedor
from compras
inner join proveedores on proveedores.idproveedor = compras.idproveedor 
where
compras.estado <> 6
and compras.fechacompra >= '$desde'
and compras.fechacompra <= '$hasta'
order by fechacompra asc
";*/
/*$consulta="
select date(ventas.fecha) as fecha, ventas.factura, sucursales.nombre as sucursal, 
REPLACE(COALESCE((Select sum(subtotal_costo)-(sum(subtotal_costo)/11) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=10),0),'.',',') as costo_grav_10,
REPLACE(COALESCE((Select sum(subtotal_costo)-(sum(subtotal_costo)/21) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=5),0),'.',',') as costo_grav_05,
REPLACE(COALESCE((Select sum(subtotal_costo) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=0),0),'.',',') as costo_exenta,
REPLACE(
COALESCE(
(Select sum(subtotal_costo)-(sum(subtotal_costo)/11) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=10)
,0)
+COALESCE(
(Select sum(subtotal_costo)-(sum(subtotal_costo)/21) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=5)
,0)
+COALESCE(
(Select sum(subtotal_costo) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=0)
,0)
,'.',',') as costo_sin_iva
from ventas
inner join sucursales on sucursales.idsucu = ventas.sucursal
where
ventas.estado <> 6
and date(ventas.fecha) >= '$desde'
and date(ventas.fecha) <= '$hasta'
order by date(ventas.fecha) asc, ventas.factura asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));*/
$consulta="
SELECT 

facturas_proveedores_gastos.id_gasto,
(select descripcion from gastos_lista where idgasto = facturas_proveedores_gastos.id_gasto) as gasto,
facturas_proveedores_gastos.idconcepto,
(select descripcion from cn_conceptos where idconcepto = facturas_proveedores_gastos.idconcepto) as concepto,
REPLACE(COALESCE(facturas_proveedores_gastos.monto_gasto,0),'.',',') as monto_gasto, 


facturas_proveedores.id_factura, 
	CASE WHEN 
		LENGTH(factura_numero) = 13
	THEN
		CONCAT(SUBSTRING(factura_numero,1,3),'-',SUBSTRING(factura_numero,4,3),'-',SUBSTRING(factura_numero,7,7))
	ELSE
		factura_numero
	END as factura_numero,

facturas_proveedores.fecha_compra as fecha_factura,
REPLACE(COALESCE(facturas_proveedores.total_factura,0),'.',',') as monto_factura, 
CASE WHEN tipo_factura = 1 THEN 'CONTADO' ELSE 'CREDITO' END as condicion,
facturas_proveedores.id_proveedor as idproveedor,
(select proveedores.nombre from proveedores where proveedores.idproveedor = facturas_proveedores.id_proveedor) as proveedor,
(select nombre from sucursales where idsucu = facturas_proveedores.idsucursal_fact) as sucursal,
facturas_proveedores.comentario

FROM facturas_proveedores
inner join facturas_proveedores_gastos on facturas_proveedores_gastos.id_factura = facturas_proveedores.id_factura
where
facturas_proveedores.fecha_compra >= '$compra_desde'
and facturas_proveedores.fecha_compra <= '$compra_hasta'
and facturas_proveedores.estado <> 6
and facturas_proveedores_gastos.estado <> 6
$whereadd
and idgasto > 0
order by facturas_proveedores.fecha_compra asc
limit 100000
";
//echo $consulta;exit;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 //	CONCAT('\"',factura,'\"') as Factura,


 $impreso=date("d/m/Y H:i:s");



$datos="";


	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$datos.=limpiacsv($value).';';
		}
		$datos.=$saltolinea;
	$rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=gastos_'.$impreso.'.csv');
	
echo $datos;
exit;


?>
