<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="130";
require_once("includes/rsusuario.php"); 


if(intval($_POST['idajuste']) > 0){
	$idajuste=intval($_POST['idajuste']);
}
if($idajuste == 0){
	echo "- No se envio la tanda de ajuste.";exit;
	exit;	
}

//Buscamos tanda activa
$buscar="select * 
	from gest_depositos_ajustes_stock
	where 
	estado = 'A'
	and idajuste = $idajuste
	";
$rstanda=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

//$idajuste=intval($rstanda->fields['idajuste']);
$estado=trim($rstanda->fields['estado']);
$origen=intval($rstanda->fields['iddeposito']);
$idpo=$origen;
if($idpo == 0){
	echo 'Deposito de origen no encontrado.';
	exit;
}

//$destino=intval($rstanda->fields['destino']);
if ($rstanda->fields['fechaajuste'] !=''){
	$fechis=date("Y-m-d",strtotime($rstanda->fields['fechaajuste']));
}

//Post busqueda :Debe estar aca por el origen y destino ctivos
if ((isset($_POST['codigop']) && ($_POST['codigop'])!='') or (isset($_POST['codigoprod']) && ($_POST['codigoprod'])!='') or (isset($_POST['grupo']) && ($_POST['grupo'])!='') or (isset($_POST['codigobarra']) && ($_POST['codigobarra'])!='')){
	

	// si busca por nombre
	$codpro=antisqlinyeccion($_POST['codigop'],'text');
	$codigosolo=str_replace("'","",$codpro);
	if ($codpro!='NULL'){
		$add=" and insumos_lista.descripcion like '%$codigosolo%'";
		$len=strlen($codigosolo);
		$orden="
		order by 
		CASE WHEN
			substring(insumos_lista.descripcion from 1 for $len) = '$codigosolo'
		THEN
			0
		ELSE
			1
		END asc, 
		insumos_lista.descripcion asc
		Limit 100
		";
		
	}
	
	// si busca por codigo 
	if (isset($_POST['codigoprod']) && ($_POST['codigoprod'])!=''){
		$codinsumo=intval($_POST['codigoprod']);
		$add=" and insumos_lista.idinsumo = $codinsumo";
		$orden=" order by  insumos_lista.descripcion asc Limit 1";
	}
	
	// si busca por grupo
	if (isset($_POST['grupo']) && ($_POST['grupo'])!=''){
		$grupo=intval($_POST['grupo']);
		$add=" and insumos_lista.idgrupoinsu = $grupo ";
		$orden=" order by  insumos_lista.descripcion asc Limit 1000";
		$consulta="
		SELECT idgrupoinsu, nombre, estado FROM `grupo_insumos` where idgrupoinsu = $grupo
		";
		$rsgi=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$grupo_stock=antixss($rsgi->fields['nombre']);
	}
	// si busca por codigo de barras
	if (isset($_POST['codigobarra']) && ($_POST['codigobarra'])!=''){
		$codigobarra=intval($_POST['codigobarra']);
		//$add=" and (select barcode from productos where productos.idprod_serial = insumos_lista.idproducto) = $codigobarra ";
		$add=" and productos.barcode = $codigobarra ";
		$orden=" order by  insumos_lista.descripcion asc Limit 10";
	}
	
	
	//Debemos mostrar los productos existentes en dicho deposito (origen) para permitir moverlos
	$buscar="
	select insumos_lista.*, productos.barcode, medidas.nombre as medida,
				(
				Select sum(disponible) as disponible 
				from gest_depositos_stock_gral
				 where 
				iddeposito=$idpo
				and gest_depositos_stock_gral.idproducto = insumos_lista.idinsumo
				) as disponible
	from insumos_lista 
	left join productos on productos.idprod_serial = insumos_lista.idproducto
	left join medidas on medidas.id_medida = insumos_lista.idmedida
	where 
	insumos_lista.idinsumo is not null
	and insumos_lista.estado = 'A' 
	and insumos_lista.hab_invent = 1
	and insumos_lista.idinsumo not in (select idinsumo from tmp_ajuste where idajuste = $idajuste)
	$add
	$orden
	";
	//echo $buscar;
	$rsf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tprod=$rsf->RecordCount();
	

}else{
	echo "<br />No se encontraron resultados para la busqueda.<br /><br />";
	exit;	
}





?>
<div class="clearfix"></div>
<hr />


<button type="button" class="btn btn-default" onMouseUp="addtmp_todo();"><span class="fa fa-plus" ></span> Agregar Cargados</button>
<div class="clearfix"></div>
<br />
<?php if(trim($_POST['codigop']) != ''){ ?><div style="text-align:left; color:red;">Buscando '<?php echo antixss(strtoupper($_POST['codigop'])); ?>'</div><br /><?php } ?>
<?php if(trim($_POST['codigoprod']) != ''){ ?><div style="text-align:left; color:red;">Buscando Codigo: '<?php echo antixss($_POST['codigoprod']); ?>'</div><br /><?php } ?>
<?php if(trim($_POST['codigobarra']) != ''){ ?><div style="text-align:left; color:red;">Buscando Codigo Barra: '<?php echo antixss($_POST['codigobarra']); ?>'</div><br /><?php } ?>
<?php if(trim($_POST['grupo']) != ''){ ?><div style="text-align:left; color:red;">Buscando Grupo: '<?php echo $grupo_stock.' ['.antixss($_POST['grupo']).']'; ?>'</div><br /><?php } ?>

<div align="center">
	<form id="tras_insumo" enctype="application/json">

		<div class="table-responsive">
			<table width="100%" class="table table-bordered jambo_table bulk_action">
				<thead>
				<tr>
					<th  align="center"><strong>Codigo</strong></th>
					<th  align="center" ><strong>Codigo Barra</strong></th>
					<th  align="center" ><strong>Producto</strong></th>
					<th  align="center" ><strong>Medida</strong></th>
					<th  align="center" ><strong>Disponible</strong></th>
					<th width="60" align="center" ><strong>Cantidad Ajustar</strong></th>
					<th width="60" align="center" ></th>
				</tr>
				</thead>
				<tbody>
				<?php 
					$c=0;
					while (!$rsf->EOF){
						$c++;
						$dp=$rsf->fields['disponible'];
				?>
				<tr id="ag_<?php $rsf->fields['idinsumo']; ?>">	
				  <td height="26" align="center"><?php echo $rsf->fields['idinsumo']?></td>
				  <td align="left"><?php echo antixss($rsf->fields['barcode']);?></td>
					<td align="left"><?php echo capitalizar(antixss($rsf->fields['descripcion']));?></td>
					<td align="left"><?php echo (antixss($rsf->fields['medida']));?></td>
					<td align="center"><?php echo formatomoneda($rsf->fields['disponible'],4,'N')?></td>
				  <td align="center"><input type="text" id="cantimov_<?php echo $rsf->fields['idinsumo']?>" name="cantimov_<?php echo $rsf->fields['idinsumo']?>" style="width:60px;" <?php if($c == 1){ ?>autofocus="autofocus" class="insu_focus_1"<?php } ?> onkeypress="addtmp_uno_enter(<?php echo $rsf->fields['idinsumo']?>,event);" /></td>
				  <td align="center" id='btn_<?php echo $rsf->fields['idinsumo']?>'><button type="button" class="btn btn-default" onMouseUp="addtmp_uno(<?php echo $rsf->fields['idinsumo']?>);"><span class="fa fa-plus" ></span></button></td>
				</tr>
			   
			  <?php $rsf->MOveNext();} ?>
			  </tbody>
			  
			</table>
		</div>
			
		
		<input type="hidden" name="tp" id="tp" value="1">
		<input type="hidden" name="idajuste" id="idajuste" value="<?php echo $idajuste; ?>">

					
		<div class="clearfix"></div>
		<br />

		<div class="form-group">
			<div class="col-md-12 col-sm-12 col-xs-12 text-center">
			
		   <button type="button" class="btn btn-default" onMouseUp="addtmp_todo();"><span class="fa fa-plus" ></span> Agregar Cargados</button>

			</div>
		</div>
			
	</form>
</div>