<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="8";
require_once("includes/rsusuario.php"); 

$id=intval($_GET['id']);

if (isset($_GET['id']) && intval($_GET['id']) > 0){
	// busca listas
	$consulta="
	select * from combos_listas where idempresa = $idempresa and idlistacombo = $id
	";
	$rscombo=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(intval($rscombo->fields['idlistacombo']) == 0){
		echo "Grupo de productos inexistente.";
		exit;	
	}
	$idproducto=$rscombo->fields['idproducto'];
	
}else{
	echo "No selecciono ningun grupo de productos";
	exit;	
}


?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<?php require("includes/head.php"); ?>
<script>
function alertar(titulo,error,tipo,boton){
	swal({   title: titulo,   text: error,   type: tipo,   confirmButtonText: boton });
	}
function busqueda_combo(){
	var cat = $("#cat").val();
	var subcat = $("#subcat").val();
	var prod = $("#prod").val();
	
	var parametros = {
		"id"     : <?php echo $id; ?>,
		"cat"    : cat,
		"subcat" : subcat,
		"prod"   : prod
    };
    $.ajax({
    	data:  parametros,
        url:   'gest_combo_componentes_busca.php',
        type:  'post',
        beforeSend: function () {
        	$("#box").html("Cargando...");
        },
        success:  function (response) {
			$("#box").html(response);
        }
	});
	
}
function agregar_combo(idprod){
	var parametros = {
		"id"     : <?php echo $id; ?>,
		"idprod"   : idprod
    };
    $.ajax({
    	data:  parametros,
        url:   'gest_combo_componentes_agrega.php',
        type:  'post',
        beforeSend: function () {
        	$("#btn_"+idprod).hide();
			$("#agregados").html("Cargando...");
        },
        success:  function (response) {
			$("#btn_"+idprod).show();
			if(response == 'OK'){
				$("#btn_"+idprod).html("Agregado!");
				carga_agregados();
			}else{
				$("#agregados").html(response);
			}
        }
	});
}
function carga_agregados(){
	var parametros = {
		"id"     : <?php echo $id; ?>
    };
    $.ajax({
    	data:  parametros,
        url:   'gest_combo_componentes_agregados.php',
        type:  'post',
        beforeSend: function () {
        	$("#agregados").html("Cargando...");
        },
        success:  function (response) {
			$("#agregados").html(response);
        }
	});
}
function recargar(idc){
	var parametros = {
		"idc"     : idc
    };
    $.ajax({
    	data:  parametros,
        url:   'subcate2.php',
        type:  'post',
        beforeSend: function () {
        	$("#subcate").html("Cargando...");
        },
        success:  function (response) {
			$("#subcate").html(response);
			busqueda_combo();
        }
	});
}
function elimina_componente(id){
	var parametros = {
		"id"     : id
    };
    $.ajax({
    	data:  parametros,
        url:   'gest_combo_componentes_elimina.php',
        type:  'post',
        beforeSend: function () {
        	$("#msg_agregado").html("Borrando...");
        },
        success:  function (response) {
			if(response != 'OK'){
				$("#msg_agregado").html(response);
			}else{
				carga_agregados();
			}
        }
	});
}
</script>
</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	<div class="clear"></div>
		<div class="cuerpo">
            <div align="center">
                <?php require_once("includes/menuarriba.php");?>
            </div>
			<div class="clear"></div><!-- clear1 -->
			<div class="colcompleto" id="contenedor">
             <div align="center">
    		<table width="70" border="0">
          <tbody>
            <tr>
              <td width="62"><a href="gest_combo.php?id=<?php echo $idproducto; ?>"><img src="img/homeblue.png" width="64" height="64" title="Regresar"/></a></td>
            </tr>
          </tbody>
        </table>
    </div>
 				<div class="divstd">
					<span class="resaltaditomenor">Armar Combo</span>
              </div>
<hr />
<br />
<br />
 <?php if(trim($errores) != ''){ ?>
<div class="mensaje" style="border:1px solid #F00; background-color:#FFC; font-size:12px; padding:10px; margin:10px auto; width:500px; text-align:center;">
  <strong>Errores:</strong> <br />
<?php echo $errores; ?>
</div><br />
<?php } ?>
  			<p align="center"><strong>Grupo:</strong> <?php echo $rscombo->fields['nombre']?></p><br />


			  
  			<table width="500" border="1">
  			  <tbody>
  			    <tr>
  			      <td width="50%" align="right"><strong>Producto:</strong></td>
  			      <td width="50%" align="left"><input name="prod" type="text" id="prod"  onkeyup="busqueda_combo();"  /></td>
		        </tr>
  			    <tr>
  			      <td align="right"><strong>Categoria:</strong></td>
  			      <td align="left"><?php 
//Categorias
$buscar="Select * from categorias where 
estado = 1
and idempresa = $idempresa 
order by nombre ASC";
$rscate=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				  ?>
                    <select name="cat" id="cat" onchange="recargar(this.value);">
                      <option value="0">Todos</option>
					<?php while (!$rscate->EOF){?>
					<option value="<?php echo $rscate->fields['id_categoria']?>" <?php if (intval($_POST['categoria'])==intval($rscate->fields['id_categoria'])) { ?> selected="selected" <?php } ?>><?php echo trim($rscate->fields['nombre']) ?></option>
					<?php $rscate->MoveNext();
					}?>
                  </select></td>
		        </tr>
  			    <tr>
  			      <td align="right"><strong>Subcategoria:</strong></td>
  			      <td align="left" id="subcate"><?php require_once("subcate2.php"); ?></td>
		        </tr>
		      </tbody>
			  </table>
  			<p>&nbsp;</p>
  			<p align="center">
  			  <input type="button" name="button" id="button" value="Buscar" onmouseup="busqueda_combo();" /></p>
  			  <br />
              
<div id="box" style="float:left; border:1px solid #000000; width:49%; margin:2px; min-height:300px;">Resultados de Busqueda...</div>
<div id="agregados" style="float:left; border:1px solid #000000; width:49%; margin:2px;  min-height:300px;"><?php require_once("gest_combo_componentes_agregados.php"); ?></div>    
            
            <br /><br /><br /><br />
          </div> <!-- contenedor -->
  		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
   
	<?php require("includes/pie.php"); ?>
<select name="select" id="select">
</select>
</body>
</html>