<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="55";
require_once("includes/rsusuario.php"); 


$idtipoprefe=intval($_GET['id']);

if($idtipoprefe == 0){
	$idtipoprefe=1;
	//header("location: gest_tipos_operaciones.php");
	//exit;	
}






if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	$idplaniva10=antisqlinyeccion($_POST['idplan10'],"int");
	$idplaniva5=antisqlinyeccion($_POST['idplan5'],"int");
	$idplanexenta=antisqlinyeccion($_POST['idplanexenta'],"int");
	$idplancaja=antisqlinyeccion($_POST['idplancaja'],"int");

	if(trim($_POST['idplan10']) == ''){
		$valido="N";
		$errores.=" - El campo Plan de cuenta iva10 no puede estar vacio.<br />";	
	}

	if(trim($_POST['idplan5']) == ''){
		$valido="N";
		$errores.=" - El campo Plan de cuenta iva5 no puede estar vacio.<br />";	
	}
	if(trim($_POST['idplanexenta']) == ''){
		$valido="N";
		$errores.=" - El campo Plan de cuenta exento no puede estar vacio.<br />";	
	}
	if(trim($_POST['idplancaja']) == ''){
		$valido="N";
		$errores.=" - El campo Plan de cuenta caja no puede estar vacio.<br />";	
	}

	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update preferencias_cuenta_contable
		set
      	cuenta_iva10=$idplaniva10,
		cuenta_iva5=$idplaniva5,
		cuenta_exenta=$idplanexenta,
		cuenta_caja=$idplancaja
		where
			idprefe = $idtipoprefe
		";

		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: index.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());





?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Asignar plan de cuentas para la configuracion del informe Millenium</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">


<div class="col-md-6 col-sm-6 form-group">
<label class="control-label col-md-3 col-sm-3 col-xs-12">Plan de Cuenta iva10</label>

	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 

// consulta
$consulta="
select a.idserieun as idplan10,a.descripcion
from cn_plancuentas_detalles a 
where a.estado <> 6 
order by a.descripcion
";

// valor seleccionado
if(isset($_GET['idplan10'])){ 
	$value_selected=htmlentities($_GET['idplan10']); 
}else{
	$value_selected=intval($rs->fields['idplan10']);
}
// parametros
$parametros_array=array(
	'nombre_campo' => 'idplan10',
	'id_campo' => 'idplan10',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idplan10',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'NINGUNO',
	'pricampo_value' => '0',
	'style_input' => 'class="form-control"'

);
// construye campo
echo campo_select($consulta,$parametros_array);

?>	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
<label class="control-label col-md-3 col-sm-3 col-xs-12">Plan de Cuenta iva5</label>

	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 

// consulta
$consulta="
select a.idserieun as idplan5,a.descripcion
from cn_plancuentas_detalles a 
where a.estado <> 6 
order by a.descripcion
";

// valor seleccionado
if(isset($_GET['idplan5'])){ 
	$value_selected=htmlentities($_GET['idplan5']); 
}else{
	$value_selected=intval($rs->fields['idplan5']);
}
// parametros
$parametros_array=array(
	'nombre_campo' => 'idplan5',
	'id_campo' => 'idplan5',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idplan5',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'NINGUNO',
	'pricampo_value' => '0',
	'style_input' => 'class="form-control"'

);
// construye campo
echo campo_select($consulta,$parametros_array);

?>	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
<label class="control-label col-md-3 col-sm-3 col-xs-12">Plan de Cuenta exenta</label>

	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 

// consulta
$consulta="
select a.idserieun as idplanexenta,a.descripcion
from cn_plancuentas_detalles a 
where a.estado <> 6 
order by a.descripcion
";

// valor seleccionado
if(isset($_GET['idplanexenta'])){ 
	$value_selected=htmlentities($_GET['idplanexenta']); 
}else{
	$value_selected=intval($rs->fields['idplanexenta']);
}
// parametros
$parametros_array=array(
	'nombre_campo' => 'idplanexenta',
	'id_campo' => 'idplanexenta',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idplanexenta',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'NINGUNO',
	'pricampo_value' => '0',
	'style_input' => 'class="form-control"'

);
// construye campo
echo campo_select($consulta,$parametros_array);

?>	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
<label class="control-label col-md-3 col-sm-3 col-xs-12">Plan de Cuenta Caja</label>

	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 

// consulta
$consulta="
select a.idserieun as idplancaja,a.descripcion
from cn_plancuentas_detalles a 
where a.estado <> 6 
order by a.descripcion
";

// valor seleccionado
if(isset($_GET['idplancaja'])){ 
	$value_selected=htmlentities($_GET['idplancaja']); 
}else{
	$value_selected=intval($rs->fields['idplancaja']);
}
// parametros
$parametros_array=array(
	'nombre_campo' => 'idplancaja',
	'id_campo' => 'idplancaja',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idplancaja',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'NINGUNO',
	'pricampo_value' => '0',
	'style_input' => 'class="form-control"'

);
// construye campo
echo campo_select($consulta,$parametros_array);

?>	</div>
</div>
<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='gest_tipos_operaciones.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />




                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
