<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
	
}


$buscar="
SELECT productos.descripcion,sum(ventas_detalles.cantidad) as cantidad, sum(ventas_detalles.subtotal) as totalvendido FROM `ventas_detalles` inner join productos on productos.idprod = ventas_detalles.idprod where date(ventas_detalles.registrado_el) >= '$desde' and date(ventas_detalles.registrado_el) <= '$hasta' group by ventas_detalles.idprod order by sum(ventas_detalles.cantidad) desc limit 20
";
$rsgraf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$productos="";
$precios="";
$cantidad="";

while (!$rsgraf->EOF){
	$productos.=$rsgraf->fields['descripcion'].",";
	$cantidad.=$rsgraf->fields['cantidad'].",";
	$totalvendido.=$rsgraf->fields['totalvendido'].",";
	
	$rsgraf->MoveNext();
}

$productos=explode(",",trim($productos));
$totalvendido=explode(",",trim($totalvendido));
$cantidad=explode(",",trim($cantidad));	
array_pop($productos);
array_pop($totalvendido);
array_pop($cantidad);

$datay=$cantidad;

require_once 'clases/jpgraph/jpgraph.php';
require_once 'clases/jpgraph/jpgraph_pie3d.php';
// Create the graph. These two calls are always required
$graph = new   PieGraph(700,600,'auto');
$graph->SetScale("textlin");

$theme_class=new UniversalTheme;
$graph->SetTheme($theme_class);

$graph->Set90AndMargin(250,40,40,40);
$graph->img->SetAngle(90); 

// set major and minor tick positions manually
$graph->SetBox(false);

//$graph->ygrid->SetColor('gray');
$graph->ygrid->Show(true);
$graph->ygrid->SetFill(false);
$graph->xaxis->SetTickLabels($productos);
$graph->yaxis->HideLine(false);
$graph->yaxis->HideTicks(false,false);

// For background to be gradient, setfill is needed first.
//$graph->SetBackgroundGradient('#00CED1', '#FFFFFF', GRAD_HOR, BGRAD_PLOT);

// Create the bar plots
$b1plot = new BarPlot($datay);

// ...and add it to the graPH
$graph->Add($b1plot);

$b1plot->SetWeight(0);
$b1plot->SetFillGradient("#808000","#90EE90",GRAD_HOR);
$b1plot->SetWidth(17);

// Display the graph
$graph->Stroke();

?>