<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="62";

require_once("includes/rsusuario.php"); 

if (isset($_POST['desde']) && ($_POST['desde'] !='')){
	
	$desde=antisqlinyeccion($_POST['desde'],'date');
	$hasta=antisqlinyeccion($_POST['hasta'],'date');
	
	$buscar="Select fecha,cantidad,descripcion,usuario,merma,idproducto
	from productos_mov_interno 
	inner join productos on productos.idprod=productos_mov_interno.idproducto
	inner join usuarios on usuarios.idusu=productos_mov_interno.registrado_por
	where date(fecha) between  $desde and $hasta order by fecha asc";
	$rsco=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tcov=$rsco->RecordCount();
	
}

?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<?php require("includes/head.php"); ?>
<script src="js/sweetalert.min.js"></script>
<link rel="stylesheet" type="text/css" href="css/sweetalert.css">
<script>
function verificar(){
	var errores='';
	var cprod=document.getElementById('producto').value;
	var merma=parseInt(document.getElementById('incluir').value);
	var cantidad=document.getElementById('cantidad').value;
	if (cprod=='0'){
		errores=errores+'* Debe indicar Producto a ser descontado. \n';
	}
	if (cantidad==''){
		errores=errores+'* Debe indicar cantidad a ser descontada. \n';
	}
	if (merma==0){
		errores=errores+'* Debe indicar si forma parte de merma. \n';
	}
	if (errores==''){
		document.getElementById('subprodu').submit();
	
	}else {
		alertar('ATENCION: Algo salio mal.',errores,'error','Lo entiendo!');	
	
	}
	
}
function alertar(titulo,error,tipo,boton){
		swal({   title: titulo,   text: error,   type: tipo,   confirmButtonText: boton });
	}
</script>
</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="clear"></div>
<div class="cuerpo">
 <div align="center" >
 <?php require_once("includes/menuarriba.php");?>
</div>

<div class="colcompleto" id="contenedor">
 	<!-- SECCION DONDE COMIENZA TODO -->
    <br /><br />
    <div align="center">
   			
   		   		 <a href="index.php"><img src="img/homeblue.png" width="64" height="64" title="Regresar" /></a></div>
        		<div class="resumenmini">
         		 <p><strong>Hist&oacute;rico de Movimiento de productos en car&aacute;cter de consumo / p&eacute;rdida.</strong></p>
           		<form id="subprodu" name="subprodu" action="gest_mov_historico.php" method="post">
                <strong>Desde</strong>
                <input type="date" name="desde" id="desde" required="required" /> 
                <strong>Hasta</strong>
                <input type="date" name="hasta" id="hasta" required="required"/><br />
                <input type="submit" name="rf" value="Buscar" />
                </form>
        		</div>
                 <hr />
        <?php if ($tcov > 0){?>
        <table width="674" class="tablalinda2">
        	<tr>
            	<td width="77" height="34" align="center" bgcolor="#E9E9E9"><strong>C&oacute;digo</strong></td>
                <td width="136" align="center" bgcolor="#E9E9E9"><strong>Producto</strong></td>
                <td width="62" align="center" bgcolor="#E9E9E9"><strong>Cantidad</strong></td>
                <td width="105" align="center" bgcolor="#E9E9E9"><strong>Fecha</strong></td>
                <td width="91" align="center" bgcolor="#E9E9E9"><strong>Reg Por</strong></td>
                <td width="70" align="center" bgcolor="#E9E9E9"><strong>Afecta Merma</strong></td>
                <td width="101" align="center" bgcolor="#E9E9E9"><strong>Obs</strong></td>
          </tr>
        	<?php while (!$rsco->EOF){
				if (intval($rsco->fields['merma'])==1){
					$m="<span class='resaltarojomini'>SI</span>";	
				} else {
					$m="NO";
				}
			?>
        	<tr>
            	<td height="28" align="left"><?php echo $rsco->fields['idproducto']?></td>
                <td align="left"><?php echo $rsco->fields['descripcion']?></td>
                <td align="center"><?php echo $rsco->fields['cantidad']?></td>
                <td align="center"><?php echo $rsco->fields['fecha']?></td>
                <td align="center"><?php echo $rsco->fields['usuario']?></td>
                <td align="center"><?php echo $m; ?></td>
                <td align="center"><?php echo $rsco->fields['obs']?></td>
                
            </tr>
        	<?php $rsco->MoveNext(); } ?>
            
        </table>
        <?php } ?>
     	</div>
        <br />
       
    </div>
    	<hr />
</div> <!-- contenedor -->
  


   <div class="clear"></div><!-- clear1 -->
</div> <!-- cuerpo -->
<div class="clear"></div><!-- clear2 -->
<?php require("includes/pie.php"); ?>
</body>
</html>


