<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="113";
require_once("includes/rsusuario.php"); 

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
			
			<!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Presupuestos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<p><a href="tmppresu_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar / Nuevo</a></p>
<hr />
<strong>Pendientes de finalizaci&oacute;n</strong><br />
<br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Id</th>
			<th align="center">Fecha</th>
			<th align="center">Cliente</th>
			<th align="center">Valido Hasta</th>
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>
		
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="gest_reg_compras_resto_det.php?id=<?php echo $rs->fields['idtran']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>
					<a href="tmpcompras_edit.php?id=<?php echo $rs->fields['idtran']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
					<a href="tmpcompras_del.php?id=<?php echo $rs->fields['idtran']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
				</div>

			</td>
			<td align="right"><?php echo formatomoneda($rs->fields['idtran']);  ?></td>
			<td align="center"><?php echo antixss($rs->fields['proveedor']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_compra'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_compra'])); } ?></td>
			<td align="center"><?php echo antixss($rs->fields['facturacompra']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['tipocompra']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_factura']);  ?></td>
			<td align="center"><?php echo antixss($rs->fields['ocnum']); ?></td>
			<td align="right"><?php echo antixss($rs->fields['sucursal']);  ?></td>
            <td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); } ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />





                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
			
			
			
			  <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Ultimos presupuestos registrados</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
					<strong>Filtrar por: </strong><br />
					<div class="col-md-6 col-sm-6  ">
						<input type="text" class="form-control" name="filtro" id="filtro" placeholder="Numero - codigo"  >
					</div>
					<div class="col-md-6 col-sm-6  ">
						<input type="text" class="form-control" name="clienterz" id="clienterz" placeholder="Razon social"  >
					</div>
					<div class="col-md-6 col-sm-6  ">
						<input type="date" class="form-control" name="fecha" id="fecha" placeholder="Buscar por fecha "  >
					</div>
					<div class="col-md-6 col-sm-6  ">
					<a href="javascript:void(0);" class="btn btn-sm btn-dark"><span class="fa fa-search"></span> Filtrar</a>
						
					</div>

					<br />
					<div class="table-responsive" id="listapresupuestos">
						<?php require_once("gest_presu_listamini.php"); ?>
					</div>
					<br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
			
			
			
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Titulo 1</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">







                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
