<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="8";
require_once("includes/rsusuario.php"); 


$idprod_serial=intval($_GET['id']);
if($idprod_serial == 0){
	header("location: gest_listado_productos_bor.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select idprod_serial, descripcion
from productos 
where 
idprod_serial = $idprod_serial
and borrado = 'S'
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idprod_serial=intval($rs->fields['idprod_serial']);
if($idprod_serial == 0){
	header("location: gest_listado_productos_bor.php");
	exit;	
}

//print_r($_POST);
if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){
	
	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	

	
	$consulta="
	Select * 
	from productos 
	where 
	borrado = 'N' 
	and descripcion = '$descripcion'
	limit 1
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(intval($rsex->fields['idprod_serial']) > 0){
		$errores.="- Ya existe otro producto activo con el mismo nombre, editelo o borrelo para poder restaurar.<br />";
		$valido="N";
	}
	
	$consulta="
	Select * 
	from insumos_lista 
	where 
	estado = 'A' 
	and descripcion = '$descripcion'
	limit 1
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(intval($rsex->fields['idinsumo']) > 0){
		$errores.="- Ya existe otro insumo activo con el mismo nombre, editelo o borrelo para poder restaurar.<br />";
		$valido="N";
	}
	
	
	

	// si no existe el producto
	if(intval($rs->fields['idprod_serial']) == 0){
		$errores.="- Producto inexistente.<br />";
		$valido="N";
	}
		
		
	// si todo es correcto actualiza
	if($valido == "S"){
		
		
		$update="
		update productos 
		set 
		borrado = 'N',
		restaurado_por=$idusu,
		restaurado_el='$ahora'
		where 
		idprod_serial=$idprod_serial 
		and borrado = 'S'
		";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		

		
		// busca si existe un insumo vinculado
		$consulta="
		select * 
		from insumos_lista 
		where 
		idproducto = $idprod_serial
		";
		$rsins=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idinsumo=intval($rsins->fields['idinsumo']);
		// si existe producto vinculado al insumo
		if($idinsumo > 0){
			
			// restaura
			$consulta="
			update insumos_lista
			set 
			estado = 'A',
			restaurado_por=$idusu,
			restaurado_el='$ahora'
			where
			idproducto = $idprod_serial
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

				
		}
			
		
		
		header("location: gest_listado_productos_bor.php");
		exit;
		
	}
	

}



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
	 
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Restaurar Producto Borrado</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



                 <strong>Esta seguro que desea restaurar el siguiente producto?</strong><br /><br />
    
                <form id="mp" name="mp" method="post" action="gest_restaurar_productos.php?id=<?php echo intval($_GET['id']); ?>">
				
				
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Producto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="descripcion" id="descripcion" value="<?php  if(isset($_POST['descripcion'])){ echo htmlentities($_POST['descripcion']); }else{ echo antixss($rs->fields['descripcion']); }?>" placeholder="Descripcion" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
	</div>
</div>
				
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Codigo Producto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idprod_serial" id="idprod_serial" value="<?php  if(isset($_POST['idprod_serial'])){ echo htmlentities($_POST['idprod_serial']); }else{ echo htmlentities($rs->fields['idprod_serial']); }?>" placeholder="idprod_serial" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
	</div>
</div>				

<br />


<div class="clearfix"></div>
<br />
  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo antixss($_SESSION['form_control']); ?>">
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-recycle"></span> Restaurar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='gest_listado_productos_bor.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

                
                
				</form>
                
                </div>
				
<div class="clearfix"></div>
<br /><br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>