<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";

require_once("includes/rsusuario.php"); 

// buscar la primera impresora registrada de la sucursal logueada si no envio parametro de impresora
if(intval($idimpresoratk) == 0){
	$consulta="
	SELECT * FROM impresoratk 
	where 
	idempresa = $idempresa 
	and idsucursal = $idsucursal 
	and borrado = 'N'
	and tipo_impresora = 'CAJ'
	order by idimpresoratk asc
	limit 1
	";
	$rsimp = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idimpresoratk=intval($rsimp->fields['idimpresoratk']);
}

// buscar impresora si pertenece
$consulta="SELECT * FROM impresoratk where idempresa = $idempresa and idimpresoratk = $idimpresoratk and idsucursal = $idsucursal and borrado = 'N'";
$rsimp = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$pie_pagina=$rsimp->fields['pie_pagina'];
if(intval($rsimp->fields['idimpresoratk']) == 0){
	header("location: impresora_selecciona.php");
	exit;
}
// tipo de impresion
$consolida=$rsimp->fields['consolida'];

// centrar nombre empresa
$nombreempresa_centrado=corta_nombreempresa($nombreempresa);
$saltolinea="
";

$consulta="
select *, (select tipo_venta from ventas where ventas.idventa = tmp_ventares_cab.idventa limit 1) as vtacredito
from tmp_ventares_cab
where
finalizado = 'S'
and impreso = 'N'
and estado <> 6
and idempresa = $idempresa
and idsucursal = $idsucursal
and tmp_ventares_cab.idtmpventares_cab in (
	select tmp_ventares.idtmpventares_cab
	from tmp_ventares 
	inner join productos on tmp_ventares.idproducto = productos.idprod_serial
	where 
	tmp_ventares.borrado = 'N'
	and tmp_ventares.finalizado = 'S'
	
	and tmp_ventares.idempresa = $idempresa
	and tmp_ventares.idsucursal = $idsucursal
	and tmp_ventares.usuario = $idusu
	ORDER BY descripcion asc
)
order by idtmpventares_cab asc
limit 1
";
//echo $consulta;
$rscab = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$vtaid=intval($rscab->fields['idventa']);
$id=intval($rscab->fields['idtmpventares_cab']);
// datos utiles
$fechapedido=date("d/m/Y H:i:s",strtotime($rscab->fields['fechahora']));
$razon_social=trim(texto_tk($rscab->fields['razon_social'],28));
$ruc=texto_tk($rscab->fields['ruc'],28);

// si es venta a credito
$vtacredito = intval($rscab->fields['vtacredito']);
if($vtacredito == 2){
$creditotxt="
----------------------------------------
        *** VENTA A CREDITO ***   
      RECONOZCO Y PAGARE EL MONTO       
           DE ESTA OPERACION        


FIRMA:..................................
ACLARACION: $razon_social";
	
}else{
	$creditotxt="";
}
//echo $id;
// si no hay nada para imprimir recarga la pagina
if($id == 0){
	echo "No queda nada pendiente por imprimir.";
	echo '<meta http-equiv="refresh" content="4;URL=\'impresor_ticket_caja.php?imp='.$idimpresoratk.'\'" />';
	exit;
}


		
$consulta="
select tmp_ventares.*, productos.descripcion
from tmp_ventares 
inner join productos on tmp_ventares.idproducto = productos.idprod_serial
where 
tmp_ventares.borrado = 'N'
and tmp_ventares.finalizado = 'S'

and tmp_ventares.idtmpventares_cab = $id
and tmp_ventares.idempresa = $idempresa
and tmp_ventares.idsucursal = $idsucursal
and tmp_ventares.usuario = $idusu
ORDER BY descripcion asc
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$id=intval($rs->fields['idtmpventares_cab']);


// si no hay nada para imprimir recarga la pagina
if($id == 0){
	echo "No queda nada pendiente por imprimir.";
	echo '<meta http-equiv="refresh" content="4;URL=\'impresor_ticket_caja.php?imp='.$idimpresoratk.'\'" />';
	exit;
}


		
$ahora=date("d/m/Y H:i:s");	


if($consolida != 'S'){

$texto="
****************************************
$nombreempresa_centrado
            HOJA DE PEDIDO
****************************************
PEDIDO N° $id | CODVTA: $vtaid
----------------------------------------
FECHA PED : $fechapedido
FECHA IMP : $ahora
Razon SOC.: $razon_social
RUC NRO.  : $ruc
----------------------------------------
PRODUCTOS
----------------------------------------
";
$texto=trim($texto);
while (!$rs->EOF){
	$idventatmp=$rs->fields['idventatmp'];
	$texto.=$saltolinea."* ".texto_tk($rs->fields['descripcion'],38);
	$texto.=$saltolinea."  Gs.".texto_tk(formatomoneda($rs->fields['precio']),30);
	$texto=trim($texto);
	// busca si es un producto combinado
	if($rs->fields['combinado'] == 'S'){ 
		$prod_1=$rs->fields['idprod_mitad1'];
		$prod_2=$rs->fields['idprod_mitad2'];
		$consulta="
		select *
		from productos
		where 
		(idprod_serial = $prod_1 or idprod_serial = $prod_2)
		and idempresa = $idempresa
		order by descripcion asc
		";
		$rspcom = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		while (!$rspcom->EOF){
			$texto.=$saltolinea." » MITAD ".texto_tk($rspcom->fields['descripcion'],31);
		$rspcom->MoveNext(); } 
		
	}
	// busca si es un combo
	if($rs->fields['combo'] == 'S'){ 
		$consulta="
		select * 
		from tmp_combos_listas
		inner join productos on productos.idprod_serial = tmp_combos_listas.idproducto
		where
		tmp_combos_listas.idventatmp = $idventatmp
		and tmp_combos_listas.idempresa = $idempresa
		and productos.idempresa = $idempresa
		";
		$rsgrupos=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		while (!$rsgrupos->EOF){
			$texto.=$saltolinea." » ".texto_tk($rsgrupos->fields['descripcion'],31);
		$rsgrupos->MoveNext(); } 
		
	}

	// busca si tiene agregado
	$idvt=$rs->fields['idventatmp'];
	$consulta="
	select tmp_ventares_agregado.*
	from tmp_ventares_agregado
	where 
	idventatmp = $idvt
	order by alias desc
	";
	$rsag = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// genera agregados si tiene
	if(trim($rsag->fields['alias']) != ''){
		$texto.=$saltolinea." > AGREGADOS:".$saltolinea;
		while (!$rsag->EOF){
			$texto.="  + ".texto_tk($rsag->fields['alias'],36).$saltolinea;
			$texto.="    Gs.".texto_tk(formatomoneda($rsag->fields['precio_adicional']),30).$saltolinea;
		$rsag->MoveNext(); }
	}
	$texto=trim($texto);
	
	// busca si tiene sacados
	$consulta="
	select tmp_ventares_sacado.*
	from tmp_ventares_sacado
	where 
	idventatmp = $idvt
	order by alias desc
	";
	$rssac = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// genera sacados si tiene
	if(trim($rssac->fields['alias']) != ''){
		$texto.=$saltolinea." > EXCLUIDOS:".$saltolinea;
		while (!$rssac->EOF){
			$texto.="  - ".texto_tk($rssac->fields['alias'],36).$saltolinea;
		$rssac->MoveNext(); }
	}
	$texto=trim($texto);
$rs->MoveNext(); }

// buscar usuario
$operador=$rscab->fields['idusu'];
$consulta="
select usuario from usuarios where idusu = $operador
";
$rsop= $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$operador=$rsop->fields['usuario'];

// datos de cabecera
$chapa=texto_tk($rscab->fields['chapa'],33);
$mesa=texto_tk($rscab->fields['idmesa'],33);
$mesa=texto_tk($rscab->fields['idmesa'],33);
$observacion=$rscab->fields['observacion'];

// datos cabecera
	$direccion=$rscab->fields['direccion'];
	$telefono=$rscab->fields['telefono'];
	$llevapos=siono($rscab->fields['llevapos']);
	$cambio=formatomoneda($rscab->fields['cambio']);
	$observacion_delivery=$rscab->fields['observacion_delivery'];
	$delivery_costo=formatomoneda($rscab->fields['delivery_costo']);
	$monto=formatomoneda($rscab->fields['monto']);
	$totalpagar=formatomoneda(intval($rscab->fields['monto'])+intval($rscab->fields['delivery_costo']));
	$vuelto=formatomoneda($rscab->fields['cambio']-($rscab->fields['monto']+$rscab->fields['delivery_costo']));

// si no es delivery
if($rscab->fields['delivery'] != "S"){
// totales
$texto.="
----------------------------------------
TOTAL GLOBAL: $totalpagar";
}

// si es delivery
if($rscab->fields['delivery'] == "S"){

$texto.="
----------------------------------------
> DELIVERY
TELEFONO    : 0$telefono
LLEVAR POS  : $llevapos
TOTAL PROD  : $monto
DELIVERY GS.: $delivery_costo
TOTAL GLOBAL: $totalpagar
PAGA CON    : $cambio
VUELTO      : $vuelto
DIRECCION   : $direccion
OBS. DEL.   : $observacion_delivery";

}

// si tiene mesa buscar el numero
if($mesa > 0){
	$consulta=" 
	select numero_mesa, nombre
	from mesas
	inner join salon on mesas.idsalon = salon.idsalon
	where 
	idmesa = $mesa
	and salon.idsucursal = $idsucursal
	";
	$rsmes= $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$numeromesa=$rsmes->fields['numero_mesa'];
	$salon=$rsmes->fields['nombre'];
}


// si tiene mesa mostrar
if($numeromesa != ''){
	$mesa_m="MESA: ".texto_tk($numeromesa,34).$saltolinea."SALON: ".texto_tk(strtoupper($salon),33);
}

// si tiene chapa mostrar
if($chapa != ''){
	$chapa_m="CHAPA: ".$chapa;
}

if($numeromesa != '' && $chapa != ''){
	$mesaychapa=$mesa_m.$saltolinea.$chapa_m;
}else{
	$mesaychapa=trim($mesa_m.$chapa_m);
}
// si tiene observacion mostrar
if(trim($observacion) != ''){
	$observacion_m=$saltolinea.strtoupper($observacion);
}

$texto.="
----------------------------------------
OPERADOR: $operador
----------------------------------------
$mesaychapa
OBSERVACION: $observacion_m";
$texto.=$creditotxt;
$texto.="
----------------------------------------
$pie_pagina
";

}else{ //if($consolida != 'S'){
////////////////////// consolidado ///////////////////////////////////////////////

$consulta="
select tmp_ventares.*, productos.descripcion, sum(cantidad) as total, sum(precio) as totalprecio, sum(subtotal) as subtotal,
(select recetas_detalles.idreceta from recetas_detalles where recetas_detalles.idprod = tmp_ventares.idproducto limit 1) as tienereceta, 
(select agregado.idproducto from agregado WHERE agregado.idproducto = tmp_ventares.idproducto limit 1) as tieneagregado
from tmp_ventares 
inner join productos on tmp_ventares.idproducto = productos.idprod_serial
where 
tmp_ventares.finalizado = 'S'
and tmp_ventares.borrado = 'N'
and tmp_ventares.idtmpventares_cab = $id
and tmp_ventares.idsucursal = $idsucursal
and tmp_ventares.idempresa = $idempresa
and tmp_ventares.usuario = $idusu
and tmp_ventares.combo = 'N'
and tmp_ventares.combinado = 'N'
group by descripcion, receta_cambiada
ORDER BY tmp_ventares.idventatmp asc
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


$texto="
****************************************
$nombreempresa_centrado
            HOJA DE PEDIDO
****************************************
PEDIDO N° $id | CODVTA: $vtaid
----------------------------------------
FECHA PED : $fechapedido
FECHA IMP : $ahora
Razon SOC.: $razon_social
RUC NRO.  : $ruc
----------------------------------------
N  |PRODUCTOS
----------------------------------------
";
$texto=trim($texto);
while (!$rs->EOF){
	$idventatmp=$rs->fields['idventatmp'];
	$idproducto=$rs->fields['idproducto'];
	$texto.=$saltolinea."".agregaespacio(texto_tk(formatomoneda($rs->fields['total'],0),3),3).'|'.texto_tk($rs->fields['descripcion'],37);
	$texto.=$saltolinea."   Gs.".texto_tk(formatomoneda($rs->fields['subtotal']),30);
	$texto=trim($texto);
	// busca si tiene agregado
	$idvt=$rs->fields['idventatmp'];
	$consulta="
	select tmp_ventares_agregado.*
	from tmp_ventares_agregado
	where 
	idventatmp in (select idventatmp from tmp_ventares where tmp_ventares.idtmpventares_cab = $id and idproducto = $idproducto)
	order by alias desc
	";
	$rsag = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// genera agregados si tiene
	if(trim($rsag->fields['alias']) != ''){
		$texto.=$saltolinea."   > AGREGADOS:".$saltolinea;
		while (!$rsag->EOF){
			$texto.="    + ".texto_tk($rsag->fields['alias'],36).$saltolinea;
			$texto.="      Gs.".texto_tk(formatomoneda($rsag->fields['precio_adicional']),30).$saltolinea;
		$rsag->MoveNext(); }
	}
	$texto=trim($texto);
	
	// busca si tiene sacados
	$consulta="
	select tmp_ventares_sacado.*
	from tmp_ventares_sacado
	where 
	idventatmp in (select idventatmp from tmp_ventares where tmp_ventares.idtmpventares_cab = $id and idproducto = $idproducto)
	order by alias desc
	";
	$rssac = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// genera sacados si tiene
	if(trim($rssac->fields['alias']) != ''){
		$texto.=$saltolinea."   > EXCLUIDOS:".$saltolinea;
		while (!$rssac->EOF){
			$texto.="    - ".texto_tk($rssac->fields['alias'],36).$saltolinea;
		$rssac->MoveNext(); }
	}
	$texto=trim($texto);
$rs->MoveNext(); }

// combo y combinado
$consulta="
select tmp_ventares.*, productos.descripcion, 1 as total
from tmp_ventares 
inner join productos on tmp_ventares.idproducto = productos.idprod_serial
where 
tmp_ventares.borrado = 'N'
and tmp_ventares.finalizado = 'S'
and tmp_ventares.idtmpventares_cab = $id
and tmp_ventares.idempresa = $idempresa
and tmp_ventares.idsucursal = $idsucursal
and tmp_ventares.usuario = $idusu
and (tmp_ventares.combo = 'S' or tmp_ventares.combinado = 'S')
ORDER BY descripcion asc
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
while (!$rs->EOF){
	$idventatmp=$rs->fields['idventatmp'];
	$idproducto=$rs->fields['idproducto'];
	$texto.=$saltolinea."".agregaespacio(texto_tk(formatomoneda($rs->fields['total'],0),3),3).'|'.texto_tk($rs->fields['descripcion'],37);
	$texto.=$saltolinea."   Gs.".texto_tk(formatomoneda($rs->fields['subtotal']),30);
	$texto=trim($texto);
	// busca si es un producto combinado
	if($rs->fields['combinado'] == 'S'){ 
		$prod_1=$rs->fields['idprod_mitad1'];
		$prod_2=$rs->fields['idprod_mitad2'];
		$consulta="
		select *
		from productos
		where 
		(idprod_serial = $prod_1 or idprod_serial = $prod_2)
		and idempresa = $idempresa
		order by descripcion asc
		";
		$rspcom = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		while (!$rspcom->EOF){
			$texto.=$saltolinea."   » MITAD ".texto_tk($rspcom->fields['descripcion'],31);
		$rspcom->MoveNext(); } 
		
	}
	// busca si es un combo
	if($rs->fields['combo'] == 'S'){ 
		$consulta="
		select count(idprod) as total, descripcion, productos.idprod_serial 
		from tmp_combos_listas
		inner join productos on productos.idprod_serial = tmp_combos_listas.idproducto
		where
		tmp_combos_listas.idventatmp = $idventatmp
		and tmp_combos_listas.idempresa = $idempresa
		and productos.idempresa = $idempresa
		group by productos.idprod_serial 
		order by descripcion asc
		";
		//echo $consulta;
		$rsgrupos=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		while (!$rsgrupos->EOF){
			$texto.=$saltolinea."   » ".$rsgrupos->fields['total'].' '.texto_tk($rsgrupos->fields['descripcion'],25);
		$rsgrupos->MoveNext(); } 
		
	}

	// busca si tiene agregado
	$idvt=$rs->fields['idventatmp'];
	$consulta="
	select tmp_ventares_agregado.*
	from tmp_ventares_agregado
	where 
	idventatmp in (select idventatmp from tmp_ventares where tmp_ventares.idtmpventares_cab = $id  and idproducto = $idproducto)
	order by alias desc
	";
	$rsag = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// genera agregados si tiene
	if(trim($rsag->fields['alias']) != ''){
		$texto.=$saltolinea."   > AGREGADOS:".$saltolinea;
		while (!$rsag->EOF){
			$texto.="    + ".texto_tk($rsag->fields['alias'],36).$saltolinea;
			$texto.="      Gs.".texto_tk(formatomoneda($rsag->fields['precio_adicional']),30).$saltolinea;
		$rsag->MoveNext(); }
	}
	$texto=trim($texto);
	
	// busca si tiene sacados
	$consulta="
	select tmp_ventares_sacado.*
	from tmp_ventares_sacado
	where 
	idventatmp in (select idventatmp from tmp_ventares where tmp_ventares.idtmpventares_cab = $id  and idproducto = $idproducto)
	order by alias desc
	";
	$rssac = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// genera sacados si tiene
	if(trim($rssac->fields['alias']) != ''){
		$texto.=$saltolinea."   > EXCLUIDOS:".$saltolinea;
		while (!$rssac->EOF){
			$texto.="    - ".texto_tk($rssac->fields['alias'],36).$saltolinea;
		$rssac->MoveNext(); }
	}
	$texto=trim($texto);
$rs->MoveNext(); }

// buscar usuario
$operador=$rscab->fields['idusu'];
$consulta="
select usuario from usuarios where idusu = $operador
";
$rsop= $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$operador=$rsop->fields['usuario'];

// datos de cabecera
$chapa=texto_tk($rscab->fields['chapa'],33);
$mesa=texto_tk($rscab->fields['idmesa'],33);
$mesa=texto_tk($rscab->fields['idmesa'],33);
$observacion=$rscab->fields['observacion'];

// datos cabecera
	$direccion=$rscab->fields['direccion'];
	$telefono=$rscab->fields['telefono'];
	$llevapos=siono($rscab->fields['llevapos']);
	$cambio=formatomoneda($rscab->fields['cambio']);
	$observacion_delivery=$rscab->fields['observacion_delivery'];
	$delivery_costo=formatomoneda($rscab->fields['delivery_costo']);
	$monto=formatomoneda($rscab->fields['monto']);
	$totalpagar=formatomoneda(intval($rscab->fields['monto'])+intval($rscab->fields['delivery_costo']));
	$vuelto=formatomoneda($rscab->fields['cambio']-($rscab->fields['monto']+$rscab->fields['delivery_costo']));

// si no es delivery
if($rscab->fields['delivery'] != "S"){
// totales
$texto.="
----------------------------------------
TOTAL GLOBAL: $totalpagar";
}

// si es delivery
if($rscab->fields['delivery'] == "S"){

$texto.="
----------------------------------------
> DELIVERY
TELEFONO    : 0$telefono
LLEVAR POS  : $llevapos
TOTAL PROD  : $monto
DELIVERY GS.: $delivery_costo
TOTAL GLOBAL: $totalpagar
PAGA CON    : $cambio
VUELTO      : $vuelto
DIRECCION   : $direccion
OBS. DEL.   : $observacion_delivery";

}

// si tiene mesa buscar el numero
if($mesa > 0){
	$consulta=" 
	select numero_mesa, nombre
	from mesas
	inner join salon on mesas.idsalon = salon.idsalon
	where 
	idmesa = $mesa
	and salon.idsucursal = $idsucursal
	";
	$rsmes= $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$numeromesa=$rsmes->fields['numero_mesa'];
	$salon=$rsmes->fields['nombre'];
}


// si tiene mesa mostrar
if($numeromesa != ''){
	$mesa_m="MESA: ".texto_tk($numeromesa,34).$saltolinea."SALON: ".texto_tk(strtoupper($salon),33);
}

// si tiene chapa mostrar
if($chapa != ''){
	$chapa_m="CHAPA: ".$chapa;
}

if($numeromesa != '' && $chapa != ''){
	$mesaychapa=$mesa_m.$saltolinea.$chapa_m;
}else{
	$mesaychapa=trim($mesa_m.$chapa_m);
}
// si tiene observacion mostrar
if(trim($observacion) != ''){
	$observacion_m=$saltolinea.strtoupper($observacion);
}

$texto.="
----------------------------------------
OPERADOR: $operador
----------------------------------------
$mesaychapa
OBSERVACION: $observacion_m";
$texto.=$creditotxt;
$texto.="
----------------------------------------
$pie_pagina
";



}


?>