<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";

require_once("includes/rsusuario.php"); 


$idimpresoratk=intval($_GET['imp']);
if($idimpresoratk == 0){
	header("location: impresora_selecciona_glob.php");
	exit;
}

// buscar impresora si pertenece
$consulta="SELECT * FROM impresoratk where idempresa = $idempresa and idimpresoratk = $idimpresoratk and idsucursal = $idsucursal and borrado = 'N'";
$rsimp = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$pie_pagina=$rsimp->fields['pie_pagina'];
$defaultprnt="http://localhost/impresorweb/ladocliente.php";
$nombre_impresora=$rsimp->fields['descripcion'];
$script_impresora=trim($rsimp->fields['script']);
if(trim($script_impresora) == ''){
	$script_impresora=$defaultprnt;	
}

if(intval($rsimp->fields['idimpresoratk']) == 0){
	header("location: impresora_selecciona_glob.php");
	exit;
}
// tipo de impresor
$impresor_tip="COC";
$redir_impr="impresor_ticket_glob.php";

// parametros
$consolida=$rsimp->fields['consolida'];
$leyenda_credito=$rsimp->fields['leyenda_credito'];
$datos_fiscal=$rsimp->fields['datos_fiscal'];
$muestra_nombre=$rsimp->fields['muestra_nombre'];
$usa_chapa=$rsimp->fields['usa_chapa'];
$usa_obs=$rsimp->fields['usa_obs'];
$usa_precio=$rsimp->fields['usa_precio'];
$usa_total=$rsimp->fields['usa_total'];
$usa_nombreemp=$rsimp->fields['usa_nombreemp'];
$usa_totaldiscreto=$rsimp->fields['usa_totaldiscreto'];
$txt_codvta=$rsimp->fields['txt_codvta'];
$cabecera_pagina=$rsimp->fields['cabecera_pagina'];
$pie_pagina=$rsimp->fields['pie_pagina'];
$usa_enfasis=$rsimp->fields['usa_enfasis'];
$marca_pantalla=$rsimp->fields['marca_pantalla'];

//enviar parametros
require_once("impresor_motor_glob.php");


$idpedido=intval($id);

?><!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Imprimir</title>
<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript">
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
function imprime_cliente(){
		//alert('a');
		var texto = document.getElementById("texto").value;
		//alert(texto);
        var parametros = {
                "tk"             : texto,
                "duplic_control" : 'S',
                "idpedido"       : '<?php echo $idpedido; ?>',
                "fecha_imp"      : '<?php echo date("Y-m-d H:i:s"); ?>'
        };
       $.ajax({
                data:  parametros,
                url:   '<?php echo $script_impresora; ?>',
                type:  'post',
				dataType: 'html',
                beforeSend: function () {
                        $("#impresion_box").html("Enviando Impresion...");
                },
				crossDomain: true,
                success:  function (response) {
					//alert(response);
					// impresor local nuevo
					if(IsJsonString(response)){
						var obj = jQuery.parseJSON(response);
						// si se imprimio
						if(obj.impreso == 'S'){
							marca_impreso('<?php echo $id; ?>');
						}else{
							/* 
							Si es una impresion duplicada 
							(ya se imprimio pero por algun motivo no se marco) 
							normalmente si hay refresh externo y 
							se refresco antes que javascript logre enviar la orden 
							de marcar como impreso
							*/
							if(obj.duplicado == 'S'){
								$("#impresion_box").html(obj.errores);
								marca_impreso('<?php echo $id; ?>');
							}else{
								$("#impresion_box").html(obj.errores);
							}
							
						}
					// impresor local viejo
					}else{
						//si impresion es correcta marcar
						var str = response;
						var res = str.substr(0, 18);
				   
						if(res == 'Impresion Correcta'){
							marca_impreso('<?php echo $id; ?>');
						}else{
							$("#impresion_box").html(response);
						}
					}
																																												
	  
                }
        });
	
}
function marca_impreso(id){
 		var parametros = {
                "id"  : id,
				"imp" : <?php echo $idimpresoratk; ?>
        };
      $.ajax({
                data:  parametros,
                url:   'impresion_marca_cocina.php',
                type:  'post',
                beforeSend: function () {
                        $("#impresion_box").html("Marcando com Impreso...");
                },
                success:  function (response) {
						//$("#impresion_box").html(response);
						document.location.href='impresor_ticket_glob.php?imp=<?php echo $idimpresoratk; ?>';
						// $("#impresion_box").html(response);
                }
        });
}
</script>
</head>
<!--onLoad="imprime_cliente()"-->
<body bgcolor="#CCCCCC" onLoad="imprime_cliente()">
<div style="width:290px; border:1px solid; margin:0px auto; background-color:#FFFFFF; padding:5px; text-align:center; min-height:50px;" id="impresion_box">
<p align="center"><input type="button" value="imprimir" style="padding:10px;" onClick="imprime_cliente();"></p>
</div><br />
<div style="width:290px; border:1px solid; margin:0px auto; background-color:#FFFFFF; padding:5px;">
<textarea readonly id="texto" style="display:; width:310px; height:500px;"><?php echo $texto; ?></textarea>
<pre>
<?php //echo $texto; ?>
</pre>
</div>
</body>
</html>


