<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="84";
require_once("includes/rsusuario.php"); 

$valido="S";
$errores="";

$idimpresora=intval($_GET['idimpresora']);
if($idimpresora == 0){
	echo "Impresora no indicada.";
	exit;
}
$accion=trim($_GET['accion']);
if($accion != 'a' && $accion != 'b'){
	echo "accion no permitida.";
	exit;
}

$whereadd='';
$whereadd_del='';
// filtros
if(isset($_GET['idcategoria']) && intval($_GET['idcategoria']) > 0){
	$idcategoria=intval($_GET['idcategoria']);
	$whereadd.=" and productos.idcategoria = $idcategoria ";
	$whereadd_del.=" and producto_impresora.idproducto in ( select  idprod_serial from productos where idcategoria = $idcategoria ) ";
}
if(isset($_GET['idsubcate']) && intval($_GET['idsubcate']) > 0){
	$idsubcate=intval($_GET['idsubcate']);
	$whereadd.=" and productos.idsubcate = $idsubcate ";
	$whereadd_del.=" and producto_impresora.idproducto in ( select  idprod_serial from productos where idsubcate = $idsubcate ) ";
}

$consulta="
SELECT impresoratk.*, sucursales.nombre as sucursal
FROM impresoratk
inner join sucursales on impresoratk.idsucursal = sucursales.idsucu
where
impresoratk.idimpresoratk = $idimpresora
and impresoratk.borrado = 'N'
";
$rsimp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$sucursalimp=$rsimp->fields['idsucursal'];
if($sucursalimp == 0){
	echo "Impresora no existe.";
	exit;
}

// trae todos los productos que no estan asignados a esa impresora
$consulta_in="
Select productos.idprod_serial
from productos 
inner join categorias on productos.idcategoria = categorias.id_categoria 
inner join sub_categorias on productos.idsubcate = sub_categorias.idsubcate 
where 
	productos.borrado = 'N'
	and productos.idprod_serial not in 
	(
	select idproducto 
	from producto_impresora 
	inner join impresoratk on impresoratk.idimpresoratk = producto_impresora.idimpresora
	where 
	impresoratk.idsucursal = $sucursalimp
	)
	and productos.idprod_serial in (
	select idproducto from productos_sucursales where activo_suc = 1 and idsucursal = $sucursalimp
	)
";

// trae todos los productos asignados a esa ticketera
$consulta_in_saca="
	select idproducto 
	from producto_impresora 
	where 
	producto_impresora.idimpresora <> $idimpresora
";

// agregar
if($accion == 'a'){
	
	// loguear agregados
	$consulta="
	insert into producto_impresora_log
	(idproducto, idimpresora, accion, registrado_por, registrado_el)
	select idprod_serial, $idimpresora, 'A', $idusu, '$ahora'
	from productos
	where
	idprod_serial in (
		$consulta_in
	)
	$whereadd
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// agregar
	$consulta="
	insert into producto_impresora
	(idproducto, idimpresora, idempresa) 
	select idprod_serial, $idimpresora, 1 
	from productos
	where
	idprod_serial in (
		$consulta_in
	)
	$whereadd
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
}
// borrar
if($accion == 'b'){
	
	// loguear eliminados
	$consulta="
	insert into producto_impresora_log
	(idproducto, idimpresora, accion, registrado_por, registrado_el)
	select idproducto, $idimpresora, 'B', $idusu, '$ahora'
	from producto_impresora
	where
	producto_impresora.idimpresora = $idimpresora
	$whereadd_del
	";
	//echo $consulta;exit;
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// eliminar
	$consulta="
	delete from producto_impresora
	where
	producto_impresora.idimpresora = $idimpresora
	$whereadd_del
	";
	//echo $consulta;exit;
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


}

header("location: impresoras_asignar_prod.php?id=".$idimpresora.'&idcategoria='.$idcategoria.'&idsubcate='.$idsubcate);
exit;



?>