<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="84";
require_once("includes/rsusuario.php"); 

$valido="S";
$errores="";

$idimpresora=intval($_POST['idimpresora']);
$idproducto=intval($_POST['idproducto']);
$idsucursal_imp=intval($_POST['idsucursal']);

if($idimpresora == 0){
	$valido="N";
	$errores="-No se indico la impresora.".$saltolinea;	
}
if($idproducto == 0){
	$valido="N";
	$errores="-No se indico el producto.".$saltolinea;	
}
if($idsucursal_imp == 0){
	$valido="N";
	$errores="-No se indico la sucursal.".$saltolinea;	
}

// valida que la imipresora pertenezca a la sucursal
$consulta="
SELECT * 
FROM impresoratk
where
borrado = 'N'
and idsucursal = $idsucursal_imp
and idimpresoratk = $idimpresora
limit 1
";
$rseximp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idimpresora=intval($rseximp->fields['idimpresoratk']);
if($idimpresora == 0){
	$valido="N";
	$errores="-La impresora indicada no corresponde a la sucursal.".$saltolinea;	
}

if($valido == 'S'){
	
	// busca si esta asignado a otra impresora de la misma sucursal
	$consulta="
	select * 
	from producto_impresora 
	where 
	idproducto = $idproducto 
	and idimpresora <> $idimpresora
	and idimpresora in (
		select idimpresoratk 
		from impresoratk 
		where 
		idsucursal = $idsucursal_imp 
		and borrado = 'N'
	)
	limit 1
	";
	$rsotr=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	while(!$rsotr->EOF){
		$idproducto_otr=intval($rsotr->fields['idproducto']);
		$idimpresora_otr=intval($rsotr->fields['idimpresora']);
		// si existe borra
		if($idproducto_otr > 0){	
			// borrar el producto para esa impresora
			$consulta="
			delete from producto_impresora where idimpresora = $idimpresora_otr and idproducto = $idproducto_otr
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


			// loguear borrado
			$consulta="
			insert into producto_impresora_log
			(idproducto, idimpresora, accion, registrado_por, registrado_el)
			values
			($idproducto_otr, $idimpresora_otr, 'B', $idusu, '$ahora')
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
	$rsotr->MoveNext(); }
	
	// busca si existe en la bd
	$consulta="
	select * 
	from producto_impresora 
	where 
	idproducto = $idproducto 
	and idimpresora = $idimpresora
	limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idproducto_ex=intval($rs->fields['idproducto']);
	// si ya existe borrar
	if($idproducto_ex > 0){
		$accion="B"; //borrar
	}else{
		$accion="A"; // agregar	
	}


	// si existe borra
	if($idproducto_ex > 0){
		
	
		// borrar el producto para esa impresora
		$consulta="
		delete from producto_impresora where idimpresora = $idimpresora and idproducto = $idproducto
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		// loguear borrado
		$consulta="
		insert into producto_impresora_log
		(idproducto, idimpresora, accion, registrado_por, registrado_el)
		values
		($idproducto, $idimpresora, 'B', $idusu, '$ahora')
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
	// si no existe registra
	}else{

		
		// agrega
		$consulta="
		INSERT INTO producto_impresora
		(idproducto, idimpresora, idempresa) 
		VALUES 
		($idproducto,$idimpresora,1)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// loguear agregado
		$consulta="
		insert into producto_impresora_log
		(idproducto, idimpresora, accion, registrado_por, registrado_el)
		values
		($idproducto, $idimpresora, 'A', $idusu, '$ahora')
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		
	}
	


}


// busca en la bd el nuevo valor
$consulta="
select idproducto, idimpresora
from producto_impresora 
where 
idproducto = $idproducto
and idimpresora = $idimpresora
limit 1;
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


require_once('impresoras_asignar_suc_mini.php');

?>