<?php 
function autogenera_pin_pos($parametros_array){
	$valido="S";
	$errores="";
	$idposequipos=$parametros_array['idposequipos'];
	//echo 'idposequipos:'.intval($parametros_array['idposequipos']);exit;
	if(intval($parametros_array['idposequipos']) == 0){
		$valido='N';
		$errores="-El idposequipos no puede estar vacio.";
	}
	if($valido == 'S'){
		// extrae ultimos 4 caractesres del atc 
		$pin_arma=substr($idposequipos,-4);
		// luego agrega 2 caracteres de segundos 
		$pin_arma=$pin_arma.date("s");
		// por ultimo si no llega a 6 caracteres rellena con numeros al azar hasta llegar a 6 caracteres,  pero si supera corta los ultimos digitos y deja en 6 caracteres
		$pin_arma=rellena_rand_der($pin_arma,6);
		//  asigna el pin
		$pin=$pin_arma;
	}
	return array("errores"=>$errores, "valido"=>$valido, 'pin' => $pin);
}

function generar_token_bancard_pos($parametros_array) {
	global $saltolinea;
	$longitud = 32;
	// letras que pueden generar confusion en algunas tipografias: i con l, O con 0, 
/*
0 (cero) vs. O (mayúscula o minúscula): En algunas tipografías, el cero y la letra “O” pueden parecer muy similares. Para diferenciarlos, presta atención al grosor de las líneas: el cero suele tener líneas más uniformes, mientras que la “O” puede tener una forma más ovalada.
1 (uno) vs. l (minúscula “ele”): El número uno y la letra “l” minúscula a menudo se confunden. La clave aquí es observar si hay un pequeño gancho en la parte superior de la “l” (como en “ele”) o si es una línea recta (como en el número uno).
I (mayúscula “i”) vs. l (minúscula “ele”): Similar al caso anterior, la letra mayúscula “I” y la minúscula “l” pueden parecer idénticas en algunas tipografías. Observa si hay un gancho en la parte superior o si es una línea recta.
5 (cinco) vs. S (mayúscula “ese”): En algunas fuentes, el número 5 y la letra mayúscula “S” pueden parecerse. Fíjate en la curvatura de la parte superior: el 5 tiene una curva más cerrada, mientras que la “S” es más suave.
6 (seis) vs. b (minúscula “be”): El número 6 y la letra minúscula “b” pueden confundirse debido a su forma similar. Observa si hay una curva en la parte superior (6) o si es una línea recta (b).
*/
	$valido="S";
	$errores="";
	// toma los ultimos 4 digitos del idposequipos
	//$idposequipos=substr($parametros_array['idposequipos'],-4);
	$idposequipos=intval($parametros_array['idposequipos']);
	//echo 'idposequipos:'.intval($parametros_array['idposequipos']);exit;
	if(intval($parametros_array['idposequipos']) == 0){
		$valido='N';
		$errores="-El idposequipos no puede estar vacio.".$saltolinea;
	}
	
	if($valido == "S"){
	
		
		// Conjunto de caracteres permitidos
		$mayusculas = 'ABCDEFGHIJKLMNPQRSTUVWXYZ'; // se omite la letra O para evitar confusion visual
		$minusculas = 'abcdefghijklmnopqrstuvwxyz';
		$numeros = '123456789'; // se omite el 0 para evitar confusion visual
		$simbolos = '!@#$%^*()-=+'; // se omite el _ por que se usara despues para obtener el id

		// Selecciona al menos un carácter de cada conjunto
		$clave = $mayusculas[rand(0, strlen($mayusculas) - 1)] .
		$minusculas[rand(0, strlen($minusculas) - 1)] .
		$numeros[rand(0, strlen($numeros) - 1)] .
		$simbolos[rand(0, strlen($simbolos) - 1)];

		// Agrega el resto de los caracteres de forma aleatoria
		$caracteres_resto = $mayusculas . $minusculas . $numeros . $simbolos;
		$caracteres_resto = str_shuffle($caracteres_resto);
		$clave .= substr($caracteres_resto, 0, $longitud - 4);

		// Mezcla los caracteres de forma aleatoria y luego corta a 32 caracteres
		$clave = substr($idposequipos.'_'.str_shuffle($clave),0,32);
		
	}
	
	$res=array(
		'token' => $clave,
		'valido' => $valido,
		'errores' => $errores,
	);

	return $res;
}
function corregirCaracteresEspeciales($texto) {
    $reemplazos = [
        'Ã' => 'Ñ', 'Ã±' => 'ñ',
        'Ã¡' => 'á', 'Ã©' => 'é', 'Ã­' => 'í',
        'Ã³' => 'ó', 'Ãº' => 'ú',
        'Ã' => 'Á', 'Ã' => 'É', 'Ã' => 'Í',
        'Ã' => 'Ó', 'Ã' => 'Ú',
        'Ã¼' => 'ü', 'Ã' => 'Ü',
    ];

    return strtr($texto, $reemplazos);
}
function log_bancard_equipos_pos_ins($parametros_array){
	global $conexion;
	global $ahora;
	
	$idserviciopos=intval($parametros_array['idserviciopos']);
	// INICIO registrar log
	$ip_log=antisqlinyeccion($_SERVER['REMOTE_ADDR'],'textbox');

	// si el "php://input" llega vacio es por que $_SERVER['CONTENT_TYPE'] es "multipart/form-data" en vez de "form-urlencoded" 
	// En el formulario que envia los datos del front-end
	//$json_input = file_get_contents('php://input');
	//if(trim($json_input) == ''){
		$json_input = $_REQUEST;
		$json_input=json_encode($json_input, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
	//}
	// Convierte el texto a UTF-8 si no lo está
	if (!mb_check_encoding($json_input, 'UTF-8')) {
		$json_input = mb_convert_encoding($json_input, 'UTF-8', 'auto');
	}
	$json_input = corregirCaracteresEspeciales($json_input);
	
	//echo $json_input;exit;
	$json_sql=antisqlinyeccion($json_input,"textbox");
	$headers = getallheaders();
	$headers['info_adicional']['PHP_AUTH_USER'] = trim($_SERVER['PHP_AUTH_USER']);
	$headers['info_adicional']['PHP_AUTH_PW'] = trim($_SERVER['PHP_AUTH_PW']);
	$headers['info_adicional']['HTTP_AUTHORIZATION'] = trim($_SERVER['HTTP_AUTHORIZATION']);
	$headers['info_adicional']['HTTP_USER_AGENT'] = trim($_SERVER['HTTP_USER_AGENT']);
	$headers['info_adicional']['CONTENT_TYPE'] = trim($_SERVER['CONTENT_TYPE']);
	$headers['info_adicional']['REQUEST_SCHEME'] = trim($_SERVER['REQUEST_SCHEME']);
	$headers['info_adicional']['REQUEST_METHOD'] = trim($_SERVER['REQUEST_METHOD']);
	$headers['info_adicional']['REMOTE_ADDR'] = trim($_SERVER['REMOTE_ADDR']);
	$headers['info_adicional']['CONTENT_TYPE'] = trim($_SERVER['CONTENT_TYPE']);
	$headers['info_adicional']['UNIQUE_ID'] = trim($_SERVER['UNIQUE_ID']);
	$headers['info_adicional']['CONTENT_LENGTH'] = trim($_SERVER['CONTENT_LENGTH']);
	$headers['info_adicional']['HTTP_CONNECTION'] = trim($_SERVER['HTTP_CONNECTION']);
	$headers['info_adicional']['HTTP_ACCEPT'] = trim($_SERVER['HTTP_ACCEPT']);
	$headers_json=json_encode($headers, JSON_PRETTY_PRINT);
	$header_sql=antisqlinyeccion($headers_json,"textbox");
	
	// solo al registrar pago
	$parametros_pos=$_REQUEST['parametros_pos'];
	$parametros_pos_decode=json_decode($parametros_pos,true);
	$ticketNumber=antisqlinyeccion($parametros_pos_decode['ticketNumber'],"textbox");
	
	$consulta="
	INSERT INTO log_bancard_equipos_pos
	(idposequipos, fechahora, json_enviado, json_recibido, header_enviado, header_recibido, ip, idserviciopos, ticketnumber) 
	VALUES 
	(NULL,'$ahora',NULL,$json_sql,NULL,$header_sql,$ip_log,$idserviciopos, $ticketNumber)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// obtiene el id del log
	$consulta="
	select idlog from log_bancard_equipos_pos where fechahora = '$ahora' order by idlog desc limit 1
	";
	$rslog=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idlog=intval($rslog->fields['idlog']);
	// FIN registrar log
	return $idlog;
}
function log_bancard_equipos_pos_actu($parametros_array){
	global $conexion;
	$idlog=intval($parametros_array['idlog']);
	$respuesta=$parametros_array['respuesta'];
	$idconfirmapago_apppos=antisqlinyeccion($parametros_array['idconfirmapago_apppos'],"int");
	
	if($idlog == 0){
		echo "No se recibio el idlog.";
		exit;
	}
	
	$response_sql=antisqlinyeccion($respuesta,"textbox");
	$consulta="
	UPDATE  log_bancard_equipos_pos
	SET 
	json_enviado = $response_sql,
	idconfirmapago_apppos=$idconfirmapago_apppos
	where
	idlog = $idlog
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
}
?>