<?php

function genera_comision_profesional($idventa){

    global $conexion;
    global $ahora;
    global $idusu;
    global $ahora;

    $buscar="
    Select idtmpventares_cab as idunico
    from tmp_ventares_cab where  idventa=$idventa group by idtmpventares_cab 
    order by fechahora desc";
    $rsbbx=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

    
    while(!$rsbbx->EOF){

        $idunicotmp=intval($rsbbx->fields['idunico']);

        $buscar="Select idproducto, idprofesional, precio, tmp_ventares_cab.idventa, idventatmp, cantidad
            from tmp_ventares 
            inner join productos on productos.idprod_serial=tmp_ventares.idproducto
            inner join tmp_ventares_cab on tmp_ventares_cab.idtmpventares_cab=tmp_ventares.idtmpventares_cab
            where tmp_ventares_cab.idventa=$idventa and  tmp_ventares_cab.estado <> 6 
            and tmp_ventares_cab.idtmpventares_cab=$idunicotmp group by idproducto
            order by tmp_ventares.fechahora asc";

        $rsprod=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

        while(!$rsprod->EOF){

            $idproducto=intval($rsprod->fields['idproducto']);
            $idprofesional=intval($rsprod->fields['idprofesional']);
            $cantidad=floatval($rsprod->fields['cantidad']);
            $precio=floatval(round($rsprod->fields['precio'] * $cantidad));
        
            $consulta_comision="select tipo_comision, comision_porc, monto_fijo from profesionales_servicios where idproducto=$idproducto and idprofesional=$idprofesional";
            $rs_profesional_comision=$conexion->Execute($consulta_comision) or die(errorpg($conexion,$consulta_comision));
            $totalFilas=$rs_profesional_comision->RecordCount();

            if($totalFilas > 0){

                $venta_detalle="select idventadet from ventas_detalles where idprod=$idproducto and idventa=$idventa";
                $rs_venta_detalle=$conexion->Execute($venta_detalle) or die(errorpg($conexion,$venta_detalle));

                $idventadetalle=intval($rs_venta_detalle->fields['idventadet']);
                $idventatmp=intval($rsprod->fields['idventatmp']);
                $tipo_comision=floatval($rs_profesional_comision->fields['tipo_comision']);
                $porcentaje_comision=floatval($rs_profesional_comision->fields['comision_porc']);
                $calculo_comision_producto=($tipo_comision == 1)?round($precio * ($porcentaje_comision/100)):floatval($rs_profesional_comision->fields['monto_fijo']);

                // Guarda en las tablas de comision
                $comisiones="insert into ventas_comisiones (idventa, idventadet, tipo_comision, idprofesional, comision_porc, comision_monto) values ($idventa, $idventadetalle, $tipo_comision, $idprofesional, $porcentaje_comision, $calculo_comision_producto)";
                $conexion->Execute($comisiones) or die(errorpg($conexion,$comisiones));
    
                $comisiones_tmp="insert into tmp_ventares_comision (idventatmp, comision_monto, tipo_comision, idprofesional, comision_porc, registrado_el, registrado_por) values ($idventatmp, $calculo_comision_producto, $tipo_comision, $idprofesional, $porcentaje_comision, '$ahora', $idusu)";
                $conexion->Execute($comisiones_tmp) or die(errorpg($conexion,$comisiones_tmp));

            }

            $rsprod->MoveNext();

        }

        $rsbbx->MoveNext();
    } 


}

function regenerar_comision_profesional($idventa){

    global $conexion;
    global $ahora;
    global $idusu;
    global $ahora;

    $buscar="
    Select idtmpventares_cab as idunico
    from tmp_ventares_cab where  idventa=$idventa group by idtmpventares_cab 
    order by fechahora desc";
    $rsbbx=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

    
    while(!$rsbbx->EOF){

        $idunicotmp=intval($rsbbx->fields['idunico']);

        $buscar="Select idproducto, idprofesional, precio, tmp_ventares_cab.idventa, idventatmp, cantidad
            from tmp_ventares 
            inner join productos on productos.idprod_serial=tmp_ventares.idproducto
            inner join tmp_ventares_cab on tmp_ventares_cab.idtmpventares_cab=tmp_ventares.idtmpventares_cab
            where tmp_ventares_cab.idventa=$idventa and  tmp_ventares_cab.estado <> 6 
            and tmp_ventares_cab.idtmpventares_cab=$idunicotmp group by idproducto
            order by tmp_ventares.fechahora asc";

        $rsprod=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

        while(!$rsprod->EOF){

            $idproducto=intval($rsprod->fields['idproducto']);
            $idprofesional=intval($rsprod->fields['idprofesional']);
            $cantidad=floatval($rsprod->fields['cantidad']);
            $precio=floatval(round($rsprod->fields['precio'] * $cantidad));
        
            $consulta_comision="select tipo_comision, comision_porc, monto_fijo from profesionales_servicios where idproducto=$idproducto and idprofesional=$idprofesional";
            $rs_profesional_comision=$conexion->Execute($consulta_comision) or die(errorpg($conexion,$consulta_comision));
            $totalFilas=$rs_profesional_comision->RecordCount();

            if($totalFilas > 0){

                $venta_detalle="select idventadet from ventas_detalles where idprod=$idproducto and idventa=$idventa";
                $rs_venta_detalle=$conexion->Execute($venta_detalle) or die(errorpg($conexion,$venta_detalle));

                $idventadetalle=intval($rs_venta_detalle->fields['idventadet']);
                $idventatmp=intval($rsprod->fields['idventatmp']);
                $tipo_comision=floatval($rs_profesional_comision->fields['tipo_comision']);
                $porcentaje_comision=floatval($rs_profesional_comision->fields['comision_porc']);
                $calculo_comision_producto=($tipo_comision == 1)?round($precio * ($porcentaje_comision/100)):floatval($rs_profesional_comision->fields['monto_fijo']);

                // Guarda en las tablas de comision
                $comisiones="update ventas_comisiones set comision_porc = $porcentaje_comision, comision_monto = $calculo_comision_producto where idventa = $idventa and idventadet = $idventadetalle and idprofesional = $idprofesional and tipo_comision = $tipo_comision";
                $conexion->Execute($comisiones) or die(errorpg($conexion,$comisiones));
    
                $comisiones_tmp="update tmp_ventares_comision set comision_porc = $porcentaje_comision, comision_monto = $calculo_comision_producto where idventatmp = $idventadetalle and tipo_comision = $tipo_comision and idprofesional = $idprofesional";
                $conexion->Execute($comisiones_tmp) or die(errorpg($conexion,$comisiones_tmp));

            }

            $rsprod->MoveNext();

        }

        $rsbbx->MoveNext();
    } 


}