<?php
/*----------------------------------------
UR: 17/06/2021
Productos que salen 14mil y forman parte del desayuno
SELECT idproducto,idsucursal,precio,descripcion FROM `productos_sucursales` inner join productos on productos.idprod_serial=productos_sucursales.idproducto 
where productos_sucursales.idsucursal=5 and precio=7000 and productos.borrado='N'

Productos que salen 14mil y forman parte del menu Economico
SELECT idproducto,idsucursal,precio,descripcion FROM `productos_sucursales` inner join productos on productos.idprod_serial=productos_sucursales.idproducto 
where productos_sucursales.idsucursal=5 and precio=14000 and productos.borrado='N'

Productos que salen 15mil y forman parte del menu light
SELECT idproducto,idsucursal,precio,descripcion FROM `productos_sucursales` inner join productos on productos.idprod_serial=productos_sucursales.idproducto 
where productos_sucursales.idsucursal=5 and precio=15000 and productos.borrado='N'

Productos que salen 17mil y forman parte del menu ejecutivo
SELECT idproducto,idsucursal,precio,descripcion FROM `productos_sucursales` inner join productos on productos.idprod_serial=productos_sucursales.idproducto 
where productos_sucursales.idsucursal=5 and precio=17000 and productos.borrado='N'

Total de ventas x rango de fecha
select ventas.idcliente,nombre,apellido,documento,count(idventa) as tventas from cliente
inner join ventas on ventas.idcliente=cliente.idcliente
where ventas.fecha between '2021-05-01' and '2021-05-30'
and ventas.sucursal=5
group by ventas.idcliente
order by nombre,apellido asc limit 10



--------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="374";
require_once("includes/rsusuario.php"); 

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
	

	$tdatos=0;
	
	
	
}else{
	$limite=" limit 20";
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
	//Total de ventas x rango de fecha and ventas.idcliente=4756
	$buscar="select ventas.ruc,legajo,ventas.idcliente,nombre,apellido,documento,count(idventa) as tventas from cliente
	inner join ventas on ventas.idcliente=cliente.idcliente
	where ventas.fecha between '$desde' and '$hasta' and ventas.tipo_venta=2 
	and ventas.sucursal=5 and ventas.estado <> 6 
	group by ventas.idcliente
	order by nombre,apellido asc $limite ";
	$rg=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tdatos=$rg->RecordCount();
}

$ids=intval($_REQUEST['suc']);
if ($ids > 0){
	$addsuc=" and ventas.sucursal=$ids ";
}
//$fechamarca=array();$minutos=array();$clase=array();$lientra='';$lisale='';


$sucudst=intval($ids);
if ($sucudst==0){
	$sicidst=5;//debe traer del cookie
}




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Resumen de Consumo por fecha LASCA</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
					  <li><a href="info_lasca_configura_prod.php"><span class="fa fa-gear"></span>&nbsp;CONFIGURAR</a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
						<form id="form1" name="form1" method="get" action="">
							<div class="col-md-6 col-sm-6 form-group">
								<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
								<div class="col-md-9 col-sm-9 col-xs-12">
								<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

								</div>
							</div>

							<div class="col-md-6 col-sm-6 form-group">
								<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
								<div class="col-md-9 col-sm-9 col-xs-12">
								<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

								</div>
							</div>

							
							<div class="clearfix"></div>
							<br />


							<div class="form-group">
								<div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
							   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

								</div>
							</div>
						</form> 






                  </div>
                </div>
              </div>
            </div>
			<?php if ($tdatos > 0){ ?>
            <!-- SECCION --> 
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Informe Consumo detallado LASCA- <a href="inf_consumo_lasca_xls.php?d=<?php echo  $desde ?>&h=<?php echo  $hasta ?>"><span class="fa fa-file-excel-o"></span>&nbsp;Descargar XLS</a></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
					<div class="table-responsive">
						<table class="table table-bordered" style="overflow-x:scroll;">
						<?php 
						
						//listamos las agrupaciones
						$buscar="Select * from productos_agrupa_reportes where idtiporep=2 and estado=1 order by idagrupacion asc";
						$rg11=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
						$tagrupa=$rg11->RecordCount();
						//echo $tagrupa;exit;
						if ($tagrupa > 0){
							while(!$rg11->EOF){
								$ds=trim($rg11->fields['descripcion']);
								$cabecera.="
								<th>Cant. Menu</th>
								<th>Precio </th>
								<th>Total $ds</th>";
								$rg11->MoveNext();
							}
							//$rg11->MoveFirts();
						?>
							<thead>
								<tr>
									<th>Item</th>
									<th>Legajo</th>
									<th>Documento</th>
									<th>Razon Social</th>
									<th>Cant Ventas</th>
									<?php echo $cabecera; ?>
								</tr>
							</thead>
							<tbody>
							<?php 
								$b=0;
								$sucudst=5;
							while (!$rg->EOF){
								$b=$b+1;
								$idcliente=intval($rg->fields['idcliente']);
								if ($b==3){
									//exit;
								}
								$buscar="
								select ventas.ruc,ventas.idventa,pventa,sum(cantidad) as cantidad,
								sum(subtotal) as subtotal,idagrupacion
								from ventas_detalles
								inner join ventas on ventas_detalles.idventa=ventas.idventa
								inner join productos on productos.idprod_serial=ventas_detalles.idprod
								inner join productos_seleccionados on productos_seleccionados.idprod_serial=ventas_detalles.idprod
								inner join cliente on cliente.idcliente=ventas.idcliente
								where
								ventas.tipo_venta=2 and 
								ventas.fecha between '$desde' and '$hasta' and 
								ventas.sucursal=$sucudst  and ventas.idcliente=$idcliente and 
								ventas.estado <> 6  
								and ventas_detalles.idprod in (select productos_seleccionados.idprod_serial from productos_seleccionados 
								where productos_seleccionados.idsucursal=$sucudst)
								
								group by idagrupacion
								order by idagrupacion asc
								";
								if ($idcliente==4756){
									//echo $buscar;exit;
								}
								$buscar="select ventas.idventa,descripcion,pventa,cantidad,subtotal,idagrupacion
									from ventas_detalles inner join ventas on ventas_detalles.idventa=ventas.idventa
									inner join productos on productos.idprod_serial=ventas_detalles.idprod 
									inner join productos_seleccionados on productos_seleccionados.idprod_serial=ventas_detalles.idprod
									where ventas.tipo_venta=2 and ventas.fecha between '$desde' and '$hasta' 
									and ventas.sucursal=$sucudst and ventas.idcliente=$idcliente and ventas.estado <> 6  order by ventas.idventa asc
									";
									//echo $buscar.'<br />';
								$rsuv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
								//recorremos y armamos la cabecera x idasc
								$p=0;$tventas=0;
								while(!$rsuv->EOF){
									$p=$p+1;$tventas=$tventas+1;
									$idagrupacion=intval($rsuv->fields['idagrupacion']);
									$cantidad=intval($rsuv->fields['cantidad']);
									$precio=intval($rsuv->fields['pventa']);
									$subtotal=intval($rsuv->fields['subtotal']);
									if ($idagrupacion==1){
										$cantig1=$cantig1+floatval($cantidad);
										$pg1=intval($precio);
										$subt1=$subt1+$subtotal;
										
									} 
									if ($idagrupacion==2){
										$cantig2=$cantig2+floatval($cantidad);
										$pg2=intval($precio);
										$subt2=$subt2+$subtotal;
										
										
									}
									if ($idagrupacion==3){
										$cantig3=$cantig3+floatval($cantidad);
										$pg3=intval($precio);
										$subt3=$subt3+$subtotal;
										
									}
									if ($idagrupacion==4){
										$cantig4=$cantig4+floatval($cantidad);
										$pg4=intval($precio);
										$subt4=$subt4+$subtotal;
										
									} 
									//desde aca se agrega
									if ($idagrupacion==5){
										$cantig5=$cantig5+floatval($cantidad);
										$pg5=intval($precio);
										$subt5=$subt5+$subtotal;
										
									} 
									//if ($idagrupacion==6){
									//	$cantig6=$cantig6+floatval($cantidad);
									//	$pg6=intval($precio);
									//	$subt6=$subt6+$subtotal;
										
									//}
									//if ($idagrupacion==7){
									//	$cantig7=$cantig7+floatval($cantidad);
									//	$pg7=intval($precio);
									//	$subt7=$subt7+$subtotal;
									//} 			
									if ($idagrupacion==8){//linea 7
										$cantig8=$cantig8+floatval($cantidad);
										$pg8=intval($precio);
										$subt8=$subt8+$subtotal;
									} 
									if ($idagrupacion==9){//linea
										$cantig9=$cantig9+floatval($cantidad);
										$pg9=intval($precio);
										$subt9=$subt9+$subtotal;
									} 
									if ($idagrupacion==10){//linea 
										$cantig10=$cantig10+floatval($cantidad);
										$pg10=intval($precio);
										$subt10=$subt10+$subtotal;
									}
									if ($idagrupacion==11){//linea 
										$cantig11=$cantig11+floatval($cantidad);
										$pg11=intval($precio);
										$subt11=$subt11+$subtotal;
									} 
									if ($idagrupacion==12){//linea 
										$cantig12=$cantig12+floatval($cantidad);
										$pg12=intval($precio);
										$subt12=$subt12+$subtotal;
									} 
									//if ($idagrupacion==13){//linea 
									//	$cantig13=$cantig13+floatval($cantidad);
									//	$pg13=intval($precio);
									//	$subt13=$subt13+$subtotal;
									//} 
									if ($idagrupacion==14){//linea 
										$cantig14=$cantig14+floatval($cantidad);
										$pg14=intval($precio);
										$subt14=$subt14+$subtotal;
									} 
									
									
									
								$rsuv->MoveNext();
								}
								$linea1=$linea1.="<td>".formatomoneda($cantig1,4,'N')."</td>";
								$linea1=$linea1.="<td>".formatomoneda($pg1,4,'N')."</td>";
								$linea1=$linea1.="<td>".formatomoneda($subt1,4,'N')."</td>";
								$linea2=$linea2.="<td>".formatomoneda($cantig2,4,'N')."</td>";
								$linea2=$linea2.="<td>".formatomoneda($pg2,4,'N')."</td>";
								$linea2=$linea2.="<td>".formatomoneda($subt2,4,'N')."</td>";
								$linea3=$linea3.="<td>".formatomoneda($cantig3,4,'N')."</td>";
								$linea3=$linea3.="<td>".formatomoneda($pg3,4,'N')."</td>";
								$linea3=$linea3.="<td>".formatomoneda($subt3,4,'N')."</td>";
								$linea4=$linea4.="<td>".formatomoneda($cantig4,4,'N')."</td>";
								$linea4=$linea4.="<td>".formatomoneda($pg4,4,'N')."</td>";
								$linea4=$linea4.="<td>".formatomoneda($subt4,4,'N')."</td>";
								//desde aca se agrega
								$linea5=$linea5.="<td>".formatomoneda($cantig5,4,'N')."</td>";
								$linea5=$linea5.="<td>".formatomoneda($pg5,4,'N')."</td>";
								$linea5=$linea5.="<td>".formatomoneda($subt5,4,'N')."</td>";
								
								//$linea6=$linea6.="<td>".formatomoneda($cantig6,4,'N')."</td>";
								//$linea6=$linea6.="<td>".formatomoneda($pg6,4,'N')."</td>";
								//$linea6=$linea6.="<td>".formatomoneda($subt6,4,'N')."</td>";
								
								//$linea7=$linea7.="<td>".formatomoneda($cantig7,4,'N')."</td>";
								//$linea7=$linea7.="<td>".formatomoneda($pg7,4,'N')."</td>";
								//$linea7=$linea7.="<td>".formatomoneda($subt7,4,'N')."</td>";
								
								$linea8=$linea8.="<td>".formatomoneda($cantig8,4,'N')."</td>";
								$linea8=$linea8.="<td>".formatomoneda($pg8,4,'N')."</td>";
								$linea8=$linea8.="<td>".formatomoneda($subt8,4,'N')."</td>";
								
								$linea9=$linea9.="<td>".formatomoneda($cantig9,4,'N')."</td>";
								$linea9=$linea9.="<td>".formatomoneda($pg9,4,'N')."</td>";
								$linea9=$linea9.="<td>".formatomoneda($subt9,4,'N')."</td>";
								
								$linea10=$linea10.="<td>".formatomoneda($cantig10,4,'N')."</td>";
								$linea10=$linea10.="<td>".formatomoneda($pg10,4,'N')."</td>";
								$linea10=$linea10.="<td>".formatomoneda($subt10,4,'N')."</td>";
								
								
								$linea11=$linea11.="<td>".formatomoneda($cantig11,4,'N')."</td>";
								$linea11=$linea11.="<td>".formatomoneda($pg11,4,'N')."</td>";
								$linea11=$linea11.="<td>".formatomoneda($subt11,4,'N')."</td>";
								
								
								$linea12=$linea12.="<td>".formatomoneda($cantig12,4,'N')."</td>";
								$linea12=$linea12.="<td>".formatomoneda($pg12,4,'N')."</td>";
								$linea12=$linea12.="<td>".formatomoneda($subt12,4,'N')."</td>";
								
								
								//$linea13=$linea13.="<td>".formatomoneda($cantig13,4,'N')."</td>";
								//$linea13=$linea13.="<td>".formatomoneda($pg13,4,'N')."</td>";
								//$linea13=$linea13.="<td>".formatomoneda($subt13,4,'N')."</td>";
								
								$linea14=$linea14.="<td>".formatomoneda($cantig14,4,'N')."</td>";
								$linea14=$linea14.="<td>".formatomoneda($pg14,4,'N')."</td>";
								$linea14=$linea14.="<td>".formatomoneda($subt14,4,'N')."</td>";
								
								$cantig1=0;$cantig2=0;$cantig3=0;$cantig4=0;$cantig5=0;$cantig6=0;$cantig7=0;$cantig8=0;$cantig9=0;$cantig10=0;$cantig11=0;$cantig12=0;$cantig13=0;$cantig14=0;$cantig15=0;
								$pg1=0;$pg2=0;$pg3=0;$pg4=0;$pg5=0;$pg6=0;$pg7=0;$pg8=0;$pg9=0;$pg10=0;$pg11=0;$pg12=0;$pg13=0;$pg14=0;$pg15=0;
								$subt5=0;$subt4=0;$subt3=0;$subt2=0;$subt1=0;$subt6=0;$subt7=0;$subt8=0;$subt9=0;$subt10=0;$subt11=0;$subt12=0;$subt13=0;$subt14=0;$subt15=0;
								
								
								$cim=$linea1.$linea2.$linea3.$linea4.$linea5.$linea8.$linea9.$linea10.$linea11.$linea12.$linea14;//.$linea6.$linea7.$linea13.$linea15
								?>
							<tr>
								<td align="right"><a href="javascript:void(0);" onclick="detalle(<?php echo $rg->fields['idcliente']; ?>)"><span class="fa fa-search"></span>&nbsp;</a><?php echo $b ?></td>
								<td align="right"><?php echo formatomoneda($rg->fields['ruc'],4,'N'); ?></td>
					
								<td align="right"><?php echo formatomoneda($rg->fields['documento'],4,'N'); ?></td>
								<td><?php echo $rg->fields['nombre'].' '.$rg->fields['apellido']; ?></td>
								<td align="right"><?php echo formatomoneda($tventas,4,'N'); ?></td>
								<?php echo $cim; ?>
							</tr>
							<?php 
							$linea1="";$linea2="";$linea3="";$linea4="";$linea5="";$linea6="";$linea7="";$linea8="";$linea9="";$linea10="";$linea11='';$linea12="";$linea13="";$linea14="";$linea15="";$tventas=0;
							$cim="";
							$rg->MoveNext();
							}
							?>
							</tbody>
						</table>
					</div>
					<?php } ?>





                  </div>
                </div>
              </div>
            </div>
            <?php } ?>
           
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="dialogobox">
                    <div class="modal-dialog modal-lg">
                      <div class="modal-content">

                        <div class="modal-header">
                          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
                          </button>
                          <h4 class="modal-title" id="myModalLabel">Titulo</h4>
                        </div>
                        <div class="modal-body" id="modal_cuerpo">
						...
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                          
                        </div>

                      </div>
                    </div>
                  </div>
          </div>
        </div>
        <!-- /page content -->
		<script>
		function detalle(idcliente){
			var desde=$("#desde").val();
			var hasta=$("#hasta").val();
		
			var parametros = {
                "cliente" : idcliente,
				"desde" : desde,
				"hasta" : hasta
			};
			$.ajax({
					data:  parametros,
					url:   'mini_l_info_bprod.php',
					type:  'post',
					beforeSend: function () {
						//$("#carrito").html("Actualizando Carrito...");
					},
					success:  function (response){
						$("#modal_cuerpo").html(response);
						$("#myModalLabel").html("REVISION");
						$("#dialogobox").modal("show");
					} 
			});
				
		}
			
			
			
			
		
		
		</script>
        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
