<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="34";

require_once("includes/rsusuario.php"); 



$buscar="Select * from insumos_lista  where idempresa=$idempresa order by descripcion asc";
$rsp=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
$tprod=$rsp->RecordCount();

if ($tprod >0){
	require_once 'clases/PHPExcel.php';
		// Crea un nuevo objeto PHPExcel

		$objPHPExcel = new PHPExcel();
		// Establecer propiedades
		$objPHPExcel->getProperties()
		->setCreator("AranduWeb")
		->setLastModifiedBy("WEB")
		->setTitle("Reporte de Costos promedio")
		->setSubject("XLS Costeo")
		->setDescription("Costeo de Stock")
		->setKeywords("Excel Office 2007 openxml php")
		->setCategory("Reportes");
		//$objPHPExcel->getActiveSheet()->setCellValueExplicit('D1', $val,PHPExcel_Cell_DataType::TYPE_STRING);
		// Agregar Informacion
		$objPHPExcel->setActiveSheetIndex(0)
		//Cabeceras
		
		->setCellValue('A1', 'Codigo Producto')
		->setCellValue('B1', 'Producto')
		->setCellValue('C1', 'Cant. Disponible (actual)')
		->setCellValue('D1', 'Cant. Compras (global)')
		->setCellValue('E1', 'Costo Promedio')
		->setCellValue('F1', 'Sub Total x Disponible');
		$objPHPExcel->getActiveSheet()->getStyle("A1:F1")->getFont()->setSize(12)
		->setBold(true);
		//Auto size de columnas
		$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setAutoSize(true);

		//Cuerpo
		$c=1;
		while (!$rsp->EOF){
			$c++;
			$idprod=trim($rsp->fields['idinsumo']);
			$prod=trim($rsp->fields['descripcion']);
			
			
			$buscar="select count(*) as cantprecios from compras_detalles
			where codprod='$idprod' 
			 group by codprod";
			$rsd=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
			
			$cantprecios=intval($rsd->fields['cantprecios']);
			//Cantidad de compras de ese pproducto
			$buscar="Select sum(cantidad) as tcompras from compras_detalles where codprod='$idprod'";
			$rstc=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
			
			$cantidadglobal=($rstc->fields['tcompras']);
			//Sumamos todos los precios de ese producto
			$buscar="Select sum(costo) as precioglob from compras_detalles where codprod='$idprod'";
			$rscp=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
			//Suma total de precios
			$tpc=floatval($rscp->fields['precioglob']);
			
			$costoprom=$tpc/$cantprecios;
			$buscar="Select sum(disponible) as disponible from costo_productos where id_producto='$idprod'";
			$rsfg=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
			$dispo=intval($rsfg->fields['disponible']);
			//$buscar="Select sum(cantidad) as cantidad,sum(costo) as costos 
			//from compras_detalles
			//where codprod='$idprod'";
			$rsd=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
			
			$totalcomprados=intval($rsd->fields['cantidad']);
			$costosumado=floatval($rsd->fields['costos']);
			$objPHPExcel->setActiveSheetIndex(0)
			->setCellValueExplicit('A'.$c, $idprod,PHPExcel_Cell_DataType::TYPE_STRING)
			->setCellValueExplicit('B'.$c, $prod,PHPExcel_Cell_DataType::TYPE_STRING)
			->setCellValue('C'.$c, $dispo)
			->setCellValue('D'.$c, $cantidadglobal)
			->setCellValue('E'.$c, $costoprom)
			->setCellValue('F'.$c, $dispo*$costoprom);
		
			
			
			
			
			
			 $rsp->MoveNext();
			 }
			
			$fin=$c+1;
			
			$objPHPExcel->setActiveSheetIndex(0)
			->setCellValue('E'.$fin, '=SUM(E2:E'.$c.')')
			->setCellValue('F'.$fin, '=SUM(F2:F'.$c.')');
			$current=date("Y-m-d H:i:s");
			$objPHPExcel->getActiveSheet()->setTitle('Costeo Promedio de Stock Activo');
			
			// Establecer la hoja activa, para que cuando se abra el documento se muestre primero.
			
			$objPHPExcel->setActiveSheetIndex(0);
			$ile="CosteStock$current.xlsx".
			
			// Se modifican los encabezados del HTTP para indicar que se envia un archivo de Excel.
			
			header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
			
			header('Content-Disposition: attachment;filename='. "'".$ile."'");
			
			header('Cache-Control: max-age=0');
			
			$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
			$objWriter->save('php://output');
			exit;
		
}