<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="201";
require_once("includes/rsusuario.php"); 

$whereadd="";

$fecha_actual = date("Y-m-d");
if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	//$desde=date("Y-m-d",strtotime($fecha_actual."- 3 month"));
	$desde=date("Y")."-01-01";
	$hasta=date("Y-m-d");
	$whereadd.=" 
	and date(ventas.fecha) >= '$desde'
	and date(ventas.fecha) <= '$hasta'
	";
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
	$whereadd.=" 
	and date(ventas.fecha) >= '$desde'
	and date(ventas.fecha) <= '$hasta'
	";
}

$idclienteagrupa=intval($_GET['id']);
if($idclienteagrupa == 0){
	header("location: inf_estado_cuentas_credito_agrup.php");
	exit;	
}

 $consulta="
select cuentas_clientes.*, 
(select usuario from usuarios where cuentas_clientes.registrado_por = usuarios.idusu) as registrado_por,
(select fecha from ventas where idventa = cuentas_clientes.idventa) as fecha,
(select factura from ventas where idventa = cuentas_clientes.idventa) as factura,
(select ruc from ventas where idventa = cuentas_clientes.idventa) as ruc,
(select razon_social from ventas where idventa = cuentas_clientes.idventa) as razon_social,
ventas.fecha
from cuentas_clientes 
inner join ventas on ventas.idventa = cuentas_clientes.idventa
where 
cuentas_clientes.saldo_activo > 0 
and cuentas_clientes.estado <> 6
and ventas.estado <> 6
and cuentas_clientes.idcliente in (
		select idcliente
		from cliente_agrupacion_det
		inner join cliente_agrupacion ON cliente_agrupacion.idclienteagrupa = cliente_agrupacion_det.idclienteagrupa
		where
		cliente_agrupacion.estado <> 6
		and cliente_agrupacion_det.estado <> 6
		and cliente_agrupacion_det.idclienteagrupa = $idclienteagrupa
	)
$whereadd
order by idcta asc
";
//echo $consulta;exit;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcliente=intval($rs->fields['idcliente']);
if($idcliente == 0){
	header("location: inf_estado_cuentas_credito_agrup.php");
	exit;	
}

$consulta="
select cliente_agrupacion.idclienteagrupa, cliente_agrupacion.agrupacion
from cliente_agrupacion_det
inner join cliente_agrupacion ON cliente_agrupacion.idclienteagrupa = cliente_agrupacion_det.idclienteagrupa
where
cliente_agrupacion.estado <> 6
and cliente_agrupacion_det.estado <> 6
and cliente_agrupacion_det.idclienteagrupa = $idclienteagrupa
";
$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function detalle_venta(idventa){
	var direccionurl='inf_estado_cuentas_credito_deta_venta.php';	
	var parametros = {
	  "idventa"        : idventa
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#myModalLabel").html('Detalle de la Factura');	
			$("#modal_cuerpo").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			$("#modal_cuerpo").html(response);	
			$('#dialogobox').modal('show');
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
</script>    
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Estado de cuentas a Credito</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">





<p><a href="inf_estado_cuentas_credito_agrup.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />

<h2>Agrupacion: <?php echo $rsdet->fields['agrupacion']; ?></h2>
<hr />
<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>

<div class="clearfix"></div>
<br />
<input name="id" type="hidden" value="<?php echo $idclienteagrupa; ?>">

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>


<br />
</form>        
<div class="clearfix"></div>
  <hr /><br /> 
<a href="inf_estado_cuentas_credito_agrup_det_csv.php?id=<?php echo $idclienteagrupa; ?>&desde=<?php echo $desde; ?>&hasta=<?php echo $hasta; ?>" class="btn btn-sm btn-default"><span class="fa fa-file-excel-o"></span> Descargar XLS</a>
<br /><br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>

			<th align="center">Idventa</th>
			<th align="center">Factura</th>
            <th align="center">Fecha Factura</th>
			<th align="center">Deuda global</th>
			<th align="center">Saldo activo</th>
			<th align="center">Razon Social</th>
			<th align="center">RUC</th>
			<th align="center">Ultimo pago</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){
	
	
$deuda_global=$rs->fields['deuda_global'];	
$saldo_activo=$rs->fields['saldo_activo'];
$deuda_global_acum+=$deuda_global;
$saldo_activo_acum+=$saldo_activo;
	
	 ?>
		<tr>
			<td>
				
				<div class="btn-group">

                    <a href="javascript:void(0);" onClick="detalle_venta(<?php echo $rs->fields['idventa']; ?>);" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>
				</div>

			</td>
			<td align="right"><?php echo formatomoneda($rs->fields['idventa']);  ?></td>
			<td align="right"><?php echo antixss($rs->fields['factura']);  ?></td>
            <td align="right"><?php echo date("d/m/Y",strtotime($rs->fields['fecha']));  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['deuda_global']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['saldo_activo']);  ?></td>
			<td align="left"><?php echo antixss($rs->fields['razon_social']);  ?></td>
			<td align="center"><?php echo antixss($rs->fields['ruc']);  ?></td>
			<td align="center"><?php if($rs->fields['ultimo_pago'] != ""){ echo date("d/m/Y",strtotime($rs->fields['ultimo_pago'])); }  ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
		<tr style="background-color:#CCC; font-weight:bold;">
		  <td>Totales:</td>

		  <td align="center">&nbsp;</td>

		  <td align="right">&nbsp;</td>
		  <td align="right">&nbsp;</td>
		  <td align="right"><?php echo formatomoneda($deuda_global_acum); ?></td>
		  <td align="right"><?php echo formatomoneda($saldo_activo_acum); ?></td>
		  <td align="center">&nbsp;</td>
		  <td align="center">&nbsp;</td>
		  <td align="center">&nbsp;</td>
		  </tr>
	  </tbody>
    </table>
</div>


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->
        
        <!-- POPUP DE MODAL OCULTO -->
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="dialogobox">
                    <div class="modal-dialog modal-lg">
                      <div class="modal-content">

                        <div class="modal-header">
                          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
                          </button>
                          <h4 class="modal-title" id="myModalLabel">Titulo</h4>
                        </div>
                        <div class="modal-body" id="modal_cuerpo">
						...
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                          
                        </div>

                      </div>
                    </div>
                  </div>

                      
                  </div>
                </div>
              </div>
              
              
              
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
