<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="201";
require_once("includes/rsusuario.php"); 


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}

if(intval($_REQUEST['idsucursal']) > 0){
	$idsucu=intval($_REQUEST['idsucursal']);
	$whereadd="
	and (select sucursal from ventas where idventa = cuentas_clientes.idventa limit 1) = $idsucu
	";
}

/*$consulta="
select fechacompra as fecha_compra, facturacompra as factura_compra, 
CASE WHEN tipocompra = 1 THEN 'CONTADO' ELSE 'CREDITO' END AS condicion_compra, 
REPLACE(total,'.',',') as total_factura,
proveedores.idproveedor, proveedores.nombre as proveedor
from compras
inner join proveedores on proveedores.idproveedor = compras.idproveedor 
where
compras.estado <> 6
and compras.fechacompra >= '$desde'
and compras.fechacompra <= '$hasta'
order by fechacompra asc
";*/
$consulta="
select cuentas_clientes.idcliente, cliente.razon_social, cliente.ruc, cliente.documento, cliente.nombre, cliente.apellido, 
REPLACE((
	COALESCE(
		(
		select sum(monto) 
		from pagos_afavor_adh 
		where 
		pagos_afavor_adh.estado = 1 
		and pagos_afavor_adh.idcliente = cuentas_clientes.idcliente
		)
	,0)
	-
	
	COALESCE(
		sum(saldo_activo)
	,0)
	
	
),'.',',') as saldoactivo
from cuentas_clientes
inner join cliente on cliente.idcliente = cuentas_clientes.idcliente
where
saldo_activo > 0 
and cuentas_clientes.estado <> 6
$whereadd
group by cuentas_clientes.idcliente
order by sum(saldo_activo) desc
";
//echo $consulta;exit;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 //	CONCAT('\"',factura,'\"') as Factura,REPLACE(COALESCE(cliente.linea_sobregiro,0),'.',',') as linea_credito, 
//(select REPLACE(COALESCE(sum(monto),0),'.',',') as tpagado,


 $impreso=date("d/m/Y H:i:s");



$datos="";


	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$datos.=limpiacsv($value).';';
		}
		$datos.=$saltolinea;
	$rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=deudas_clintes_'.$impreso.'.csv');
	
echo $datos;
exit;


?>