<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="206";

require_once("includes/rsusuario.php"); 



//error_reporting(E_ALL);
set_time_limit(1000);


require_once("../clases/spout-master/src/Spout/Autoloader/autoload.php");

use Box\Spout\Writer\Common\Creator\WriterEntityFactory;
use Box\Spout\Common\Entity\Row;


// variables de entrada
$idsucursal=intval($_GET['idsuc']);
$solostockmin=trim($_GET['stm']);

//$solostockmin="S";

if($idsucursal > 0){
	$whereadd.=" and productos_sucursales.idsucursal = $idsucursal ";
}else{
	echo "No indico la sucursal";
	exit;	
}
if($solostockmin == 's'){
	$whereadd.=" and idinsumo in (select idinsumo from stock_minimo where idsucursal = $idsucursal) ";
}


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}

if($_GET['id_categoria'] > 0){
	$idcategoria=intval($_GET['id_categoria']);
	$whereadd.=" and productos.idcategoria = $idcategoria ";
}
if($_GET['idproveedor'] > 0){
	$idproveedor=intval($_GET['idproveedor']);
	$whereadd.=" and insumos_lista.idproveedor = $idproveedor ";
}
if(trim($_GET['producto']) != ''){
	$producto=antisqlinyeccion(trim($_GET['producto']),"like");
	$whereadd.=" and productos.descripcion like '%$producto%' ";
}


// consulta principal
$consulta="
Select 
insumos_lista.idproducto as codigo_producto, 
insumos_lista.idinsumo as codigo_articulo,
productos.barcode as codigo_barra,
productos.descripcion as producto,
medidas.nombre as medida,
insumos_lista.costo,
productos_sucursales.precio, 
(select nombre from sucursales where sucursales.idsucu = productos_sucursales.idsucursal) as sucursal
from productos
inner join productos_sucursales on productos.idprod_serial=productos_sucursales.idproducto
inner join insumos_lista on insumos_lista.idproducto = productos.idprod_serial
inner join medidas on medidas.id_medida = insumos_lista.idmedida
where 
productos.borrado='N' 
$whereadd
order by productos.descripcion asc

";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$tr=$rs->RecordCount();

if($tr > 0){
	
	// crear objeto para escribir
	$writer = WriterEntityFactory::createXLSXWriter();
	
	// nombre archivo
	$current=date("YmdHis");
	$ile="lprecios_$current.xls";
	$fileName=$ile;
	
	$writer->openToBrowser($fileName); // stream data directly to the browser
		
			
	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABEZA
	$cabecera="";
	foreach($array as $key=>$value){
		$cabecera.=$key.",";
	}
	reset($array);
	$cabecera=substr($cabecera,0,-1);
	$excelobj=explode(",",$cabecera);
	//$ar2=['a','b','c'];
	//print_r($ar2);
	//print_r($excelobj);exit;
	
	$rowFromValues = WriterEntityFactory::createRowFromArray($excelobj);
	$writer->addRow($rowFromValues);
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$array=$rs->fields;
		$excelobj=$array;
		$rowFromValues = WriterEntityFactory::createRowFromArray($excelobj);
		$writer->addRow($rowFromValues);
	
	$rs->MoveNext(); }
	
	
	
	
	$writer->close();

}else{
	
	echo "No hay registros para los parametros seleccionados.";
	exit;	
}
	
?>