<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="141";
require_once("includes/rsusuario.php"); 
require_once 'clases/PHPExcel.php';



if(($_GET['idcliente']) > 0){
	$idcliente=intval($_GET['idcliente']);
	$whereadd.=" and ventas.idcliente = $idcliente";
	
}
$desde=date("Y-m-d",strtotime($_GET['desde']));
$hasta=date("Y-m-d",strtotime($_GET['hasta']));	



$buscar="
	SELECT idventa, fecha as Fecha, totalcobrar as Monto, CONCAT(ruchacienda,'-',dv) as Ruc , idcaja, 
	CASE WHEN tipo_venta = 1
	THEN
	 'CONTADO'
	ELSE
	 'CREDITO'
	END as 'Tipo Venta',
	
	 factura as Factura,
	(select descripcion from formas_pago where formas_pago.idforma = ventas.formapago) as 'Forma de Pago', 
	(select nombre from sucursales where sucursales.idsucu = ventas.sucursal) as Sucursal
	FROM ventas
	WHERE 
	ventas.estado <> 6
	and idempresa = $idempresa
	and date(fecha) >= '$desde'
	and date(fecha) <= '$hasta'
	ORDER by fecha desc
";

	$consulta="
	select fecha,ruc,razon_social,factura,total_venta,
	(select sucursales.nombre from sucursales where sucursales.idsucu = ventas.sucursal) as sucursal,
	CASE WHEN tipo_venta = 1 then 'CONTADO' ELSE 'CREDITO' END as condicion,
	(select canal from canal where canal.idcanal = ventas.idcanal) as canal
	from ventas 
	where 
	 estado is not null 
	 and date(ventas.fecha) >= '$desde'
	 and date(ventas.fecha) <= '$hasta'
	$whereadd
	order by fecha asc
	limit 10000
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
//$rsvdet = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

//$rs=$rsvdet;

 $impreso=date("d/m/Y H:i:s");


	

//generando nombres de columna para excel
$Cantidad_de_columnas_a_crear=$rs->_numOfFields;  // obtiene la cantidad de columnas
$Contador=0; 
$Letra='A';
$letrasxls='';
// genera un array con las letras en base a la cantidad de columnas
while($Contador<$Cantidad_de_columnas_a_crear){ 
    $letrasxls.=",".$Letra; 
    $Contador++; 
    $Letra++; 
} 
// convierte el csv en un array
$letras_xls=$letrasxls;
$letras_xls_ar=explode(',',$letras_xls);

// inicializa el archivo Excel
		$objPHPExcel = new PHPExcel();
		// Establecer propiedades
		$objPHPExcel->getProperties()
		->setCreator("e-karú")
		->setLastModifiedBy("WEB")
		->setTitle("Listado de Ventas")
		->setSubject("XLS Listado de Ventas")
		->setDescription("Listado de Ventas")
		->setKeywords("Excel Office 2007 openxml php")
		->setCategory("Reportes");
		
	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// establece la hoja activa
	$objPHPExcel->setActiveSheetIndex(0);
	$objWorksheet = $objPHPExcel->getActiveSheet();

	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	$col=0;
	$colspan=0;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		$columna=$letras_xls_ar[$i].'1';
		$objWorksheet->setCellValue($columna,$key);		
	}
	reset($array);
	
	// AUTO AJUSTA ANCHO COLUMNAS Y CAMBIA FORMATO DE LA CABECERA
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		$objPHPExcel->getActiveSheet()->getColumnDimension($letras_xls_ar[$i])->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getStyle($letras_xls_ar[$i].'1')->getFont()->setSize(12)->setBold(true);	
	}
	reset($array);
	
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$columna=$letras_xls_ar[$i].$fila;
			$objWorksheet->setCellValue($columna,$value);		
		}
	$rs->MoveNext(); }

	

	
	/******** MAERA DEL PIE *********************/
	
	
			$current=date("YmdHis");
			$objPHPExcel->getActiveSheet()->setTitle('Listado de Ventas');
			
			// Establecer la hoja activa, para que cuando se abra el documento se muestre primero.
			
			$objPHPExcel->setActiveSheetIndex(0);
			$ile="listadoventaxfactura_$current.xlsx".
			
			// Se modifican los encabezados del HTTP para indicar que se envia un archivo de Excel.
			
			header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
			
			header('Content-Disposition: attachment;filename='. "".$ile."");
			
			header('Cache-Control: max-age=0');
			
			$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
			$objWriter->save('php://output');
			exit;	
	
	
		
?>