<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="34";

require_once("includes/rsusuario.php"); 

if(isset($_GET['mes']) && isset($_GET['ano'])){
	$mes=intval($_GET['mes']);
	$ano=intval($_GET['ano']);
}else{
	// actual
	$mes=date("n");
	$ano=date("Y");
}

//Creamos primer y ultimo dia
$prim=$ano.'-'.$mes.'-'.'01';
$prim=date("Y-m-d",strtotime($prim));


$ulti=ultimodia($prim);
$ultimo=$ano.'-'.$mes.'-'.$ulti;
$ultimo=date("Y-m-d",strtotime($ultimo));
//basados en el mes y ano generamos la consulta deseada
$buscar="Select  tipo_venta,ventas.fecha as fechaven,pchar,idprod,cantidad,pventa,subtotal,costo
from ventas_detalles
inner join ventas on ventas_detalles.idventa=ventas.idventa
where date(ventas.fecha) between '$prim' and '$ultimo'
order by pchar asc";
$rsb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));	

$tprod=$rsb->RecordCount();
if ($tprod >0){
	require_once 'clases/PHPExcel.php';
		// Crea un nuevo objeto PHPExcel

		$objPHPExcel = new PHPExcel();
		// Establecer propiedades
		$objPHPExcel->getProperties()
		->setCreator("AranduWeb")
		->setLastModifiedBy("WEB")
		->setTitle("Margen por productos")
		->setSubject("XLS Costeo")
		->setDescription("Margenes")
		->setKeywords("Excel Office 2007 openxml php")
		->setCategory("Reportes");
		//$objPHPExcel->getActiveSheet()->setCellValueExplicit('D1', $val,PHPExcel_Cell_DataType::TYPE_STRING);
		// Agregar Informacion
		$objPHPExcel->setActiveSheetIndex(0)
		//Cabeceras
		
		->setCellValue('A1', 'Fecha Venta')
		->setCellValue('B1', 'Producto')
		->setCellValue('C1', 'Cantidad')
		->setCellValue('D1', 'Precio Venta')
		->setCellValue('E1', 'Costo')
		->setCellValue('F1', 'Sub Total x Venta')
		->setCellValue('G1', 'Sub Total x Costo')
		->setCellValue('H1', 'Diferencia')
		->setCellValue('I1', 'Porc');
		$objPHPExcel->getActiveSheet()->getStyle("A1:I1")->getFont()->setSize(12)
		->setBold(true);
		//Auto size de columnas
		$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getColumnDimension('G')->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getColumnDimension('H')->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getColumnDimension('I')->setAutoSize(true);

		//Cuerpo
		$c=1;
		while (!$rsb->EOF){
			$c++;
			$fechav=trim($rsb->fields['fechaven']);
			$prod=trim($rsb->fields['pchar']);
			$cantidad=intval($rsb->fields['cantidad']);
			$pven=intval($rsb->fields['pventa']);
			$costo=intval($rsb->fields['costo']);
			$tipoven=intval($rsb->fields['tipo_venta']);
			$subto=intval($rsb->fields['subtotal']);
			$idprod=intval($rsb->fields['idprod']);
			
			
			$subtventa=($rsb->fields['cantidad']*$rsb->fields['pventa']);
			$subtcosto=($rsb->fields['cantidad']*$rsb->fields['costo']);
			$dife=$subtventa-$subtcosto;
			$porce=$dife/$subtcosto;
			$porce=formatomoneda($porce*100,2);
			
			$subtventa=
			$objPHPExcel->setActiveSheetIndex(0)
			
			->setCellValue('A'.$c, $fechav)
			->setCellValueExplicit('B'.$c, $prod,PHPExcel_Cell_DataType::TYPE_STRING)
			->setCellValue('C'.$c, $cantidad)
			->setCellValue('D'.$c, $pven)
			->setCellValue('E'.$c, $costo)
			->setCellValue('F'.$c, $subtventa)
			->setCellValue('G'.$c, $subtcosto)
			->setCellValue('H'.$c, $dife)
			->setCellValue('I'.$c, $porce);
			
			 $rsb->MoveNext();
			 }
			
			$fin=$c+1;
			
			$objPHPExcel->setActiveSheetIndex(0)
			->setCellValue('E'.$fin, '=SUM(E2:E'.$c.')')
			->setCellValue('F'.$fin, '=SUM(F2:F'.$c.')')
			->setCellValue('G'.$fin, '=SUM(F2:F'.$c.')');
			$current=date("Y-m-d H:i:s");
			$objPHPExcel->getActiveSheet()->setTitle('MargenxProducto');
			
			// Establecer la hoja activa, para que cuando se abra el documento se muestre primero.
			
			$objPHPExcel->setActiveSheetIndex(0);
			$ile="Margenes$current.xlsx".
			
			// Se modifican los encabezados del HTTP para indicar que se envia un archivo de Excel.
			
			header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
			
			header('Content-Disposition: attachment;filename='. "'".$ile."'");
			
			header('Cache-Control: max-age=0');
			
			$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
			$objWriter->save('php://output');
			exit;
		
}