<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="54";
require_once("includes/rsusuario.php"); 


require_once  '../clases/mpdf/vendor/autoload.php';


$idcoc=intval($_GET['idoc']);
if($idcoc == 0){
	echo "No se recibo la orden de compra.";
	exit;	
}

if ($idcoc>0){
	$buscar="Select * from empresas";
	$rse=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$empresachar=trim($rse->fields['empresa']);
	
	$buscar="
	Select 
	fecha,ocnum,usuario,tipocompra,nombre,fecha_entrega,compras_ordenes.estado,cant_dias,inicia_pago,forma_pago
	 from compras_ordenes 
	 inner join proveedores on proveedores.idproveedor=compras_ordenes.idproveedor 
	 inner join usuarios on usuarios.idusu=compras_ordenes.generado_por 
	 where 
	 ocnum=$idcoc
	 and compras_ordenes.estado <> 6
	 limit 1
	 ";
	 $rsh=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	 $ocnum=intval($rsh->fields['ocnum']);
	 if($ocnum == 0){
		echo "La orden enviada no existe o fue anulada.";
		exit;
	 }
	
	$buscar="
	select *, 
	(
	select barcode 
	from productos 
	inner join insumos_lista on insumos_lista.idproducto = productos.idprod_serial 
	where 
	insumos_lista.idinsumo =  compras_ordenes_detalles.idprod
	) as codbar
	from compras_ordenes_detalles 
	where 
	ocnum=$ocnum 
	order by descripcion asc
	";
	$rshd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
}else{
	$error='Debe indicar n&uacute;mero de orden.';
	
}


$img="gfx/empresas/emp_".$idempresa.".png";	 
if(!file_exists($img)){
	$img="gfx/empresas/emp_0.png";
}

$html='<div align="center" style="margin:10px; text-align:center;">';
$html.='<br />
<div style="width:600px; border:1px solid #000000; height:80px; margin:0px auto;">
	<table width="600">
		<tr>
			<td><img src="'.$img.'" height="80" alt=""/></td>
			<td><h3>'.$empresachar.'<br />Orden Compra N&deg; '.$idcoc.'</h3></td>
		</tr>
	</table>
</div>';

$html.='
<table width="100%" border="0">
	<tbody>
		<tr>
			<td height="29" colspan="4" align="center" bgcolor="#F0EBEB"><strong>Fecha Orden:</strong> '.date("d/m/Y", strtotime($rsh->fields["fecha"])).' | <strong>Operador:</strong> '.$rsh->fields["usuario"].'</td>
		</tr>
		<tr>
			<td align="right" bgcolor="#F0EBEB"><strong>Proveedor</strong></td>
			<td colspan="3" align="left">'.$rsh->fields["nombre"].'</td>
		</tr>
		<tr>
			<td  align="right" width="25%" height="36" align="right" bgcolor="#F0EBEB"><strong>Fecha Entrega Esperada</strong></td>
			<td width="25%" style="color:#FC0004; font-weight:bold">'.date("d/m/Y", strtotime($rsh->fields["fecha_entrega"])).'</td>
			<td  align="right" width="25%" bgcolor="#F0EBEB" style="font-weight:bold"><strong>Condicion</strong></td>
			<td width="25%" style="color:#FC0004; font-weight:bold">';
			if(intval($rsh->fields["tipocompra"]) == 2){
				$html.='Credito';
			}else{
				$html.='Contado';
			}
			$html.='</td>
		</tr>
		<tr>
			<td align="right" bgcolor="#F0EBEB"><strong>Fecha Pago (estimada)</strong></td>
			<td align="left">';
			if($rsh->fields["inicia_pago"] != ""){
				$html.=date("d-m-Y", strtotime($rsh->fields["inicia_pago"]));
			}
			$html.='</td>
			<td align="right" bgcolor="#F0EBEB"><strong>Cantidad Dias</strong></td>
			<td align="center">';
			if($rsh->fields["cant_dias"] > 0){
				$html.=$rsh->fields["cant_dias"];
			}
			$html.='</td>
		</tr>
	</tbody>
</table>';
$html.='
<hr />
<br />
<table width="799" border="1" style="border-collapse:collapse;">
	<tr>
		<td width="100" height="29" align="center" bgcolor="#B4B4B4"><strong><em>C&oacute;digo</em></strong></td>
		<td width="183" align="center" bgcolor="#B4B4B4"><strong>Cod Barra</strong></td>
		<td width="183" align="center" bgcolor="#B4B4B4"><strong><em>Producto</em></strong></td>
		<td width="79" align="center" bgcolor="#B4B4B4"><strong><em>Cantidad</em></strong></td>
		<td width="111" align="center" bgcolor="#B4B4B4"><strong><em>Precio Compra</em></strong></td>
		<td width="103" align="center" bgcolor="#B4B4B4"><strong><em>Sub Total GS</em></strong></td>
	</tr>';

$to = 0;
while (!$rshd->EOF) {
    $subt = $rshd->fields["cantidad"] * $rshd->fields["precio_compra"];
    $to += $subt;
    $html.='
        <tr>
            <td height="29" align="center">' . $rshd->fields["idprod"] . '</td>
            <td align="center">' . $rshd->fields["codbar"] . '</td>
            <td align="left">' . $rshd->fields["descripcion"] . '</td>
            <td align="right">' . formatomoneda($rshd->fields["cantidad"], 4, "N") . '</td>
            <td align="right">' . formatomoneda($rshd->fields["precio_compra"]) . '</td>
            <td align="right">' . formatomoneda($subt) . '</td>
        </tr>';
    $rshd->MoveNext();
}

$html.='
    </table>
</div>
<br />
<div align="center" style="width:600px; margin:0px auto;">
    <div style="width:600px; height:260px; border:1px solid #000000;">
        <table width="600px;" height="240">
            <tr>
                <td height="32" colspan="4" align="center"><strong>Total Compra Gs: ' . formatomoneda($to) . '</strong></td>
            </tr>
            <tr>
                <td width="84" height="79"><strong>Encargado Compras</strong></td>
                <td width="216"><p>..................................................</p></td>
                <td width="41"><strong>Firma </strong></td>
                <td width="239"><p>......................................................</p></td>
            </tr>
            <tr>
                <td width="84" height="55"><strong>Administraci&oacute;n</strong></td>
                <td width="216">..................................................</td>
                <td width="41"><strong>Firma</strong></td>
                <td width="239">........................................................</td>
            </tr>
            <tr>
                <td height="61"><strong>Observaciones</strong></td>
                <td colspan="3">' . 'Impreso el ' . date("d-m-Y H:i:s") . '</td>
            </tr>
        </table>
    </div>
</div>';

//echo $html;



//$html=$res['html'];


$mpdf = new mPDF('','Legal-P', 0, 0, 0, 0, 0, 0);
//$mpdf = new mPDF('','A4',55,'dejavusans');
//$mpdf = new mPDF('c','A4','100','',32,25,27,25,16,13);
$mini=date('dmYHis');
$mpdf->SetDisplayMode('fullpage');
$mpdf->use_kwt = true; 
//$mpdf->shrink_tables_to_fit = 1;
$mpdf->shrink_tables_to_fit = 2.5;
// Write some HTML code:
$mpdf->WriteHTML($html);
// Output a PDF file directly to the browser
//si no se usa el tributo I, no permite usar el nombre indicado y los archivos no sedescargan nunca!!
$mpdf->Output('movimiento_caja_arqueo'.$mini.'.pdf','I');


?>