<?php
/*---------------------------------------------------

14/02/2024: Se agrega recibo Global

-------------------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="561";
/*---------------------------------------
28/03/2023: se corrige forma de pago (descripcion)
--------------------------------------*/
require_once("includes/rsusuario.php"); 
if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
	$add.=" and date(fecha_ordenpago) >='$desde' and date(fecha_ordenpago) <='$hasta' ";
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
	$add=" and date(fecha_ordenpago) >='$desde' and date(fecha_ordenpago) <='$hasta' ";
}
if(trim($_GET['desdepa']) == '' or trim($_GET['hastapa']) == ''){
	$desdepa=date("Y-m-").'01';
	$hastapa=date("Y-m-d");
	//$add.=" and date(pagado_el) >='$desdepa' and date(pagado_el) <='$hastapa' ";
}else{
	$desdepa=date("Y-m-d",strtotime($_GET['desdepa']));
	$hastapa=date("Y-m-d",strtotime($_GET['hastapa']));	
	$add.=" and date(pagado_el) >='$desdepa' and date(pagado_el) <='$hastapa' ";
}
if(($_GET['fp']) > 0){
	$idfp=intval($_GET['fp']);
	$add.=" and caja_gestion_mov_det.idformapago = $idfp";
	
}
if(($_GET['prov']) > 0){
	$idfp=intval($_GET['prov']);
	$add.=" and orden_pago.idproveedor = $idfp";
	
}
$buscar="
	Select idordenpago,fecha_ordenpago,monto_ordenpago,recibo_global, 
	(select nombre from proveedores where idproveedor=orden_pago.idproveedor) as proveedor,
	(select usuario from usuarios where idusu= orden_pago.pagado_por) as quienpaga,
	(select usuario from usuarios where idusu=orden_pago.registrado_por) as registradopor, 
	pagado_el,monto_movimiento, 
	(select descripcion from formas_pago2 where idforma=caja_gestion_mov_det.idformapago) as formapago, 
	
	
	orden_pago.idcajamov, idcaja
	from orden_pago inner join caja_gestion_mov_det on caja_gestion_mov_det.idcajamov=orden_pago.idcajamov 
	$add
	
	order by idordenpago asc
	";
	$rs = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tb=$rs->RecordCount();
	//echo $buscar;
/*----------------------------------
if(trim($_GET['suc']) == 'ss'){
	
	$consulta="
	select idsucu 
	from sucursales 
	where 
	estado = 1 
	and matriz = 'N'
	";
	$rssucufil=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$sucu_or_add="and ( ".$saltolinea;
	$i=0;
	while(!$rssucufil->EOF){
		$i++;
		$idsuc=intval($rssucufil->fields['idsucu']);
		if($i == 1){
			$sucu_or_add.=" ventas.sucursal = $idsuc ".$saltolinea;
		}else{
			$sucu_or_add.=" or ventas.sucursal = $idsuc ".$saltolinea;	
		}
	$rssucufil->MoveNext(); }
	$sucu_or_add.=" ) ".$saltolinea;
	$filtrocaja=$sucu_or_add;
	
}

if(($_GET['cajero']) > 0){
	$cajero=intval($_GET['cajero']);
	$filtrocaja=" and ventas.registrado_por = $cajero";
	
}
-------------------------*/











?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Ordenes Pago</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
						<form id="form1" name="form1" method="get" action="">

							<div class="col-md-6 col-sm-6 form-group">
								<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
								<div class="col-md-9 col-sm-9 col-xs-12">
								<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

								</div>
							</div>

							<div class="col-md-6 col-sm-6 form-group">
								<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
								<div class="col-md-9 col-sm-9 col-xs-12">
								<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

								</div>
							</div>
							<div class="col-md-6 col-sm-6 form-group">
								<label class="control-label col-md-3 col-sm-3 col-xs-12">Pago Desde </label>
								<div class="col-md-9 col-sm-9 col-xs-12">
								<input type="date" name="desdepa" id="desdepa" value="<?php  echo $_REQUEST['desdepa']; ?>" placeholder="Desde" class="form-control"  />                    

								</div>
							</div>

							<div class="col-md-6 col-sm-6 form-group">
								<label class="control-label col-md-3 col-sm-3 col-xs-12">Pago Hasta </label>
								<div class="col-md-9 col-sm-9 col-xs-12">
								<input type="date" name="hastapa" id="hastapa" value="<?php echo $_REQUEST['hastapa']; ?>" placeholder="Hasta" class="form-control"  />                    

								</div>
							</div>
							<div class="col-md-6 col-sm-6 form-group">
								<label class="control-label col-md-3 col-sm-3 col-xs-12"> Forma pago  </label>
								<div class="col-md-9 col-sm-9 col-xs-12" id="">
									<?php 
									$buscar="select * from formas_pago2 where  estado = 1 order by descripcion asc";
									$rsfd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
									?>
									<select name="fp" id="fp" class="form-control" >
										<option value="0" <?php if(intval($_GET['fp']) == 0){?>selected="selected"<?php }?>>TODOS</option>
										<?php while (!$rsfd->EOF){?>
										<option value="<?php echo $rsfd->fields['idforma']?>" <?php if($rsfd->fields['idforma']==intval($_GET['fp'])){?>selected="selected"<?php }?>><?php echo $rsfd->fields['descripcion']?></option>
								
										<?php $rsfd->MoveNext();}?>
									</select>
								</div>
							</div>
							<div class="col-md-6 col-sm-6 form-group">
								<label class="control-label col-md-3 col-sm-3 col-xs-12"> Proveedor </label>
								<div class="col-md-9 col-sm-9 col-xs-12" id="">
									<?php 
									$buscar="select * from proveedores where  estado = 1 order by nombre asc";
									$rsfd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
									?>
									<select name="prov" id="prov" class="form-control" >
										<option value="0" <?php if(intval($_GET['prov']) == 0){?>selected="selected"<?php }?>>TODOS</option>
										<?php while (!$rsfd->EOF){?>
										<option value="<?php echo $rsfd->fields['idproveedor']?>" <?php if($rsfd->fields['idproveedor']==intval($_GET['prov'])){?>selected="selected"<?php }?>><?php echo $rsfd->fields['nombre']?></option>
								
										<?php $rsfd->MoveNext();}?>
									</select>
								</div>
							</div>	


						<div class="clearfix"></div>
						<br />


							<div class="form-group">
								<div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
							   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

								</div>
							</div>


						<br />
						</form>        




                  </div>
                </div>
              </div>
            </div>
			<?php if($tb>0){ ?>
            <!-- SECCION --> 
             <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Registros encontrados <?php echo $tb ?></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
						<a target="_blank" href="inf_ordenes_pago_csv.php?prov=<?php echo $_GET['prov'] ?>&fp=<?php echo $_GET['fp'] ?>&desde=<?php echo $_GET['desde'] ?>&hasta=<?php echo $_GET['hasta'] ?>"><span class="fa fa-xls"></span>&nbsp;[Descargar XLS]</a>
						<div class="table-responsive">
							<table width="100%" class="table table-bordered jambo_table bulk_action">
							  <thead>
									<tr align="center" valign="middle">
										<th>Orden Pago</th>
										<th>Registrado por</th>
										<th>Fecha Op</th>
										<th>Proveedor</th>
										<th>Monto Orden</th>
										<th>Fecha abonado</th>
										<th>Monto Abonado</th>
										<th>Forma pago</th>
										<th>Abonado por</th>
								        <th>Recibo Num</th>
									</tr>
							</thead>    
							<tbody>
						<?php 
						
							while(!$rs->EOF){ 
							$idordenpago=intval($rs->fields['idordenpago']);
							
							$consulta="
								SELECT formas_pago2.descripcion as formapago

								FROM orden_pago
								inner join caja_gestion_mov_cab on orden_pago.idcajamov = caja_gestion_mov_cab.idcajamov
								inner join caja_gestion_mov_det on caja_gestion_mov_det.idcajamov = caja_gestion_mov_cab.idcajamov
								inner join formas_pago2 on formas_pago2.idforma = caja_gestion_mov_det.idformapago

								WHERE
								idordenpago = $idordenpago
								";	 
								$rs11=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
								$fp=trim($rs11->fields['formapago']);
							//echo $buscar;
						?>
									<tr align="center" valign="middle">
							  		  <td><?php echo $rs->fields['idordenpago']; ?></td>
									  <td align="left"><?php echo $rs->fields['registradopor']; ?></td>
									  <td><?php echo date("d/m/Y",strtotime($rs->fields['fecha_ordenpago'])); ?></td>
									  <td align="left"><?php echo antixss($rs->fields['proveedor']); ?></td>
									  <td align="left"><?php echo formatomoneda($rs->fields['monto_ordenpago']); ?></td>
									  <td><?php echo date("d/m/Y",strtotime($rs->fields['pagado_el'])); ?></td>
									  <td align="left"><?php echo formatomoneda($rs->fields['monto_movimiento']); ?></td>
									  <td align="left"><?php echo antixss($fp); ?></td>
									   <td align="left"><?php echo antixss($rs->fields['quienpaga']); ?></td>
									  <td><?php echo antixss($rs->fields['recibo_global']); ?></td>
									</tr>
						<?php 
							$rs->MoveNext(); 
							} 
						?>	
							  </tbody>
							</table>
						</div>
						<br />
            
                 </div>
                </div>
              </div>
            </div>
			<?php } ?>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
