<?php
/*---------------------------------------------------

14/02/2024: Se agrega recibo Global

-------------------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="561";
require_once("includes/rsusuario.php"); 
function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}
if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
	$add.=" and date(fecha_ordenpago) >='$desde' and date(fecha_ordenpago) <='$hasta' ";
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
	$add=" and date(fecha_ordenpago) >='$desde' and date(fecha_ordenpago) <='$hasta' ";
}
if(trim($_GET['desdepa']) == '' or trim($_GET['hastapa']) == ''){
	$desdepa=date("Y-m-").'01';
	$hastapa=date("Y-m-d");
	//$add.=" and date(pagado_el) >='$desdepa' and date(pagado_el) <='$hastapa' ";
}else{
	$desdepa=date("Y-m-d",strtotime($_GET['desdepa']));
	$hastapa=date("Y-m-d",strtotime($_GET['hastapa']));	
	$add.=" and date(pagado_el) >='$desdepa' and date(pagado_el) <='$hastapa' ";
}
if(($_GET['fp']) > 0){
	$idfp=intval($_GET['fp']);
	$add.=" and caja_gestion_mov_det.idformapago = $idfp";
	
}
if(($_GET['prov']) > 0){
	$idfp=intval($_GET['prov']);
	$add.=" and orden_pago.idproveedor = $idfp";
	
}
/*
CONCAT_WS(', ',
			IF(TRIM(nrochq) != '', CONCAT('CHEQUE NRO.: ', FORMAT(nrochq, 0)), NULL),
			IF(TRIM(fecha_emision) != '', CONCAT('FEC. EMISION: ', DATE_FORMAT(fecha_emision, '%d/%m/%Y')), NULL),
			IF(TRIM(banco) != '', CONCAT('BANCO: ', banco), NULL),
			IF(TRIM(cuenta) != '', CONCAT('CUENTA: ', cuenta), NULL),
			IF(TRIM(boleta_nro) != '', CONCAT('BOLETA NRO.: ', boleta_nro), NULL),
			IF(TRIM(transfer_nro) != '', CONCAT('TRANSFER NRO.: ', transfer_nro), NULL)
		) AS informacion*/
// 	(select descripcion from formas_pago2 where idforma=caja_gestion_mov_det.idformapago) as formapago, 
	$buscar="
	SELECT 
		idordenpago,
		fecha_ordenpago,
		REPLACE(COALESCE(monto_ordenpago, ''), '.', ',') AS monto_ordenpago, 
		(SELECT nombre FROM proveedores WHERE idproveedor = orden_pago.idproveedor) AS proveedor,
		(SELECT usuario FROM usuarios WHERE idusu = orden_pago.pagado_por) AS quienpaga,
		(SELECT usuario FROM usuarios WHERE idusu = orden_pago.registrado_por) AS registradopor, 
		pagado_el,
		REPLACE(COALESCE(monto_movimiento, ''), '.', ',') AS monto, 
		(
			SELECT GROUP_CONCAT(formas_pago2.descripcion SEPARATOR ', ') AS formapago
			FROM caja_gestion_mov_cab
			INNER JOIN caja_gestion_mov_det ON caja_gestion_mov_det.idcajamov = caja_gestion_mov_cab.idcajamov
			INNER JOIN formas_pago2 ON formas_pago2.idforma = caja_gestion_mov_det.idformapago
			WHERE caja_gestion_mov_cab.idcajamov = orden_pago.idcajamov
		) AS formapago,
		recibo_global,
		orden_pago.idcajamov,
		idcaja,
(select cheques_emitidos.nrochq from cheques_emitidos where cheques_emitidos.idcajamov = caja_gestion_mov_det.idcajamov) as nrochq,
(select cheques_emitidos.fecha_emision from cheques_emitidos where cheques_emitidos.idcajamov = caja_gestion_mov_det.idcajamov) as fecha_emision,
(select cheques_emitidos.idbanco from cheques_emitidos where cheques_emitidos.idcajamov = caja_gestion_mov_det.idcajamov) as idbanco_chq,
(select bancos.nombre from cheques_emitidos inner join bancos on bancos.idbanco = cheques_emitidos.idbanco where cheques_emitidos.idcajamov = caja_gestion_mov_det.idcajamov) as banco_chq,
caja_gestion_mov_det.idbanco,
(select bancos.nombre from bancos where bancos.idbanco = caja_gestion_mov_det.idbanco) as banco,
(select cuentas.denominacion from cuentas  where cuentas.idcuenta = caja_gestion_mov_det.idcuentacon) as cuenta,
caja_gestion_mov_det.fecha_emision_chq,
caja_gestion_mov_det.fecha_transfer,
caja_gestion_mov_det.boleta_nro,
caja_gestion_mov_det.transfer_nro
	FROM orden_pago 
	INNER JOIN caja_gestion_mov_det ON caja_gestion_mov_det.idcajamov = orden_pago.idcajamov 
	$add
	ORDER BY idordenpago ASC;
	";
	$rs = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tb=$rs->RecordCount();


// asigna los datos de la consulta a una variable
$array=$rs->fields;

// CONSTRUYE CABECERA
foreach($array as $key=>$value){
	$i++;
	$datos.=limpiacsv($key).';';
}
reset($array);
$datos.=$saltolinea;

//CONSTRUYE CUERPO
$ante=0;
$fila=1;
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($value).';';
	}
	$datos.=$saltolinea;
$rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=ordenes_pago_csv_'.$impreso.'.csv');

echo $datos;
exit;
	
	
?>