<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="400";
require_once("includes/rsusuario.php"); 


		
$idordenpago=intval($_GET['id']);
if($idordenpago == 0){
	header("location: orden_pago.php");
	exit;	
}

// consulta a la tabla		
$consulta="
select *,
(select usuario from usuarios where orden_pago.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where orden_pago.anulado_por = usuarios.idusu) as anulado_por,
(select estado_orden from orden_pago_estados where estado = orden_pago_estados.idestado_orden) as estado_orden,
(select nombre from proveedores where orden_pago.idproveedor = proveedores.idproveedor) as proveedor
from orden_pago 
where 
estado = 4
and idordenpago = $idordenpago
order by idordenpago asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idordenpago=intval($rs->fields['idordenpago']);
$idproveedor=intval($rs->fields['idproveedor']);
if($idordenpago == 0){
	header("location: orden_pago.php");
	//echo $idordenpago;
	exit;	
}

		// crea imagen
		$img="gfx/empresas/emp_".$idempresa.".png";	 
		if(!file_exists($img)){
			$img="gfx/empresas/emp_0.png";
		}


$monto_ordenpago=$rs->fields['monto_ordenpago'];



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Informe de Pagos a Proveedores</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<p><a href="inf_pagos_prov.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th align="center">Fecha Orden</th>
			<th align="center">Monto</th>
			<th align="center">Proveedor</th>
			<th align="center">Estado</th>
			<th align="center">Registrado el</th>
			<th align="center">Registrado por</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td align="center"><?php if($rs->fields['fecha_ordenpago'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_ordenpago'])); } ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_ordenpago']);  ?></td>
			<td align="center"><?php echo antixss($rs->fields['proveedor']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['estado_orden']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />

<?php                 
		
$consulta="
select *, 
	(select factura_numero from facturas_proveedores where id_factura = orden_pago_det.idfactura and estado <> 6 ) as factura,
		(select fecha_compra from facturas_proveedores where id_factura = orden_pago_det.idfactura and estado <> 6 ) as fecha_factura,
	(select saldo_factura from facturas_proveedores where id_factura = orden_pago_det.idfactura and estado <> 6 ) as saldo_factura,
	(
	select 
	operaciones_proveedores_detalle.monto_cuota 
	from operaciones_proveedores_detalle 
	inner join operaciones_proveedores on operaciones_proveedores.idoperacionprov = operaciones_proveedores_detalle.idoperacionprov
	where 
	operaciones_proveedores.idfactura = orden_pago_det.idfactura
	order by operaciones_proveedores_detalle.vencimiento asc
	limit 1
	 ) as monto_cuota
from orden_pago_det 
where
idordenpago = $idordenpago
order by idordenpagodet asc
";
//echo $consulta;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta)); ?>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Factura</th>
			<th align="center">Fecha Factura</th>
			<th align="center">Saldo Factura</th>
			<th align="center">Monto Cuota</th>
			<th align="center">Monto abonar</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){
	
$monto_abonar_acum+=$rs->fields['monto_abonar'];
	 ?>
		<tr>

			<td align="center"><?php echo antixss($rs->fields['factura']); ?></td>
			<td align="center"><?php echo date("d/m/Y",strtotime($rs->fields['fecha_factura'])); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['saldo_factura']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_cuota']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_abonar']);  ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	</tbody>
    <tfoot>
		<tr>
			<td>Totales: 
			</td>
			<td align="right">&nbsp;</td>
			<td align="right">&nbsp;</td>
			<td align="right">&nbsp;</td>

			<td align="right"><?php echo formatomoneda($monto_abonar_acum);  ?></td>
		</tr>
	  </tfoot>
    </table>
</div>
<br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
