<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="215";
require_once("includes/rsusuario.php"); 
set_time_limit(180);
$consulta="SELECT * FROM preferencias WHERE  idempresa = $idempresa ";
$rspref=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$whereadd="";

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
    $desde=date("Y-m-d");
    $hasta=date("Y-m-d");
}else{
    $desde=date("Y-m-d",strtotime($_GET['desde']));
    $hasta=date("Y-m-d",strtotime($_GET['hasta']));    
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
    $hdesde="00:00";
    $hhasta="23:59";
}else{
    $hdesde=date("H:i",strtotime($_GET['hdesde']));
    $hhasta=date("H:i",strtotime($_GET['hhasta']));    
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

$whereadd.=" 
and date(mesas_atc.fecha_inicio) >= '$desde_completo'
and date(mesas_atc.fecha_inicio) <= '$hasta_completo'
";

if(intval($_GET['suc']) > 0){
    $idsuc=intval($_GET['suc']);
    $whereadd.=" and mesas_atc.idsucursal = $idsuc ";
}
if(intval($_GET['mpago']) > 0){
    $mpago=intval($_GET['mpago']);
    $whereadd.=" and mesas_atc_propinas.mediopago = $mpago ";
}

$parametrito = $_SERVER['REQUEST_URI'];
$nueva_url=str_replace("/inf_propinas.php","/inf_prop_listado.php",$parametrito);
$agrupar=1;
$consulta="
SELECT 
    sucursales.nombre as sucursal,
    sucursales.idsucu as idsucursal,
    mesas.numero_mesa,
    mesas.idmesa,
    mesas_atc.idatc,
    formas_pago.descripcion as formapago,
    formas_pago.idforma as idformapago,
    u_mozo.usuario as mozo,
    mesas_atc.idmozo,
    u_registra.usuario as registrado_por_txt,
    mesas_atc_propinas.registrado_por,
    mesas_atc_propinas.monto_propina,
    mesas_atc_propinas.afecta_caja,
    mesas_atc_propinas.registrado_el,
    mesas_atc.fecha_inicio as fecha_apertura,
    (select fecha from ventas where estado <> 6 and idatc = mesas_atc.idatc order by idventa asc limit 1) as fecha_venta,
    (select idventa from ventas where estado <> 6 and idatc = mesas_atc.idatc order by idventa asc limit 1) as idventa,
    (select usuario from usuarios where idusu = mesas_atc_propinas.registrado_por) as Cajero,formas_pago.por_comision,
    formas_pago.descripcion as mediopagochar,mesas_atc_propinas.registrado_el as fechareg,
    salon.nombre as salon,
    salon.idsalon
FROM 
    mesas_atc_propinas
INNER JOIN 
    mesas_atc ON mesas_atc.idatc = mesas_atc_propinas.idatc
INNER JOIN 
    mesas on mesas.idmesa = mesas_atc.idmesa
INNER JOIN 
    salon on salon.idsalon = mesas.idsalon
INNER JOIN 
    formas_pago ON formas_pago.idforma = mesas_atc_propinas.mediopago
INNER JOIN 
    sucursales ON sucursales.idsucu = mesas_atc.idsucursal
LEFT JOIN 
    usuarios u_mozo on u_mozo.idusu = mesas_atc.idmozo
INNER JOIN 
    usuarios u_registra on u_registra.idusu = mesas_atc_propinas.registrado_por
WHERE 
    mesas_atc.estado <> 6
    AND EXISTS (
        SELECT 1 
        FROM ventas 
        WHERE ventas.idatc = mesas_atc.idatc
    )
    $whereadd
order by mesas_atc.idatc asc
";
$rsf=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));








//Medios pagos
$buscar="
    select * from formas_pago where estado=1
    ";
$rsformas = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
?><!DOCTYPE html>
<html lang="en">
  <head>
    <?php require_once("includes/head_gen.php"); ?>
    <script src="js/xlsx.full.min.js"></script>
    <script src="js/FileSaver.min.js"></script>
    <script src="js/tableexport.min.js"></script>
    
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
            <?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Movimiento de Propinas segun pedidos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                  
                  <?php 
$refemenu='manatcmult';
require_once("includes/menu_propinas_rec.php");
?>                      
                  
                  
                  
                            <form id="form1" name="form1" method="get" action="">
                                <div class="col-md-6 col-sm-6 form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
                                    <div class="col-md-9 col-sm-9 col-xs-12">
                                    <input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

                                    </div>
                                </div>

                                <div class="col-md-6 col-sm-6 form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
                                    <div class="col-md-9 col-sm-9 col-xs-12">
                                    <input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-6 form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12"> Sucursal * </label>
                                    <div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
                                <?php 
                                      
                                      
                                //lista de sucursales
                                $buscar="select * from sucursales where  estado = 1 order by nombre asc";
                                $rsfd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

                                      
                                      
                                      ?><select name="suc" id="suc" class="form-control" >
                                        <option value="0" <?php if(intval($_GET['suc']) == 0){?>selected="selected"<?php }?>>TODOS</option>
                                        
                                       <?php while (!$rsfd->EOF){?>
                                        <option value="<?php echo $rsfd->fields['idsucu']?>" <?php if($rsfd->fields['idsucu']==intval($_GET['suc'])){?>selected="selected"<?php }?>><?php echo $rsfd->fields['nombre']?></option>
                                    
                                         <?php $rsfd->MoveNext();}?>
                                    </select>
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-6 form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Medio Pago *</label>
                                    <div class="col-md-9 col-sm-9 col-xs-12">
                                        <select name="mpago" id="mpago" class="form-control">
                                            <option value="0" selected="selected">TODOS</option>
                                            <?php while (!$rsformas->EOF){?>
                                            <option value="<?php echo $rsformas->fields['idforma'] ?>"<?php if (intval($rsformas->fields['idforma'])==$_REQUEST['mpago']){?> selected="selected" <?php } ?>><?php echo $rsformas->fields['descripcion']?></option>
                                            <?php $rsformas->MoveNext();}?>
                                        </select>

                                    </div>
                                </div>
                            <!--
                            <div class="col-md-6 col-sm-6 form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo lista *</label>
                                    <div class="col-md-9 col-sm-9 col-xs-12">
                                        <select name="tlista" id="tlista" style="height: 40px; width: 90%;">
                                    <option value="1" <?php if (intval($_REQUEST['tlista'])==0){?> selected="selected" <?php } ?><?php if (intval($_REQUEST['tlista'])==1){?> selected="selected" <?php } ?>>Individual</option>
                                      <option value="2" <?php if (intval($_REQUEST['tlista'])==2){?> selected="selected" <?php } ?> >Agrupada</option>
                                   
                                  </select>

                                    </div>
                                </div>
                            -->
                            
                            
                            
                            
                            <div class="clearfix"></div>
                            <br />


                                <div class="form-group">
                                    <input type="hidden" name="octp" id="octp" value="1" />
                                    <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
                                   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

                                    </div>
                                </div>

                                       <div class="clearfix"></div>
                            <hr />
                        <strong>Como calcula las propinas:</strong><br />
                        Este reporte asigna las propinas segun todos los mozos que se seleccionaron manualmente como participantes para el atc de la mesa.<br />
                        Se asigna en: administrar mesas seleccionar mozo.<br />
                       <div class="clearfix"></div>
                            <br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            <?php if ($agrupar==1){ 
           // $tickete="";
//$ahora=date("d/m/Y H:i:s",strtotime($ahora));
//$nombreempresa_centrado=corta_nombreempresa($nombreempresa);    
//$tickete="
//----------------------------------------
//$nombreempresa_centrado
 //        RESUMEN DE PROPINAS
//DESDE: $d    HASTA: $h".$saltolinea."
//----------------------------------------
//IMPRESO EL    : $ahora
//CAJERO        : $cajero
//----------------------------------------
//      
//MESA/REG         MONTO            FORMA P
//----------------------------------------
//";
            
            
            
            
            ?>
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                <div class="x_title">
                    <h2>Individuales <a href="inf_propinas_csv.php<?php echo parametros_url(); ?>" class="btn btn-success" style="margin-left: 10px;">
    <i class="fa fa-download"></i> Descargar Excel
</a></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content"> 
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
                            <thead>

                                <tr>
                                    <th width="156" height="32" align="center" ><strong>Sucursal</strong></th>
                                    <?php if ($agrupar==1){?>
                                    <th width="120" align="center" ><strong>N&deg; Mesa</strong></th>
                                    <?php }?>
                                    <th width="156" height="32" align="center" ><strong>ATC</strong></th>
                                    <th width="156" height="32" align="center" ><strong>MOZO</strong></th>
                                    <th width="156" height="32" align="center" ><strong>Fecha</strong></th>
                                    <th width="108" align="center" ><strong>Medio Pago</strong></th>

                                    <th width="120" align="center" ><strong>Monto Propina Global</strong></th>
                                    <th width="120" align="center" ><strong>Descuentos (IVA+Comisiones,etc)</strong></th>
                                    <th width="120" align="center" ><strong>Monto Propina Global Neto</strong></th>
                                    <th width="120" align="center" ><strong>Monto Propina Distribuido</strong></th>
                                    <th width="120" align="center" ><strong>Registrado por</strong></th>
                                    
                                </tr>
                            </thead>
                            <tbody>
                            <?php
                                    $subt=0;      
                                    while (!$rsf->EOF){
                                    $subt=$subt+floatval(($rsf->fields['monto_propina']));
                                    $por_comision =  intval(($rsf->fields['por_comision']));
                                    $total_propina_mesa = intval($rsf->fields['monto_propina']);
                                    $total_propina_mesa_orig = intval($rsf->fields['monto_propina']);
                                    $total_comision = $total_propina_mesa * $por_comision /100;
                                    if ($por_comision>0){
                                        $total_propina_mesa =  $total_propina_mesa - $total_comision;
                                    }
                                    //$idmesappal=intval($rsf->fields['idmesappal']);
                                    $idatc=intval($rsf->fields['idatc']);
                                    
                                   // $buscar="Select numero_mesa from mesas where idmesa=$idmesappal";
                                    //$rsmesd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
                                    $numeromesa=$rsf->fields['numero_mesa'];
                                    
                                if ($agrupar==1 && $idatc > 0){//individual
                                     $buscar="
                                     Select usuario,mesas_atc_mozos_manual.registrado_el
                                     from mesas_atc_mozos_manual
                                    inner join usuarios on usuarios.idusu=mesas_atc_mozos_manual.idmozo
                                    inner join usuarios_mozos on usuarios_mozos.idusu = usuarios.idusu
                                     where 
                                     mesas_atc_mozos_manual.estado <> 6 
                                     and idatc=$idatc 
                                     and usuarios_mozos.cobrar_propina = 'S'
                                     group by mesas_atc_mozos_manual.idmozo
                                     ";
                                    $rsformav=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
                                    $tformad=$rsformav->RecordCount();
                                    $totpropina = intval($total_propina_mesa)/ $tformad;
                               
                                    
                            ?>
                            <tr>
                                <td><?php echo antixss($rsf->fields['sucursal']); ?></td>
                                <td align="center"><?php if ($agrupar==1){?><?php echo $numeromesa; //$rsf->fields['idmesappal']?><?php }?></td>
                                <td><?php echo $idatc; ?></td>
                                <td><?php echo antixss($rsf->fields['mozo']); if($tformad == 0){ ?><span style='color:red;' title="No es mozo o no tiene permitido cobrar propina">(*)</span><?php } ?></td>
                                
                                <td><?php echo date("d/m/Y H:i:s",strtotime($rsf->fields['fechareg']));?></td>
                                
                                <td><?php echo $rsf->fields['mediopagochar']?></td>

                                <td align="right"><?php echo formatomoneda($total_propina_mesa_orig,0)?></td>
                                <td align="right"><?php echo formatomoneda($total_comision,2,'N'); ?> (<?php echo formatomoneda($por_comision,2,'N')?>%)</td>
                                <td align="right"><span style='color:red;'><?php echo formatomoneda($total_propina_mesa,0)?></span></td>
                                <td align="right">&nbsp;</td>
                                <td align="right"><?php echo $rsf->fields['usuario']?></td>
                                
                            </tr>
                            <?php 
                            
                            
                            
                            
                            
                            
                            
                                 if($tformad > 0){
                            
                                    while(!$rsformav->EOF){ ?>
                                    <tr style='background-color:#EFF3F6 ;color:black;font-weight:bold;'>
                                        <td colspan='2'>Distribuido</td>
                                        
                                        <td><?php echo $idatc; ?></td>
                                        <td align='right;'><?php echo $rsformav->fields['usuario']; ?></td>
                                        
                                        <td><?php echo date("d/m/Y H:i:s",strtotime($rsformav->fields['registrado_el'])); ?></td>
                                        <td></td>
                                        <td  align="center" ><strong></strong></td>
                                        <td  align="center" ><strong></strong></td>
                                        <td  align="center" ><strong></strong></td>
                                        
                                        <td align="right" ><span style='color:red;'><?php echo formatomoneda($totpropina,2,'N'); ?></span></td>
                                        <td align='right;'></td>
                                    </tr>
                                    <?php $rsformav->MoveNext();
                                    }
                                }
                            ?>
                                
                            
                            <?php } ?>
                            <?php 
                            if ($agrupar==1){
                                $conce=trim($numeromesa);
                                
                            } else {
                                
                                $conce=($rsf->fields['usuario']);    
                            }
                            
                           // $tickete.=agregaespacio($conce,12).agregaespacio(formatomoneda($rsf->fields['tprop'],0,'N'),10).agregaespacio($rsf->fields['mediopagochar'],16).$saltolinea;
                            
                            
                            
                            $rsf->MoveNext();}
           // $tickete.="
          //  ----------------------------------------
          //  Total recibido Gs:".formatomoneda($subt);            
                            ?>
                            <tr>
                            <td height="35" colspan="5" align="right"><strong>Total recibido Gs: <?php echo formatomoneda($subt)?></strong></td>
                    </tr>
                            </tbody>
                        </table>
                        </div>

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            <?php } ?>
            
            <?php if ($agrupar==2){ ?>
            <!--  <h2>Agrupadas - </h2> SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                  
                    <button class="btn btn-sm btn-default" type="button" 
                    onmouseup="document.location.href='inf_propinas_xls.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta ?>&mpago=<?php echo intval($_GET['mpago']) ?>&suc=<?php echo intval($_GET['suc']) ?>&tlista=<?php echo intval($_GET['tlista']) ?>&octp=<?php echo intval($_GET['octp']) ?>'"><span class="fa fa-download"></span> Descargar Excel</button>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

                    <table class="table table-bordered" id="tabla">
                        <thead>
                            
                            
                            <tr>
                                <th width="156" height="32" align="center" ><strong>Fecha</strong></th>
                                <th width="108" align="center" ><strong>Factura</strong></th>
                                <th width="108" align="center" ><strong>Cliente</strong></th>
                                <th width="108" align="center" ><strong>Monto Factura</strong></th>
                                
                                <th width="108" align="center" ><strong>Prop. Efectivo</strong></th>
                                <th width="108" align="center" ><strong>Prop. Debito</strong></th>
                                <th width="108" align="center" ><strong>Prop. Credito</strong></th>
                                <th width="108" align="center" ><strong>Com. Debito</strong></th>
                                <th width="108" align="center" ><strong>Com. Credito</strong></th>
                                <th width="120" align="center" ><strong>Comision Total Gs</strong></th>
                                <th width="120" align="center" ><strong>Cajero</strong></th>
                                <th width="120" align="center" ><strong>Mozo</strong></th>
                            </tr>
                        </thead>
                            <tbody>
                            <?php 
                            $subt=0;$tcomisiones=0;      
                            while (!$rsf1->EOF){
                                $tpropi=intval($rsf1->fields['prop_efectivo'])+intval($rsf1->fields['prop_debito'])+intval($rsf1->fields['prop_credito']);
                                $fecha=date("Y-m-d H:i:s",strtotime($rsf1->fields['fechis']));
                                if($tpropi > 0){ 
                                    $subt=$subt+$tpropi;
                                    $comidebito=($rsf1->fields['prop_debito']*$rsf1->fields['comi_debito']/100);
                                    $comicredito=floatval($rsf1->fields['prop_credito']*$rsf1->fields['comi_credito']/100);
                                    $tcomisiones=$tcomisiones+$comidebito+$comicredito;
                                    $fc=str_replace("-","",$rsf1->fields['factura']);
                            ?>
                                <tr>
                                <td><?php echo $fecha;?></td>
                                <td><?php echo $fc; ?></td>
                                <td><?php echo $rsf1->fields['razon_social']?></td>
                                <td align="right"><?php echo formatomoneda($rsf1->fields['total_venta'])?></td>
                                <td align="right"><?php echo formatomoneda($rsf1->fields['prop_efectivo'])?></td>
                                <td align="right"><?php echo formatomoneda($rsf1->fields['prop_debito'])?></td>
                                <td align="right"><?php echo formatomoneda($rsf1->fields['prop_credito'])?></td>
                                
                                
                        
                                <td align="right"><?php echo formatomoneda($comidebito)?></td>
                                <td align="right"><?php echo formatomoneda($comicredito)?></td>
                                <td align="right"><?php echo formatomoneda($comidebito+$comicredito)?></td>
                                <td><?php echo $rsf1->fields['cajero']?></td>
                                <td><?php echo $rsf1->fields['mozo']?></td>
                                
                            </tr>
                            <?php 
                                }
                                $rsf1->MoveNext();
                            
                            }?>
                            <tr>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td><?php echo $subt; ?></td>
                                <td></td>
                                <td></td>
                                <td align="right"><?php echo $tcomisiones; ?></td>
                                <td></td>
                                <td></td>
                            </tr>
                            <tr>
                                <td colspan="7" align="right"><strong>Total propinas recibidas: Gs <?php echo formatomoneda($subt,4,'N'); ?></strong></td>
                                <td colspan="3" align="right"><strong>Total comisiones Gs <?php echo formatomoneda($tcomisiones,4,'N'); ?></strong></td>
                            </tr>

                            </tbody>
                        </table>

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            <?php } ?>
          </div>
        </div>
        <!-- /page content -->
        
            
        <!-- footer content -->
        <?php require_once("includes/pie_gen.php"); 

        function imprimir($texto){
        
    
            require_once  '../clases/mpdf/vendor/autoload.php';
    
            $mpdf = new mPDF('','A4', 0, 0, 0, 0, 0, 0);
    
            $textopreparar = preparePreText($texto1);

    
            $html='
            <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
            <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
            <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
            
            <style>
            pre {
              display: block;
              font-family: monospace;
              white-space: pre;
              margin: 1em 0;
              font-size:10px;
            } 
            *{
                margin:0px;
                padding:0px;    
            }
            </style>
            </head>
    
            <body><br />
            <div style="width:250px; margin:0px auto; border:1px solid #000000; padding:5px;">
            <pre>'.$textopreparar.'</pre>
            </div>
            </body>
            </html>
            ';

            $mpdf->SetWatermarkText('');
            $mpdf->showWatermarkText = false;
    
            $mini=date('dmYHis');
            $mpdf->SetDisplayMode('fullpage');
            $mpdf->shrink_tables_to_fit = 1;
            $mpdf->WriteHTML($html);
            $mpdf->showImageErrors = true; 
            $mpdf->Output($archivopdf,'I'); // mostrar en el navegador
    
            exit;


        }
        ?>
        <script>
        var d="<?php echo $desde ?>";
        var h="<?php echo $hasta ?>";
                const $btnExportar = document.querySelector("#btnExportar"),
                    $tabla = document.querySelector("#tabla");

                $btnExportar.addEventListener("click", function() {
                    let tableExport = new TableExport($tabla, {
                        exportButtons: false, // No queremos botones
                        filename: "movimiento_propinas_"+d+'_'+h, //Nombre del archivo de Excel
                        sheetname: "Resumen de Propinas", //Título de la hoja
                    });
                    let datos = tableExport.getExportData();
                    let preferenciasDocumento = datos.tabla.xlsx;
                    tableExport.export2file(preferenciasDocumento.data, preferenciasDocumento.mimeType, preferenciasDocumento.filename, preferenciasDocumento.fileExtension, preferenciasDocumento.merges, preferenciasDocumento.RTL, preferenciasDocumento.sheetname);
                });
            </script>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
