<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="52";
require_once("includes/rsusuario.php"); 



if (!isset($_POST['desde'])){
	$ia='01';
	$m=date("M");
	$y=date("Y");
	$desde=$y.'-'.$m.'-'.$ia;
	$desde=date("Y-m-d",strtotime($desde));
}


if (!isset($_POST['hasta'])){	
	$hasta=date("Y-m-d");
}



if (isset($_POST['desde']) && ($_POST['desde']!='')){
	$desde=antisqlinyeccion($_POST['desde'],'date');
	$hasta=antisqlinyeccion($_POST['hasta'],'date');
	//filtramos pr fecha
	$buscar="Select id_producto,cantidad,lote,vencimiento,descripcion,idcategoria,idsubcate from costo_productos 
	inner join productos on productos.idprod=costo_productos.id_producto
	where lote is not null and vencimiento between $desde and $hasta and cantidad > 0
	order by vencimiento desc";
	$rsv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tf=$rsv->RecordCount();
	
	$f=1;

}
if (isset($_POST['ndias'])){
	$ndias=intval($_POST['ndias']);
	if ($ndias > 0){
		$buscar="
		Select id_producto,cantidad,lote,vencimiento,descripcion,idcategoria,idsubcate
		 from costo_productos inner join productos on productos.idprod=costo_productos.id_producto 
		 where lote is not null and (vencimiento <=DATE_ADD(current_date(), INTERVAL $ndias DAY)) 
		 and cantidad > 0 order by vencimiento desc";
		$rsv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$tf=$rsv->RecordCount();
		$f=2;
		
		
	} else {
		//botones pre definidos
		if (isset($_POST['b1'])){
			//boton1
			$ndias=5;
		}
		if (isset($_POST['b2'])){
			//boton2
			$ndias=10;
		}
		if (isset($_POST['b3'])){
			//boton2
			$ndias=15;
		}
			$buscar="
			Select id_producto,cantidad,lote,vencimiento,descripcion,idcategoria,idsubcate
		 	from costo_productos inner join productos on productos.idprod=costo_productos.id_producto 
		 	where lote is not null and (vencimiento <=DATE_ADD(current_date(), INTERVAL $ndias DAY)) 
		 	and cantidad > 0 order by vencimiento desc";
			$rsv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$tf=$rsv->RecordCount();
			$f=2;
		
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<!-------------<link rel="stylesheet" href="css/bootstrap.css" type="text/css" media="screen" /> ---------->
<link rel="stylesheet" href="css/magnific-popup.css" type="text/css" media="screen" /> 
<?php require("includes/head.php"); ?>
<script>
	
	
	function alertar(titulo,error,tipo,boton){
	swal({   title: titulo,   text: error,   type: tipo,   confirmButtonText: boton });
	}
	
</script>

<script src="js/sweetalert.min.js"></script>
 <link rel="stylesheet" type="text/css" href="css/sweetalert.css">

</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="clear"></div>
<div class="cuerpo">
 <div align="center">
 <?php require_once("includes/menuarriba.php");?>
</div>

<div class="colcompleto" id="contenedor">
 	<!-- SECCION DONDE COMIENZA TODO -->
    
        <div align="center">
            <table width="68" border="0">
                <tbody>
                   <tr>
                       <td><a href="index.php"><img src="img/homeblue.png" width="64" height="64" title="Regresar"/></a></td>
                   </tr>
                </tbody>
            </table>
        </div>
        <div class="divstd">
          <span class="resaltaditomenor">Vencimientos x Lotes</span>
        </div>
        <br />
        <div class="resumenmini">
        	<strong>Controle aqu&iacute; el vencimiento de los productos que posean lote.
        	Puede efectuar el control por rango de fechas, o bien utilizar uno de los predeterminados.
        </strong>
        </div>
        <br />
        <div class="resumenmini"><strong>Rango de Fechas</strong><br />
              <form id="form1" name="form1" method="post" action="inf_vencimientosxlote.php">
                      <label for="desde"><strong>Desde:</strong></label>
                      <input type="date" name="desde" id="desde" value="<?php echo $desde; ?>" />
                      <strong>  Hasta:</strong>
                      <input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>"  />
                      <input type="submit" name="button" id="button" value="Filtrar" />
              </form>
        </div>
        <br />
        <form id="filtros" name="filtros" method="post" action="inf_vencimientosxlote.php">
        
        <div class="resumenmini"><strong>Dias de Vencimiento</strong><br />
        <table width="200">
        	<tr>
        		<td align="right"><strong>Num D&iacute;as</strong></td>
           	  <td><input type="text" id="ndias" name="ndias" /></td>
                <td><input type="submit" id="b" name="b"  value="Buscar"/></td>
            </tr>
            <tr>
        		<td></td>
                <td></td>
                <td></td>
            </tr>
        </table>
            <h1>Predeterminados</h1><br />
          <input type="submit" id="b1" name="b1"  value="1-5 Dias"/> 
          <input type="submit" id="b2" name="b2"  value="10 Dias"/>
          <input type="submit" id="b3" name="b3"  value="15 Dias"/>
        </div>
        </form>
    	<hr />
        <br /><br />
        <?php if ($tf> 0){?>
       
    <div align="center">
       		 <span class="resaltaditomenor">
              <?php if ($f==1){ ?>
             Rango de Fecha: <?php echo $desde ?> / <?php echo $hasta ?>
             <?php } ?>
              <?php if ($f>1){ ?>
              	Cantidad Dias: <?php echo $ndias?>
              <?php } ?>
      </span>
         </div>
        
        
   	<table width="682" height="62" class="tablalinda2" >
            	<tr>
                	<td width="90" height="26" align="center" bgcolor="#E0E0E0"><strong>C&oacute;digo</strong></td>
            		<td width="207" align="center" bgcolor="#E0E0E0"><strong>Producto</strong></td>
                    <td width="94" align="center" bgcolor="#E0E0E0"><strong>Disponible</strong></td>
                    <td width="83" align="center" bgcolor="#E0E0E0"><strong>Lote</strong></td>
                    <td width="84" align="center" bgcolor="#E0E0E0"><strong>Dias Restantes</strong></td>
                  	<td width="84" align="center" bgcolor="#E0E0E0"><strong>Vencimiento</strong></td>  
           	  </tr>
            	<?php
				 while (!$rsv->EOF){
					$ahora=date("Y-m-d");
					$restan=dias_transcurridos2($ahora,date("d-m-Y",strtotime($rsv->fields['vencimiento'])));
					if ($restan<7){
						$span="<span class='resaltarojomini'>".formatomoneda($restan)."</span>";
					}
				?>
              <tr>
                	<td><?php echo $rsv->fields['id_producto']?></td>
            		<td><?php echo $rsv->fields['descripcion']?></td>
                    <td align="center"><?php echo $rsv->fields['cantidad']?></td>
                    <td align="center"><strong><?php echo $rsv->fields['lote']?></strong></td>
                    <td align="center"><?php echo $span ?></td>
                  	<td align="center"><?php echo date("d-m-Y",strtotime($rsv->fields['vencimiento']));?></td>                 
              </tr>
            	 <?php $rsv->MoveNext();}?>
            </table>
        <?php } ?>
</div> <!-- contenedor -->
     <div class="clear"></div><!-- clear1 -->
</div> <!-- cuerpo -->
<div class="clear"></div><!-- clear2 -->
<?php require("includes/pie.php"); ?>
</body>
</html>


 