<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="23";
$submodulo="211";
require_once("includes/rsusuario.php"); 


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';





if (isset($_GET['desde'])){
	
	
	$buscar="Select celular,email,ruc,estado_vianda,idvianda,nombre,apellido,razon_social,date(fecha) as fechavianda,(select count(idvianda) from viandas_pedidos_lista
	where idvianda=viandas.idvianda) as tvianda
	from viandas
	inner join cliente
	on cliente.idcliente=viandas.idcliente
	where date(fecha) between '$desde' and '$hasta' order by fecha asc";
	

	
	$rs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	//echo $buscar;
	$tvi=$rs->RecordCount();
	//echo $tvi;
}
	
?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Reporte de Viandas Solicitadas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
				  
					<form id="form1" name="form1" method="get" action="">
						<div class="col-md-6 col-sm-6 form-group">
							<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
							<div class="col-md-9 col-sm-9 col-xs-12">
							<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

							</div>
						</div>

						<div class="col-md-6 col-sm-6 form-group">
							<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
							<div class="col-md-9 col-sm-9 col-xs-12">
							<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

							</div>
						</div
						<div class="clearfix"></div>
						<br />


							<div class="form-group">
								<div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
							   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

								</div>
							</div>

					</form>




                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
			<?php if ($tvi > 0){ ?>
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
					<table class="table table-bordered">

						<thead>
							<tr>
								<th>Fecha</th>
								<th>Cliente</th>
								<th>Ruc</th>
								<th>Email</th>
								<th>Telefono / Celular</th>
								<th>Total Viandas Solicitadas</th>
								<th>Reportes</th>
							</tr>
						</thead>
						<tbody>
						<?php while (!$rs->EOF){
							$idvianda=intval($rs->fields['idvianda']);
							$enlace="<a href='inf_viandas_ind.php?idv=$idvianda'target='_blank'>[PERSONAL]</a>";
							$enlace1="<a href='#inf_viandas_consolidado.php?idv=$idvianda'target='_blank'>[CONSOLIDADO - PROXIMAMENTE]</a>";
						?>
						<tr>
							  <td height="29"><?php echo date("d-m-Y",strtotime($rs->fields['fechavianda']));?></td>
							  <td><?php echo $rs->fields['razon_social']?></td>
							  <td align="center"><?php echo $rs->fields['ruc']?></td>
							  <td align="center"><?php echo $rs->fields['email']?></td>
							  <td align="center"><?php echo $rs->fields['celular']?></td>
							  <td align="center"><?php echo intval($rs->fields['tvianda']); ?></td>
							  <td align="center"><?php if ($rs->fields['tvianda']> 0){ echo "<span class='fa fa-arrow-right'></span>&nbsp;".$enlace.' '.'PROX-CONSOLIDADO'; } ?></td>

						</tr>
						
						
						<?php $rs->MoveNext();}?>
						</tbody>
					</table>






                  </div>
                </div>
              </div>
            </div>
            <?php } ?>
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
