<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="90";

require_once("includes/rsusuario.php"); 
require_once '../clases/PHPExcel.php';

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(intval($_GET['idmotivo']) > 0){
	$idmotivo=intval($_GET['idmotivo']);
	$whereadd.=" and gest_depositos_ajustes_stock.idmotivo = $idmotivo ".$saltolinea;
}
if(intval($_GET['iddeposito']) > 0){
	$iddeposito=intval($_GET['iddeposito']);
	$whereadd.=" and gest_depositos_ajustes_stock.iddeposito = $iddeposito ".$saltolinea;
}
if(intval($_GET['idp']) > 0){
	$idinsumo=intval($_GET['idp']);
	$whereadd.=" and gest_depositos_ajustes_stock_det.idinsumo = $idinsumo ".$saltolinea;
}
if(trim($_GET['tipoajuste']) != ''){
	$tipoajuste=substr(trim($_GET['tipoajuste']),0,1);
	$whereadd.=" and gest_depositos_ajustes_stock_det.tipoajuste = '$tipoajuste' ".$saltolinea;
}


	
	$consulta="
SELECT 
insumos_lista.idinsumo as codigo, insumos_lista.descripcion as producto, gest_depositos_ajustes_stock.fechaajuste as fecha,
REPLACE(CASE WHEN 
	tipoajuste = '-'
THEN
	cantidad_ajuste*-1
ELSE
	cantidad_ajuste
END,'.',',') AS cantidad_ajuste,
REPLACE(precio_costo,'.',',')  as precio_costo,
REPLACE(CASE WHEN 
	tipoajuste = '-'
THEN
	cantidad_ajuste*-1
ELSE
	cantidad_ajuste
END*precio_costo,'.',',') as total_costo,
motivos_ajuste.motivo,
gest_depositos.descripcion as deposito
FROM gest_depositos_ajustes_stock
inner join gest_depositos_ajustes_stock_det on gest_depositos_ajustes_stock.idajuste = gest_depositos_ajustes_stock_det.idajuste
inner join insumos_lista on insumos_lista.idinsumo = gest_depositos_ajustes_stock_det.idinsumo
inner join gest_depositos on gest_depositos.iddeposito = gest_depositos_ajustes_stock.iddeposito
inner join motivos_ajuste on motivos_ajuste.idmotivo = gest_depositos_ajustes_stock.idmotivo
where 
gest_depositos_ajustes_stock.estado = 'C'
and gest_depositos_ajustes_stock.fechaajuste >= '$desde'
and gest_depositos_ajustes_stock.fechaajuste <= '$hasta'
and gest_depositos_ajustes_stock_det.cantidad_ajuste > 0
$whereadd
order by insumos_lista.descripcion asc, gest_depositos_ajustes_stock.fechaajuste asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	

//generando nombres de columna para excel
$Cantidad_de_columnas_a_crear=$rs->_numOfFields;  // obtiene la cantidad de columnas
$Contador=0; 
$Letra='A';
$letrasxls='';
// genera un array con las letras en base a la cantidad de columnas
while($Contador<$Cantidad_de_columnas_a_crear){ 
    $letrasxls.=",".$Letra; 
    $Contador++; 
    $Letra++; 
} 
// convierte el csv en un array
$letras_xls=$letrasxls;
$letras_xls_ar=explode(',',$letras_xls);

// inicializa el archivo Excel
		$objPHPExcel = new PHPExcel();
		// Establecer propiedades
		$objPHPExcel->getProperties()
		->setCreator("e-karú")
		->setLastModifiedBy("WEB")
		->setTitle("Informe de ajustes")
		->setSubject("XLS ")
		->setDescription("Informe de ajustes")
		->setKeywords("Excel Office 2007 openxml php")
		->setCategory("Reportes");
		
	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// establece la hoja activa
	$objPHPExcel->setActiveSheetIndex(0);
	$objWorksheet = $objPHPExcel->getActiveSheet();

	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	$col=0;
	$colspan=0;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		$columna=$letras_xls_ar[$i].'1';
		$objWorksheet->setCellValue($columna,$key);		
	}
	reset($array);
	
	// AUTO AJUSTA ANCHO COLUMNAS Y CAMBIA FORMATO DE LA CABECERA
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		$objPHPExcel->getActiveSheet()->getColumnDimension($letras_xls_ar[$i])->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->getStyle($letras_xls_ar[$i].'1')->getFont()->setSize(12)->setBold(true);	
	}
	reset($array);
	
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$columna=$letras_xls_ar[$i].$fila;
			//echo $letras_xls_ar[$i];exit;
			//$objWorksheet->setCellValue($columna,$value);	
			if($letras_xls_ar[$i]=='F'){			
				$objWorksheet->setCellValueExplicit($columna,$value,PHPExcel_Cell_DataType::TYPE_NUMERIC);
			} else {
				$objWorksheet->setCellValue($columna,$value);	
			}
			
		}
	$rs->MoveNext(); 
	}
	$fila=$fila+1;
	//echo $fila;exit;
	$objPHPExcel->setActiveSheetIndex(0);
	$objWorksheet = $objPHPExcel->getActiveSheet();
	//$objPHPExcel->getActiveSheet()->setCellValue('E'.($fila+2),'=sum(E2'.$file.':K'.($file+4).')');
	//$objPHPExcel->getActiveSheet()->->setCellValue("E".$fila, "HOLA");
	$objPHPExcel->setActiveSheetIndex(0)
	
	->setCellValue('F'.$fila, '=SUM(F2:F'.($fila-1).')');
	$i++;
	//$columna=$letras_xls_ar[$i].$fila;
	//$objWorksheet->setCellValue($columna,$value);		

	
	/******** MAERA DEL PIE *********************/
	
	
			$current=date("YmdHis");
			$objPHPExcel->getActiveSheet()->setTitle('Informe de Compras por Producto');
			
			// Establecer la hoja activa, para que cuando se abra el documento se muestre primero.
			
			$objPHPExcel->setActiveSheetIndex(0);
			$ile="Informe_ajuste_$current.xlsx".
			
			// Se modifican los encabezados del HTTP para indicar que se envia un archivo de Excel.
			
			header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
			
			header('Content-Disposition: attachment;filename='.$ile);
			
			header('Cache-Control: max-age=0');
			
			$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
			$objWriter->save('php://output');
			exit;	
	
	
		
?>