<?php
/*-----------------------------------------------

03/02/2022



-----------------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="182";
require_once("includes/rsusuario.php"); 

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(intval($_GET['idmotivo']) > 0){
	$idmotivo=intval($_GET['idmotivo']);
	$whereadd.=" and gest_depositos_ajustes_stock.idmotivo = $idmotivo ".$saltolinea;
}
if(intval($_GET['iddeposito']) > 0){
	$iddeposito=intval($_GET['iddeposito']);
	$whereadd.=" and gest_depositos_ajustes_stock.iddeposito = $iddeposito ".$saltolinea;
}
if(intval($_GET['idp']) > 0){
	$idinsumo=intval($_GET['idp']);
	$whereadd.=" and gest_depositos_ajustes_stock_det.idinsumo = $idinsumo ".$saltolinea;
}
if(trim($_GET['tipoajuste']) != ''){
	$tipoajuste=substr(trim($_GET['tipoajuste']),0,1);
	$whereadd.=" and gest_depositos_ajustes_stock_det.tipoajuste = '$tipoajuste' ".$saltolinea;
}

	//fechaajuste // iddeposito
	$consulta="
	SELECT *, insumos_lista.descripcion as producto, gest_depositos.descripcion as deposito, insumos_lista.idinsumo as idinsumo
	FROM gest_depositos_ajustes_stock
	inner join gest_depositos_ajustes_stock_det on gest_depositos_ajustes_stock.idajuste = gest_depositos_ajustes_stock_det.idajuste
	inner join insumos_lista on insumos_lista.idinsumo = gest_depositos_ajustes_stock_det.idinsumo
	inner join gest_depositos on gest_depositos.iddeposito = gest_depositos_ajustes_stock.iddeposito
	inner join motivos_ajuste on motivos_ajuste.idmotivo = gest_depositos_ajustes_stock.idmotivo
	where 
	gest_depositos_ajustes_stock.estado = 'C'
	and gest_depositos_ajustes_stock.fechaajuste >= '$desde'
	and gest_depositos_ajustes_stock.fechaajuste <= '$hasta'
	and gest_depositos_ajustes_stock_det.cantidad_ajuste > 0
	$whereadd
	order by insumos_lista.descripcion asc, gest_depositos_ajustes_stock.fechaajuste asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
	<script src="js/xlsx.full.min.js"></script>
	<script src="js/FileSaver.min.js"></script>
	<script src="js/tableexport.min.js"></script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Informe de Ajustes</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
				  
				  
				  
				  
					
						<form id="form1" name="form1" method="get" action="">
							<table class="table table-bordered">
								<thead>
									<tr>
										<th align="center"><strong>Fecha Desde</strong></th>
										<th align="left">
											<input type="date" name="desde" id="desde" value="<?php echo $desde; ?>" />
										</th>
										<th align="center"><strong>Fecha Hasta</strong></th>
									  <th align="left"><input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" /></th>
									</tr>
									<tr>
									  <th align="center"><strong><a href="motivos_ajuste.php">[+]</a> Motivo</strong></th>
									  <th align="left"><?php 
										// consulta
										$consulta="select * from motivos_ajuste  where estado = 1 and idempresa = $idempresa";
										
										// valor seleccionado
										if(isset($_GET['idmotivo']) && intval($_GET['idmotivo']) > 0){ 
											$value_selected=htmlentities($_GET['idmotivo']); 
										}else{ 
											//$value_selected=htmlentities($rs->fields['idmotivo']);
											$value_selected="";
										}
										
										// parametros
										$parametros_array=array(
										'nombre_campo' => 'idmotivo',
										'id_campo' => 'idmotivo',
										
										'nombre_campo_bd' => 'motivo',
										'id_campo_bd' => 'idmotivo',
										
										'value_selected' => $value_selected,
										
										'pricampo_name' => 'TODOS',
										'pricampo_value' => ''
										);
										
										// construye campo
										echo campo_select($consulta,$parametros_array);
										
										?></th>
									  <th align="center"><strong>Deposito</strong></th>
									  <th align="left"><?php 
										// consulta
										$consulta="select * from gest_depositos  where estado = 1 and idempresa = $idempresa";
										
										// valor seleccionado
										if(isset($_GET['iddeposito']) && intval($_GET['iddeposito']) > 0){ 
											$value_selected=intval($_GET['iddeposito']); 
										}else{ 
											//$value_selected=htmlentities($rs->fields['iddeposito']);
											$value_selected="";
										}
										// parametros
										$parametros_array=array(
										'nombre_campo' => 'iddeposito',
										'id_campo' => 'iddeposito',
										
										'nombre_campo_bd' => 'descripcion',
										'id_campo_bd' => 'iddeposito',
										
										'value_selected' => $value_selected,
										
										'pricampo_name' => 'TODOS',
										'pricampo_value' => ''
										);
										
										// construye campo
										echo campo_select($consulta,$parametros_array);
										
										?></th>
									  </tr>
									<tr>
										<th align="center"><strong>Codigo Articulo</strong></th>
										<th align="left">
												<input type="text" name="idp" id="idp" value="<?php if(intval($_GET['idp']) > 0){ echo intval($_GET['idp']); } ?>" />
										</th>
										<th align="center"><strong>Tipo Ajuste</strong></th>
										<th align="left">
										<select name="tipoajuste" id="tipoajuste">
										  <option value="">TODOS</option>
										  <option value="+" <?php if($_GET['tipoajuste'] == '+'){ ?>selected="selected"<?php } ?>>ALTAS DE STOCK (+)</option>
										  <option value="-" <?php if($_GET['tipoajuste'] == '-'){ ?>selected="selected"<?php } ?>>BAJAS DE STOCK (-)</option>
										</select></th>
									</tr>
									
									
								</thead>
								<tbody>
								</table>
				
								
<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>
	   
        </div>
    </div>
								
								
						</form>

<div class="clearfix"></div>
<hr />
					


				  
				   <h2>Registros encontrados - <a class="btn btn-dark" href="informe_ajuste_xls.php<?php echo parametros_url(); ?>" target="_self">XLS</a> <a href="informe_ajustes_csv.php<?php echo parametros_url(); ?>" class="btn btn-sm btn-default"><span class="fa fa-file-excel-o"></span> Descargar CSV</a></h2>
				  
					<div class="table-responsive">
						<table class="table table-striped jambo_table bulk_action" id="tabla">
							<thead>
								<tr align="center">
								  <th><strong>Tanda</strong></th>
								  <th><strong>Articulo</strong></th>
								  <th><strong>Fecha Ajuste</strong></th>
								  <th><strong>Cantidad</strong></th>
									<th><strong>Costo Unitario</strong></th>
									<th><strong>Costo Ajuste</strong></th>
								  <th><strong>Motivo</strong></th>
								  <th><strong>Deposito</strong></th>
								</tr>
							</thead>
							<tbody>
								<?php
									$ant="";
									$cantacum=0;
									$i=0;
									 while(!$rs->EOF){
									
									if(trim($rs->fields['tipoajuste']) == '+'){
										$cantacum+=($rs->fields['cantidad_ajuste']);
									}else{
										$cantacum+=($rs->fields['cantidad_ajuste']*-1);	
									}
									//echo $cantacum_ant;	
										if($ant != $rs->fields['idinsumo']){


											if($i > 0)	{
												$cantacum=0; $cantacum_ant=0; 
												} 
											?>
										<tr>
										  <td colspan="7" align="left" ><strong><?php echo ($rs->fields['idinsumo']) ?> - <?php echo ($rs->fields['producto']) ?></strong></td>
										</tr>
										<?php } ?>
										<tr>
										  <td>				<div class="btn-group">
					<a href="informe_ajustes_tanda.php?id=<?php echo $rs->fields['idajuste']; ?>&idart=<?php echo ($rs->fields['idinsumo']) ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span> <?php echo $rs->fields['idajuste']; ?></a>
			
				</div></td>
										  <td><?php echo $rs->fields['producto']; ?></td>
										  <td align="center"><?php echo date("d/m/Y",strtotime($rs->fields['fechaajuste'])); ?></td>
										  <td align="right"><?php if($rs->fields['cantidad_ajuste'] > 0){ echo $rs->fields['tipoajuste']; } ?><?php echo formatomoneda($rs->fields['cantidad_ajuste'],4,'N'); ?></td>
											 <td align="center"><?php echo formatomoneda($rs->fields['precio_costo'],4,'N'); ?></td>
											 <td align="center"><?php if($rs->fields['cantidad_ajuste'] > 0){ echo $rs->fields['tipoajuste']; } ?><?php echo formatomoneda($rs->fields['precio_costo']*$rs->fields['cantidad_ajuste'],4,'N'); ?></td>
										  <td align="center"><?php echo $rs->fields['motivo']; ?></td>
										  <td align="center"><?php echo $rs->fields['deposito']; ?></td>
										</tr>
										<?php 
										$ant=$rs->fields['idinsumo'];
										$cantacum_ant=$cantacum;
										$i++;
										$rs->MoveNext(); } ?>
							</tbody>
						</table>
					</div>
					
					
<div class="clearfix"></div>
<br />
			
					
					
                  </div>
                </div>
              </div>
            </div>
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
		<script>
		var d="<?php echo $desde ?>";
		var h="<?php echo $hasta ?>";
				const $btnExportar = document.querySelector("#btnExportar"),
					$tabla = document.querySelector("#tabla");

				$btnExportar.addEventListener("click", function() {
					let tableExport = new TableExport($tabla, {
						exportButtons: false, // No queremos botones
						filename: "movimiento_ajustes_"+d+'_'+h, //Nombre del archivo de Excel
						sheetname: "Resumen de Ajustes", //Título de la hoja
					});
					let datos = tableExport.getExportData();
					let preferenciasDocumento = datos.tabla.xlsx;
					tableExport.export2file(preferenciasDocumento.data, preferenciasDocumento.mimeType, preferenciasDocumento.filename, preferenciasDocumento.fileExtension, preferenciasDocumento.merges, preferenciasDocumento.RTL, preferenciasDocumento.sheetname);
				});
			</script>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
