<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="182";
require_once("includes/rsusuario.php"); 


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	return utf8_decode($txt);
}

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(intval($_GET['idmotivo']) > 0){
	$idmotivo=intval($_GET['idmotivo']);
	$whereadd.=" and gest_depositos_ajustes_stock.idmotivo = $idmotivo ".$saltolinea;
}
if(intval($_GET['iddeposito']) > 0){
	$iddeposito=intval($_GET['iddeposito']);
	$whereadd.=" and gest_depositos_ajustes_stock.iddeposito = $iddeposito ".$saltolinea;
}
if(intval($_GET['idp']) > 0){
	$idinsumo=intval($_GET['idp']);
	$whereadd.=" and gest_depositos_ajustes_stock_det.idinsumo = $idinsumo ".$saltolinea;
}
if(trim($_GET['tipoajuste']) != ''){
	$tipoajuste=substr(trim($_GET['tipoajuste']),0,1);
	$whereadd.=" and gest_depositos_ajustes_stock_det.tipoajuste = '$tipoajuste' ".$saltolinea;
}

//fechaajuste // iddeposito
$consulta="
SELECT 
gest_depositos_ajustes_stock.idajuste as idtanda,
insumos_lista.idinsumo as idarticulo, insumos_lista.descripcion as articulo, gest_depositos_ajustes_stock.fechaajuste as fecha,
REPLACE(CASE WHEN 
	tipoajuste = '-'
THEN
	cantidad_ajuste*-1
ELSE
	cantidad_ajuste
END,'.',',') AS cantidad_ajuste,
REPLACE(precio_costo,'.',',')  as precio_costo,
REPLACE(CASE WHEN 
	tipoajuste = '-'
THEN
	cantidad_ajuste*-1
ELSE
	cantidad_ajuste
END*precio_costo,'.',',') as total_costo,
motivos_ajuste.motivo,
gest_depositos.descripcion as deposito
FROM gest_depositos_ajustes_stock
inner join gest_depositos_ajustes_stock_det on gest_depositos_ajustes_stock.idajuste = gest_depositos_ajustes_stock_det.idajuste
inner join insumos_lista on insumos_lista.idinsumo = gest_depositos_ajustes_stock_det.idinsumo
inner join gest_depositos on gest_depositos.iddeposito = gest_depositos_ajustes_stock.iddeposito
inner join motivos_ajuste on motivos_ajuste.idmotivo = gest_depositos_ajustes_stock.idmotivo
where 
gest_depositos_ajustes_stock.estado = 'C'
and gest_depositos_ajustes_stock.fechaajuste >= '$desde'
and gest_depositos_ajustes_stock.fechaajuste <= '$hasta'
and gest_depositos_ajustes_stock_det.cantidad_ajuste > 0
$whereadd
order by insumos_lista.descripcion asc, gest_depositos_ajustes_stock.fechaajuste asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



	// asigna los datos de la consulta a una variable
	//$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;





$impreso=date("YmdHis");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=ajuste_'.$impreso.'.csv');
	
echo $datos;


//CONSTRUYE CUERPO
//$ante=0;
$fila=1;
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		echo limpiacsv($value).';';
	}
	echo $saltolinea;
$rs->MoveNext(); }


exit; 

?>