<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="77";
require_once("includes/rsusuario.php"); 

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}

$idcaja=intval($_GET['id']);

$consulta="
select *, (select sum(descneto) from ventas where ventas.idcaja = caja_super.idcaja and estado <> 6) as descuento,
(select nombre FROM sucursales where idempresa = $idempresa and idsucu = caja_super.sucursal limit 1) as sucursal
from caja_super 
inner join usuarios on caja_super.cajero = usuarios.idusu
where
caja_super.sucursal in (SELECT idsucu FROM sucursales where idempresa = $idempresa)
and caja_super.idcaja = $idcaja
limit 1
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$apertura_fec=date("Y-m-d",strtotime($rs->fields['fecha_apertura']));
$montocierre=$rs->fields['monto_cierre'];
$caja_chica_cierre=$rs->fields['caja_chica_cierre'];
$estado=$rs->fields['estado_caja'];
if(trim($rs->fields['fecha_cierre']) == ''){
	$cierre_fec=date("Y-m-d");	
}else{
	$cierre_fec=date("Y-m-d",strtotime($rs->fields['fecha_cierre']));	
}

if(intval($rs->fields['idcaja']) == 0){
	header("location: informe_caja.php");	
	exit;
}


// marca como rendido o no rendido 
if(isset($_GET['r']) && ($_GET['r'] == 's' or $_GET['r'] == 'n')){
	
	$r=trim($_GET['r']);
	if($r == 's'){
		$rendido="S";	
	}else{
		$rendido="N";	
	}
	
	$consulta="
	update caja_super
	set rendido = '$rendido'
	where
	caja_super.sucursal in (SELECT idsucu FROM sucursales where idempresa = $idempresa)
	and idcaja = $idcaja
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	header("location: informe_caja_arq.php?id=$idcaja");
	exit;
}


$consulta="
select * 
from ventas 
where
descneto > 0
and idcaja = $idcaja
and estado <> 6
order by fecha asc
";
//echo $consulta;
$rsdesc = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
select * 
from ventas 
inner join usuarios on ventas.anulado_por = usuarios.idusu
where
ventas.idcaja = $idcaja
and ventas.estado = 6
order by ventas.fecha asc
";
//echo $consulta;
$rsanul = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


$consulta="
select * 
from tmp_ventares_cab
inner join usuarios on tmp_ventares_cab.anulado_por = usuarios.idusu
where
tmp_ventares_cab.estado = 6
and date(tmp_ventares_cab.fechahora) >= '$apertura_fec'
and date(tmp_ventares_cab.fechahora) <= '$cierre_fec'
and tmp_ventares_cab.monto > 0
and tmp_ventares_cab.idempresa = $idempresa
order by tmp_ventares_cab.fechahora asc
";
//echo $consulta;
$rspedborra = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


	// descuentos
	$consulta="
	select sum(descneto) as total_descuento
	from ventas 
	where
	descneto > 0
	and idcaja = $idcaja
	and estado <> 6
	order by fecha asc
	";
	//echo $consulta;
	$rsdesctot = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// venta a credito
	$consulta="
	select sum(totalcobrar) as total_venta_cred
	from ventas 
	where
	idcaja = $idcaja
	and estado <> 6
	and tipo_venta = 2
	order by fecha asc
	";
	//echo $consulta;
	$rsventacred = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	select sum(totalcobrar) as total_anulado
	from ventas 
	inner join usuarios on ventas.anulado_por = usuarios.idusu
	where
	ventas.idcaja = $idcaja
	and ventas.estado = 6
	and ventas.idempresa = $idempresa
	";
	$rsanul = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<script src="js/sweetalert.min.js"></script>
 <link rel="stylesheet" type="text/css" href="css/sweetalert.css">
<?php require("includes/head.php"); ?>
 <link rel="stylesheet" type="text/css" href="css/tablesorter.css">
<script src="js/jquery.tablesorter.min.js" type="text/javascript"></script> 
<script>
/*$(document).ready(function(){ 
        $("#myTable").tablesorter(); 
});  */   

   $(document).ready(function () {
        jQuery.tablesorter.addParser({
            id: "fancyNumber",
            is: function (s) {
                return /^[0-9]?[0-9,\.]*$/.test(s);
            },
            format: function (s) {
                 var s = parseFloat(s.replace(/[.]/g, '').replace(',', '.'));
                return (isNaN(s)) ? 0 : s;
            },
            type: "numeric"
        });

        $(".tablesorter").tablesorter({
            headers: { 
			0: { sorter: false },
			1: { sorter: 'fancyNumber'},
			2: { sorter: 'fancyNumber'},
			},
            widgets: ['zebra']
        });
    }); 
</script>
</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="clear"></div>
<div class="cuerpo">
  <div class="colcompleto" id="contenedor">
      <!-- SECCION DONDE COMIENZA TODO -->
      <br /><br />
   <div align="center">
    		<table width="70" border="0">
          <tbody>
            <tr>
              <td width="62"><a href="informe_caja.php"><img src="img/homeblue.png" width="64" height="64" title="Regresar"/></a></td>
            </tr>
          </tbody>
        </table>
    </div>
      <div class="divstd">
    		<span class="resaltaditomenor">
    			Resumen de Caja<br />
    		</span>
	</div>
<?php 
// si la caja esta abierta
if($estado==1){
		
	// monto apertura
	$buscar="
	select *, estado_caja,fecha,monto_apertura,caja_chica from caja_super 
	where 
	idcaja=$idcaja 
	and sucursal in (select idsucu from sucursales where idempresa = $idempresa)";
	$rscaja=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	//Cobranza en Efectivo
	$buscar="Select  sum(efectivo) as efectivogs from gest_pagos where  estado=1 and idcaja=$idcaja and rendido = 'S'";
	$rsefe=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

	//Cobranzas  Tarjeta Credito
	$buscar="Select  sum(montotarjeta) as tarje from gest_pagos where estado=1 and idcaja=$idcaja and tipotarjeta = 1 and rendido = 'S'";
	$rstarje=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));	
	
	//Cobranzas  Tarjeta Debito
	$buscar="Select  sum(montotarjeta) as tarje from gest_pagos where estado=1 and idcaja=$idcaja and tipotarjeta = 2 and rendido = 'S'";
	$rstarjedeb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	//Cobranzas  cheque
	$buscar="Select  sum(montocheque) as cheque from gest_pagos where estado=1 and idcaja=$idcaja and rendido = 'S'";
	$rscheque=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	//Cobranzas  transferencia
	$buscar="Select  sum(montotransfer) as transfer from gest_pagos where estado=1 and idcaja=$idcaja and rendido = 'S'";
	$rstransfer=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	

	
	
	//Pagos por caja
	$consulta="
	select 
	
	(COALESCE(sum(cuentas_empresa_pagos.monto_abonado),0)+COALESCE((Select sum(monto_abonado) as mon from pagos_extra where idcaja=$idcaja and idempresa=$idempresa  and tipocaja = 'C'),0)) as totalp, 
	
	(COALESCE(sum(cuentas_empresa_pagos.monto_abonado),0)+COALESCE((Select sum(monto_abonado) as mon from pagos_extra where idcaja=$idcaja and idempresa=$idempresa and tipocaja = 'R'),0)) as totalp_r
	
	from cuentas_empresa_pagos
	inner join cuentas_empresa on cuentas_empresa_pagos.idcta = cuentas_empresa.idcta
	where
	cuentas_empresa_pagos.idcaja = $idcaja
	and cuentas_empresa_pagos.idempresa = $idempresa
	and cuentas_empresa_pagos.estado <> 6
	ORDER BY cuentas_empresa_pagos.fecha_pago asc
	";  
	$rsv = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
		 	//Cobranza pendiente x delivery
		$buscar="Select  sum(total_cobrado) as totalpend  from gest_pagos 
		where 
		cajero=$idusu  
		and estado=1 
		and idcaja=$idcaja 
		and rendido ='N'";
		$rspend=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$tpendi1=floatval($rspend->fields['totalpend']);	
	
	
	
	// valores caja abierta
	$caja_chica=$rscaja->fields['caja_chica'];
	$monto_apertura=$rscaja->fields['monto_apertura'];
	$tpagos=floatval($rsv->fields['totalp']);
	$tefe=floatval($rsefe->fields['efectivogs']);
	$tarje=floatval($rstarje->fields['tarje']);
	$tarjedeb=floatval($rstarjedeb->fields['tarje']);
	$tdesc=$rsdesctot->fields['total_descuento'];
	$tcheque=floatval($rscheque->fields['cheque']);
	$ttransfer=floatval($rstransfer->fields['transfer']);
	$tventacred=floatval($rsventacred->fields['total_venta_cred']);
	$totalrecauda=$tefe+$tarje+$tarjedeb+$tcheque+$ttransfer;
	$totalpagos=$rsv->fields['totalp'];
	$totalpagos_r=$rsv->fields['totalp_r'];
	$total_delivery=$tpendi1;
}else{
	// valores caja cerrada
	$caja_chica=$rs->fields['caja_chica'];
	$monto_apertura=$rs->fields['monto_apertura'];
	$tpagos=floatval($rs->fields['total_pagos_dia']);
	$tefe=$rs->fields['total_efectivo'];	
	$tarje=$rs->fields['total_tarjeta'];
	$tarjedeb=$rs->fields['total_tarjeta_debito'];
	$tdesc=$rsdesctot->fields['total_descuento'];
	$tcheque=$rs->fields['total_cheque'];
	$ttransfer=$rs->fields['total_transfer'];
	$tventacred=floatval($rsventacred->fields['total_venta_cred']);
	$totalrecauda=$tefe+$tarje+$tarjedeb+$tcheque+$ttransfer;
	$totalpagos=$rs->fields['total_pagos_dia_ch'];
	$totalpagos_r=$rs->fields['total_pagos_dia'];
	$total_delivery=$rs->fields['total_pend'];
	
}
	?>
    <p>&nbsp;</p>
    <table width="90%" border="0">
      <tbody>
        <tr>
          <td align="left" valign="top"><table width="98%" border="1" style="float:left;">
            <tbody>
              <tr>
                <td width="50%">Fecha Apertura</td>
                <td width="50%" colspan="2"><?php echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_apertura'])); ?></td>
              </tr>
              <tr>
                <td>Fecha Cierre</td>
                <td colspan="2"><?php if($rs->fields['fecha_cierre'] != ''){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_cierre'])); }else{ echo "Caja Abierta"; } ?></td>
              </tr>
              <tr>
                <td>Cajero</td>
                <td colspan="2"><?php echo capitalizar($rs->fields['nombres']); ?> <?php echo capitalizar($rs->fields['apellidos']); ?></td>
              </tr>
              <tr>
                <td>Rendido a Tesoreria</td>
                <td width="25%" align="left"  <?php if($rs->fields['rendido'] != 'S'){?>bgcolor="#FF0000"<?php }else{ ?>bgcolor="#1BA300"<?php } ?>><?php if($rs->fields['rendido'] != 'S'){ echo "No"; }else{ echo "Si"; } ?>
                  </td>
                <td align="right" valign="top" <?php if($rs->fields['rendido'] != 'S'){?>bgcolor="#FF0000"<?php }else{ ?>bgcolor="#1BA300"<?php } ?>><?php if($rs->fields['rendido'] != 'S'){ ?><input type="button" name="button" id="button" value="Marcar como Rendido" onmouseup="document.location.href='informe_caja_arq.php?id=<?php echo $idcaja ?>&r=s';" />
                  <?php }else{ ?>
                  <input type="button" name="button" id="button" value="Desmarcar" onmouseup="document.location.href='informe_caja_arq.php?id=<?php echo $idcaja ?>&r=n';" /><?php } ?></td>
              </tr>
            </tbody>
          </table></td>
          <td width="50%" align="right" valign="top"><table width="98%" border="1" style="float:right;">
            <tbody>
              <tr>
                <td width="50%">Local</td>
                <td width="50%"><?php echo $rs->fields['sucursal']; ?></td>
              </tr>
              <tr>
                <td>Turno</td>
                <td><?php echo date("H:i",strtotime($rs->fields['fecha_apertura'])); ?> hs.</td>
              </tr>
              <tr>
                <td>N&deg; Caja</td>
                <td><?php echo $idcaja; ?>&nbsp;</td>
              </tr>
            </tbody>
          </table>
         </td>
        </tr>
      </tbody>
    </table>
    <p>&nbsp;</p>
    <table width="90%" border="0">
      <tbody>
        <tr>
          <td align="left" valign="top"><table width="98%" border="1" style="float:left;">
      <tbody>
        <tr>
          <td colspan="2" align="center" bgcolor="#F8FFCC">Resumen de Movimientos</td>
        </tr>
        <tr>
          <td width="50%">Monto Apertura</td>
          <td width="50%"><?php echo formatomoneda($monto_apertura); ?></td>
        </tr>
        <tr>
          <td>Monto Cierre</td>
          <td><?php if($estado == 1){ echo "Caja Abierta"; }else{  echo formatomoneda($montocierre); } ?></td>
        </tr>
        <tr>
          <td>Tickets/Factura Credito</td>
          <td><?php echo formatomoneda($tventacred); ?></td>
        </tr>
        <tr>
          <td>Descuentos a clientes</td>
          <td><?php echo formatomoneda($rs->fields['descuento']); ?></td>
        </tr>
        <tr>
          <td>Deliverys no cobrados</td>
          <td><?php echo formatomoneda($total_delivery); ?></td>
        </tr>
        <tr>
          <td>Pagos por Caja Recaudacion</td>
          <td><?php echo formatomoneda($totalpagos_r); ?></td>
        </tr>
        <tr>
          <td>Anulaciones</td>
          <td><?php echo formatomoneda($rsanul->fields['total_anulado']);?></td>
        </tr>
      </tbody>
    </table><div class="clear"></div><br />

          <table width="98%" border="1" style="float:left;">
      <tbody>
        <tr>
          <td colspan="2" align="center" bgcolor="#F8FFCC">Caja Chica</td>
        </tr>
        <tr>
          <td width="50%">Apertura Caja Chica</td>
          <td width="50%"><?php echo formatomoneda($caja_chica); ?></td>
        </tr>
        <tr>
          <td>Pagos por Caja Chica</td>
          <td><?php echo formatomoneda($totalpagos); ?></td>
        </tr>
        <tr>
          <td>Cierre Caja Chica</td>
          <td><?php if($estado == 1){ echo "Caja Abierta"; }else{  echo formatomoneda($caja_chica_cierre); } ?></td>
        </tr>
      </tbody>
    </table><br />
    </td>
          <td width="50%" align="right" valign="top">
          
          <table width="98%" border="1" style="float:right;">
      <tbody>
        <tr>
          <td colspan="2" align="center" bgcolor="#F8FFCC">Resumen de Caja</td>
        </tr>
        <tr>
          <td width="50%"><strong>Efectivo</strong></td>
          <td width="50%"><?php echo formatomoneda($tefe); ?></td>
        </tr>
        <tr>
          <td><strong>Tarjeta de Credito</strong></td>
          <td><?php echo formatomoneda($tarje) ?></td>
        </tr>
        <tr>
          <td><strong>Tarjeta de Debito</strong></td>
          <td><?php echo formatomoneda($tarjedeb); ?></td>
        </tr>
        <tr>
          <td><strong>Cheque</strong></td>
          <td><?php echo formatomoneda($tcheque); ?></td>
        </tr>
        <tr>
          <td>Transferencia</td>
          <td><?php echo formatomoneda($ttransfer); ?></td>
        </tr>
      </tbody>
    </table>
    <br />
    <div class="clear"></div> <br />
     <table width="98%" border="1" style="float:right;">
       <tr>
         <td>Sobrante Recaudacion</td>
         <td><?php if($estado == 1){ echo "Caja Abierta"; }else{ echo formatomoneda($rs->fields['sobrante']); } ?></td>
       </tr>
       <tr>
         <td>Faltante Recaudacion</td>
         <td><span style="color:#FF0000;"><?php if($estado == 1){ echo "Caja Abierta"; }else{  echo formatomoneda($rs->fields['faltante']); } ?></span></td>
       </tr>
      <tbody>
        <tr>
          <td width="50%"><strong>Total Recaudacion</strong></td>
          <td width="50%"><?php echo formatomoneda($totalrecauda); ?></td>
        </tr>
      </tbody>
    </table>
          <p>&nbsp;</p>
          
          </td>
        </tr>
      </tbody>
    </table>
    
    <p>&nbsp;</p>
    <p align="center">Documentos:</p>
    <p>&nbsp;</p><?php 
	
	$consulta="
	SELECT *, (select descripcion from gest_bancos where banco = gest_pagos.banco) as banco
	FROM gest_pagos
	where
	idcaja = $idcaja
	and estado = 1
	and montocheque > 0
	";
	$rsv = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
	?>
    <table width="90%" border="0">
      <tbody>
        <tr>
          <td align="left" valign="top"><table width="98%" border="1" style="float:left;">
            <tbody>
              <tr>
                <td colspan="3" align="center" bgcolor="#F8FFCC">Cheques</td>
              </tr>
              <tr>
                <td width="34%" align="center" bgcolor="#CCCCCC">Banco</td>
                <td width="33%" align="center" bgcolor="#CCCCCC">Numero</td>
                <td width="33%" align="center" bgcolor="#CCCCCC">Monto</td>
              </tr>
<?php while (!$rsv->EOF){	?>
              <tr>
                <td align="center"><?php echo $rsv->fields['banco']; ?></td>
                <td align="center"><?php echo $rsv->fields['chequenum']; ?></td>
                <td align="center"><?php echo formatomoneda($rsv->fields['montocheque']); ?></td>
              </tr>
<?php $rsv->MoveNext(); } ?>
            </tbody>
          </table>
</td>
          <td width="50%" align="right" valign="top"><table width="98%" border="1" style="float:left;">
            <tbody>
              <tr>
                <td colspan="3" align="center" bgcolor="#F8FFCC">Facturas</td>
              </tr>
              <tr>
                <td width="50%" align="center" bgcolor="#CCCCCC">Desde</td>
                <td width="50%" align="center" bgcolor="#CCCCCC">Hasta</td>
              </tr>
              <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
              </tr>
            </tbody>
          </table>
     </td>
        </tr>
      </tbody>
    </table>
    <p>&nbsp;</p>
    
    <br /><hr /><br />
    <table width="90%" border="0">
      <tbody>
        <tr>
          <td align="left" valign="top"><table width="98%" border="1" style="float:left;">
            <tbody>
              <tr>
                <td colspan="3" align="center" bgcolor="#F8FFCC">Entregado por</td>
              </tr>
              <tr>
                <td width="30%" align="left">Firma</td>
                <td width="70%" align="center">&nbsp;</td>
              </tr>
              <tr>
                <td align="left">Aclaracion</td>
                <td align="center">&nbsp;</td>
              </tr>
              <tr>
                <td align="left">Fecha</td>
                <td align="center">&nbsp;</td>
              </tr>

            </tbody>
          </table>
</td>
          <td width="50%" align="right" valign="top"><table width="98%" border="1" style="float:left;">
            <tbody>
              <tr>
                <td colspan="3" align="center" bgcolor="#F8FFCC">Entregado por</td>
              </tr>
              <tr>
                <td width="30%" align="left">Firma</td>
                <td width="70%" align="center">&nbsp;</td>
              </tr>
              <tr>
                <td align="left">Aclaracion</td>
                <td align="center">&nbsp;</td>
              </tr>
              <tr>
                <td align="left">Fecha</td>
                <td align="center">&nbsp;</td>
              </tr>

            </tbody>
          </table></td>
        </tr>
      </tbody>
    </table>
    <p>&nbsp;</p>
  </div> 
  <!-- contenedor -->
  <div class="clear"></div><!-- clear1 -->
</div> <!-- cuerpo -->
<div class="clear"></div><!-- clear2 -->
<?php require("includes/pie.php"); ?>
</body>
</html>