<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="467";
require_once("includes/rsusuario.php"); 


$idcaja=intval($_GET['id']);
if($idcaja == 0){
	header("location: informe_caja_new.php");
	exit;	
}

if($idusu != 2 && $idusu != 3){
	$whereadd2="
	and cajero <> 3
	and cajero <> 2
	";
}
$consulta="
select * , (select usuario from usuarios where idusu = caja_super.cajero) as cajero_usu,
(select nombre from sucursales where idempresa = $idempresa and idsucu = caja_super.sucursal) as sucursal
from caja_super
where
estado_caja <> 6
and idcaja = $idcaja
$whereadd2
order by caja_super.estado_caja asc, fecha_apertura desc
$limit
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcaja=intval($rs->fields['idcaja']);
$idnumeradorcab=intval($rs->fields['idnumeradorcab']);
if($idcaja == 0){
	header("location: informe_caja_new.php");
	exit;	
}

/*
$consulta="
SELECT caja_gestion_mov_tipos.tipo_movimiento, formas_pago.descripcion, gest_pagos_det.monto_pago_det, gest_pagos_det_datos.*,
(select )
FROM gest_pagos
inner join gest_pagos_det on gest_pagos_det.idpago = gest_pagos.idpago
left join gest_pagos_det_datos on gest_pagos_det_datos.idpagodet = gest_pagos_det.idpagodet
inner join formas_pago on formas_pago.idforma = gest_pagos_det.idformapago
inner join caja_gestion_mov_tipos on caja_gestion_mov_tipos.idtipocajamov = gest_pagos.idtipocajamov
";
$rscob = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
*/

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  <script>
function modal_formapago(idpago,idpago_afavor){
	var direccionurl='informe_caja_det_eventos_formapago.php';	
	var parametros = {
	  "idpago" : idpago,
	  "idpago_afavor" : idpago_afavor
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$('#modal_ventana').modal('show');
			$("#modal_titulo").html('Forma de Pago del Evento');
			$("#modal_cuerpo").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			$("#modal_cuerpo").html(response);
		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Informe de Caja</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php 
$refemenu="eve";
require_once("includes/menu_cajanew.php");

?>
<hr />

<p><a href="informe_caja_det_eventos_xls.php?id=<?php echo $idcaja; ?>" class="btn btn-sm btn-default"><span class="fa fa-file-excel-o"></span> Descargar</a></p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
      <thead>
            <tr align="center" valign="middle">
        
              <th>Idcaja</th>
              <th>Sucursal</th>
              <th>Apertura</th>
              <th>Cierre</th>
              <th>Estado</th>
              <th>Cajero</th>
              <th>Monto Apertura</th>
              <th>Monto al cierre</th>
              <th>Sobrante</th>
              <th>Faltante</th>
            </tr>
    </thead>    
	<tbody>
<?php 


$estado=$rs->fields['estado_caja'];
if($estado==1){
	$estadocaja="Abierta";
}else if($estado==3){
	$estadocaja="Cerrada";
}else{
	$estadocaja="Indeterminada";	
}
?>
            <tr align="center" valign="middle">
      
              <td><?php echo $rs->fields['idcaja']; ?></td>
              <td align="left"><?php echo $rs->fields['sucursal']; ?></td>
              <td><?php echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_apertura'])); ?></td>
              <td><?php if($rs->fields['fecha_cierre'] != ''){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_cierre'])); } ?></td>
              <td><?php echo $estadocaja?></td>
              <td><?php echo capitalizar($rs->fields['cajero_usu']); ?></td>
              <td align="right"><?php echo formatomoneda($rs->fields['monto_apertura']); ?></td>
              <td><?php if($estado==3){ echo formatomoneda($rs->fields['monto_cierre']); }else{ echo "Caja Abierta"; }  ?></td>
              <td align="right"><?php if($estado==3){ echo formatomoneda($rs->fields['sobrante']); }else{ echo "Caja Abierta"; }  ?></td>
              <td align="right" style="color:#FF0000;"><?php if($estado==3){  echo formatomoneda($rs->fields['faltante']); }else{ echo "Caja Abierta"; } ?></td>
            </tr>

      </tbody>

    </table>
</div>
<br />

<br />
	<strong>Cobranzas de cuentas Credito de Eventos:</strong><br />
	<?php 
  
	$buscar="
	SELECT pedidos_eventos.nombre_evento, 
	gest_pagos.idcliente, gest_pagos.idpago, cobros_pedidos_eventos.monto_aplicado as total_cobrado,
	cliente.razon_social as titular, cuentas_clientes_pagos_cab.registrado_el,
	cuentas_clientes_pagos_cab.recibo
	from gest_pagos
  inner join cobros_pedidos_eventos on 
  cobros_pedidos_eventos.idcobro = gest_pagos.idcuentaclientepagcab
	inner join cuentas_clientes_pagos_cab on 
  cuentas_clientes_pagos_cab.idcuentaclientepagcab=cobros_pedidos_eventos.idcobro
	inner join cliente on cliente.idcliente = cuentas_clientes_pagos_cab.idcliente
  inner join pedidos_eventos on pedidos_eventos.regid = cobros_pedidos_eventos.idevento
	where  
	gest_pagos.estado <> 6
	and gest_pagos.idcaja = $idcaja
	and cuentas_clientes_pagos_cab.estado <> 6
	";
	$cobrocaja=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tcobros=$cobrocaja->RecordCount();

	
	?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
    <thead>
		<tr>
      <th><strong>Nombre evento</strong></th>
			<th><strong>Id Pago</strong></th>
			<th><strong>Titular</strong></th>
			<th><strong>Monto Abonado</strong></th>
            <th><strong>Recibo</strong></th>
			<th><strong>Fecha Hora</strong></th>
		</tr>
        </thead>
        <tbody>
		<?php 
		while(!$cobrocaja->EOF){
				$adhe=intval($cobrocaja->fields['idadherente']);
				$titu=intval($cobrocaja->fields['idcliente']);
				$pag=intval($cobrocaja->fields['idpago']);
				$totalcred=$cobrocaja->fields['total_cobrado'];
				$totalcredacum+=$totalcred;
		?>
		<tr>
    <td align="left"><?php echo $cobrocaja->fields['nombre_evento'];?></td>
			<td height="27" align="left"><a href="informe_caja_cobro_det.php?id=<?php echo $cobrocaja->fields['idcuentaclientepagcab']?>"><?php echo $cobrocaja->fields['idpago']?></a></td>
		  <td align="left"><?php echo $cobrocaja->fields['titular'];?></td>
		  <td align="right"><?php echo formatomoneda($cobrocaja->fields['total_cobrado']);?></td>
          <td align="center"><?php echo $cobrocaja->fields['recibo'];?></td>
		  <td align="right"><?php echo date("d/m/Y H:i:s",strtotime($cobrocaja->fields['registrado_el']))?></td>
		</tr>
		
		<?php $cobrocaja->MoveNext();}?>
        </tbody>
        <tfoot>
		 <tr valign="middle">
     <td>Totales</td>
			<td></td>
      <td></td>
      <td align="right"><?php echo formatomoneda($totalcredacum); ?></td>
      <td></td>
			<td></td>
	  </tr>
    </tfoot>
	</table>
    </div>
	<br />					  
		  



<?php 

/*$consulta="
SELECT  gest_pagos.idpago,cuentas_clientes_pagos_cab.monto_abonado.saldo,
cuentas_clientes_pagos_cab.recibo,pedidos_eventos.nombre_evento
from gest_pagos
inner join gest_pagos_det on gest_pagos_det.idpago = gest_pagos.idpago
inner join cuentas_clientes_pagos_cab on gest_pagos.idcuentaclientepagcab = cuentas_clientes_pagos_cab.idcuentaclientepagcab
inner join cliente on cliente.idcliente = cuentas_clientes_pagos_cab.idcliente
inner join gest_pagos_det_datos on gest_pagos_det_datos.idpagodet = gest_pagos_det.idpago
inner join pedidos_eventos on pedidos_eventos.regid = gest_pagos_det_datos.idevento
where 
gest_pagos.estado <> 6
and gest_pagos.idcaja = $idcaja
and cuentas_clientes_pagos_cab.estado <> 6
";*/


$consulta="
select * ,
(select usuario from usuarios where cuentas_clientes_pagos_cab.registrado_por = usuarios.idusu) as registrado_por,
(select razon_social from cliente where cliente.idcliente = cuentas_clientes_pagos_cab.idcliente) as cliente
from cuentas_clientes_pagos_cab 
inner join pagos_afavor_adh on pagos_afavor_adh.idpago_afavor = cuentas_clientes_pagos_cab.idpago_afavor
inner join pedidos_eventos on pedidos_eventos.regid = pagos_afavor_adh.idevento
where 
cuentas_clientes_pagos_cab.estado = 1
and pagos_afavor_adh.estado <> 6
and cuentas_clientes_pagos_cab.notanum is null
and cuentas_clientes_pagos_cab.idcaja_old = $idcaja
order by cuentas_clientes_pagos_cab.registrado_el asc;
";



$rscob = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<div class="clearfix" style="
clear: left;
clear: right;
clear: both;
clear: inline-start;
clear: inline-end;
clear: inherit;
"></div><br />
<div style="margin-top:10px;"></div>
<br />		<br />				  
<strong>Recibos de Eventos</strong>


<div class="table-responsive">
    <table border="1" width="100%" class="table table-bordered jambo_table bulk_action" style="border-collapse: collapse;border: 1px solid #9F9F9F;">
      <thead>
            <tr align="center" valign="middle">
			  <th></th>
              <th>Nombre Evento</th>
              <th>Recibo</th>
              <th>Monto Anticipo</th>
			        <th>Monto Facturado</th>
			        <th>Saldo No Facturado</th>
			        <th>Fecha Hora</th>
            </tr>
    </thead>    
	<tbody>
<?php 
$monto_factu_acum=0;
$monto_pago_det_acum=0;
$monto_saldo_acum=0;


while(!$rscob->EOF){ 
/*$banco=$rscob->fields['banco'];	
$transfer_numero=$rscob->fields['transfer_numero'];
$tarjeta_boleta=$rscob->fields['tarjeta_boleta'];
$cheque_numero=$rscob->fields['cheque_numero'];
$boleta_deposito=$rscob->fields['boleta_deposito'];
$retencion_numero=$rscob->fields['retencion_numero'];
	
	
$datos_extra="";
if(trim($banco) != ''){
	$datos_extra.="Banco: $banco<br />";
}
if(trim($transfer_numero) != ''){
	$datos_extra.="Transfer Nro.: $transfer_numero<br />";
}
if(trim($tarjeta_boleta) != ''){
	$datos_extra.="Voucher Tarj Nro.: $tarjeta_boleta<br />";
}
if(trim($cheque_numero) != ''){
	$datos_extra.="Cheque Nro.: $cheque_numero<br />";
}
if(trim($boleta_deposito) != ''){
	$datos_extra.="Boleta Dep. Nro.: $boleta_deposito<br />";
}
if(trim($retencion_numero) != ''){
	$datos_extra.="Retencion Nro.: $retencion_numero<br />";
}*/
$monto_facturado=$rscob->fields['monto_abonado']-$rscob->fields['saldo'];
		?>
            <tr align="center" valign="middle">
				<td><a href="javascript:void(0);" onclick="modal_formapago(<?php echo intval($rscob->fields['idpago']); ?>,<?php echo intval($rscob->fields['idpago_afavor']); ?>);" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a></td>
              <td align="left"><?php echo $rscob->fields['nombre_evento']; ?></td>
			  <td align="center"><?php echo antixss($rscob->fields['recibo']); ?></td>
			  <td align="right"><?php echo formatomoneda($rscob->fields['monto_abonado']); ?></td>
			  <td align="right"><?php echo formatomoneda($monto_facturado); ?></td>
			  <td align="right"><?php echo formatomoneda($rscob->fields['saldo']); ?></td>
			 <!-- <td align="left"><?php echo antixss($rscob->fields['formapago']); ?></td>
			  <td align="left"><?php echo $datos_extra; ?></td>-->
              <td align="center"><?php echo date("d/m/Y H:i:s",strtotime($rscob->fields['fechahora'])); ?></td>
            </tr>
<?php 
$monto_pago_det_acum+=$rscob->fields['monto_abonado'];
$monto_factu_acum+=$monto_facturado;
$monto_saldo_acum+=$rscob->fields['saldo'];
$rscob->MoveNext(); } //$rs->MoveFirst(); ?>
      </tbody>
	<tfoot>
            <tr align="center" valign="middle">
              <td align="left">Totales</td>
			  <td align="center"></td>
			  <td align="center"></td>
			  <td align="right"><?php echo formatomoneda($monto_pago_det_acum); ?></td>
			  <td align="right"><?php echo formatomoneda($monto_factu_acum); ?></td>
			  <td align="right"><?php echo formatomoneda($monto_saldo_acum); ?></td>
			  <td align="left"></td>

            </tr>

      </tfoot>
    </table>
</div>


				
<?php 
//ORININAL ANTES DEL MODULO FACTURACION MULTIPLE DE EVENTOS Y LAS FACTURAS A CREDITO 20/10/2023
/*$consulta="
select  pedidos_eventos.nombre_evento, ventas.factura, ventas.fecha,
formas_pago.descripcion as formapago, gest_pagos_det.monto_pago_det,
gest_pagos_det_datos.*,
(select nombre from bancos where idbanco = gest_pagos_det_datos.idbanco) as banco,
(select nombre from bancos where idbanco = gest_pagos_det_datos.idbanco_propio) as banco_propio
from ventas 
inner join gest_pagos on gest_pagos.idventa = ventas.idventa
inner join gest_pagos_det on gest_pagos_det.idpago = gest_pagos.idpago
left join gest_pagos_det_datos on gest_pagos_det_datos.idpagodet = gest_pagos_det.idpagodet
inner join formas_pago on formas_pago.idforma = gest_pagos_det.idformapago
inner join pedidos_eventos on pedidos_eventos.regid = gest_pagos_det_datos.idevento
where 
ventas.idcaja = $idcaja
and ventas.estado <> 6
and gest_pagos.estado <> 6
order by pedidos_eventos.nombre_evento asc, ventas.fecha asc
";*/ 

$consulta="
select ventas.factura, 'CONTADO' AS condicion, ventas.fecha,
ventas_pedidos_eventos.monto_aplicado as monto_facturado, 
ventas_pedidos_eventos.monto_aplicado as monto_cobrado, 
'' as idpagodetdatos, 
'' as idpagodet, 
'' as idbanco, 
'' as idbanco_propio, 
'' as transfer_numero, 
'' as tarjeta_boleta, 
'' as cheque_numero, 
'' as boleta_deposito, 
'' as retencion_numero, 
'' as idpago_afavor, 
'' as id_denominacion_tarjeta, 
'' as id_forma_procesamiento_pago, 
'' as idevento, 
'' as numero_cheque, 
'' as banco,
'' as banco_propio,
(select pedidos_eventos.nombre_evento from pedidos_eventos where pedidos_eventos.regid =  ventas_pedidos_eventos.idevento) as nombre_evento
from ventas 
inner join gest_pagos on gest_pagos.idventa = ventas.idventa
inner join ventas_pedidos_eventos on ventas_pedidos_eventos.idventa = ventas.idventa
where 
ventas.idcaja = $idcaja
and ventas.estado <> 6
and ventas.tipo_venta = 1

union all

select ventas.factura, 'CREDITO' AS condicion, ventas.fecha,
ventas_pedidos_eventos.monto_aplicado as monto_facturado, 
(
select 
sum(cuentas_clientes_pagos.monto_abonado) as monto_cobrado
from cuentas_clientes_pagos 
inner join cuentas_clientes on cuentas_clientes.idcta =  cuentas_clientes_pagos.idcuenta
where
cuentas_clientes_pagos.estado <> 6
and cuentas_clientes.idventa = ventas.idventa
) as monto_cobrado,
'' as idpagodetdatos, 
'' as idpagodet, 
'' as idbanco, 
'' as idbanco_propio, 
'' as transfer_numero, 
'' as tarjeta_boleta, 
'' as cheque_numero, 
'' as boleta_deposito, 
'' as retencion_numero, 
'' as idpago_afavor, 
'' as id_denominacion_tarjeta, 
'' as id_forma_procesamiento_pago, 
'' as idevento, 
'' as numero_cheque, 
'' as banco,
'' as banco_propio,
(select pedidos_eventos.nombre_evento from pedidos_eventos where pedidos_eventos.regid =  ventas_pedidos_eventos.idevento) as nombre_evento
from ventas 
inner join ventas_pedidos_eventos on ventas_pedidos_eventos.idventa = ventas.idventa
where 
ventas.idcaja = $idcaja
and ventas.estado <> 6
and ventas.tipo_venta = 2
order by  fecha asc
";

$rsven = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));		
/*$consulta="
select pedidos_eventos.nombre_evento, ventas.factura, ventas.fecha,
formas_pago.descripcion as formapago, gest_pagos_det.monto_pago_det,
gest_pagos_det_datos.*,
(select nombre from bancos where idbanco = gest_pagos_det_datos.idbanco) as banco,
(select nombre from bancos where idbanco = gest_pagos_det_datos.idbanco_propio) as banco_propio
from ventas 
//  
inner join ventas_pedidos_eventos on ventas_pedidos_eventos.idventa = ventas.idventa
inner join gest_pagos on gest_pagos.idventa = ventas.idventa
inner join gest_pagos_det on gest_pagos_det.idpago = gest_pagos.idpago
left join gest_pagos_det_datos on gest_pagos_det_datos.idpagodet = gest_pagos_det.idpagodet
inner join formas_pago on formas_pago.idforma = gest_pagos_det.idformapago
inner join pedidos_eventos on pedidos_eventos.regid = ventas_pedidos_eventos.idevento
where 
ventas_pedidos_eventos.idevento is not null
and ventas.idcaja = $idcaja
order by pedidos_eventos.nombre_evento asc, ventas.fecha asc
";
$rsven = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));			
*/
?>
<hr />					  
<strong>Facturas de Eventos</strong>




<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
      <thead>
            <tr align="center" valign="middle">
              <th>Nombre Evento</th>
              <th>Factura</th>
              <th>Monto</th>
			  <th>Fecha Hora</th>
            </tr>
    </thead>    
	<tbody>
<?php 
$monto_pago_det_acum=0;		
while(!$rsven->EOF){
$banco=$rsven->fields['banco'];	
$banco_propio=$rsven->fields['banco_propio'];
$transfer_numero=$rsven->fields['transfer_numero'];
$tarjeta_boleta=$rsven->fields['tarjeta_boleta'];
$cheque_numero=$rsven->fields['cheque_numero'];
$boleta_deposito=$rsven->fields['boleta_deposito'];
$retencion_numero=$rsven->fields['retencion_numero'];
	
	
$datos_extra="";
if(trim($banco) != ''){
	$datos_extra.="Banco Cliente: $banco<br />";
}
if(trim($banco_propio) != ''){
	$datos_extra.="Banco Destino: $banco_propio<br />";
}
if(trim($transfer_numero) != ''){
	$datos_extra.="Transfer Nro.: $transfer_numero<br />";
}
if(trim($tarjeta_boleta) != ''){
	$datos_extra.="Voucher Tarj Nro.: $tarjeta_boleta<br />";
}
if(trim($cheque_numero) != ''){
	$datos_extra.="Cheque Nro.: $cheque_numero<br />";
}
if(trim($boleta_deposito) != ''){
	$datos_extra.="Boleta Dep. Nro.: $boleta_deposito<br />";
}
if(trim($retencion_numero) != ''){
	$datos_extra.="Retencion Nro.: $retencion_numero<br />";
}	
$monto_pago_det_acum+=$rsven->fields['monto_facturado'];	
		?>
            <tr align="center" valign="middle">
              <td align="left"><?php echo $rsven->fields['nombre_evento']; ?></td>
			  <td align="center"><?php echo antixss($rsven->fields['factura']); ?></td>
			  <td align="right"><?php echo formatomoneda($rsven->fields['monto_facturado']); ?></td>
              <td align="center"><?php echo date("d/m/Y H:i:s",strtotime($rsven->fields['fecha'])); ?></td>
            </tr>
<?php $rsven->MoveNext(); } //$rs->MoveFirst(); ?>
      </tbody>
      <tfoot>
            <tr align="center" valign="middle">
              <td align="left">Totales</td>
			  <td align="center"></td>
			  <td align="right"><?php echo formatomoneda($monto_pago_det_acum); ?></td>
              <td align="center"></td>
            </tr>
      </tfoot>
    </table>
</div>


<hr />					  
<strong>Resumen por Forma de pago de Eventos</strong>		  
<?php 
					  /*
select 
formas_pago.descripcion as formapago, gest_pagos_det.monto_pago_det
from pagos_afavor_adh 
inner join cuentas_clientes_pagos_cab on cuentas_clientes_pagos_cab.idpago_afavor = pagos_afavor_adh.idpago_afavor
inner join gest_pagos on gest_pagos.idpago = pagos_afavor_adh.idpago
inner join gest_pagos_det on gest_pagos_det.idpago = gest_pagos.idpago
left join gest_pagos_det_datos on gest_pagos_det_datos.idpagodet = gest_pagos_det.idpagodet
inner join formas_pago on formas_pago.idforma = gest_pagos_det.idformapago
inner join pedidos_eventos on pedidos_eventos.regid = pagos_afavor_adh.idevento
where 
pagos_afavor_adh.idevento is not null
and cuentas_clientes_pagos_cab.estado <> 6
and cuentas_clientes_pagos_cab.idcaja_old = $idcaja*/

$consulta="
select formapago, sum(monto) as monto
from (

  select 
  formas_pago.descripcion as formapago, pagos_afavor_adh.monto as monto
  from pagos_afavor_adh 
  inner join cuentas_clientes_pagos_cab on cuentas_clientes_pagos_cab.idpago_afavor = pagos_afavor_adh.idpago_afavor
  inner join gest_pagos on gest_pagos.idpago = pagos_afavor_adh.idpago
  inner join gest_pagos_det on gest_pagos_det.idpago = gest_pagos.idpago
  left join gest_pagos_det_datos on gest_pagos_det_datos.idpagodet = gest_pagos_det.idpagodet
  inner join formas_pago on formas_pago.idforma = gest_pagos_det.idformapago
  inner join pedidos_eventos on pedidos_eventos.regid = pagos_afavor_adh.idevento
  where 
  pagos_afavor_adh.idevento is not null
  and cuentas_clientes_pagos_cab.estado <> 6
  and cuentas_clientes_pagos_cab.idcaja_old = $idcaja

union all

  select  
  formas_pago.descripcion as formapago, gest_pagos_det.monto_pago_det as monto
  from ventas 
  inner join gest_pagos on gest_pagos.idventa = ventas.idventa
  inner join gest_pagos_det on gest_pagos_det.idpago = gest_pagos.idpago
  left join gest_pagos_det_datos on gest_pagos_det_datos.idpagodet = gest_pagos_det.idpagodet
  inner join formas_pago on formas_pago.idforma = gest_pagos_det.idformapago
  inner join pedidos_eventos on pedidos_eventos.regid = gest_pagos_det_datos.idevento
  where 
  ventas.idcaja = $idcaja
  and ventas.estado <> 6
  and gest_pagos.estado <> 6

) as formapagovta
group by formapago
order by formapagovta.formapago asc
";
$rsfp = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
					  
?>		
					  
					  
					  
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Forma Pago</th>
			<th align="center">Monto</th>
		</tr>
	  </thead>
	  <tbody>
<?php 
$monto_acum=0;
while(!$rsfp->EOF){
$monto_acum+=$rsfp->fields['monto'];		  
?>
		<tr>

			<td align="left"><?php echo antixss($rsfp->fields['formapago']); ?></td>
			<td align="right"><?php echo formatomoneda($rsfp->fields['monto']); ?></td>

		</tr>
<?php 

$rsfp->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
	  <tfoot>
		<tr>
			<td>Totales</td>
			<td align="right"><?php echo formatomoneda($monto_acum); ?></td>
		</tr>
	  </tfoot>
    </table>
</div>
<br />					  
					  
					  
					  
					  
<div class="clearfix"></div>
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->


        <!-- POPUP DE MODAL OCULTO -->
        <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
