<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="79";
require_once("includes/rsusuario.php");

set_time_limit(0);
//error_reporting (E_ALL);

function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	return utf8_decode($txt);
}
 $idinventario_desde=intval($_GET['ind']);
if($idinventario_desde == 0){
	echo "- No se envio el codigo de inventario.";
	exit;
}

$consulta="
select 
insumos_lista.idinsumo as cod_articulo, 
insumos_lista.descripcion as articulo,
REPLACE(cantidad_sistema,'.',',') as cantidad_sistema, 
REPLACE(cantidad_contada,'.',',')  as cantidad_contada, 
REPLACE(diferencia,'.',',')  as diferencia,  
REPLACE(precio_costo,'.',',')  as precio_costo, 
REPLACE(precio_venta,'.',',')  as precio_venta, 
REPLACE(precio_costo*cantidad_contada,'.',',') as stock_valorizado_pcosto,
REPLACE(precio_venta*cantidad_contada,'.',',') as stock_valorizado_pventa,
REPLACE(precio_costo*diferencia,'.',',') as dif_valorizada_pcosto,
REPLACE(precio_venta*diferencia,'.',',') as dif_valorizada_pventa

from inventario_detalles 
inner join inventario on inventario.idinventario = inventario_detalles.idinventario
inner join insumos_lista on insumos_lista.idinsumo = inventario_detalles.idinsumo
where
inventario.estado = 3
and inventario.idinventario = $idinventario_desde
and hab_invent = 1
order by inventario_detalles.diferencia asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
//$rs=$rsvdet;

$datos="";


// CONSTRUYE CABECERA
$array=$rs->fields;
foreach($array as $key=>$value){
	$i++;
	$datos.=limpiacsv($key).';';
}
reset($array);
$datos.=$saltolinea;





$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=informe_desvio_'.$impreso.'.csv');
	
echo $datos;


//CONSTRUYE CUERPO
//$ante=0;
$fila=1;
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		echo limpiacsv($value).';';
	}
	echo $saltolinea;
$rs->MoveNext(); }


exit; 		
?>