<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="40";
$submodulo="571";
require_once("includes/rsusuario.php"); 


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}


if ($_REQUEST['fechad'] && $_REQUEST['fechah']){
	$fechah=date("Y-m-d",strtotime($_REQUEST['fechah']));
	$fechad=date("Y-m-d",strtotime($_REQUEST['fechad']));
} else {
	$wherefecha = "";
	$fechad=date("Y-m-d");
	$fechah=date("Y-m-d", strtotime("+7 days"));
}


if($_GET['idsucufactu'] > 0){
	$idsucu=intval($_GET['idsucufactu']);
	$whereaddfactu=" and ventas.sucursal = $idsucu ";
}

if($_GET['idsucu'] > 0){
	$idsucuevento=intval($_GET['idsucu']);
	$whereaddevento=" and pedidos_eventos.idsucursal = $idsucuevento ";
}


	//verificamos si existe la preferencia de solo visualizar los datos de su sucursal.
	$filtrosucursal='';
	$consultapref = "select idusu from usuarios_preferencias_sucursal where idusu = $idusu";
	$rspref = $conexion->Execute($consultapref) or die(errorpg($conexion,$consultapref));
	
	if(intval($rspref->fields['idusu'])>0){
		$filtrosucursal = " and ventas.sucursal = $idsucursal";
		$filtrocombo = " and sucursales.idsucu = $idsucursal";
	}

  $consulta="
  select ventas.factura, 'CONTADO' AS condicion, ventas.fecha,
  ventas_pedidos_eventos.monto_aplicado as monto_facturado, 
  ventas_pedidos_eventos.monto_aplicado as monto_cobrado, 
  (select pedidos_eventos.nombre_evento from pedidos_eventos where pedidos_eventos.regid =  ventas_pedidos_eventos.idevento) as nombre_evento,
  (select sucursales.nombre from pedidos_eventos
  inner join sucursales on sucursales.idsucu = pedidos_eventos.idsucursal
  where pedidos_eventos.regid =  ventas_pedidos_eventos.idevento) as sucursal_evento,
  usuarios.usuario,sucursales.nombre as sucursal_factura
  from ventas 
  inner join gest_pagos on gest_pagos.idventa = ventas.idventa
  inner join ventas_pedidos_eventos on ventas_pedidos_eventos.idventa = ventas.idventa
  inner join pedidos_eventos on pedidos_eventos.regid = ventas_pedidos_eventos.idevento
  inner join usuarios on usuarios.idusu = ventas.registrado_por
  inner join sucursales on sucursales.idsucu = ventas.sucursal
  where 
  date(ventas.fecha) >= '$fechad'
  and date(ventas.fecha) <= '$fechah'
  and ventas.finalizo_correcto = 'S'
  and ventas.estado <> 6
  and ventas.tipo_venta = 1
  $whereaddfactu
  $whereaddevento
  
  union all
  
  select ventas.factura, 'CREDITO' AS condicion, ventas.fecha,
  ventas_pedidos_eventos.monto_aplicado as monto_facturado, 
  (
  select 
  sum(cuentas_clientes_pagos.monto_abonado) as monto_cobrado
  from cuentas_clientes_pagos 
  inner join cuentas_clientes on cuentas_clientes.idcta =  cuentas_clientes_pagos.idcuenta
  where
  cuentas_clientes_pagos.estado <> 6
  and cuentas_clientes.idventa = ventas.idventa
  ) as monto_cobrado,
  (select pedidos_eventos.nombre_evento from pedidos_eventos where pedidos_eventos.regid =  ventas_pedidos_eventos.idevento) as nombre_evento,
  (select sucursales.nombre from pedidos_eventos
  inner join sucursales on sucursales.idsucu = pedidos_eventos.idsucursal
  where pedidos_eventos.regid =  ventas_pedidos_eventos.idevento) as sucursal_evento,
  usuarios.usuario,sucursales.nombre as sucursal_factura
  from ventas 
  inner join ventas_pedidos_eventos on ventas_pedidos_eventos.idventa = ventas.idventa
  inner join pedidos_eventos on pedidos_eventos.regid = ventas_pedidos_eventos.idevento
  inner join usuarios on usuarios.idusu = ventas.registrado_por
  inner join sucursales on sucursales.idsucu = ventas.sucursal
  where 
  date(ventas.fecha) >= '$fechad'
  and date(ventas.fecha) <= '$fechah'
  and ventas.finalizo_correcto = 'S'
  and ventas.estado <> 6
  and ventas.tipo_venta = 2
  $whereaddfactu
  $whereaddevento
  order by fecha asc
  ";

$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


$impreso=date("d/m/Y H:i:s");




// asigna los datos de la consulta a una variable
$array=$rs->fields;

// CONSTRUYE CABECERA
foreach($array as $key=>$value){
	$i++;
	$datos.=limpiacsv($key).';';
}
reset($array);
$datos.=$saltolinea;

//CONSTRUYE CUERPO
$ante=0;
$fila=1;
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($value).';';
	}
	$datos.=$saltolinea;
$rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=Informe_eventos_facturados'.$impreso.'.csv');

echo $datos;
exit;

?>