<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="112";
require_once("includes/rsusuario.php"); 


$idtanda=intval($_GET['idtanda']);
if($idtanda == 0){
    header("location: informe_traslado.php");
    exit;
}


$buscar="
select 
gest_transferencias.fecha_transferencia as fecha_envio_traslado,
gest_transferencias.fecha_recepcion as fecha_recepcion_traslado,
CASE WHEN
	tipo_transfer = 'D'
THEN
	'DIRECTO'
ELSE
	'CON CONFIRMACION'
END tipo_traslado,
iddeposito,gest_transferencias.fecha_transferencia as fechahora,tipomov,deschar,obs,lote,cantidad,insumos_lista.idinsumo as idproducto,
(select descripcion from gest_depositos where iddeposito=gest_depositos_mov.origen) as origen,
gest_depositos_mov.cantidad_recibe,
gest_transferencias.idtanda,
(select descripcion from gest_depositos where iddeposito=gest_depositos_mov.destino) as destino,
insumos_lista.descripcion as productoc,
	(
		select medidas.nombre 
		from insumos_lista
		inner join medidas on insumos_lista.idmedida = medidas.id_medida
		where 
		idinsumo=gest_depositos_mov.idproducto 
	) as medida,
costo_unitario_art as costo,
costo_unitario_art*cantidad as costo_total,

gest_transferencias.fecha_real as envio_registrado_el,
(select usuario from usuarios where gest_transferencias.generado_por = usuarios.idusu) as envio_registrado_por,
gest_transferencias.recep_registrado_el as recepcion_registrada_el,
(select usuario from usuarios where gest_transferencias.recibido_por = usuarios.idusu) as recepcion_registrada_por,
gest_transferencias.idpedidorepo,
(select compras_pedidos.fechapedido from compras_pedidos where idpedido = gest_transferencias.idpedidorepo) as fecha_pedido,
(
select usuario 
from usuarios 
inner join compras_pedidos on compras_pedidos.pedido_por = usuarios.idusu  
where 
compras_pedidos.idpedido = gest_transferencias.idpedidorepo
) as pedido_por,
traslados_estados.estado_traslado,
gest_transferencias.estado,
traslados_estados.color_fondo,
traslados_estados.color_texto,
(select usuario from usuarios where idusu = gest_transferencias.anulado_por) as anulado_por_txt,
gest_transferencias.anulado_el
from  gest_depositos_mov 
inner join gest_transferencias on gest_transferencias.idtanda = gest_depositos_mov.idtanda
inner join insumos_lista on insumos_lista.idinsumo = gest_depositos_mov.idproducto
inner join traslados_estados on traslados_estados.idestadotraslado = gest_transferencias.estado
where 
gest_transferencias.idtanda = $idtanda
";
$rsb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$style_add='style="color:'.$rsb->fields['color_texto'].';background-color:'.$rsb->fields['color_fondo'].';font-weight:bold;"';

		
?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Tanda de traslado Nro. <?php echo $idtanda; ?></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if($rsb->fields['estado'] == 6){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
Anulado por: <?php echo antixss($rsb->fields['anulado_por_txt']) ?><br />
Anulado el: <?php if($rsb->fields['anulado_el'] != ''){ echo date("d/m/Y H:i:s",strtotime($rsb->fields['anulado_el'])); } ?>
</div>
<hr />
<?php } ?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
    	<tr >
        <th  align="center" ><strong>Tanda</strong></th>
		<th  align="center" ><strong>Tipo</strong></th>
		<th  align="center" ><strong>Estado</strong></th>
    	  <th  align="center" ><strong>Fecha Envio</strong></th>
          <th  align="center" ><strong>Fecha Recepcion</strong></th>

          

            <th  align="center" ><strong>Origen</strong></th>
        	<th  align="center" ><strong>Destino</strong></th>
			
			<th  align="center" ><strong>Pedido Nro.</strong></th>
			<th  align="center" ><strong>Pedido por</strong></th>
            <th  align="center" ><strong>Fecha Pedido</strong></th>

            <th  align="center" ><strong>Envio registrado el</strong></th>
            <th  align="center" ><strong>Envio registrado por</strong></th>
            <th  align="center" ><strong>Recepcion registrada el</strong></th>
            <th  align="center" ><strong>Recepcion registrada por</strong></th>
			
            			


        </tr>
        </thead>
        <tbody>

 
        <tr>
         <td align="center"><?php echo $rsb->fields['idtanda'] ?></td>
		 <td align="center"><?php echo $rsb->fields['tipo_traslado'] ?></td>
		 <td align="center" <?php echo $style_add; ?>><?php echo antixss($rsb->fields['estado_traslado']); ?></td>
          <td align="center"><?php echo date("d/m/Y",strtotime($rsb->fields['fecha_envio_traslado']))?></td>
          <td align="center"><?php if($rsb->fields['fecha_recepcion_traslado'] != ''){ echo date("d/m/Y",strtotime($rsb->fields['fecha_recepcion_traslado'])); } ?></td>
            

            <td align="center"><?php echo $rsb->fields['origen'] ?></td>
        	<td align="center"><?php echo ($rsb->fields['destino']) ?></td>
			
			<td align="center"><?php echo antixss($rsb->fields['idpedidorepo']) ?></td>
			<td align="center"><?php echo antixss($rsb->fields['fecha_pedido']) ?></td>
			<td align="center"><?php echo antixss($rsb->fields['pedido_por']) ?></td>

            <td align="center"><?php if($rsb->fields['envio_registrado_el'] != ''){ echo date("d/m/Y H:i:s",strtotime($rsb->fields['envio_registrado_el'])); }  ?></td>
            <td align="center"><?php echo ($rsb->fields['envio_registrado_por']) ?></td>
            <td align="center"><?php if($rsb->fields['recepcion_registrada_el'] != ''){ echo date("d/m/Y H:i:s",strtotime($rsb->fields['recepcion_registrada_el'])); } ?></td>
            <td align="center"><?php echo ($rsb->fields['recepcion_registrada_por']) ?></td>


        </tr>
  

	  </tbody>
    </table>
</div>



<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
    	<tr >
            <th  align="center" ><strong>Articulo</strong></th>
            <th  align="center" ><strong>Medida</strong></th>
        	<th align="center" ><strong>Cantidad Enviada</strong></th>
			<th align="center" ><strong>Cantidad Recibida</strong></th>
            <th  align="center" ><strong>Precio de Costo</strong></th>
            <th align="center" ><strong>Importe Total Env</strong></th>
        </tr>
        </thead>
        <tbody>
<?php 
		$ant="";
		while (!$rsb->EOF){
		   //$totalacum+=$rsb->fields['total'];
		   
		$cantidad_acum+=$rsb->fields['cantidad'];
		$cantidad_recibe_acum+=$rsb->fields['cantidad_recibe'];
		$costo_acum+=$rsb->fields['costo'];
		$costo_total_acum+=$rsb->fields['costo_total'];
?>

        <tr>

            <td align="left"><?php echo $rsb->fields['productoc'] ?> [<?php echo $rsb->fields['idproducto'] ?>]</td>
            <td align="center"><?php echo $rsb->fields['medida']; ?></td>
        	<td align="center"><?php echo formatomoneda($rsb->fields['cantidad'],4,'N') ?></td>
			<td align="center"><?php echo formatomoneda($rsb->fields['cantidad_recibe'],4,'N') ?></td>
            <td align="center"><?php echo formatomoneda($rsb->fields['costo'],0) ?></td>
            <td align="center"><?php echo formatomoneda($rsb->fields['costo_total'],0) ?></td>
        </tr>
        <?php 
		$ant=$rsb->fields['productoc'];
		$rsb->MoveNext();}?>
        <tr style="background-color:#CCC; font-weight:bold;">
          <td align="left">Totales</td>
            <td align="center"></td>
    
        	<td align="center"><?php echo formatomoneda($cantidad_acum,4,'N') ?></td>
			<td align="center"><?php echo formatomoneda($cantidad_recibe_acum,4,'N') ?></td>
            <td align="center"><?php echo formatomoneda($costo_acum,4,'N') ?></td>
            <td align="center"><?php echo formatomoneda($costo_total_acum,4,'N') ?></td>
        </tr>
	  </tbody>
    </table>
</div>

<br /><br /><br /><br /><br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->
        

<!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="cuadro_pop">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">

            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
              </button>
              <h4 class="modal-title" id="myModalLabel">Titulo</h4>
            </div>

            <div class="modal-body" id="modal_cuerpo">
            	Cuerpo
            </div>

            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>

        </div>
    </div>
</div>
<!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
