<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="265";
require_once("includes/rsusuario.php"); 
//exit;

function limpiacsv($txt){ 
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

if(intval($_GET['idcategoria']) > 0){
	$idcategoria=intval($_GET['idcategoria']);
	$whereadd.=" and productos.idcategoria=$idcategoria" ;
}
if(intval($_GET['idsubcate']) > 0){
	$idsubcate=intval($_GET['idsubcate']);
	$whereadd.=" and productos.idsubcate=$idsubcate" ;
}
if(intval($_GET['iddeposito']) > 0){
	$iddeposito=intval($_GET['iddeposito']);
	$whereadd_v.=" and ventas.iddeposito=$iddeposito" ;
	$whereadd_p.=" and produccion_producido.iddeposito=$iddeposito" ;
}

$consulta="
SELECT idinsumo, descripcion, medida, REPLACE(sum(cantidad),'.',',') as cantidad, 
REPLACE(sum(costo)/sum(cantidad),'.',',') as costo_unitario, REPLACE(sum(costo),'.',',') as costo
from 
(
select insumos_lista.idinsumo, insumos_lista.descripcion, medidas.nombre as medida, sum(cantidad) as cantidad,
sum(venta_receta.costo)/sum(venta_receta.cantidad) as costo_unitario, sum(venta_receta.costo) as costo
from ventas
inner join venta_receta on venta_receta.idventa = ventas.idventa
inner join insumos_lista on insumos_lista.idinsumo = venta_receta.idinsumo
inner join medidas on medidas.id_medida = insumos_lista.idmedida
where
ventas.estado <> 6
and date(ventas.fecha) >= '$desde'
and date(ventas.fecha) <= '$hasta'
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
and insumos_lista.hab_invent = 1
$whereadd
$whereadd_v
group by insumos_lista.idinsumo, insumos_lista.descripcion, medidas.nombre

UNION ALL

select insumos_lista.idinsumo, insumos_lista.descripcion, medidas.nombre as medida, sum(cantidad) as cantidad,
sum(venta_receta_bak.costo)/sum(venta_receta_bak.cantidad) as costo_unitario, sum(venta_receta_bak.costo) as costo
from ventas
inner join venta_receta_bak on venta_receta_bak.idventa = ventas.idventa
inner join insumos_lista on insumos_lista.idinsumo = venta_receta_bak.idinsumo
inner join medidas on medidas.id_medida = insumos_lista.idmedida
where
ventas.estado <> 6
and date(ventas.fecha) >= '$desde'
and date(ventas.fecha) <= '$hasta'
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
and insumos_lista.hab_invent = 1
$whereadd
$whereadd_v
group by insumos_lista.idinsumo, insumos_lista.descripcion, medidas.nombre

UNION ALL

select insumos_lista.idinsumo, insumos_lista.descripcion, medidas.nombre as medida, sum(produccion_producido_det.cantidad) as cantidad,
sum(produccion_producido_det.costo_insumo)/sum(produccion_producido_det.cantidad) as costo_unitario,
sum(produccion_producido_det.costo_insumo) as costo
from produccion_producido
inner join produccion_producido_det on produccion_producido.idproducido = produccion_producido_det.idproducido
inner join insumos_lista on insumos_lista.idinsumo = produccion_producido_det.idinsumo
inner join medidas on medidas.id_medida = insumos_lista.idmedida
where
produccion_producido.estado <> 6
and date(produccion_producido.fechahora) >= '$desde'
and date(produccion_producido.fechahora) <= '$hasta'
and produccion_producido.fechahora >= '$desde_completo' 
and produccion_producido.fechahora <= '$hasta_completo' 
and insumos_lista.hab_invent = 1
$whereadd
$whereadd_p
group by insumos_lista.idinsumo, insumos_lista.descripcion, medidas.nombre
) as vtauso
group by  idinsumo
order by cantidad desc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
//echo $consulta;exit;

 $impreso=date("d/m/Y H:i:s");



$datos="";


// asigna los datos de la consulta a una variable
$array=$rs->fields;

// CONSTRUYE CABECERA
foreach($array as $key=>$value){
	$i++;
	$datos.=limpiacsv($key).';';
}
reset($array);
$datos.=$saltolinea;





$impreso=date("YmdHis");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=informe_uso_ambos_'.$impreso.'.csv');
	
	
// imprime cabecera
echo $datos;


//CONSTRUYE CUERPO
$fila=1;
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		echo limpiacsv($value).';';
	}
	echo $saltolinea;
$rs->MoveNext(); }


exit; 

?>
