<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="75";
require_once("includes/rsusuario.php");  

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

if(trim($_GET['h_franja_desde']) != '' && trim($_GET['h_franja_hasta']) != ''){
	$h_franja_desde=date("H:i",strtotime($_GET['h_franja_desde']));
	$h_franja_hasta=date("H:i",strtotime($_GET['h_franja_hasta']));	
	$h_franja_desde_sql=date("H:i",strtotime($_GET['h_franja_desde'])).':00';
	$h_franja_hasta_sql=date("H:i",strtotime($_GET['h_franja_hasta'])).':59';
    // Convierte las horas a minutos desde la medianoche para facilitar las comparaciones
    $desde_mins = intval(date("H", strtotime($h_franja_desde))) * 60 + intval(date("i", strtotime($h_franja_desde)));
    $hasta_mins = intval(date("H", strtotime($h_franja_hasta))) * 60 + intval(date("i", strtotime($h_franja_hasta)));
    
    // Filtra si el intervalo no cruza la medianoche
    if ($desde_mins < $hasta_mins) {
        $whereadd_ven .= "
        and (
            time(ventas.fecha) >= '$h_franja_desde' and time(ventas.fecha) <= '$h_franja_hasta'
        )
        ";
    } else {
        // Si cruza la medianoche
        $whereadd_ven .= "
        and (
            time(ventas.fecha) >= '$h_franja_desde' or time(ventas.fecha) <= '$h_franja_hasta'
        )
        ";
    }
}else{
	$h_franja_desde="00:00";
	$h_franja_hasta="23:59";
}



if(($_GET['suc']) > 0){
	$idsuc=intval($_GET['suc']);
	$filtrocaja=" and ventas.sucursal = $idsuc";
	
}
if(trim($_GET['suc']) == 'ss'){
	
	// metodo mas eficiente para mysql
	$consulta="
	select idsucu 
	from sucursales 
	where 
	estado = 1 
	and matriz = 'N'
	";
	$rssucufil=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$sucu_or_add="and ( ".$saltolinea;
	$i=0;
	while(!$rssucufil->EOF){
		$i++;
		$idsuc=intval($rssucufil->fields['idsucu']);
		if($i == 1){
			$sucu_or_add.=" ventas.sucursal = $idsuc ".$saltolinea;
		}else{
			$sucu_or_add.=" or ventas.sucursal = $idsuc ".$saltolinea;	
		}
	$rssucufil->MoveNext(); }
	$sucu_or_add.=" ) ".$saltolinea;
	$filtrocaja=$sucu_or_add;
	// metodo menos eficiente para mysql
	//$filtrocaja=" and ventas.sucursal in (select idsucu from sucursales where estado = 1 and matriz = 'N') ";
	
}
if(intval($_GET['idtipotran']) > 0){
	$idtipotran=intval($_GET['idtipotran']);
	$filtrocaja.=" and ventas.idtipotran  = $idtipotran ";
}

$consulta="
select 
ventas.idcanal, count(ventas.idcanal) as cantidad, sum(ventas.totalcobrar) as total, 
(select canal.canal from canal where canal.idcanal = ventas.idcanal) as canal
from ventas 
where
ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
and ventas.estado <> 6
and ventas.excluye_repven = 0
$filtrocaja
$whereadd_ven
group by ventas.idcanal
order by sum(ventas.totalcobrar) desc
";
//echo $consulta;exit;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
select sum(ventas.total_venta) as total
from ventas 
where
ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
and ventas.excluye_repven = 0
and ventas.estado <> 6
$filtrocaja
$whereadd_ven
";
$rs2 = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
select sum(otrosgs) as monto_delivery, sum(descneto) as monto_descuento
from ventas 
where
ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
and ventas.estado <> 6
and ventas.idempresa = $idempresa
and ventas.excluye_repven = 0
$filtrocaja
$whereadd_ven
";
$rs3 = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$descuento=$rs3->fields['monto_descuento'];
$total_venta=$rs2->fields['total'];
$totalcondesc=$total_venta-$descuento;

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<script src="js/sweetalert.min.js"></script>
 <link rel="stylesheet" type="text/css" href="css/sweetalert.css">
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="clear"></div>
<div class="cuerpo">
 	<div align="center" >
 		<?php require_once("includes/menuarriba.php");?>
	</div>
    <div class="colcompleto" id="contenedor">
        <!-- SECCION DONDE COMIENZA TODO -->
        <br /><br />
      <div class="divstd">
    		<span class="resaltaditomenor">
    			Informe de Ventas<br />
    		</span>
 		</div>

  <br />
<?php require_once("includes/menu_top_informes.php"); ?>
        <br />

<hr class="hr" /><br />
<form id="form1" name="form1" method="get" action="">
<table width="500" border="0">
  <tbody>
    <tr>
    <tr>
      <td width="130" height="40" align="left"><strong>Fecha Desde:</strong></td>
      <td width="331"><input type="date" name="desde" id="desde" value="<?php echo $desde; ?>" style="height: 30px;" /></td>
      <td width="143" height="40" align="left"><strong>Fecha Hasta:</strong></td>
      <td width="276"><input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" style="height: 30px;"/></td>
      
    </tr>
    <tr>
      <td height="40" align="left"><strong>Hora Desde:</strong></td>
      <td ><input type="time" name="hdesde" id="hdesde" value="<?php echo $hdesde; ?>" /></td>
      <td align="left"><strong>Hora Hasta:</strong></td>
      <td id="minisub3"><input type="time" name="hhasta" id="hhasta" value="<?php echo $hhasta; ?>" /></td>
      
    </tr>
    <tr>
      <td height="40" align="left"><strong>Franja Hora Desde:</strong></td>
      <td ><input type="time" name="h_franja_desde" id="h_franja_desde" value="<?php echo $h_franja_desde; ?>" /></td>
      <td align="left"><strong>Franja Hora Hasta:</strong></td>
      <td ><input type="time" name="h_franja_hasta" id="h_franja_hasta" value="<?php echo $h_franja_hasta; ?>" /></td>
      
    </tr>
      <td><strong>Sucursal</strong></td>
       <td ><?php 
	  
	  
//lista de sucursales
$buscar="select * from sucursales where idempresa=$idempresa and estado = 1 order by nombre asc";
$rsfd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

	  
	  
	  ?><select name="suc" id="suc">
                            	<option value="0" <?php if(intval($_GET['suc']) == 0){?>selected="selected"<?php }?>>TODOS</option>
                                <option value="ss" <?php if($_GET['suc'] == 'ss'){?>selected="selected"<?php }?> >SOLO SUCURSALES</option>
                               <?php while (!$rsfd->EOF){?>
                            	<option value="<?php echo $rsfd->fields['idsucu']?>" <?php if($rsfd->fields['idsucu']==intval($_GET['suc'])){?>selected="selected"<?php }?>><?php echo $rsfd->fields['nombre']?></option>
                            
                            	 <?php $rsfd->MoveNext();}?>
                            </select></td>
       <td >Tipo:</td>
       <td ><?php
// valor seleccionado
if(isset($_GET['idtipotran'])){ 
	$value_selected=htmlentities($_GET['idtipotran']); 
}else{
	$value_selected='S';
}
// opciones
$opciones=array(
	'VENTAS' => '1',
	'CONSUMOS' => '2'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'idtipotran',
	'id_campo' => 'idtipotran',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODAS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?></td>
	</tr>
	<tr>
      <td align="center" colspan="4">&nbsp;</td>
    </tr>
	<tr>
      <td align="center" colspan="4"><input type="submit" name="submit" id="submit" value="Generar Reporte" /></td>
    </tr>
  </tbody>
</table>
</form>
<br /><hr class="hr" /><br />
      <p align="center"><strong>Ventas por Canal:</strong></p>
      <p>&nbsp;</p>
        
        <table width="500" border="1" class="tablaconborde">
          <tbody>
            <tr>
              <td align="center" bgcolor="#F8FFCC"><strong>Canal</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>TK Prom.</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>Ventas</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>Total</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>%</strong></td>
            </tr>
           <?php  while (!$rs->EOF){ 
		   $totalacum+=$rs->fields['total'];
		   
		   ?>
            <tr>
              <td align="left"><?php if(trim($rs->fields['canal']) == ''){ echo "Sin Datos"; }else{ echo $rs->fields['canal']; } ?></td>
              <td align="right">Gs. <?php echo formatomoneda(round(intval($rs->fields['total'])/intval($rs->fields['cantidad']),0)); ?></td>
              <td align="right"><?php echo formatomoneda($rs->fields['cantidad']); ?></td>
              <td align="right"><?php echo formatomoneda($rs->fields['total']); ?></td>
              <td align="right"><?php echo round(((intval($rs->fields['total'])/intval($rs2->fields['total']))*100),2); ?>%</td>
            </tr>
           <?php  $rs->MoveNext(); }  ?> 
          </tbody>
      </table>
        <p>&nbsp;</p>
        <p align="center">&nbsp;</p>
      <p align="center">
		<strong>Total Venta sin Descuentos:</strong>&nbsp;<?php echo formatomoneda($total_venta); ?><br />
		<strong>Total Descuentos:</strong>&nbsp;-<?php echo formatomoneda($descuento); ?><br />
		<strong>Total Global:</strong>&nbsp;<?php echo formatomoneda($totalcondesc); ?><br />
      </p>
        <p align="center">&nbsp;</p>
        
 <?php       
$consulta="
select 
ventas.idcanalventa, count(ventas.idcanalventa) as cantidad, sum(ventas.totalcobrar) as total, 
(select canal_venta.canal_venta from canal_venta where canal_venta.idcanalventa = ventas.idcanalventa) as canal
from ventas 
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.estado <> 6
and ventas.excluye_repven = 0
$filtrocaja
$whereadd_ven
group by ventas.idcanalventa
order by sum(ventas.totalcobrar) desc
";
//echo $consulta;exit;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<br /><hr class="hr" /><br />
      <p align="center"><strong>Ventas por Canal de venta:</strong></p>
      <p>&nbsp;</p>
        
        <table width="500" border="1" class="tablaconborde">
          <tbody>
            <tr>
              <td align="center" bgcolor="#F8FFCC"><strong>Canal Venta</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>TK Prom.</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>Ventas</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>Total</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>%</strong></td>
            </tr>
           <?php  while (!$rs->EOF){ 
		   $totalacum+=$rs->fields['total'];
		   
		   ?>
            <tr>
              <td align="left"><?php if(trim($rs->fields['canal']) == ''){ echo "Sin Datos"; }else{ echo $rs->fields['canal']; } ?></td>
              <td align="right">Gs. <?php echo formatomoneda(round(intval($rs->fields['total'])/intval($rs->fields['cantidad']),0)); ?></td>
              <td align="right"><?php echo formatomoneda($rs->fields['cantidad']); ?></td>
              <td align="right"><?php echo formatomoneda($rs->fields['total']); ?></td>
              <td align="right"><?php echo round(((intval($rs->fields['total'])/intval($rs2->fields['total']))*100),2); ?>%</td>
            </tr>
           <?php  $rs->MoveNext(); }  ?> 
          </tbody>
      </table>
        <p>&nbsp;</p>
        <p align="center">&nbsp;</p>
      <p align="center">
		<strong>Total Venta sin Descuentos:</strong>&nbsp;<?php echo formatomoneda($total_venta); ?><br />
		<strong>Total Descuentos:</strong>&nbsp;-<?php echo formatomoneda($descuento); ?><br />
		<strong>Total Global:</strong>&nbsp;<?php echo formatomoneda($totalcondesc); ?><br />
      </p>
        <p align="center">&nbsp;</p>
   



        
        
        <p align="center">&nbsp;</p>
        <p align="center">&nbsp;</p>
        <p align="center">&nbsp;</p>
        <p align="center">&nbsp;</p>
        <p align="center">&nbsp;</p>
        <p align="center">&nbsp;</p>
        <p>&nbsp;</p>
		
	<br /><br /><br /><br />        
  </div> <!-- contenedor -->
  <div class="clear"></div><!-- clear1 -->
</div> <!-- cuerpo -->
<div class="clear"></div><!-- clear2 -->
<?php require("includes/pie.php"); ?>
</body>
</html>