<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="75";
require_once("includes/rsusuario.php"); 

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';
if(intval($_GET['idtipotran']) > 0){
	$idtipotran=intval($_GET['idtipotran']);
	$whereadd.=" and ventas.idtipotran  = $idtipotran ";
}



if(($_GET['suc']) > 0){
	$idsuc=intval($_GET['suc']);
	$filtrocaja=" and ventas.sucursal = $idsuc";
}

if(trim($_GET['suc']) == 'ss'){
	
	$consulta="
	select idsucu 
	from sucursales 
	where 
	estado = 1 
	and matriz = 'N'
	";
	$rssucufil=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$sucu_or_add="and ( ".$saltolinea;
	$i=0;
	while(!$rssucufil->EOF){
		$i++;
		$idsuc=intval($rssucufil->fields['idsucu']);
		if($i == 1){
			$sucu_or_add.=" ventas.sucursal = $idsuc ".$saltolinea;
		}else{
			$sucu_or_add.=" or ventas.sucursal = $idsuc ".$saltolinea;	
		}
	$rssucufil->MoveNext(); }
	$sucu_or_add.=" ) ".$saltolinea;
	$filtrocaja=$sucu_or_add;
	
}



/*
SELECT CASE WHEN factura is null then 'CON FACTURA' ELSE 'SIN FACTURA' end as tienefactura, count(*), sum(totalcobrar) as monto_factura
 FROM `ventas`
WHERE
estado <> 6
and date(fecha) >=  '2023-12-01'
group by tienefactura;
*/
$consulta="
SELECT 
CASE
WHEN (ventas.factura is null or trim(ventas.factura) = '') then 'FACTURA PENDIENTE' 
WHEN (ventas.factura is not null and trim(ventas.factura) <> '' and ventas.idcliente in (select idcliente from cliente where borrable <> 'S')) then 'FACTURA SIN NOMBRE'
WHEN (ventas.factura is not null and trim(ventas.factura) <> '' and ventas.idcliente not in (select idcliente from cliente where borrable <> 'S')) then 'FACTURA CON NOMBRE'
ELSE 'SIN IDENTIFICAR' end as tienefactura, 
count(ventas.idventa) as cantidad, 
sum(ventas.totalcobrar) as total
FROM ventas
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo'
and ventas.estado <> 6
and ventas.excluye_repven = 0
$whereadd
$filtrocaja
group by tienefactura
order by sum(ventas.total_cobrado) desc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
select sum(ventas.total_cobrado) as total
from ventas 
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo'
and ventas.estado <> 6
and ventas.excluye_repven = 0
$whereadd
$filtrocaja
";
$rs2 = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
select sum(otrosgs) as monto_delivery, sum(descneto) as monto_descuento
from ventas 
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo'
and ventas.estado <> 6
and ventas.excluye_repven = 0
and ventas.idempresa = $idempresa
$filtrocaja
$whereadd
";
$rs3 = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$descuento=$rs3->fields['monto_descuento'];
$total_venta=$rs2->fields['total'];
$totalcondesc=$total_venta-$descuento;


?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<script src="js/sweetalert.min.js"></script>
 <link rel="stylesheet" type="text/css" href="css/sweetalert.css">
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="clear"></div>
<div class="cuerpo">
 	<div align="center" >
 		<?php require_once("includes/menuarriba.php");?>
	</div>
    <div class="colcompleto" id="contenedor">
        <!-- SECCION DONDE COMIENZA TODO -->
        <br /><br />
      <div class="divstd">
    		<span class="resaltaditomenor">
    			Informe de Ventas<br />
    		</span>
 		</div>

  <br />
<?php require_once("includes/menu_top_informes.php"); ?>
        <br />

<hr class="hr" /><br />
<form id="form1" name="form1" method="get" action="">
<table width="500" border="0">
  <tbody>
    <tr>
      <td><strong>Desde:</strong></td>
      <td>
        <input type="date" name="desde" id="desde" value="<?php echo $desde; ?>" /></td>
      <td><strong>Hasta:</strong></td>
      <td><input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" /></td>
      <td align="center"><input type="submit" name="submit" id="submit" value="Generar Reporte" /></td>
    </tr>
	  <tr>
      <td height="33" align="right"><strong>Hora Desde</strong></td>
      <td ><input type="time" name="hdesde" id="hdesde" value="<?php echo $hdesde; ?>" /></td>
      <td align="right"><strong>Hora Hasta</strong></td>
      <td id="minisub3"><input type="time" name="hhasta" id="hhasta" value="<?php echo $hhasta; ?>" /></td>
      <td align="center">&nbsp;</td>
    </tr>
	<tr>
       <td >Tipo:</td>
       <td ><?php
			// valor seleccionado
			if(isset($_GET['idtipotran'])){ 
				$value_selected=htmlentities($_GET['idtipotran']); 
			}else{
				$value_selected='S';
			}
			// opciones
			$opciones=array(
				'VENTAS' => '1',
				'CONSUMOS' => '2'
			);
			// parametros
			$parametros_array=array(
				'nombre_campo' => 'idtipotran',
				'id_campo' => 'idtipotran',

				'value_selected' => $value_selected,

				'pricampo_name' => 'TODAS',
				'pricampo_value' => '',
				'style_input' => 'class="form-control"', 
				'acciones' => '  ',
				'autosel_1registro' => 'S',
				'opciones' => $opciones

			);

			// construye campo
			echo campo_select_sinbd($parametros_array);
			?>
		</td>
		<td align="center">&nbsp;</td>
		<td align="center">&nbsp;</td>
		<td align="center">&nbsp;</td>
	</tr>
  </tbody>
</table>
</form>
<br /><hr class="hr" /><br />
      <p align="center"><strong>Ventas por Comprobante:</strong></p>
      <p>&nbsp;</p>
        
        <table width="900" border="1" class="tablaconborde">
          <tbody>
            <tr>
              <td align="center" bgcolor="#F8FFCC"><strong>Tiene Factura</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>TK Prom.</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>Ventas</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>Venta Total</strong></td>

              <td align="center" bgcolor="#F8FFCC"><strong>% Share</strong></td>
            </tr>
           <?php  while (!$rs->EOF){ 

			
		   $cantidad=$rs->fields['cantidad'];
		   $costo=$rs->fields['costo_total'];
		   $venta=$rs->fields['total'];
		   $costo_prom=$costo/$cantidad;
		   $venta_prom=$venta/$cantidad;
		   $margen_prom=$venta_prom-$costo_prom;
		   $margen=$rs->fields['total']-$rs->fields['costo_total'];
		   $margen_porc=(($venta-$costo)/$venta)*100;
		   
   		   $cantidad_acum+=$cantidad;
   		   $costo_total_acum+=$costo;
		   $venta_total_acum+=$venta;
		   $margen_acum+=$margen;
		   $margen_porc_tot=(($venta_total_acum-$costo_total_acum)/$venta_total_acum)*100;
		   
		   

			
		   ?>
            <tr>
              <td align="left"><?php if(trim($rs->fields['tienefactura']) == ''){ echo "Sin Datos"; }else{ echo $rs->fields['tienefactura']; } ?></td>
              <td align="right">Gs. <?php echo formatomoneda(round(intval($rs->fields['total'])/intval($rs->fields['cantidad']),0)); ?></td>
              <td align="right"><?php echo formatomoneda($rs->fields['cantidad']); ?></td>
              <td align="right"><?php echo formatomoneda($rs->fields['total']); ?></td>

              <td align="right"><?php echo round(((intval($rs->fields['total'])/intval($rs2->fields['total']))*100),2); ?>%</td>
            </tr>
           <?php  $rs->MoveNext(); }  ?> 
            <tr>
              <td align="left">Totales</td>
              <td align="right"></td>
              <td align="right"><?php echo formatomoneda($cantidad_acum); ?></td>
              <td align="right"><?php echo formatomoneda($venta_total_acum); ?></td>

              <td align="right">100%</td>
            </tr>
          </tbody>
      </table>
        <p>&nbsp;</p>
        <p align="center">&nbsp;</p>
        <p align="center">&nbsp;</p>
        <?php /*?><p align="center" style="font-size:16px;"><strong>Total Venta sin Descuentos:</strong>&nbsp;<?php echo formatomoneda($total_venta); ?><br />
        		<strong>Total Descuentos:</strong>&nbsp;-<?php echo formatomoneda($descuento); ?><br />
		<strong>Total Global:</strong>&nbsp;<?php echo formatomoneda($totalcondesc); ?><br />
        <?php */ ?>
        <p align="center" style="font-size:16px;"><strong>Total Venta:</strong>&nbsp;<?php echo formatomoneda($total_venta); ?><br />
        </p>
        <p align="center">&nbsp;</p>
        <p align="center">&nbsp;</p>
        <p align="center">&nbsp;</p>
        <p align="center">&nbsp;</p>
        <p align="center">&nbsp;</p>
        <p align="center">&nbsp;</p>
        <p align="center">&nbsp;</p>
        <p>&nbsp;</p>
		
	<br /><br /><br /><br />        
  </div> <!-- contenedor -->
  <div class="clear"></div><!-- clear1 -->
</div> <!-- cuerpo -->
<div class="clear"></div><!-- clear2 -->
<?php require("includes/pie.php"); ?>
</body>
</html>