<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="132";
require_once("includes/rsusuario.php"); 


$id=intval($_GET['id']);
if($id == 0){
	echo "No especifico el cliente.";
	exit;	
}

$buscar="
select * 
from cliente 
where 
idcliente = $id 
and idempresa = $idempresa
";
$rscli=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$borrable=$rscli->fields['borrable'];
$razon_social=$rscli->fields['razon_social'];
if(intval($rscli->fields['idcliente']) == 0){
	echo "Cliente inexistente!";
	exit;
}
if($borrable != 'S'){
	echo "El cliente $razon_social no puede ser editado.";
	exit;
}


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}

$consulta="
SELECT *,
(select nombre from sucursales where idempresa = $idempresa and idsucu = ventas.sucursal) as sucursal,
(select saldo_activo from cuentas_clientes where idventa=ventas.idventa) as saldoactivo
FROM ventas 
where 
idcliente = $id 
and tipo_venta = 2
and idempresa = $idempresa
and date(fecha) >= '$desde'
and date(fecha) <= '$hasta'
and estado <> 6
ORDER BY idventa DESC
limit 1000
";
$rscon=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



$consulta="
SELECT ventas.idcliente, sum(totalcobrar) as total, count(*) as cantidad,
(select nombre from cliente where idcliente = ventas.idcliente) as funcionario_nombre,
(select apellido from cliente where idcliente = ventas.idcliente) as funcionario_apellido
FROM ventas 
where 
tipo_venta = 2
and idempresa = $idempresa
and date(fecha) >= '$desde'
and date(fecha) <= '$hasta'
and estado <> 6
and idcliente = $id 
group by idcliente
ORDER BY sum(totalcobrar) desc
limit 1000
";
$rsconcab=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<link rel="stylesheet" type="text/css" href="css/magnific-popup.css" />
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	<div class="clear"></div>
		<div class="cuerpo">
			<div class="colcompleto" id="contenedor">
          <div align="center">
    		<table width="70" border="0">
          <tbody>
            <tr>
              <td width="62"><a href="informe_venta_credito.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta ?>"><img src="img/homeblue.png" width="64" height="64" title="Regresar"/></a></td>
            </tr>
          </tbody>
        </table>
    </div>

 				<div class="divstd">
					<span class="resaltaditomenor">Venta a credito por cliente</span></div>
    <hr />            <p>&nbsp;</p>
              <form id="form1" name="form1" method="get" action="">
                <table width="500" border="0">
                  <tbody>
                    <tr>
                      <td><strong>Desde:</strong></td>
                      <td><input type="date" name="desde" id="desde" value="<?php echo $desde; ?>" /></td>
                      <td><strong>Hasta:</strong></td>
                      <td><input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" /></td>
                      <td align="center"><input type="submit" name="submit" id="submit" value="Generar Reporte" /></td>
                    </tr>
                  </tbody>
                </table>
                <input type="hidden" name="id" id="id" value="<?php echo $id; ?>" />
              </form>
              <p>&nbsp;</p>
              <table width="700" border="1">
                <tbody>
                  <tr>
                    <td align="center" bgcolor="#F8FFCC">Cliente</td>
                    <td align="center" bgcolor="#F8FFCC">Tickets</td>
                    <td align="center" bgcolor="#F8FFCC">Monto</td>
                  </tr>
       
                  <tr>
                    <td align="left"><?php echo $rsconcab->fields['funcionario_nombre']; ?> <?php echo $rsconcab->fields['funcionario_apellido']; ?></td>
                    <td align="center"><?php echo formatomoneda($rsconcab->fields['cantidad']); ?></td>
                    <td align="center"><?php echo formatomoneda($rsconcab->fields['total']); ?></td>
                  </tr>
              
                </tbody>
              </table>
              <p>&nbsp;</p>
              <table width="900" border="1">
    <tbody>
      <tr>
        <td align="center" bgcolor="#F8FFCC">Sucursal</td>
        <td align="center" bgcolor="#F8FFCC">Venta</td>
        <td align="center" bgcolor="#F8FFCC">Monto Operacion</td>
         <td align="center" bgcolor="#F8FFCC">Saldo Activo</td>
        <td align="center" bgcolor="#F8FFCC">Fecha Hora</td>
        <td align="center" bgcolor="#F8FFCC">[Detalle]</td>
        </tr>
<?php while (!$rscon->EOF){	?>
      <tr>
        <td align="center"><?php echo $rscon->fields['sucursal']; ?></td>
        <td align="center"><?php echo $rscon->fields['idventa']; ?></td>
        <td align="center"><?php echo formatomoneda($rscon->fields['totalcobrar']); ?></td>
        <td align="center"><?php echo formatomoneda($rscon->fields['saldoactivo']); ?></td>
        <td align="center"><?php echo date("d/m/Y H:i:s",strtotime($rscon->fields['fecha'])); ?></td>
        <td align="center"><a href="informe_venta_credito_det_tk.php?id=<?php echo $id ?>&tk=<?php echo $rscon->fields['idventa']; ?>&desde=<?php echo $desde ?>&hasta=<?php echo $hasta ?>">[Detalle]</a></td>
        </tr>
<?php $rscon->MoveNext(); } ?>
    </tbody>
  </table>
              <p>&nbsp;</p>
              <p>&nbsp;</p>
              <p></p>
          </div> 
		  <!-- contenedor -->
   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
	<?php require("includes/pie.php"); ?>
</body>
</html>