<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="302";
require_once("includes/rsusuario.php"); 


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';


	

	
//MIX x categoria
$consulta="
select productos.descripcion as producto,nombre as nomcate,
sum(ventas_detalles.cantidad) as cantidad, sum(ventas_detalles.subtotal) as subtotal
from ventas 
inner join ventas_detalles on ventas.idventa = ventas_detalles.idventa
inner join productos on productos.idprod_serial = ventas_detalles.idprod
inner join categorias on categorias.id_categoria=productos.idcategoria
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.fecha >= '$desde' 
and ventas.fecha <= '$hasta' 
and ventas.estado <> 6
and ventas.excluye_repven = 0
and ventas.idempresa = $idempresa

group by productos.idcategoria
order by sum(ventas_detalles.subtotal) desc

";
//echo $consulta;
$rsmixcate = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$treg=$rsmixcate->RecordCount();
	



$buscar="select idcliente,razon_social,ruc,celular,telefono from cliente
where idcliente IN(select distinct idcliente from ventas where estado <> 6 and 
ventas.fecha >= '$desde' and ventas.fecha <= '$hasta' )
order by razon_social asc";
$rsmixclie = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));





?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>

            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Ventas x categorias</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
					<?php 
                    $refemenu="clihisgrp";
					
                    require_once("includes/menu_venta_graf.php"); ?>
                    <div class="clearfix"></div>
                    <hr />
					<div class="col-md-12">
                    	<form id="form1" name="form1" method="get" action="">

                            <div class="col-md-6 col-sm-6 form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                <input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    
                            
                                </div>
                            </div>
                            
                            <div class="col-md-6 col-sm-6 form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
                                <div class="col-md-9 col-sm-9 col-xs-12">
                                <input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    
                            
                                </div>
                            </div>
                            
                            
                           
                        
                            <div class="clearfix"></div>
                              <div class="col-md-6 col-sm-6 form-group" style="" id="recli">
                              		<div class="col-md-3 col-sm-3 col-xs-12"></div>
                                	 <div class="col-md-9 col-sm-9 col-xs-12" id="carclien" style="height:250px; overflow-y:scroll;display:none">
                                     
                                     </div>
                                
                            	</div>
                             	<div class="col-md-6 col-sm-6 form-group" style="" id="repro" >
                                	
                                <div class="col-md-3 col-sm-3 col-xs-12"></div>
                                	 <div class="col-md-9 col-sm-9 col-xs-12" id="carpro" style="height:250px; overflow-y:scroll;display:none">
                                     
                                     </div>
                            	</div>
                                
                                <div class="clearfix"></div>
								<br />
                                <div class="form-group">
                                    <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
                                   		<button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>
                            
                                    </div>
                                </div>

                            </form>      
                    
                    
                    
                    </div>



						<div class="clearfix"></div>
 						<hr /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
          
			<?php if ($treg > 0){ ?>
         		<!-- SECCION -->
            <div class="row">
             
			  <!-- SECCION -->
            
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2> Venta x categorias agrupada x cliente</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
					<div class="x_content">
                  		<table width="100%;" class="table table-striped jambo_table bulk_action">
							<thead>
								<th>Grupo / Categoria</th>
                  				<th>Cantidad</th>
								<th>Sub total</th>
							</thead>
                
							<tbody>
                
								<?php while (!$rsmixcate->EOF){ 
								$st=$st+$rsmixcate->fields['subtotal'];
								?>
								<tr>
									<td><?php echo $rsmixcate->fields['nomcate']; ?></td>
									<td align="center"><?php echo formatomoneda($rsmixcate->fields['cantidad'],4,'N'); ?></td>
									<td align="right"><?php echo formatomoneda($rsmixcate->fields['subtotal'],4,'N'); ?></td>
								</tr>
								<?php $rsmixcate->MoveNext(); }?>
								<tr>
									<td colspan="8" align="right">Total Gs:&nbsp; &nbsp;<?php echo formatomoneda($st,4,'N'); ?></td>
								</tr>
							</tbody>
            			</table>
					</div>
                </div>
              </div>
          
            <!-- SECCION --> 
			<div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2> Venta x cliente</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
					<div class="x_content">
                  		<table width="100%;" class="table table-striped jambo_table bulk_action">
							<thead>
								<th>Id Cliente</th>
								<th>Cliente</th>
                  				<th>Ruc</th>
								<th>Telefono</th>
							</thead>
                
							<tbody>
                
								<?php while (!$rsmixclie->EOF){ 
								$idcliente=intval($rsmixclie->fields['idcliente']);
								?>
								<tr>
									<td><?php echo $rsmixclie->fields['idcliente']; ?></td>
									<td><?php echo $rsmixclie->fields['razon_social']; ?></td>
									<td align="center"><?php echo ($rsmixclie->fields['ruc']); ?></td>
									<td align="right"><?php echo ($rsmixclie->fields['celular']); ?></td>
								</tr>
								<?php
									///con el id de cliente
									$consulta="
									select productos.descripcion as producto,nombre as nomcate,
									sum(ventas_detalles.cantidad) as cantidad, sum(ventas_detalles.subtotal) as subtotal
									from ventas 
									inner join ventas_detalles on ventas.idventa = ventas_detalles.idventa
									inner join productos on productos.idprod_serial = ventas_detalles.idprod
									inner join categorias on categorias.id_categoria=productos.idcategoria
									where
									date(ventas.fecha) >= '$desde' 
									and date(ventas.fecha) <= '$hasta' 
									and ventas.fecha >= '$desde' 
									and ventas.fecha <= '$hasta' 
									and ventas.estado <> 6
									and ventas.excluye_repven = 0
									and ventas.idempresa = $idempresa
									and ventas.idcliente = $idcliente
									group by productos.idcategoria
									order by sum(ventas_detalles.subtotal) desc

									";
									//echo $consulta;
									$rsmixcate = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
										while (!$rsmixcate->EOF){
									?>
										
										<tr style="background-color:white;">
										    
											<td colspan="2" align="center"><strong><?php echo $rsmixcate->fields['nomcate']; ?></strong></td>
											<td align="left"><?php echo formatomoneda($rsmixcate->fields['subtotal'],4,'N'); ?></td>
											<td></td>
										</tr>
										
										<?php $rsmixcate->MoveNext();} ?>
										<tr>
											<td colspan="4"></td>
										</tr>
								<?php $rsmixclie->MoveNext(); }?>
								<tr>
									<td colspan="8" align="right">Total Gs:&nbsp; &nbsp;<?php echo formatomoneda($st,4,'N'); ?></td>
								</tr>
							</tbody>
            			</table>
					</div>
                </div>
              </div>
            </div>
            
            <div class="clearfix"></div>
			
            <?php } ?>
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>


    <script>
		function filtra(numero){
			var enlace='';
			var donde='';
			var cbusca='';
			var producto=''
			var cliente='';
			if (numero==1){
				//cliente
				$("#carclien").show();
				$("#carpro").hide();
				producto=$("#producto").val();
				if (producto==''){
					$("#producto").val("");	
					
				}
				cbusca=$("#cliente").val(); 
				enlace='inf_vta_graf_miniclie.php'; 
				donde="carclien";
			}
			if (numero==2){
				//producto
				$("#carclien").hide();
				$("#carpro").show();
				cliente=$("#cliente").val();
				if (cliente==''){
					$("#cliente").val("");
				
				}
				cbusca=$("#producto").val(); 
				if (cbusca==''){
					$("#carpro").hide();
					$("#ocidpro").val(""); 
				}
				enlace='inf_vta_graf_mini_produ.php'; 
				donde="carpro";
			}
			var parametros = {
              
			  "cbusca" : cbusca
		   };
			$.ajax({
					data:  parametros,
					url:  enlace,
					type:  'post',
					beforeSend: function () {
						
					},
					success:  function (response) {
						//alert(response);
						  $("#"+donde).html(response);
						  //setTimeout(function(){ mostrar(); }, 500);
						  
					}
			});	
		
			
		}
	function selecciona(cual,valor,quien){
		if (cual==1){
			//alert(valor);
			//cliente
			if (valor!=''){
				$("#ocidclie").val(valor);
				$("#cliente").val(quien);
				$("#carclien").html("");
				$("#carclien").hide();
			}
			
		}
		if (cual==2){
			//producto
			if (valor!=''){
				
				$("#ocidpro").val(valor);
				$("#producto").val(quien);
				$("#carpro").html("");
				$("#carpro").hide();
			}
			
			
		}
		
	}
	</script>
  </body>
</html>
