<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="302";
require_once("includes/rsusuario.php"); 

set_time_limit(0);


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	return $txt;
}

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
$idsucu=intval($_GET['idsucu']);
if($idsucu > 0){
	$whereadd.=" and ventas.sucursal = $idsucu ";	
}
if(intval($_GET['condicion']) == 0){
	$whereadd.="  ";
}else{
	$condvta=intval($_GET['condicion']);
	$whereadd.=" and ventas.tipo_venta= $condvta ";
}

$buscar="
select 
(select idinsumo from insumos_lista where idproducto = productos.idprod_serial) as Codprod,
productos.barcode as Codbarra,
(select descripcion from productos where idprod_serial = ventas_detalles.idprod) as Producto,
REPLACE(sum(cantidad),'.',',') as Cantidad, 
REPLACE(sum(subtotal),'.',',') as Subtotal,
(select nombre from sucursales where sucursales.idsucu = ventas_detalles.sucursal) as Sucursal,
(select nombre from categorias where id_categoria=productos.idcategoria) as Categoria,
(select descripcion from sub_categorias where idsubcate=productos.idsubcate) as SubCategoria
FROM ventas_detalles
inner join ventas on ventas.idventa = ventas_detalles.idventa
inner join productos on productos.idprod_serial = ventas_detalles.idprod
WHERE 
ventas.estado <> 6
and date(ventas.fecha) >= '$desde'
and date(ventas.fecha) <= '$hasta'
$whereadd
GROUP by ventas_detalles.idprod, ventas_detalles.sucursal
ORDER by sum(cantidad)  desc
";
$rsvdet = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$rs=$rsvdet;

$datos="";


	

//generando nombres de columna para excel
//$Cantidad_de_columnas_a_crear=$rs->_numOfFields;  // obtiene la cantidad de columnas



	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$datos.=limpiacsv($value).';';
		}
		$datos.=$saltolinea;
	$rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=venta_mix_'.$impreso.'.csv');
	
echo $datos;
exit;
		
?>