<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="299";
require_once("includes/rsusuario.php"); 


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

if(($_GET['idsucu']) > 0){
	$idsuc=intval($_GET['idsucu']);
	$whereadd=" and ventas.sucursal = $idsuc";
	
}


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}


$consulta="
select 
ventas.idventa, ventas.fecha, ventas.factura, 
CASE WHEN ventas.tipo_venta = 1 then 'CONTADO' ELSE 'CREDITO' END as condicion,
sucursales.nombre as sucursal,
REPLACE(COALESCE(ventas.totalcobrar,0),'.',',') as monto_venta,
REPLACE(COALESCE((
	select sum(ventas_detalles.subtotal) as delivery_costo
	from ventas_detalles 
	inner join productos on ventas_detalles.idprod = productos.idprod_serial
	where 
	productos.idtipoproducto = 6
	and ventas_detalles.idventa = ventas.idventa
),0),'.',',') as monto_delivery,
REPLACE
(
	(
		COALESCE(ventas.totalcobrar,0)
		- 
		COALESCE
		(
			(	
				select sum(ventas_detalles.subtotal) 
				from ventas_detalles 
				inner join productos on ventas_detalles.idprod = productos.idprod_serial 
				where productos.idtipoproducto = 6 
				and ventas_detalles.idventa = ventas.idventa 
			),0
		)
	),'.',','
) as monto_sin_delivery,
(
	select productos.descripcion
	from ventas_detalles 
	inner join productos on ventas_detalles.idprod = productos.idprod_serial
	where 
	productos.idtipoproducto = 6
	and ventas_detalles.idventa = ventas.idventa
	limit 1
) as producto_delivery,
ventas.ruc,
ventas.razon_social,
cliente_delivery.nomape as cliente_delivery,
motoristas.motorista,
tmp_ventares_cab.direccion,
cliente_delivery_dom.nombre_domicilio,
zonas_delivery.describezona as zona_delivery,
cliente_delivery_dom.latitud as gps_latitud,
cliente_delivery_dom.longitud as gps_longitud,
canal.canal as canal,
(
	SELECT GROUP_CONCAT(DISTINCT formas_pago.descripcion ORDER BY formas_pago.descripcion ASC) AS formapago 
	from gest_pagos_det 
	inner join gest_pagos on gest_pagos.idpago = gest_pagos_det.idpago
	inner join formas_pago on formas_pago.idforma = gest_pagos_det.idformapago
	where 
	gest_pagos.idventa = ventas.idventa
	and gest_pagos.estado <> 6
) as formas_pago,
cliente_delivery_dom.url_maps
from ventas 
left join sucursales on sucursales.idsucu = ventas.sucursal
left join canal on canal.idcanal = ventas.idcanal
left join cliente_delivery on cliente_delivery.idclientedel = ventas.idclientedel
left join cliente_delivery_dom on cliente_delivery_dom.iddomicilio = ventas.iddomicilio
left join motoristas on motoristas.idmotorista = ventas.idmotorista
left join tmp_ventares_cab on tmp_ventares_cab.idtmpventares_cab = ventas.idpedido
left join zonas_delivery on cliente_delivery_dom.idzonadel = zonas_delivery.idzonadel
where 
 ventas.estado <> 6
 and ventas.excluye_repven = 0
 and ventas.idcanal = 3
and date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
$whereadd
order by ventas.fecha asc
limit 10000
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 //	CONCAT('\"',factura,'\"') as Factura,


 $impreso=date("d/m/Y H:i:s");



$datos="";


// asigna los datos de la consulta a una variable
$array=$rs->fields;

// CONSTRUYE CABECERA
foreach($array as $key=>$value){
	$i++;
	$datos.=limpiacsv($key).';';
}
reset($array);
$datos.=$saltolinea;





$impreso=date("YmdHis");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=ventas_delivery_'.$impreso.'.csv');
	
	
// imprime cabecera
echo $datos;


//CONSTRUYE CUERPO
$fila=1;
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		echo limpiacsv($value).';';
	}
	echo $saltolinea;
$rs->MoveNext(); }


exit; 

?>
