<?php
/*-------------------------------------
15/09/2021


----------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="453";
require_once("includes/rsusuario.php"); 


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

if(intval($_GET['categorial']) > 0){
	$cate=intval($_GET['categorial']);
	$addcate=" and productos.idcategoria=$cate" ;
}
if(intval($_GET['subcategoria']) > 0){
	$subcate=intval($_GET['subcategoria']);
	$addsubcate=" and productos.idsubcate=$subcate" ;
}
if(($_GET['cj']) > 0){
	$idcaja=intval($_GET['cj']);
	$filtrocaja=" and ventas.idcaja = $idcaja";
	
}
if(intval($_GET['idproveedor']) > 0){
	$idproveedor=intval($_GET['idproveedor']);
	$join_add=" 
	
	inner join insumos_lista on insumos_lista.idproducto = productos.idprod_serial
	";
	$whereadd.=" and insumos_lista.idproveedor = $idproveedor";
}
if(intval($_GET['suc']) > 0){
	$idsuc=intval($_GET['suc']);
	$filtrocaja=" and ventas.sucursal = $idsuc";
	
}
if(trim($_GET['suc']) == 'ss'){
	
	
	// metodo mas eficiente para mysql
	$consulta="
	select idsucu 
	from sucursales 
	where 
	estado = 1 
	and matriz = 'N'
	";
	$rssucufil=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$sucu_or_add="and ( ".$saltolinea;
	$i=0;
	while(!$rssucufil->EOF){
		$i++;
		$idsuc=intval($rssucufil->fields['idsucu']);
		if($i == 1){
			$sucu_or_add.=" ventas.sucursal = $idsuc ".$saltolinea;
		}else{
			$sucu_or_add.=" or ventas.sucursal = $idsuc ".$saltolinea;	
		}
	$rssucufil->MoveNext(); }
	$sucu_or_add.=" ) ".$saltolinea;
	$filtrocaja=$sucu_or_add;
	// metodo menos eficiente para mysql
	//$filtrocaja=" and ventas.sucursal in (select idsucu from sucursales where estado = 1 and matriz = 'N') ";
	
}

// parche
$consulta="
update costo_productos 
set 
precio_costo = (select insumos_lista.costo from insumos_lista where insumos_lista.idinsumo = costo_productos.id_producto) 
where 
precio_costo = 0 
and cantidad > 0;
update venta_receta set costo_unitario = COALESCE((select insumos_lista.costo from insumos_lista where idinsumo = venta_receta.idinsumo),0),
costo = 0
where costo_unitario <= 0 ;
update venta_receta set costo = costo_unitario*cantidad where costo = 0;
update venta_receta set costo = 0, costo_unitario = 0 where costo_anulado > 0;


update ventas_detalles
set costo = coalesce((Select sum(costo)/sum(cantidad) as costog from venta_receta where idprod=ventas_detalles.idprod and idventa=ventas_detalles.idventa),0)
where
utilidad <= 0;
update  ventas_detalles 
set subtotal_costo = costo*cantidad 
where 
cantidad > 0
and subtotal_costo <> costo*cantidad;

";
//$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
select (select idinsumo from insumos_lista where idproducto = productos.idprod_serial) as idinsumo, 
productos.descripcion, sum(ventas_detalles.cantidad) as cantidad,  sum(ventas_detalles.subtotal_costo) as costo_total, sum(ventas_detalles.subtotal) as venta_total
from ventas 
inner join ventas_detalles on ventas.idventa = ventas_detalles.idventa
inner join productos on productos.idprod_serial = ventas_detalles.idprod
$join_add
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
$addcate
$addsubcate
and ventas.estado <> 6
and ventas.excluye_repven = 0
and ventas.idempresa = $idempresa
$filtrocaja
$whereadd
group by productos.descripcion
order by sum(pventa) desc
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

if ($cate==0){
$consulta="
select  ventas_agregados.idingrediente, count(ventas_agregados.idingrediente) as cantidad, sum(ventas_agregados.precio_adicional) as total,
(select alias from agregado where ventas_agregados.idingrediente = agregado.idingrediente limit 1) as alias,
	(select insumos_lista.descripcion
	from ingredientes
	inner join insumos_lista on ingredientes.idinsumo = insumos_lista.idinsumo
 	where 
	 ventas_agregados.idingrediente = ingredientes.idingrediente 
	 limit 1
 	) as alias2
from ventas 
inner join ventas_detalles on ventas.idventa = ventas_detalles.idventa
inner join ventas_agregados on ventas_agregados.idventadet = ventas_detalles.idventadet
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.estado <> 6
and ventas.excluye_repven = 0
and ventas.idempresa = $idempresa
$filtrocaja
group by ventas_agregados.idingrediente
order by sum(ventas_agregados.precio_adicional) desc
";
//echo $consulta;exit;
$rs2 = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
}
$consulta="
select sum(otrosgs) as monto_delivery, sum(descneto) as monto_descuento
from ventas 
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.estado <> 6
and ventas.excluye_repven = 0
and ventas.idempresa = $idempresa
$filtrocaja
";
$rs3 = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


//catego
$buscar="Select * from categorias where idempresa=$idempresa and estado=1 order by nombre asc";
$rscat = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

	




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Mix de ventas por producto</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
						<!--------------------------------------BOTONES---------------------->
						<div class="btn-group">
							<?php 
							$refemenu="margen";
							require_once("includes/menu_informes_ventas_ret.php"); 
							?>
							<br> 
						</div>
						<!--------------------------------------BOTONES---------------------->


<form id="form1" name="form1" method="get" action="">

<hr />

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php echo $desde; ?>" placeholder="App" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="App" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hora Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="time" name="hdesde" id="hdesde" value="<?php echo $hdesde; ?>" placeholder="" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hora Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="time" name="hhasta" id="hhasta" value="<?php echo $hhasta; ?>" placeholder="" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Categor&iacute;a </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
        <select name="categorial" id="categorial" class="form-control" onChange="filtrar()">
          <option value="0" selected="selected">Seleccionar</option>
           <?php while(!$rscat->EOF){?>
          <option value="<?php echo $rscat->fields['id_categoria']?>"<?php if ($cate==$rscat->fields['id_categoria']){?> selected="selected" <?php }?>><?php echo $rscat->fields['nombre']?></option>
          
          <?php $rscat->MoveNext();}?>
        </select>                  
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sub-Categor&iacute;a </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="minisub">
        <?php require_once('mini_subcate.php');?>                 
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="minisub">
        <?php 
	  
	  
//lista de sucursales
$buscar="select * from sucursales where idempresa=$idempresa order by nombre asc";
$rsfd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

	  
	  
	  ?><select name="suc" id="suc" class="form-control">
                            	<option value="0" <?php if(intval($_GET['suc']) == 0){?>selected="selected"<?php }?>>TODOS</option>
                                <option value="ss" <?php if($_GET['suc'] == 'ss'){?>selected="selected"<?php }?> >SOLO SUCURSALES</option>
                               <?php while (!$rsfd->EOF){?>
                            	<option value="<?php echo $rsfd->fields['idsucu']?>" <?php if($rsfd->fields['idsucu']==intval($_GET['suc'])){?>selected="selected"<?php }?>><?php echo $rsfd->fields['nombre']?></option>
                            
                            	 <?php $rsfd->MoveNext();}?>
                            </select>            
	</div>
</div>




<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Proveedor </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="minisub">
<?php 
// consulta
$consulta="
SELECT idproveedor, nombre
FROM proveedores
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_GET['idproveedor'])){ 
	$value_selected=htmlentities($_GET['idproveedor']); 
}else{
	$value_selected=htmlentities($rs->fields['idproveedor']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idproveedor',
	'id_campo' => 'idproveedor',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idproveedor',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>

</form>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
          <thead>
            <tr>
              <th align="center" >Cod</th>
              <th align="center" ><strong>Productos</strong></th>
              <th align="center" >Cantidad</th>
              <th align="center" >Costo Prom</th>
              <th align="center" >Venta Prom</th>
              <th align="center" >Margen Prom</th>
              <th align="center" >Total Costo</th>
              <th align="center" >Total Venta</th>
              <th align="center" >Total Margen</th>
              <th align="center" >% Margen</th>
              <th align="center" >N&deg;</th>
            </tr>
            </thead>
            <tbody>
           <?php  
           $bb=0;
           while (!$rs->EOF){ 
		   $cantidad=$rs->fields['cantidad'];
		   $costo=$rs->fields['costo_total'];
		   $venta=$rs->fields['venta_total'];
		   $costo_prom=$costo/$cantidad;
		   $venta_prom=$venta/$cantidad;
		   $margen_prom=$venta_prom-$costo_prom;
		   $margen=$rs->fields['venta_total']-$rs->fields['costo_total'];
		   $marcen_porc=(($venta-$costo)/$venta)*100;
		   $bb=$bb+1;
   		   $cantidad_acum+=$cantidad;
   		   $costo_total_acum+=$costo;
		   $venta_total_acum+=$venta;
		   $margen_acum+=$margen;
		   $margen_porc_tot=(($venta_total_acum-$costo_total_acum)/$venta_total_acum)*100;
		   
		   
		   ?>
            <tr>
              <td align="left"><?php echo $rs->fields['idinsumo']; ?></td>
              <td align="left"><?php echo $rs->fields['descripcion']; ?></td>
              <td align="center"><?php echo formatomoneda($cantidad,4,'N'); ?></td>
              <td align="center"><?php echo formatomoneda($costo_prom,0,'N'); ?></td>
              <td align="center"><?php echo formatomoneda($venta_prom,0,'N'); ?></td>
              <td align="center"><?php echo formatomoneda($margen_prom,0,'N'); ?></td>
              <td align="center"><?php echo formatomoneda($costo,0,'N'); ?></td>
              <td align="right"><?php echo formatomoneda($venta,0,'N'); ?></td>
              <td align="right"><?php echo formatomoneda($margen,0,'N'); ?></td>
              <td align="right"><?php echo formatomoneda($marcen_porc,2,'N'); ?>%</td>
              <td align="right" id="orden"><?php echo formatomoneda($bb,2,'N'); ?></td>
            </tr>
           <?php  $rs->MoveNext(); }  ?> 
          </tbody>
            <tr>
              <td align="left"><strong>Totales</strong></td>
              <td align="left">&nbsp;</td>
              <td align="center"><strong><?php echo formatomoneda($cantidad_acum,0); ?></strong></td>
              <td align="center">&nbsp;</td>
              <td align="center">&nbsp;</td>
              <td align="center">&nbsp;</td>
              <td align="center"><strong><?php echo formatomoneda($costo_total_acum,0); ?></strong></td>
              <td align="right"><strong><?php echo formatomoneda($venta_total_acum); ?></strong></td>
              <td align="right"><strong><?php echo formatomoneda($margen_acum); ?></strong></td>
              <td align="right"><strong><?php echo formatomoneda($margen_porc_tot,2,'N'); ?>%</strong></td>
            </tr>
      </table>
</div>


						
							<div class="clearfix"></div>
							<hr />

	



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
       
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
