<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="16";
$submodulo="76";
require_once("includes/rsusuario.php"); 



// si no es un super usuario debe filtrar usuarios por este campo
/*if($superus != 'S'){
	echo "Modulo no permitido para tu usuario.";
	exit;
}*/
// si no es soporte ni super debe filtra por este campo
if($soporte != 1){
	echo "Modulo no permitido para tu usuario.";
	exit;
}

		
		
$consulta="
select *,
(select usuario from usuarios where ip_bloqueo.registrado_por = usuarios.idusu) as registrado_por_txt,
(select tipo_bloqueo from ip_bloqueo_tipos where ip_bloqueo.idtipobloqueo = ip_bloqueo_tipos.idtipobloqueo) as tipo_bloqueo
from ip_bloqueo 
where 
 estado = 1 
order by idipbloqueo asc
";
//$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

/******** PAGINACION **********/
	//Limito la busqueda
	$TAMANO_PAGINA = 500;
	
	$consulta_tot="
	WITH consulta_a_paginar AS (
		$consulta
	)
	select count(*) as total
	from consulta_a_paginar
	";
	$rstotal=$conexion->Execute($consulta_tot) or die(errorpg($conexion,$consulta_tot));
	$num_total_registros=$rstotal->fields['total'];
	$nropagina = intval($_GET["pagina"]);
	//examino la página a mostrar y el inicio del registro a mostrar
	if ($nropagina == 0) {
	   $inicio = 0;
	   $nropagina = 1;
	} else {
	   $inicio = ($nropagina - 1) * $TAMANO_PAGINA;
	}
	//calculo el total de páginas
	$total_paginas = ceil($num_total_registros / $TAMANO_PAGINA);
	// volver a consultar pero agregar los limites
	$limite=" 
	Limit $inicio, $TAMANO_PAGINA
	";
	// ejecutar despues de la paginacion
	$consulta_paginada=$consulta.$limite;
	$rs=$conexion->Execute($consulta_paginada) or die(errorpg($conexion,$consulta_paginada));
/******** PAGINACION **********/


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Bloqueos por IP</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<p>
<a href="usuarios.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a>
<?php if($superus == 'S'){ ?>
	<a href="ip_bloqueo_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a>
<?php } ?>
</p>
<hr />


				  
<?php if ($total_paginas > 1) { ?>
<ul class="pagination">
<?php 
$parametros_array['get_excluye'] = 'sf,pagina';
$parametros_array['primer_parametro_fijo'] = 'S';
$url_add=parametros_url($parametros_array);
$nombre_script = basename($_SERVER['SCRIPT_NAME']);
if($url_add != ''){
	$url=$nombre_script."?sf=n".$url_add;
}else{
	$url=$nombre_script."?sf=s";	
}
if ($total_paginas > 1) {
	if ($nropagina != 1){
		echo '<li><a href="'.$url.'&pagina='.($nropagina-1).'">&laquo;</a></li>';
	}
	for ($i=1;$i<=$total_paginas;$i++) {
		if ($nropagina == $i){
			//si muestro el índice de la página actual, no coloco enlace
			echo '<li class="active" style="background-color:#FE980F; color:#FFF;"><a href="'.$url.'">'.$nropagina.'</a></li>';
		}else{
			//si el índice no corresponde con la página mostrada actualmente,
			//coloco el enlace para ir a esa página
			echo '<li><a href="'.$url.'&pagina='.$i.'">'.$i.'</a></li>';
		}
	}
	if ($nropagina != $total_paginas){
		echo '<li><a href="'.$url.'&pagina='.($nropagina+1).'">&raquo;</a></li>';
	}
}
?>
</ul>
<div class="clearfix"></div>
<br />
<?php } ?>


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Idipbloqueo</th>
			<th align="center">Ip</th>
			<th align="center">Bloqueado hasta</th>
			<th align="center">Mensaje bloqueo</th>
			
			<?php if($superus == 'S'){ ?>
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>
			<th align="center">Tipo bloqueo</th>
			<?php } ?>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					
					<a href="ip_bloqueo_del.php?id=<?php echo $rs->fields['idipbloqueo']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
				</div>

			</td>
				<td align="center"><?php echo intval($rs->fields['idipbloqueo']); ?></td>
				<td align="center"><?php echo antixss($rs->fields['ip']); ?></td>
				<td align="center"><?php if($rs->fields['bloqueado_hasta'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['bloqueado_hasta'])); }  ?></td>
				<td align="center"><?php echo antixss($rs->fields['mensaje_bloqueo']); ?></td>
				<?php if($superus == 'S'){ ?>
				<td align="center"><?php echo antixss($rs->fields['registrado_por_txt']); ?></td>
				<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
				<td align="center"><?php echo antixss($rs->fields['tipo_bloqueo']); ?></td>
				<?php } ?>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />


				  
<?php if ($total_paginas > 1) { ?>
<ul class="pagination">
<?php 
$parametros_array['get_excluye'] = 'sf,pagina';
$parametros_array['primer_parametro_fijo'] = 'S';
$url_add=parametros_url($parametros_array);
$nombre_script = basename($_SERVER['SCRIPT_NAME']);
if($url_add != ''){
	$url=$nombre_script."?sf=n".$url_add;
}else{
	$url=$nombre_script."?sf=s";	
}
if ($total_paginas > 1) {
	if ($nropagina != 1){
		echo '<li><a href="'.$url.'&pagina='.($nropagina-1).'">&laquo;</a></li>';
	}
	for ($i=1;$i<=$total_paginas;$i++) {
		if ($nropagina == $i){
			//si muestro el índice de la página actual, no coloco enlace
			echo '<li class="active" style="background-color:#FE980F; color:#FFF;"><a href="'.$url.'">'.$nropagina.'</a></li>';
		}else{
			//si el índice no corresponde con la página mostrada actualmente,
			//coloco el enlace para ir a esa página
			echo '<li><a href="'.$url.'&pagina='.$i.'">'.$i.'</a></li>';
		}
	}
	if ($nropagina != $total_paginas){
		echo '<li><a href="'.$url.'&pagina='.($nropagina+1).'">&raquo;</a></li>';
	}
}
?>
</ul>
<div class="clearfix"></div>

<?php } ?>

<hr />
<?php if($superus == 'S'){

$consulta="
select *,
(select usuario from usuarios where ip_bloqueo.registrado_por = usuarios.idusu) as registrado_por_txt,
(select tipo_bloqueo from ip_bloqueo_tipos where ip_bloqueo.idtipobloqueo = ip_bloqueo_tipos.idtipobloqueo) as tipo_bloqueo
from ip_bloqueo 
where 
 estado = 6 
order by idipbloqueo desc
limit 20
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	?>
<strong>Ultimos 20 borrados:</strong>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Idipbloqueo</th>
			<th align="center">Ip</th>
			<th align="center">Bloqueado hasta</th>
			<th align="center">Mensaje bloqueo</th>

			<?php if($superus == 'S'){ ?>
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>
			<th align="center">Tipo bloqueo</th>
			<?php } ?>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					
					<a href="ip_bloqueo_del.php?id=<?php echo $rs->fields['idipbloqueo']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
				</div>

			</td>
				<td align="center"><?php echo intval($rs->fields['idipbloqueo']); ?></td>
				<td align="center"><?php echo antixss($rs->fields['ip']); ?></td>
				<td align="center"><?php if($rs->fields['bloqueado_hasta'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['bloqueado_hasta'])); }  ?></td>
				<td align="center"><?php echo antixss($rs->fields['mensaje_bloqueo']); ?></td>
				<?php if($superus == 'S'){ ?>
				<td align="center"><?php echo antixss($rs->fields['registrado_por_txt']); ?></td>
				<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
				<td align="center"><?php echo antixss($rs->fields['tipo_bloqueo']); ?></td>
				<?php } ?>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />
<?php } ?>

		


<div class="clearfix"></div>
<br /><br />
 <br /> <br /> <br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
           
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
