<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="36";
$submodulo="514";
$dirsup="S";
require_once("../includes/rsusuario.php"); 

		


$idkaraokepedsimp=intval($_GET['id']);
if($idkaraokepedsimp == 0){
	header("location: karaoke_pedidos.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select karaoke_pedidos_simp.*, mesas.numero_mesa,
(select usuario from usuarios where karaoke_pedidos_simp.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where karaoke_pedidos_simp.borrado_por = usuarios.idusu) as borrado_por
from karaoke_pedidos_simp 
inner join mesas on mesas.idmesa = karaoke_pedidos_simp.idmesa
where 
 estado = 1 
 and idkaraokepedsimp = $idkaraokepedsimp
order by idkaraokepedsimp asc
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idkaraokepedsimp=intval($rs->fields['idkaraokepedsimp']);
$idmesa=intval($rs->fields['idmesa']);
if($idkaraokepedsimp == 0){
	header("location: karaoke_pedidos.php");
	exit;	
}




if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$cantado_el=antisqlinyeccion($ahora,"text");
	$cantado_por=antisqlinyeccion($idusu,"int");






	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update karaoke_pedidos_simp
		set
			cantado_el=$cantado_el,
			cantado_por=$cantado_por,
			estado = 3
		where
			idkaraokepedsimp = $idkaraokepedsimp
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: karaoke_pedidos.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Marcar como Cantado</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			

			<th align="center">Mesa  Nro.</th>
			<th align="center">Cancion txt</th>
			<th align="center">Persona que cantara</th>

			<th align="center">Pedido el</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['numero_mesa']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['cancion_txt']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['persona_que_cantara']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='karaoke_pedidos.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br /> 
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
