<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="21";
$submodulo="156";
require_once("includes/rsusuario.php"); 



// boton no retirado
$btnret_no="<button type=\"button\" class=\"btn btn-primary\"";
if($retdirecto == 'N'){
	$btnret_no.=" onClick=\"avisar_noret(\''+nombre+'\','+id+','+idcliente+');\"";
}
$btnret_no.=">Retirado</button>";

// boton retirado
$btnret_si="<button type=\"button\" class=\"btn btn-success\"";
$btnret_si.=" onClick=\"avisar(\''+nombre+'\','+id+','+idcliente+');\"";
$btnret_si.=">Retirar</button>";

// producto por defecto
$consulta="SELECT * FROM preferencias WHERE  idempresa = $idempresa ";
$rspref=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$producto=intval($rspref->fields['alumnolista_idprod']);
$idproducto=$producto;
if($idproducto == 0){
	echo "No se definio el producto a registrar.";
	exit;
}

// retiro directo
$retdirecto="S";

//Comprobar apertura de caja en fecha establecida
$buscar="Select * from caja_super where estado_caja=1 and cajero=$idusu and sucursal = $idsucursal order by fecha desc limit 1";
$rscaja=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idcaja=intval($rscaja->fields['idcaja']);
$estadocaja=intval($rscaja->fields['estado_caja']);
if ($idcaja==0){
	echo "<meta http-equiv='refresh' content='0; url=gest_administrar_caja.php'/>" 	;
	exit;	
}



// valores por defecto
$whereadd="";
$limit="100";

// busca por curso
$id=intval($_GET['id']);
if($id > 0){
	$whereadd.=" and adherentes.idtipoad = $id ";
	$limit="500";
}

// busca por nombre
if(trim($_GET['palabra']) != ''){
	$palabra=antisqlinyeccion($_GET['palabra'],'text');
	$palabra=str_replace("'","",$palabra);
	// separar palabras
	$nomape=trim($palabra);
	$nombre=$nomape;
	if(trim($nombre) != ''){
		$nombres=explode(' ',$nombre);
		foreach($nombres as $nombre){
			$whereadd.=" and  ( nomape LIKE _utf8 '%$nombre%' COLLATE utf8_general_ci )
	";
		}
	}
	$limit="100";
}




	$ahorad=date("Y-m-d");
	$consulta="
	select *, 	(
				select idadherente 
				from adherente_retira where 
				adherente_retira.idadherente = adherentes.idadherente and adherente_retira.fecha = '$ahorad'
				and estado = 'A'
				) as retirado,
				(
				select descripcion 
				from adherentes_tipos_opcionales 
				where
				 adherentes_tipos_opcionales.idtipoad = adherentes.idtipoad
				 ) as curso
	from adherentes
	where
	idempresa = $idempresa
	and adherentes.disponible > 0
	and (
		select sum(adherentes_servicioscom.disponibleserv) as disponibleserv
		from productos
		inner join producto_serviciocom on producto_serviciocom.idproducto = productos.idprod_serial
		inner join adherentes_servicioscom on adherentes_servicioscom.idserviciocom = producto_serviciocom.idserviciocom
		where 
		producto_serviciocom.idempresa = $idempresa
		and producto_serviciocom.idproducto = $idproducto
		and adherentes_servicioscom.idadherente = adherentes.idadherente
		) > 0
	$whereadd
	order by apellidos asc, nombres asc
	Limit $limit
	";
	//echo $consulta;
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));





?><!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Lista de Alumnos</title>
<style>
*{
	margin:0px;
	padding:0px;	
}
body{
	background-color:#CCC!important;	
}
.tablet_lista{
	width:98%; 
	margin:0px auto; 
	text-align:center; 
	background-color:#FFF;	
	border-radius: 15px 15px 15px 15px;
	-moz-border-radius: 15px 15px 15px 15px;
	-webkit-border-radius: 15px 15px 15px 15px;
	border: 2px solid #000000;
}
input{
	font-size:16px;	
}
.tablet_lista button{
	font-size:12px;	
	height:40px;
	width:70px;
	margin:0px!important;
	padding:0px!important;
	text-align:center;

}
</style>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<script src="js/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="js/bootstrap.min.js" type="text/javascript"></script>
<link href="css/bootstrap.min.css" rel="stylesheet" type="text/css">
<script src="js/sweetalert.min.js"></script>
<link rel="stylesheet" type="text/css" href="css/sweetalert.css">
<script>
/*function alertar(titulo,error,tipo,boton){
	swal({   title: titulo,   text: error,   type: tipo,   confirmButtonText: boton });
}*/
function avisar(nombre,id,idcliente){
	swal({
		title: "Esta seguro?",
		/*text: "Se registrara la venta de "+nombre+"\n Producto: "+menu,*/
		text: "Se registrara el retiro de "+nombre,
		type: "warning",
		showCancelButton: true,
		confirmButtonColor: '#DD6B55',
		confirmButtonText: 'Registrar',
		cancelButtonText: "Cancelar",
		closeOnConfirm: true,
		closeOnCancel: true
	 },
	 function(isConfirm){
	   if (isConfirm){
		  //swal("Registro Exitoso!");
		 //$("#btn_"+id).html('OK');
		 var btn_old = $("#btn_"+id).html();
		 registra_retiro(id,'RET',btn_old,nombre,idcliente);
		  //alert(id);
		  
		} else {
		 swal("Cancelado", "", "error");
		}
	 });	
}
function avisar_noret(nombre,id,idcliente){
	swal({
		title: "Esta seguro?",
		/*text: "Se registrara la venta de "+nombre+"\n Producto: "+menu,*/
		text: "Se borrara el retiro de "+nombre,
		type: "warning",
		showCancelButton: true,
		confirmButtonColor: '#DD6B55',
		confirmButtonText: 'Registrar',
		cancelButtonText: "Cancelar",
		closeOnConfirm: true,
		closeOnCancel: true
	 },
	 function(isConfirm){
	   if (isConfirm){
		  //swal("Registro Exitoso!");
		 //$("#btn_"+id).html('OK');
		 var btn_old = $("#btn_"+id).html();
		 registra_retiro(id,'NORET',btn_old,nombre,idcliente);
		  //alert(id);
		  
		} else {
		 swal("Cancelado", "", "error");
		}
	 });	
}
function registra_retiro(id,accion,btn_old,nombre,idcliente){
		var parametros = {
                "idadherente" : id,
				"accion" : accion,
        };
		$.ajax({
                data:  parametros,
                url:   'adherente_retiro.php',
                type:  'post',
                beforeSend: function () {
                      $("#btn_"+id).html('Registrando...');
                },
                success:  function (response) {
					//alert(response);
					if(IsJsonString(response)){
						var obj = jQuery.parseJSON(response);
						if(obj.error == ''){
							if(accion == 'RET'){
								var btnret = '<?php echo $btnret_no; ?>';
								$("#btn_"+id).html(btnret);
							}else{
								var btnnoret = '<?php echo $btnret_si?>';
								$("#btn_"+id).html(btnnoret);
							}
							var idpedido = obj.idpedido;
							var idservcom = obj.idservcom;
							registrar_venta(id,idcliente,idpedido,idservcom);
						}else{
							var btnnoret = '<?php echo $btnret_si?>';
							$("#btn_"+id).html(btnnoret);
							alertar_redir('NO SE REGISTRO LA VENTA',obj.error,'error','ACEPTAR','lista_alumnos.php');
						}
					}else{
						alert(response);
					}
					/*
					if(response == 'OK'){
						if(accion == 'RET'){
								var btnret = '<?php echo $btnret_no; ?>';
								 $("#btn_"+id).html(btnret);
						}else{
							var btnnoret = '<?php echo $btnret_si?>';
							$("#btn_"+id).html(btnnoret);
						}
					}else if(response > 0){
						var idpedido = response;
						registrar_venta(id,idcliente,idpedido);
					}else{
						$("#btn_"+id).html(btn_old);
						alert(response);
					}*/
                }
        });
}
function registrar_venta(idadherente,idcliente,idpedido,idservcom){
	// recibe parametros
	var id = idadherente;
	tipo=2;
	var errores='';
	if (errores==''){
		$("#terminar").hide();
		//alert('enviar');
		if(tipo == 2){
			fact='';
		}
		
		// INICIO REGISTRAR VENTAS //
		//alert(cual);
	    var parametros = {
			"pedido"         : idpedido,
			"idzona"         : '', // zona costo delivery
			"idadherente"    : idadherente,
			"idservcom"      : idservcom, // servicio comida
			"banco"          : '',
			"adicional"      : '', // numero de cheque, tarjeta, etc
			"condventa"      : 2, // credito o contado
			"mediopago"      : 8, // forma de pago
			"fac_suc"        : '',
			"fac_pexp"       : '',
			"fac_nro"        : '',
			"domicilio"      : '', // codigo domicilio
			"llevapos"       : 'N',
			"cambiode"       : '',
			"observadelivery": '',
			"mesa"           : 0,
			"canal"          : 2, // delivery, carry out, mesa, caja
			"fin"            : 3,
			"idcliente"      : idcliente,
			"monto_recibido" : 0,
			"descuento"      : '',
			"motivo_descuento": '',
			"chapa"          : '',
			"montocheque"    : '',
			"json"           : 'S',
			"retirotab"		 : 'S'
			
			
        };
		
       $.ajax({
                data:  parametros,
                url:   'registrar_venta.php',
                type:  'post',
                beforeSend: function () {
                       $("#btn_"+id).html("<br /><br />Registrando...<br /><br />");
                },
                success:  function (response) {
					//$("#carrito").html(response);
					//alert(response);
					if(IsJsonString(response)){
						var obj = jQuery.parseJSON(response);
						if(obj.error == ''){
							var btnret = '<?php echo $btnret_no; ?>';
							$("#btn_"+id).html(btnret);
						}else{
							alertar_redir('NO SE REGISTRO LA VENTA',obj.error,'error','ACEPTAR','lista_alumnos.php');
							var btnnoret = '<?php echo $btnret_si?>';
							$("#btn_"+id).html(btnnoret);
						}
					}else{
						alert(response);
					}
                }
        });
		
		// FIN REGISTRAR VENTAS //
		
		
		
		
	} else {
		$("#terminar").show();
		//document.getElementById('montorecibido').focus();
		alertar('ATENCION: Algo salio mal.',errores,'error','Lo entiendo!');	
	}

}
function alertar_redir(titulo,error,tipo,boton,redir){
	swal({
	  title: titulo,
	  text: error,
	  type: tipo,
	  /*showCancelButton: true,*/
	  confirmButtonClass: "btn-danger",
	  confirmButtonText: boton,
	 /* cancelButtonText: "No, cancel plx!",*/
	  closeOnConfirm: false,
	 /* closeOnCancel: false*/
	},
	function(isConfirm) {
	  if (isConfirm) {
		//swal("Deleted!", "Your imaginary file has been deleted.", "success");
		  document.location.href=redir;
	  } else {
		//swal("Cancelled", "Your imaginary file is safe :)", "error");
		  document.location.href=redir;
	  }
	});
	
}
function alertar(titulo,error,tipo,boton){
	swal({   title: titulo,   text: error,   type: tipo,   confirmButtonText: boton });
}
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
</script>
</head>

<body bgcolor="#CCC">
<div class="tablet_lista">
<br />
  <!--<input type="text" name="textfield" id="textfield" value="" placeholder="Nombre Alumno" style="width:48%; height:40px;">-->
  <form id="form1" name="form1" method="get">
  
  <?php 
  	$consulta="
	SELECT * 
	FROM adherentes_tipos_opcionales 
	where 
	idempresa = $idempresa
	and estado = 1
	order by descripcion asc
	";
	$rst=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
  
  ?><select name="id" id="id" style="width:44%;height:40px;" onChange="document.location.href='lista_alumnos.php?id='+this.value">
  <option value="0">Curso/Seccion</option>
  <?php while(!$rst->EOF){?>
  <option value="<?php echo $rst->fields['idtipoad'];?>" <?php if($_GET['id'] == $rst->fields['idtipoad']){ ?>selected="selected"<?php } ?>><?php echo capitalizar($rst->fields['descripcion']);?></option>
  <?php $rst->MoveNext(); }?>
</select>
<input type="text" name="palabra" style="width:44%;height:40px;" placeholder="Buscar por Nombre" value="<?php echo antixss($_GET['palabra']); ?>">
<button type="submit" class="btn btn-default" style="height:40px;">Buscar</button>
</form>
<hr />
<table width="95%" border="1" style="margin:0px auto; border-collapse:collapse;">
  <tbody>
    <tr align="center" bgcolor="#F8FFCC">
      <td align="center"><strong>Alumno</strong></td>
      <td align="center"><strong>Seccion</strong></td>
      <td align="center"><strong>Marcar</strong></td>
    </tr>
<?php while(!$rs->EOF){?>
    <tr>
      <td height="40" align="center"><?php echo capitalizar($rs->fields['apellidos']);?>, <?php echo capitalizar($rs->fields['nombres']);?></td>
      <td align="center"><?php echo capitalizar($rs->fields['curso']);?></td>
	  <td width="100" align="center" id="btn_<?php echo intval($rs->fields['idadherente']);?>"><?php if(intval($rs->fields['retirado']) == 0){ ?><button type="button" class="btn btn-success" onClick="avisar('<?php echo capitalizar($rs->fields['apellidos']);?>, <?php echo capitalizar($rs->fields['nombres']);?>',<?php echo intval($rs->fields['idadherente']);?>,<?php echo intval($rs->fields['idcliente']);?>);">Retirar</button><?php }else{ ?><button type="button" class="btn btn-primary" <?php if($retdirecto == 'N'){ ?>onClick="avisar_noret('<?php echo capitalizar($rs->fields['apellidos']);?>, <?php echo capitalizar($rs->fields['nombres']);?>',<?php echo intval($rs->fields['idadherente']);?>);"<?php } ?>>Retirado</button><?php } ?>
		</td>
      <!--<td width="220" align="center"><button type="button" class="btn btn-success" onClick="avisar('Juan Jose Perez','Guiso de Pollo');">Opcion 1</button>
        <button type="button" class="btn btn-success">Opcion 2</button>
        <button type="button" class="btn btn-success">Opcion 3</button></td>-->
    </tr>
<?php $rs->MoveNext(); }?>
  </tbody>
</table><br /><br />
</div>
</body>
</html>