<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="322";
require_once("includes/rsusuario.php"); 





if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$lista_precio=antisqlinyeccion($_POST['lista_precio'],"text");
	$estado=1;
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$borrable=antisqlinyeccion('S',"text");
	$recargo_porc=antisqlinyeccion(floatval($_POST['recargo_porc']),"text");
	$redondeo_ceros=antisqlinyeccion(intval($_POST['redondeo_ceros']),"int");
	$redondeo_direccion=antisqlinyeccion(substr($_POST['redondeo_direccion'],0,1),"text");
	$combinar=antisqlinyeccion(substr($_POST['combinar'],0,1),"text");
	
	//print_r($_POST);



	if(trim($_POST['lista_precio']) == ''){
		$valido="N";
		$errores.=" - El campo lista_precio no puede estar vacio.<br />";	
	}
	if(trim($_POST['redondeo_ceros']) == '' or trim($_POST['redondeo_ceros']) < 0){
		$valido="N";
		$errores.=" - El campo redondeo ceros no puede estar vacio o ser negativo.<br />";	
	}
	if(trim($_POST['redondeo_direccion']) == ''){
		$valido="N";
		$errores.=" - El campo redondeo direccion no puede estar vacio.<br />";	
	}
	if(trim($_POST['redondeo_direccion']) != '' && trim($_POST['redondeo_direccion']) != 'A' && trim($_POST['redondeo_direccion']) != 'B' && trim($_POST['redondeo_direccion']) != 'N'){
		$valido="N";
		$errores.=" - El campo redondeo direccion no es valido.<br />";	
	}
	
	$consulta="
	select * from lista_precios_venta where estado = 1 and lista_precio = $lista_precio limit 1
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if($rsex->fields['idlistaprecio'] > 0){
		$valido="N";
		$errores.=" - Ya existe otra lista de precios con el mismo nombre.<br />";		
	}
	if(trim($_POST['combinar']) == ''){
		$valido="N";
		$errores.=" - El campo combinar no es valido.<br />";		
	}

	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into lista_precios_venta
		(lista_precio, estado, registrado_por, registrado_el, borrable, recargo_porc, redondeo_ceros, redondeo_direccion, combinar)
		values
		($lista_precio, $estado, $registrado_por, $registrado_el, $borrable, $recargo_porc, $redondeo_ceros, $redondeo_direccion, $combinar)
		";
		//echo $consulta;exit;
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		select max(idlistaprecio) as idlistaprecio from lista_precios_venta where registrado_por = $registrado_por
		";
		$rslast=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idlistaprecio=$rslast->fields['idlistaprecio'];
		
		// agregar precios a lista nueva
		$consulta="
		INSERT IGNORE INTO productos_listaprecios
		( idlistaprecio, idproducto, idsucursal, estado, 
		precio, reg_por, reg_el) 
		select 
		lista_precios_venta.idlistaprecio, productos_sucursales.idproducto, idsucursal, 1, 
		(precio*(lista_precios_venta.recargo_porc/100))+precio, $idusu, '$ahora'
		from productos_sucursales, lista_precios_venta
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// actualizar lista precios con recargo automatico segun redondeos // ((precio*(lista_precios_venta.recargo_porc/100))+precio)
		$consulta="
		update productos_listaprecios
		set
		precio = 
			COALESCE(
				(
				select 
				CASE redondeo_direccion
				WHEN 'A' THEN CEIL(((precio*(lista_precios_venta.recargo_porc/100))+precio)/POW(10,redondeo_ceros))*(POW(10,redondeo_ceros)) 
				WHEN 'B' THEN FLOOR(((precio*(lista_precios_venta.recargo_porc/100))+precio)/POW(10,redondeo_ceros))*(POW(10,redondeo_ceros)) 
				ELSE
					ROUND(((precio*(lista_precios_venta.recargo_porc/100))+precio)/POW(10,redondeo_ceros))*(POW(10,redondeo_ceros)) 
				END as redondeado
				from productos_sucursales, lista_precios_venta
				where
				productos_sucursales.idproducto = productos_listaprecios.idproducto
				and productos_sucursales.idsucursal = productos_listaprecios.idsucursal
				and lista_precios_venta.idlistaprecio = productos_listaprecios.idlistaprecio
				)
			,0)
		where
		idlistaprecio in (select idlistaprecio from lista_precios_venta where recargo_porc <> 0)
		and idlistaprecio > 1
		and idlistaprecio = $idlistaprecio
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		header("location: lista_precios_venta.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Agregar Lista de Precios</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Lista precio *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="lista_precio" id="lista_precio" value="<?php  if(isset($_POST['lista_precio'])){ echo htmlentities($_POST['lista_precio']); }else{ echo htmlentities($rs->fields['lista_precio']); }?>" placeholder="Lista precio" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">% Recargo Automatico *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="recargo_porc" id="recargo_porc" value="<?php  if(isset($_POST['recargo_porc'])){ echo htmlentities($_POST['recargo_porc']); }else{ echo "0"; }?>" placeholder="Recargo Automatico" class="form-control" required />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Redondeo ceros *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['redondeo_ceros'])){ 
	$value_selected=htmlentities($_POST['redondeo_ceros']); 
}else{
	$value_selected=$rs->fields['redondeo_ceros'];
}
// opciones
$opciones=array(
	'SIN REDONDEO' => '0',
	'1 (UNO)' => '1',
	'2 (DOS)' => '2',
	'3 (TRES)' => '3',
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'redondeo_ceros',
	'id_campo' => 'redondeo_ceros',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Redondeo direccion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['redondeo_direccion'])){ 
	$value_selected=htmlentities($_POST['redondeo_direccion']); 
}else{
	$value_selected=$rs->fields['redondeo_direccion'];
}
// opciones
$opciones=array(
	'Hacia Arriba' => 'A',
	'Hacia Abajo' => 'B',
	'Normal' => 'N',
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'redondeo_direccion',
	'id_campo' => 'redondeo_direccion',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Combinar con otras *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['combinar'])){ 
	$value_selected=htmlentities($_POST['combinar']); 
}else{
	$value_selected='N';
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO (Recomendado)' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'combinar',
	'id_campo' => 'combinar',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='lista_precios_venta.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
