<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="322";
require_once("includes/rsusuario.php"); 



$idlistaprecio=intval($_GET['id']);
if($idlistaprecio == 0){
	header("location: lista_precios_venta.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from lista_precios_venta 
where 
idlistaprecio = $idlistaprecio
and estado = 1
and borrable = 'S'
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idlistaprecio=intval($rs->fields['idlistaprecio']);
if($idlistaprecio == 0){
	header("location: lista_precios_venta.php");
	exit;	
}


if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$lista_precio=antisqlinyeccion($_POST['lista_precio'],"text");
	$estado=1;
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$borrable=antisqlinyeccion('S',"text");




	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		update lista_precios_venta
		set
			estado = 6,
			borrado_por=$idusu,
			borrado_el='$ahora'
		where
			idlistaprecio = $idlistaprecio
			and borrable = 'S'
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update productos_listaprecios
		set 
		estado = 6
		where
		idlistaprecio = $idlistaprecio
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: lista_precios_venta.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Agregar Lista de Precios</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Lista precio *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="lista_precio" id="lista_precio" value="<?php  if(isset($_POST['lista_precio'])){ echo htmlentities($_POST['lista_precio']); }else{ echo htmlentities($rs->fields['lista_precio']); }?>" placeholder="Lista precio" class="form-control" required />                    
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='lista_precios_venta.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
