<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="322";
require_once("includes/rsusuario.php"); 



$idlistaprecio=intval($_GET['id']);
if($idlistaprecio == 0){
	header("location: lista_precios_venta.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from lista_precios_venta 
where 
idlistaprecio = $idlistaprecio
and estado = 1
and borrable = 'S'
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idlistaprecio=intval($rs->fields['idlistaprecio']);
$recargo_porc=floatval($rs->fields['recargo_porc']);
if($idlistaprecio == 0){
	header("location: lista_precios_venta.php");
	exit;	
}


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}



 $impreso=date("d/m/Y H:i:s");
 
$idsucu=intval($_GET['idsucu']);
if($idsucu == 0){
	echo "No indico la sucursal.";
	exit;	
}
if($_GET['producto'] != ''){
	$producto=antisqlinyeccion($_GET['producto'],"like");
	$whereadd.=" and productos.descripcion like '%$producto%' ";	
}

// actualizar lista precios con recargo automatico // ((precio*(lista_precios_venta.recargo_porc/100))+precio)
$consulta="
update productos_listaprecios
set
precio = 
	COALESCE(
		(
		select 
		CASE redondeo_direccion
		WHEN 'A' THEN CEIL(((precio*(lista_precios_venta.recargo_porc/100))+precio)/POW(10,redondeo_ceros))*(POW(10,redondeo_ceros)) 
		WHEN 'B' THEN FLOOR(((precio*(lista_precios_venta.recargo_porc/100))+precio)/POW(10,redondeo_ceros))*(POW(10,redondeo_ceros)) 
		ELSE
			ROUND(((precio*(lista_precios_venta.recargo_porc/100))+precio)/POW(10,redondeo_ceros))*(POW(10,redondeo_ceros)) 
		END as redondeado
		from productos_sucursales, lista_precios_venta
		where
		productos_sucursales.idproducto = productos_listaprecios.idproducto
		and productos_sucursales.idsucursal = productos_listaprecios.idsucursal
		and lista_precios_venta.idlistaprecio = productos_listaprecios.idlistaprecio
		)
	,0),
reg_por = $idusu,
reg_el = '$ahora'
where
idlistaprecio in (select idlistaprecio from lista_precios_venta where recargo_porc <> 0)
and idlistaprecio > 1
and idlistaprecio = $idlistaprecio
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
select 
productos.idprod_serial as idproducto,
productos.descripcion as producto,
REPLACE(COALESCE(round(productos_listaprecios.precio),0),'.',',') as precio,
(select nombre from categorias where id_categoria = productos.idcategoria) as categoria,
(select descripcion from sub_categorias where idsubcate = productos.idsubcate) as sub_categoria,
(select nombre from sucursales where idsucu = productos_listaprecios.idsucursal) as sucursal,
(select CASE WHEN activo_suc = 0 THEN 'NO' ELSE 'SI' END as activo from productos_sucursales where idproducto = productos_listaprecios.idproducto and idsucursal = productos_listaprecios.idsucursal) as activo_sucursal
from productos_listaprecios 
inner join productos on productos.idprod_serial = productos_listaprecios.idproducto
where 
 productos_listaprecios.idlistaprecio = $idlistaprecio
 and productos_listaprecios.idsucursal = $idsucu
 and productos.borrado = 'N'
 $whereadd
order by productos.descripcion asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$datos="";


	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$datos.=limpiacsv($value).';';
		}
		$datos.=$saltolinea;
	$rs->MoveNext(); }



$impreso=date("YmdHis");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=productos_listaprecio_'.$impreso.'.csv');

echo $datos;
exit;



?>