<?php 
/*---------------------------------------------
01/11/2023: SOLO REV.
21/02/24: Se agrega vista con punto de coccion
-----------------------------------------------*/
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php"); 


$idmesa=intval($_POST['idmesa']);


//print_r($_POST);
 //echo 'EL ID MESA ES: '.$idmesa;
if ($idmesa > 0){
	
	


	$consulta="
	select permite_vaciar_mesa, vaciar_mesa_idmotivo
	from mesas_preferencias 
	limit 1
	";
	$rsprefmesa=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$permite_vaciar_mesa=$rsprefmesa->fields['permite_vaciar_mesa'];

	if($permite_vaciar_mesa == 'S'){
		// busca si la mesa actual esta permitida
		$consulta="
		select idvaciamesapermite
		from mesas_vaciar_permite
		where
		idmesa = $idmesa
		and estado = 1
		";
		$rsmesvac=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idvaciamesapermite=intval($rsmesvac->fields['idvaciamesapermite']);
	}
		
	
	
	
	
	
	
	
	//echo 'ENTRO IGUAL: '.$idmesa;
	//Verificamos si posee un atc
	//Id mesa: usamos para buscar si ya existe un atc o no.
	$buscar="Select * from mesas_atc where idmesa=$idmesa and estado=1 order by registrado_el desc limit 1";
	//echo $buscar;
	$rsidatc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idatc=intval($rsidatc->fields['idatc']);
	$pin=antixss($rsidatc->fields['pin']);
	
	//ANULAMOS LA RESTRICCION DE USUARIOS - DESCOMENTAR SI SE QUIERE APLICAR //
	$consulta="
	SELECT *, (SELECT fechahora FROM usuarios_accesos where idusuario = usuarios.idusu order by fechahora desc limit 1) as ultacceso,
	(select nombre from sucursales where idsucu=usuarios.sucursal ) as sucuchar
	FROM usuarios
	where
	estado = 1
	and idusu in (select idusu from modulo_usuario where  estado = 1 and submodulo = 22)
	and idusu=$idusu
	order by usuario asc
	";

	//$rsccajacon=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	//echo $consulta.'<br />';
	//if (intval($rsccajacon->fields['idusu'])>0){
		//$usar_cod_mozo='N';
		//$escajero='S';
	//} 
	
	//if ($escajero=='S'){
		
		//$add=" and tmp_ventares.idtmpventares_cab in (select idtmpventares_cab from tmp_ventares_cab where idatc=$idatc)  ";
		//if ($idatc==0){
			//$add= "";
		//}

	//} else {
		//$add=" and tmp_ventares.usuario = $idusu ";
	//}
	
	$add=" and tmp_ventares.idtmpventares_cab in (select idtmpventares_cab from tmp_ventares_cab where idatc=$idatc)  ";
	$consulta="
	select tmp_ventares.*, productos.descripcion, sum(cantidad) as total, sum(precio) as totalprecio, sum(subtotal) as subtotal,
	(select recetas_detalles.idreceta from recetas_detalles where recetas_detalles.idprod = tmp_ventares.idproducto limit 1) as tienereceta, 
	(select agregado.idproducto from agregado WHERE agregado.idproducto = tmp_ventares.idproducto limit 1) as tieneagregado,
	tmp_ventares.idtipoproducto as idtipoproducto
	from tmp_ventares 
	inner join productos on tmp_ventares.idproducto = productos.idprod_serial
	where 
	tmp_ventares.idtmpventares_cab in ( 
										select idtmpventares_cab 
										from tmp_ventares_cab 
										where idsucursal = $idsucursal 
										and finalizado = 'S' 
										and registrado = 'N' 
										and idatc=$idatc 
										and idatc > 0
										and estado = 1 
										)
	and tmp_ventares.borrado = 'N' 
	and tmp_ventares.idsucursal = $idsucursal 
	
	group by idventatmp,descripcion, receta_cambiada
	";
	//echo $consulta;exit;
	$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$tr=$rs->RecordCount();
	//echo $tr;
	//echo $consulta;
	//exit;


	$consulta="
	SELECT *, (SELECT fechahora FROM usuarios_accesos where idusuario = usuarios.idusu order by fechahora desc limit 1) as ultacceso,
	(select nombre from sucursales where idsucu=usuarios.sucursal) as sucuchar
	FROM usuarios
	where
	estado = 1
	and idusu in (select idusu from modulo_usuario where  estado = 1 and submodulo = 22)
	and idusu=$idusu
	order by usuario asc
	";
	//echo $consulta;
	$rsccajacon=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if (intval($rsccajacon->fields['idusu'])>0){
		$permitecobrar='S';
	} else {
		$permitecobrar='N';

	}

$consulta="
SELECT 
	mesas_pedidos.idpedido,
	mesas_pedidos.tipo_pedido,
  mesas_pedidos_tipo.tipopedido as tipo_pedido_descripcion,
  mesas_pedidos.fecha
FROM 
  mesas_pedidos 
  INNER JOIN mesas_atc on mesas_atc.idatc = mesas_pedidos.idatc 
  inner join mesas_pedidos_tipo on mesas_pedidos_tipo.idtipopedido = mesas_pedidos.tipo_pedido
WHERE 
  mesas_atc.estado = 1
  and mesas_pedidos.estado = 1
  and mesas_atc.idatc = $idatc 
 order by mesas_pedidos.idpedido asc
";
$rsnotifica=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<?php if(intval($rsnotifica->fields['tipo_pedido']) > 0){ ?>
	<div class="alert alert-info  alert-dismissible fade in" role="alert">
	<strong>Notificaciones:</strong><br />
	<?php while(!$rsnotifica->EOF){
		// si es el mismo dia
		if(date("Y-m-d",strtotime($rsnotifica->fields['fecha'])) == date("Y-m-d")){
			// muestra solo la hora
			$fecha_muestra=date("H:i:s",strtotime($rsnotifica->fields['fecha']));
		}else{
			// muestra la fecha completa
			$fecha_muestra=date("d/m/Y H:i:s",strtotime($rsnotifica->fields['fecha']));
		}
		$idpedido=intval($rsnotifica->fields['idpedido']);
		?>
	<span id="idnotifica_<?php echo $idpedido; ?>">- <?php echo $rsnotifica->fields['tipo_pedido_descripcion']; ?> (<?php echo $fecha_muestra; ?> hs.) <a href="javascript:marca_atendido(<?php echo $idpedido; ?>);" style="cursor:pointer();" class="close-link"><i class="fa fa-check"></i></a><br /></span>
	<?php $rsnotifica->MoveNext(); } ?>
	</div>
<?php } ?>
<table class="table table-hover">
  <thead>
    <tr>
		<th height="29" valign="middle" bgcolor="#E7E7E7">ID</th>
		<th height="29" valign="middle" bgcolor="#E7E7E7">Producto</th>
		<th valign="middle" bgcolor="#E7E7E7">Cantidad</th>
		<th valign="middle" bgcolor="#E7E7E7">Sub Total</th>
		 <th align="center" valign="middle" bgcolor="#E7E7E7">Reg por</th>
   	  <th align="center" valign="middle" bgcolor="#E7E7E7"> </th>
    </tr>
  </thead>
  <tbody>
    <?php while (!$rs->EOF){
	
		$c++;
		$total=$rs->fields['subtotal'];
		$totalacum+=$total;
		$des=str_replace("'","",$rs->fields['descripcion']);
		$idcabecera=intval($rs->fields['idtmpventares_cab']);
		
		$buscar="select (CASE WHEN idmozo > 0 then idmozo else idusu END) as idunico,(select usuario from usuarios where idusu=idunico) as charusu from tmp_ventares_cab where idtmpventares_cab=$idcabecera limit 1";
		$rsbuscaquien=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		//echo $buscar;
		$quien=$rsbuscaquien->fields['charusu'];
		//Vemos si el producto es combinado, buscamos para mostra las mitades
		$idtipoproducto=intval($rs->fields['idtipoproducto']);
		$idproducto=intval($rs->fields['idproducto']);
		$idventatmp=intval($rs->fields['idventatmp']);
		/*if ($idtipoproducto==4){
			//buscamos las porciones seleccionadas
			$buscar="select *,descripcion as pcharn 
			from tmp_combinado_componente 
			inner join productos on productos.idprod_serial=tmp_combinado_componente.idprodcombi
			where idatc=$idatc and idmesa=$idmesa and idprodppal=$idproducto and idtmpventares=$idventatmp";
			$rslistacomb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			//echo $buscar.'<br />';
			$tcombi=$rslistacomb->RecordCount();
			
		}*/
		$estilo="";
		$tipoplato=trim($rs->fields['tipo_plato']);
		if ($tipoplato=='E'){
			$estilo="background-color:#2E9AFE;font-weight:bold;color:#FFFFF";
		}
		if ($tipoplato=='F'){
			$estilo="background-color:green; color:#FFFFF";
			$estilo="background-color:#81F7D8;font-weight:bold;color:#FFFFF";
		}
		
		if ($idtipoproducto!=5){
	 ?>
    <tr style="font-size: 1.2em;">
		<td><?php echo antixss($rs->fields['idproducto']); ?></td>
      <td style="<?php echo $estilo;?>" ><?php echo Capitalizar($rs->fields['descripcion']); ?><?php
	  
	  $texto='';
	 
	  if(trim($rs->fields['observacion']) != ''){ echo '<br />*Obs: '.antixss($rs->fields['observacion']); }
	  
	// 1 producto 2 combo 3 combinado 4 combinado extendido
	$idtipoproducto=$rs->fields['idtipoproducto'];
	$idprod_mitad1=$rs->fields['idprod_mitad1'];
	$idprod_mitad2=$rs->fields['idprod_mitad2'];
	$idventatmp=$rs->fields['idventatmp'];
	$muestra_grupo_combo=$rs->fields['muestra_grupo_combo'];
	if($idtipoproducto == 4){
		$consulta="
		select * 
		from productos 
		inner join tmp_combinado_listas on tmp_combinado_listas.idproducto_partes = productos.idprod_serial
		where 
		tmp_combinado_listas.idventatmp = $idventatmp
		limit 20
		";	
		$rsmit = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	}
	if($idtipoproducto == 2){
		if($muestra_grupo_combo == 'S'){
			$consulta="
			select combos_listas.nombre, productos.descripcion, sum(tmp_combos_listas.cant_real) as total
			from productos 
			inner join tmp_combos_listas on tmp_combos_listas.idproducto = productos.idprod_serial
			inner join combos_listas on combos_listas.idlistacombo = tmp_combos_listas.idlistacombo
			where 
			tmp_combos_listas.idventatmp = $idventatmp
			group by combos_listas.nombre, productos.descripcion
			order by combos_listas.idlistacombo asc
			limit 20
			";
			$rsmit = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}else{
			$consulta="
			select productos.descripcion , sum(tmp_combos_listas.cant_real) as total
			from productos 
			inner join tmp_combos_listas on tmp_combos_listas.idproducto = productos.idprod_serial
			where 
			tmp_combos_listas.idventatmp = $idventatmp
			group by productos.descripcion
			limit 20
			";	
			$rsmit = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
	}
	  
		// combinado y combinado extendido    
		if($idtipoproducto == 3 or $idtipoproducto == 4){
			$i=0;
			while (!$rsmit->EOF){
				$i++;
				  echo "<br />&nbsp;&nbsp;> Parte $i: ".Capitalizar($rsmit->fields['descripcion']);
			$rsmit->MoveNext(); }

		} 
		// combo
		if($idtipoproducto == 2){
			$i=0;
			while (!$rsmit->EOF){
				$total=formatomoneda($rsmit->fields['total'],4,'N');
				$i++;
				
				if($muestra_grupo_combo == 'S'){
					$nombre_grupo=trim($rsmit->fields['nombre']).": ";
				}
				  echo "<br />&nbsp;&nbsp;> ".$nombre_grupo.$total." x ".Capitalizar($rsmit->fields['descripcion']);
			$rsmit->MoveNext(); }

		} 
	  
	  
	  
	  // busca si tiene agregado
	  $idvt=$rs->fields['idventatmp'];
	  $consulta="
	  select tmp_ventares_agregado.*, 
	  tmp_ventares_agregado.precio_adicional*tmp_ventares_agregado.cantidad as precio_adicional
	  from tmp_ventares_agregado
	  where 
	  idventatmp = $idventatmp
	  order by alias desc
	  ";
	  //echo $consulta;
	  $rsag = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	  // genera agregados si tiene
	  if(trim($rsag->fields['alias']) != ''){
		  //$texto.=$saltolinea."   > AGREGADOS:".$saltolinea;
		  while (!$rsag->EOF){
			  $texto.="&nbsp;&nbsp;&nbsp;(+) ".texto_tk($rsag->fields['alias'],36)."<br />";
			  $texto.="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gs. ".texto_tk(formatomoneda($rsag->fields['precio_adicional']),30)."<br />";
		  $rsag->MoveNext(); }
	  }
	  $texto=trim($texto);
	  
	  // busca si tiene sacados
	  $consulta="
	  select tmp_ventares_sacado.*
	  from tmp_ventares_sacado
	  where 
	  idventatmp = $idventatmp
	  order by alias desc
	  ";
	  $rssac = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	  // genera sacados si tiene
	  if(trim($rssac->fields['alias']) != ''){
		  //$texto.=$saltolinea."   > EXCLUIDOS:"."<br />";
		  while (!$rssac->EOF){
			  $texto.="&nbsp;&nbsp;&nbsp;(-) SIN ".texto_tk($rssac->fields['alias'],36)."<br />";
		  $rssac->MoveNext(); }
	  }
	  /*if(trim($rs->fields['observacion']) != ''){
		  $texto.=$saltolinea."&nbsp;&nbsp;&nbsp;*OBS: ".texto_tk($rs->fields['observacion'],35)."<br />";
	  }*/
	  if(trim($texto) != ''){
		  echo '<br />'.$texto;
	  }
	  
	 
	 ?></td>
      <td align="center"><?php echo formatomoneda($rs->fields['total'],3,'N'); ?></td>
      <td align="right"><?php if($rs->fields['cortesia'] != 'S'){ echo formatomoneda($rs->fields['subtotal'],0,'N'); }else{ echo "Cortesia"; } ?></td>
	  <td align="right"><?php echo $quien ?></td>
      <td align="center"><?php if ($permitecobrar=='S'){?>
      <a href="javascript:void(0);" onClick="accionesprod(<?php echo $rs->fields['idventatmp']?>,<?php echo $idmesa ?>,<?php echo $idatc ?>,'<?php echo $permitecobrar ?>')" title="Acciones sobre producto"> <i class="fa fa-gear"></i></a>
		  <?php } ?>
     </td>
    </tr>
	  <?php /*if ($tcombi > 0){?>
	  <tr>
		 
	  	<td colspan="6">
			<?php while (!$rslistacomb->EOF){
			echo "<span class='fa fa-arrow-right'></span>&nbsp;&nbsp;&nbsp;&nbsp;".$rslistacomb->fields['pcharn'].", ";
			$rslistacomb->MoveNext();}
			?>
		  </td>
	  </tr>
	  <?php }*/ ?>
	  <?php } //  if ($idtipoproducto!=5){ ?>
    <?php $rs->MoveNext(); } ?>
    <?php 

	// buscar si hay agregados y mostrar el total global
	/*$consulta="
	SELECT sum(precio_adicional) as montototalagregados , count(idventatmp) as totalagregados
	FROM 
	tmp_ventares_agregado
	where
	idventatmp in (
	select tmp_ventares.idventatmp
	from tmp_ventares 
	where 
	registrado = 'N'
	and tmp_ventares.usuario = $idusu
	and tmp_ventares.borrado = 'N'
	and tmp_ventares.finalizado = 'N'
	and tmp_ventares.idsucursal = $idsucursal
	and tmp_ventares.idempresa = $idempresa
	and tmp_ventares.idmesa = $idmesa
	)
	";
	//echo $consulta;
	$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$montototalagregado=$rs->fields['montototalagregados'];
	$totalagregado=$rs->fields['totalagregados'];
	$totalacum+=$montototalagregado;*/

	
	?>
    <tr>
      <td height="39" colspan="6" align="center"><strong>
		  <h2>Total consumo mesa: <span id="totconsumo"><?php echo formatomoneda($totalacum);?></span> Gs</h2>
        <input type="hidden" name="totalventa" id="totalventa" value="<?php echo $totalacum; ?>">
        <input type="hidden" name="totalventa_real" id="totalventa_real" value="<?php echo $totalacum; ?>">
		  <?php if (intval($totalacum)==0){?>
		  <form id="cierremesa" action="ventas_salon.php?" method="post">
		   <button type="submit"  class="btn btn-warning btn-xs" >Liberar Mesa &nbsp;<span class="fa fa-delete"></span></button>
		 		 <input type="hidden" name="ocliberaatc" id="ocliberaatc" value="<?php echo $idatc ?>"/>
		  		 <input type="hidden" name="ocliberamesa" id="ocliberamesa" value="<?php echo $idmesa?>" />
				 
		  </form>
			<input type="hidden" name="idmesa" id="idmesa" value="<?php echo $idmesa?>" />
		  
		  <?php } ?>
      </strong>
      <a href="#" class="btn btn-sm btn-default" onclick="actualiza_lista_carrito_cons(<?php echo $idmesa ?>);"><span class="fa fa-search"></span> Vista Consolidada</a>
      

	  
<?php if($pin != ''){ ?>
		  <hr />
		  <STRONG>MESAS SMART PIN:</STRONG> <?php echo formatomoneda($pin); ?><br />
		  	<button type="button" class="btn-btn-round btn-default btn-sm" onclick="document.location.href='../mesas_qr_imprime.php?idatc=<?php echo $idatc ?>'"><span class="fa fa-print">
			</span>&nbsp;&nbsp;Imprimir Pin</button>
<?php } ?>
	<?php if($idvaciamesapermite > 0){ ?> <hr />
	<a href="vaciar_mesa.php?idatc=<?php echo $idatc ?>" class="btn btn-sm btn-danger"><span class="fa fa-trash-o"></span> Vaciar y Liberar Mesa</a><br /><br />
	<?php } ?>
	  
      </td>
    </tr>
	<?php if ($pedidoli>0){?>
    <tr>  
	
      <td colspan="6" align="center"><form action="ventas_salon.php" method="post">
		
        <button type="submit" id="pedidocarrito" name="pedidocarrito" class="btn btn-success btn-xs" >Registrar Pedido &nbsp;<span class="fa fa-check"></span></button>
		 
        <input type="hidden" name="mesaoc" id="mesaoc" value="<?php echo $idmesa ?>" />
      </form></td> 
	
		
    </tr>
	  <?php }?>
	 <tr>
	  	<td colspan="6">
			
			
		 
		 </td>
	  
	  </tr>
  </tbody>
</table>
<?php } else {?>



<?php }?>
