<?php
/*-----------------------------
19/10/23 revision solamente
01/11/2023: SOLO REV.
16/02/24: Se agrega PIN de acciones y LOG
03/07/2024: Semejora y agrega pin para descuento Sobre factura
06/07/24:Mejora en codigo de autorizacion
15/11/24:Se agrego el Id de la venta que se carga como anticipo para realizar el descuento de esa factura en la mesa
---------------------*/

require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php");


require_once("../includes/funciones_mesas.php");

//Array ( [idatc] => 3 [descuento_porce] => 38.70967741935484 [descuento_monto] => 30000 )
$tabonar=intval($_POST['tc']);
$idatc=intval($_POST['idatc']);
$idmesa=intval($_POST['idmesa']);
$descuento_porce=intval($_POST['descuento_porce']);
$descuento_monto=intval($_POST['descuento_monto']);
$idmotivo=intval($_POST['motivo']);//para el descuento sobre factura
$idventaanticipo = intval($_POST['idventa']);




$parametros_array=array(
	'codigo_autorizacion' => $_POST['codigo_autorizacion'],
	'idatc' => $_POST['idatc'],
	'idatcdet' => $_POST['idatcdet'],
	'idmesa' => $_POST['idmesa'],
	'idsucursal' => $idsucursal,
	'descuento_porce' => $_POST['descuento_porce'],
	'descuento_monto' => $_POST['descuento_monto'],
	'idmotivo' => $_POST['motivo'],
	'idventaanticipo' => $_POST['idventa'],
	'tabonar' => $_POST['tc'],
	'idusu' => $idusu
);

$res=descuento_sobre_atc_valida($parametros_array);
if($res['valido'] == 'S'){
	$res=descuento_sobre_atc_registra($parametros_array);
}

$respuesta=json_encode($res, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
echo $respuesta;
exit;

?>