<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php"); 
function seg_a_dhms($seg) { 
    $d = floor($seg / 86400); 
    $h = floor(($seg - ($d * 86400)) / 3600); 
    $m = floor(($seg - ($d * 86400) - ($h * 3600)) / 60); 
    $s = $seg % 60;
	if ($d > 0){
		$add1="$d Días,";
	}
	if ($h >0){
		$add2="$h horas,";
	}
	if ($m > 0){
		$add3="$m minutos,";
	}
	$texto="$add1 $add2 $add3".$s." segundo(s)";
    return $texto;
 }


$idmesa=intval($_POST['idmesa']);
$idmozo=intval($_POST['idmozo']);


//print_r($_POST);
//Verificamos si el usuario en cuestion tiene permiso de caja
$consulta="
	SELECT *, (SELECT fechahora FROM usuarios_accesos where idusuario = usuarios.idusu order by fechahora desc limit 1) as ultacceso,
	(select nombre from sucursales where idsucu=usuarios.sucursal and idempresa=$idempresa) as sucuchar
	FROM usuarios
	where
	estado = 1
	and idempresa = $idempresa
	and idusu in (select idusu from modulo_usuario where idempresa = $idempresa and estado = 1 and submodulo = 22)
	and idusu=$idusu
	order by usuario asc
	";
//echo $consulta;
$rsccajacon=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
if (intval($rsccajacon->fields['idusu'])>0){
	$permitecobrar='S';
} else {
	$permitecobrar='N';

}




$pedidoli=0;
if ($idmesa > 0){
	//buscamos si tiene un id atc establecido
	$buscar="Select idatc from mesas_atc where idmesa=$idmesa and estado=1";
	//echo $buscar;exit;
	$rsatc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idatc=intval($rsatc->fields['idatc']);
	
	if ($idatc >0){
		if ($permitecobrar=='S'){
			$add=" and tmp_ventares.idtmpventares_cab in (select idtmpventares_cab from tmp_ventares_cab where idatc=$idatc)  ";
			$add=" and tmp_ventares.usuario = $idusu ";
		} else {
			$add=" and tmp_ventares.usuario = $idusu ";
		}
		
	} else {
		$add=" ";
		
	}
	//echo $add;exit;
	//Verificamos si hay una lista de carrito pendientes de registro, asi mostramos ese en lugar de listacarrito, el cual contiene los productos ya agregados.
	$consulta="
	select tmp_ventares.*, productos.descripcion, sum(cantidad) as total, sum(precio) as totalprecio, sum(subtotal) as subtotal,
	(select recetas_detalles.idreceta from recetas_detalles where recetas_detalles.idprod = tmp_ventares.idproducto limit 1) as tienereceta, 
	(select agregado.idproducto from agregado WHERE agregado.idproducto = tmp_ventares.idproducto limit 1) as tieneagregado
	from tmp_ventares 
	inner join productos on tmp_ventares.idproducto = productos.idprod_serial
	where 
	registrado = 'N'
	$add
	and tmp_ventares.borrado = 'N'
	and tmp_ventares.finalizado = 'N'
	and tmp_ventares.idsucursal = $idsucursal
	and tmp_ventares.idempresa = $idempresa
	and tmp_ventares.idmesa = $idmesa
	group by descripcion, receta_cambiada
	";
	//echo $consulta;exit;
	$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	//if($idmesa == 14){ echo $consulta; }
	$tr=$rs->RecordCount();
	if ($tr> 0){
		$requerido='carrito_central.php';
	} else {
		$requerido='lista_carrito.php';
	}
	
	
	//Uso de la mesa
	$buscar="select fecha_inicio-now() as raro,TIME_TO_SEC(TIMEDIFF(now(),fecha_inicio)) diferencia_segundos,(TIME_TO_SEC(TIMEDIFF(now(),fecha_inicio))/60) as dif_minutos from mesas_atc where idmesa=$idmesa and estado=1";
	$rscalculo=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tsegundos=intval($rscalculo->fields['diferencia_segundos']);

	$someVar = seg_a_dhms($tsegundos);

	
	
	
} else {
	$requerido='lista_carrito.php';
	
}

?>
<?php 
//Vemos si la mesa no esta abierta, le mostramos uno nuevo que v aabrir la mesa
$buscar="Select * from mesas_atc where idmesa=$idmesa and estado=1 order by registrado_el desc limit 1";
//echo $buscar;exit;
$rsidatc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idatc=intval($rsidatc->fields['idatc']); 
if ($idatc==0){


} else {
	
	
	$buscar="select * from mesas_atc where idatc=$idatc ";
	$rfnm=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$nombre_mesa=trim($rfnm->fields['nombre_mesa']);
}
?>
<?php if ($nombre_mesa!=""){ ?>
<div class="col-md-12 col-sm-12" style="text-align:center;">
	<?php echo "<span style='color:black;'><h2><span class='fa fa-info-circle'></span>&nbsp;Mesa de $nombre_mesa</h2></span>"; ?>
</div>
<div class="clearfix"></div>
<?php } ?>
<div class="col-md-6 col-sm-6 col-xs-12" style="width: 60%;" id="divresumen">
	<div class="x_panel">
		  <div class="x_title">
			<h2><i class="fa fa-bars"></i> <?php if ($idatc>0){?> Items  / Productos agregados<?php } else {?>Puede abrir la mesa o bien, agregar productos y registrar el pedido <?php } ?> <small></small><?php //echo $idatc;?></h2>
			<ul class="nav navbar-right panel_toolbox"><?php //echo $requerido;?></ul>
			<div class="clearfix"></div>
		  </div>
		  <div class="x_content">
			 
				<div style="border: 1px #000000; width: 100%;height: 400px; overflow-y: scroll;" id="carrito">
					
					 <?php if ($idatc>0){?>
				 		 <?php  require_once("$requerido");?>
					 <?php } else {?>
			  				<?php require_once("abrir_mesas_mini.php")?>
			  
			  		<?php } ?>


				 </div>
				<div style="border: 1px solid color #000000; width: 100%;height:60px; text-align: center;">	
					<input name="ocmarquita" id="ocmarquita" type="hidden" value="" />
					<input type="hidden" name="octiempo" id="octiempo" value="<?php echo $someVar?>" />
					<input type="hidden" name="ocmozoped" id="ocmozoped" value="<?php echo $idmozo?>" />
					<input type="hidden" name="idatc" id="idatc" value="<?php echo $idatc; ?>" />
					<input type="hidden" name="idmesa" id="idmesa" value="<?php echo $idmesa; ?>" />
					
					 <?php if ($idatc>0){?>
					
					<button type="button" class="btn-btn-round btn-default btn-sm" id="cbarbtn" onClick="codbar_pop(<?php echo $idatc; ?>,<?php echo $idmesa?>)"><span class="fa fa-barcode"></span>&nbsp;&nbsp;F2 -> Cod Barras</button>
					<button type="button" class="btn-btn-round btn-default btn-sm" onClick="enviacarrito(<?php echo $idmesa?>)"><span class="fa fa-save"></span>&nbsp;&nbsp;F4 ->Reg-Pedido</button>
			 		<button type="button" class="btn-btn-round btn-info btn-sm" onClick="reimprimir_mesa(<?php echo $idmesa?>)"><span class="fa fa-print"></span>&nbsp;&nbsp;F6 -> Pre-Ticket</button>
					<button type="button" class="btn-btn-round btn-dark btn-sm" onClick="anexar_mesas(<?php echo $idmesa?>,<?php echo $idatc?>)"><span class="fa fa-cutlery"></span>&nbsp;&nbsp;F7 ->&nbsp;&nbsp;Adm Mesa</button>
					<?php if ($permitecobrar=='S'){?>
					<?php //echo $idatc; ?>
					<button id="descontarbx" name="descontarbx" type="button" class="btn-btn-round btn-success btn-sm" onClick="aplicardescu(<?php echo $idmesa?>,<?php echo $idatc?>)"><span class="fa fa-refresh"></span>&nbsp;&nbsp;Aplicar Descuento </button>	
					<button id="cobramesaln" name="cobramesaln" type="button" class="btn-btn-round btn-success btn-sm" onClick="cobrar_mesa(<?php echo $idmesa?>,<?php echo $idatc?>)"><span class="fa fa-money"></span>&nbsp;&nbsp;F8 -> Cobrar</button>	
					<button type="button" id="cierremesa" name="cierremesa" class="btn-btn-round btn-primary btn-sm" onClick="cerrar_mesa(<?php echo $idmesa?>,<?php echo $idatc?>)"><span class="fa fa-close"></span>&nbsp;&nbsp;F9->Cerrar Mesa</button><?php } ?>
					<?php } ?>

			  	</div>
			 
		  </div>
	</div>
</div>
<div class="col-md-6 col-sm-6 col-xs-12" style="width: 40%;">
	<div class="x_panel">
		  <div class="x_title">
			<h2><i class="fa fa-bars"></i> Items  <small>Productos disponibles para venta</small></h2>
			<div class="clearfix"></div>
		  </div>
		  <div class="x_content">
			 <div class="form-group">
					<input type="text" autocomplete="off" name="bprodu" id="bprodu" onKeyup="filtrar(this.value,<?php echo $idmesa?>);"  style="width: 99%; height: 40px;" placeholder="Indique el producto a buscar" />
					<div id="listaproductos">
						<?php require_once('mini_productos_lista.php'); ?>

					</div>
			  </div>
		  </div>
	</div>
</div>

