<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php"); 

$idmesa=intval($_GET['idmesa']);

// mesa origen
$consulta="
select * from mesas_atc where idmesa = $idmesa and estado <> 6 and estado <> 3 and idsucursal = $idsucursal order by idatc desc limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idmesa=intval($rs->fields['idmesa']);
$idatc_origen=intval($rs->fields['idatc']);
if(intval($idatc_origen) == 0){
    echo "- ATC no permitido para tu sucursal.";
    exit;
}

// limpia registros huerfanos
$consulta="
update  tmp_ventares_cab 
set estado = 6, observacion = 'ANULADO AUTO HUERFANO SEPARA CUENTA',
anulado_el = '$ahora', anulado_por = $idusu
where 
idatc not in (select idatc from mesas_atc where estado = 1) 
and registrado = 'N' 
and idatc > 0 
and estado <> 6
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$buscar="
Select sum(monto) as total, mesas.numero_mesa, salon.nombre, mesas.idmesa 
from tmp_ventares_cab 
inner join mesas on mesas.idmesa = tmp_ventares_cab.idmesa 
INNER JOIN salon on mesas.idsalon = salon.idsalon 
where 
finalizado='S' 
and registrado='N' 
and estado=1 
and tmp_ventares_cab.idsucursal = $idsucursal
and mesas.idmesa = $idmesa
GROUP by mesas.idmesa 
order by mesas.numero_mesa asc
";
$rspedicu=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$totalmesa=intval($rspedicu->fields['total']);
$numero_mesa=intval($rspedicu->fields['numero_mesa']);
$salon=trim($rspedicu->fields['nombre']);



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){
	
	
	$valido="S";
	$errores="";
	$resp=array();
	
	// recibe parametros
	$idmesa_destino=intval($_POST['idmesa_destino']);
	//$idatc_origen=intval($_POST['idatc_origen']);
	
	$cant_adultos=intval($_POST['cant_adultos']);
	$cant_ninos=intval($_POST['cant_ninos']);
	$cant_nopaga=intval($_POST['cant_nopaga']);
	$nombre_mesa=antisqlinyeccion($_POST['nombre_mesa'],"text");
	
	
	// valida
	if($idmesa_destino == 0){
		$valido="N";
		$errores.="No se recibio la mesa de destino.".$saltolinea;
	}
	if($idatc_origen == 0){
		$valido="N";
		$errores.="No se recibio el idatc.".$saltolinea;
	}
		
	// mesa origen
	$consulta="
	select * from mesas_atc where idatc = $idatc_origen and estado <> 6 and estado <> 3 limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idmesa_origen=intval($rs->fields['idmesa']);
	
	
	
	// mesa destino si existe
	$consulta="
	select * from mesas where estadoex = 1 and idmesa = $idmesa_destino limit 1
	";
	//echo $consulta;
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idmesa_destino_ex=intval($rsex->fields['idmesa']);
	$idmesa_destino=$idmesa_destino_ex;
	$agrupado_con_destino=intval($rsex->fields['agrupado_con']);
	
	
	// mesa origen si existe
	$consulta="
	select * from mesas where estadoex = 1 and idmesa = $idmesa_origen limit 1
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idmesa_origen_ex=intval($rsex->fields['idmesa']);
	$agrupado_con_origen=intval($rsex->fields['agrupado_con']);
	$idmozo_abrio_origen=intval($rsex->fields['idmozo_abrio']);
	
	// mesa destino no cambiar el orden  primero validar si existen
	$consulta="
	select * from mesas_atc where estado = 1 and idmesa = $idmesa_destino and idsucursal = $idsucursal order by idatc desc limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idatc_destino=intval($rs->fields['idatc']);
	
	
	// validaciones
	if($idmesa_origen == $idmesa_destino){
		$valido="N";
		$errores.="-La mesa destino [$idmesa_destino] no puede ser la misma que la de origen [$idmesa_origen].".$saltolinea;	
	}
	if($idmesa_origen == 0){
		$valido="N";
		$errores.="-El estado de la mesa de origen no permite mudanza.".$saltolinea;
	}
	if($idatc_destino > 0){
		$valido="N";
		$errores.="-El estado de la mesa de destino no permite mudanza.".$saltolinea;
	}
	if($idmesa_destino_ex == 0){
		$valido="N";
		$errores.="-La mesa de destino no existe.".$saltolinea;
	}
	if($idmesa_origen_ex == 0){
		$valido="N";
		$errores.="-La mesa de origen no existe.".$saltolinea;
	}
	if($agrupado_con_destino > 0){
		$valido="N";
		$errores.="-La mesa de destino esta agrupada con otra.".$saltolinea;
	}
	if($agrupado_con_origen > 0){
		$valido="N";
		$errores.="-La mesa de origen esta agrupada con otra.".$saltolinea;
	}
	if($idmesa_destino == 0){
		$valido="N";
		$errores.="-La mesa de destino no existe.".$saltolinea;
	}
	
	if($valido == 'S'){
	
		
		
		// si no hay atc de mesas activas
		if($idatc_destino == 0){
			// genero un atc de mesa activa en el destino
			$consulta="
			INSERT INTO mesas_atc 
			(idmesa, fecha_inicio, cant_adultos, cant_ninos, cant_nopaga, idmozo, idgruporeserva, idgrupomesa, estado, fecha_pre_tickete, anulado_el, anulado_por, registrado_el, registrado_por, idatc_ant, fecha_muda, nombre_mesa, idsucursal )
			SELECT 
			$idmesa_destino, fecha_inicio, $cant_adultos, $cant_ninos, $cant_nopaga, idmozo, idgruporeserva, idgrupomesa, 1, fecha_pre_tickete, anulado_el, anulado_por, '$ahora', $idusu,
			$idatc_origen, '$ahora', $nombre_mesa, $idsucursal
			FROM mesas_atc
			where
			idatc = $idatc_origen
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
			
			// busco el atc generado
			$consulta="
			select max(idatc) as idatc 
			from mesas_atc 
			where 
			registrado_por = $idusu
			and estado = 1 
			and idmesa = $idmesa_destino
			and idsucursal = $idsucursal
			order by idatc desc 
			limit 1
			";
			$rsatc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idatc_destino=intval($rsatc->fields['idatc']);
			
			// actualizo el estado de mesa de destino a abierto
			$consulta="
			update mesas set estado_mesa = 2, idmozo_abrio = $idmozo_abrio_origen where idmesa = $idmesa_destino
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
			
			

			
			// actualizo las cantidades de comenzales en el atc de origen
			$consulta="
			update mesas_atc
			set
			cant_adultos=cant_adultos-$cant_adultos,
			cant_ninos=cant_ninos-$cant_ninos,
			cant_nopaga=cant_nopaga-$cant_nopaga
			where
			idatc = $idatc_origen
			";	
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			// corrige si quedo negativo
			$consulta="update mesas_atc set cant_adultos=0 where COALESCE(cant_adultos,0) < 0 and idatc = $idatc_origen;";	
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			$consulta="update mesas_atc set cant_ninos=0 where COALESCE(cant_ninos,0) < 0 and idatc = $idatc_origen;";	
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			$consulta="update mesas_atc set cant_nopaga=0 where COALESCE(cant_nopaga,0) < 0 and idatc = $idatc_origen;";	
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			// corrige sumatoria si quedo negativo
			$consulta="
			update mesas_atc 
			set 
			cant_adultos=1 
			where 
			COALESCE(cant_adultos,0)+COALESCE(cant_ninos,0)+COALESCE(cant_nopaga,0) <= 0
			and idatc = $idatc_origen
			";	
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
		}
	
		
		/*$consulta="
		update tmp_ventares
		set
		idmesa = $idmesa_destino
		where 
		idmesa = $idmesa_origen
		and (
			select tmp_ventares_cab.idatc
			from tmp_ventares_cab 
			where 
			tmp_ventares_cab.idtmpventares_cab = tmp_ventares.idtmpventares_cab
			and	finalizado='S' 
			and registrado='N' 
			and estado=1 
			and tmp_ventares_cab.idsucursal = $idsucursal
			and idmesa = $idmesa_origen
			and idatc = $idatc_origen
		) = $idatc_origen
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));*/
		
		// genera nueva cabecera
		// generar nueva cabecera con idmesatemp sin finalizar (en el modulo de ventas se usara este campo para reemplazar al idmesa)
		$monto=floatval($monto);
		$consulta="
		INSERT INTO tmp_ventares_cab
		(razon_social, ruc, chapa, observacion, monto, idusu, fechahora, idsucursal, idempresa,idcanal,delivery,idmesa,idatc,
		idatc_anter, idmesa_anter, cocinado, retirado) 
		VALUES 
		('SIN NOMBRE', 'X', NULL, NULL, $monto, $idusu, '$ahora', $idsucursal, $idempresa,4,'N',$idmesa_destino,$idatc_destino,
		$idatc_origen, $idmesa_origen, 'S', 'S')
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// buscar ultimo id insertado
		$consulta="
		select idtmpventares_cab
		from tmp_ventares_cab
		where
		idusu = $idusu
		and idsucursal = $idsucursal
		and idempresa = $idempresa
		and finalizado = 'N'
		and registrado = 'N'
		and estado = 1
		order by idtmpventares_cab desc
		limit 1
		";
		$rscab = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idtmpventares_cab=$rscab->fields['idtmpventares_cab'];
		$idtmpventares_cab_new=$idtmpventares_cab;
		
		// transferir los productos a la nueva cabecera
		$totprod=intval($_POST['totalprod']);
		for($i=1;$i<=$totprod;$i++){
			$idventatmp=intval($_POST['checkbox_'.$i]);
			if($idventatmp > 0){
				
				$consulta="
				select idtmpventares_cab from tmp_ventares where idventatmp = $idventatmp
				";
				$rsvd=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$idtmpventares_cab_ant=$rsvd->fields['idtmpventares_cab'];
				
				// inserta en el log 
				$consulta="
				INSERT INTO log_mov_mesa
				(idventatmp, idtmpventares_cab_ant, idtmpventares_cab_new, idatc_ant, idatc_new, idmesa_ant, idmesa_new, accion, registrado_por, registrado_el) 
				VALUES
				($idventatmp, $idtmpventares_cab_ant, $idtmpventares_cab_new, $idatc_origen, $idatc_destino, $idmesa_origen, $idmesa_destino, 'S', $idusu, '$ahora') 
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				
				$consulta="
				update tmp_ventares 
				set 
				idtmpventares_cab = $idtmpventares_cab,
				idmesa = $idmesa_destino
				where
				idventatmp = $idventatmp
				";
				//echo $consulta."<br />";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			}
		}
		

		// actualiza monto de cabecera de origen
		$consulta="
		update tmp_ventares_cab 
		set 
		monto = (
					COALESCE
					(
						(
							select sum(subtotal) as total_monto
							from tmp_ventares
							where
							tmp_ventares.idempresa = $idempresa
							and tmp_ventares.idsucursal = $idsucursal
							and tmp_ventares.borrado = 'N'
							and tmp_ventares.borrado_mozo = 'N'
							and tmp_ventares.idtmpventares_cab = tmp_ventares_cab.idtmpventares_cab
						)
					,0)
					
				)
		WHERE
		idatc = $idatc_origen
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		

		
		// actualiza monto de cabecera de destino
		$consulta="
		update tmp_ventares_cab 
		set 
		monto = (
					COALESCE
					(
						(
							select sum(subtotal) as total_monto
							from tmp_ventares
							where
							tmp_ventares.idempresa = $idempresa
							and tmp_ventares.idsucursal = $idsucursal
							and tmp_ventares.borrado = 'N'
							and tmp_ventares.borrado_mozo = 'N'
							and tmp_ventares.idtmpventares_cab = tmp_ventares_cab.idtmpventares_cab
						)
					,0)
					
				)
		WHERE
		idatc = $idatc_destino
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// marca como finalizado el destino
		$consulta="
		update tmp_ventares_cab
		set 
		finalizado='S'
		where
		idatc = $idatc_destino
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		// anula las cabeceras sin monto
		$consulta="
		update tmp_ventares_cab
		set 
		estado = 6
		where
		idatc = $idatc_origen
		and monto <= 0
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// busca si quedo algo en la mesa de origen
		$consulta="
		select * from tmp_ventares_cab where estado <> 6 and monto > 0 and idatc = $idatc_origen
		";
		$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$monto=floatval($rs->fields['monto']);
		// si no quedo nada
		if(floatval($monto) <= 0){
			// actualizo el estado de mesa de origen a libre
			$consulta="
			update mesas set estado_mesa = 1, idmozo_abrio = NULL where idmesa = $idmesa_origen
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
			// actualizo el estado de atc de origen
			$consulta="
			update mesas_atc set estado = 6 where idatc = $idatc_origen
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
		

		
		

		
		//$consulta="
		//update mesas_cobros_deta set idatc = $idatc_destino where idatc = $idatc_origen
		//";
		//$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		//$consulta="
		//update mesas_atc_propinas set idatc = $idatc_destino where idatc = $idatc_origen
		//";
		//$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$resp=array(
			'valido' => 'S',
			'errores' => '',
			'idatc_origen' => $idatc_origen,
			'idatc_destino' => $idatc_destino
		);
		
		//logueamos
		
		$sc=antisqlinyeccion(basename($_SERVER["SCRIPT_FILENAME"], '.php'),'text');

	//Logueamos el evento en la tabla
	$insertar="Insert into log_mesas_interact
	(idmesa_origen,	idmesa_dest,mov_generado_por,mov_reg_el,tipo_mov,idatc_orig,idatc_dest,idmozo,script)
	values
	($idmesa,$idmesa_destino,$idusu,current_timestamp,2,$idatc_origen,$idatc_destino,0,$sc)";
	$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
				 
		 header("location: separa_cuenta.php?idmesa=".$idmesa);
		 exit;
		 
	}else{
		
		$resp=array(
			'valido' => $valido,
			'errores' => $errores,
			'idatc_origen' => $idatc_origen,
			'idatc_destino' => 0
		);
	}
		
	


	
}



//echo $idmesa;
if ($idmesa > 0){
		$buscar="
		Select productos.descripcion,tmp_ventares.combinado,idprod_mitad1,idprod_mitad2, tmp_ventares.precio,
		idtmpventares_cab,tmp_ventares.cantidad,idventatmp,idproducto,
		(select tmp_ventares_cab.delivery_costo from tmp_ventares_cab where tmp_ventares_cab.idtmpventares_cab = tmp_ventares.idtmpventares_cab) as delivery_costo,
		(select tmp_ventares_cab.delivery from tmp_ventares_cab where tmp_ventares_cab.idtmpventares_cab = tmp_ventares.idtmpventares_cab) as delivery,
		(select tmp_ventares_cab.idusu from tmp_ventares_cab where tmp_ventares_cab.idtmpventares_cab = tmp_ventares.idtmpventares_cab) as idusu
		 from 
		tmp_ventares
		inner join productos on productos.idprod=tmp_ventares.idproducto
		where 
		idsucursal=$idsucursal 
		and tmp_ventares.borrado = 'N'
		and tmp_ventares.idtmpventares_cab in (
										select idtmpventares_cab
										from tmp_ventares_cab
										where
										idsucursal = $idsucursal
										and idempresa = $idempresa
										and finalizado = 'S'
										and registrado = 'N'
										and estado = 1
										and idmesa=$idmesa
										)
		order by productos.descripcion asc, idventatmp asc
		";
		$rsbb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$tcuerpo=$rsbb->RecordCount();
		// buscar usuario
		$operador=intval($rsbb->fields['idusu']);
		$consulta="
		select usuario from usuarios where idusu = $operador
		";
		$rsop= $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$operador=$rsop->fields['usuario'];
		
		$buscar="
		Select sum(monto) as total, mesas.numero_mesa, salon.nombre, mesas.idmesa 
		from tmp_ventares_cab 
		inner join mesas on mesas.idmesa = tmp_ventares_cab.idmesa 
		INNER JOIN salon on mesas.idsalon = salon.idsalon 
		where 
		finalizado='S' 
		and registrado='N' 
		and estado=1 
		and tmp_ventares_cab.idsucursal = $idsucursal
		and mesas.idmesa = $idmesa
		GROUP by mesas.idmesa 
		order by mesas.numero_mesa asc
		";
		$rspedicu=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$totalmesa=intval($rspedicu->fields['total']);
}

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
	  
	 <style>
	  .modal-dialog {
	  margin-top: 0;
	  margin-bottom: 0;
	  height: 100vh;
	  display: -webkit-box;
	  display: -webkit-flex;
	  display: -ms-flexbox;
	  display: flex;
	  -webkit-box-orient: vertical;
	  -webkit-box-direction: normal;
	  -webkit-flex-direction: column;
		  -ms-flex-direction: column;
			  flex-direction: column;
	  -webkit-box-pack: center;
	  -webkit-justify-content: center;
		  -ms-flex-pack: center;
			  justify-content: center;
		 }

	.modal.fade .modal-dialog {
	  -webkit-transform: translate(0, -100%);
			  transform: translate(0, -100%);
	}
	.modal.in .modal-dialog {
	  -webkit-transform: translate(0, 0);
			  transform: translate(0, 0);
	}
	.contador{
		width:20px;
		height:20px;	
		position:absolute;
		font-size:16px;
		font-weight:bold;
		border:1px solid #000000;
		background-color:#CCC;
		text-align:center;
		margin:0px;
		float:left;
	
	}
}
	  
	  </style>
  </head>
<!-- CUERPO / BODY -->
  <body class="nav-md">
    	<div class="container body">
			<div class="main_container">
				<!-- top navigation -->
       		   <?php //require_once("includes/menu_top_gen.php"); ?>
        		<!-- /top navigation -->
        		<!-- page content -->
				<div class="right_col" role="main">
					<div class="">
            			
            				<div class="clearfix"></div>
                  			<!-- SECCION -->
			       				<div class="row">
              						<div class="col-md-12 col-sm-12 col-xs-12">
                						<div class="x_panel">
											  <div class="x_title">
												   <?php 
														// crea imagen
														$img="../gfx/empresas/emp_".$idempresa.".png";	 
														if(!file_exists($img)){
															$img="../gfx/empresas/emp_0.png";
														}
													?>
												  	 <div class="col-md-4" id="logoempresa">
												  <div class="pull-left"><img src="<?php echo $img ?>" style="width: 120px;" height="100px;"></div>
											  </div>
											  <div class="col-md-4" style="align:center">
												  <button type="button" class="btn btn-warning btn-sm" onClick="cargar(0)" data-toggle="modal" data-target="#myModal">Todos</button>
														<?php 
														  //Traemos los salones disponibles
														  $buscar="Select * from salon where idsucursal=$idsucursal order by preferido,nombre asc";
														  $rssalones=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
														  $tsala=$rssalones->RecordCount();
														  if ($tsala > 0){
															  while (!$rssalones->EOF){
														  ?>
															<button type="button" class="btn btn-info btn-sm" onClick="cargar(<?php echo $rssalones->fields['idsalon']?>)"><?php echo $rssalones->fields['nombre']?></button>
                  	
          														<?php $rssalones->MoveNext();}?>   
                      										<?php }?>
											</div> 
											  <div class="col-md-4" id="logoekaru">
												  <div class="pull-right">
												  <a href="http://www.restaurante.com.py/" target="_blank"><img src="../img/logoekaru_email.jpg" width="140" height="60" alt=""/></a>
												  </div>	
											  </div>			
												  
												  
												  
												  
												 <form id="formu01" action="ventas_salon.php" method="post">
												  	   <input type="hidden" name="ocsalon" id="ocsalon" value="0" />
													  <input type="hidden" name="occantidad" id="occantidad" value="0" />
													  <input type="hidden" name="ocserial" id="ocserial" value="0" />
												  </form>											  
												  
											 
												
											  </div>
                  							  <div class="x_content">
					  									
													  <?php if(trim($errores) != ""){ ?>
														<div class="alert alert-danger alert-dismissible fade in" role="alert"><strong>Errores:</strong><br /><?php echo nl2br($errores); ?></div>
												  
												  		<?php } ?>
												  		

                  								</div>
                							</div>
              							</div>
            						</div>
									<!-- ROW--->
           							<div class="clearfix"></div>
                  					<!-- Mesas del Sistema -->
           							<div class="row" id="mesascomponen" >
										<div class="col-md-12 col-sm-12 col-xs-12">
											<div class="x_panel">
												  <div class="x_title">
													<h2><i class="fa fa-arrow-circle-o-right"></i>Separar Cuenta <small id="minitextomesas"></small></h2>
													<div align="center">
												  	<a href="ventas_salon.php"><i class="fa fa-home fa-2x">&nbsp;Regresar</i></a>
													</div>  
											 
													<div class="clearfix"></div>
												  </div>
												  <div class="x_content" id="minimesas">


<?php if ($tcuerpo > 0){?>
<form method="post" action="">
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	<thead>
        <tr>
          <th>&nbsp;</th>
          <th><strong>Producto</strong></th>
         </tr>
	</thead>
	<tbody>
<?php
$i=1;
 while (!$rsbb->EOF){
	$idventatmp=intval($rsbb->fields['idventatmp']);
	$idproducto=antisqlinyeccion($rsbb->fields['idproducto'],'text');
	
	//$total=$rs->fields['precio']*$rs->fields['total'];
	//$totalacum+=$total;

	//$idvt=$rs->fields['idventatmp'];
	$consulta="
	select tmp_ventares_agregado.*
	from tmp_ventares_agregado
	where 
	idventatmp = $idventatmp
	order by alias desc
	";
	$rsag = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
$consulta="
select tmp_ventares_sacado.*
from tmp_ventares_sacado
where 
idventatmp = $idventatmp
order by alias desc
";
$rssac = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	 ?>
    <tr>
      <td align="center"><input type="checkbox" name="checkbox_<?php echo $i; ?>" id="checkbox_<?php echo $i; ?>" value="<?php echo $rsbb->fields['idventatmp']; ?>" />
        </td>
      <td height="50"><?php echo Capitalizar($rsbb->fields['descripcion']); ?><br />Gs. <?php echo formatomoneda($rsbb->fields['precio']); ?><?php 
	  if($rsbb->fields['combinado'] == 'S'){ 

$prod_1=$rsbb->fields['idprod_mitad1'];
$prod_2=$rsbb->fields['idprod_mitad2'];
$consulta="
select *
from productos
where 
(idprod_serial = $prod_1 or idprod_serial = $prod_2)
order by descripcion asc
";
$rspcom = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	  
	  while (!$rspcom->EOF){
	  
	  ?><br /><span style="font-style:italic;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- Mitad <?php echo Capitalizar($rspcom->fields['descripcion']); ?></span>
	  <?php $rspcom->MoveNext(); } } ?>
 		<br />
      <?php if($rsag->RecordCount() > 0){ ?>
          <strong>Agregados:</strong>
          <br />
          <?php while (!$rsag->EOF){?> 
          - <?php echo Capitalizar($rsag->fields['alias']); ?> (Gs. <?php echo formatomoneda($rsag->fields['precio_adicional']); ?>)<br />
          <?php $rsag->MoveNext(); } ?>
      <?php } ?>
      <?php if($rssac->RecordCount() > 0){ ?>
          <strong>Eliminados:</strong>
          <br />
          <?php while (!$rssac->EOF){?> 
            - Sin <?php echo Capitalizar($rssac->fields['alias']); ?><br />
            <?php $rssac->MoveNext(); } ?>
      <?php } ?>  
      </td>
      </tr>
<?php $i++; $rsbb->MoveNext(); } ?>
  </tbody>
</table>
</div>
<br />
<p align="center"><strong>Total:</strong> <?php echo formatomoneda($totalmesa); ?></p>
<br />
<?php 
$rsbb->MoveFirst();

	$consulta="
		select *
		from tmp_ventares_cab
		where
		idsucursal = $idsucursal
		and idempresa = $idempresa
		and idtmpventares_cab = $pedidonum
		and finalizado = 'S'
		and registrado = 'N'
		";
		//echo $consulta;
		//$rscab = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$id=intval($rscab->fields['idtmpventares_cab']);


	

//$idmesa=intval($rscab->fields['idmesa']);
if($idmesa > 0){ 
	$consulta="
	SELECT mesas.idmesa, mesas.numero_mesa, salon.nombre
	FROM mesas
	inner join salon on mesas.idsalon = salon.idsalon
	WHERE
	mesas.idmesa = $idmesa
	order by salon.nombre asc, mesas.numero_mesa asc
	";
	$rsmesa = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>
 <br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
  <tbody>
    <tr>
      <td><strong>Operador:</strong></td>
      <td><?php echo $operador; ?></td>
    </tr>
<?php if($idmesa > 0){ ?>
    <tr>
      <td><strong>Mesa:</strong></td>
      <td><?php echo $rsmesa->fields['numero_mesa']; ?></td>
    </tr>
    <tr>
      <td><strong>Salon:</strong></td>
      <td><?php echo $rsmesa->fields['nombre']; ?></td>
    </tr>
<?php } ?>
<?php if($rscab->fields['chapa'] != ''){ ?>
    <tr>
      <td><strong>Chapa</strong></td>
      <td><?php echo $rscab->fields['chapa']; ?></td>
    </tr>
<?php } ?>
    <tr>
      <td><strong>Observacion Operador:</strong></td>
      <td><?php echo $rscab->fields['observacion']; ?></td>
    </tr>
  </tbody>
</table>
</div>


  <input type="hidden" name="MM_update" id="MM_update" value="form1" />
  <input type="hidden" name="totalprod" id="totalprod" value="<?php echo $i; ?>" />
<?php 
$consulta="
select * from mesas_atc where idatc = $idatc_origen
";
$rsatccant=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>

	<div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
		<input type="text" class="form-control has-feedback-left" id="cant_adultos" name="cant_adultos" placeholder="Adultos" value="<?php echo $rsatccant->fields['cant_adultos']; ?>">
		<span class="fa fa-user form-control-feedback left" aria-hidden="true"></span>
	</div>
	<div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
		<input type="text" class="form-control has-feedback-left" id="cant_ninos" name="cant_ninos" placeholder="Ninhos"  value="<?php echo $rsatccant->fields['cant_ninos']; ?>">
		<span class="fa fa-child form-control-feedback left" aria-hidden="true"></span>
	</div>
	<div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
		<input type="text" class="form-control has-feedback-left" id="cant_nopaga" name="cant_nopaga" placeholder="No pagan - otros"  value="<?php echo $rsatccant->fields['cant_nopaga']; ?>">
		<span class="fa fa-gift form-control-feedback left" aria-hidden="true"></span>
	</div>
	<div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
		<input type="text" class="form-control" id="nombre_mesa" name="nombre_mesa" placeholder="Nombre Mesa"  value="<?php echo $rsatccant->fields['nombre_mesa'];?>">
		
	</div>
<div  class="col-md-12 col-sm-12 col-xs-12 form-group has-feedback" >
		<div align="left"><h2>Mesa Destino:</h2>
		</div>
        <?php 
		// consulta
		$consulta="select *, CONCAT('MESA: ', mesas.numero_mesa,' SALON: ',salon.nombre) as mesa
		from mesas 
		inner join salon on mesas.idsalon = salon.idsalon
		where
		salon.idsucursal = $idsucursal
		and idmesa <> $idmesa
		and mesas.estado_mesa = 1
		and mesas.estadoex = 1
		and salon.estado_salon = 1
		and idmesa not in (
							Select mesas.idmesa 
							from tmp_ventares_cab 
							inner join mesas on mesas.idmesa = tmp_ventares_cab.idmesa 
							INNER JOIN salon on mesas.idsalon = salon.idsalon 
							where 
							finalizado='S' 
							and registrado='N' 
							and estado=1 
							and tmp_ventares_cab.idsucursal = $idsucursal
							and mesas.idmesa <> $idmesa
							GROUP by mesas.idmesa 
							order by mesas.numero_mesa asc
							)
		order by salon.nombre asc, mesas.numero_mesa asc
 		 ";
		
		// valor seleccionado
		if(isset($_POST['idmesa'])){ 
			$value_selected=htmlentities($_POST['idmesa_destino']); 
		}
		
		// parametros
		$parametros_array=array(
		'nombre_campo' => 'idmesa_destino',
		'id_campo' => 'idmesa_destino',
		
		'nombre_campo_bd' => 'mesa',
		'id_campo_bd' => 'idmesa',
		
		'value_selected' => $value_selected,
		
		'pricampo_name' => 'Seleccionar...',
		'pricampo_value' => '',
		'style_input' => 'class="form-control"', 
		'acciones' => ' required="required" ',
		'autosel_1registro' => 'S'
		
		);
		
		// construye campo
		echo campo_select($consulta,$parametros_array);
		
		?>


	</div>
<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Separar Cuenta</button>

        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<?php } ?><br /><br /><br />

<br />
</form>
<?php }else{ ?>
<p align="center">
* No quedan productos en la mesa seleccionada.<br /><br />
<a href="ventas_salon.php">[Volver]</a> </p>
<?php }?>

 												  </div>
												 
											</div>
										</div>
										

								   </div>
			 						<div class="clearfix"></div>
                  					
          				</div>
          		</div>
				<!-- The Modal -->
		  <div class="modal fade" id="popupab"  role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
			<div class="modal-dialog modal-dialog-centered" role="document">
			  <div class="modal-content">

				<!-- Modal Header -->
				<div class="modal-header">
					<input type="hidden" name="ocidmesa" id="ocidmesa" value=""/>
					<div class="alert alert-danger alert-dismissible fade in" role="alert" id="errorescod" style="display: none">
						<strong>Errores:</strong><br /><span id="errorescodcuerpo"></span>
						</div>
				  <h4 class="modal-title" id="titulocuerpo"><span class="fa fa-user-secret"></span>&nbsp;&nbsp;Ingres&aacute; tu c&oacute;digo</h4>
				  <button type="button" class="close" data-dismiss="modal">&times;</button>
				</div>

				<!-- Modal body -->
				<div class="modal-body" id="cuerpopop">
				  
				</div>

				<!-- Modal footer -->
				<div class="modal-footer">
			
					<span  id="controlcito" style="display: none"></span>
				</div>

			  </div>
			</div>
		  </div>
        </div><!-- /main container -->  
			
           <!------------------------------     modal para cierre ---------------------------->
			
			<!-- The Modal -->
		  <div class="modal fade" id="modpop"  role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
			<div class="modal-dialog modal-dialog-centered" role="document">
			  <div class="modal-content">

				<!-- Modal Header -->
				<div class="modal-header">
					<input type="hidden" name="ocidmesa" id="ocidmesa" value=""/>
					<div class="alert alert-danger alert-dismissible fade in" role="alert" id="errorescod" style="display: none">
						<strong>Errores:</strong><br /><span id="errorescodcuerpo"></span>
						</div>
					<span  id="modal_titulo" style="font-weight:bold;"></span>
				  <button type="button" class="close" data-dismiss="modal">&times;</button>
				</div>

				<!-- Modal body -->
				<div class="modal-body" id="modal_cuerpo" style="height: 500px; overflow-y: scroll">
				  
				</div>

				<!-- Modal footer -->
				<div class="modal-footer">
				
					<span  id="controlcito" style="display: none"></span>
				</div>

			  </div>
			</div>
		  </div>
        </div><!-- /main container --> 
			
			
			
			
			
	  </div> <!-- /body container -->  
	   
        <!-- Impresiones y reimpresiones -->     
		<div style="display: none" id="reimprimebox"></div>
              
       
        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
	<?php require_once("includes/footer_gen.php"); ?>
       	<script src="../js/shortcut.js"></script>
		<script src="../js/ventas_mesas_nueva.js?nc=<?php echo date("YmdHis"); ?>"></script>
	<script>
	function eliminarproducto(idtmp,idcab,idmesa,idatc){
		//var codigo_borra = $("#codigo_borra_"+id).val();
		var urlbusca='../borra_prod_ped.php';
	    var parametros = {
                "idventatmp" : idtmp,
				"idtmpventares_cab" : idcab,
				"mesa" : idmesa
        };
		$.ajax({
                data:  parametros,
                url:   urlbusca,
				cache: false,
                type:  'post',
                beforeSend: function () {
					$("#accionesocultas").html('Cargando...');
                },
                success:  function (response) {
					//alert(response);
					if(response == 'OK'){
						$("#accionesocultas").html('');
						actualiza_lista_carrito(idmesa);
						$('#popupab').modal('hide')  ;
					}else{
						actualiza_lista_carrito(idmesa);
						$('#popupab').modal('hide')  ;
						//alert(response);
						//$("#pop1").html(response);
						//actualizar();
					}
                }
        });
}
	
	</script>
	<?php 
	$idmesaclick=intval($_GET['me']);
	if ($idmesaclick > 0){
	?>
	<script>
	var nme=<?php echo $idmesaclick ?>;	
	$( document ).ready(function() {
   			$("#mesa_n_"+nme).click();
	});
	</script>
	<?php }?>
	
	
  </body>
</html>
