<?php 
/*----------------------------------------------
20/10/2023:
Se corrige problema al usar codigo de barras
01/11/2023: SOLO REV.
-----------------------------------------------*/
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php"); 
$combi=0;

//if ($a >0){
$idmesa=intval($_POST['idmesa']);
$producto=antisqlinyeccion($_POST['prod'],"int");
//Vemos si marca como entrada o PF
$marcar=intval($_POST['marcar']);//idtmpventa en tmp_ventares
$clase=intval($_POST['clase']);//E o F


$codbar=strtoupper(trim($_POST['codbar']));

function redondear_precio($precio,$ceros=1,$direccion='N'){
     // direccion  A: hacia arriba // B: hacia abajo N: Normal
    if($direccion == 'A'){
        $precio_redondeado=ceil($precio/10**$ceros)*(10**$ceros);
    }else if($direccion == 'B'){
        $precio_redondeado=floor($precio/10**$ceros)*(10**$ceros);
    }else{
        $precio_redondeado=round($precio/10**$ceros)*(10**$ceros);
    }
    return $precio_redondeado;
}
function codigo_pesable($codigo_plu){
	global $conexion;
	$consulta="
	select 
	cod_plu_desde, cod_plu_cantdigit, 
	cant_plu_entero_desde, cant_plu_entero_cantdigit, 
	cant_plu_entero_unit_desde, cant_plu_entero_unit_cantdigit,
	cant_plu_decimal_desde, cant_plu_decimal_cantdigit
	from preferencias_caja
	limit 1
	";
	$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
    $tamano_codigo=strlen($codigo_plu);
    /*
	ejemplo
	$cod_plu_desde=3;
    $cod_plu_cantdigit=4;
    $cant_plu_entero_desde=7;
    $cant_plu_entero_cantdigit=3;
    $cant_plu_decimal_desde=10;
    $cant_plu_decimal_cantdigit=3;
	*/
	$cod_plu_desde=intval($rs->fields['cod_plu_desde']);
    $cod_plu_cantdigit=intval($rs->fields['cod_plu_cantdigit']);
    $cant_plu_entero_desde=intval($rs->fields['cant_plu_entero_desde']);
    $cant_plu_entero_cantdigit=intval($rs->fields['cant_plu_entero_cantdigit']);
    $cant_plu_entero_unit_desde=intval($rs->fields['cant_plu_entero_unit_desde']);
    $cant_plu_entero_unit_cantdigit=intval($rs->fields['cant_plu_entero_unit_cantdigit']);
    $cant_plu_decimal_desde=intval($rs->fields['cant_plu_decimal_desde']);
    $cant_plu_decimal_cantdigit=intval($rs->fields['cant_plu_decimal_cantdigit']);
	
	
    // fijo
    $codigo_pesable=substr($codigo_plu,0,2);
	$codigo_plu_producto=substr($codigo_plu,$cod_plu_desde-1,$cod_plu_cantdigit);
	$codigo_plu_producto_orig=$codigo_plu_producto;
	$descarte=substr($codigo_plu,-1);
	
	// pesable
	if($codigo_pesable == 20){
		$cant_producto_entero=substr($codigo_plu,$cant_plu_entero_desde-1,$cant_plu_entero_cantdigit);
		$cant_producto_decimal=substr($codigo_plu,$cant_plu_decimal_desde-1,$cant_plu_decimal_cantdigit);
		$cant_producto=$cant_producto_entero.'.'.$cant_producto_decimal;
	}
	// unitario
	if($codigo_pesable == 21){
		$cant_producto_entero=substr($codigo_plu,$cant_plu_entero_unit_desde-1,$cant_plu_entero_unit_cantdigit);
		//$cant_producto_decimal=substr($codigo_plu,$cant_plu_decimal_desde-1,$cant_plu_decimal_cantdigit);
		$cant_producto_decimal=0;
		//echo $cant_producto_entero;exit;
		$cant_producto=$cant_producto_entero.'.'.$cant_producto_decimal;
	}
	
	// conversiones si es unitario
	
	$codigo_plu_producto=antisqlinyeccion(intval($codigo_plu_producto),"text");
	//echo $codigo_plu_producto;exit;
	$consulta="
	select idprod_serial from productos where codplu = $codigo_plu_producto and borrado = 'N' limit 1
	";
	$rsplu = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
    $res=array(
		'codigo_pesable' => $codigo_pesable,
		'codigo_plu_producto' => $codigo_plu_producto_orig,
		'cant_producto' => $cant_producto,
		'cant_entero' => $cant_producto_entero,
		'cant_decimal' => $cant_producto_decimal,
		'descarte' => $descarte,
        'idproducto' => $rsplu->fields['idprod_serial'], 
        'cantidad' => $cant_producto,
    );
    
    return  $res;  
}

if($codbar != ''){
	
	$descarte=substr(trim($codbar),-1,1);
	
	//proviene del uso de cod de barras  etiquetas desde el panel central y traemos la preferencia de cod plu pesable
	$buscar="Select codplu_pesable,codplu_unitario,total_numeros_cod from preferencias where idempresa=$idempresa";
	$rsbb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$codigo_pesable=intval($rsbb->fields['codplu_pesable']);
	$codplu_unitario=intval($rsbb->fields['codplu_unitario']);
	
	
	//total de digitos que componen la cadena
	$bb=strlen($codigo_pesable);
	//extraemos el inicial para ver si es pesable
	$cadenapesa=substr($codbar,0,2);
	// si el codigo comienza por 20 o 21 (Pesable o Unitario)
	if (($cadenapesa == $codigo_pesable or $cadenapesa == $codplu_unitario) && $descarte >= 0){
		$resultado=codigo_pesable($codbar);
		$cantipeso=$resultado['cantidad'];
		$producto=$resultado['idproducto'];
	// es un codigo de barras
	} else {
		
		// busca como codigo de barra
		$codbar=antisqlinyeccion($codbar,"text");
		$consulta="
		select * from productos where barcode = $codbar and borrado = 'N' order by idprod_serial desc limit 1
		";
		//echo $consulta;
		$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$producto=intval($rs->fields['idprod_serial']);
		//echo $producto;exit;
		if($producto == 0){
			echo "Producto Inexistente o no encontrado. Verifique su codigo de barras";
			exit;
		}
		$producto=antisqlinyeccion($producto,"int");
	}
	
	/*$codbar=antisqlinyeccion($codbar,"text");
	$consulta="
	select * from productos where barcode = $codbar and borrado = 'N' order by idprod_serial desc limit 1
	";
	//echo $consulta;
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$producto=intval($rs->fields['idprod_serial']);
	//echo $producto;exit;
	if($producto == 0){
		echo "Producto Inexistente o no encontrado. Verifique su codigo de barras";
		exit;
	}
	$producto=antisqlinyeccion($producto,"int");*/
} 


if ($marcar >0){
	//print_r($_POST);exit;
	if ($clase==1){
		$tipo='E';
	}
	if ($clase==2){
		$tipo='F';
	}
	$update="Update tmp_ventares set tipo_plato='$tipo' where idventatmp=$marcar";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	
	echo 'PM';
} else {

	


	//echo $producto;
	if (intval($_POST['prod'])==0){
		//echo intval($_POST['prod']);exit;
		if($producto=="NULL"){
			$producto=antisqlinyeccion($_POST['prodppal'],"int");
		}
		
	//NO FUNCIONA CON ANTISQL	i
	    //if(is_null($producto)){
			//echo $producto;
			
		//}else {
			//echo "vacio ac";exit;
	
		//}
		//Vemos si el producto es combinado ext
		// busca producto principal para ver si pertenece a la empresa
		$consulta="
		select * 
		from productos 
		where 
		idempresa = $idempresa 
		and idtipoproducto = 4
		and idprod_serial = $producto
		and productos.borrado = 'N'
		order by 
		descripcion asc
		limit 1
		";
		$rsprod2=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		//echo $consulta;
		$cat_princ=$rsprod2->fields['idcategoria'];
		$idtipoproducto=$rsprod2->fields['idtipoproducto'];
		$idprod_serial=$rsprod2->fields['idprod_serial'];
		$cantidadmax=$rsprod2->fields['combinado_maxitem'];
		$combinado_tipoprecio=$rsprod2->fields['combinado_tipoprecio'];
		$combi=intval($cantidadmax);
	}
	if ($combi == 0){
		$cantidad=antisqlinyeccion($_POST['cant'],"float");
		// si viene de un codigo plus
		if($cantipeso > 0){
			$cantidad=antisqlinyeccion($cantipeso,"float");
		}
		
		$precio=antisqlinyeccion($_POST['precio'],"float");
		$fechahora=antisqlinyeccion(date("Y-m-d H:i:s"),"text");
		$usuarioy=$idusu;
		$idsucursal=$idsucursal;
		$idempresa=$idempresa;
		$receta_cambiada=antisqlinyeccion("N","text");
		$registrado=antisqlinyeccion("N","text");
		$borrado=antisqlinyeccion("N","text");
		$combinado=antisqlinyeccion("N","text");;
		$prod_1="NULL";
		$prod_2="NULL";
		$subtotal=0;
		$idmozosele=intval($_POST['idmozosele']);
		// buscar producto si es combinado

		if($_POST['prod_1'] > 0 && $_POST['prod_2'] > 0){
			$prod_1=antisqlinyeccion($_POST['prod_1'],"int");
			$prod_2=antisqlinyeccion($_POST['prod_2'],"int");

			/*$consulta="
			select (sum(p1)/2) as precio, idmedida
			from productos 
			where
			idprod_serial is not null
			and productos.idempresa = $idempresa
			and (idprod_serial = $prod_1 or idprod_serial = $prod_2)
			order by productos.descripcion asc
			";*/
			$consulta="
			select (sum(productos_sucursales.precio)/2) as precio, productos.idmedida, productos.idtipoproducto
			from productos 
			inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial
			where
			idprod_serial is not null
			and productos.idempresa = $idempresa
			and (productos.idprod_serial = $prod_1 or productos.idprod_serial = $prod_2)
			
			and productos_sucursales.idsucursal = $idsucursal 
			and productos_sucursales.idempresa = $idempresa
			and productos_sucursales.activo_suc = 1
			
			order by productos.descripcion asc
			";
			$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$precio=antisqlinyeccion(redondear_tresceros($rs->fields['precio']),"int");
			$subtotal=$precio;
			$combinado=antisqlinyeccion("S","text");
		}else{

			/*$consulta="
			select p1 as precio,idmedida
			from productos 
			where
			idprod_serial is not null
			and productos.idempresa = $idempresa
			and idprod_serial = $producto
			order by productos.descripcion asc
			";

			$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));*/
			$consulta="
			select productos.idmedida, productos.idtipoproducto, productos_sucursales.precio as precio
			from productos 
			inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial
			where
			productos.idprod_serial is not null
			and productos.idempresa = $idempresa
			and productos.idprod_serial = $producto
			
			and productos_sucursales.idsucursal = $idsucursal 
			and productos_sucursales.idempresa = $idempresa
			and productos_sucursales.activo_suc = 1
			
			order by productos.descripcion asc
			";
			//echo $consulta;exit;
			
			$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$precio=antisqlinyeccion($rs->fields['precio'],"float");	
			$medida=intval($rs->fields['idmedida']);
			//KILLO
			if ($medida==2){
				//Precio en kls a gramos
				$preciogr=($precio/1000);
				$subtotal=(($preciogr*1000)*$cantidad);
			} else {
				$subtotal=($precio*$cantidad);
			}
		}
		$subtotal=round($subtotal);

		if (!function_exists("isNatural")) {
			function isNatural($var){
				return preg_match('/^[0-9]+$/', (string )$var) ? TRUE : FALSE;
			}
		}


		// busca si la unidad de medida del producto es unitaria
		if ($medida==4){
			// si es unitaria valida que no tenga decimales	
			if(!isNatural($cantidad)){
				echo "Error! No puede fraccionar un producto unitario.";
				exit;
			}
			if($cantidad < 1){
				echo "Error! un producto unitario debe tener una cantidad compuesta por un numero natural mayor a 0.";
				exit;
			}
			// para evitar while gigante que colapse el sistema, 
			//si permitimos esto se debe registar en cantidad con 1 solo registro y no se podra variar la receta
			if($cantidad > 1000){
				echo "Error! no se puede vender una cantidad tan grande.";
				exit;
			}
			
			// si es unitaria y la cantidad es mayor a 1 genera 1 registro por cada uno
			for($i=1;$i<=$cantidad;$i++){
				//echo $i;
				//echo 'aca while';
				$consulta="
				INSERT INTO tmp_ventares
				(idproducto, cantidad, precio, fechahora, usuario, registrado, idsucursal, idempresa, receta_cambiada, borrado, combinado, idprod_mitad1, idprod_mitad2,subtotal,idmesa) 
				VALUES 
				($producto,1,$precio, $fechahora,$usuarioy, $registrado, $idsucursal, $idempresa, $receta_cambiada, $borrado, $combinado, $prod_1, $prod_2,$precio,$idmesa)
				;
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				//echo $consulta;
			}

		}else{
			//echo $producto.'aca';exit;
			
			// si no es unitario fuerza desconsolidado en la impresion
			$desconsolida_forzar='S';
			// inserta 1 vez
			$consulta="
			INSERT INTO tmp_ventares
			(idproducto, cantidad, precio, fechahora, usuario, registrado, idsucursal, idempresa, receta_cambiada, borrado, combinado, idprod_mitad1, idprod_mitad2,subtotal,idmesa, desconsolida_forzar) 
			VALUES 
			($producto,$cantidad,$precio, $fechahora,$usuarioy, $registrado, $idsucursal, $idempresa, $receta_cambiada, $borrado, $combinado, $prod_1, $prod_2,$subtotal,$idmesa, '$desconsolida_forzar')
			;
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}


	}else {
		//echo intval($_POST['prodppal']);exit;
		//Procesar combinado ext
		$prodprinc=intval($_POST['prodppal']);
		//$idatc=intval($_POST['idatc']);
		$consulta="
		select max(idatc) as idatc from mesas_atc where idmesa = $idmesa
		";
		$rsatc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idatc=$rsatc->fields['idatc'];
		$idmesa=intval($_POST['idmesa']);
		$cantidad=antisqlinyeccion(1,"float");
		$precio=antisqlinyeccion($_POST['precio'],"float");
		$fechahora=antisqlinyeccion(date("Y-m-d H:i:s"),"text");
		$usuarioy=$idusu;
		$idsucursal=$idsucursal;
		$idempresa=$idempresa;
		$receta_cambiada=antisqlinyeccion("N","text");
		$registrado=antisqlinyeccion("N","text");
		$borrado=antisqlinyeccion("N","text");
		$combinado=antisqlinyeccion("N","text");;
		$prod_1="NULL";
		$prod_2="NULL";
		$subtotal=0;
		$idmozosele=intval($_POST['idmozosele']);
		// busca producto principal para ver si pertenece a la empresa
		$consulta="
		select * 
		from productos 
		where 
		idempresa = $idempresa 
		and idtipoproducto = 4
		and idprod_serial = $prodprinc
		and productos.borrado = 'N'
		order by 
		descripcion asc
		limit 1
		";
		$rsprod2=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$cat_princ=$rsprod2->fields['idcategoria'];
		$idtipoproducto=$rsprod2->fields['idtipoproducto'];
		$idprod_serial=$rsprod2->fields['idprod_serial'];
		$cantidadmax=$rsprod2->fields['combinado_maxitem'];
		$cantidadmin=$rsprod2->fields['combinado_minitem'];
		$combinado_tipoprecio=$rsprod2->fields['combinado_tipoprecio'];
		//echo $consulta;exit;
		
		// validar items maximos y minimos
		$consulta="
		select count(*) as total
		from tmp_combinado_componente
		where
		tmp_combinado_componente.idprodppal = $prodprinc
		and tmp_combinado_componente.idmesa = $idmesa
		and tmp_combinado_componente.idatc = $idatc
		and tmp_combinado_componente.idtmpventares=0
		";
		$rscantcomp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$cant_items_combinado=intval($rscantcomp->fields['total']);
		if($cant_items_combinado <= 1){
			echo 'Los combinados no pueden tener menos de 2 porciones';
			exit;
		}
		if($cant_items_combinado < $cantidadmin){
			echo 'Este producto no puede tener menos de '.$cantidadmin.' partes';
			exit;
		}
		if($cant_items_combinado > $cantidadmax){
			echo 'Este producto no puede tener mas de '.$cantidadmax.' partes';
			exit;
		}
		
		
		// precio promedio
		if($combinado_tipoprecio == 1){ 
					$consulta="			
					select *, 
					(sum(
						(
						select productos_sucursales.precio as p1 
						from productos
						inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial 
						where 
						borrado = 'N' 
						and idprod_serial = tmp_combinado_componente.idprodcombi 
						and idtipoproducto = 1
						and productos_sucursales.idsucursal = $idsucursal
						limit 1
						)
					)/$cant_items_combinado) as promedio
					from tmp_combinado_componente
					where
					tmp_combinado_componente.idprodppal = $prodprinc
					and tmp_combinado_componente.idmesa = $idmesa
					and tmp_combinado_componente.idatc = $idatc
					and tmp_combinado_componente.idtmpventares=0

					";
					$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					$precio=round($rsprod->fields['promedio'],0);

				// precio mayor 	
				}else if($combinado_tipoprecio == 2){
					$consulta="
					select *, productos_sucursales.precio as p1
					from productos 
					inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial
					where 
					borrado = 'N' 
					and productos_sucursales.idsucursal = $idsucursal
					and idtipoproducto = 1
					and productos.idempresa = $idempresa
					and idprod_serial in (
											select idprodcombi
											from tmp_combinado_componente
											where
											tmp_combinado_componente.idprodppal = $prodprinc
											and tmp_combinado_componente.idmesa = $idmesa
											and tmp_combinado_componente.idatc = $idatc
											and tmp_combinado_componente.idtmpventares=0

										)
					order by productos_sucursales.precio desc
					limit 1
					";
					$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					$precio=$rsprod->fields['p1'];

				// definido	
		}else if($combinado_tipoprecio == 3){	
			$consulta="
			select *, productos_sucursales.precio as p1 
			from productos
			inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial
			where 
			borrado = 'N' 
			and productos_sucursales.idsucursal = $idsucursal
			and idtipoproducto = 4
			and productos.idempresa = $idempresa
			and idprod_serial = $prodprinc
			";
			$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$precio=$rsprod->fields['p1'];
		}else{
			echo "No se indico el tipo de precio a usar.";
			exit;	
		}


		
		
		//Cabecera
		$razon_social=trim(strtoupper("SIN NOMBRE"));
		$ruc=trim(strtoupper("X"));
		$chapa="";
		$observacion="";
		$monto=$montototal;
		$mesa=intval($_POST['mesaoc']);
		$canal=4;


		$finalizado="S";
		$delivery="N";
		$costodelivery=0;
		$chapa ="";

		//Totales
		$buscar="Select sum(subtotal) as total from  tmp_ventares where finalizado='N' and borrado='N' and idmesa=$idmesa";
		$rstot=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

		$monto=floatval($rstot->fields['total']);
		if ($monto==0){
			$monto=$precio; //ya que este es un script para combinado nomas
		}
		// limpia variables para insertar
		$razon_social=antisqlinyeccion($razon_social,"text");
		$ruc=antisqlinyeccion($ruc,"text");
		$chapa=antisqlinyeccion($chapa,"text");
		$observacion=antisqlinyeccion($observacion,"text");

		$fechahora=date("Y-m-d H:i:s");
		$fechahora=antisqlinyeccion($fechahora,"text");
		$telefono=0;
		$zona=0;
		$direccion="";
		$llevapos="N";
		$cambio=0;
		$observacion_delivery="";
		$delivery_costo=0;


		$idtmpventares_cab=0;
		
		

		


		// inserta en ventas temporal
		$consulta="
		INSERT INTO tmp_ventares
		(idproducto, idtipoproducto, cantidad, precio, subtotal, fechahora, usuario, registrado, idsucursal, idempresa, receta_cambiada, borrado, combinado, 
		idprod_mitad1, idprod_mitad2, combo,idmesa,idtmpventares_cab,finalizado) 
		VALUES 
		($prodprinc, $idtipoproducto, 1,$precio, $precio, '$ahora', $idusu, 'N', $idsucursal, $idempresa, 'N', 'N', 'N', NULL, NULL, 'N',$idmesa,NULL,'N')
		;
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

		// busca el id temporal insertado
		$consulta="
		select idventatmp
		from tmp_ventares  
		where 
		usuario = $idusu 
		and idsucursal = $idsucursal
		and idempresa = $idempresa
		and idtipoproducto = $idtipoproducto
		and idmesa=$idmesa
		order by idventatmp desc
		limit 1
		";
		$rsmaxid=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$maxid=$rsmaxid->fields['idventatmp'];

			//actualiza en la tabla temporal de combinados listas por cada lista

			$consulta="
			update tmp_combinado_componente
			set 
			tmp_combinado_componente.idtmpventares = $maxid
			where		
			tmp_combinado_componente.idprodppal = $prodprinc
			and tmp_combinado_componente.idmesa = $idmesa
			and tmp_combinado_componente.idatc = $idatc
			and tmp_combinado_componente.idtmpventares=0
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

			//Generamos la lista de siempre 
			//Vemos si hay combinados seleccionados y registramos

			$buscar="
			Select * 
			from tmp_combinado_componente 
			where 
			tmp_combinado_componente.idprodppal = $prodprinc
			and tmp_combinado_componente.idmesa = $idmesa
			and tmp_combinado_componente.idatc = $idatc
			and tmp_combinado_componente.idtmpventares=$maxid
			";
			$rsdetped=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

			while (!$rsdetped->EOF){

				$idtempo=intval($rsdetped->fields['idtmpventares']);
				$idprodppal=intval($rsdetped->fields['idprodppal']);
				$idporcion=intval($rsdetped->fields['idprodcombi']);



				//A la par insertamos en la lista para los demas usos anteriores
				$insertar="Insert into tmp_combinado_listas 
					(idventatmp,idproducto_principal,idproducto_partes,idempresa,idsucursal,idusuario,registrado_el) 
					values 
					($idtempo,$idprodppal,$idporcion,$idempresa,$idsucursal,$idusu,current_timestamp)";
				$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));





				$rsdetped->MoveNext();
			}




			// buscar cantidad total de ese producto y responder
		$consulta="
		select 
		sum(cantidad) as total
		from tmp_ventares 
		where 
		registrado = 'N'
		and usuario = $usuarioy
		and idproducto = $producto
		and borrado = 'N'
		and finalizado = 'N'
		and idsucursal = $idsucursal
		and idempresa = $idempresa
		";
		$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

		//echo "LISTO";

	} // if ($combi == 0){
	
	echo "LISTO";
} // if ($marcar >0){
?>