<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php"); 

$idlistaprecio=intval($_POST['idlistaprecio']);
$idatc=intval($_POST['idatc']);
$idmesa=intval($_POST['idmesa']);


function redondear_precio_comb($precio,$ceros=1,$direccion='N'){
     // direccion  A: hacia arriba // B: hacia abajo N: Normal
    if($direccion == 'A'){
        $precio_redondeado=ceil($precio/10**$ceros)*(10**$ceros);
    }else if($direccion == 'B'){
        $precio_redondeado=floor($precio/10**$ceros)*(10**$ceros);
    }else{
        $precio_redondeado=round($precio/10**$ceros)*(10**$ceros);
    }
    return $precio_redondeado;
}
function precio_combinado_lista($parametros_array){
	
	global $conexion;
	
	$idproducto=$parametros_array['idproducto_principal'];
	$idproducto_partes=$parametros_array['idproducto_partes'];
	$idsucursal_ped=$parametros_array['idsucursal_ped'];
	$idlistaprecio=$parametros_array['idlistaprecio'];
	
	
	$seladd_lp=" productos_sucursales.precio ";
	if(intval($idlistaprecio) > 0){
		$joinadd_lp=" inner join productos_listaprecios on productos_listaprecios.idproducto = productos.idprod_serial ";
		$whereadd_lp="
		and productos_listaprecios.idsucursal = $idsucursal_ped 
		and productos_listaprecios.idlistaprecio = $idlistaprecio 
		and productos_listaprecios.estado = 1
		";
		$seladd_lp=" productos_listaprecios.precio ";
	}
	
	$consulta="
	select idtipoproducto, combinado_tipoprecio 
	from productos 
	where 
	idprod_serial = $idproducto 
	limit 1
	";
	$rstip=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idtipoproducto=$rstip->fields['idtipoproducto'];
	$combinado_tipoprecio=$rstip->fields['combinado_tipoprecio'];
	$combinados_partes=$idproducto_partes;
	$combinados_part=explode(",",$idproducto_partes);
	$total_partes=count($combinados_part);
	$totalbd_part=intval($total_partes);
	if($totalbd_part <= 0){
		$totalbd_part=1;
	}
	// precio promedio
	if($combinado_tipoprecio == 1){ 
		$precio_acum=0;
		foreach($combinados_part as $combinado_parte){
			$consulta="
			select $seladd_lp as p1 
			from productos
			inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial 
			$joinadd_lp
			where 
			borrado = 'N' 
			and idprod_serial = $combinado_parte
			and idtipoproducto = 1
			and productos_sucursales.idsucursal = $idsucursal_ped
			$whereadd_lp
			limit 1
			";
			$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			//echo $consulta."<br />";
			$precio_actual=0;
			while(!$rsprod->EOF){
				$precio_actual=$rsprod->fields['p1'];
				$precio_acum+=$precio_actual;
				//echo $precio_actual."<br />";
			$rsprod->MoveNext(); }
		}
		$promedio=$precio_acum/$totalbd_part;
		$precio=round($promedio,0); // redondeo decimal
		$precio_unitario=redondear_precio_comb($precio,2); // redondeo del numero entero
	
	// precio mayor 	
	}else if($combinado_tipoprecio == 2){
		$consulta="
		select *, $seladd_lp as p1 
		from productos 
		inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial
		$joinadd_lp
		where 
		borrado = 'N' 
		and productos_sucursales.idsucursal = $idsucursal_ped
		and idtipoproducto = 1
		and idprod_serial in ( $combinados_partes )
		$whereadd_lp
		order by productos_sucursales.precio desc
		limit 1
		";
		$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$precio_unitario=$rsprod->fields['p1'];
	
	// definido	
	}else if($combinado_tipoprecio == 3){	
		$consulta="
		select *, $seladd_lp as p1 
		from productos
		inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial
		$joinadd_lp
		where 
		borrado = 'N' 
		and productos_sucursales.idsucursal = $idsucursal_ped
		and idtipoproducto = 4
		and idprod_serial = $idproducto
		$whereadd_lp
		";
		$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$precio_unitario=$rsprod->fields['p1'];
	}else{
		echo "No se indico el tipo de precio a usar.";
		exit;	
	}
	$subtotal=$precio_unitario;
	
	$res=array('precio_unitario' => $precio_unitario);
	return $res;
}

if($idlistaprecio==0 or $idmesa==0 or $idatc==0){
	echo "error al obtener los datos de atc, idmesa o idlistaprecio".print_r($_POST);exit;
	
}
if ($idlistaprecio > 0){
	$update="Update mesas_atc set idlista_aplicada=$idlistaprecio where idatc=$idatc";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	
	//Por si cambio e precio en algun lugar
	$consulta="
		update productos_listaprecios
		set
		precio = 
			COALESCE(
				(
				select 
				CASE redondeo_direccion
				WHEN 'A' THEN CEIL(((precio*(lista_precios_venta.recargo_porc/100))+precio)/POW(10,redondeo_ceros))*(POW(10,redondeo_ceros)) 
				WHEN 'B' THEN FLOOR(((precio*(lista_precios_venta.recargo_porc/100))+precio)/POW(10,redondeo_ceros))*(POW(10,redondeo_ceros)) 
				ELSE
					ROUND(((precio*(lista_precios_venta.recargo_porc/100))+precio)/POW(10,redondeo_ceros))*(POW(10,redondeo_ceros)) 
				END as redondeado
				from productos_sucursales, lista_precios_venta
				where
				productos_sucursales.idproducto = productos_listaprecios.idproducto
				and productos_sucursales.idsucursal = productos_listaprecios.idsucursal
				and lista_precios_venta.idlistaprecio = productos_listaprecios.idlistaprecio
				)
			,0),
		reg_por = $idusu,
		reg_el = '$ahora'
		where
		idlistaprecio in (select idlistaprecio from lista_precios_venta where recargo_porc <> 0)
		and idlistaprecio > 1
		and idlistaprecio = $idlistaprecio
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
		$buscar="Select idtmpventares_cab  from tmp_ventares_cab where estado=1 and finalizado='S' and idventa IS NULL and idatc=$idatc and idmesa=$idmesa ";
		$rcab=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
		while(!$rcab->EOF){
			$idcabecera=intval($rcab->fields['idtmpventares_cab']);
			
			//Traemos los articulos de tmpventares que existan en una lista de precio (solo los que existan), agrupamos por articulo ya que es solo para la lista
			$buscar="Select tmp_ventares.idtmpventares_cab as idcabecera,tmp_ventares.precio,tmp_ventares.subtotal,tmp_ventares.cantidad,
			tmp_ventares.idproducto, tmp_ventares.idtipoproducto as idtipoproducto_carrito, productos.idtipoproducto as idtipoproducto
			from tmp_ventares 
			inner join tmp_ventares_cab on tmp_ventares_cab.idtmpventares_cab=tmp_ventares.idtmpventares_cab
			inner join productos on productos.idprod_serial = tmp_ventares.idproducto
			where 
			tmp_ventares.borrado='N' 
			and tmp_ventares.idproducto in
			(
				select idproducto 
				from productos_listaprecios 
				where 
				idlistaprecio=$idlistaprecio
			)
			and tmp_ventares_cab.idmesa=$idmesa 
			and tmp_ventares_cab.idatc=$idatc
			and tmp_ventares_cab.idtmpventares_cab=$idcabecera
			and productos.idtipoproducto not in (3,4)
			group by idproducto
			";
			//echo $buscar;
			$rj=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			while(!$rj->EOF){
				
				$idproducto=intval($rj->fields['idproducto']);
				$precio_orig=floatval($rj->fields['precio']);
				$idtipoproducto=intval($rj->fields['idtipoproducto']);
				
				$buscar="Select precio from productos_listaprecios where idproducto=$idproducto and idsucursal=$idsucursal and estado=1 and idlistaprecio=$idlistaprecio";
				$rsp=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				$precio_lista=floatval($rsp->fields['precio']);
				
				// si no es combinado ni combinado extendido
				if($idtipoproducto <> 3 && $idtipoproducto <> 4){
					//if ($precio_orig!=$precio_lista){
						
						$update="
						Update tmp_ventares 
						set 
						precio=$precio_lista,
						subtotal=cantidad*$precio_lista,
						idlistaprecio=$idlistaprecio
						where  
						idproducto=$idproducto 
						and idmesa=$idmesa
						and borrado='N' 
						and idtmpventares_cab=$idcabecera
						";
						$conexion->Execute($update) or die(errorpg($conexion,$update));
						
					//}
				}
				
				$rj->MoveNext();
			}
			
			//traemos nuevamente pero solo combinados
			$buscar="Select tmp_ventares.idventatmp, tmp_ventares.idtmpventares_cab as idcabecera,tmp_ventares.precio,tmp_ventares.subtotal,tmp_ventares.cantidad,
			tmp_ventares.idproducto, tmp_ventares.idtipoproducto as idtipoproducto_carrito, productos.idtipoproducto as idtipoproducto,
			(SELECT GROUP_CONCAT(idproducto_partes) as partes FROM `tmp_combinado_listas` WHERE idventatmp = tmp_ventares.idventatmp) as partes,
			tmp_ventares.idsucursal
			from tmp_ventares 
			inner join tmp_ventares_cab on tmp_ventares_cab.idtmpventares_cab=tmp_ventares.idtmpventares_cab
			inner join productos on productos.idprod_serial = tmp_ventares.idproducto
			where 
			tmp_ventares.borrado='N' 
			and tmp_ventares.idproducto in
			(
				select idproducto 
				from productos_listaprecios 
				where 
				idlistaprecio=$idlistaprecio
			)
			and tmp_ventares_cab.idmesa=$idmesa 
			and tmp_ventares_cab.idatc=$idatc
			and tmp_ventares_cab.idtmpventares_cab=$idcabecera
			and productos.idtipoproducto in (3,4)
			order by tmp_ventares.idventatmp asc
			";
			//echo $buscar;exit;
			$rj=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			while(!$rj->EOF){
				
				$idventatmp=intval($rj->fields['idventatmp']);
				$idproducto=intval($rj->fields['idproducto']);
				$precio_orig=floatval($rj->fields['precio']);
				$idtipoproducto=intval($rj->fields['idtipoproducto']);
				$idsucursal=intval($rj->fields['idsucursal']);
				
				// recalcular combinado en base a sabores
				$parametros_array['idproducto_principal']=$idproducto;
				$parametros_array['idproducto_partes']=$rj->fields['partes'];
				$parametros_array['idsucursal_ped']=$idsucursal;
				$parametros_array['idlistaprecio']=$idlistaprecio;
				$precio_lista_res=precio_combinado_lista($parametros_array);
				$precio_lista=$precio_lista_res['precio_unitario'];
				
				// si  es combinado o combinado extendido
				if($idtipoproducto == 3 or $idtipoproducto == 4){
					//if ($precio_orig!=$precio_lista){

						$update="
						Update tmp_ventares 
						set 
						precio=$precio_lista,
						subtotal=cantidad*$precio_lista,
						idlistaprecio=$idlistaprecio
						where  
						idproducto=$idproducto 
						and idmesa=$idmesa
						and borrado='N' 
						and idventatmp=$idventatmp
						";
						$conexion->Execute($update) or die(errorpg($conexion,$update));
					
					//}
				}
				
				$rj->MoveNext();
			}
			
			
			//actualizar monto en la cabecera
			$buscar="Select sum(subtotal) as total from 
			tmp_ventares where idtmpventares_cab=$idcabecera and borrado='N' ";
			$rs2=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$total=floatval($rs2->fields['total']);
			$update="update tmp_ventares_cab set monto=$total where idatc=$idatc and idmesa=$idmesa and idtmpventares_cab=$idcabecera ";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
		
		$rcab->MoveNext();
		}
		echo "OK";exit;
} else {
	echo "Errores: ";exit;
	
}


?>