<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php");

// preferencias
$borrar_ped_cod=trim($rsco->fields['borrar_ped_cod']);
$borrar_ped=trim($rsco->fields['borrar_ped']);

$idmesa=intval($_POST['idmesa']);
$idatc=intval($_POST['idatc']);
$idtemporal=intval($_POST['idtemporal']);
$permitecobrar=trim($_POST['permitecobrar']);

//Verificamos si la persona posee permisos para efectuar cobranza o sea, es cajero
if ($permitecobrar=='S'){
	//buscamos si el usuario en cuestion fue habilitado para efectuar descuento
	$buscar="select * from preferencias_caja limit 1";
	$rspcaja=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$descxprod=trim($rspcaja->fields['permite_desc_productos']);
	$descxfactura=trim($rspcaja->fields['permite_desc_factura']);
	$obligapin=trim($rspcaja->fields['usar_pin']);
	$eliminar_producto=trim($rspcaja->fields['permite_borrar_prod']);
	$rechazar_pedido=trim($rspcaja->fields['permite_rechazo_pedido']);
	$obliga_motivos=trim($rspcaja->fields['obliga_motivos']);

}
$buscar="Select idtmpventares_cab,idventatmp,descripcion,productos.precio_abierto,
productos.precio_min,productos.precio_max, tmp_ventares.precio
from tmp_ventares
inner join productos on productos.idprod_serial=tmp_ventares.idproducto
where idventatmp=$idtemporal";
$rsprodub=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idcabezaped=$rsprodub->fields['idtmpventares_cab'];
$idventatmp=$rsprodub->fields['idventatmp'];



//Rechazo
$buscar="Select * from motivos_rechazopedido where estado=1 order by motivorecha asc";
$rs6=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));



//Cortesia
$buscar="Select * from motivos_cortesia where estado=1 ";
$rs5=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));


//Descuentoo
$buscar="Select * from motivos_descuentos where estado=1 order by descripcion asc";
$rs3=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));




//Eliminacion

$buscar="Select descripcion,idmotivoborra from motivos_eliminar_productos_pedidos where estado=1 order by descripcion asc";
$rs4=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

?>

<div align="center">

<br />

	
<div class="col-md-12 ">
	<div class="col-md-6">
	<?php echo $rsprodub->fields['descripcion']; ?>
	</div>
	<div class="col-md-6">
		Codigo de autorizacion
		<input type="password" id="cod_autoriza" placeholder="Codigo Autorizacion" class="form-control">
	</div>

</div>
<div class="x_panel">
<div class="col-md-12">
Motivos y acciones
</div>
	<?php if($borrar_ped == 'S'){ ?>
	<div class="col-md-4">
		<select name='motivo_chau' id='motivo_chau' class='form-control'>
			<option value=''>Motivo Eliminacion</option>
			<?php while(!$rs4->EOF){ ?>
			<option value="<?php echo $rs4->fields['idmotivoborra'] ?>"><?php echo $rs4->fields['descripcion'] ?></option>
			
			<?php $rs4->MoveNext();} ?>
		</select>
		<a class="btn btn-app" href="javascript:void(0);" onClick="eliminarproducto(<?php echo $idventatmp?>,<?php echo $idcabezaped?>,<?php echo $idmesa?>,<?php echo $idatc ?>)">
		<i class="fa fa-trash"></i> Eliminar
		</a>
	</div>
    
    <?php } ?>
	<div class="col-md-4">
		<select name='motivo_rechazo' id='motivo_rechazo' class='form-control'>
			<option value=''>Motivo Rechazo</option>
			<?php while(!$rs6->EOF){ ?>
			<option value="<?php echo $rs6->fields['idmotivorecha'] ?>"><?php echo $rs6->fields['motivorecha'] ?></option>
			
			<?php $rs6->MoveNext();} ?>
		
		</select>
	
		<a class="btn btn-app" href="javascript:void(0);" onClick="rechazar(<?php echo $idventatmp ?>,<?php echo $idcabezaped ?>,<?php echo $idmesa ?>,<?php echo $idatc ?>)">
		<i class="fa fa-thumbs-o-down"></i> Rechazo
		</a>
	</div>
	<div class="col-md-4">
		<select name='motivo_cortesia' id='motivo_cortesia' class='form-control'>
			<option value=''>Motivo Cortesia</option>
			<?php while(!$rs5->EOF){ ?>
			<option value="<?php echo $rs5->fields['idmotivocortesia'] ?>"><?php echo $rs5->fields['descripcion'] ?></option>
			
			<?php $rs5->MoveNext();} ?>
		
		</select>
	
		<a class="btn btn-app" href="javascript:void(0);" onClick="cortesia(<?php echo $idventatmp?>,<?php echo $idmesa?>)">
		<i class="fa fa-gift"></i> Cortesia
		</a>
		
	</div>
	
	<div class="col-md-4">
		<select name='motivo_descuento' id='motivo_descuento' class='form-control'>
			<option value=''>Motivo Descuento</option>
			<?php while(!$rs3->EOF){ ?>
			<option value="<?php echo $rs3->fields['idmotivodesc'] ?>"><?php echo $rs3->fields['descripcion'] ?></option>
			
			<?php $rs3->MoveNext();} ?>
		
		</select>
	
	
		<a class="btn btn-app" href="javascript:void(0);" onClick="muestra_descuento(<?php echo $idventatmp?>,<?php echo $idcabezaped?>,<?php echo $idmesa?>,<?php echo $idatc ?>)">
		<i class="fa fa-refresh"></i> Descuento
		</a>
	</div>
	
	
	
	
	
    <div class="col-md-4">
	<br />
		<a class="btn btn-app" href="javascript:void(0);" onClick="reimprime_comanda(<?php echo $idventatmp?>,<?php echo $idcabezaped?>,<?php echo $idmesa?>,<?php echo $idatc ?>)">
		<i class="fa fa-print"></i> Reimprimir Comanda
		</a>
	</div>
    <div class="clear-fix"></div>
    <br />
	<div id="noti" style="display:none">
    	<h2><span class="fa fa-print"></span>&nbsp;&nbsp;Reimpresion enviada!</h2>
    </div>

</div>
<br />
	<div id="accionesocultas"></div>

<?php if(trim($rsprodub->fields['precio_abierto']) == 'S'){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert" id="error_box" style="display:none;">
<strong>Errores:</strong><br /><div id="error_box_msg"><?php echo $errores; ?></div>
</div>

<hr />
<div class="col-md-12 col-sm-12 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Precio Abierto <br />
(<?php echo formatomoneda($rsprodub->fields['precio_min']); ?> - <?php echo formatomoneda($rsprodub->fields['precio_max']); ?>)
</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="number" name="precio_nuevo" id="precio_nuevo" value="<?php  if(isset($_POST['precio_nuevo'])){ echo floatval($_POST['precio_nuevo']); }else{ echo floatval($rsprodub->fields['precio']); }?>" placeholder="Precio Abierto" class="form-control" required="required" min="<?php echo floatval($rsprodub->fields['precio_min']); ?>" max="<?php echo floatval($rsprodub->fields['precio_max']); ?>" />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="button" class="btn btn-success" onclick="cambiar_precio(<?php echo $idventatmp; ?>,<?php echo $idmesa; ?>);" ><span class="fa fa-check-square-o"></span> Cambiar Precio</button>
        </div>
    </div>
	<div style="display:none;" id="precio_nuevo_box"></div>

<div class="clearfix"></div>
<br />
<?php } ?>

</div>









