<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
require_once("./mesas_qr_funciones.php");
require_once("./mesas_preferencias.php");
require_once("../includes/funciones_carrito.php");
require_once("rsusuario_mesa.php");







if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$nombre=$_POST['nombre'];
	$celular=$_POST['celular'];
	$comentario=$_POST['comentario'];
	$estado=1;
	$registrado_el=$ahora;
			



	$parametros_array=array(
		"idatc" => $idatc,
		"nombre" => $nombre,
		"celular" => $celular,
		"comentario" => $comentario,
		"estado" => $estado,
		"registrado_el" => $registrado_el
	);

	// si todo es correcto actualiza
	if($valido == "S"){
		$res=servicios_califica_comentario_add($parametros_array);
		if ($res["valido"]=="S") {
			header("location: calificar.php#comentarios_box");
			exit;
		}else{
			$errores.=$res["errores"];
		}
		
	}else{
		$errores.=$res["errores"];
	}


}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

// se puede mover esta funcion al archivo funciones_servicios_califica_comentario.php y realizar un require_once
function servicios_califica_comentario_add($parametros_array){
	global $conexion;
	global $saltolinea;

	// validaciones basicas
	$valido="S";
	$errores="";
	
    
	$idatc=antisqlinyeccion($parametros_array['idatc'],"int");
	$nombre=antisqlinyeccion($parametros_array['nombre'],"text");
	$celular=antisqlinyeccion($parametros_array['celular'],"text");
	$comentario=antisqlinyeccion($parametros_array['comentario'],"textbox");
	$estado=antisqlinyeccion($parametros_array['estado'],"int");
	$registrado_el=antisqlinyeccion($parametros_array['registrado_el'],"text");
	
	if(intval($parametros_array['idatc']) == 0){
		$valido="N";
		$errores.=" - El campo idatc no puede ser cero o nulo.<br />";	
	}
	if(trim($parametros_array['nombre']) == ''){
		$valido="N";
		$errores.=" - El campo nombre no puede estar vacio.<br />";	
	}

	if(trim($parametros_array['celular']) == ''){
		$valido="N";
		$errores.=" - El campo celular no puede estar vacio.<br />";	
	}
	if(trim($parametros_array['comentario']) == ''){
		$valido="N";
		$errores.=" - El campo comentario no puede estar vacio.<br />";	
	}
	

	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into servicios_califica_comentario
		(idatc, nombre, celular, comentario, estado, registrado_el)
		values
		($idatc, $nombre, $celular, $comentario, $estado, $registrado_el)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
	}


	return array("errores"=>$errores,"valido"=>$valido);
}


$consulta="
select *
from servicios_califica_comentario 
where 
 estado = 1 
 and idatc = $idatc
order by idsercalcoment asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen_mesas.php"); ?>  
<style>
.rating_star{
	font-size:16px;
}
.checked {
	color: orange;
}
.m_over {
	font-size:20px;
	color: yellow;
}
.m_out {
	font-size:16px;
}
</style>
<script>
function m_over(id){
	$("#"+id).removeClass("checked");
	$("#"+id).removeClass("m_out");
	$("#"+id).addClass("m_over");
}
function m_out(id){
	$("#"+id).removeClass("checked");
	$("#"+id).addClass("m_out");
	$("#"+id).removeClass("m_over");
}
function m_click(id,box,numero){
	//$("#"+id).addClass("checked");
	//$("#"+id).removeClass("m_out");
	//$("#"+id).removeClass("m_over");
	// por ajax guardar y mostra boton cambiar

	var direccionurl='calificar_star.php';	
	var parametros = {
	  "id"     : id,
	  "box"    : box,
	  "numero" : numero
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#"+box).html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(xhr.status === 200){
				$("#"+box).html(response);
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});
}
function m_click_edit(id,box){
	//$("#"+id).addClass("checked");
	//$("#"+id).removeClass("m_out");
	//$("#"+id).removeClass("m_over");
	// por ajax guardar y mostra boton cambiar

	var direccionurl='calificar_star_editable.php';	
	var parametros = {
	  "id"     : id,
	  "box"    : box
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#"+box).html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(xhr.status === 200){
				$("#"+box).html(response);
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});
}
</script>
  </head>

  <body class="nav-md">
    <nav class="navbar navbar-default">
      <div class="">
        <div class="navbar-header" style="display: flex;align-items: center;justify-content: space-evenly;">
          <a class="navbar-brand" style="padding:0;width: 15vw;min-width: 20px;display: flex;justify-content: center;align-items: center;height: auto;padding-bottom: 1rem;padding-top: 1rem;" href="#">
          <img class="resized-image img-responsive logo_image" src="<?php echo $logo;?>"  alt="Pay background" />
          </a>
          <div class="header_name" ><?php echo $nombreempresa; ?></div>
          <div style="width: 15vw;display: flex;justify-content: space-around;" onclick="salir()" style="cursor: pointer;"> <small class="fa fa-sign-out " style="cursor: pointer;"></small></div>
        </div>
        <div class="clearfix"></div>
      </div>
    </nav>
    <div class="container body">
      <div class="main_container">



        <!-- BOTONERA INICIA -->
        <div id="box_grilla_btn">

<div   class="rounded col-md-12 col-sm-12 col-xs-12">
	<div  class="boton-body" style="background-color:#000;color:#FFF;">
		Mesa: <?php echo antixss($rsmesa->fields['numero_mesa']); ?> - 
		Salon: <?php echo antixss($rsmesa->fields['salon']); ?>
	</div>
</div>
<div class="clearfix"></div>
<br />
<div   class="rounded col-md-12 col-sm-12 col-xs-12">
	<div  class="boton-body" style="background-color:#FFF;">
         <div class='line'></div>
<p align='left'><a href="dashboard_bootstrap.php"  class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />
<h3>Ayudanos a mejorar calific&aacute;ndonos:</h3>
<div class="clearfix"></div>
<br />
<?php
$consulta="
SELECT idserviciocalifica , servicio,
(
select idserviciocalificares 
from servicios_califica_resultado 
where 
idatc = $idatc 
and idserviciocalifica = servicios_califica.idserviciocalifica
) as idserviciocalificares
FROM `servicios_califica` 
order by orden asc, servicio asc
";
$rscal=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));

?>
<div class="table-responsive rating_star">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <tbody>
<?php while(!$rscal->EOF){
$idserviciocalificares=$rscal->fields['idserviciocalificares'];
$prefijo=$rscal->fields['idserviciocalifica'];
 ?>
		<tr>
			<td align="right"><strong><?php echo antixss($rscal->fields['servicio']); ?></strong></td>
			<td align="left" id='<?php echo $prefijo; ?>_box'>				
				<?php 
				if($idserviciocalificares > 0){
					require('calificar_star.php');
				}else{
					require('calificar_star_editable.php');
				}

 ?>
			</td>
		</tr>
<?php $rscal->MoveNext(); } ?>

	  </tbody>


    </table>
</div>

<hr />
<strong>Comentarios y/o Sugerencias:</strong><br /><br />
<a name="comentarios_box"></a>
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">




<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Comentario *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<textarea name="comentario" id="comentario" placeholder="Comentario" class="form-control" required="required" ><?php  if(isset($_POST['comentario'])){ echo htmlentities($_POST['comentario']); } ?></textarea>
                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre y Apellido *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="nombre" id="nombre" value="<?php  if(isset($_POST['nombre'])){ echo htmlentities($_POST['nombre']);  }?>" placeholder="Nombre" class="form-control" required  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Celular *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="celular" id="celular" value="<?php  if(isset($_POST['celular'])){ echo htmlentities($_POST['celular']); }?>" placeholder="Celular" class="form-control" required  />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar Comentario</button>

        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Nombre</th>
			<th align="center">Celular</th>
			<th align="center">Comentario</th>
			<th align="center">Registrado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					
					<a href="calificar_edit.php?id=<?php echo $rs->fields['idsercalcoment']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
					<a href="calificar_del.php?id=<?php echo $rs->fields['idsercalcoment']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash"></span></a>
				</div>

			</td>
			<td align="center"><?php echo antixss($rs->fields['nombre']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['celular']); ?></td>
			<td align="center"><?php echo nl2br(antixss($rs->fields['comentario'])); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />


<br /><br />

<!--
<span class="fa fa-star checked"></span>
<span class="fa fa-star checked"></span>
<span class="fa fa-star checked"></span>
<span class="fa fa-star"></span>
<span class="fa fa-star"></span>
-->


	</div>
</div>
<div class="clearfix"></div>
<br />



        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
