<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="647";
$dirsup="S";
require_once("../includes/rsusuario.php"); 


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date('Y-m-d', strtotime($fechaActual . ' - 30 days'));
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}

$idsucu=intval($_GET['idsucu']);
if($idsucu > 0){
	$whereadd.=" and mesas_atc.idsucursal = $idsucu ";
}


// (select idatc from mesas_cobros_deta where idconfirmapago_qr = confirmacion_pago_entidad.id) as idatc
$consulta="
select 'QR' as tipo, sum(confirmacion_pago_entidad.amount) as amount, count(mesas_atc.idatc) as cantidad, sucursales.nombre as sucursal
from confirmacion_pago_entidad 
inner join mesas_cobros_deta on mesas_cobros_deta.idconfirmapago_qr = confirmacion_pago_entidad.id
inner join mesas_atc on mesas_atc.idatc = mesas_cobros_deta.idatc
inner join sucursales on sucursales.idsucu = mesas_atc.idsucursal
where 
confirmacion_pago_entidad.status = 'confirmed' 
and date(mesas_cobros_deta.registrado_el) >= '$desde' 
and date(mesas_cobros_deta.registrado_el) <= '$hasta' 
and confirmacion_pago_entidad.idorigenpagomodulo_conf = 1
$whereadd

union all

select 'VPOS' AS tipo, sum(bancard_vpos.amount) as amount, count(mesas_atc.idatc) as cantidad,  sucursales.nombre as sucursal
from bancard_vpos
inner join mesas_cobros_deta on mesas_cobros_deta.idbancardvpos = bancard_vpos.idbancardvpos
inner join mesas_atc on mesas_atc.idatc = mesas_cobros_deta.idatc
inner join sucursales on sucursales.idsucu = mesas_atc.idsucursal
where
bancard_vpos.response_code = '00'
and date(mesas_cobros_deta.registrado_el) >= '$desde' 
and date(mesas_cobros_deta.registrado_el) <= '$hasta' 
and bancard_vpos.idorigenpagomodulo = 1
$whereadd

group by sucursal, tipo
order by sucursal asc
";
//$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

/******** PAGINACION **********/
	//Limito la busqueda
	$TAMANO_PAGINA = 500;
	
	$consulta_tot="
	WITH consulta_a_paginar AS (
		$consulta
	)
	select count(*) as total
	from consulta_a_paginar
	";
	$rstotal=$conexion->Execute($consulta_tot) or die(errorpg($conexion,$consulta_tot));
	$num_total_registros=$rstotal->fields['total'];
	$nropagina = intval($_GET["pagina"]);
	//examino la página a mostrar y el inicio del registro a mostrar
	if ($nropagina == 0) {
	   $inicio = 0;
	   $nropagina = 1;
	} else {
	   $inicio = ($nropagina - 1) * $TAMANO_PAGINA;
	}
	//calculo el total de páginas
	$total_paginas = ceil($num_total_registros / $TAMANO_PAGINA);
	// volver a consultar pero agregar los limites
	$limite=" 
	Limit $inicio, $TAMANO_PAGINA
	";
	// ejecutar despues de la paginacion
	$consulta_paginada=$consulta.$limite;
	$rs=$conexion->Execute($consulta_paginada) or die(errorpg($conexion,$consulta_paginada));
/******** PAGINACION **********/

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
<style>
.rating_star{
	font-size:16px;
}
.checked {
	color: orange;
}
.m_over {
	font-size:20px;
	color: yellow;
}
.m_out {
	font-size:16px;
}
</style>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Pagos con QR en mesas Smart</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php 
$refemenu='pagos';
require_once("menu_info_mesasmart.php"); ?>

<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>




<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idsucu, nombre
FROM sucursales
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_GET['idsucu'])){ 
	$value_selected=htmlentities($_GET['idsucu']); 
}else{
	$value_selected=htmlentities($rs->fields['idsucu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idsucu',
	'id_campo' => 'idsucu',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idsucu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODAS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="clearfix"></div>
<br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>


<br />
</form>        
<div class="clearfix"></div>
<hr />




				  
<?php if ($total_paginas > 1) { ?>
<ul class="pagination">
<?php 
$parametros_array['get_excluye'] = 'sf,pagina';
$parametros_array['primer_parametro_fijo'] = 'S';
$url_add=parametros_url($parametros_array);
$nombre_script = basename($_SERVER['SCRIPT_NAME']);
if($url_add != ''){
	$url=$nombre_script."?sf=n".$url_add;
}else{
	$url=$nombre_script."?sf=s";	
}
if ($total_paginas > 1) {
	if ($nropagina != 1){
		echo '<li><a href="'.$url.'&pagina='.($nropagina-1).'">&laquo;</a></li>';
	}
	for ($i=1;$i<=$total_paginas;$i++) {
		if ($nropagina == $i){
			//si muestro el índice de la página actual, no coloco enlace
			echo '<li class="active" style="background-color:#FE980F; color:#FFF;"><a href="'.$url.'">'.$nropagina.'</a></li>';
		}else{
			//si el índice no corresponde con la página mostrada actualmente,
			//coloco el enlace para ir a esa página
			echo '<li><a href="'.$url.'&pagina='.$i.'">'.$i.'</a></li>';
		}
	}
	if ($nropagina != $total_paginas){
		echo '<li><a href="'.$url.'&pagina='.($nropagina+1).'">&raquo;</a></li>';
	}
}
?>
</ul>
<div class="clearfix"></div>
<br />
<?php } ?>


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Sucursal</th>
			<th align="center">Tipo</th>
			<th align="center">Cantidad</th>
			<th align="center">Monto</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
				<td align="center"><?php echo antixss($rs->fields['sucursal']); ?></td>
				<td align="center"><?php echo antixss($rs->fields['tipo']); ?></td>
				<td align="right"><?php echo formatomoneda($rs->fields['cantidad']);  ?></td>
				<td align="right"><?php echo formatomoneda($rs->fields['amount']);  ?></td>

		</tr>
<?php 
$amount_acum+=$rs->fields['amount'];
$cantidad_acum+=$rs->fields['cantidad'];
$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

	  <tfoot>
		<tr>
			<td>Totales</td>
			<td></td>
				<td align="right"><?php echo formatomoneda($cantidad_acum); ?></td>
				<td align="right"><?php echo formatomoneda($amount_acum); ?></td>
				
		</tr>
	  </tfoot>
	  
    </table>
</div>
<br />


				  
<?php if ($total_paginas > 1) { ?>
<ul class="pagination">
<?php 
$parametros_array['get_excluye'] = 'sf,pagina';
$parametros_array['primer_parametro_fijo'] = 'S';
$url_add=parametros_url($parametros_array);
$nombre_script = basename($_SERVER['SCRIPT_NAME']);
if($url_add != ''){
	$url=$nombre_script."?sf=n".$url_add;
}else{
	$url=$nombre_script."?sf=s";	
}
if ($total_paginas > 1) {
	if ($nropagina != 1){
		echo '<li><a href="'.$url.'&pagina='.($nropagina-1).'">&laquo;</a></li>';
	}
	for ($i=1;$i<=$total_paginas;$i++) {
		if ($nropagina == $i){
			//si muestro el índice de la página actual, no coloco enlace
			echo '<li class="active" style="background-color:#FE980F; color:#FFF;"><a href="'.$url.'">'.$nropagina.'</a></li>';
		}else{
			//si el índice no corresponde con la página mostrada actualmente,
			//coloco el enlace para ir a esa página
			echo '<li><a href="'.$url.'&pagina='.$i.'">'.$i.'</a></li>';
		}
	}
	if ($nropagina != $total_paginas){
		echo '<li><a href="'.$url.'&pagina='.($nropagina+1).'">&raquo;</a></li>';
	}
}
?>
</ul>
<div class="clearfix"></div>

<?php } ?>


<div class="clearfix"></div>
<br /><br />
			  
					  
					  
					  
					  
					  
					  
					  
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
