<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
require_once("./mesas_qr_funciones.php");
require_once("./mesas_preferencias.php");
$dirsup = 'S';
$modulo="1";
$submodulo="31";
$errores = "";


if (!isset($_SESSION)) {
  session_start();
}

$tipo_pedido = $_POST['tipo_pedido'];
$id_mesa = $_POST['id_mesa'];
$id_atc = $_SESSION['idatc'];


$data="";


// busca si esta activo el atc
$parametros_array=array(
    "id_mesa" => $id_mesa,
    "id_atc" => $id_atc
);
$rs_mesas_atc = verificar_atc($parametros_array);
$idatc = intval($rs_mesas_atc['idatc']);
$fecha=$ahora;
$estado=1;

// verifica si hay un llamado activo del mismo tipo para el mismo atc
$parametros_array=array(
    "idatc" => $idatc,
    "estado"=> $estado,
    "tipo_pedido" => $tipo_pedido
);
$rs_verificar_pedido=verifiar_pedido($parametros_array);
$idpedido = intval($rs_verificar_pedido['idpedido']);

// si el atc esta activo y no hay pedidos activos
if($idatc > 0 && $idpedido == 0) {
    

	// crea el pedido
    $parametros_array=array(
        "idatc" => $idatc,
        "estado"=> $estado,
        "tipo_pedido" => $tipo_pedido,
        //"idpedido" => $idpedido,
        "fecha" => $fecha
    );
    $data = agregar_pedido($parametros_array);
   
}else{
	// si no hay atc desloguea
    if ($idatc == 0) {
        $data = array("success" => false,"error" => "Error: la mesa no esta activa.","logout" => true );
    }
	// si ya hay llamado activo responde para pintar color
    if ($idpedido > 0) {
        $data = array("success" => false,"error" => "Error: ya existe un pedido activo.", "logout" => false );
    }
}
// Set the appropriate headers to indicate JSON content
header('Content-Type: application/json');

// Encode the data array as JSON and output it
echo json_encode($data);
exit;
?>