<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="74";
require_once("includes/rsusuario.php"); 

	
$idmesa=intval($_GET['id']);
if($idmesa == 0){
	header("location: salones_mesa_borradas.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select *,
(select nombre from sucursales where mesas.idsucursal = sucursales.idsucu) as idsucursal_txt
from mesas 
where 
idmesa = $idmesa
and estadoex = 6
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idmesa=intval($rs->fields['idmesa']);
$idsalon=intval($rs->fields['idsalon']);
if($idmesa == 0){
	header("location: salones_mesa_borradas.php");
	exit;	
}

// busca si el salon esta borrado
$consulta="
select salon.estado_salon, salon.idsalon
from  salon 
inner join usuarios on usuarios.idusu = salon.anulado_por
inner join sucursales on salon.idsucursal = sucursales.idsucu
where
salon.estado_salon = 6
and salon.idsalon = $idsalon
limit 1
";
$rssalonborrado=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idsalon_bor=intval($rssalonborrado->fields['idsalon']);



// se puede mover esta funcion al archivo funciones_mesas.php y realizar un require_once
function mesas_restaura($parametros_array){
	global $conexion;
	global $saltolinea;

	// validaciones basicas
	$valido="S";
	$errores="";
	
	
	$idmesa = antisqlinyeccion($parametros_array['idmesa'],"int");
	$ahora = antisqlinyeccion($parametros_array['ahora'],"text");
	$idusu = antisqlinyeccion($parametros_array['idusu'],"int");
	$idsalon = antisqlinyeccion($parametros_array['idsalon'],"int");
	
	
	

	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update mesas
		set
			estadoex = 1,
			restaurado_mesa_por = $idusu,
			restaurado_mesa_el = $ahora
		where
			idmesa = $idmesa
			and estadoex = 6
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update salon
		set
			estado_salon = 1,
			salon_restaurado_por=$idusu,
			salon_restaurado_el=$ahora
		where
			idsalon = $idsalon
			and estado_salon = 6
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
	}


	return array("error"=>$errores,"valido"=>$valido);
}



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	$parametros_array=array(
		"idmesa" => $idmesa,
		"ahora" => $ahora,
		"idusu" => $idusu,
		"idsalon" => $idsalon

	);

	// si todo es correcto actualiza
	if($valido == "S"){
		$res=mesas_restaura($parametros_array);
		if ($res["valido"]=="S") {
			header("location: salones_mesa_borradas.php");
			exit;
		}else{
			$errores.=$res["errores"];
		}
		
	}

}


// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


$idmesa=intval($_GET['id']);
$consulta="
select mesas.idmesa, mesas.numero_mesa, salon.nombre, salon.idsalon, usuarios.usuario, mesas.anulado_por, mesas.anulado_el,
sucursales.nombre  as idsucursal_txt, sucursales.idsucu
from mesas
inner join salon on mesas.idsalon = salon.idsalon
inner join usuarios on usuarios.idusu = mesas.anulado_por
inner join sucursales on mesas.idsucursal = sucursales.idsucu
where
mesas.estadoex = 6
and idmesa = $idmesa
order by mesas.anulado_el desc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Restaurar Mesa</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<?php if(intval($idsalon_bor) > 0){ ?>
<div class="alert alert-warning alert-dismissible fade in" role="alert">
<strong>Atencion!</strong><br />El SALON de esta mesa tambien se encuentra BORRADO, si restaura esta mesa, se RESTAURARA tambien el SALON.
</div>
<?php } ?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Idmesa</th>
			<th align="center">Numero mesa</th>
			<th align="center">Salon</th>

			<th align="center">Sucursal</th>
			<th align="center">Borrado por</th>
			<th align="center">Borrado el</th>
		</tr>
	  </thead>
	  <tbody>

		<tr>

				<td align="center"><?php echo antixss($rs->fields['idmesa']); ?></td>
				<td align="center"><?php echo intval($rs->fields['numero_mesa']); ?></td>
				<td align="center"><?php echo antixss($rs->fields['nombre']); ?> [<?php echo intval($rs->fields['idsalon']); ?>] <?php if(intval($idsalon_bor) > 0){ ?><strong style="color:red;">*</strong><?php } ?></td>

				<td align="center"><?php echo antixss($rs->fields['idsucursal_txt']); ?> [<?php echo antixss($rs->fields['idsucu']); ?>]</td>
				<td align="center"><?php echo antixss($rs->fields['usuario']); ?> [<?php echo intval($rs->fields['anulado_por']); ?>]</td>
				<td align="center"><?php if($rs->fields['anulado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['anulado_el'])); }  ?></td>
		</tr>

	  </tbody>

    </table>
</div>
<br />

<form id="form1" name="form1" method="post" action="">


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-recycle"></span> Restaurar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='salones_mesa_borradas.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>


  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo antixss($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


<div class="clearfix"></div>
<br /><br />

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
