<?php
/*---------------------------------------------
Muestra y agrega al carrito las tarjetas
a ser cobradas
31/03/22
09/10/23 : Se agrega la eliminacion de tarjeta del carrito
01/11/2023 Se sube a todos
---------------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 
/*----------------POST----------------*/

$idtarjeta=intval($_POST['idtarjeta']);
$cargar_carrito=intval($_POST['cargar_carrito']);
$idtransaccion_cobro=intval($_POST['transaccion_cobro']);
$borrar_tarjeta_carrito=intval($_POST['borrar_tarjeta_carrito']);


//print_r($_POST);

//exit;
/*----------------POST----------------*/
if ($idtarjeta == 0){
	
	echo "El id de la tarjeta es invalido.No se continua";exit;

}
if ($borrar_tarjeta_carrito > 0){
	$delete="delete from carrito_tarjeta where idtarjeta=$idtarjeta and estado=1  ";
	$conexion->Execute($delete) or die(errorpg($conexion,$delete));
}

if($idtransaccion_cobro==0){
	echo "Transaccion de cobro erronea.No se continua";exit;
}


if ($idtransaccion_cobro > 0){
	//Buscamos si existen tarjetas pendientes de cobro para mostrar en acceso rapido
	$buscar="
	Select idtmpventares_cab as idunico,(select numero from tarjetas_activas where idtarjeta=tmp_ventares_cab.idtarjeta) as numero,idtarjeta,idtrans,
	fechahora as fecha,monto as tglobal, sum(monto) as deudaglob
	from tmp_ventares_cab where  idtarjeta=$idtarjeta group by idtmpventares_cab 
	order by fechahora desc";
	$rs1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tc=$rs1->RecordCount();
	$monto=floatval($rs1->fields['tglobal']);
	$global=floatval($rs1->fields['deudaglob']);
	$idtrans=$rs1->fields['idtrans'];
	if($cargar_carrito==1){
		$buscar="Select * from carrito_tarjeta where idtarjeta=$idtarjeta and idtransaccion_cobro=$idtransaccion_cobro ";//si la tarjeta no esa en el carrito agregamos
		//echo $buscar;exit;
		$rh1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$unicocarrito=intval($rh1->fields['unicaff']);
		if (intval($rh1->fields['idtarjeta'])==0){
			$insertar="insert into carrito_tarjeta (idtarjeta,registrado_el,monto,idcaja,idusu,idtrans,idtransaccion_cobro) values ($idtarjeta,current_timestamp,$global,0,$idusu,$idtrans,$idtransaccion_cobro) ";
			$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
			$buscar="Select unicaff from carrito_tarjeta where idusu=$idusu order by unicaff desc limit 1";
			$rid=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$unicocarrito=intval($rid->fields['unicaff']);
			
			//ahora el detalle de las tarjetas seleccionadas
			
			$insertar="Insert into tarjetas_transacciones_cobros_detalles
			(idtransaccion_cobro,idtransaccion_pedido,idtarjeta,registrado_por,registrado_el,anulado_por,anulado_el,monto_debe,estado)
			values
			($idtransaccion_cobro,$idtrans,$idtarjeta,$idusu,'$ahora',NULL,NULL,$monto,1)
			";
			$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
			
		} 
	}
	//Contamos la cantidaad de articulos seleccionados
	$buscar="Select * from tarjetas_transacciones_cobros_detalles where idtransaccion_cobro=$idtransaccion_cobro and estado=1";
	$rscob=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tc=$rscob->RecordCount();
	
	if ($tc > 0){

?>
		<div class="col-md-6 col-sm-12 col-xs-12">
			<div class="x_panel">
			  <div class="x_title">
				<h2>Tarjetas seleccionadas / detalles</h2>
				<ul class="nav navbar-right panel_toolbox">
				  <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
				  </li>
				</ul>
				<div class="clearfix"></div>
			  </div>
			  <div class="x_content" id="detalletarjeta" >
						<div class="col-md-12 col-xs-12">
							
							<?php while (!$rs1->EOF){ 
							$idtarjeta=intval($rs1->fields['idtarjeta']);
							$idunico=intval($rs1->fields['idunico']);
							$buscar="
							Select idventatmp,tmp_ventares_cab.fechahora,descripcion,cantidad,subtotal 
								from tmp_ventares 
								inner join productos on productos.idprod_serial=tmp_ventares.idproducto
								inner join tmp_ventares_cab on tmp_ventares_cab.idtmpventares_cab=tmp_ventares.idtmpventares_cab
								where tmp_ventares_cab.idtarjeta=$idtarjeta and  tmp_ventares_cab.estado <> 6 
								and tmp_ventares_cab.estado <> 3 
								and tmp_ventares.idtmpventares_cab=$idunico
								order by fechahora asc
							 ";
							//echo $buscar;
							$ghy=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
							?>
									<span class="fa fa-date"></span>&nbsp; <?php echo date("d/m/Y H:i:s",strtotime($rs1->fields['fecha']));?>&nbsp;<span class="fa fa-money"></span>&nbsp;&nbsp; <?php echo formatomoneda($rs1->fields['tglobal'],4,'N');?>
									<br />
									<?php while (!$ghy->EOF){ ?>
									<ul class="to_do">
									<li>
										<p> &nbsp;&nbsp;<span class="fa fa-arrow-right"></span>&nbsp;<?php echo $ghy->fields['descripcion'].' x Cant: '.formatomoneda($ghy->fields['cantidad'],4,'N').' = '.formatomoneda($ghy->fields['subtotal'],4,'N'); ?>  </p>
									</li>
									
									<?php 
									$global_nuevo=$global_nuevo+$ghy->fields['subtotal'];
									
									$ghy->MoveNext();} ?>
							<?php $rs1->MoveNext();} 
							
							$update="Update carrito_tarjeta set monto=$global_nuevo where unicaff=$unicocarrito ";
							$conexion->Execute($update) or die(errorpg($conexion,$update));
							
							
							?>
							
							
						</div>	
			  
			  
			  </div>
			</div>
		</div>
		<?php 
			/*------------------------PREFERENCIAS Y CONTROL DE FACTURAS-----------------*/
				$buscar="Select * from preferencias where idempresa=$idempresa";
				$rspref=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

				$script=trim($rspref->fields['script_factura']);
				$usa_descuento=$rspref->fields['usa_descuento'];
				$bloquear=intval($rspref->fields['autorizar']);
				$controlfactura=intval($rspref->fields['controlafactura']);
				$autoimpresor=trim($rspref->fields['auto_impresor']);


				if ($controlfactura==1){

					$ano=date("Y");
					// busca si existe algun registro
					$buscar="
					Select max(numfac) as mayor 
					from lastcomprobantes 
					where 
					idsuc=$factura_suc 
					and pe=$factura_pexp 
					and idempresa=$idempresa 
					order by ano desc 
					limit 1";
					$rsfactura=$conexion->Execute($buscar) or die(errorpg( $conexion,$buscar));
					$maxnfac=intval(($rsfactura->fields['mayor'])+1);
					if($maxnfac <= 1){
					 
						$consulta="
						INSERT INTO lastcomprobantes
						(idsuc, factura, numfac, recibo, numrec, tickete, numtk, ano, pe, numcheque, secuencia_cancela, 
						numhoja, hojalevante, idempresa) 
						VALUES
						($factura_suc, 0, $maxnfac, NULL, 0, NULL, 0, $ano, $factura_pexp, NULL, 
						NULL, 0, '', $idempresa)
						";
						$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					}
				}

				$parte1=intval($factura_suc);
				$parte2=intval($factura_pexp);
				if($parte1 == 0 or $parte2 == 0){
					$parte1f='001';
					$parte2f='001';
				}else{
					$parte1f=agregacero($parte1,3);
					$parte2f=agregacero($parte2,3);
				}

				
			// clilente generico
			$buscar="
			Select ruc, razon_social 
			from cliente 
			where 
			borrable = 'N' 
			and estado <> 6 
			order by idcliente asc 
			limit 1
			";
			//echo  $buscar;exit;
			$rsf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$genericoruc=trim($rsf->fields['ruc']);
			$genericodv="";
			$razon=trim($rsf->fields['razon_social']);
			$razon_social_pred=$razon;
		
			$buscar="
			select * from formas_pago where estado=1
			";
			$rsformas = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$tot=$rsformas->RecordCount();	
		
		
		?>
		<div class="col-md-6 col-sm-12 col-xs-12">
			<div class="x_panel">
					  <div class="x_title">
						<h2>Datos Facturaci&oacute;n</h2>
						<ul class="nav navbar-right panel_toolbox">
						  <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
						  </li>
						</ul>
						<div class="clearfix"></div>
					  </div>
					  <div class="x_content" id="" >
					  <form id="ggh" action="" method="post">
								<input type="hidden" name="ocidtrans" id="ocidtrans" value="<?php echo $idtransaccion?>" />
								<div class="col-md-12 col-xs-12 col-sm-12">
									<label>Factura N&uacute;mero</label>
									<div class="form-group row ">
											<div class="col-md-4 col-xs-6">
												<input type="text"  class="form-control"  placeholder="SUC" name="sucu1" id="sucu1"   value="<?php echo $parte1f?>" />
											</div> 
											<div class="col-md-4 col-xs-6">
												<input type="text"  class="form-control" placeholder="PE"  name="pun1" id="pun1" value="<?php echo $parte2f?>"  />
											</div> 
											<div class="col-md-4 col-xs-6">
												<input type="text"  class="form-control" placeholder="FACTURA" name="factu1" id="factu1"   value="<?php echo $maxnfac?>" />
											</div> 
									</div>
									<div class="clearfix"></div>
									<div class="form-group row ">
										<label class="control-label col-md-3 col-sm-3 ">RUC / Razon Social</label>
										<div class="col-md-12 col-xs-12 col-xm-12">
											<div class="col-md-6 col-sm-6">
												<input type="text"  name="ruc" id="ruc" class="form-control" value="<?php echo $genericoruc?>"  />
													<a href="javascript:void(0);" style=""  onclick="carga_ruc_h();" class="btn btn-sm btn-default" title="" data-toggle="tooltip" data-placement="right" data-original-title="Buscar"><span class="fa fa-search"></span></a>
													<a href="javascript:void(0);" style=""  onclick="valordef('<?php echo $genericoruc?>','<?php echo $razon_social_pred?>');" class="btn btn-sm btn-default" title="" data-toggle="tooltip" data-placement="right" data-original-title="Generico"><span class="fa fa-arrow-left"></span></a>
											
											</div>
											
											<div class="col-md-6 col-sm-6 col-xs-12 " id="regclie">
												<?php require_once("tarjeta_mregclie.php"); ?>
											</div>		
										</div>
									</div>	
									
							 </div>
							
						</form>
					  
					  
					 
					</div>
			</div>
			<div class="clearfix"></div>
		</div>
		<div class="row">
		
		
		
		
		
		<div class="col-md-6 col-sm-6 col-xs-6">
		<?php
				$buscar="Select *,
						(Select numero 
								from tarjetas_activas where idtarjeta=carrito_tarjeta.idtarjeta) as numero
						from carrito_tarjeta 
							where 
						estado=1 ";
				$rscarr = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				//echo $buscar;
					$lista="";
				while(!$rscarr->EOF){
					$idtarjeta=intval($rscarr->fields['idtarjeta']);
					$lista.=$rscarr->fields['numero']." <a href='javascript:void(0);' onclick='sacar_tarjeta($idtarjeta);'><span class='fa fa-trash'></span></a> |";
						
					$rscarr->MoveNext();
				}
		
		?>
			<div class="x_panel">
					<div class="form-group row ">
						<label class="control-label col-md-3 col-sm-3 ">Tarjetas Seleccionada (s)</label>
							<div class="col-md-9 col-sm-9 ">
								<?php echo $lista; ?>
							</div>
					</div>
					<div class="form-group row ">
						<label class="control-label col-md-3 col-sm-3 ">Neto deuda</label>
							<div class="col-md-9 col-sm-9 ">
								<?php echo formatomoneda($global_nuevo,4,'N'); ?>
							</div>
					</div>
					<div class="form-group row ">
						<label class="control-label col-md-3 col-sm-3 ">Forma Pago</label>
							<div class="col-md-9 col-sm-9 ">
								<select name="mpago" id="mpago" style="height: 40px; width: 90%;">
								  <?php while (!$rsformas->EOF){?>
								  <option value="<?php echo $rsformas->fields['idforma'] ?>"><?php echo $rsformas->fields['descripcion']?></option>
								  <?php $rsformas->MoveNext();}?>
															 
								</select>
							</div>
					</div>
					<div class="form-group row ">
						<label class="control-label col-md-3 col-sm-3 ">Monto Abonar</label>
							<div class="col-md-9 col-sm-9 ">
								<input type="text" name="monto" id="monto" style="height:40px; width:50%;" value="">
							</div>
					</div>
					<div class="form-group row ">
						<input type="button" name="o" value="Agregar" onclick="registrarpago(<?php echo $idtarjeta ?>);">
					</div>	
					
					
					
												
			
					
			</div>
		
		</div>
		<div class="col-md-6 col-sm-6 col-xs-6">
			<div class="x_panel" id="mediospagosc">
			<?php require_once('mini_cobros_tarjeta_nuevo.php');?>	
			</div>
		</div>
	<?php } ?>
<?php } ?>
<div class="row">
	



</div>