<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="297";
require_once("includes/rsusuario.php"); 







if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$idproducto=antisqlinyeccion($_POST['idproducto'],"int");
	$costo_unitario=antisqlinyeccion($_POST['costo_unitario'],"float");



	if(intval($_POST['idproducto']) <= 0){
		$valido="N";
		$errores.=" - El campo idproducto no puede estar vacio.<br />";	
	}
	if(trim($_POST['costo_unitario']) == ''){
		$valido="N";
		$errores.=" - El campo costo_unitario no puede estar vacio.<br />";	
	}
	

	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		INSERT INTO costeo_modifica_log
		(idinsumo, costo_unitario, registrado_por, registrado_el) 
		VALUES 
		($idproducto,$costo_unitario,$idusu,'$ahora')
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update insumos_lista 
		set 
		costo = $costo_unitario 
		where 
		idinsumo = $idproducto
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update costo_productos 
		set 
		precio_costo = $costo_unitario 
		where 
		id_producto = $idproducto
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update venta_receta
		set
			costo_unitario=$costo_unitario
		where
			idinsumo = $idproducto
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update venta_receta
		set
			costo=costo_unitario*cantidad
		where
			idinsumo = $idproducto
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update ventas_detalles 
		set 
		subtotal_costo = COALESCE((
						select sum(costo) 
						from venta_receta 
						where 
						idventadet = ventas_detalles.idventadet
						),0)
		where
		idventadet in (
		select idventadet from venta_receta where idventadet = ventas_detalles.idventadet and idinsumo = $idproducto
		)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update ventas_detalles
		set 
		subtotal_costo = $costo_unitario*cantidad
		where
		(select idinsumo from insumos_lista where idproducto = ventas_detalles.idprod) = $idproducto
		and idventadet not in (
		select idventadet from venta_receta where idventadet = ventas_detalles.idventadet and idinsumo = $idproducto
		)
		";

		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		//echo $consulta;
		//exit;
		
		$consulta="
		update ventas_detalles 
		set 
		costo = COALESCE(subtotal_costo/cantidad,0)
		WHERE
		cantidad > 0
		and (select idinsumo from insumos_lista where idproducto = ventas_detalles.idprod) = $idproducto
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update ventas_detalles 
		set 
		utilidad = subtotal-subtotal_costo
		where
		(select idinsumo from insumos_lista where idproducto = ventas_detalles.idprod) = $idproducto
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update ventas 
		set 
		costo_total_ven = 
				COALESCE(
					(
						SELECT sum(ventas_detalles.subtotal_costo) 
						from ventas_detalles 
						where 
						idventa = ventas.idventa
					)
				,0)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		header("location: modificar_costeo_art_listo.php?id=".$idproducto);
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

// log de cambios

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function prod_busq(dest){
	var direccionurl='busqueda_producto.php';		
	var parametros = {
	  "dest" : dest		  
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$('#cuadro_pop').modal('show');
			$("#myModalLabel").html('Busqueda de Producto de Origen');
			$("#modal_cuerpo").html('Cargando...');				
		},
		success:  function (response) {
			$("#modal_cuerpo").html(response);
		}
	});
	
}
function buscar_producto(destino_resultado){
	var busqueda = $("#producto").val();
	var direccionurl='busqueda_producto_res_cv.php';		
	var parametros = {
	  "prod"   : busqueda,
	  "dest"   : destino_resultado
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$("#busqueda_prod").html('Cargando...');				
		},
		success:  function (response) {
			$("#busqueda_prod").html(response);
		}
	});
}
function buscar_producto_codbar(e,destino_resultado){
	
	var codbar = $("#codbar").val();
	tecla = (document.all) ? e.keyCode : e.which;
	// tecla enter
  	if (tecla==13){
		//
		//agregar_carrito_codbar(codbar);
		//seleccionar_item(idproducto,idinput,descipcion);
	
	}
}
function seleccionar_item(idproducto,idinput,descripcion){
	$("#"+idinput).val(idproducto);
	$("#producto_desc").val(descripcion);
	//$('#modal').modal().hide();
	$('#cuadro_pop').modal('hide');
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php //require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Modificar Costeo Retroactivo</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<div class="alert alert-warning alert-dismissible fade in" role="alert">

<strong>CUIDADO:</strong><br />
-NO SE RECOMIENDA el uso de este modulo por que se pierde la trazabilidad, uselo bajo su propio riesgo.<br />
-Los cambios realizados aqui NO SE PUEDE DESHACER.<br />
-Este modulo BORRARA los costeos de las facturas de compra aplicados a las ventas y los reemplazara por el indicado aqui.
<br />

</div><Hr />
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">
    <a href="#" onMouseUp="prod_busq('idproducto_origen');" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a> 
    Producto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idproducto" id="idproducto_origen" value="<?php  if(isset($_POST['idproducto'])){ echo intval($_POST['idproducto']); }else{ echo ''; }?>" placeholder="Codigo Producto" class="form-control" required readonly onMouseUp="prod_busq('idproducto_origen');" />                    
    	<input type="text" name="producto_desc" id="producto_desc" value="<?php  if(isset($_POST['producto_desc'])){ echo antixss($_POST['producto_desc']); }else{ echo ''; }?>" placeholder="Producto" class="form-control" required readonly onMouseUp="prod_busq('idproducto_origen');" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Costo unitario *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="costo_unitario" id="costo_unitario" value="<?php  
	if(isset($_POST['costo_unitario'])){ 
	    if(floatval($_POST['costo_unitario']) > 0){ 
	        echo floatval($_POST['costo_unitario']); 
	    }
	}else{ 
	    if(floatval($rs->fields['costo_unitario']) > 0){ 
	        echo floatval($rs->fields['costo_unitario']); 
	    }
	}
	    ?>" placeholder="Costo unitario" class="form-control" required />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>

        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />
<br /><br /><br /><br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->
        

<!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="cuadro_pop">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">

            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
              </button>
              <h4 class="modal-title" id="myModalLabel">Titulo</h4>
            </div>

            <div class="modal-body" id="modal_cuerpo">
            	Cuerpo
            </div>

            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>

        </div>
    </div>
</div>
<!-- POPUP DE MODAL OCULTO -->
        

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
