<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 

// agrupar trae registros solamente desde el 03/09/2024 antes no se registraba el log


$idventatmp=intval($_GET['idventatmp']);

function accion_mov_mesa($accion){
	if($accion == 'A'){
		$res='AGRUPAR MESA';
	}else if($accion == 'M'){
		$res='MUDAR MESA';
	}else if($accion == 'S'){
		$res='SEPARAR CUENTA';
	}else{
		$res='NO ESPECIFICADO';
	}
	return $res;
}


if(isset($_GET['MM_search']) && $_GET['MM_search'] == 'form1'){

		$consulta="
		select 
		log_mov_mesa.*, tpmv.borrado as borrado, tpmv.borrado_mozo_el as borrado_mozo_el, usbor.usuario as borrado_mozo_por_txt, 
		productos.descripcion as producto, productos.idprod_serial,
		usuarios.usuario as registrado_por_txt,
		mant.numero_mesa as numero_mesa_ant,
		mnew.numero_mesa as numero_mesa_new
		from log_mov_mesa 
		inner join 
		(
			select idventatmp, idproducto, borrado, borrado_mozo_el, borrado_mozo_por from tmp_ventares where  finalizado = 'S'
			union all
			select idventatmp, idproducto, borrado, borrado_mozo_el, borrado_mozo_por from tmp_ventares_bak where  finalizado = 'S'
		) tpmv on log_mov_mesa.idventatmp = tpmv.idventatmp
		inner join productos on productos.idprod_serial = tpmv.idproducto
		inner join usuarios on usuarios.idusu = log_mov_mesa.registrado_por
		inner join mesas mant on mant.idmesa = log_mov_mesa.idmesa_ant
		inner join mesas mnew on mnew.idmesa = log_mov_mesa.idmesa_new
		left join usuarios usbor on usbor.idusu = tpmv.borrado_mozo_por
		where 
		 log_mov_mesa.idventatmp = $idventatmp
		order by idlog asc
		";
		$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idventatmp=$rs->fields['idventatmp'];
}


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Movimientos de Comandas de Mesa</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<?php 
$refemenu='item';
require_once("includes/menu_mov_mesa.php");?>

<form id="form1" name="form1" method="get" action="">



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idventatmp *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idventatmp" id="idventatmp" value="<?php  if(isset($_GET['idventatmp'])){ echo intval($_GET['idventatmp']); } ?>" placeholder="idventatmp" class="form-control" required="required" />
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Buscar</button>
	   
        </div>
    </div>

  <input type="hidden" name="MM_search" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


<?php 
if(isset($_GET['MM_search']) && $_GET['MM_search'] == 'form1'){
if($idventatmp > 0){ ?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Idventatmp</th>
			<th align="center">Producto</th>
			<th align="center">Idpedido Anterior</th>
			<th align="center">Idpedido Nuevo</th>
			<th align="center">Idatc Anterior</th>
			<th align="center">Idatc Nuevo</th>
			<th align="center">Nro Mesa Anterior</th>
			<th align="center">Nro Mesa Nuevo</th>
			<th align="center">Movimiento</th>
			<th align="center">Mov registrado por</th>
			<th align="center">Mov registrado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

				<td align="center"><?php echo intval($rs->fields['idventatmp']); ?> 
				<?php if($rs->fields['borrado'] == 'S'){ ?>
				<br /><span style="color:red;"><strong>Borrado el:</strong><br /> <?php if($rs->fields['borrado_mozo_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['borrado_mozo_el'])); }  ?></span>
				<br /><span style="color:red;"><strong>Borrado por:</strong><br /> <?php echo antixss($rs->fields['borrado_mozo_por_txt']); ?></span>
				<?php } ?></td>
				<td align="center"><?php echo antixss($rs->fields['producto']); ?> [<?php echo antixss($rs->fields['idprod_serial']); ?>]</td>
				<td align="center"><?php echo intval($rs->fields['idtmpventares_cab_ant']); ?> <a href="movimientos_mesa.php?idpedido=<?php echo intval($rs->fields['idtmpventares_cab_ant']); ?>&MM_search=form1" class="btn btn-sm btn-default"><span class="fa fa-search"></span></a></td>
				<td align="center"><?php echo intval($rs->fields['idtmpventares_cab_new']); ?> <a href="movimientos_mesa.php?idpedido=<?php echo intval($rs->fields['idtmpventares_cab_new']); ?>&MM_search=form1" class="btn btn-sm btn-default"><span class="fa fa-search"></span></a></td>
				<td align="center"><?php echo intval($rs->fields['idatc_ant']); ?></td>
				<td align="center"><?php echo intval($rs->fields['idatc_new']); ?></td>
				<td align="center"><?php echo intval($rs->fields['numero_mesa_ant']); ?></td>
				<td align="center"><?php echo intval($rs->fields['numero_mesa_new']); ?></td>
				<td align="center"><?php echo accion_mov_mesa($rs->fields['accion']); ?></td>
				<td align="center"><?php echo antixss($rs->fields['registrado_por_txt']); ?></td>
				<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />

<?php }else{ ?>
No se encontro movimientos de mesa para el pedido indicado.
<?php } ?>
<?php } ?>
<div class="clearfix"></div>
<br /><br />					  
					  
					  
					  
					  
					  
					  
					  
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
