<?php 
/*-----------------------------------------------------------------
SCRIPT DE INTERACCION CON GW CENTRAL
Ultimo cambio: 13/04/2021
Se trabaja por la depuracion de transferencia offline
-------------------------------------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php");

$nsistema=trim($rsco->fields['nombre_sys']);
$idaplicacion=intval($_POST['idaplicacion']);
if ($idaplicacion==0){
	$idaplicacion=1;
}
function traer_datos($url,$postdata){
	//$url='http://web.sistema.com.py/';
	http_build_query($postdata);
	$parts = parse_url($url);
	$host = $parts['host'];
	$ch = curl_init();
	$header = array(
		'GET /1575051 HTTP/1.1',
        "Host: {$host}",
        'Accept:text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8',
        'Accept-Language:en-US,en;q=0.8',
        'Cache-Control:max-age=0',
        'Connection:keep-alive',
        'User-Agent:Mozilla/5.0 (Macintosh; Intel Mac OS X 10_8_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/27.0.1453.116 Safari/537.36',
    );
	//print_r($header);exit;
	
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 0);
	curl_setopt($ch, CURLOPT_COOKIESESSION,true);//->
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $postdata);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
    $resultadonav = curl_exec($ch);
	$getinfo=curl_getinfo($ch);
	//print_r($getinfo);exit;
	if ( $resultadonav  === false) {
		$resultadonav = "Error in sending";
		if (curl_error($ch)){
			$resultadonav .= "\n". curl_error($ch);
		}
	} else if($getinfo['http_code'] != 200){
			$resultadonav = "No data returned. Error: " . $getinfo['http_code'];
			if (curl_error($ch)){
				$resultadonav .= "\n". curl_error($ch);
			}
	}
    curl_close($ch);
	//echo 'termino de navegar';
	//print_r($resultadonav);exit;
    return $resultadonav;
	
}

/*---------------------RECIBE VALORES BASICOS--------------------------------------*/
$clase=intval($_REQUEST['clase']);//la clase determina el tipo de accion a ejecutar
$idordenext=intval($_REQUEST['idordenext']);
$idaplicacion=intval($_REQUEST['idapp']);
$resultado=trim($_REQUEST['idapp']);//Recibe cualquier valor que necesitemos manipular para efectuar acciones NO ESPECIFICAS (PARA RECICLAR VARIABLE)
if ($idaplicacion==0){
	$idaplicacion=1;
	
}
$url="http://gate.innovasys.com.py/gw.php";
//echo "Obteniendo datos del tipo: ".$clase;exit;

if ($clase > 0){
	
	if ($clase==1){//confirmacion de orden
		$idordenext=intval($_REQUEST['idordenext']);
		
		$postdata = array(
			'clase'=>1,
			'idorden'=>$idordenext
		);
		
		$resultado=traer_datos($url,$postdata);
		$arr = array(
			'idpedido' => $idordenext, 
			'valido' => 'S',
			'errores' => ''
		);
		// convierte a formato json
		$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
		echo $respuesta;
		exit;
	}
	if ($clase==3){
		//Cerrar el restaurante
		$postdata = array(
			'clase'=>3
		);
		$resultado=traer_datos($url,$postdata);
		echo $resultado;
		exit;
	}
	if ($clase==4){
		//Abrir el restaurante
		$postdata = array(
			'clase'=>4
		);
		$resultado=traer_datos($url,$postdata);
		echo $resultado;
		exit;
	}
	if ($clase==6){
		$postdata = array(
			'clase'=>6
		);
		$datos1=traer_datos($url,$postdata);
		$datos=json_decode($datos1,true);
		$numero = count($datos[0]);
		
		if ($numero>0){//hay pedidos
		
			//Preparamos datos para cabecera,
			$fecha_original=($datos[0]['registeredDate']);
			$ex=explode("T",$fecha_original);
			$solofecha=$ex[0];
			$solofecha=date("Y-m-d",strtotime($solofecha));//extremos porque trae una t en el medio
			$solohora=substr($ex[1],0,-1);
			$solohora=date("H:i:s",strtotime($solohora));//extraemos porque viene con una z
			$idpedidoun=intval($datos[0]['id']);//Este id se usa para conf o rechazar en la aplicacion de terceros
			$idunicousuario=intval($datos[0]['user']['id']);//Id del usuario de la plataforma
			$codigoconf=trim($datos[0]['code']);//Aparenta ser el codigo unico autogenerado por el pedido
			$nombres=trim($datos[0]['user']['name']);
			$apellidos=trim($datos[0]['user']['lastname']);
			$documento=trim($datos[0]['user']['identityCard']);//CI o RUC del Cliente
			$email=trim($datos[0]['user']['email']);
			$observacionpedido=trim($datos[0]['notes']);//observacion general del pedido
			//direccion y telefono
			$tel=trim($datos[0]['address']['phone']);
			$dirchar=trim($datos[0]['address']['description']);
			$obsdireccion=trim($datos[0]['address']['notes']);
			$calle=trim($datos[0]['address']['street']);
			$ciudad=trim($datos[0]['address']['city']);
			$coordenadas=trim($datos[0]['address']['coordinates']);//Lat LONg recuperada desde la app
			$exco=explode(",",$coordenadas);
			$latitud=$exco[0];
			$longitud=$exco[1];
			//pagos: ver tarjeta credito, ya que éste cliente tiene solo efectivo habilitado
			$pagacon=floatval($datos[0]['payment']['paymentAmount']);//con cuanto paga si es que carga
			$formachar=trim($datos[0]['payment']['method']);//Contiene efectivo (palabra)
			$charmay=antisqlinyeccion($formachar,'text');
			$obspago=trim($datos[0]['payment']['notes']);
			$buscar="Select * from formas_pago2 where descripcion=$charmay";
			$rspag=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar)); 
			$idformap=intval($rspag->fields['idforma']);
			
			
			//verificamos que localmente NO exista registrado aun éste pedido unico
			$buscar="Select * from aplicaciones_pedidos where estado_pedido=1 and id_pedido_externo=$idpedidoun limit 1";
			$rscontrola=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar)); 
			//echo $buscar;exit;
			if (intval($rscontrola->fields['id_pedido_externo'])==0){
				//Solo si no existe ya localmente, registramos
				//Cabecera unica de pedido tercerizado
				$insertar="insert into aplicaciones_pedidos 
				(id_pedido_externo,idaplicacion,fecha_pedido,hora_pedido,recibido_el,gestionado_por,estado_pedido,rechazado_el,
				rechazado_por,id_motivo_recha,anulado_por,anulado_el,observaciones)
				values
				($idpedidoun,$idaplicacion,'$solofecha','$solohora',current_timestamp,$idusu,1,NULL,NULL,0,NULL,NULL,NULL)";
				$conexion->Execute($insertar) or die(errorpg($conexion,$insertar)); 
				//traemos el id de la transaccion interna
				$buscar="Select max(idtransaccion) as mayor from  aplicaciones_pedidos where gestionado_por=$idusu and id_pedido_externo=$idpedidoun and estado_pedido=1 limit 1";
				$rf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				$idtransaccioninterna=intval($rf->fields['mayor']);
				
				
				//LLenamos los datos del cliente
				$insertar="Insert into aplicaciones_pedidos_deta_cliente_cab
				(id_pedido_externo,nombres,apellidos,direccion_compuesta,documento,email,telfo,
				obsdireccion,calle,ciudad,latitud,longitud,latlon,idunicoclienteapp,estado,registrado_el,registrado_por)
				values
				($idpedidoun,'$nombres','$apellidos','$dirchar','$documento','$email',$tel,
				'$obsdireccion','$calle','$ciudad','$latitud','$longitud','$coordenadas',$idunicousuario,1,current_timestamp,$idusu)";
				$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
				
				//De acuerdo a las formas de pago, insertamos
				
				$insertar="Insert into aplicaciones_pedidos_deta_fpago (fchar,obspago,idformapago,id_pedido_externo) values ('$formachar','$obspago',$idformap,$idpedidoun)";
				$conexion->Execute($insertar) or die(errorpg($conexion,$insertar)); 
				
				
				
				
				//Creamos el cuerpo de la transacciond de pedidos actuales
				
				$numero = count($datos[0]['details']);
				//Traemos los detalles, contamos y hacemos el recorrido
				for ($i=0;$i<$numero;$i++){
					//Datos del Producto
					
					$cod_integracion=trim($datos[0]['details'][$i]['product']['integrationCode']);
					//Buscamos el Id serial del Producto
					$buscar="Select idprod_serial from aplicaciones_codigos_integrados where estado=1 and codigo_integracion='$cod_integracion' and idaplicacion=$idaplicacion limit 1";
					$rscod=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
					$idprod_serial=intval($rscod->fields['idprod_serial']);
					if ($idprod_serial==0){
						//QUe busque por cod de integracion
						$idprod_serial=intval($cod_integracion);
					}
					$indice=intval($datos[0]['details'][$i]['product']['index']);
					$idarray=intval($datos[0]['details'][$i]['product']['id']);
					$monto_precio=floatval($datos[0]['details'][$i]['unitPrice']);
					$cantidad=floatval($datos[0]['details'][$i]['quantity']);
					$obs_producto=trim($datos[0]['details'][$i]['notes']);
					$descuento=floatval($datos[0]['details'][$i]['discount']);//por ahora se omite
					//Datos de Opciones 
					$numero_opciones=count($datos[0]['details'][$i]['optionGroups']);
					
					//Creamos el detalle
					$insertar="Insert into aplicaciones_pedidos_detalles
					(idtransaccion,idprod_serial,cod_integracion,cantidad,precio,sub_total,obs_producto	,total_adicionales,id_indice,estado,anulado_por,anulado_el)
					values
					($idtransaccioninterna,$idprod_serial,'$cod_integracion',$cantidad,$monto_precio,($cantidad*$monto_precio),'$obsproducto',$numero_opciones,$indice,1,NULL,NULL)";
					$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
					
					$buscar="Select ids from aplicaciones_pedidos_detalles where idprod_serial=$idprod_serial and idtransaccion=$idtransaccioninterna and cod_integracion='$cod_integracion' limit 1";
					$rsdeta=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
					
					$iddetalle=intval($rsdeta->fields['ids']);
					//echo $numero_opciones;exit;
					if ($numero_opciones>0){
						
						//Insertamos los agregados u opcionales con su cod de integracion
						for ($c=0;$c<$numero_opciones;$c++){
							$cod_integracion_grupo=($datos[0]['details'][$i]['optionGroups'][$c]['integrationCode']);//VERIFICADO
							//Ahora las opciones en si que serian los agregados
							$numero_opciones_adicionales=count($datos[0]['details'][$i]['optionGroups'][$c]['options']);
							for ($bb=0;$bb<$numero_opciones_adicionales;$bb++){
								$cod_integracion_opcion=trim($datos[0]['details'][$i]['optionGroups'][$c]['options'][$bb]['integrationCode']);
								//Mismo caso, buscar cod de pro serial
								$buscar="Select idprod_serial from aplicaciones_codigos_integrados
								where estado=1 and codigo_integracion='$cod_integracion' and idaplicacion=$idaplicacion limit 1";
								$rscod=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
								
								$idprod_serial_add=intval($rscod->fields['idprod_serial']);
								if ($idprod_serial_add==0){
									$idprod_serial_add=$cod_integracion_opcion;
								}
								$monto_opcion=floatval($datos[0]['details'][$i]['optionGroups'][$c]['options'][$bb]['amount']);
								$cantidad_opcion=intval($datos[0]['details'][$i]['optionGroups'][$c]['options'][$bb]['quantity']);
								$nombre_opcion=trim($datos[0]['details'][$i]['optionGroups'][$c]['options'][$bb]['name']);
								
								//Insertamos en la BD adicionales solicitados por el cliente para este grupo de opciones
								$insertar="
								insert into aplicaciones_pedidos_opcionales
								(idtransaccion,iddetalle,idprod_serial,cod_integracion,cantidad,precio,subtotal,observacion_ad,estado,registrado_el,registrado_por)
								values
								($idtransaccioninterna,$iddetalle,$idprod_serial_add,'$cod_integracion_opcion',$cantidad_opcion,$monto_opcion,
								($cantidad_opcion*$monto_opcion),NULL,1,current_timestamp,$idusu)
								";
								$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
							}//de for c	
						}//de for B
					}//de num opciones >0	
			
				}//de for A
				
				/*------------------------------------------------------ESTRUCTURA LOCAL WEB------------------------------------------------*/
				$buscar="Select * from aplicaciones_pedidos where  id_pedido_externo=$idpedidoun ";
				$rconv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar)); 
				if ($rconv->fields['id_pedido_externo'] !=''){
					while(!$rconv->EOF){
						$ahora=date("Y-m-d H:i:s");
						$idpedidoext=intval($rconv->fields['id_pedido_externo']);
						$idtransaccion=intval($rconv->fields['idtransaccion']);
						//traemos los datos de cabecera
						
						$buscar="Select * from aplicaciones_pedidos_deta_cliente_cab where  id_pedido_externo=$idpedidoext limit 1";
						$rca=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar)); 
						$nombres=trim($rca->fields['nombres']);
						$apellidos=trim($rca->fields['apellidos']);
						$documento=antisqlinyeccion($rca->fields['documento'],'text');
						$nomape=antisqlinyeccion($nombres.' '.$apellidos,'text');
						$email=antisqlinyeccion($rca->fields['email'],'email');
						$telefono=antisqlinyeccion($rca->fields['telfo'],'email');
						$direccion=antisqlinyeccion($rca->fields['direccion_compuesta'],'email');
						$formapago=antisqlinyeccion('EF','text');
						$comentarios=antisqlinyeccion($rca->fields['obsdireccion'],'email');
						
						// cabecera
						$consulta="
						INSERT INTO web_pedidos
						(fechahora, ip, ip_real, estado, agente, id_ses, nomape, email, telefono, direccion, comentarios,
						ruc, razon_social,idwebcarrito, idempresa, formapago, delivery) 
						VALUES
						('$ahora', NULL, NULL, 1, NULL, '$idpedidoext', $nomape, $email, $telefono, $direccion, $comentarios,
						$documento, $nomape,NULL, 1, $formapago, 'N')
						";
						$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
						
						// busca id insertado 
						$consulta="
						select max(idwebpedido) as ultid
						from web_pedidos
						WHERE
						id_ses = '$idpedidoext'
						and idempresa = $idempresa
						and estado = 1
						";
						$rsultid=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
						$idwebpedido=intval($rsultid->fields['ultid']);
						
						//cuerpo
						$buscar="Select * from aplicaciones_pedidos_detalles where idtransaccion=$idtransaccion";
						$rg1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
						while (!$rg1->EOF){
							$idprod_serial=intval($rg1->fields['idprod_serial']);
							$cantidad=floatval($rg1->fields['cantidad']);
							$precio=floatval($rg1->fields['precio']);
							$subtotal=floatval($rg1->fields['sub_total']);
							$tadicionales=intval($rg1->fields['total_adicionales']);
							
							
							
								$insertar="
								INSERT INTO web_pedidos_det
								(idwebpedido, idproducto, cantidad, precio, subtotal, fechahora, idempresa, idwebcarrito_det) 
								values
								($idwebpedido,$idprod_serial,$cantidad,$precio,$subtotal,current_timestamp,$idempresa,NULL)
								";
								$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
							
							//si hay adicionales ver que hacer
							
							
							$rg1->MoveNext();
						}
						

					
						$rconv->MoveNext();}


				}
				
				
				
				
				
				
				
				
				
				/*-----------------------------------------------------FIN ESTRUCTURA LOCAL WEB------------------------------------------------*/
				$arr = array(
				'idpedido' => $idpedidoun, 
				'valido' => 'S',
				'errores' => ''
				);
				$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
				echo $respuesta;
			
			} else {	
				$errores="El pedido Numero: &nbsp; $idpedidoun ya existe en su sistema. Debe aceptarlo o rechazarlo.";
				$arr = array(
				'idpedido' => $idpedidoun, 
				'valido' => 'N',
				'errores' => $errores
				);
				$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
				echo $respuesta;
		
			}//de id pedido externo	
		} else {
			//No existen pedidos pendientes
			$errores="No existen pedidos pendientes.";
			$arr = array(
			'idpedido' => $idpedidoun, 
			'valido' => 'N',
			'errores' => $errores
			);

			// convierte a formato json
			$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
			echo $respuesta;	
		}			
	}//de clase =6
	if ($clase==7){
		//echo 'RECHAZANDO';exit;
		//Rechazo de Orden
		$idordenext=intval($_REQUEST['idordenext']);
		$postdata = array(
			'clase'=>7,
			'idorden'=>$idordenext
		);
		//$url=$url."&idorden=$idordenext";
		$resultado=traer_datos($url,$postdata);
		//print_r($resultado);exit;
		$arr = array(
			'idpedido' => $idordenext, 
			'valido' => 'S',
			'errores' => ''
		);
		$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
		// devuelve la respuesta formateada
		echo $respuesta;
	}	
	if ($clase==8){
		//Buscar lista de secciones y sus codigos
		//Devuelve: [ARRAY]=>Array ( [enabled] => 1 [index] => 10 [integrationCode] => [integrationName] => [name] => 30% OFF en estos platos ) 
		$postdata = array(
		'clase'=>8
		);
		$resultado=traer_datos($url,$postdata);
		//print_r($resultado);exit;
		$datos=json_decode($resultado,true);
		$c=0;
		$html.="
		 <span class=\"fa fa-info\"></span>&nbsp;
		 Se muestran en esta lista, las secciones ya existentes en su portal. Puede activarlas,desactivarlas o renombrar,para presentarlas al cliente final.
		 Si no sea utilizarlas y desea reemplazar por las secciones de SU SISTEMA $nsistema; utilice el cuadro 2 (Sincronizacion).
		<br />
		<table class=\"table table-striped jambo_table bulk_action\">
			<thead>
				<tr>
					<th colspan=\"5\"><input type=\"button\" class=\"btn btn-danger\" value=\"Desactivar Todas\" onclick=\"desactivartodas();\" />
					&nbsp;&nbsp;<input type=\"button\" class=\"btn btn-dark\" value=\"Activar Todas\" onclick=\"activartodas();\" />
					</th>
				</tr>
				<tr>
					<th>Seccion / Categoria</th>
					<th>Cod.  Integracion</th>
					<th>Nombre Integracion</th>
					<th>Activo</th>
					<th>Acciones</th>
				</tr>
			</thead>
			<tbody>
			
		";
		
		
		foreach($datos as $key => $value){
			$html.="
			<tr>
			
			";
			//$c=$c+1;//print_r($value);
			$activo=intval($value['enabled']);//Indica a la aplicacion si esta activa o no
			if ($activo==1){
				$activochar="SI";
			} else {
				$activochar="<span style=\"color:red;\"> NO</span>";
			}
			$codigointegracion=trim($value['integrationCode']);//Cod de Integracion con el cual se va identificar en el SISTEMA LOCAL
			$nombreintegrador=trim($value['integrationName']);// Si tiene un nombre de integracion, se lo puede identificar en por la misma en la app del 3ro
			$nombreseccion=trim($value['name']);//El nombre en la aplicacion del tercero Secciones u categorias mostradas al cliente
			$indice=intval($value['index']);//Irrelevante para la operativa, indica la posicion dentro del array, dentro del otro array	
			//Verificamos si es que ya lo almacenamos en la BD local por seguridad, en caso que hagamos moñai, podamos restaurarlo nuevamente
			
			$buscar="Select * from aplicaciones_secciones where nombre_seccion='$nombreseccion' and idaplicacion=$idaplicacion limit 1";
			$rcontrola=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			if (intval($rcontrola->fields['idaplicacion'])==0){
				$insertar="
				insert into aplicaciones_secciones
				(nombre_seccion,codigo_integracion,nombre_integracion,activo_app ,almacenado_el,almacenado_por,idaplicacion,indice)
				values
				('$nombreseccion','$codigointegracion','$nombreintegrador',$activo,current_timestamp,$idusu,$idaplicacion,$indice)
				";
				$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
				$buscar="Select idssreg from aplicaciones_secciones where almacenado_por=$idusu and idaplicacion=$idaplicacion";
				$rab=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				$idunico=intval($rab->fields['idssreg']);
			} else {
				$idunico=intval($rcontrola->fields['idssreg']);
				
			}
			$html.="
				<td><input type=\"text\" style=\"height:40px;\" name=\"ns_$idunico\" id=\"ns_$idunico\" value=\"$nombreseccion\" /></td>
				<td><input type=\"text\" style=\"height:40px;\" name=\"codinte_$idunico\" id=\"codinte_$idunico\" value=\"$codigointegracion\" /></td>
				<td><input type=\"text\" style=\"height:40px;\" name=\"ni_$idunico\" id=\"ni_$idunico\" value=\"$nombreintegrador\" disabled=\"disabled\" /></td>
				<td>$activochar</td>";
				if ($activo==1){
				$html.="	
				<td><input type=\"button\" class=\"btn btn-danger\" name=\"dun_$idunico\" id=\"dun_$idunico\" value=\"Desactivar\" onclick=\"desactivar($idunico);\" />&nbsp;
				";
				} else {
					$html.="	
				<td><input type=\"button\" class=\"btn btn-dark\" name=\"un_$idunico\" id=\"un_$idunico\" value=\"Activar\" onclick=\"activar($idunico);\" />&nbsp;
				";
					
				}
				$html.="
				<input type=\"button\" class=\"btn btn-success\" name=\"una_$idunico\" id=\"una_$idunico\" value=\"Actualizar\" onclick=\"actualizar($idunico);\"  /></td>
			</tr>
			";
			
		}
		$html.="
		</tbody>
		</table>
		";
		echo $html;
		//print_r($datos);exit;
	
	}	
	/*-------------------------------------------Interaccion con secciones-------------------------------*/
	if ($clase==20){
		//Desactivamos una seccion
		//echo 'Desactivar';exit;
		$desactivar=intval($_POST['desactivar']);//ya que es el oid unico del aplicaciones_detalles
		//con el id unico tomamos el codigo de integracion y nombre, pero antes de poder desactivar, hay que comprobar que NO sea Vacio o NULO el cod de integracion
		//o la api va retornanr un error, si es vacio, actualizamos con el MISMO nombre que ya tiene
		$buscar="select * from aplicaciones_secciones where idssreg=$desactivar";
		$rdes=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		//almacenamos los datos requeridos por la api
		$codigointegracion=trim($rdes->fields['çodigo_integracion']);
		$nombreintegracion=trim($rdes->fields['nombre_integracion']);
		$nombreseccion=($rdes->fields['nombre_seccion']);
		$upd=0;
		if ($codigointegracion==''){
			//si es vacio, enviamos un update antes de poder desactivarla
			$upd=1;
			$update="update aplicaciones_secciones set codigo_integracion='$nombreseccion' where nombre_seccion='$nombreseccion' and idssreg=$desactivar";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
			
		}
		//armamos la url de consulta segun los parametros
		
		$postdata = array(
		'clase'=>20,
		'chau'=>$nombreseccion,
		'ci'=>$codigointegracion,
		'ni'=>$nombreintegracion,
		'upd'=>$upd
		);
		//echo $url;exit;
		$resultado=traer_datos($url,$postdata);
		//Por ultimo desactivamos localmente
		$update="update aplicaciones_secciones set activo_app=0 where idssreg=$desactivar";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		//Registramos el LOG
		$insertar="insert into aplicaciones_log
		(tipoevento,clase,fechahora,realizado_por,idunicomodificado)
		values
		(2,1,current_timestamp,$idusu,$desactivar)
		";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
		echo '1';
	}
	if ($clase==21){//activamos una seccion
		
		$activar=intval($_POST['activar']);//ya que es el id unico del aplicaciones_detalles
		//con el id unico tomamos el codigo de integracion y nombre, pero antes de poder desactivar, hay que comprobar que NO sea Vacio o NULO el cod de integracion
		//o la api va retornar un error, si es vacio, actualizamos con el MISMO nombre que ya tiene
		$buscar="select * from aplicaciones_secciones where idssreg=$activar";
		$rdes=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		//almacenamos los datos requeridos por la api
		$codigointegracion=trim($rdes->fields['çodigo_integracion']);
		$nombreintegracion=trim($rdes->fields['nombre_integracion']);
		$nombreseccion=($rdes->fields['nombre_seccion']);
		$upd=0;
		if ($codigointegracion==''){
			//si es vacio, enviamos un update antes de poder desactivarla
			$upd=1;
			$update="update aplicaciones_secciones set codigo_integracion='$nombreseccion' where nombre_seccion='$nombreseccion' and idssreg=$activar";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
			
		}
		//armamos la url de consulta segun los parametros
		
		$postdata = array(
		'clase'=>21,
		'activar'=>$nombreseccion,
		'ci'=>$codigointegracion,
		'ni'=>$nombreintegracion,
		'upd'=>$upd
		);
		//echo $url;exit;
		$resultado=traer_datos($url,$postdata);
		//Por ultimo desactivamos localmente
		$update="update aplicaciones_secciones set activo_app=1 where idssreg=$activar";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		//Registramos el LOG
		$insertar="insert into aplicaciones_log
		(tipoevento,clase,fechahora,realizado_por,idunicomodificado)
		values
		(1,1,current_timestamp,$idusu,$activar)
		";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
		echo '1';
	}
	if ($clase==22){
		$nombreseccion=trim($_POST['ns']);//lo que esta escrito en el input OJO
		$codigointegracion=trim($_POST['ci']);//lo que esta escrito en el input OJO
		$nombreintegracion=trim($_POST['ni']);//lo que esta escrito en el input OJO
		$actualizar=($_POST['actualizar']);//Id unico serial EN LA BD Innovasys
		
		//buscamos ese registro
		$buscar="select * from aplicaciones_secciones where idssreg=$actualizar";
		$rdes=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		
		$nombre_original=trim($rdes->fields['nombre_seccion']);//Nombre original de como vino el registro de la app 
		$codigoint_original=trim($rdes->fields['nombre_seccion']);//CI original de como vino el registro de la app 
		
		if ($codigoint_original!=$codigointegracion){
			$upd=1;//para indicar actualizacion de ese mismo CI.
		}
		
		$postdata = array(
		'clase'=>22,
		'activar'=>$activar,
		'ci'=>$codigointegracion,
		'ni'=>$nombreintegracion,
		'ns'=>$nombreseccion,
		'seccion_original'=>$nombre_original,
		'ci_original'=>$codigoint_original,
		'upd'=>$upd
		);
		//echo $url;exit;
		$resultado=traer_datos($url,$postdata);
		//print_r($resultado);exit;
		//actualizamos la bd local
		$update="update aplicaciones_secciones set nombre_seccion='$nombreseccion',activo_app=1 where idssreg=$actualizar";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		if ($upd==1){
			$update="update aplicaciones_secciones set codigo_integracion='$codigointegracion',activo_app=1 where idssreg=$actualizar";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
		}
		//echo $update;exit;
		echo '1';
	}
	if ($clase==23){
		//Desactivar TODAS las categorias de la plataforma, se usa o recicla la clase 20 en el GW para éste efecto. NO existe clase 23 en el GW se usa la 20
		$desactivar=intval($_POST['desactivar']);//
		if ($desactivar==1){
			$buscar="select * from aplicaciones_secciones order by idssreg asc";
			$rdes=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		
			while (!$rdes->EOF){
				$idunico=intval($rdes->fields['idssreg']);
				//almacenamos los datos requeridos por la api
				$nombreseccion=($rdes->fields['nombre_seccion']);
				$codigointegracion=trim($rdes->fields['çodigo_integracion']);
				$nombreintegracion=trim($rdes->fields['nombre_integracion']);
				$upd=0;
				if ($codigointegracion==''){
					//si es vacio, enviamos un update antes de poder desactivarla
					$upd=1;
					$update="update aplicaciones_secciones set codigo_integracion='$nombreseccion' where nombre_seccion='$nombreseccion' and idssreg=$idunico";
					$conexion->Execute($update) or die(errorpg($conexion,$update));
					
				}
				
				//armamos la url de consulta segun los parametros
				$postdata = array(
					'clase'=>20,
					'chau'=>$nombreseccion,
					'ci'=>$codigointegracion,
					'ni'=>$nombreintegracion,
					'upd'=>$upd
				);
			
				$resultado=traer_datos($url,$postdata);
				//Por ultimo desactivamos localmente
				$update="update aplicaciones_secciones set activo_app=0 where idssreg=$idunico";
				$conexion->Execute($update) or die(errorpg($conexion,$update));
				//Registramos el LOG
				$insertar="insert into aplicaciones_log
					(tipoevento,clase,fechahora,realizado_por,idunicomodificado)
					values
					(2,1,current_timestamp,$idusu,$idunico)
					";
				$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
				$rdes->MoveNext();
			}
		}
		//
		echo '1';
	}
	if ($clase==24){
		//ACTIVAR TODAS las categorias de la plataforma
		$activar=intval($_POST['reactivar']);//
		if ($activar==1){
			$buscar="select * from aplicaciones_secciones where activo_app=0 order by idssreg asc";
			$rdes=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		
			while (!$rdes->EOF){
				$idunico=intval($rdes->fields['idssreg']);
				//almacenamos los datos requeridos por la api
				$nombreseccion=($rdes->fields['nombre_seccion']);
				$codigointegracion=trim($rdes->fields['çodigo_integracion']);
				$nombreintegracion=trim($rdes->fields['nombre_integracion']);
				$upd=0;
				if ($codigointegracion==''){
					//si es vacio, enviamos un update antes de poder desactivarla
					$upd=1;
					$update="update aplicaciones_secciones set codigo_integracion='$nombreseccion' where nombre_seccion='$nombreseccion' and idssreg=$idunico";
					$conexion->Execute($update) or die(errorpg($conexion,$update));
					
				}
				
				//armamos la url de consulta segun los parametros
				$postdata = array(
					'clase'=>21,
					'activar'=>$nombreseccion,
					'ci'=>$codigointegracion,
					'ni'=>$nombreintegracion,
					'upd'=>$upd
				);
			
				$resultado=traer_datos($url,$postdata);
				//Por ultimo desactivamos localmente
				$update="update aplicaciones_secciones set activo_app=1 where idssreg=$idunico";
				$conexion->Execute($update) or die(errorpg($conexion,$update));
				//Registramos el LOG
				$insertar="insert into aplicaciones_log
					(tipoevento,clase,fechahora,realizado_por,idunicomodificado)
					values
					(1,1,current_timestamp,$idusu,$idunico)
					";
				$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
				$rdes->MoveNext();
			}
		}
		//
		echo '1';
	}
	
	if ($clase==25){//activa o desactiva productos
		
		$idprodserial=intval($_POST['idprodserial']);
	    $prender=intval($_POST['prender']);
		$sucdst=intval($_POST['dst']);//sucursal en curso seleccionada
		$offline=trim($_POST['offline']);
		
		//Verificamos el estado del producto en caso que si exista en la tabla de aplicaciones productos
		$buscar="Select * from aplicaciones_productos where idaplicacion=$idaplicacion and idprod_serial=$idprodserial ";
		$rf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$esta=intval($rf->fields['estado']);
		$idunicoappproducto=intval($rf->fields['idunico']);
		
		$buscar="Select precio from productos_sucursales where idproducto=$idprodserial and idsucursal=$sucdst";
		//cambiamos y traemos de la lista de precio en aplicaciones_detalles
		$buscar="Select idlistaprecio from  aplicaciones_detalles where idaplicacion=$idaplicacion and idsucursal=$sucdst and estado <> 6 limit 1";
		$rbus=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		/*-------------REVISAR ESTA LINEA, DA EL MENSAJE AL EFECTUAR LA OPERACION INVERSA DE ACTIVAR O DESACTIVAR---------------------*/
		$idlistaprecio=intval($rbus->fields['idlistaprecio']);
		if ($idlistaprecio==0){
			echo "el producto debe poseer una lista de precio, al menos una. No se continua.";
			exit;
		}
		/*-------------REVISAR ESTA LINEA, DA EL MENSAJE AL EFECTUAR LA OPERACION INVERSA DE ACTIVAR O DESACTIVAR---------------------*/
		$buscar="Select * from productos_listaprecios where idlistaprecio=$idlistaprecio and 
		idproducto=$idprodserial and idsucursal=$sucdst and estado=1 limit 1 ";
		$rpre=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$precio=floatval($rpre->fields['precio']);
		if ($precio>0){//Si tiene precio mayor a cero
			$buscar="select idcategoria,(select nombre from categorias where id_categoria=productos.idcategoria) as nombcate,descripcion from productos where idprod_serial=$idprodserial";
			$daprod=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$nombre_producto=capitalizar(trim($daprod->fields['descripcion']));
			$idcategoria=intval($daprod->fields['idcategoria']);
			$nombrecategoria=capitalizar(trim($daprod->fields['nombcate']));
				
			if ($esta==0){
				//no existe en aplicaciones productos, almacenamos la primera vez
				$insertar="insert into aplicaciones_productos
				(idaplicacion,idprod_serial,activado_el,activado_por,estado,sucudst) 
				values 
				($idaplicacion,$idprodserial,current_timestamp,$idusu,1,$sucdst)";
				$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
				
				$buscar="Select max(idunico) as idunico from aplicaciones_productos where idprod_serial=$idprodserial and activado_por=$idusu ";
				$mayor=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				$idunicoappproducto=intval($mayor->fields['idunico']);
			} 
			if ($offline=='N'){
				//creado el producto en la tabla de aplicaciones,por defecto, establecemos su categoria 
				//de producto la api nos va rechazar si no dispone de una. despues debe cambiar o reasignar el operador a cargo
				$postdata = array(
					'clase'=>25,
					'producto'=>$nombre_producto,
					'cod_sistema_local'=>$idprodserial,
					'categoria_local'=>$idcategoria,
					'categoria_local_nombre'=>$nombrecategoria,
					'crear'=>1,
					'prender'=>$prender,
					'precio'=>$precio
				);
				$res=traer_datos($url,$postdata);
				//print_r($res);exit;
				$respu=json_decode($res,true);
				$seccioncreada=intval($respu['seccionok']);
				$productocreado=intval($respu['productocreado']);
				$productolisto=trim($respu['productolisto']);
				$prendido=intval($respu['prendido']);
				$errores=$respu['errores'];
				//HASTA ACA SE REVISA Y NO HAY PROBLEMA
	
				$checked="";
				if ($productolisto=='S' && $errores==''){
					if ($prendido==1){
						$update="update aplicaciones_productos set estado=1,desactivado_por=NULL,desactivado_el=NULL where idprod_serial=$idprodserial";
						$conexion->Execute($update) or die(errorpg($conexion,$update));
						$checked="checked";	
						//logueamos
						//Registramos el LOG
						$insertar="insert into aplicaciones_log
							(tipoevento,clase,fechahora,realizado_por,idunicomodificado)
							values
							(1,2,current_timestamp,$idusu,$idunicoappproducto)
						";
						$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
					}
					if ($prendido==0){
						$update="update aplicaciones_productos set estado=6,desactivado_por=$idusu,desactivado_el=current_timestamp where idprod_serial=$idprodserial";
						$conexion->Execute($update) or die(errorpg($conexion,$update));
						$checked="";	
						//logueamos
						//Registramos el LOG
						$insertar="insert into aplicaciones_log
							(tipoevento,clase,fechahora,realizado_por,idunicomodificado)
							values
							(2,2,current_timestamp,$idusu,$idunicoappproducto)
							";
						$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
						
					}
					$valido='S';
				} else {
					$update="update aplicaciones_productos set estado=6,desactivado_por=$idusu,desactivado_el=current_timestamp where idprod_serial=$idprodserial";
					$conexion->Execute($update) or die(errorpg($conexion,$update));
					$checked="";
					
					$checked="";
					$errores=$errores."El producto no se puede actualizar. Verifique con el soporte tecnico de su aplicacion. NO SE ACTIVA";
					$valido='N';
				}
			} else {
				//echo "PRENDER:".$prender;exit;
				if ($prender==1){
					$update="update aplicaciones_productos set estado=1,desactivado_por=NULL,desactivado_el=NULL 
					where idprod_serial=$idprodserial";
					$conexion->Execute($update) or die(errorpg($conexion,$update));
					$checked="checked";	
					$insertar="insert into aplicaciones_log
						(tipoevento,clase,fechahora,realizado_por,idunicomodificado)
						values
						(1,2,current_timestamp,$idusu,$idunicoappproducto)
					";
					$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
					$valido='S';
				} else {
					$update="update aplicaciones_productos set estado=6,desactivado_por=$idusu,desactivado_el=current_timestamp where idprod_serial=$idprodserial";
					$conexion->Execute($update) or die(errorpg($conexion,$update));
					$checked="";
					$valido='S';
				}
			}//de ofline
			$html_checkbox='<input name="entrante" id="entrante_'.$idprodserial.'" type="checkbox" value="$nh" class="js-switch" onChange="habilitar(\''.$idprodserial.'\',4); " '.$checked.' />';
			// genera array con los datos
			$arr = array(
				'html_checkbox' => $html_checkbox,
				'permitido' => $permitido, // permitido si o no
				'valido' => $valido,
				'errores' => $errores
			);
			// convierte a formato json
			$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

			// devuelve la respuesta formateada
			echo $respuesta;
		} else {		
		
			$error="* El precio debe ser mayor a cero";
			echo $error;
		}
	}
	
	if ($clase==26){
		$idprodserial=intval($_POST['idprodserial']);//id ppal del producto madre
		$idinsumo=intval($_POST['idinsumo']);//id del insumo agregado
		$idgrediente=intval($_POST['idingrediente']);//con el Id de ingrediente
		$buscar="Select precio_adicional from agregado where idproducto=$idprodserial and idingrediente=$idgrediente";
		$rfpre=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$precio_adicional=floatval($rfpre->fields['precio_adicional']);
		
		//con el id del insumo, buscamos el ID del producto, el cual finalmente será facturado, y éste a su vez, será el codigo de integracion
		$buscar="select idproducto,descripcion from insumos_lista where estado='A' and idinsumo=$idinsumo limit 1";
		$rfa=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		
		$idprodserial_insumolista=intval($rfa->fields['idproducto']);
		$nombreagregado=trim($rfa->fields['descripcion']);
				
		$prender=intval($_POST['prender']);
		$sucdst=intval($_POST['sucudst']);//sucursal en curso seleccionada
				
		//para mantener una linea, haremos que el cod de integracion sea un merge del nobre de la categoria ppal en el sistema con el texto AD
		$buscar="select idcategoria,(select nombre from categorias where id_categoria=productos.idcategoria) as nombcate from productos where idprod_serial=$idprodserial";
		$daprod=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$idcategoria=intval($daprod->fields['idcategoria']);
		$nombrecategoria=capitalizar(trim($daprod->fields['nombcate']));//nombre ppal de la categoria en el sistema de gestion
		//Verificamos si la seccion ya esxiste en la BD

		$buscar="Select * from aplicaciones_secciones_ad where idcatelocal=$idcategoria  and idsucursal=$sucdst ";
		$rf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$idunico=intval($rf->fields['idregunico']);
		if ($idunico==0){
			//insertamos creamos el codigo de integracion
			$cod_integracion_opcionales="AD_$nombrecategoria";
			$nombre_opcionales="Agregados";
			
			$insertar="insert into aplicaciones_secciones_ad			
				(codigo_integracion,idcatelocal,idsucursal,descripcion,estado,registrado_por,registrado_el)
				values
				('$cod_integracion_opcionales',$idcategoria,$sucdst,'$nombre_opcionales',1,$idusu,current_timestamp)";
			$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
			//loguear
			$buscar="Select * from aplicaciones_secciones_ad where idcatelocal=$idcategoria  and idsucursal=$sucdst ";
			$rf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$idunico=intval($rf->fields['idregunico']);
			
		} else {
			$cod_integracion_opcionales=trim($rf->fields['codigo_integracion']);
			$nombre_opcionales=trim($rf->fields['descripcion']);
			
			
		}
		//ahora ya verificamos el adicional en si, a ver si ya se cargo en la tabla local
		$buscar="Select * from aplicaciones_secciones_prod_detalles where idinsumo=$idinsumo and idsucursal=$sucdst  ";
		$rgh1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		//Si no existe, ya insertamos pero con estado cero, hasta que pase las validaciones y se active, o bien se desactive
		if (intval($rgh1->fields['idinsumo'])==0){
			$insertar="Insert into aplicaciones_secciones_prod_detalles
			(idaplicacion,codigo_integracion,idinsumo,idprodserial_agregado,idprodserial_producto_ppal,idsucursal,estado,registrado_por,registrado_el)
			values
			($idaplicacion,$idprodserial_insumolista,$idinsumo,$idprodserial_insumolista,$idprodserial,$sucdst,1,$idusu,current_timestamp)";
			$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
		}
		$postdata = array(
				'clase'=>26,
				'id_prod_principal'=>$idprodserial,
				'precio_adicional'=>$precio_adicional,
				'sucursal_producto'=>$sucudst,
				'cod_integrador_seccion_adicional'=>$cod_integracion_opcionales,
				'nombre_seccion_adicional'=>$nombre_opcionales,
				'cod_integrador_adicional'=>$idprodserial_insumolista,
				'nombre_adicional'=>$nombreagregado,
				'prender'=>$prender

		);
				
			
		$res=traer_datos($url,$postdata);
		$respu=json_decode($res,true);
		$agregadoactualizado=trim($respu['agregadoactualizado']);
		$prendido=intval($respu['prendido']);
		if ($prendido==2){
			$update="update aplicaciones_secciones_prod_detalles set estado=6,anulado_por=$idusu,anulado_el=current_timestamp 
			where codigo_integracion=$idprodserial_insumolista and idaplicacion=$idaplicacion and idsucursal=$sucdst";
			$insertar="
			insert into  aplicaciones_log (tipoevento,clase,fechahora,realizado_por,idunicomodificado) values (2,2,current_timestamp,$idusu,$idprodserial_insumolista)
			";
			$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
			
		}
		if ($prendido==1){
			$update="update aplicaciones_secciones_prod_detalles set estado=1,anulado_por=NULL,anulado_el=NULL 
			where codigo_integracion=$idprodserial_insumolista and idaplicacion=$idaplicacion and idsucursal=$sucdst";
			$insertar="
			insert into  aplicaciones_log (tipoevento,clase,fechahora,realizado_por,idunicomodificado) values (2,2,current_timestamp,$idusu,$idprodserial_insumolista)
			";
			$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
		}
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		$arr = array(
				'terminado' => 'S', 
				'errores' => ''
		);
		// convierte a formato json
		$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);	
		print_r($respuesta);
		exit;
		
		
	}
	
	
	/*------------------Individuales o masivos-------------------------------*/
	if ($clase==49){//Activar TODOS LOS PRODUCTOS DEL SISTEMA LOCAL EN LA APP
		$sucdst=intval($_POST['sucuoperativa']);
		$activa=intval($_POST['activa']);
		$loglocal="";
		if ($activa==1){//Por seguridad, ya que debemos borrar todos los productos en la app y cargar los nuestros
			//Enviamos orden para eliminar los productos de las secciones
			$postdata = array(
				'clase'=>8
			);
			$loglocal.="Buscando Secciones: -**-";
			//echo $loglocal;exit;
			//la clase 8 en el GW trae todas las secciones
			$secciones=traer_datos($url,$postdata);
			$datos=json_decode($secciones,true);
			$treg=count($datos);
			//tenemos todas las secciones, recorremos y eliminamos todos los productos de esa seccion
			$loglocal.="Recorrido de secciones: Se encontraron : $treg secciones-**-";
			$k=0;
			
			foreach ($datos as $key=>$value){
				$k=$k+1;
				$loglocal.="Recorrido de secciones: $k -*-";
				$icode=trim($value['integrationCode']);
				$nombre=trim($value['name']);
				//Eliminamos los productos x secion
				if (intval($icode) > 0){
					$postdata = array(
						'clase'=>50,
						'codintegra'=>$icode,
						'nombreseccion'=>$nombre
					);
					$estaprodu=traer_datos($url,$postdata);
					if ($estaprodu==1){
						$loglocal.="Borrado completo de Productos seccion $icode  $nombre -*-";
						//Completo de borrar los productos y la seccion que las contenia
						$insertar="insert into aplicaciones_log
							(tipoevento,clase,fechahora,realizado_por,idunicomodificado)
							values
							(3,2,current_timestamp,$idusu,'TODOS')
							";
						$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
					} else {
						$noborrados=$noborrados."La seccion: $nombre con el icode :$icode no se pudo eliminar. Elimine a mano|| ";
						
					}
				} else {
					$loglocal.="Codigo Local OMITIDO: $icode ";
					
				}
				//print_r($estaprodu);exit;
					
			}
			//echo $loglocal;exit;
			//terminada con las secciones, procedemos a transferir las locales al servidor
			//creamos las secciones
			$buscar="Select * from categorias where estado=1 order by nombre asc";
			$rslcate=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$tcate=$rslcate->RecordCount();
			$tcreadas=0;
			$loglocal.="Recorriendo categorias locales para crear en la app";
			while (!$rslcate->EOF){ 
				//$tcreadas=$tcreadas+1;
				$icode=intval($rslcate->fields['id_categoria']);
				$nombre=capitalizar(trim($rslcate->fields['nombre']));
				$postdata = array(
					'clase'=>27,
					'codintegra'=>$icode,
					'nombreseccion'=>$nombre
				);
				$estacate=traer_datos($url,$postdata);
				if ($estacate==1){
					$tcreadas=$tcreadas+1;
				}
				$rslcate->MoveNext();
			}
			$loglocal.="Categorias Creadas: $tcreadas";
			$loglocal.="--***Final, anexo log: ";
			$loglocal.=$noborrados;
			$array=array(
				'terminado'=>'S'	
			);
			//$respuesta=json_encode($array, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);	
			//print_r($respuesta);
			//exit;
			echo 'S';
			exit;
			
		}//de activa
	}//de clase =49
	if ($clase==50){
		$sucdst=intval($_REQUEST['dst']);
		//creacion masiva de productos
			$buscar="Select * from categorias where estado=1 order by nombre asc";
			$rslcate=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$tcate=$rslcate->RecordCount();
			$tcreadas=0;
			
			while (!$rslcate->EOF){ 
				//$tcreadas=$tcreadas+1;
				$icode=intval($rslcate->fields['id_categoria']);
				$nombre=capitalizar(trim($rslcate->fields['nombre']));
				
				$buscar="Select idlistaprecio from  aplicaciones_detalles where idaplicacion=$idaplicacion and idsucursal=$sucdst and estado <> 6 limit 1";
				$rbus=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				$idlistaprecio=intval($rbus->fields['idlistaprecio']);
				
				//Traemos los productos de la sucursal en cuestion para insertarlos masivamente en la plataforma
				
				   
				$buscar="select descripcion,idprod_serial,
				(Select precio from productos_listaprecios where idlistaprecio=$idlistaprecio and idproducto=productos.idprod_serial and idsucursal=$sucdst and estado =1 limit 1 )as precio,
				(select precio from productos_sucursales where idproducto=productos.idprod_serial and idsucursal=$sucdst) as precioensucursal
				from productos 
				where borrado='N' and idcategoria=$icode order by descripcion asc";
				//echo $buscar;exit;
				$rsb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				//recorremos e insertamos los nuevos productos con su cod Integracion
				while (!$rsb->EOF){
				//echo 'A';exit;
					$idprodserial=intval($rsb->fields['idprodserial']);
					$prender=1;
					$precio=floatval($rsb->fields['precio']);
					$buscar="Select * from aplicaciones_productos where idaplicacion=$idaplicacion and idprod_serial=$idprodserial ";
					$rf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
					$esta=intval($rf->fields['estado']);
					$idunicoappproducto=intval($rf->fields['idunico']);
					if ($precio>0){
						$nombre_producto=capitalizar(trim($rsb->fields['descripcion']));
						$idprodserial=intval($rsb->fields['idprod_serial']);
						if ($esta==0){
							//no existe en aplicaciones productos, almacenamos la primera vez
							$insertar="insert into aplicaciones_productos
							(idaplicacion,idprod_serial,activado_el,activado_por,estado) 
							values 
							($idaplicacion,$idprodserial,current_timestamp,$idusu,1)";
							$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
							
							$buscar="Select max(idunico) as idunico from aplicaciones_productos where idprod_serial=$idprodserial and activado_por=$idusu ";
							$mayor=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
							$idunicoappproducto=intval($mayor->fields['idunico']);
						} 
					
						//creado el producto en la tabla de aplicaciones,por defecto, establecemos su categoria 
						//de producto la api nos va rechazar si no dispone de una. despues debe cambiar o reasignar el operador a cargo
						$postdata = array(
							'clase'=>23,
							'producto'=>$nombre_producto,
							'cod_sistema_local'=>$idprodserial,
							'categoria_local'=>$icode,
							'categoria_local_nombre'=>$nombre,
							'crear'=>1,
							'prender'=>1,
							'precio'=>$precio
						);
						//print_r($postdata);exit;
					
						$res=traer_datos($url,$postdata);
						$respu=json_decode($res,true);
						$errores.=$respu['errores'];
						//HASTA ACA SE REVISA Y NO HAY PROBLEM
					}
				//echo $respu;exit;
				$rsb->MoveNext();
				}
				
				
				
				$rslcate->MoveNext();
			}
		
		echo 'FINAL';exit;
		
		
	}
	if ($clase==51){//Elimina todos los productos de la aplicacion en cuestion
	
		$postdata = array(
				'clase'=>8
		);
		$secciones=traer_datos($url,$postdata);
		$datos=json_decode($secciones,true);
		$treg=count($datos);
		//tenemos todas las secciones, recorremos y eliminamos todos los productos de esa seccion
		$loglocal.="Recorrido de secciones: Se encontraron : $treg secciones-**-";
		$k=0;
		foreach ($datos as $key=>$value){
			$k=$k+1;
			$icode=trim($value['integrationCode']);//icode de la seccion o categoria
			$nombre=trim($value['name']);//nombre de la seccion o categoria
			//Eliminamos los productos x secion
			if (intval($icode) > 0){
				$postdata = array(
					'clase'=>50,
					'codintegra'=>$icode,
					'nombreseccion'=>$nombre
				);
				$estaprodu=traer_datos($url,$postdata);
				if ($estaprodu==1){
					$loglocal.="Borrado completo de Productos seccion $icode  $nombre -*-";
					//Completo de borrar los productos y la seccion que las contenia
					$insertar="insert into aplicaciones_log
						(tipoevento,clase,fechahora,realizado_por,idunicomodificado)
						values
						(3,2,current_timestamp,$idusu,'TODOS')
						";
					$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
				} else {
					$noborrados=$noborrados."La seccion: $nombre con el icode :$icode no se pudo eliminar. Elimine a mano|| ";
					
				}
			} else {
				$loglocal.="Codigo Local OMITIDO: $icode ";
				
			}
				//print_r($estaprodu);exit;
					
		}	
		echo "Borrado Terminado";exit;
		
	}
	if ($clase==52){
		//para transferencia de productos OFFLINE MARCADOS previamente
		$sucdst=intval($_REQUEST['sucudst']);
		$buscar="Select idlistaprecio from  aplicaciones_detalles where idaplicacion=$idaplicacion and idsucursal=$sucdst and estado <> 6 limit 1";
		$rbus=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$idlistaprecio=intval($rbus->fields['idlistaprecio']);
		$buscar="select descripcion,idprod_serial,idcategoria,(select nombre from categorias where categorias.id_categoria=productos.idcategoria) as nombcate,
				(Select precio from productos_listaprecios where idlistaprecio=$idlistaprecio and idproducto=productos.idprod_serial and idsucursal=$sucdst and estado =1 limit 1 )
				as precio from productos where borrado='N' and 
				idprod_serial in (select idprod_serial from aplicaciones_productos where sucudst=$sucdst and transferido='N' and estado=1 )
				";
		$rsb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$tactivados=0;
		while (!$rsb->EOF){
			//usamos la clase 25 la cual  omprueba la seccion y genera si no existe
			$nombre_producto=trim($rsb->fields['descripcion']);
			$idprodserial=intval($rsb->fields['idprod_serial']);
			$icode=intval($rsb->fields['idcategoria']);
			$nombre=capitalizar(trim($rsb->fields['nombcate']));
			$precio=floatval($rsb->fields['nombcate']);
			$prender=1;
			$precio=floatval($rsb->fields['precio']);
			$postdata = array(
				'clase'=>25,
				'producto'=>$nombre_producto,
				'cod_sistema_local'=>$idprodserial,
				'categoria_local'=>$icode,
				'categoria_local_nombre'=>$nombre,
				'crear'=>1,
				'prender'=>1,
				'precio'=>$precio
			);
			$res=traer_datos($url,$postdata);
			$respu=json_decode($res,true);
			$productolisto=trim($respu['productolisto']);
			$prendi=intval($respu['prendido']);
			if($productolisto=='S'){
				$update="update aplicaciones_productos set transferido='S',transferido_el=current_timestamp where idprod_serial=$idprodserial and sucudst=$sucdst";
				$conexion->Execute($update) or die(errorpg($conexion,$update));
				$tactivados=$tactivados+1;
			} else {
				$noactivados=$noactivados+1;
			}
			$rsb->MoveNext();
		}
		if ($noactivados>0){
			$errores="Existen productos sin activar.";
		} else {
			$errores='';
		}
		$arr = array(
				'terminado' => 'S', 
				'errores' => $errores
		);
		// convierte a formato json
		$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);	
		print_r($respuesta);exit;
		//print_r($arr);exit;
	}
}
?>
