<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="12";
$submodulo="202";
require_once("includes/rsusuario.php"); 

// para de baja masivamente
// baja_masiva_masivo_deudas_proveedores.php


// para actualizar descripcion, luego poner en abonar
$consulta="
update `cuentas_movimiento` 
set 
describemvto = CONCAT
	(
		'PAGO A PROVEEDOR OP: ',nro_op,' | ',
		(
		SELECT proveedores.nombre 
		FROM `orden_pago` 
		inner join proveedores on proveedores.idproveedor = orden_pago.idproveedor 
		where 
		orden_pago.idordenpago = cuentas_movimiento.nro_op
		)
	) 
WHERE 
nro_op is not null
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

// usuarios administradores
$consulta="
SELECT usuarios.usuario, usuarios.idusu, usuarios.estado
FROM modulo_usuario
inner join usuarios on usuarios.idusu = modulo_usuario.idusu
WHERE 
modulo_usuario.`submodulo` = 76 
and usuarios.estado <> 6 
and usuarios.soporte <> 1
and usuarios.idusu = $idusu
limit 1
";
$rsusuadm=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idusu_admin=intval($rsusuadm->fields['idusu']);

if(trim($_GET['desde']) != '' && trim($_GET['hasta']) != ''){
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
	$whereadd.="
	and date(fecha_ordenpago) <='$hasta' 
	and date(fecha_ordenpago) >='$desde' 
	";
}

/*
1;"PENDIENTE"
2;"GENERADO"
3;"AUTORIZADO"
4;"ABONADO"
6;"ANULADO"
*/

if ($_GET['proveedor']!=''){
	
	$ex=explode("-",trim($_GET['proveedor']));
	$idprov=intval($ex[0]);
	$whereadd.=" and orden_pago.idproveedor=$idprov ";
}

if(intval($_GET['idestado_orden']) > 0){
	$idestado_orden=intval($_GET['idestado_orden']);
	$whereadd.=" and orden_pago.estado = $idestado_orden ";
}


//reemplza a los de arriba
$op=intval($_GET['op']);
if($op > 0){
	$whereadd=" and orden_pago.idordenpago = $op ";	
}




		
$consulta="
select *,
(select usuario from usuarios where orden_pago.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where orden_pago.anulado_por = usuarios.idusu) as anulado_por,
(select estado_orden from orden_pago_estados where estado = orden_pago_estados.idestado_orden) as estado_orden,
(select nombre from proveedores where orden_pago.idproveedor = proveedores.idproveedor) as proveedor
from orden_pago 
where 
estado in (1,2,3)
$whereadd
order by estado asc, idordenpago desc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


$buscar="Select * from proveedores where idempresa=$idempresa and estado = 1  order by nombre ASC";
$rsprov=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tprov=$rsprov->RecordCount();
while(!$rsprov->EOF){
	$idproveedor=intval($rsprov->fields['idproveedor']);
	$descripcion=trim($rsprov->fields['nombre']);
	$resultados.="
	<a href='javascript:void(0);' onclick=\"seleccion($idproveedor,'$descripcion');\">[$idproveedor]-$descripcion</a>
	";
	$rsprov->MoveNext();
}



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
	<style>
.dropbtn {
  background-color: #04AA6D;
  color: white;
  padding: 16px;
  font-size: 16px;
  border: none;
  cursor: pointer;
}

.dropbtn:hover, .dropbtn:focus {
  background-color: #3e8e41;
}

#myInput {
  box-sizing: border-box;
  background-image: url('searchicon.png');
  background-position: 14px 12px;
  background-repeat: no-repeat;
  font-size: 16px;
  padding: 14px 20px 12px 45px;
  border: none;
  border-bottom: 1px solid #ddd;
}

#myInput:focus {outline: 3px solid #ddd;}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f6f6f6;
  min-width: 230px;
  overflow: auto;
  border: 1px solid #ddd;
  z-index: 1;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown a:hover {background-color: #ddd;}

.show {display: block;}
</style>
	
	
	
	
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Ordenes de Pago sin Abonar</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<a href="orden_pago_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a> 
<a href="orden_pago_abonados.php" class="btn btn-sm btn-default"><span class="fa fa-search"></span> Abonados</a>
<?php if($soporte == 1 or $idusu_admin > 0){ ?>
<a href="baja_masiva_pregunta.php" class="btn btn-sm btn-default"><span class="fa fa-search"></span> Borrado Masivo</a>
<?php } ?>
<br /><br />

<?php if(trim($errores) != ""){ ?>

<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="filtrosl" action="" method="get">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control"  />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control"  />                    

	</div>
</div>
<div class="col-md-6 col-sm-6 form-group">
	<div class="col-md-3 col-sm-3 col-xs-12">
		<div class="dropdown" id="insumos_dropdown">
			<a href="javascript:void(0);" onclick="myFunction()" class="btn btn-primary btn_insumo_select" id="abrecierra">[ Buscar ]</a>
			 <input type="text" placeholder="" id="myInput" onkeyup="filterFunction()" style="position: absolute;top: 37px;left: 0;z-index: 99999;display:none;" >
			<div id="myDropdown" class="dropdown-content" style="position: absolute;top: 90px;left: 0;z-index: 99999;width: 261px;">
					<?php echo $resultados ?>
			</div>
		</div>
	</div>
	<div class="col-md-9 col-sm-9 col-xs-12">
		<input type="text" name="proveedor" id="proveedor" value="<?php echo antixss($_GET['proveedor']); ?>" placeholder="<- Buscar Proveedor " class="form-control"  />                    
		   
	</div>
	
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Orden Pago *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="op" id="op" value="<?php  if(isset($_GET['op'])){ echo htmlentities($_GET['op']); } ?>" placeholder="Orden Numero" class="form-control" />
	</div>
</div>





<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Estado *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 

// consulta
$consulta="
SELECT idestado_orden, estado_orden
FROM orden_pago_estados
where
idestado_orden in (1,2,3)
order by idestado_orden asc
 ";

// valor seleccionado
if(isset($_GET['idestado_orden'])){ 
	$value_selected=htmlentities($_GET['idestado_orden']); 
}else{
	//$value_selected=htmlentities($rs->fields['idestado_orden']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idestado_orden',
	'id_campo' => 'idestado_orden',
	
	'nombre_campo_bd' => 'estado_orden',
	'id_campo_bd' => 'idestado_orden',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>                
	</div>
</div>
<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
			<!--<a class="btn btn-default"  onclick="enviar();"> <span class="fa fa-search"></span> </a>-->
			<button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>
        </div>
    </div>
</form>    
<br />

<div class="clearfix"></div>
<hr />

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Orden #</th>
			<th align="center">Fecha Orden</th>
			<th align="center">Monto</th>
			<th align="center">Proveedor</th>
			<th align="center">Estado</th>
			<th align="center">Registrado el</th>
			<th align="center">Registrado por</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
                <?php if($rs->fields['estado'] <> 3){ ?>
					<a href="orden_pago_det.php?id=<?php echo $rs->fields['idordenpago']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span> Detalle</a>
                    
					<a href="orden_pago_edit.php?id=<?php echo $rs->fields['idordenpago']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span> Editar</a>
					
                    <a href="orden_pago_del.php?id=<?php echo $rs->fields['idordenpago']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span> Borrar</a>
                <?php } ?>
				<?php if($rs->fields['estado'] == 3){ ?>
               		 
	                <a href="orden_pago_det_abo.php?id=<?php echo $rs->fields['idordenpago']; ?>" class="btn btn-sm btn-default" title="Abonar" data-toggle="tooltip" data-placement="right"  data-original-title="Abonar"><span class="fa fa-search"></span> Abonar</a>
                    
	                <a href="orden_pago_des.php?id=<?php echo $rs->fields['idordenpago']; ?>" class="btn btn-sm btn-default" title="Desautorizar" data-toggle="tooltip" data-placement="right"  data-original-title="Desautorizar"><span class="fa fa-search"></span> Desautorizar</a>
                    <a href="orden_pago_imp_pre.php?id=<?php echo $rs->fields['idordenpago']; ?>" class="btn btn-sm btn-default" title="Imprimir" data-toggle="tooltip" data-placement="right"  data-original-title="Imprimir" target="_blank"><span class="fa fa-search"></span> Imprimir</a>
                <?php } ?>
				</div>

			</td>
			<td align="center"><?php echo intval($rs->fields['idordenpago']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_ordenpago'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_ordenpago'])); } ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_ordenpago']);  ?></td>
			<td align="center"><?php echo antixss($rs->fields['proveedor']); ?> [<?php echo antixss($rs->fields['idproveedor']); ?>]</td>
			<td align="center"><?php echo antixss($rs->fields['estado_orden']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
        
<br /><hr /><br />




                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
		<script>
		function myFunction() {
	//if($("myDropdown").is(":visible"){
		//document.getElementById("myDropdown").classList.toggle("hide");
	//} else {
		document.getElementById("myInput").classList.toggle("show");
		document.getElementById("myDropdown").classList.toggle("show");
		$("#myInput").focus();
	//}
	$(document).mousedown(function(event) {
		var target = $(event.target);
		var myInput = $('#myInput');
		var myDropdown = $('#myDropdown');
		var div = $("#insumos_dropdown");
		var button = $("#abrecierra");
		// Verificar si el clic ocurrió fuera del elemento #my_input
		if (!target.is(myInput) && !target.is(button) && !target.closest("#myDropdown").length && myInput.hasClass('show')) {
		  // Remover la clase "show" del elemento #my_input
		  myInput.removeClass('show');
		  myDropdown.removeClass('show');
		}
		
	  });
}


function filterFunction() {
  var input, filter, ul, li, a, i;
  input = document.getElementById("myInput");
  filter = input.value.toUpperCase();
  div = document.getElementById("myDropdown");
  a = div.getElementsByTagName("a");
  for (i = 0; i < a.length; i++) {
    txtValue = a[i].textContent || a[i].innerText;
    if (txtValue.toUpperCase().indexOf(filter) > -1) {
      a[i].style.display = "";
    } else {
      a[i].style.display = "none";
    }
  }
}
function seleccion(idproveedor,descripcion){

	
	$("#abrecierra").click();
	$("#myInput").val(descripcion);
	$("#proveedor").val(idproveedor+'-'+descripcion);
	
	
}		
	/*function enviar(){
		$("#filtrosl").submit();
		
	}	*/
		
		</script>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
