<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="12";
$submodulo="202";
require_once("includes/rsusuario.php"); 


$idordenpago=intval($_GET['id']);
if($idordenpago == 0){
	header("location: orden_pago.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select *
from orden_pago 
where 
idordenpago = $idordenpago
and (estado = 1 or estado = 2)
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idordenpago=intval($rs->fields['idordenpago']);
if($idordenpago == 0){
	header("location: orden_pago.php");
	exit;	
}


if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	$fecha_ordenpago=antisqlinyeccion($_POST['fecha_ordenpago'],"text");


	// validaciones basicas
	$valido="S";
	$errores="";

	// por seguridad por si fallo algo en la insersion del mysql al abonar valida que no se haya procesado algun pago de esta orden
	$consulta="
	select idordenpago
	from orden_pago
	where
		idordenpago = $idordenpago
		and (estado = 1 or estado = 2)
		and idordenpago in (
			select idordenpago
			from pagos_proveedores_cab
			where
			estado = 1
		)
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idordenpago_ex=intval($rsex->fields['idordenpago']);
	if($idordenpago_ex > 0){
		$valido="N";
		$errores="- No se puede borrar por que hay pagos registrados con esta orden de pago, debe anularla en su lugar para revertir los pagos y saldos a las facturas implicadas.";
	}
	

	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update orden_pago
		set
			estado = 6,
			borrado_por = $idusu,
			borrado_el = '$ahora'
		where
			idordenpago = $idordenpago
			and (estado = 1 or estado = 2)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: orden_pago.php");
		exit;
		
	}

}



?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<link rel="stylesheet" type="text/css" href="css/magnific-popup.css" />
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	<div class="clear"></div>
		<div class="cuerpo">
			<div class="colcompleto" id="contenedor">
      <br /><br />
   <div align="center">
    		<table width="70" border="0">
          <tbody>
            <tr>
              <td width="62"><a href="index.php"><img src="img/homeblue.png" width="64" height="64" title="Regresar"/></a></td>
            </tr>
          </tbody>
        </table>
    </div>
      <div class="divstd">
    		<span class="resaltaditomenor">
    			Orden de Pago<br />
    		</span>
 		</div>
        
        <hr />
        <br /> <br />
                
 <?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true"></span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idordenpago *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idordenpago" id="idordenpago" value="<?php  if(isset($_POST['idordenpago'])){ echo htmlentities($_POST['idordenpago']); }else{ echo htmlentities($rs->fields['idordenpago']); }?>" placeholder="Idordenpago" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha ordenpago </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="fecha_ordenpago" id="fecha_ordenpago" value="<?php  if(isset($_POST['fecha_ordenpago'])){ echo htmlentities($_POST['fecha_ordenpago']); }else{ echo htmlentities($rs->fields['fecha_ordenpago']); }?>" placeholder="Fecha ordenpago" class="form-control"  readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='orden_pago.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />

<br />
</form>      
        
<br /><hr /><br />



		  </div> <!-- contenedor -->
   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
	<?php require("includes/pie.php"); ?>
</body>
</html>