<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="12";
$submodulo="202";
require_once("includes/rsusuario.php"); 

		
$idordenpago=intval($_GET['id']);
if($idordenpago == 0){
	header("location: orden_pago.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from orden_pago 
where 
idordenpago = $idordenpago
 and (estado = 1 or estado = 2)
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idordenpago=intval($rs->fields['idordenpago']);
$idproveedor_cab=intval($rs->fields['idproveedor']);
if($idordenpago == 0){
	header("location: orden_pago.php");
	exit;	
}




if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$fecha_ordenpago=antisqlinyeccion($_POST['fecha_ordenpago'],"text");
	$monto_ordenpago=antisqlinyeccion($_POST['monto_ordenpago'],"float");
	$idproveedor=antisqlinyeccion($_POST['idproveedor'],"int");
	$estado=1;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$registrado_por=$idusu;



	
	
	if(trim($_POST['fecha_ordenpago']) == ''){
		$valido="N";
		$errores.=" - El campo fecha_ordenpago no puede estar vacio.<br />";	
	}

	if(floatval($_POST['monto_ordenpago']) <= 0){
		$valido="N";
		$errores.=" - El campo monto_ordenpago no puede ser cero o negativo.<br />";	
	}

	if(intval($_POST['idproveedor']) == 0){
		$valido="N";
		$errores.=" - El campo idproveedor no puede ser cero o nulo.<br />";	
	}
	// si edita el proveedor
	if($idproveedor_cab != $_POST['idproveedor']){
		// busca si ya se cargo un detalle
		$consulta="
		select * from orden_pago_det where idordenpago = $idordenpago limit 1
		";
		$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		if($rsdet->fields['idordenpago'] > 0){
			$valido="N";
			$errores.=" - No se puede editar el proveedor por que ya hay facturas cargadas en la orden, borrelas primero.<br />";
		}
	}


	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		update orden_pago
		set
			fecha_ordenpago=$fecha_ordenpago,
			monto_ordenpago=$monto_ordenpago,
			idproveedor=$idproveedor,
			estado = 1
		where
			idordenpago = $idordenpago
			and (estado = 1 or estado = 2)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: orden_pago.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());





?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<link rel="stylesheet" type="text/css" href="css/magnific-popup.css" />
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	<div class="clear"></div>
		<div class="cuerpo">
			<div class="colcompleto" id="contenedor">
      <br /><br />
   <div align="center">
    		<table width="70" border="0">
          <tbody>
            <tr>
              <td width="62"><a href="index.php"><img src="img/homeblue.png" width="64" height="64" title="Regresar"/></a></td>
            </tr>
          </tbody>
        </table>
    </div>
      <div class="divstd">
    		<span class="resaltaditomenor">
    			Orden de Pago<br />
    		</span>
 		</div>
        
        <hr />
        <br /> <br />
             
 <?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true"></span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha orden de pago *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="fecha_ordenpago" id="fecha_ordenpago" value="<?php  if(isset($_POST['fecha_ordenpago'])){ echo htmlentities($_POST['fecha_ordenpago']); }else{ echo htmlentities(date("Y-m-d")); }?>" placeholder="Fecha Pago" class="form-control" required  />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Monto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="monto_ordenpago" id="monto_ordenpago" value="<?php  if(isset($_POST['monto_ordenpago'])){ echo floatval($_POST['monto_ordenpago']); }else{ echo floatval($rs->fields['monto_ordenpago']); }?>" placeholder="Monto ordenpago" class="form-control" required  />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Proveedor *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<?php 
		// consulta
		$consulta="SELECT idproveedor, nombre
  		FROM proveedores

		  where
		  estado = 1
		  
		  order by nombre asc
 		 ";
		
		// valor seleccionado
		if(isset($_POST['idproveedor'])){ 
			$value_selected=htmlentities($_POST['idproveedor']); 
		}else{
			$value_selected=htmlentities($rs->fields['idproveedor']);
			
		}
		
		// parametros
		$parametros_array=array(
		'nombre_campo' => 'idproveedor',
		'id_campo' => 'idproveedor',
		
		'nombre_campo_bd' => 'nombre',
		'id_campo_bd' => 'idproveedor',
		
		'value_selected' => $value_selected,
		
		'pricampo_name' => 'Seleccionar...',
		'pricampo_value' => '',
		'style_input' => 'class="form-control"', 
		'acciones' => ' required="required" ',
		'autosel_1registro' => 'S'
		
		);
		
		// construye campo
		echo campo_select($consulta,$parametros_array);
		
		?>                     
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='orden_pago.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<br /><hr /><br />



		  </div> <!-- contenedor -->
   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
	<?php require("includes/pie.php"); ?>
</body>
</html>