<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="12";
$submodulo="202";
require_once("includes/rsusuario.php"); 


		
$idordenpago=intval($_GET['id']);
if($idordenpago == 0){
	header("location: orden_pago.php");
	exit;	
}

// consulta a la tabla		
$consulta="
select *,
(select usuario from usuarios where orden_pago.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where orden_pago.anulado_por = usuarios.idusu) as anulado_por,
(select estado_orden from orden_pago_estados where estado = orden_pago_estados.idestado_orden) as estado_orden,
(select nombre from proveedores where orden_pago.idproveedor = proveedores.idproveedor) as proveedor
from orden_pago 
where 
estado = 4
and idordenpago = $idordenpago
order by idordenpago asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idordenpago=intval($rs->fields['idordenpago']);
$idproveedor=intval($rs->fields['idproveedor']);
if($idordenpago == 0){
	header("location: orden_pago.php");
	//echo $idordenpago;
	exit;	
}

		// crea imagen
		$img="gfx/empresas/emp_".$idempresa.".png";	 
		if(!file_exists($img)){
			$img="gfx/empresas/emp_0.png";
		}


$monto_ordenpago=$rs->fields['monto_ordenpago'];
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Orden de Pago</title>
</head>

<body>
  <div style="width:100%; border:1px solid #000000; height:115px;">
 
      <table width="100%" height="105">
        <tr>
            <td valign="top"> <img src="<?php echo $img; ?>" height="85" alt=""/></td>
            <td valign="top" align="center"><h1 style="margin:2px;"><?php echo $nombreempresa ?><br />
            ORDEN DE PAGO N&ordm; <?php echo intval($rs->fields['idordenpago']); ?></h1>
            Impreso el: <?php echo date("d/m/Y H:i:s"); ?></td>
        </tr>
      
      
      </table>
	</div>
    <br />
<div class="table-responsive">
    <table width="100%" class="tablaconborde" border="1" style="border-collapse:collapse;">
	  <thead>
		<tr style="background-color:#CCC;">
			<th align="center">Fecha Orden</th>
			<th align="center">Monto</th>
			<th align="center">Proveedor</th>
			<th align="center">Estado</th>
			<th align="center">Registrado el</th>
			<th align="center">Registrado por</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td align="center"><?php if($rs->fields['fecha_ordenpago'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_ordenpago'])); } ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_ordenpago']);  ?></td>
			<td align="center"><?php echo antixss($rs->fields['proveedor']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['estado_orden']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />

<?php                 
		
$consulta="
select *, 
	(select factura_numero from facturas_proveedores where id_factura = orden_pago_det.idfactura and estado <> 6 ) as factura,
		(select fecha_compra from facturas_proveedores where id_factura = orden_pago_det.idfactura and estado <> 6 ) as fecha_factura,
	(select saldo_factura from facturas_proveedores where id_factura = orden_pago_det.idfactura and estado <> 6 ) as saldo_factura,
	(
	select 
	operaciones_proveedores_detalle.monto_cuota 
	from operaciones_proveedores_detalle 
	inner join operaciones_proveedores on operaciones_proveedores.idoperacionprov = operaciones_proveedores_detalle.idoperacionprov
	where 
	operaciones_proveedores.idfactura = orden_pago_det.idfactura
	order by operaciones_proveedores_detalle.vencimiento asc
	limit 1
	 ) as monto_cuota
from orden_pago_det 
where
idordenpago = $idordenpago
order by idordenpagodet asc
";
//echo $consulta;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta)); ?>

<div class="table-responsive">
    <table width="100%" class="tablaconborde" border="1"  style="border-collapse:collapse;">
	  <thead>
		<tr  style="background-color:#CCC;">

			<th align="center">Factura</th>
			<th align="center">Fecha Factura</th>
			<th align="center">Saldo Factura</th>
			<th align="center">Monto Cuota</th>
			<th align="center">Monto abonar</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){
	
$monto_abonar_acum+=$rs->fields['monto_abonar'];
	 ?>
		<tr>

			<td align="center"><?php echo antixss($rs->fields['factura']); ?></td>
			<td align="center"><?php echo date("d/m/Y",strtotime($rs->fields['fecha_factura'])); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['saldo_factura']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_cuota']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_abonar']);  ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
		<tr bgcolor="#CCCCCC" style="font-weight:bold;">
			<td>Totales: 
			</td>
			<td align="right">&nbsp;</td>
			<td align="right">&nbsp;</td>
			<td align="right">&nbsp;</td>

			<td align="right"><?php echo formatomoneda($monto_abonar_acum);  ?></td>
		</tr>
	  </tbody>
    </table>
</div>
<br />
<?php 
$consulta="
SELECT formas_pago2.descripcion as formapago, caja_gestion_mov_det.monto_movimiento,
(select cheques_emitidos.nrochq from cheques_emitidos where cheques_emitidos.idcajamov = caja_gestion_mov_det.idcajamov) as nrochq,
(select cheques_emitidos.fecha_emision from cheques_emitidos where cheques_emitidos.idcajamov = caja_gestion_mov_det.idcajamov) as fecha_emision,
(select cheques_emitidos.idbanco from cheques_emitidos where cheques_emitidos.idcajamov = caja_gestion_mov_det.idcajamov) as idbanco_chq,
(select bancos.nombre from cheques_emitidos inner join bancos on bancos.idbanco = cheques_emitidos.idbanco where cheques_emitidos.idcajamov = caja_gestion_mov_det.idcajamov) as banco_chq,
caja_gestion_mov_det.idbanco,
(select bancos.nombre from bancos where bancos.idbanco = caja_gestion_mov_det.idbanco) as banco,
(select cuentas.denominacion from cuentas  where cuentas.idcuenta = caja_gestion_mov_det.idcuentacon) as cuenta,
caja_gestion_mov_det.fecha_emision_chq,
caja_gestion_mov_det.fecha_transfer,
caja_gestion_mov_det.boleta_nro,
caja_gestion_mov_det.transfer_nro

FROM orden_pago
inner join caja_gestion_mov_cab on orden_pago.idcajamov = caja_gestion_mov_cab.idcajamov
inner join caja_gestion_mov_det on caja_gestion_mov_det.idcajamov = caja_gestion_mov_cab.idcajamov
inner join formas_pago2 on formas_pago2.idforma = caja_gestion_mov_det.idformapago

WHERE
idordenpago = $idordenpago
";	 
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
	
<div class="table-responsive">
    <table width="100%" class="tablaconborde" border="1"  style="border-collapse:collapse;">
	  <thead>
		<tr  style="background-color:#CCC;">

			<th align="center">Forma Pago</th>
			<th align="center">Monto</th>
			<th align="center">Datos</th>
		</tr>
	  </thead>
	  <tbody>
<?php 
 
$monto_abonar_acum=0;		  
while(!$rs->EOF){
	
$monto_abonar_acum+=$rs->fields['monto_movimiento'];
	 ?>
		<tr>

			<td align="center"><?php echo antixss($rs->fields['formapago']); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['monto_movimiento']);  ?></td>
			<td align="right"><?php 
	
	if(trim($rs->fields['nrochq']) != ''){ 
		 echo 'CHEQUE NRO.: '.formatomoneda($rs->fields['nrochq'])."<BR />";  
	}
	if(trim($rs->fields['fecha_emision']) != ''){ 
		 echo 'FEC. EMISION: '.date("d/m/Y",strtotime($rs->fields['fecha_emision']))."<BR />";   
	}
	if(trim($rs->fields['banco']) != ''){ 
		 echo 'BANCO: '.antixss($rs->fields['banco'])."<BR />";  
	}
	if(trim($rs->fields['cuenta']) != ''){ 
		 echo 'CUENTA: '.antixss($rs->fields['cuenta'])."<BR />";  
	}
	if(trim($rs->fields['boleta_nro']) != ''){ 
		 echo 'BOLETA NRO.: '.antixss($rs->fields['boleta_nro'])."<BR />";   
	}
	if(trim($rs->fields['transfer_nro']) != ''){ 
		 echo 'TRANSFER NRO.: '.antixss($rs->fields['transfer_nro'])."<BR />";   
	}
	
	?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
		<tr bgcolor="#CCCCCC" style="font-weight:bold;">
			<td>Totales: 
			</td>
			<td align="CENTER"><?php echo formatomoneda($monto_abonar_acum);  ?></td>
			<td align="right">&nbsp;</td>


			
		</tr>
	  </tbody>
    </table>
</div>
<br />
	
<div align="center">
    <div style="width:90%; height:200px;border:1px solid #000000;">
    	<table width="600px;" height="192">

    		<tr>
            	<td width="84" height="28" valign="bottom"><strong>Tesoreria</strong></td>
              <td width="216" valign="bottom">..................................................</td>
                <td width="41" valign="bottom"><strong>Firma </strong></td>
                <td width="239" valign="bottom">......................................................</td>
            </tr>
            <tr>
            	<td width="84" height="40" valign="bottom"><strong>Administraci&oacute;n</strong></td>
                <td width="216" valign="bottom">..................................................</td>
                <td width="41" valign="bottom"><strong>Firma</strong></td>
                <td width="239" valign="bottom">........................................................</td>
          </tr>
           <tr>
            	<td width="84" height="35" valign="bottom"><strong>Recibido por</strong></td>
                <td width="216" valign="bottom">..................................................</td>
                <td width="41" valign="bottom"><strong>Firma</strong></td>
                <td width="239" valign="bottom">........................................................</td>
          </tr>
    	</table>
    </div>
</div>
</body>
</html>