<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
require_once("includes/rsusuario_padres.php"); 




// llenar estado de cuenta
$consulta="
INSERT INTO adherente_estadocuenta 
( fechahora, tipomov, idcliente, idadherente, idserviciocom, monto, idventa, idpago, idcta, idempresa, idpagodiscrim)
SELECT registrado_el as fechahora, 'D' as tipomov, idcliente, idadherente, idserviciocom, deuda_global as monto, idventa, 
NULL as idpago, idcta, idempresa , NULL as idpagodiscrim
from cuentas_clientes 
where 
idcta not in (
				select idcta 
				from adherente_estadocuenta 
				where 
				idempresa = cuentas_clientes.idempresa 
				and adherente_estadocuenta.idcliente = $idcliente
				and idcta is not null
			 )
and cuentas_clientes.estado <> 6
and cuentas_clientes.idcliente = $idcliente
order by registrado_el asc, idcta asc;
;
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$consulta="
INSERT INTO adherente_estadocuenta 
( fechahora, tipomov, idcliente, idadherente, idserviciocom, monto, idventa, idpago, idcta, idempresa, idpagodiscrim)
SELECT registrado_el as fechahora, 'C' as tipomov, idcliente, idadherente, idservicio as idserviciocom, monto_asignado as monto, NULL as idventa, idpago, NULL, idempresa, unicorrffg as idpagodiscrim
FROM adherentes_pagos_reg
where
monto_asignado > 0
and unicorrffg not in (
						select idpagodiscrim 
						from adherente_estadocuenta 
						where 
						idempresa = adherentes_pagos_reg.idempresa 
						and adherente_estadocuenta.idcliente = $idcliente
						and idpagodiscrim is not null
					  )
and adherentes_pagos_reg.estado <> 6
and adherentes_pagos_reg.idcliente = $idcliente
ORDER BY fecha ASC, unicorrffg asc;
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
/*$consulta="
INSERT INTO adherente_estadocuenta 
( fechahora, tipomov, idcliente, idadherente, idserviciocom, monto, idventa, idpago, idcta, idempresa, idpago_afavor)
SELECT fechahora, 'C' as tipomov, idcliente, idadherente, idserviciocom, monto, NULL as idventa, idpago, NULL, 1, idpago_afavor
FROM pagos_afavor_adh
where
idpago_afavor not in (
						select idpago_afavor 
						from adherente_estadocuenta 
						where 
						adherente_estadocuenta.idcliente = $idcliente
						and idpago_afavor is not null
					  )
and pagos_afavor_adh.estado <> 6
and pagos_afavor_adh.idcliente = $idcliente
ORDER BY registrado_el ASC, idpago_afavor asc;
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));*/

	
	
	//filtros
	$whereadd="";
	$orderby="";
	// filtro fijo
	if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
		$desde=date("Y-m-").'01';
		$hasta=date("Y-m-d");
	}else{
		$desde=date("Y-m-d",strtotime($_GET['desde']));
		$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
	}
	
	// otros filtos
	if(intval($_GET['adh']) > 0){
		$idadherente=antisqlinyeccion(trim($_GET['adh']),"int");
		$whereadd.=" and adherente_estadocuenta.idadherente = $idadherente ".$saltolinea;
		$buscar="Select nomape from adherentes where idempresa=$idempresa and idadherente=$idadherente";
		$rsadcl=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$adherente=$rsadcl->fields['nomape'];
	}else if(trim($_GET['adh']) == 'st'){
		$whereadd.=" and adherente_estadocuenta.idadherente = 0 ".$saltolinea;
		$adherente='SOLO TITULAR';
	} else {
		$adherente='TODOS';
		
	}
	if(intval($_GET['sc']) > 0){
		$idserviciocom=antisqlinyeccion(trim($_GET['sc']),"int");
		$whereadd.=" and adherente_estadocuenta.idserviciocom = $idserviciocom ".$saltolinea;
		$buscar="Select nombre_servicio from servicio_comida where idserviciocom=$idserviciocom";
		$rsff=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$servicios=$rsff->fields['nombre_servicio'];
	} else {
		$servicios='TODOS';
	}

	
	$buscar="
			 Select (
    				select sum(monto) from adherente_estadocuenta where tipomov = 'D' and fechahora < '$desde' and idcliente=$idcliente 
					$whereadd
						) as montodeb,
					(   
   					select sum(monto) from adherente_estadocuenta where tipomov = 'C' and fechahora < '$desde' and idcliente=$idcliente
					$whereadd
    				) as montocred  
    
   					from adherente_estadocuenta where idcliente=$idcliente 
					$whereadd
					limit 1 
	";	
	$rssal=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$saldocredito=intval($rssal->fields['montocred']);
	$saldodebito=intval($rssal->fields['montodeb']);
	$saldoinicial=$saldocredito-$saldodebito;
	$saldoacum=$saldoinicial;

	$consulta="
	select *
	from adherente_estadocuenta
	where 
	idcliente=$idcliente 
	and date(fechahora) between '$desde' and '$hasta'
	$whereadd
	order by fechahora asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	//echo $consulta;
	$tr=$rs->RecordCount();	


?><!DOCTYPE html>
<html lang="en">
  <head>
    <title><?php echo $empresa; ?></title>
<?php require_once("includes/head.php"); ?>
<script>
function filtra_form(){
	$("#filtrar_btn").hide();
	$("#estado_c").html('Cargando...');
	$("#form_est").submit();
}
function descarga_pdf(){
	window.open('estado_cuenta_pdf.php?adh=<?php echo htmlentities($_GET['adh']);?>&sc=<?php echo intval($_GET['sc']);?>&desde=<?php echo htmlentities($_GET['desde']);?>&hasta=<?php echo htmlentities($_GET['hasta']);?>','_blank');
}
</script>
  </head>
  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <div class="col-md-3 left_col">
          <div class="left_col scroll-view">

            <div class="clearfix"></div>

            <!-- menu profile quick info -->
<?php require_once("includes/profile.php"); ?>
            <!-- /menu profile quick info -->

            <br />

            <!-- sidebar menu -->
<?php require_once("includes/menu_lat.php"); ?>
            <!-- /sidebar menu -->

            <!-- /menu footer buttons -->
<?php require_once("includes/menu_footer.php"); ?>
            <!-- /menu footer buttons -->
          </div>
        </div>

        <!-- top navigation -->
<?php require_once("includes/top_navigation.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
              
              <div class="title_left" style="width:90%;">
                <h3>Estado de Cuenta</h3>
              </div>

              <!--<div class="title_right">
                <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-right top_search">
                  <div class="input-group">
                    <input type="text" class="form-control" placeholder="Search for...">
                    <span class="input-group-btn">
                      <button class="btn btn-default" type="button">Go!</button>
                    </span>
                  </div>
                </div>
              </div>-->
              
            </div>

            <div class="clearfix"></div>

            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Resumen</h2>
                    <!--<ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                      <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                        <ul class="dropdown-menu" role="menu">
                          <li><a href="#">Settings 1</a>
                          </li>
                          <li><a href="#">Settings 2</a>
                          </li>
                        </ul>
                      </li>
                      <li><a class="close-link"><i class="fa fa-close"></i></a>
                      </li>
                    </ul>-->
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                  
                  <form id="form_est" name="form_est" method="get" action="estado_cuenta.php">
<div class="col-md-9 col-sm-9 col-xs-12">
<label class="control-label col-md-3 col-sm-3 col-xs-12">Adherente/Hijo:</label> 
<?php 
	  
	$consulta="
	select * from adherentes where idcliente = $idcliente order by nomape asc
	";
	$rsad=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	  ?>
                            <select name="adh" id="adh" class="form-control">
                              <option value="0" <?php if($_GET['adh'] == 0){ ?> selected="selected"<?php } ?>>Todos</option>
                              <option value="st" <?php if($_GET['adh'] == 'st'){ ?> selected="selected"<?php } ?>>Solo Titular (excluir adherentes)</option>
                              <?php while(!$rsad->EOF){ ?>
                              <option value="<?php echo $rsad->fields['idadherente']; ?>" <?php if($rsad->fields['idadherente'] == $_GET['adh']){ ?>selected="selected"<?php } ?>><?php echo $rsad->fields['nomape']; ?></option>
                              <?php $rsad->MoveNext(); }?>
                            </select>
<label class="control-label col-md-3 col-sm-3 col-xs-12">Servicio</label>
<?php 
	  
	$consulta="
	select * from servicio_comida order by nombre_servicio asc  
	";
	$rssc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	  ?>
                            <select name="sc" id="sc" class="form-control">
                              <option value="0">Todos</option>
                              <?php while(!$rssc->EOF){ ?>
                              <option value="<?php echo $rssc->fields['idserviciocom']; ?>" <?php if($rssc->fields['idserviciocom'] == $_GET['sc']){ ?>selected="selected"<?php } ?>><?php echo $rssc->fields['nombre_servicio']; ?></option>
                              <?php $rssc->MoveNext(); }?>
                            </select>
<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde</label>                       
<input type="date" name="desde" id="desde" value="<?php echo $desde; ?>"  class="form-control" />
<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta</label>
<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>"  class="form-control" />  <br />
<input type="button" name="filtrar_btn" id="filtrar_btn" value="Filtrar" class="btn btn-success" onClick="filtra_form();"  />
</div>
</form>
 <hr />
  <div id="estado_c">
   
  <button type="button" class="btn btn-round btn-danger" onClick="descarga_pdf();">Descargar PDF</button><br /><br />
<table width="100%" class="table table-striped jambo_table bulk_action">
  <tr>
				<td  height="28" align="left" bgcolor="#FFFEC4"><strong>Fecha/Hora</strong></td>
				
				<td  align="right" bgcolor="#FFFEC4"><strong>D&eacute;bito</strong></td>
				<td  align="right" bgcolor="#FFFEC4"><strong>Cr&eacute;dito</strong></td>
				<td  align="right" bgcolor="#FFFEC4"><strong>Saldo Acumulado</strong></td>
		  </tr>
			<?php 

			?>
			<tr>
			  <td height="32"><strong>Saldo Anterior</strong></td>
				<td></td>
			  <td></td>
				<td align="right" <?php if($saldoinicial < 0){?>style="color:#FF0000;"<?php } ?>><strong><?php if($saldoinicial < 0){?><?php } ?><?php echo formatomoneda($saldoinicial,4,'N')?></strong></td>
		  </tr>
			<?php while(!$rs->EOF){
			$idventa=intval($rs->fields['idventa']);
			$idpago=intval($rs->fields['idpago']);
			$tipo=$rs->fields['tipomov'];
			
			if ($tipo=='C'){
				$credito=$rs->fields['monto'];
				$debito='';
				$tven=0;
			}
			if ($tipo=='D'){
				$credito='';
				$debito=$rs->fields['monto'];
				$buscar="Select  sum(cantidad) as cantidad,descripcion,idprod_serial,sum(subtotal) as subtotal
				from ventas_detalles
				inner join productos on productos.idprod_serial=ventas_detalles.idprod
				where ventas_detalles.idventa=$idventa group by idprod_serial order by descripcion asc";
				$rsven=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				$tven=$rsven->RecordCount();
				
			}
			$saldoacum=$saldoacum+(intval($credito)-intval($debito));
			?>
			
			<tr style="border-top: 1px solid #000;">
			  <td align="left" ><strong><?php echo date("d/m/Y H:i",strtotime($rs->fields['fechahora']));?></strong><?php if ($debito!=''){ ?><br />Ticket: <a href="ticket_detalle.php?tk=<?php echo $idventa?>" style="text-decoration:underline;"><?php echo $idventa?></a><?php }else{  ?><br />Pago: <?php echo $idpago ?><?php } ?></td>
		
				<td align="right"><span style="color:#ff0000;"><?php if ($debito!=''){ echo '-'.formatomoneda($debito);}?></span></td>
			  <td align="right"><?php if ($credito!=''){echo formatomoneda($credito);}?></td>
				<td align="right" <?php if($saldoacum < 0){?>style="color:#FF0000;"<?php } ?>><?php echo formatomoneda($saldoacum)?></td>
			</tr>
			<?php /*if ($tven > 0){?>
			<tr>
				
			  <td height="30" align="left">
					<div style="float: left; margin-left: 20px; border: 1px solid #EDEDED">
					<table width="60%">
					<?php while (!$rsven->EOF){?>
						<tr>
							<td  align="left"><?php echo $rsven->fields['descripcion']?></td>
							<td align="left">-></td>
							<td  align="center"><?php echo formatomoneda($rsven->fields['cantidad'],'f');?></td>
							<td  align="right"><?php echo formatomoneda($rsven->fields['subtotal'],'f');?></td>
						</tr>	
					<?php $rsven->MoveNext();}?>
					</table>
					</div>
			  </td>
			  <td height="30" colspan="3" align="left">&nbsp;</td>
		  </tr>
			
			<?php } */?>
			<?php $rs->MoveNext();}?>
			<tr>
			  <td height="30" align="left" bgcolor="#DCDCDC"><strong>Total:</strong></td>
			  <td height="30" align="left" bgcolor="#DCDCDC">&nbsp;</td>
			  <td height="30" align="left" bgcolor="#DCDCDC">&nbsp;</td>
			  <td height="30" align="right" bgcolor="#DCDCDC" <?php if($saldoacum < 0){?>style="color:#FF0000;"<?php } ?>><strong><?php echo formatomoneda($saldoacum)?></strong></td>
	      </tr>
		</table>
</div>   
                  <br /><br />
                  
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
<?php require_once("includes/footer.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/final.php"); ?>
  </body>
</html>
