<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
require_once("includes/rsusuario_padres.php"); 

?><!DOCTYPE html>
<html lang="en">
  <head>
    <title><?php echo $empresa; ?></title>
<?php require_once("includes/head.php"); ?>
  </head>
  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <div class="col-md-3 left_col">
          <div class="left_col scroll-view">

            <div class="clearfix"></div>

            <!-- menu profile quick info -->
<?php require_once("includes/profile.php"); ?>
            <!-- /menu profile quick info -->

            <br />

            <!-- sidebar menu -->
<?php require_once("includes/menu_lat.php"); ?>
            <!-- /sidebar menu -->

            <!-- /menu footer buttons -->
<?php require_once("includes/menu_footer.php"); ?>
            <!-- /menu footer buttons -->
          </div>
        </div>

        <!-- top navigation -->
<?php require_once("includes/top_navigation.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
              <div class="title_left">
                <h3>Preferencias</h3>
              </div>

              <div class="title_right">
                <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-right top_search">
                  <!--<div class="input-group">
                    <input type="text" class="form-control" placeholder="Search for...">
                    <span class="input-group-btn">
                      <button class="btn btn-default" type="button">Go!</button>
                    </span>
                  </div>-->
                </div>
              </div>
            </div>

            <div class="clearfix"></div>

            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Cambiar Preferencias</h2>
                    <!--<ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                      <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                        <ul class="dropdown-menu" role="menu">
                          <li><a href="#">Settings 1</a>
                          </li>
                          <li><a href="#">Settings 2</a>
                          </li>
                        </ul>
                      </li>
                      <li><a class="close-link"><i class="fa fa-close"></i></a>
                      </li>
                    </ul>-->
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    
                    <div class="col-md-12 col-sm-12 col-xs-12 profile_left">
                      <div class="profile_img">

                      </div>
                      <h3><?php echo $nombre; ?> <?php echo $apellido; ?></h3>

                      <ul class="list-unstyled user_data">
                        <li><i class="fa fa-file-o user-profile-icon"></i> <strong>Razon Social:</strong> <?php echo $rsUSER->fields['razon_social']; ?>
                        </li>
                        <li><i class="fa fa-file-o user-profile-icon"></i> <strong>RUC:</strong> <?php echo $rsUSER->fields['ruc']; ?>
                        </li>
                      <hr />
                        <li><i class="fa fa-user user-profile-icon"></i> <strong>Usuario:</strong> <?php echo $rsUSER->fields['us_web']; ?>
                        </li>

                        <li>
                          <i class="fa fa-envelope user-profile-icon"></i> <strong>Email:</strong> <?php echo strtolower($rsUSER->fields['email']); ?>
                        </li>

                        <li class="m-top-xs">
                          <i class="fa fa-child user-profile-icon"></i> <strong>Nombre Corto:</strong> <?php echo capitalizar($rsUSER->fields['nombre_corto']); ?>
                        </li>
                        
                        <li class="m-top-xs">
                          <i class="fa fa-question-circle user-profile-icon"></i> <strong>Genero:</strong> <?php if($rsUSER->fields['sexo'] == 'F'){ echo "Femenino"; }else{ echo "Masculino"; } ?>
                        </li>
                        
                      </ul>

                      <a class="btn btn-primary" href="pref_cambio_datos.php"><i class="fa fa-edit m-right-xs"></i>Editar Datos</a>
                       <a class="btn btn-success" href="pref_cambio_clave.php"><i class="fa fa-edit m-right-xs"></i>Cambiar Contrase&ntilde;a</a>
                      <br>

                      

                    </div>
                    
                    
                    
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
<?php require_once("includes/footer.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/final.php"); ?>
  </body>
</html>
