<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="84";
require_once("includes/rsusuario.php"); 


$idpantallacocina=intval($_GET['id']);

$consulta="
SELECT pantalla_cocina.*, sucursales.nombre as sucursal
FROM pantalla_cocina
inner join sucursales on pantalla_cocina.idsucursal = sucursales.idsucu
where
pantalla_cocina.borrado = 'N'
and pantalla_cocina.idpantallacocina = $idpantallacocina
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

if(intval($rs->fields['idpantallacocina']) == 0){
	header("location: impresoras.php");	
	exit;
}


if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$consolida=antisqlinyeccion($_POST['consolida'],"text");
	$idsucursal=antisqlinyeccion($_POST['idsucu'],"int");
	$descripcion=antisqlinyeccion($_POST['descripcion'],"text");
	$borrado=antisqlinyeccion($_POST['borrado'],"text");
	$muestra_fecha=antisqlinyeccion($_POST['muestra_fecha'],"text");
	$muestra_operador=antisqlinyeccion($_POST['muestra_operador'],"text");
	$usa_sonido=antisqlinyeccion($_POST['usa_sonido'],"text");
	$resalta_efectivo=antisqlinyeccion($_POST['resalta_efectivo'],"text");
	$marca_notificado_auto=antisqlinyeccion($_POST['marca_notificado_auto'],"text");
	$marca_cocinado_idimpresora=antisqlinyeccion($_POST['idimpresoratk'],"text");
	$tipo_visual_det=antisqlinyeccion($_POST['tipo_visual_det'],"text");



	if(trim($_POST['consolida']) == ''){
		$valido="N";
		$errores.=" - El campo consolida no puede estar vacio.<br />";	
	}

	if(trim($_POST['descripcion']) == ''){
		$valido="N";
		$errores.=" - El campo descripcion no puede estar vacio.<br />";	
	}

	if(trim($_POST['muestra_fecha']) == ''){
		$valido="N";
		$errores.=" - El campo muestra_fecha no puede estar vacio.<br />";	
	}
	if(trim($_POST['muestra_operador']) == ''){
		$valido="N";
		$errores.=" - El campo muestra_operador no puede estar vacio.<br />";	
	}
	if(trim($_POST['usa_sonido']) == ''){
		$valido="N";
		$errores.=" - El campo usa_sonido no puede estar vacio.<br />";	
	}
	if(trim($_POST['resalta_efectivo']) == ''){
		$valido="N";
		$errores.=" - El campo resalta_efectivo no puede estar vacio.<br />";	
	}
	if(trim($_POST['marca_notificado_auto']) == ''){
		$valido="N";
		$errores.=" - El campo marca_notificado_auto no puede estar vacio.<br />";	
	}
	if(trim($_POST['tipo_visual_det']) == ''){
		$valido="N";
		$errores.=" - El campo tipo_visual_det no puede estar vacio.<br />";	
	}
	
	if(trim($_POST['tipo_visual_det']) == 'T'){
		if(trim($_POST['consolida']) != 'S'){
			$valido="N";
			$errores.=" - El campo consolida debe estar en si cuando el tipo de visualizacion de detalle es todos.<br />";
		}		
	}

	// si envio impresora valida que pertenezca a la misma sucursal
	if(intval($_POST['idimpresoratk']) > 0){
		$consulta="
		SELECT idimpresoratk, CONCAT(descripcion,' | Suc: ',sucursales.nombre) AS descripcion, sucursales.idsucu
		FROM impresoratk
		inner join sucursales on sucursales.idsucu = impresoratk.idsucursal
		where
		borrado = 'N'
		and tipo_impresora = 'COC'
		and idimpresoratk = $marca_cocinado_idimpresora
		order by descripcion asc
		";
		$rsimp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idsucu_imp=intval($rsimp->fields['idsucu']);
		if(intval($_POST['idsucu']) != $idsucu_imp){
			$valido="N";
			$errores.=" - La sucursal de la impresora debe ser la misma que la de la pantalla.<br />";	
		}
	}


	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update pantalla_cocina
		set
			consolida=$consolida,
			idsucursal=$idsucursal,
			descripcion=$descripcion,
			muestra_fecha=$muestra_fecha,
			muestra_operador=$muestra_operador,
			usa_sonido=$usa_sonido,
			resalta_efectivo=$resalta_efectivo,
			marca_notificado_auto=$marca_notificado_auto,
			marca_cocinado_idimpresora=$marca_cocinado_idimpresora,
			tipo_visual_det=$tipo_visual_det
		where
			idpantallacocina = $idpantallacocina
			and borrado = 'N'
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: impresoras.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Editar Pantalla</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Pantalla *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="descripcion" id="descripcion" value="<?php  if(isset($_POST['descripcion'])){ echo htmlentities($_POST['descripcion']); }else{ echo htmlentities($rs->fields['descripcion']); }?>" placeholder="Descripcion" class="form-control" required="required" />                    
	</div>
</div>
	
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idsucu, nombre
FROM sucursales
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_POST['idsucu'])){ 
	$value_selected=htmlentities($_POST['idsucu']); 
}else{
	$value_selected=htmlentities($rs->fields['idsucursal']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idsucu',
	'id_campo' => 'idsucu',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idsucu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);		
?>               
	</div>
</div>



	
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Consolida *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['consolida'])){ 
	$value_selected=htmlentities($_POST['consolida']); 
}else{
	$value_selected=htmlentities($rs->fields['consolida']);
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'consolida',
	'id_campo' => 'consolida',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);   
?>         
	</div>
</div>



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Muestra fecha *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['muestra_fecha'])){ 
	$value_selected=htmlentities($_POST['muestra_fecha']); 
}else{
	$value_selected=htmlentities($rs->fields['muestra_fecha']);
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'muestra_fecha',
	'id_campo' => 'muestra_fecha',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);   
?> 
                  
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Muestra operador *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['muestra_operador'])){ 
	$value_selected=htmlentities($_POST['muestra_operador']); 
}else{
	$value_selected=htmlentities($rs->fields['muestra_operador']);
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'muestra_operador',
	'id_campo' => 'muestra_operador',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);   
?>                  
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Usa sonido *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['usa_sonido'])){ 
	$value_selected=htmlentities($_POST['usa_sonido']); 
}else{
	$value_selected=htmlentities($rs->fields['usa_sonido']);
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'usa_sonido',
	'id_campo' => 'usa_sonido',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);   
?> 
                 
	</div>
</div>
	
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Marca Notificado Auto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['marca_notificado_auto'])){ 
	$value_selected=htmlentities($_POST['marca_notificado_auto']); 
}else{
	$value_selected=htmlentities($rs->fields['marca_notificado_auto']);
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'marca_notificado_auto',
	'id_campo' => 'marca_notificado_auto',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);   
?> 
                 
	</div>
</div>
	

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Resalta Efectivo Self *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['resalta_efectivo'])){ 
	$value_selected=htmlentities($_POST['resalta_efectivo']); 
}else{
	$value_selected=htmlentities($rs->fields['resalta_efectivo']);
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'resalta_efectivo',
	'id_campo' => 'resalta_efectivo',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);   
?> 
                 
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Impresora Asignada *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idimpresoratk, CONCAT(descripcion,' | Suc: ',sucursales.nombre) AS descripcion 
FROM impresoratk
inner join sucursales on sucursales.idsucu = impresoratk.idsucursal
where
borrado = 'N'
and tipo_impresora = 'COC'
order by descripcion asc
";

// valor seleccionado
if(isset($_POST['idimpresoratk'])){ 
	$value_selected=htmlentities($_POST['idimpresoratk']); 
}else{
	$value_selected=htmlentities($rs->fields['marca_cocinado_idimpresora']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idimpresoratk',
	'id_campo' => 'idimpresoratk',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idimpresoratk',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'NINGUNA',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?> 
                 
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo Visualizacion detalle *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['tipo_visual_det'])){ 
	$value_selected=htmlentities($_POST['tipo_visual_det']); 
}else{
	$value_selected=htmlentities($rs->fields['tipo_visual_det']);
}
// opciones
$opciones=array(
	'Productos Asignados (Recomendado)' => 'A',
	'Todos los Productos' => 'T'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'tipo_visual_det',
	'id_campo' => 'tipo_visual_det',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);   
?> 
                 
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='impresoras.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />
<strong>* Impresora Asignada:</strong> Se utiliza para la impresion de marcar cocinado en pantalla, se imprime por tanda omitiendo la asignacion de productos a impresoras en vez de eso toma la asignacion que tenia el producto a la pantalla en el momento que se dio click en cocinado y lo hace por tanda de asignacion, osea por item o por pedido completo solo los productos asignados a la pantalla.<br />
<strong>* Tipo Visualizacion detalle:</strong> En todos los casos solo se mostraran pedidos con productos asignados a esta pantalla, pero si se selecciona completo se mostrara todos los productos de ese pedido incluso si no estan asignados a la pantalla siempre que exista al menos un producto asignado a la pantalla en ese pedido.<br />
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
