<?php
/*---------------------------------------
31/07/2024: se mejora interfaz
// Mostrar todos los errores de PHP
error_reporting(E_ALL);

// Habilitar la visualización de errores
ini_set('display_errors', '1');

---------------------------------------------*/


require_once("includes/conexion.php");
require_once("includes/funciones.php");
require_once("includes/funciones_cobros.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php");
require_once("includes/funciones_ventas.php");
/*-------------------------------PREFERENCAS--------------------------*/
$buscar="Select * from preferencias where idempresa=$idempresa";
$rspref=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$usa_adherente=trim($rspref->fields['usa_adherente']);
$script=trim($rspref->fields['script_factura']);
$usa_descuento=$rspref->fields['usa_descuento'];
$bloquear=intval($rspref->fields['autorizar']);
$controlfactura=intval($rspref->fields['controlafactura']);


$impresor='http://localhost/impresorweb/ladocliente_estacionamiento.php';
$script_impresora=$impresor;

/*--------------------------------RECIBE DATOS---------------------------*/
$idp=intval($_REQUEST['idp']);
$tipo_venta=intval($_REQUEST['tipoven']);
$monto_cobrar=floatval($_REQUEST['lkv']);
$recibido=floatval($_REQUEST['recibe']);
$vuelto=floatval($_REQUEST['vuelto']);
$factura=trim($_REQUEST['factu1']);
$ruc=trim($_REQUEST['ruc']);
$rz=trim($_REQUEST['rz']);
$suc=trim($_REQUEST['sucu1']);
$pex=trim($_REQUEST['pun1']);
$moneda=intval($_REQUEST['monel']);
$idcanal=1;//ver para cambiar o mantener
$idadh=intval($_POST['idadherente']);
$formaventa=intval($_POST['fventa']);//Credito-Contado

/*-----------------------------------CONTROLES BASICOS----------------------------*/
/*
//comprobamos si tiene permisis de cajero
$array_entrada['empresaid']="$idempresa";
$array_entrada['sucursalid']="$idsucursal";
$array_entrada['idcajero']="$idusu";
$permitecobrar=comprobar_permisos_cajero($array_entrada);
if ($permitecobrar=='N'){
	header("location: parking_adm.php?permi=0");exit;
}*/
/*----------------------
//Comprobar caja abierta 
$array_entrada=array();

$array_entrada['idcajero']="$idusu";
$array_entrada['sucursalid']="$idsucursal";
$comprobarcaja=comprobar_caja($array_entrada);
if ($comprobarcaja==0){
	header("location: gest_administrar_caja.php");exit;
}
------------------*/
// comprobar existencia de deposito del tipo salon de ventas
$consulta="
SELECT * 
FROM gest_depositos
where
tiposala = 2
and idempresa = $idempresa
and idsucursal = $idsucursal
and estado = 1
";
//echo $consulta;
$rsdep = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$iddeposito=intval($rsdep->fields['iddeposito']);
if($iddeposito == 0){
	$errores.="No existe deposito de ventas asignado a la sucursal actual.";
	$valido="N";
}

//Comprobar apertura de caja en fecha establecida
$buscar="Select * from caja_super where estado_caja=1 and cajero=$idusu and sucursal = $idsucursal and tipocaja = 1 order by fecha desc limit 1";
$rscaja=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idcaja=intval($rscaja->fields['idcaja']);
$estadocaja=intval($rscaja->fields['estado_caja']);
$idcaja_compartida=intval($rscaja->fields['idcaja_compartida']);
if($idcaja_compartida > 0){
	$idcaja=$idcaja_compartida;
}
if ($idcaja==0){
	$errores.="- La caja debe estar abierta para poder realizar una venta.";
	$valido="N";
}
if ($estadocaja==3){
	$errores.="- La caja debe estar abierta para poder realizar una venta.";
	$valido="N";
}

//Traemos la numeracion de factura secuencia x sucursal y punto expedicion

if ($controlfactura==1){


//Traemos la numeracion de factura secuencia x sucursal y punto expedicion

	$ano=date("Y");
	// busca si existe algun registro
	$buscar="
	Select idsuc, numfac as mayor 
	from lastcomprobantes 
	where 
	idsuc=$factura_suc 
	and pe=$factura_pexp 
	order by ano desc 
	limit 1";
	$rsfactura=$conexion->Execute($buscar) or die(errorpg( $conexion,$buscar));

	//$maxnfac=intval(($rsfactura->fields['mayor'])+1);
	// si no existe inserta
	if(intval($rsfactura->fields['idsuc']) == 0){
		
		$consulta="
		INSERT INTO lastcomprobantes
		(idsuc, factura, numfac, recibo, numrec, tickete, numtk, ano, pe, numcheque, secuencia_cancela, 
		numhoja, hojalevante, idempresa) 
		VALUES
		($factura_suc, 0, 0, NULL, 0, NULL, 0, $ano, $factura_pexp, NULL, 
		NULL, 0, '', $idempresa)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	}
	$ultfac=intval($rsfactura->fields['mayor']);
	if($ultfac == 0){
		$maxnfac=1;	
	}else{
		$maxnfac=intval(($rsfactura->fields['mayor'])+1);	
	}
}
//Buscamos si hay cabecera, sino usamos el tradicional
$buscar="Select * from cabeceras where idempresa=$idempresa and idsucursal=$idsucursal";
$rcab=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
//echo $buscar;
if ($rcab->fields['sucursal']!=''){
	$parte1=intval($rcab->fields['sucursal']);
	$parte2=intval($rcab->fields['puntoexp']);
	$a=strlen($parte1);$b=strlen($parte2);
	$part1='';$part2='';
	if ($a <3){
		$df=3-$a;
		for ($i=1;$i<=$df;$i++){
			$part1=$part1.'0';
		}
		
	}
    $parte1f=$part1.$parte1;
	if ($b <3){
		$df=3-$b;
		for ($i=1;$i<=$df;$i++){
			$part2=$part2.'0';
		}
		
	}
    $parte2f=$part2.$parte2;
} else {
	$parte1f='001';
	$parte2f='001';
	
	
}




/*------------------------VALIDACIONES------------------------------*/
$valido='S';

if($idp==0){
	$errores.="no se recibio el id unico del parking";
	$valido='N';
} else{
	$buscar="Select * from park where idpark=$idp";
	$rspark=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$chapa=antisqlinyeccion($rspark->fields['chapa'],'text');
	$obs=antisqlinyeccion($rspark->fields['obs'],'text');
}
if($tipo_venta==0){
	$errores.="Debe indicar ticket o factura";
	$valido='N';
}
if($tipo_venta==1 && $factura==''){
	$errores.="La factura no puede estar vacia";
	$valido='N';
}
if($monto_cobrar==0){
	$errores.="Debe indicar monto a cobrar";
	$valido='N';
}
if($recibido==0){
	$errores.="Debe indicar monto recibido";
	$valido='N';
}
if($ruc==''){
	$errores.="Debe indicar RUC o X";
	$valido='N';
}
if($rz==''){
	$errores.="Debe indicar Razon Social";
	$valido='N';
}

//Por ahora como es un solo producto, buscamos el id asociado
$buscar="Select * from productos where idtipoproducto=7 order by idprod_serial DESC limit 1";
$rsp=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idproducto=intval($rsp->fields['idprod_serial']);
$precio=intval($rsp->fields['p1']);
$iva=intval($rsp->fields['tipoiva']);
if($idproducto==0){
	$errores.="El producto servicio no ha sido generado. No se puede facturar";
	$valido='N';
}

/*--------------------------------------------------------------*/
//Verificar si ya es cliente el ruc ingresado
if($ruc!='' && $ruc!='X'){
	$buscar="Select idcliente from cliente where ruc=$ruc and estado <> 6";
	$rcli=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idcliente=intval($rcli->fields['idcliente']);
} else {
	if($ruc=='X'){
		$idcliente=1;
	}
	
	
}

if($idcliente==0){

	//echo "Generando cliente...<br />";
	$nomape=str_replace("'","",$rz);
	$rz=str_replace("'","",$rz);
	$email=str_replace("'","",$email);
	$ex=explode(" ",$nomape);
	$nombres=$ex[0];
	$apellidos=$ex[1];
	$tipodocu=1;
	$parametros_array=array(
	'idusu' => $idusu,
	'idvendedor' => '',
	'sexo' => '',
	'nombre' => $nombres,
	'apellido' => $apellidos,
	'nombre_corto' => $_POST['nombre_corto'],
	'idtipdoc' => $tipodocu,
	'documento' => '',
	'ruc' => $ruc,
	'telefono' => '',
	'celular' => '',
	'email' => '',
	'direccion' => NULL,
	'comentario' => '',
	'fechanac' => '',
	'idclientetipo' => 1,
	'razon_social' => $rz,
	'fantasia' => $nomape,
	'ruc_especial' => $_POST['ruc_especial'],
	'idsucursal' => $idsucursal,
	);
	//print_r($parametros_array);exit;
	$res=validar_cliente($parametros_array);
	
	if($res['valido'] != 'S'){
		//echo "Cliente error:...<br />";
			
		$continuar_proceso='N';
		$errores=nl2br($res['errores']);
		$valido='N';

	} 
}
//echo $valido;exit;
if($valido=='S'){
	
	$rz=antisqlinyeccion($rz,'text');
	$ruc=antisqlinyeccion($ruc,'text');

	/*----------------------------------------------CREAR PEDIDO--------------------------------*/
	$consulta="
	INSERT INTO tmp_ventares
	(idproducto, cantidad, precio, fechahora, usuario, registrado, idsucursal, idempresa, receta_cambiada, borrado, combinado, idprod_mitad1, idprod_mitad2,subtotal,idmesa,iva,chapa,observacion) 
	VALUES 
	($idproducto,1,$precio, '$ahora',$idusu, 'N', $idsucursal, $idempresa, 'N', 'N', 'N', NULL, NULL,$monto_cobrar,0,$iva,$chapa,$obs)
	;
	";
	
	 $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$buscar="select idventatmp from tmp_ventares where idproducto=$idproducto and usuario=$idusu and registrado='N' order by idventatmp desc limit 1";
	$rsbusca1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idtmp=intval($rsbusca1->fields['idventatmp']);
	
	$consulta="
		INSERT INTO tmp_ventares_cab
		(razon_social, ruc, chapa, observacion, monto, idusu, fechahora, idsucursal, idempresa,idcanal,delivery,idmesa,
		telefono,delivery_zona,direccion,llevapos,cambio,observacion_delivery,delivery_costo,iddomicilio,idclientedel,nombre_deliv,apellido_deliv,idatc,notificado) 
		VALUES 
		($rz, $ruc, $chapa, $obs, $monto_cobrar, $idusu, '$ahora', $idsucursal, $idempresa,1,'N',0,
		0,NULL,NULL,NULL,$vuelto,NULL,NULL,NULL,NULL,NULL,NULL,0,'S')
		";
		//echo $consulta;exit;
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
		// buscar ultimo id insertado
		$consulta="
		select idtmpventares_cab
		from tmp_ventares_cab
		where
		idusu = $idusu
		and idsucursal = $idsucursal
		order by idtmpventares_cab desc
		limit 1
		";
	
		$rscab = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idtmpventares_cab=$rscab->fields['idtmpventares_cab'];
		
	// marcar como finalizado
		$consulta="
		update tmp_ventares
		set 
		idtmpventares_cab = $idtmpventares_cab,
		finalizado = 'S',
		cocinado='S',
		retirado='S',
		impreso_coc='S'
		where
		usuario = $idusu
		and registrado = 'N'
		and borrado = 'N'
		and finalizado = 'N'
		and idsucursal = $idsucursal
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	/*--------------------------------------------GENERAR VENTA--------------------------------*/
	$carrito_pagos[0] = array('idformapago' => 1, 'monto' => $monto_cobrar);

		//$idtmpventares_cab=994;
		// validar venta
			$parametros_array_vta=array(
			'idcaja' => $idcaja,
			'afecta_caja' => 'S', 
			'iddeposito' => $iddeposito,
			'idtmpventares_cab' => $idtmpventares_cab,
			'idsucursal' => $idsucursal,
			'idempresa' => $idempresa,
			'factura_suc' => $suc,
			'factura_pexp' => $pex,
			'factura_nro' => $factura,
			'registrado_por' => $idusu,
			'idcliente' => $idcliente,
			'idmoneda' => 1,
			'tipo_venta' => 1,
			'fecha' => $ahora,
			'descuento_factura' => 0,
			'detalle_agrupado' => 'N',
			'detalle_pagos' => $carrito_pagos,

		);
		//print_r($parametros_array_vta);exit;
		$res=validar_venta($parametros_array_vta);
		if($res['valido'] == 'N'){
			$errores.=nl2br($res['errores']);	
			$valido="N";
			
			
			$consulta="
			update tmp_ventares
			set 
			registrado='S'
			where
			idtmpventares_cab = $idtmpventares_cab
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			// anula el pedido
			$consulta="
			update tmp_ventares_cab
			set 
			estado = 3,finalizado='S',registrado='S'
			where
			idtmpventares_cab = $idtmpventares_cab
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			$valido='N';
			
			echo $errores;exit;
		}
		
		$idv=registrar_venta($parametros_array_vta);


	/*----------------------------------FINALIZAR REGISTRO DEL PARKING---------------------------*/

	if ($idp>0 && $valido=='S' && $idv>0){
		//cobramos cerramos y ultimo registramos la venta para ese articulo

		$deudags=floatval($_REQUEST['lkv']);
		$tipomoneda=intval($_REQUEST['monel']);
		$ahorad=date("Y-m-d")	;
		$consulta="
					select cotizaciones.cotizacion,cotizaciones.tipo_moneda,descripcion
						from cotizaciones
						inner join tipo_moneda on tipo_moneda.idtipo=cotizaciones.tipo_moneda
						where 
						cotizaciones.estado = 1 
						and date(cotizaciones.fecha) = '$ahorad'
						and tipo_moneda.idtipo = cotizaciones.tipo_moneda
						and idtipo=$tipomoneda
					limit 1
					";
		$rsmoneda=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));		
		 $mchar=trim($rsmoneda->fields['descripcion']);
		
		$recibido=floatval($_REQUEST['recibe']);
		$vuelto=floatval($_REQUEST['vuelto']);
		$ahorat=date("Y-m-d H:i:s");
		$solofecha=date("dmY");
		$solohora=date("His");
		$des=1;//cod para descarte
		$ahora=date("Y-m-d H:i:s");
		$ahora1=date("d/m/Y H:i:s",strtotime($ahora));
		
		$solofecha1=date("Y-m-d",strtotime($ahora));
		$solohora1=date("H:i:s",strtotime($ahora));	
		$explota=explode("-",$solofecha1);
		$dia=$explota[2];
		$mes=$explota[1];
		$ano=substr($explota[0],2,5);
		//Separamos la hora
		$hora=explode(":",$solohora1);
		$h=$hora[0];
		$m=$hora[1];
		$se=$hora[2];
		$compuesto=($dia.$mes.$ano.$h.$m.$se);	
				
		
		$insertar="Insert into park_cobranzas
		(monto_cobrado,cobrado_el,cobrado_por,monto_recibido,vuelto	,
		idtipomoneda,anulado_el,anulado_por,codigo_unico_tk,idparkref,estado,procesado	
		,idventa,idtmpventarescab,idcaja)
		values
		($deudags,'$ahora',$idusu,$recibido,$vuelto,
		$tipomoneda,NULL,NULL,'$compuesto',$idp,1,'S'
		,$idv,$idtmpventares_cab,$idcaja)";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
		
		//ahora marcamos la culminacion y registramos el tiempo
		
		$update="update park set estado=3, salida='$ahora' where idpark=$idp";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		
		//Ahora que finalizo,generamos un  ticket de salida
		
		header("Location: impresor_motor_parking.php?idu=$idp&idv=$idv");
		exit;
		
	$tickete="
	----------------------------------------
	$nombreempresa_centrado
				Vuelva Pronto!
	----------------------------------------
	ID unico       	: $idp
	Salida         	: $ahora
	CAJERO          : $cajero
	Monto Recibido	: $recibido
	Vuelto			: $vuelto
	Moneda			: $mchar
	----------------------------------------
	Gracias por su preferencia";		
		
	$texto=trim($tickete);
			
	$listo=1;		

		
	}
} else {
	echo $errores;
	
	
}

echo "FIN";exit;

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
	<script type="text/javascript">

function imprime_cliente(){
		//alert('a');
		var texto = document.getElementById("texto").value;
		var compuesto=document.getElementById("dat").value;
		//var tim=document.getElementById("tim").value;
		//alert(texto);
        var parametros = {
                "tk"             : texto,
				"compuesto"		 : compuesto,
				"duplic_control" : "N"
        };
       $.ajax({
                data:  parametros,
                url:   '<?php echo $script_impresora; ?>',
                type:  'post',
				dataType: 'html',
                beforeSend: function () {
                        $("#impresion_box").html("Enviando Impresion...");
                },
				crossDomain: true,
                success:  function (response) {
					
						$("#impresion_box").html(response);	
						//si impresion es correcta marcar
						var str = response;
						var res = str.substr(0, 18);
						//alert(res);
						if(res == 'Impresion Correcta'){
							
								document.location.href='parking_adm.php';
							
						
						}else{
							$("#impresion_box").html(response);	
						}
						
                }
        });
	
}

</script>
  </head>




<body class="nav-md" <?php if ($listo==1){ ?> onLoad="imprime_cliente();" <?php } ?>>
    <div class="container body">
      <div class="main_container">
			   <div style="width:320px; border:1px solid; display:none;margin:0px auto; background-color:#FFFFFF; padding:5px; text-align:center; min-height:50px;" id="impresion_box">
				<p align="center">
				<input type="button" value="imprimir" style="padding:10px;" onmouseup="imprime_cliente();"></p>
			</div>
			<div style="width:320px; border:1px solid; margin:0px auto; background-color:#FFFFFF; padding:5px;">
<textarea readonly id="texto" style="display:none; width:315px; height:420px;"><?php echo $texto; ?></textarea>
<textarea readonly id="dat" style="display:none; width:315px; height:420px;"><?php echo $compuesto; ?></textarea>

<pre>
<?php //echo $texto; ?>
</pre>
</div>
		   <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
</body>
  <script>

  </script>
</html>

