<?php 
/*---------------------------------------
31/07/2024: se mejora interfaz


---------------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php");


function seg_a_hora($seg) { 
    $h = floor(($seg - ($d * 86400)) / 3600); 
    return $h;
 }
function seg_a_minuto($seg) { 
    $m = floor(($seg - ($d * 86400) - ($h * 3600)) / 60); 
    return $m;
 }
function seg_a_dhms($seg) { 
    $d = floor($seg / 86400); 
    $h = floor(($seg - ($d * 86400)) / 3600); 
    $m = floor(($seg - ($d * 86400) - ($h * 3600)) / 60); 
    $s = $seg % 60;
	if ($d > 0){
		$add1="$d Días,";
	}
	if ($h >0){
		$add2="$h hs,";
	}
	if ($m > 0){
		$add3="$m min,";
	}
	$texto="$add1 $add2 $add3 ".$s." seg.";
    return $texto;
 }
 function seg_a_compuesto($seg) { 
    $d = floor($seg / 86400); 
    $h = floor(($seg - ($d * 86400)) / 3600); 
    $m = floor(($seg - ($d * 86400) - ($h * 3600)) / 60); 
    $s = $seg % 60;
	if ($d >= 0){
		$add1="$d:";
	}
	if ($h >=0){
		$add2="$h:";
	}
	if ($m >= 0){
		$add3="$m:";
	}
	$texto="$add1 $add2 $add3 ".$s." seg.";
    return $texto;
 }





$idpark=intval($_POST['idpark']);

$buscar="Select *, TIME_TO_SEC(TIMEDIFF(now(),entrada)) transcurridoseg from park where idpark=$idpark ";
$rsl1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));


$buscar="Select * from park_fracciones limit 1";
$rsf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$fraccion_hora=floatval($rsf->fields['fraccion_hora']);
$fraccion_minuto=floatval($rsf->fields['fraccion_minuto']);
$fraccion_cada=intval($rsf->fields['fraccion_cada']);

$fechainicial=date("H:i:s",strtotime($rsl1->fields['entrada']));
		
		
$tsegundos=$rsl1->fields['transcurridoseg'];
//solo minutos
$solominuto=seg_a_minuto($rsl1->fields['transcurridoseg']);
$minuto=seg_a_minuto($tsegundos);
//echo $minuto;exit;
$ahorad=date("Y-m-d");
$tiempo=seg_a_dhms($tsegundos);
$tiempoex=seg_a_compuesto($tsegundos);

$xplo=explode(":",$tiempoex);
$dia=intval($xplo[0]);
$hora=intval($xplo[1]);
$minuto=intval($xplo[2]);
//echo "DIa: $dia Hora: $hora Minut:$minuto ";exit;
$adfraccion=0;
//echo $hora;exit;
if ($hora < 1 && $minuto >=$fraccion_cada){
	$hora=1;
} else {
	if ($hora <1 ){
		$hora=1;
	}
	if ($minuto >$fraccion_cada && $hora>0 && $minuto < 60){
		$adfraccion=$fraccion_minuto;
	}
}
$sugehora=$hora*$fraccion_hora+$adfraccion;



?>
<!--
<div class="col-md-12 col-xs-12">
	<button type="button" class="btn btn-primary"><span class="fa fa-check-square-o"></span> Tarifa Normal</button>
	<button type="button" class="btn btn-dark"><span class="fa fa-check-square-o"></span> Cobro Especial</button>
	<button type="button" class="btn btn-secondary"><span class="fa fa-check-square-o"></span> Cobro x lista Precio</button>
</div>
<div class="clearfix"></div>
-->
<div class="col-md-12 col-xs-12" id="listacobro">
	<?php require_once("parking_cobranza.php"); ?>


</div>
