<?php
/*----------------------------------------
03/01/2024: Se sube a todos

----------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="504";
require_once("includes/rsusuario.php"); 
if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}


// preferencias
$consulta="SELECT * FROM preferencias WHERE  idempresa = $idempresa ";
$rspref=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$impresor=trim($rspref->fields['script_ticket']);
$impresor=strtolower($impresor);
if ($impresor==''){
	$impresor='http://localhost/impresorweb/ladocliente.php';
}
$script_impresora=$impresor;

//Pedido de reposicion interno 
if (isset($_GET['idpedido']) && intval($_GET['idpedido']>0)){
	//Finalizamos e imprimimos el pedido en curso
	$idpedido=intval($_GET['idpedido']);
	if ($idpedido>0){
		$hh=date("Y-m-d H:i:s");
		$update="update pedidos_int_cabeza set estado=3,finalizado_el='$hh' where idpedidoint=$idpedido and estado=1";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		
		$buscar="
		Select * from pedidos_int_cabeza where registrado_por=$idusu and estado=3 and idpedidoint=$idpedido";
		$rsl=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$tr=$rsl->RecordCount();
		if ($tr >0){
			// centrar nombre de empresa
				$nombreempresa_centrado=corta_nombreempresa($nombreempresa);
				$fechapedido=date("d/m/Y H:i:s",strtotime($rsl->fields['finalizado_el']));
				
			
			
			
			
			//traemos el cuerpo de esta cabecera
				$buscar="select idproducto,descripcion,cantidad,subtotal,precio,observacion
						from pedidos_int_detalles 
						inner join productos on productos.idprod_serial=pedidos_int_detalles.idproducto
							where idpedidoint=$idpedido order by descripcion asc";

				$rscu=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tickete="$nombreempresa_centrado".$saltolinea;
$tickete.=texto_tk("REPOSICION INTERNA: $idpedido",40,'S').$saltolinea;
$tickete.="----------------------------------------".$saltolinea;
$tickete.="FECHA PEDIDO : $fechapedido".$saltolinea;
$tickete.="SUCURSAL     : $nombresucursal".$saltolinea;
$tickete.="----------------------------------------".$saltolinea;
$tickete.="CANTIDAD | PRODUCTO".$saltolinea;
$tickete.="----------------------------------------".$saltolinea;

while (!$rscu->EOF){
	$desc=substr(trim($rscu->fields['descripcion']),0,30);
	$obs=trim($rscu->fields['observacion']);
$cantidad=floatval($rscu->fields['cantidad']);
/*$tickete.="   $desc               X ".formatomoneda($cantidad,2,'N')."
";*/
$tickete.=agregaespacio(formatomoneda($cantidad,2,'N'),8)." | ".$desc.$saltolinea;
if ($obs!=''){
	$tickete.="----->  $obs ".$saltolinea;
}
$rscu->Movenext(); 
}
$tickete.="----------------------------------------".$saltolinea;
$tickete.="SOLICITADO POR: ".strtoupper($cajero).$saltolinea;
$texto=$tickete;				



				
				$listo=1;
		}
	}
}

$tlim=20;
{
	$buscar="Select * from productos where borrado='N' order by descripcion asc limit $tlim";
	$rsp=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	
}

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
	<script>
		function buscarproducto(valor){
			
			var fechaped=$("#fechapedido").val();
			
			if (fechaped!='' && valor!=''){
					//alert(fechaped);
				var parametros = {
					  "busqueda"            : valor
				};
				$.ajax({		  
					data:  parametros,
					url:   'pedido_interno_busca.php',
					type:  'post',
					cache: false,
					timeout: 5000,  
					crossDomain: true,
					beforeSend: function () {
							
					},
					success:  function (response) {
						$("#busqueda_local").html(response);
						//setTimeout(actualizar, 1000);
					},
					error: function(jqXHR, textStatus, errorThrown) {
						if(jqXHR.status == 404){
							alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
						}else if(jqXHR.status == 0){
							alert('Se ha rechazado la conexión.');
						}else{
							alert(jqXHR.status+' '+errorThrown);
						}
					}
					}).fail( function( jqXHR, textStatus, errorThrown ) {
								
						if (jqXHR.status === 0) {
					
							alert('No conectado: verifique la red.');
						
						} else if (jqXHR.status == 404) {
						
							alert('Pagina no encontrada [404]');
						
						} else if (jqXHR.status == 500) {
						
							alert('Internal Server Error [500].');
						
						} else if (textStatus === 'parsererror') {
						
							alert('Requested JSON parse failed.');
						
						} else if (textStatus === 'timeout') {
						
							alert('Tiempo de espera agotado, time out error.');
						
						} else if (textStatus === 'abort') {
						
							alert('Solicitud ajax abortada.'); // Ajax request aborted.
						
						} else {
						
							alert('Uncaught Error: ' + jqXHR.responseText);
						
						}
					});
				} else {
					alert("Debe indicar la fecha del pedido para continuar");
				}
		}
		function eliminar(idunico){
			if (idunico!=''){
				var parametros = {
					  "idunico": idunico
					 
				};
				$.ajax({		  
					data:  parametros,
					url:   'pedido_interno_carrito.php',
					type:  'post',
					cache: false,
					timeout: 5000,  
					crossDomain: true,
					beforeSend: function () {
							
					},
					success:  function (response) {
						$("#carrito_cargado").html(response);
						//setTimeout(actualizar, 1000);
					},
					error: function(jqXHR, textStatus, errorThrown) {
						if(jqXHR.status == 404){
							alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
						}else if(jqXHR.status == 0){
							alert('Se ha rechazado la conexión.');
						}else{
							alert(jqXHR.status+' '+errorThrown);
						}
					}
					}).fail( function( jqXHR, textStatus, errorThrown ) {
								
						if (jqXHR.status === 0) {
					
							alert('No conectado: verifique la red.');
						
						} else if (jqXHR.status == 404) {
						
							alert('Pagina no encontrada [404]');
						
						} else if (jqXHR.status == 500) {
						
							alert('Internal Server Error [500].');
						
						} else if (textStatus === 'parsererror') {
						
							alert('Requested JSON parse failed.');
						
						} else if (textStatus === 'timeout') {
						
							alert('Tiempo de espera agotado, time out error.');
						
						} else if (textStatus === 'abort') {
						
							alert('Solicitud ajax abortada.'); // Ajax request aborted.
						
						} else {
						
							alert('Uncaught Error: ' + jqXHR.responseText);
						
						}
					});
				
				
				
				
			}
		}
		function seleccionar(idproducto){
			var cantidadloc=$("#cantidad_"+idproducto).val();
			var obsloc=$("#obs_"+idproducto).val();
			var fechaped=$("#fechapedido").val();
			if (fechaped!='' && idproducto!=''){
			//alert(cantidad);
				var parametros = {
					  "idproducto": idproducto,
					  "cantidadl": cantidadloc,
					  "obsloc"	:obsloc,
					  "fechapedido" :fechaped
				};
				$.ajax({		  
					data:  parametros,
					url:   'pedido_interno_carrito.php',
					type:  'post',
					cache: false,
					timeout: 5000,  
					crossDomain: true,
					beforeSend: function () {
							
					},
					success:  function (response) {
						$("#carrito_cargado").html(response);
						setTimeout(actualizar(idproducto), 500);
					},
					error: function(jqXHR, textStatus, errorThrown) {
						if(jqXHR.status == 404){
							alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
						}else if(jqXHR.status == 0){
							alert('Se ha rechazado la conexión.');
						}else{
							alert(jqXHR.status+' '+errorThrown);
						}
					}
					}).fail( function( jqXHR, textStatus, errorThrown ) {
								
						if (jqXHR.status === 0) {
					
							alert('No conectado: verifique la red.');
						
						} else if (jqXHR.status == 404) {
						
							alert('Pagina no encontrada [404]');
						
						} else if (jqXHR.status == 500) {
						
							alert('Internal Server Error [500].');
						
						} else if (textStatus === 'parsererror') {
						
							alert('Requested JSON parse failed.');
						
						} else if (textStatus === 'timeout') {
						
							alert('Tiempo de espera agotado, time out error.');
						
						} else if (textStatus === 'abort') {
						
							alert('Solicitud ajax abortada.'); // Ajax request aborted.
						
						} else {
						
							alert('Uncaught Error: ' + jqXHR.responseText);
						
						}
					});
			}
			
		}
		function actualizar(idproducto){
			$("#btnprod_"+idproducto).prop("value", "Agregado!");
			
		}
		function imprime_cliente(){
		//alert('a');
		var texto = document.getElementById("texto").value;
		//alert(texto);
        var parametros = {
                "tk"            : texto,
				"duplic_control" : "N"
        };
       $.ajax({
                data:  parametros,
                url:   '<?php echo $script_impresora; ?>',
                type:  'post',
				dataType: 'html',
                beforeSend: function () {
                        $("#impresion_box").html("Enviando Impresion...");
                },
				crossDomain: true,
                success:  function (response) {
						//$("#impresion_box").html(response);	
						//si impresion es correcta marcar
						var str = response;
						var res = str.substr(0, 18);
						//alert(res);
						if(res == 'Impresion Correcta'){
							//document.location.href='gest_administrar_caja.php';
						}else{
							$("#impresion_box").html(response);	
						}
						
                }
        });
	
}
	</script>
  </head>

  <body class="nav-md" <?php if ($listo==1){?>onLoad="imprime_cliente();"<?php  } ?>>
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                     <h2>Reposici&oacute;n Interna</h2>&nbsp;
					<hr />
					<span class='fa fa-info-circle'></span>Utilice este panel, para solicitar reposiciones a la cocina.Imprime ticket de pedido interno.
					 
					 <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
				  
					<div class="col-md-6 col-sm-6 col-xs-12">
					 
						<div class="form-group row">
							<label class="col-form-label col-md-3 col-sm-3 ">Fecha Pedido</label>
							<div class="col-md-9 col-sm-9 ">
								<input type="date" name="fechapedido" id="fechapedido" value="<?php echo $hasta ?>" placeholder="Fecha pedido" class="form-control" onKeyup="buscarproducto(this.value);">
							</div>
						</div>
                      
                    </div>
					<div class="col-md-6 col-sm-6 col-xs-12">
						<div class="form-group row">
							<label class="col-form-label col-md-3 col-sm-3 ">Producto</label>
							<div class="col-md-9 col-sm-9 ">
								<input type="text" name="bproducto" id="bproducto" value="" placeholder="Producto" class="form-control" onKeyup="buscarproducto(this.value);">
							</div>
						</div>
                      
                    </div>
					
                   
						<hr />


					<div class='col-md-12 col-xs-12' id='busqueda_local'>
							<?php require_once('pedido_interno_busca.php'); ?>
					</div>
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
			<div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                     <h2>Productos Seleccionados</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content" id='carrito_cargado'>
							<?php require_once('pedido_interno_carrito.php'); ?>
					</div>
                </div>
              </div>
            </div>
            
          </div>
        </div>
        <!-- /page content -->
		<div style="width:320px; border:1px solid; margin:0px auto; background-color:#FFFFFF; padding:5px; text-align:center; min-height:50px;display:none;" id="impresion_box">
<p align="center"><input type="button" value="imprimir" style="padding:10px;" onmouseup="imprime_cliente();"></p>
</div><br />
<div style="width:320px; display:none;border:1px solid; margin:0px auto; background-color:#FFFFFF; padding:5px;">
<textarea readonly id="texto" style="display:; width:315px; height:300px;"><?php echo $texto; ?></textarea>
<pre>
<?php //echo $texto; ?>
</pre>
</div>
        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
		<script>
		
		</script>
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>

