<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="188";
require_once("includes/rsusuario.php"); 

$idpedidoanticipa=intval($_GET['id']);

$consulta="
select * 
from pedidos_anticipados
where
retirado_el is null
and estado = 1
and idpedidoanticipa = $idpedidoanticipa
order by fecha_retiro asc, registrado_el asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	//$idpedidoanticipa=antisqlinyeccion($_POST['idpedidoanticipa'],"int");
	$monto_abona=antisqlinyeccion($_POST['monto_abona'],"float");
	$fecha_abona=antisqlinyeccion($_POST['fecha_abona'],"text");
	$registrado_por=antisqlinyeccion($idusu,"int");
	$registrado_el=antisqlinyeccion($ahora,"text");
	//$idpedidoantabona=antisqlinyeccion($_POST['idpedidoantabona'],"int");
	// validaciones basicas
	$valido="S";
	$errores="";


	if(floatval($_POST['monto_abona']) <= 0){
		$valido="N";
		$errores.=" - El campo monto_abona no puede ser cero o negativo.<br />";	
	}
	if(trim($_POST['fecha_abona']) == ''){
		$valido="N";
		$errores.=" - El campo fecha_abona no puede estar vacio.<br />";	
	}



	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());


	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		insert into pedidos_anticipados_abona
		(idpedidoanticipa, monto_abona, fecha_abona, registrado_por, registrado_el)
		values
		($idpedidoanticipa, $monto_abona, $fecha_abona, $registrado_por, $registrado_el)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// actualiza los pagos
		$consulta="
		update pedidos_anticipados
		set
		anticipo_abonado = coalesce((select sum(monto_abona) from pedidos_anticipados_abona where idpedidoanticipa = $idpedidoanticipa and estado <> 6),0)
		where
		idpedidoanticipa = $idpedidoanticipa
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// actualiza el saldo
		$consulta="
		update pedidos_anticipados set saldo = monto_total-anticipo_abonado  where idpedidoanticipa = $idpedidoanticipa;
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		
		header("location: pedidos_anticipados.php");
		exit;
		
	}

}

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			      <?php require_once("includes/lic_gen.php");?>
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
				
                  <div class="x_title">
				 
				  <h2>Abonar Pedido Anticipado</h2>
                  
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
					
                    <div class="clearfix"></div>
					
                  </div>
                  <div class="x_content">

<?php if(trim($errores) != ""){ ?>
<div class="mensaje" style="border:1px solid #F00; background-color:#FFC; font-size:12px; padding:10px; margin:10px auto; width:500px; text-align:center;"><strong>Errores:</strong> <br /><?php echo $errores; ?></div><br />
<?php } ?>
<form id="form1" name="form1" method="post" action="">


<div class="col-md-6 col-sm-6 form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Monto a abonar *</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
    <input type="text" name="monto_abona" id="monto_abona" value="<?php  if(isset($_POST['monto_abona'])){ echo htmlentities($_POST['monto_abona']); }else{ echo htmlentities($rs->fields['monto_abona']); }?>" placeholder="Monto" class="form-control" required="required" />                    
    </div>
</div>

<div class="col-md-6 col-sm-6 form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha de Registro*</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
    <input type="text" name="fecha_abona" id="fecha_abona" value="<?php  if(isset($_POST['fecha_abona'])){ echo htmlentities($_POST['fecha_abona']); }else{ echo htmlentities($rs->fields['fecha_abona']); }?>" placeholder="Fecha" class="form-control" required="required" />                    
    </div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
       <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
       <button type="button" class="btn btn-primary" onMouseUp="document.location.href='pedidos_anticipados.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
<br /><br />
<?php 
$consulta="
SELECT * , (select usuario from usuarios where idusu = registrado_por) as registrado_por
FROM pedidos_anticipados_abona
WHERE
idpedidoanticipa = $idpedidoanticipa
and estado = 1
order by fecha_abona asc, registrado_el asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>
Pagos Activos:<br /><br />
<div class="table-responsive">
	<table width="100%" class="table table-bordered jambo_table bulk_action">
		<thead>
		<tr>
			<th></th>
			<th align="center">Fecha </th>
			<th align="center">Monto</th>
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>
			<th align="center">Anular</th>
		</tr>
		</thead>
		<?php while(!$rs->EOF){ ?>
  <tr>
    <td align="center"><?php echo date("d/m/Y",strtotime($rs->fields['fecha_abona'])); ?></td>
    <td align="right"><?php echo formatomoneda($rs->fields['monto_abona'],4,'N'); ?></td>
    <td align="center"><?php echo $rs->fields['registrado_por']; ?></td>
    <td align="center"><?php echo date("d/m/Y",strtotime($rs->fields['registrado_el'])); ?></td>
	<td>
	<div class="btn-group">
	<a href="pedidos_anticipados_abona_del.php?id=<?php echo $rs->fields['idpedidoantabona']; ?>"><span class="fa fa-trash"></span></a>
	</div>
	</td>
	</tr>

<?php $rs->MoveNext(); } ?>
		
		<tbody>

		</tbody>
	</table>
</div>







<br /><br />
<?php 
$consulta="
SELECT * , (select usuario from usuarios where idusu = registrado_por) as borrado_por
FROM pedidos_anticipados_abona
WHERE
idpedidoanticipa = $idpedidoanticipa
and estado = 6
order by fecha_abona asc, registrado_el asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>
Pagos Anulados:<br /><br />
<table width="100%" class="table table-bordered jambo_table bulk_action">
		<thead>
		<tr>
			<th></th>
			<th align="center">Fecha </th>
			<th align="center">Monto</th>
			<th align="center">Anulado por</th>
			<th align="center">Registrado el</th>
			<th align="center">Anulado el</th>
			<td align="center">Anular</td>
		</tr>
		</thead>
<?php while(!$rs->EOF){ ?>
  <tr>
    <td align="center"><?php echo date("d/m/Y",strtotime($rs->fields['fecha_abona'])); ?></td>
    <td align="right"><?php echo formatomoneda($rs->fields['monto_abona'],4,'N'); ?></td>
    <td align="center"><?php echo $rs->fields['borrado_por']; ?></td>
    <td align="center"><?php echo date("d/m/Y",strtotime($rs->fields['borrado_el'])); ?></td>
	<td>
	<div class="btn-group">
	<a href="pedidos_anticipados_abona_del.php?id=<?php echo $rs->fields['idpedidoantabona']; ?>"><span class="fa fa-trash"></span></a>
	</div>
	</td>
  </tr>
<?php $rs->MoveNext(); } ?>

<tbody>
</table>

<br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
 
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
