<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="21";
$submodulo="414";
require_once("includes/rsusuario.php"); 




$idpedidomas=intval($_GET['id']);
if($idpedidomas == 0){
	header("location: pedidos_masivo_cab.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from pedidos_masivo_cab 
where 
idpedidomas = $idpedidomas
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idpedidomas=intval($rs->fields['idpedidomas']);
if($idpedidomas == 0){
	header("location: pedidos_masivo_cab.php");
	exit;	
}




if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$idtandamas=antisqlinyeccion($_POST['idtandamas'],"int");
	$fechahora=antisqlinyeccion($_POST['fechahora'],"text");
	$idcliente=antisqlinyeccion($_POST['idcliente'],"int");
	$ruc=antisqlinyeccion($_POST['ruc'],"text");
	$razon_social=antisqlinyeccion($_POST['razon_social'],"text");
	$estado=1;




	if(intval($_POST['idtandamas']) == 0){
		$valido="N";
		$errores.=" - El campo idtandamas no puede ser cero o nulo.<br />";	
	}
	if(trim($_POST['fechahora']) == ''){
		$valido="N";
		$errores.=" - El campo fechahora no puede estar vacio.<br />";	
	}
	if(intval($_POST['idcliente']) == 0){
		$valido="N";
		$errores.=" - El campo idcliente no puede ser cero o nulo.<br />";	
	}
/* 
ruc 
	if(trim($_POST['ruc']) == ''){
		$valido="N";
		$errores.=" - El campo ruc no puede estar vacio.<br />";	
	}
*/
/* 
razon_social 
	if(trim($_POST['razon_social']) == ''){
		$valido="N";
		$errores.=" - El campo razon_social no puede estar vacio.<br />";	
	}
*/


	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update pedidos_masivo_cab
		set
			idtandamas=$idtandamas,
			fechahora=$fechahora,
			idcliente=$idcliente,
			ruc=$ruc,
			razon_social=$razon_social
		where
			idpedidomas = $idpedidomas
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: pedidos_masivo_cab.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Carga Masiva de Pedidos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idtandamas *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idtandamas" id="idtandamas" value="<?php  if(isset($_POST['idtandamas'])){ echo intval($_POST['idtandamas']); }else{ echo intval($rs->fields['idtandamas']); }?>" placeholder="Idtandamas" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fechahora *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="datetime" name="fechahora" id="fechahora" value="<?php  if(isset($_POST['fechahora'])){ echo htmlentities($_POST['fechahora']); }else{ echo htmlentities($rs->fields['fechahora']); }?>" placeholder="Fechahora" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idcliente *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idcliente" id="idcliente" value="<?php  if(isset($_POST['idcliente'])){ echo intval($_POST['idcliente']); }else{ echo intval($rs->fields['idcliente']); }?>" placeholder="Idcliente" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Ruc </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="ruc" id="ruc" value="<?php  if(isset($_POST['ruc'])){ echo htmlentities($_POST['ruc']); }else{ echo htmlentities($rs->fields['ruc']); }?>" placeholder="Ruc" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Razon social </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="razon_social" id="razon_social" value="<?php  if(isset($_POST['razon_social'])){ echo htmlentities($_POST['razon_social']); }else{ echo htmlentities($rs->fields['razon_social']); }?>" placeholder="Razon social" class="form-control"  />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='pedidos_masivo_cab.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
