<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php"); 



if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';



//Top de vendedores con servicios


$buscar="
select sum(cantidad) as cantitotal,sum(subtotal) as total,idprofesional,tmp_ventares.idtmpventares_cab,
 CONCAT(nombres,' ',apellidos)
as profesional
from tmp_ventares
Inner JOIN 
    profesionales 
ON 
    tmp_ventares.idprofesional =  profesionales.idprofe
inner join tmp_ventares_cab
	on tmp_ventares_cab.idtmpventares_cab=tmp_ventares.idtmpventares_cab
where borrado='N' and tmp_ventares_cab.idventa IS NOT NULL  and tmp_ventares_cab.estado <>6
and date(tmp_ventares_cab.fechahora) between '$desde' and '$hasta'
group by idprofesional
order by cantitotal DESC
limit 15";
$rs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$data_cant="";
$data_prod="";
while(!$rs->EOF){
	$nv='('.formatomoneda($rs->fields['cantitotal']).')';
	$data_prod.='"'.antixss(str_replace(",","",trim($rs->fields['profesional']).'|'.$rs->fields['cantitotal'])).'"'.', '.$saltolinea;
	$data_labels.='"'.antixss(str_replace(",","",trim($rs->fields['profesional'])."$nv" )).'"'.', '.$saltolinea;
	$data_cant.=$rs->fields['cantitotal'].', ';
$rs->MoveNext(); } //$rschart->MoveFirst();
$colores_rgba = [];
$rs->MoveFirst();
for ($i = 0; $i < 15; $i++) {
    // Generar valores aleatorios para rojo, verde, azul y alfa
    $rojo = rand(0, 255);
    $verde = rand(0, 255);
    $azul = rand(0, 255);
    $alfa = rand(0, 100) / 100; // Escala de 0 a 1 con dos decimales

    // Concatenar el color en formato rgba
    $color = "'rgba($rojo, $verde, $azul, $alfa)',";
    
    // Agregar el color al array
    $colores_rgba[] = $color;
}
foreach($colores_rgba as $dato){
	
	$imprimir.=$dato;
	
	
}


//echo $imprimir;exit;
//print_r($colores_rgba);exit;

$data_prod=substr(trim($data_prod),0,-1);
$data_cant=substr(trim($data_cant),0,-1);
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <?php require_once("../includes/head_gen.php"); ?>
	
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
       <?php require_once("../includes/menu_gen.php"); ?>
        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
             <?php require_once("../includes/lic_gen.php");?>
			 
			   <div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="x_panel">
               
							<div class="x_content">
								 <form id="form1" name="form1" method="get" action="">
									<div class="col-md-6 col-sm-6 form-group">
										<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
										<div class="col-md-9 col-sm-9 col-xs-12">
										<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

										</div>
									</div>

									<div class="col-md-6 col-sm-6 form-group">
										<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
										<div class="col-md-9 col-sm-9 col-xs-12">
										<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

										</div>
									</div>
									<div class="clearfix"></div>
									<br />


										<div class="form-group">
											<div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
										   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar </button>

											</div>
										</div>
								 
								 </form>
							</div>	 
						</div>
					</div>
				</div>
			 
			<div class="row">
           
				<div class="col-md-12 col-sm-12 col-xs-12" style="text-align:center;" >
					<div class="x_panel">
						<h2>Informaciones Importantes</h2>
							<?php if(trim($errores) != ""){ ?>
								<div class="alert alert-danger alert-dismissible fade in" role="alert"><strong>Errores:</strong><br /><?php echo $errores; ?></div>
							<?php } ?>
						
						<div class="col-md-6 col-xs-12" >    
						
							<p class="text-muted font-13 m-b-30">
							 Top 15 - Ranking de profesionales
							</p>  
							 <canvas id="chartjs-2" class="chartjs" width="450px;" height="350px;"></canvas>
						</div>
						<div class="col-md-6 col-xs-12">
							<div class="table-responsive">
						<table width="100%" class="table table-bordered jambo_table bulk_action">
							  <thead>
								<tr>

								  <th>Profesional</th>
								  <th>Cantidad Servicios</th>
								  <th>Total en Ingreso</th>
								</tr>
								</thead>
								<tbody>
							   <?php  while (!$rs->EOF){ 
							   $aa=$aa+1;
							   $totalacum+=$rs->fields['total'];
							   $cantidad_acum+=$rs->fields['cantitotal'];
							   ?>
								<tr>

								  <td align="left"><?php echo $rs->fields['profesional']; ?></td>
								  <td align="left"><?php echo formatomoneda($rs->fields['cantitotal']); ?></td>
								  <td align="center"><?php echo formatomoneda($rs->fields['total'],2,'N'); ?></td>
								</tr>
							   <?php  $rs->MoveNext(); }  ?> 
							  </tbody>
							  <tfoot>
								<tr>

								  <td align="left">Total</td>
								  <td align="left"><?php echo formatomoneda($cantidad_acum,0); ?></td>
								  <td align="center"><?php echo formatomoneda($totalacum,0); ?></td>

								</tr>
							</tfoot>
						  </table>
					</div>
						
						</div>
						
					</div>
				</div>
           
			
			</div>
			<!---de row---------->  
			<div class="row">
			
			
			
			
			</div>
		</div>
			<!--------------------------MODAL PARA AJAX------------------->						
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="cuadro_pop">
				<div class="modal-dialog modal-lg">
					<div class="modal-content">
						<div class="modal-header">
						  <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
						  </button>
						  <h4 class="modal-title" id="modal_titulo">Titulo</h4>															   
						</div>
						<div class="modal-body" id="modal_cuerpo">
							Cuerpo
						</div>
						<div class="modal-footer">
						  <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>									  
						</div>
					</div>
				</div>
			</div>
			<!--------------------------MODAL PARA AJAX------------------->		
        </div><!-- /main container --> 

        <!-- footer content -->
            <?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
    <?php require_once("../includes/footer_gen.php"); ?>
	
    <script src="js/chartjs-plugin-datalabels.min.js"></script>

   <script>
   
   new Chart(document.getElementById("chartjs-2"), {
    type: "horizontalBar",
    data: {
        labels: [<?php echo $data_labels ?>],
        datasets: [{
            label: "",
            data: [<?php echo $data_cant ?>],
            fill: false,
            backgroundColor: [
               <?php echo($imprimir); ?>
            ],
            borderColor: [
                "rgb(255, 99, 132)",
                "rgb(255, 159, 64)",
                "rgb(255, 205, 86)",
                "rgb(75, 192, 192)",
                "rgb(54, 162, 235)",
                "rgb(153, 102, 255)",
                "rgb(201, 203, 207)"
            ],
            borderWidth: 1
        }]
    },
    options: {
        scales: {
            xAxes: [{
                ticks: {
                    beginAtZero: true
                }
            }]
        },
        plugins: {
            datalabels: {
                color: '#000', // Cambia el color del texto
                anchor: 'end', // Posición del texto respecto a la barra
                align: 'end',  // Alineación del texto
                font: {
                    size: 12,
                    weight: 'bold'
                },
                formatter: function(value) {
                    return value; // Muestra el valor directamente
                }
            }
        }
    }
});
   
   
   
  /* new Chart(document.getElementById("chartjs-2"), {
    "type": "horizontalBar",
    "data": {
        "labels": [<?php echo $data_labels ?>],
        "datasets": [{
            "label": "",
            "data": [<?php echo $data_cant ?>],
            "fill": false,
            "backgroundColor": ["rgba(255, 99, 132, 0.2)", "rgba(255, 159, 64, 0.2)", "rgba(255, 205, 86, 0.2)", "rgba(75, 192, 192, 0.2)", "rgba(54, 162, 235, 0.2)", "rgba(153, 102, 255, 0.2)", "rgba(201, 203, 207, 0.2)"],
            "borderColor": ["rgb(255, 99, 132)", "rgb(255, 159, 64)", "rgb(255, 205, 86)", "rgb(75, 192, 192)", "rgb(54, 162, 235)", "rgb(153, 102, 255)", "rgb(201, 203, 207)"],
            "borderWidth": 1
        }]
    },
    "options": {
        "scales": {
            "xAxes": [{
                "ticks": {
                    "beginAtZero": true
                }
            }]
        }
    }
});*/
/*
new Chart(document.getElementById("chartjs-2"), {
    type: "horizontalBar",
    data: {
        labels: [<?php echo $data_labels ?>],
        datasets: [{
            label: "",
            data: [<?php echo $data_cant ?>],
            fill: false,
            backgroundColor: [
                "rgba(255, 99, 132, 0.2)",
                "rgba(255, 159, 64, 0.2)",
                "rgba(255, 205, 86, 0.2)",
                "rgba(75, 192, 192, 0.2)",
                "rgba(54, 162, 235, 0.2)",
                "rgba(153, 102, 255, 0.2)",
                "rgba(201, 203, 207, 0.2)"
            ],
            borderColor: [
                "rgb(255, 99, 132)",
                "rgb(255, 159, 64)",
                "rgb(255, 205, 86)",
                "rgb(75, 192, 192)",
                "rgb(54, 162, 235)",
                "rgb(153, 102, 255)",
                "rgb(201, 203, 207)"
            ],
            borderWidth: 1
        }]
    },
    options: {
        scales: {
            xAxes: [{
                ticks: {
                    beginAtZero: true
                }
            }]
        },
        plugins: {
            datalabels: {
                anchor: 'end', // Cambia la posición del texto
                align: 'end', // Alineación del texto respecto a la barra
                color: '#000', // Cambia el color del texto
                font: {
                    weight: 'bold'
                },
                formatter: function(value) {
                    return value; // Retorna el valor que será mostrado
                }
            }
        }
    },
    plugins: [<?php echo $data_labels ?>] // ¡Asegúrate de incluir esta línea!
});



    if ($('#pieChart_mixventa').length ){
				
	  var ctx = document.getElementById("pieChart_mixventa");
	  var data = {
		datasets: [{
		  data: [<?php echo $data_cant; ?>],
		  backgroundColor: [
			"#455C73",
			"#9B59B6",
			"#BDC3C7",
			"#26B99A",
			"#3498DB",
			"#F08080",
			"#FF69B4",
			"#FFA500",
			"#EEE8AA",
			"#DDA0DD",
			"#7B68EE",
			"#90EE90",
			"#AFEEEE",
			"#D2691E"
		  ],
		  label: 'Top 10 mas vendidos' // for legend
		}],
		labels: [
		  <?php echo $data_prod ?>
		],
	  };

	  var pieChart = new Chart(ctx, {
		data: data,
		type: 'pie',
		options : {
			legend: {
				display:true,
				position: 'bottom',
	
			},
			maintainAspectRatio: true,
			responsive: true,
			useRandomColors: true
		}
		
	  });
	  
  }
   */
   
   
   
   
   </script>

  </body>
</html>
