<?php

require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="38";
$submodulo="702";
require_once("../includes/rsusuario.php");
require_once("../includes/funciones_comisiones.php");

//-------------------------------------------------------------------------------------------------
//********************** RECALCULA LAS COMISIONES DE LOS PROFESIONALES ****************************
//-------------------------------------------------------------------------------------------------

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'RECALCULAR_COMISIONES'){

  // Toma todos los horarios de marcaciones realizadas hasta el momento

  $consulta="SELECT idventa FROM ventas WHERE estado = 1";
  $rs_ventas=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

  // Recorre las filas para analizar el horario y actualizar la hora computo
  while(!$rs_ventas->EOF){

    $idventa = antisqlinyeccion($rs_ventas->fields['idventa'], 'int');

    // Llama a la funcion para recalcular las comisiones
    regenerar_comision_profesional($idventa);

    $rs_ventas->MoveNext(); 
  
  }

  // genera array con los datos
	$arr = array(
    'estado' => 'success',
    'msg' => 'Se han recalculado las comisiones'
  );
  
  // convierte a formato json
  $respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
  
  // devuelve la respuesta formateada
  echo $respuesta;

}