<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php");


$idcomision=intval($_GET['id']);
if($idcomision == 0){
    header("location: reporte_servicios_peluq.php");
    exit;    
}
if ($idcomision > 0) {
  
  $detalle_servicio = "select
        vc.idventa,
        vrc.fechahora as fecha,
        vrc.ruc,
        vrc.razon_social,
        v.factura,
        v.total_venta,
        p.descripcion
      from
        ventas_comisiones vc
      left join ventas v on
        v.idventa = vc.idventa
      left join ventas_detalles vd on
        vd.idventadet = vc.idventadet
      left join tmp_ventares_cab vrc on
        vrc.idventa = vc.idventa
      left join productos p on
        p.idprod_serial = vd.idprod
      where
        vc.idventacom = $idcomision";

  $rs_detalles_servicio = $conexion->Execute($detalle_servicio);
  
}
?>

<!DOCTYPE html>
<html lang="en">
  <head>
    <?php require_once("../includes/head_gen.php"); ?>
  </head>
  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
        <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="clearfix"></div>
          <?php require_once("../includes/lic_gen.php"); ?>

          <!-- SECCION -->
          <div class="row">
  <!-- Detalles de Servicio -->
  <div class="col-md-6 col-sm-6 col-xs-12">
    <div class="x_panel">
      <div class="x_title">
        <h2>Detalles de Servicio</h2>
        <div class="clearfix"></div>
      </div>
      <p><a href="reporte_servicios_peluq.php" class="btn btn-sm btn-danger"><span class="fa fa-reply"></span> Regresar</a></p>
      <div class="x_content">
        <table width="100%" class="table table-bordered jambo_table bulk_action">
        <tr>
            <th align="center">ID Venta</th>
            <td align="center"><?php echo intval($rs_detalles_servicio->fields['idventa']); ?></td>
          </tr>
          <tr>
            <th align="center">Cliente</th>
            <td align="center"><?php echo ($rs_detalles_servicio->fields['razon_social']); ?></td>
          </tr>
            <th align="center">Servicio</th>
            <td align="center"><?php echo antixss($rs_detalles_servicio->fields['descripcion']); ?></td>
          </tr>
        </table>
      </div>
    </div>
  </div>

  <!-- Detalles de Factura -->
  <div class="col-md-6 col-sm-6 col-xs-12">
    <div class="x_panel">
      <div class="x_title">
        <h2>Resumem Factura</h2>
        <div class="clearfix"></div>
      </div>
      <p><a href="reporte_servicios_peluq.php" class="btn btn-sm btn-danger"><span class="fa fa-reply"></span> Regresar</a></p>
      <div class="x_content">
        <table width="100%" class="table table-bordered jambo_table bulk_action">
          <tr>
            <th align="center">Fecha/Hora de emisión</th>
            <td align="center"><?php if($rs_detalles_servicio->fields['fecha'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs_detalles_servicio->fields['fecha'])); }  ?></td>
          </tr>
          
          <tr>
            <th align="center">Ruc</th>
            <td align="center"><?php echo antixss($rs_detalles_servicio->fields['ruc']); ?></td>
          </tr>
          <tr>
            <th align="center">Razon social</th>
            <td align="center"><?php echo antixss($rs_detalles_servicio->fields['razon_social']); ?></td>
          </tr>
          <tr>
            <th align="center">Factura Nro.</th>
            <td align="center"><?php echo antixss($rs_detalles_servicio->fields['factura']); ?></td>
          </tr>
          <tr style="background-color:rgb(230, 228, 228); font-weight: bold;">
            <th align="center">Total venta</th>
            <td align="center"><?php echo formatomoneda($rs_detalles_servicio->fields['total_venta']);  ?></td>
          </tr>
        </table>
      </div>
    </div>
  </div>
</div>

		  <!-- SECCION -->
		   
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
    <?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
