<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php"); 
$valido='N';
//Verificamos si los usuarios son MASTER o de soporte, sino, no se permite operar
$buscar="
SELECT
    (CASE
		WHEN super = 'S' THEN 'SUP'
        WHEN soporte = 1 THEN 'SOP'
       
    ELSE
		'NO'
    END )as claseusu
FROM usuarios
WHERE idusu = $idusu
";
$rscontrola=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));	
$tipo=trim($rscontrola->fields['claseusu']);

if($tipo=='SOP' or $tipo=='SUP'){
	$consulta="
	select *,(select count(idtabla) from estructura_detalle where idtabla=estructura_cabeza.idtabla) as total,
	(select usuario from usuarios where estructura_cabeza.registrado_por = usuarios.idusu) as registrado_por,
	(select usuario from usuarios where estructura_cabeza.anulado_por = usuarios.idusu) as borrado_por
	from estructura_cabeza 
	where 
	 estado = 1 
	order by idtabla asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$valido='S';
}


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
      <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Administrar tablas de preferencias</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
							<?php if($valido=='S'){ ?>
							<?php if($tipo=='SUP'){ ?>
								<p><a href="estructura_cabeza_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a></p>
							<?php } ?>
							<hr />
							<div class="table-responsive">
								<table width="100%" class="table table-bordered jambo_table bulk_action">
								  <thead>
									<tr>
										<th></th>
										<th align="center">Id tabla</th>
										<th align="center">Nombre tabla</th>
										<th align="center">Cantidad Preferencias</th>
										<th align="center">Observacion global</th>
										<th align="center">Registrado el</th>
										<th align="center">Registrado por</th>

									</tr>
								  </thead>
								  <tbody>
							<?php while(!$rs->EOF){ 
							$tprefe=$tprefe+intval($rs->fields['total']);
							
							
							?>
									<tr>
										<td>
											
											<div class="btn-group">
												<a href="a href="javascript:void(0);" onclick="actualiza_campos(<?php echo $rs->fields['idtabla']; ?>);" class="btn btn-sm btn-default" title="Actualizar Opciones" data-toggle="tooltip" data-placement="right"  data-original-title="Actuaalizar Opciones"><span class="fa fa-spinner"></span></a>
												<a href="estructura_cabeza_det.php?id=<?php echo $rs->fields['idtabla']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>
												<a href="estructura_cabeza_edit.php?id=<?php echo $rs->fields['idtabla']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
												<a href="estructura_cabeza_del.php?id=<?php echo $rs->fields['idtabla']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
												
											</div>

										</td>
										<td align="center"><?php echo antixss($rs->fields['idtabla']); ?></td>
										<td align="center"><?php echo antixss($rs->fields['nombre_tabla']); ?></td>
										<td align="center"><?php echo formatomoneda($rs->fields['total']); ?></td>
										<td align="center"><?php echo antixss($rs->fields['observacion_global']); ?></td>
										<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
										<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
									
									
									</tr>
							<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
							<tr>
							
								<td colspan="7" align="center" style="font-size:20px;color:red;">Total preferencias configurables: <?php echo formatomoneda($tprefe); ?></td>
							</tr>
								  </tbody>
								</table>
							</div>
							<br />
							<?php } else { ?>
								<div class="alert alert-danger alert-dismissible fade in" role="alert" id="errorescodv2">
								<strong>Errores:</strong><br />Este modulo debe ser operado por personal entrenado. Solicite los cambios al  soporte, utilizando el grupo establecido.<span id="errorescodcuerpo"></span>
								</div>
							
							
							<?php } ?>

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->
            
            
          
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
