<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="402";
require_once("includes/rsusuario.php"); 


$idpreferencia=1;
if($idpreferencia == 0){
	header("location: preferencias_inventario.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from preferencias_inventario 
where 
idpreferencia = $idpreferencia
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idpreferencia=intval($rs->fields['idpreferencia']);


// consulta a la tabla	
$consulta="
select afectastock_conteo_pdv
from preferencias
where 
idempresa = $idempresa
limit 1
";
$rspref=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$afectastock_conteo_pdv=trim($rspref->fields['afectastock_conteo_pdv']);




if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$permite_verdetalle=antisqlinyeccion($_POST['permite_verdetalle'],"text");
	$obliga_concepto=antisqlinyeccion($_POST['obliga_concepto'],"text");
	$idconcepto_inicial=antisqlinyeccion($_POST['idconcepto_inicial'],"int");
	$idconcepto_final=antisqlinyeccion($_POST['idconcepto_final'],"int");
	$afectastock_conteo_pdv=antisqlinyeccion($_POST['afectastock_conteo_pdv'],"text");
	$tipo_conteo=antisqlinyeccion($_POST['tipo_conteo'],"text");
	$codbar_cant_auto=antisqlinyeccion($_POST['codbar_cant_auto'],"text");


	if(trim($_POST['permite_verdetalle']) == ''){
		$valido="N";
		$errores.=" - El campo permite_verdetalle no puede estar vacio.<br />";	
	}
	if(trim($_POST['obliga_concepto']) == ''){
		$valido="N";
		$errores.=" - El campo obliga_concepto no puede estar vacio.<br />";	
	}
	if(trim($_POST['obliga_concepto']) == 'S'){
		if(intval($_POST['idconcepto_inicial']) == 0){
			$valido="N";
			$errores.=" - El campo concepto inventario inicial no puede estar vacio cuando obliga concepto es si.<br />";	
		}
	
		if(intval($_POST['idconcepto_final']) == 0){
			$valido="N";
			$errores.=" - El campo concepto inventario final no puede estar vacio cuando obliga concepto es si.<br />";	
		}
	}
	if(trim($_POST['afectastock_conteo_pdv']) != 'S' && trim($_POST['afectastock_conteo_pdv']) != 'N'){
		$valido="N";
		$errores.=" - El campo afectastock_conteo_pdv no puede estar vacio.<br />";	
	}
	if(trim($_POST['tipo_conteo']) != 'C' && trim($_POST['tipo_conteo']) != 'N'){
		$valido="N";
		$errores.=" - El campo tipo_conteo no puede estar vacio.<br />";	
	}


	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update preferencias_inventario
		set
			permite_verdetalle=$permite_verdetalle,
			obliga_concepto=$obliga_concepto,
			idconcepto_inicial=$idconcepto_inicial,
			idconcepto_final=$idconcepto_final,
			tipo_conteo=$tipo_conteo,
			codbar_cant_auto=$codbar_cant_auto
		where
			idpreferencia = $idpreferencia
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update preferencias
		set
			afectastock_conteo_pdv=$afectastock_conteo_pdv
		where
			idempresa = $idempresa
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					
		
		header("location: preferencias_inventario.php?ok=s");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


$disabled="";
if($_GET['ok'] == 's'){
	$disabled=" disabled ";
}


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Preferencias Inventario</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<?php if($_GET['ok'] == 's'){ ?>
<div class="alert alert-success alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
Registro Exitoso!
</div>
<?php }?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Permite verdetalle *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['permite_verdetalle'])){ 
	$value_selected=htmlentities($_POST['permite_verdetalle']); 
}else{
	$value_selected=htmlentities($rs->fields['permite_verdetalle']);
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'permite_verdetalle',
	'id_campo' => 'permite_verdetalle',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$disabled,
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>
                      
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Obliga concepto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
       
<?php 
// valor seleccionado
if(isset($_POST['obliga_concepto'])){ 
	$value_selected=htmlentities($_POST['obliga_concepto']); 
}else{
	$value_selected=htmlentities($rs->fields['obliga_concepto']);
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'obliga_concepto',
	'id_campo' => 'obliga_concepto',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$disabled,
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>           
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Concepto Inventario inicial </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idconcepto, descripcion
FROM cn_conceptos
where
estado = 1
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idconcepto_inicial'])){ 
	$value_selected=htmlentities($_POST['idconcepto_inicial']); 
}else{
	$value_selected=htmlentities($rs->fields['idconcepto_inicial']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idconcepto_inicial',
	'id_campo' => 'idconcepto_inicial',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idconcepto',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  '.$disabled,
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array); 
?>                 
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Concepto Inventario final </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idconcepto, descripcion
FROM cn_conceptos
where
estado = 1
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idconcepto_inicial'])){ 
	$value_selected=htmlentities($_POST['idconcepto_final']); 
}else{
	$value_selected=htmlentities($rs->fields['idconcepto_final']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idconcepto_final',
	'id_campo' => 'idconcepto_final',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idconcepto',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  '.$disabled,
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array); 
?>                 
                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Afecta stock en conteo pdv *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
       
<?php 
// valor seleccionado
if(isset($_POST['afectastock_conteo_pdv'])){ 
	$value_selected=htmlentities($_POST['afectastock_conteo_pdv']); 
}else{
	$value_selected=htmlentities($rspref->fields['afectastock_conteo_pdv']);
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'afectastock_conteo_pdv',
	'id_campo' => 'afectastock_conteo_pdv',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$disabled,
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>           
	</div>
</div>



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo Conteo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
       
<?php 
// valor seleccionado
if(isset($_POST['tipo_conteo'])){ 
	$value_selected=htmlentities($_POST['tipo_conteo']); 
}else{
	$value_selected=htmlentities($rs->fields['tipo_conteo']);
}
// opciones
$opciones=array(
	'Grupo Stock' => 'N',
	'Codigo Barras' => 'C'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'tipo_conteo',
	'id_campo' => 'tipo_conteo',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$disabled,
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>           
	</div>
</div>

<div class="clearfix"></div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cantidad automatica en Codbar *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
       
<?php 
// valor seleccionado
if(isset($_POST['codbar_cant_auto'])){ 
	$value_selected=htmlentities($_POST['codbar_cant_auto']); 
}else{
	$value_selected=htmlentities($rs->fields['codbar_cant_auto']);
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'codbar_cant_auto',
	'id_campo' => 'codbar_cant_auto',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$disabled,
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>           
	</div>
</div>



<div class="clearfix"></div>
<br />
    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
<?php if($_GET['ok'] != 's'){ ?>

	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<?php }else{ ?>
	<button type="button" class="btn btn-primary" onMouseUp="document.location.href='preferencias_inventario.php'"><span class="fa fa-edit"></span> Editar</button>
<?php } ?>

        </div>
    </div>

<br />
</form>
<div class="clearfix"></div>
<br /><br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
