<?php
/*---------------------------------------------------------
UR:17/08/2023 se cambia a la capeta presupuetos/
Administracion centralizada de presupuestos ramos generales
-----------------------------------------------------------*/
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="113";
$dirsup="S";
require_once("../includes/rsusuario.php"); 


$desde=date("Y-m-d",strtotime($_GET['desde']));
$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
if($_GET['desde']==''){
	$desde="";
	$hasta="";
} else {
	$add.=" and fecha_pedido between '$desde' and '$hasta' ";
	
}
$estado=intval($_GET['estadocat']);
if ($estado>0){
	$add.=" and estado_presu=$estado ";
} 
$nombre=antisqlinyeccion($_GET['nombre'],'text');
if ($_GET['nombre']!=''){
	$nc=str_replace("'","",$nombre);
	$add.=" and nombre_presupuesto like('%$nc%') ";
	
}

$idun=intval($_POST['idun']);
$tipo=intval($_POST['tipo']);
if ($idun>0 && $tipo>0){
	$ahora=date("Y-m-d H:i:s");
	$buscar="select estado_presu from presupuestos where idunico=$idun";
	$rs1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$estado_ante=intval($rs1->fields['estado_presu']);
	
	$update="Update presupuestos set estado_presu=$tipo where idunico=$idun";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	
	$insertar="Insert into presupuestos_estados_log
	(idpresupuesto,registrado_por,fecha_cambio,estado_asignado,estado_anterior)
	values
	($idun,$idusu,'$ahora',$tipo,$estado_ante)";
	$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
	
}



$idchau=intval($_GET['idc']);
if ($idchau > 0){
	$hoy=date("Y-m-d H:i:s");
	$update="Update presupuestos set estado=6,anulado_por=$idusu,anulado_el='$hoy' where idunico=$idchau";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	header("Location: gest_presupuestos_panel.php");exit;
}
//Lista de Presupuestos Cargados al sistema 
$buscar="Select nombre,apellido,razon_social,documento,ruc,idventa,nombre_presupuesto,
	idunico,idinterno,idclienteref,idlistaprecio,(select CONCAT(nombres,' ',apellidos) from vendedor where idvendedor=presupuestos.idvendedor) as vendedor,
	fecha as fecha,valido_hasta,obsgeneral,fecha_pedido,hora_pedido,
	(select usuario from usuarios where idusu=presupuestos.registrado_por) as regusu,
	presupuestos.registrado_el,estado_presu,
	(select fecha_cambio from presupuestos_estados_log where idpresupuesto=presupuestos.idunico order by ids desc limit 1) as fechaultcambio
	
	from presupuestos
	inner join cliente on cliente.idcliente=presupuestos.idclienteref
	where presupuestos.estado<>6 
	$add
	order by idunico desc ";
$rga=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tpedidos=$rga->RecordCount();  
//echo $buscar;


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
             <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Administraci&oacute;n de Presupuestos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
					<div class="x_content">
						<form id="form1" name="form1" method="get" action="">
						<div class="col-md-6 col-sm-6 form-group">
							<label class="control-label col-md-3 col-sm-3 col-xs-12">Entrega Desde </label>
							<div class="col-md-9 col-sm-9 col-xs-12">
							<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control"  />                    

							</div>
						</div>
						
						<div class="col-md-6 col-sm-6 form-group">
							<label class="control-label col-md-3 col-sm-3 col-xs-12">Entrega Hasta </label>
							<div class="col-md-9 col-sm-9 col-xs-12">
							<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control"  />                    

							</div>
						</div>
						<div class="clearfix"></div>
						<div class="col-md-6 col-sm-6 form-group">
							<label class="control-label col-md-3 col-sm-3 col-xs-12"> Estado  </label>
							<div class="col-md-9 col-sm-9 col-xs-12" >
								<select id="estadocat" name="estadocat" class="form-control" >
									<option value="" <?php if(intval($_GET['estadocat']) == 0){?>selected="selected"<?php }?>>Todos</option>
									<option value="1" <?php if(intval($_GET['estadocat']) == 1){?>selected="selected"<?php }?>>Activos</option>
									<option value="2" <?php if(intval($_GET['estadocat']) == 2){?>selected="selected"<?php }?>>Aprobados</option>
									<option value="3" <?php if(intval($_GET['estadocat']) == 3){?>selected="selected"<?php }?>>Rechazados</option>
								</select>
							</div>
						</div>
						<div class="col-md-6 col-sm-6 form-group">
							<label class="control-label col-md-3 col-sm-3 col-xs-12"> Cliente  </label>
							<div class="col-md-9 col-sm-9 col-xs-12" >
								<input type="text" name="nombre" id="nombre" value="<?php echo $_REQUEST['nombre'] ?>" class="form-control" />
							</div>
						</div>
						
						<br />


							<div class="form-group">
								<div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
							   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

								</div>
							</div>


						<br />
						</form>  
			
					</div>
                </div>
              </div>
            </div>
			
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Presupuestos registrados</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
				  <p><a href="gest_presupuestos_new.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Nuevo</a>
				  <a href="gest_presupuestos_definiciones_new.php" class="btn btn-sm btn-default"><span class="fa fa-cog"></span> Configurar</a></p>		 
           
					  <?php if ($tpedidos > 0){?>
					  			<div class="table-responsive">
									<table width="70%" height="87" class="table table-striped jambo_table bulk_action">
									<thead>
										<tr class="headings">
											<th width="4%">Acciones</th>
											<th class="column-title">Fecha Carga </th>
											<th class="column-title">Id</th>
											<th class="column-title">Cliente</th>
											<th class="column-title">Documento/RUC</th>
											<th class="column-title">Vendedor </th>
											<th class="column-title">Pedido para </th>
											<th class="column-title">Observaciones</th>
											<th class="column-title">Estado Presupuesto</th>
											<th class="column-title">Ultimo estado</th>
											<th class="column-title">Registrado el</th>
											<th class="column-title">Registrado por</th>
										
										</tr>
									</thead>
									<tbody>
									<?php while (!$rga->EOF){
										$idpres=intval($rga->fields['idunico']);
										$estadochar="";$compu="";
										if ($rga->fields['estado_presu']==1){
											$estadochar="<span class='fa fa-success'></span>&nbsp;Activo/En curso";
										}
										if ($rga->fields['estado_presu']==2){
											$estadochar="<span style='background-color:green;color:white'>Aprobado</span>";
										}
										if ($rga->fields['estado_presu']==3){
											$estadochar="<span style='background-color:red;color:white'>Rechazado</span>";
										}
										if($rga->fields['fechaultcambio']!=""){
											$buscar="Select usuario,fecha_cambio 
											from presupuestos_estados_log
											inner join usuarios on usuarios.idusu=presupuestos_estados_log.registrado_por
											where idpresupuesto=$idpres order by ids desc limit 1
											";
											$rglog=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
											$fc=date("d/m/Y H:i:s",strtotime($rglog->fields['fecha_cambio']));
											$por=trim($rglog->fields['usuario']);
											$compu="<span class='fa fa-info-circle'></span>&nbsp; $fc &nbsp; * &nbsp;$por";
										}
										
										
										?>
									<tr class="" >
										<td class="a-center " style='width:15%;'>
											<a href="javascript:void(0);" title="Cambiar Estado" onclick="cambiar_estado(<?php echo $rga->fields['idunico']?>)" ><span class="fa fa-exchange" span></a>&nbsp;
											<a href="modelos_genera_pdf.php?unico=<?php echo $rga->fields['idunico']?>" target="_blank" title="PDF" ><span class="fa fa-file-pdf-o"></span></a>&nbsp;
											<a href="javascript:void(0);" onclick="mostrarpanel(<?php echo $rga->fields['idunico']?>)"><span class="fa fa-search-plus" title="Visualizar"></span></a>&nbsp;
											<a href="gest_presupuestos_envia_mail.php?idu=<?php echo $rga->fields['idunico']?>" target="_blank"><span class="fa fa-envelope-o" title="Enviar por correo"></span></a>&nbsp;
											
											<?php if($rga->fields['idventa']==''){ ?>
											<a href="gest_presupuestos_new_editar.php?idr=<?php echo $rga->fields['idunico']?>" target="_self"><span class="fa fa-edit" title="Editar"></span></a>&nbsp;
											<a href="facturar_presupuesto_gestion.php?pc=1&idp=<?php echo $rga->fields['idunico']?>" target="_blank" title="Convertir a Pedido"><span class="fa fa-gear"></span></a>&nbsp;
											<a href="facturar_presupuesto_gestion.php?idp=<?php echo $rga->fields['idunico']?>" target="_blank" title="Venta directa"><span class="fa fa-money"></span></a>&nbsp;
											<a href="javascript:void(0);" onclick="chau(<?php echo $rga->fields['idunico']?>);" ><span class="fa fa-trash"></span></a>&nbsp;
											<?php } ?>
										</td>
										<td class=" "><?php echo date("d/m/Y",strtotime($rga->fields['fecha'])); ?></td>
										<td class=" "><?php echo $rga->fields['idunico']; ?></td>
										<td class=" "><?php echo $rga->fields['nombre_presupuesto']?></td>
										<td class=" "><?php echo $rga->fields['documento']."/".$rga->fields['ruc']; ?></td>
									    <td class=" "><?php echo $rga->fields['vendedor']; ?></td>
										<td class=" "><?php if ($rga->fields['fecha_pedido']!=''){ echo date("d/m/Y",strtotime($rga->fields['fecha_pedido'])); } ?>&nbsp;<?php if ($rga->fields['hora_pedido']!=''){ echo "&nbsp;".$rga->fields['hora_pedido'];}?> </td>
										<td class=" "><?php echo $rga->fields['obsgeneral']; ?></td>
										<td class=" "><?php echo $estadochar ?></td>
										<td class=" "><?php echo $compu ?></td>
										<td class=" "><?php echo date("d/m/Y H:i:s",strtotime($rga->fields['registrado_el'])); ?></td>
										<td class="a-right a-right "><?php echo $rga->fields['regusu']; ?></td>
									</tr>
									<?php $rga->MoveNext();}?>
									</tbody>
									</table>
									</div>
					  
									<?php } else { ?>
										<span class="fa fa-warning"></span>&nbsp;&nbsp;<h2>No existen presupuestos cargados.</h2>
									<?php }?>
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
			  
            <div class="modal fade" id="acciones"  role="dialog" aria-labelledby="titulo" aria-hidden="true" >
			<div class="modal-dialog modal-dialog-centered" role="document" >
			  <div class="modal-content" style="width: 800px;">

				<!-- Modal Header -->
				<div class="modal-header">
					
					<span  id="variadotit" style="font-weight:bold;"></span>
				   <button type="button" class="close" data-dismiss="modal"></button>
				</div>

				<!-- Modal body -->
				<div class="modal-body" id="acciones_cuerpo" style="min-height:250px; overflow-y: scroll">
				  
                  
				</div>
					
				<!-- Modal footer -->
				<div class="modal-footer">
					<form id="f1" action="" method="post">
					
						<input type="hidden" name="idun" id="idun" value="" />
						<input type="hidden" name="tipo" id="tipo" value="" />
					</form>
                
				</div>

			  </div>
			</div>
		  </div>
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
			<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
        <!-- /footer content -->
      </div>
    </div>
	  <script>
	  function cambiar_estado(idunico){
		   $("#variadotit").html("Cambiar estado");
		 	$("#acciones_cuerpo").html("<h2>Modificar estados</h2><br /><input class='btn btn-success' onclick='estadopresu("+idunico+",2)' value='Aprobado' />&nbsp;<input class='btn btn-warning' onclick='estadopresu("+idunico+",3)' value='Rechazado' />&nbsp;<input class='btn btn-info' onclick='estadopresu("+idunico+",1)' value='Activo' />&nbsp;");
			$("#acciones").modal("show"); 
		  
	  }
	  function estadopresu(idunico,tipo){
		 
		  $("#idun").val(idunico);
		  $("#tipo").val(tipo);
		  $("#f1").submit();
		  
	  }
	  function chau(idunico){
		  
		    $("#variadotit").html("Eliminar presupuesto");
		 	$("#acciones_cuerpo").html("<h2>Esta seguro que desea eliminar?</h2><br /><input class='btn btn-warning' onclick='eliminar("+idunico+")' value='Si, proceder' />&nbsp;<input class='btn btn-dark' onclick='cancelar()' value='No, cancelar.' />");
			$("#acciones").modal("show"); 
		  
	  }
	  function cancelar(){
		  $("#acciones").modal("hide"); 
	  }
	  function eliminar(idunico){
		  
		  window.open("gest_presupuestos_panel.php?idc="+idunico,"_self"); 
	  }
	  function mostrarpanel(regunico){
		  var parametros = {
				"valorunico" :regunico
			};
			$.ajax({
					data:  parametros,
					url:   'mini_pedido_adm.php',
					type:  'post',
					beforeSend: function () {

					},
					success:  function (response) {
						$("#acciones_cuerpo").html(response);
						$("#acciones").modal("show");
					}
			});
	  }
	  function cargar(idinsumo,cpr,idreg){
		  
		  var valido='';
		  valido='S';
		  var errores=''; 
		  var obssnew=$("#obs_"+idinsumo).val();
		  var fechasegura=$("#fechaseg_"+idreg).val();
		  var fechaprod=$("#fechap_"+idinsumo).val();
		  var horaprod=$("#horapp_"+idinsumo).val();
		  var comentario_cpr=$("#comentacentral_"+idinsumo).val();
		  if (fechaprod==''){
			  errores=errores+"* Debe indicar la fecha de produccion";
			  valido='N';
		  }
		   if (horaprod==''){
			  errores=errores+"* Debe indicar la hora de produccion";
			  valido='N';
		  }
		  var d1 = Date.parse("'"+fechasegura+"'");
		  //alert(d1);
		  var d2 = Date.parse(fechaprod);
		  if (d1 < d2) {
			  errores=errores+"* La fecha de produccion no debe superar al evento";
			valido='N';
		   }
		   if (valido=='S'){
			   var parametros = {
				   "idinsumo" : idinsumo,
					"cpr" :cpr,
					"obsn" 		 : obssnew,
					"fechasegura" : fechasegura,
				   "fechaprodu"  :fechaprod,
				   "horaprod"	:horaprod,
				   "comentario_cpr" : comentario_cpr,
				   "idunicopedido": idreg
				};
				$.ajax({
						data:  parametros,
						url:   'cat_udpmini.php',
						type:  'post',
						beforeSend: function () {

						},
						success:  function (response) {

							$("#actualizadatosg").html(response);


						}
				});
		   } else {
			   alert(errores);
		   }
		  
		  
	  }
		 
	  </script>
<?php require_once("../includes/footer_gen.php"); ?>
	  <script>
	<?php if (intval($_REQUEST['idr'])>0){ ?> 	  
	  $(document).ready(function() {
   					
						mostrarpanel(<?php echo $_REQUEST['idr'] ?>);
					
			}); 
		  <?php }?>
	  </script>
  </body>
</html>
