<?php 
/*-------------------------------------------
20/02/2024: Se mejora lista de precios

-------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 

$idtransaccion=intval($_POST['idtransaccion']);
$idpresupuesto=intval($_POST['idpresupuesto']);


if($idtransaccion==0){
	echo "Error al obtener la transaccion para el presupuesto.";exit;
}
if($idpresupuesto==0){
	echo "Error al obtener ID para el presupuesto.";exit;
}

// consulta a la tabla	
$consulta="
select *
from lista_precios_venta 
where 
idlistaprecio in
(

	select idlistaprecio
	from lista_precios_venta_perm
	 where 
	idusuario = $idusu
	
	and estado = 1
) 
and estado = 1
and borrable = 'S'
and desactiva_al_vender='N'
order by lista_precio asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$tr=$rs->RecordCount();

$buscar="Select * from presupuestos_transacciones where registrado_por=$idusu and estado=1";
$rscontrola=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idtserie=intval($rscontrola->fields['idtserie']);
$idlista=intval($rscontrola->fields['idlista_aplicada']);

if($tr>0){
?>
<div id="aplicalista"></div>
	<div class="col-md-12 col-xs-12">
	<h4>Seleccione lista a ser aplicada</h4>
		<table width="100%" class="table table-bordered jambo_table bulk_action">
		<thead>
			<tr>
			  <th>Aplicada</th>
			  <th>Lista precio</th>
			  <th>Accion</th>
			  
			  </tr>
		</thead>
		<tbody>
			<?php while(!$rs->EOF){
					if($idlista==$rs->fields['idlistaprecio']){
						$aplicado="<span style='color:black;background-color:yellow;'>LISTA APLICADA</span>";
					} else {
						$aplicado="";
					}

				?>
				<tr>
					<td><?php echo $aplicado; ?></td>
					<td><?php echo $rs->fields['lista_precio'] ?>&nbsp;[<?php echo $rs->fields['idlistaprecio'] ?>]</td>
					<td>
						<?php if($aplicado==''){ ?>
						<a href="javascript:void(0);" onclick="aplicar_lista(<?php echo $rs->fields['idlistaprecio'] ?>,<?php echo $idtserie ?>,<?php echo $idpresupuesto; ?>)" class="btn btn-sm btn-default"><span class="fa fa-gear"></span>&nbsp; Aplicar Lista</a></td>
						<?php } else { ?>
						<a href="javascript:void(0);" onclick="revertir_lista(<?php echo $rs->fields['idlistaprecio'] ?>,<?php echo $idtserie ?>,<?php echo $idpresupuesto; ?>)" class="btn btn-sm btn-default"><span class="fa fa-recycle"></span>&nbsp; Revertir Lista</a></td>
						<?php } ?>
				</tr>
			
			<?php $rs->MoveNext();} ?>
		</tbody>

	</div>
	<div class="alert alert-warning alert-dismissible fade in" role="alert" style="display:none;" id="mensaje_urgente">
		<span id="msurge"></span>
	</div>


<?php 
} else {
?>
<div class="col-md-12">
<h3>Ud no posee autorizacion para utilizar lista de precios. Debe solicitar la activacion a su administrador en gestion->lista precios permisos</h3>
</div>

<?php } ?>

