<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 


$idcpr=intval($_GET['id']);
if ($idcpr==0){
	header("Location: prod_centros.php");exit;
}
$buscar="Select * from produccion_centros where idcentroprod=$idcpr";
$rsn=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$cpr=trim($rsn->fields['descripcion']);

$buscar="Select usuario,idusu
from usuarios where estado=1 and soporte='N' order by usuario asc ";
$rs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
	<script>
	function registra_permiso(idusu){
	
	
	var direccionurl='usuarios_cpr_perm_registra.php';	
	//alert(direccion);
	var parametros = {
	  "usuarioloc"   : idusu,
	  "idcpr"  : <?php echo $idcpr ?>,
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
				$("#box_td_"+idusu).html('Cargando...');	
		},
		success:  function (response, textStatus, xhr) {
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				if(obj.valido == 'S'){
					$("#box_td_"+idusu).html(obj.html_checkbox);
					var permitido = obj.permitido;
					var elem = $("#box_"+idusu);
					//alert(elem);
					var idbox = "entrante";
					switchery_reactivar_uno(idusu);
				}else{
					alert(obj.errores);
				}
			}else{
				alert(response);	
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
function switchery_reactivar(){
	var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));
	elems.forEach(function(html) {
		var switchery = new Switchery(html);
	});
}
function switchery_reactivar_uno(idusu){
		var elems = document.querySelector('#box_'+idusu);
		var switchery = new Switchery(elems);

}
	
	</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>CPR: &nbsp;<?php echo $cpr ?>&nbsp;|&nbsp;Asignar  Usuarios </h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
						<table width="100%" class="table table-bordered jambo_table bulk_action" id="tablabb">
							<thead>
								<tr class="headings">
									<th>Usuario</th>
									<th>Permite uso CPR</th>
									<th>Registrado por</th>
									<th>Fecha reg</th>
									
								</tr>
							</thead>
							<tbody>
								<?php while(!$rs->EOF){ 
									$idusulocal=intval($rs->fields['idusu']);
									$buscar="Select count(*) as total,
									(select usuario from usuarios where idusu=produccion_centros_usuarios.idusuario) as quien,registrado_el
									from
									produccion_centros_usuarios where idusuario=$idusulocal and estado=1 and idcpr=$idcpr";
									$rs2=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
									$total=intval($rs2->fields['total']);
									if ($total > 0){
										$che=" checked='checked' ";
										$quien=trim($rs2->fields['quien']);
										$reg=date("d/m/Y H:i:s",strtotime($rs2->fields['registrado_el']));
									} else { 
										$che=" ";$quien="";$reg="";
									}
								?>
								<tr>
									<td><?php echo $rs->fields['usuario'] ?></td>
									<td id="box_td_<?php echo $idusulocal; ?>">		
									<input name="producto" id="box_<?php echo $idusulocal; ?>" type="checkbox" value="S" class="js-switch" onChange="registra_permiso(<?php echo $idusulocal; ?>);" <?php echo $che;  ?>>
									</td>
									<td><?php echo $quien ?></td>
									<td><?php echo $reg ?></td>
								</tr>
								<?php $rs->MoveNext();} ?>
							</tbody>
							
						</table>
					</div>





                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
<link href="vendors/switchery/dist/switchery.min.css" rel="stylesheet">
<script src="vendors/switchery/dist/switchery.min.js" type="text/javascript"></script>
  </body>
</html>
