<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="17";
$submodulo="91";
require_once("includes/rsusuario.php"); 

$buscar="
Select * 
from insumos_lista 
where 
idempresa=$idempresa 
and estado='A' 
and insumos_lista.idinsumo not in (select idinsumo from prod_lista_objetivos where estado = 1)
order by descripcion asc
";
$rslista=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));


if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// recibe parametros
	$idinsumo=antisqlinyeccion($_POST['idinsumo'],"int");



	// validaciones basicas
	$valido="S";
	$errores="";

	
	if(intval($_POST['idinsumo']) == 0){
		$valido="N";
		$errores.=" - Debes seleccionar el producto objetivo.<br />";	
	}
	
	// valida que no exista en la tabla de objetivos
	$consulta="
	select * from prod_lista_objetivos where idinsumo = $idinsumo and idempresa = $idempresa and estado = 1
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(intval($rsex->fields['idinsumo']) > 0){
		$valido="N";
		$errores.=" - El producto que seleccionaste ya es un producto objetivo.<br />";
	}
	
	
	// buscar nombre
	$buscar="Select * from insumos_lista where idempresa=$idempresa and estado='A' and idinsumo = $idinsumo  order by descripcion asc";
	$rsnom=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$nombre = antisqlinyeccion(trim($rsnom->fields['descripcion']),"text");

	// si todo es correcto inserta
	if($valido == "S"){
		
		// busca si existe como inactivo
		$consulta="
		select * from prod_lista_objetivos where idinsumo = $idinsumo and idempresa = $idempresa
		";
		$rsexin=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$unicopkss=$rsexin->fields['unicopkss'];
		// si no existe inserta
		if(intval($rsexin->fields['idinsumo']) == 0){
			$consulta="
			insert into prod_lista_objetivos
			(nombre, estado, registrado_por, registrado_el, idprod_serial, idinsumo, idempresa, idcentroprod, anulado_por, anulado_el)
			values
			($nombre, 1, $idusu, '$ahora', 0, $idinsumo, $idempresa, 0, NULL, NULL)
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}else{
			// si existe actualiza el estado
			$consulta="
			update prod_lista_objetivos
			set 
			estado = 1
			where 
			unicopkss = $unicopkss
			and idempresa = $idempresa
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
		
		header("location: prod_define_objetivo.php");
		exit;
		
	}

}


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
			
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Administrar producto Objetivo</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">




				<?php if(trim($errores) != ""){ ?>
				<div class="alert alert-danger alert-dismissible fade in" role="alert">
				<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
				</button>
				<strong>Errores:</strong><br /><?php echo $errores; ?>
				</div>
				<?php } ?>
				
				
				<form action="prod_define_objetivo.php" method="post" >
        
					<div class="col-md-6 col-sm-6 form-group">
								<label class="control-label col-md-3 col-sm-3 col-xs-12">Filtrar producto</label>
								<div class="col-md-9 col-sm-9 col-xs-12">
								<input type="text" name="pdestino" id="pdestino" value="" placeholder="" class="form-control" onkeyup="filtrar_listado(this.value);">                    
								</div>
					</div>	
        
					<div class="col-md-6 col-sm-6 form-group">
						<label class="control-label col-md-3 col-sm-3 col-xs-12">Producto Objetivo *</label>
						<div class="col-md-9 col-sm-9 col-xs-12">
								 <select id="idinsumo" name="idinsumo" style="height:40px; width:90%" required="required">
									<option value="" selected="selected">Seleccionar</option>
									<?php while (!$rslista->EOF){?>
									<option value="<?php echo $rslista->fields['idinsumo']?>" ><?php echo $rslista->fields['descripcion']?></option>
									<?php $rslista->MoveNext();}?>
								  </select>   
									 <button type="submit" class="btn btn-default" ><span class="fa fa-plus"></span> Agregar</button>			
						</div>
					</div>
					<input type="hidden" name="MM_insert" id="MM_insert" value="form1" /></td>

				</form>
				<div class="clearfix"></div>
				<hr />
				<div id="recarga">
					<?php require_once("prod_define_objetivo_lista.php"); ?>
				</div>

	
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            <script>
			function  filtrar_listado(valor){
				
				 var parametros = {
					"buscar" : valor
				 };
				$.ajax({
					data:  parametros,
					url:   'prod_define_objetivo_lista.php',
					type:  'post',
					beforeSend: function () {
							
					},
					success:  function (response) {
						
						$("#recarga").html(response);
					

					}
				
				 });
				
			}
			
			</script>
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
