<?php
/*
--------------------------------------------------------------------------
Panel ppal de produccion: permite filtrar x centros e imprimir consolidado 
del cpr ademas de individualmente imp los pedidos x cliente solo del CPR 
en curso
UR: 12/05/2021
29/04/2022
30/06/2022
--------------------------------------------------------------------------
*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 
require_once("includes/funciones_stock.php"); 
require_once("includes/funciones_traslados.php"); 



//traemos las producciones cargadas para ese rango de fechas o fecha seleccionada
if ($_REQUEST['fechad'] && $_REQUEST['fechah']){
	$fechah=date("Y-m-d",strtotime($_REQUEST['fechah']));
	$fechad=date("Y-m-d",strtotime($_REQUEST['fechad']));
} else {

	$fechad=date("Y-m-01");
	$fechah=date("Y-m-d", strtotime("+30 days"));
}
//traemos x ahora el centro de produccion de la sucursal en curso, solo para el select, no para el POST
$buscar="Select idcentroprod ,descripcion from  produccion_centros where idsucursal=$idsucursal";
$rgh=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$idcpr=intval($rgh->fields['idcentroprod']);

//traemos los datos de la preferencias
$buscar="select * from preferencias_produccion where estado <> 6 limit 1";
$rprefeprod=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$producir_auto_dife=trim($rprefeprod->fields['prod_auto_diferencia']);
$cantidad_horas=intval($rprefeprod->fields['horas_posteriores']);

//vemos si hubo o existe un POST de transferencia/preparacion
if (isset($_POST['regunico'])){
	//print_r($_POST);exit;
	$regunico=intval($_POST['regunico']);
	$idcpr=intval($_POST['cproc']);//CPR ORIGEN
	$depodestino=intval($_POST['dst']);
	
	$valido="S";
	$errores="";
	
	
		$clasereg=1;//proviene de pedidos de eventos
		$buscar="Select idunico,produccion_orden_new.generado_el,tipo,produccion_orden_new_detalles.idinsumo,insumos_lista.costo,id_pedido_ref,
		idregss,descripcion, cantidad_producir,obs_pedido,obs_produccion,obs_interno,
		(select usuario from usuarios where idusu=produccion_orden_new_detalles.solicitado_por) as quienpide,
		produccion_orden_new_detalles.estado as estaprod
		from produccion_orden_new
		inner join produccion_orden_new_detalles on produccion_orden_new_detalles.idordengral=produccion_orden_new.idordengral
		inner join insumos_lista on insumos_lista.idinsumo=produccion_orden_new_detalles.idinsumo
		where idunico=$regunico and produccion_orden_new.estado <> 6 and produccion_orden_new.tipo=1
		and produccion_orden_new_detalles.idcpr=$idcpr";
		$rgac=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		
		$tdf=$rgac->RecordCount();
		if ($tdf==0){
			$clasereg=2;//Proviene de compras pedidos
			//busca por tipo 2 ya que proviene de una compra(pedido reposicion a compras)
			$buscar="Select idunico,produccion_orden_new.generado_el,tipo,produccion_orden_new_detalles.idinsumo,insumos_lista.costo,id_pedido_ref,
			idregss,descripcion, cantidad_producir,obs_pedido,obs_produccion,obs_interno,
			(select usuario from usuarios where idusu=produccion_orden_new_detalles.solicitado_por) as quienpide,
			produccion_orden_new_detalles.estado as estaprod
			from produccion_orden_new
			inner join produccion_orden_new_detalles on produccion_orden_new_detalles.idordengral=produccion_orden_new.idordengral
			inner join insumos_lista on insumos_lista.idinsumo=produccion_orden_new_detalles.idinsumo
			where idunico=$regunico and produccion_orden_new.estado <> 6 and produccion_orden_new.tipo=2
			and produccion_orden_new_detalles.idcpr=$idcpr";

			$rgac=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$tdf=$rgac->RecordCount();
			if ($tdf==0){
				//tipo 3 para pedidos automaticos
				echo 'NO existe programacion/definicion para diferencias automaticas. La diferencia de la diferencia';exit;
				
			}

		}
		$log="";
		$paso=0;
		while(!$rgac->EOF){
			$paso=$paso+1;
			
			
			
			//Id del pedido original, es el de cat o pedidos a compras (el serial de la tabla origen) o eventos, tambien puede ser el de dif automatica
			$idunicopedido=intval($rgac->fields['idunico']);
			$idinsumo=intval($rgac->fields['idinsumo']);//Identificador del Insumo
			$costoinsumo=floatval($rgac->fields['costo']);//el costo de la tabla de insumos
			$unser=intval($rgac->fields['idregss']);//Id serial unico de la cabecera de produccion new
			$cantidad_original=floatval($rgac->fields['cantidad_producir']);//la cantidad original del pedido
			$cantidad_entregada=floatval($_POST['octt_'.$unser]);//la cantidad que pudieron entregar al  cliente que origino el pedido
			$anteriorpedido=intval($rgac->fields['id_pedido_ref']);//Id del pedido anterior
			//NOTAS DE PRODUCCION - Preparacion
				
			//la diferencia entre lo solicitado y lo entregado, de ser de menos, debe generar una orden automatica para proceder a producir o entregar nuevamente conteniendo:
			/*
			a) la diferencia entre cantidadpedido-cantidadentregada.
			b) Leer los parametros de produccion de la tabla produccion_parametros y buscar la preferencia de cantidad de hs.
			Si no hay nada, por defecto se colocan 24 hs sin adicional
			*/
			
			$diferencia=$cantidad_original-$cantidad_entregada;//Hallamos la diferencia resultante
			$subcosto=$costoinsumo*$diferencia;//Hallamos el subtotal del costo en base a la diferencia
			$tiporeg=intval($rgac->fields['tipo']);//Que tipo de registro es, o de donde proviene 
			
				$detalle[]=array(
				'idinsumo' => $idinsumo,
				'cantidad' => $cantidad_entregada,
				'necesidad' => 0,
				'lote' => '',
				'vencimiento' => '',
				);
			//Ahora que se movio el stock, debemos insertar en el panel de logistica detalle, si es que ya existe la cabecera
			if ($paso==1){
				//verificamos la existencia en logistica
				$buscar="select * from logistica_pedidos where idpedido_referencia=$idunicopedido and estado_orden=1 and idtipopedido=$tiporeg";
				$rcabelogi=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				$idcabelogi=intval($rcabelogi->fields['idcabezaunico']);
				if ($idcabelogi==0){
					$insertar="Insert into logistica_pedidos 
					(fecha_registro,idpedido_referencia,idtipopedido,generado_por)
					values
					(current_timestamp,$idunicopedido,$tiporeg,$idusu)";
					$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
					//traemos la cabecera
					$buscar="select * from logistica_pedidos where idpedido_referencia=$idunicopedido and estado_orden=1 and idtipopedido=$tiporeg and generado_por=$idusu order by idcabezaunico desc limit 1";
					$rcabelogi=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
					$idcabelogi=intval($rcabelogi->fields['idcabezaunico']);
					
				}
			}
			
			
			//cuerpo de logistica
			
			$insertar="
			insert into logistica_pedidos_detalles
			(idcabezaunico,idinsumo,cantidad_origen,cantidad_recibida,cantidad_transferida,cantidad_diferencia,tipodiferencia)
				values
			($idcabelogi,$idinsumo,$cantidad_original,$cantidad_entregada,$cantidad_entregada,0,0)";
			$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
			
			
			
			if ($tiporeg==1){
				//Pedidos x catering
				
			}
			if ($tiporeg==2){
				//Pedidos x repo compras
				$buscar="select origen,destino from compras_pedidos where idpedido=$idunicopedido";
				$rfordest=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				
				$origen=intval($rfordest->fields['origen']);
				$destino=intval($rfordest->fields['destino']);
			}
			if ($tiporeg==3){
				//Pedidos x diferencia automatica
				$origen=intval($rfordest->fields['origen']);
				$destino=intval($rfordest->fields['destino']);
			}
			
			
			
			
			
			
			
			if ($diferencia>0 && $producir_auto_dife=='S'){
				$log.='CREAR X DIF AUTOMATICA<br />';
				//creamos la cabecera para el nuevo pedido si es que no existe. Debe efectuarse solo la primera vez
				$buscar="Select * from produccion_orden_new where tipo=3 and id_pedido_ref=$idunicopedido and estado<>6 and estado <>3";
				$rcabe=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				$log.=$buscar.'**'.$paso.'<br />';
				$idprodunico=intval($rcabe->fields['idordengral']);
				$log.="Id gral de la orden: $idprodunico <br />";
				
				$fechapara=date("Y-m-d H:i:s");//tomamos x defecto hoy mas la cantidad de hs parametrizadas
				//sumamos las hs adicionales si hubieren
				$nf = date("Y-m-d H:i:s",strtotime($fechapara."+ $cantidad_horas hour")); //segun el parametro de la preferencia le metemos
				//revisar si esta insertando correctamente la nueva fecha basandose en el parametro
				$log.="Nueva Fecha para la orden: $nf <br />";
				//exit;
				
				if ($idprodunico==0){
								
					//Creamos las cabeceras nuevas
					//Pedidos para compras
					$log.="Insertamos nueva orden Cabecera para pedidos a compras <br />";
					$insertar="insert into compras_pedidos (fecha_entrega,fechapedido,pedido_por,estado,anulado_el,anulado_por,origen,destino,idempresa,obs,sucursal,cerrado_el,cerrado_por,origenbk,confeccionado_por,idtandatraslado,idpedido_anterior)
					values
					('$nf',current_timestamp,$idusu,4,NULL,NULL,$origen,$destino,1,'DIF AUTOMATICA',$idsucursal,NULL,NULL,1,'DIF AUTOMATICA',NULL,NULL)";
					$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
					
					//Traemos el ID generado recientemente
					$buscar="Select idpedido from  compras_pedidos where pedido_por=$idusu and estado <> 6  order by idpedido desc limit 1 ";
					$rcabe1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
					//Id unico de cabecera para pedidos de compras
					$idcabeza=intval($rcabe1->fields['idpedido']);
					$log.="ID Cabecera para pedidos a compras $idcabeza <br />";
					$log.="Inserta y crea nueva cabecera para produccion  <br />";
					//Para produccion
					$insertar="
					Insert into produccion_orden_new 
					(idunico,fecha_para_prod,id_pedido_ref,tipo,fecha_paso_prod,generado_por,generado_el,anulado_por,anulado_el,estado)
					values
					($idcabeza,'$nf',$idunicopedido,3,current_timestamp,$idusu,current_timestamp,NULL,NULL,1)
					";
					$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
					
					//Buscamos el Id unico de cabecera para pedidos de produccion
					$buscar="Select * from produccion_orden_new where generado_por=$idusu and estado =1 order by idordengral desc limit 1";
					$rsfhh=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
					$idcabeprodnew=intval($rsfhh->fields['idordengral']);
					$log.="Id de la cabecera para produccion :  $idcabeprodnew  <br />";
				} else {
					$idcabeprodnew=$idprodunico;
					//traemos la cabecera del pedido de la compra
					$buscar="Select max(idpedido) as mayor from  compras_pedidos where pedido_por=$idusu and estado <> 6   ";
					$rcabe1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
					//Id unico de cabecera para pedidos de compras
					$idcabeza=intval($rcabe1->fields['mayor']);
					
					
				}
				//Pedidos a compras detalles
				$insertar="
				Insert into compras_pedidos_detalles 	
				(idpedido,cantidad,costogs,subtotal,idinsumo) 
				values
				($idcabeza,$diferencia,$costoinsumo,$subcosto,$idinsumo)
				";
				$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
				
				//ahora el cuerpo de la produccion
				$insertar="insert into produccion_orden_new_detalles
				(idordengral,idinsumo,cantidad_producir,registrado_el,registrado_por,
				estado,idcpr,iniciado_el,iniciado_por,fecha_producir,solicitado_por,obs_pedido,
				obs_interno,obs_produccion,fecha_final,finalizado_por)
				values
				($idcabeprodnew,$idinsumo,$diferencia,current_timestamp,$idusu,1,$idcpr,NULL,NULL,NULL,$idusu,'DIF AUTOMATICA',NULL,NULL,NULL,NULL)
				
				";
				$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));

			}//de diferencia > 0
			
			//Creamos array para transferencia
			
			
			
			
			$rgac->MoveNext();
			
		}
		$buscar="Select * from produccion_centros where idcentroprod=$idcpr and estado=1 limit 1";
		$rfg=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		
		$iddepocpr=intval($rfg->fields['iddeposito']);
		//Creamos la cabecera
		// parametros para validar
		$parametros_array=array(
		'iddeposito_origen' => $iddepocpr,
		'iddeposito_destino' => $depodestino,
		'fecha_traslado' => date("Y-m-d"),
		'generado_por' => $idusu,
		'detalle' => $detalle,
		'detalle_precargado' => 'N',
		'idtanda' => $idtanda
	
		);
		//print_r($parametros_array);
	
		//Validamos el array de traslado
		$res=valida_traslado_entre_depositos($parametros_array);
		if($res['valido'] != 'S'){
			$errores.=$res['errores'];
			$valido="N";
		}
		//print_r($res);exit;
		if($valido=="S"){
			$res=registra_traslado_entre_depositos($parametros_array);
			//print_r($res);exit;
		}
		header("Location: prod_panel.php");
		exit;
		
}







//PEDIDOS NUEVOS CONFIRMADOS
//Lista de pedidos NO revisados, y que NO esten en la tabla de produccion
// y ademas contengan productos que esten asociados al centro de produccion que pertenezca a esta sucursal


//cabecera
$buscar="Select regid,idpresupuesto,evento_para,hora_entrega,
(select razon_social 
from cliente where idcliente=pedidos_eventos.id_cliente_solicita) 
as solicitado_por,registrado_el,confirmado_pedido_el as confirmadoel,
(select usuario 
from usuarios where idusu=pedidos_eventos.registrado_por) as quien
from pedidos_eventos where estado=3 
order by pedidos_eventos.regid desc 
";
//$rga=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
//$tpedidos=$rga->RecordCount(); 


if (isset($_REQUEST['accion'])){
	$idreg=intval($_REQUEST['accion']);
	$tipo=intval($_REQUEST['clase']);
	if ($tipo==0){
		//iniciar produccion
		$update="update produccion_orden_new_detalles set estado=2,iniciado_el=current_timestamp,iniciado_por=$idusu where idregss=$idreg";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		header("location: prod_panel.php?fechasele=$fechasele");exit;
	}
	
}

if ($_REQUEST['cpr']){
	$idcpr=intval($_REQUEST['cpr']);
}	



//Con la fecha ,y cpr agarramos los pedidos de produccion pendientes, no anulados y no finalizados para mostrar el panel
$buscar="Select idregss,descripcion, cantidad_producir,obs_pedido,obs_produccion,obs_interno,
(select usuario from usuarios where idusu=produccion_orden_new_detalles.solicitado_por) as quienpide,produccion_orden_new_detalles.estado as estaprod
from produccion_orden_new_detalles
inner join insumos_lista on insumos_lista.idinsumo=produccion_orden_new_detalles.idinsumo
where date(fecha_producir) between '$fechad' and   '$fechah' and produccion_orden_new_detalles.idcpr=$idcpr order by descripcion asc";
$rgac=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
//echo $buscar;
//echo $buscar;exit; // and produccion_orden_new_detalles.idcpr=$idcpr 
$tpedidos=$rgac->RecordCount();



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
             <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Centro de Producci&oacute;n <?php echo $rgh->fields['descripcion']?><br /> </h2>
                   
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
						<div style="width: 90%; margin-left: 5%;margin-right: 5%; ">
						
					
					  <?php 
						$consulta="
							Select idcentroprod,  descripcion
							from produccion_centros 
							where 
							estado <> 6 
							order by descripcion asc
							";

					  
					  ?>
						<form id="gf" action="" method="get">
						
						<div class="col-md-55">
						Centro
						<?php 
						
						// valor seleccionado
						if(isset($_POST['cpr'])){ 
							$value_selected=htmlentities($_POST['cpr']); 
						}else{
							$value_selected=htmlentities($idcpr);
						}
						
						
						// parametros
						$parametros_array=array(
							'nombre_campo' => 'cpr',
							'id_campo' => 'cpr',
							
							'nombre_campo_bd' => 'descripcion',
							'id_campo_bd' => 'idcentroprod',
							
							'value_selected' => $value_selected,
							
							'pricampo_name' => 'Seleccionar...',
							'pricampo_value' => '',
							'style_input' => 'class="form-control"', 
							'acciones' => '  ',
							'autosel_1registro' => 'N'

						);
						
						echo campo_select($consulta,$parametros_array);
						?>
						</div>
						<div class="col-md-55">
							Mostrar Registros <br />
							<select name="tr" id="tr" style="height:40px; width:95%;">
								<option value="0" selected="selected">Todos</option>
								<option value="1" <?php if ($_REQUEST['tr']==1){ ?>selected="selected"<?php } ?>>Impresos</option>
								<option value="2" <?php if ($_REQUEST['tr']==2){ ?>selected="selected"<?php } ?>>NO Impresos</option>
							</select>
							
							
						</div>
						<div class="col-md-55">
						
							Fecha desde<br />
							<input style="height: 40px; width:70%;" type="date" name="fechad" id="fechad" value="<?php echo $fechad; ?>"  />
						</div>
						<div class="col-md-55">
							Fecha Hasta <br />
							<input style="height: 40px;width:70%;" type="date" name="fechah" id="fechah" value="<?php echo $fechah; ?>"  />
							
							<input type="submit" value="Filtrar"  class="btn btn-secondary"/>
						</div>
						
							</form>
						<br />
						
					  </div>

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
           
             <?php 
			 
			 
			//cargamos los valores basicos del pedido
			  //and regid=(select idunico from produccion_orden_new
			///inner join produccion_orden_new_detalles on produccion_orden_new_detalles.idordengral=produccion_orden_new.idordengral
			
			//where produccion_orden_new.tipo=1 and produccion_orden_new.estado <> 6 and produccion_orden_new_detalles.idcpr=$idcpr limit 1)
			 //Buscamos x pedido para evento primero
			  
			$buscar="Select regid,idpresupuesto,evento_para,hora_entrega,dire_entrega,fecha_solicitud as  fecha_paso_prod,
			(select telefono from cliente_pedido where idclienteped=pedidos_eventos.id_cliente_solicita) as telefono,
			(select nomape 
			from cliente_pedido where idclienteped=pedidos_eventos.id_cliente_solicita) 
			as solicitado_por,registrado_el,confirmado_pedido_el as confirmadoel,
			(select usuario 
			from usuarios where idusu=pedidos_eventos.registrado_por) as quien
			from pedidos_eventos where estado=3 
			and date(evento_para) between '$fechad' and   '$fechah'
			
			order by regid desc ";
			$rga=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$tpedidosn=$rga->RecordCount(); 
			$t=1;
			  //and regid=(select idunico from produccion_orden_new where tipo=1 and estado <> 6 )
			if ($tpedidosn==0){
				//echo 'entra';
				$buscar="
				Select idpedido as regid,fecha_entrega as evento_para,fechapedido as registrado_el,fechapedido as fecha_paso_prod,obs,
				(select descripcion from gest_depositos 
				where iddeposito=compras_pedidos.origen) as solicitado_por
				from compras_pedidos 
				where  estado <>6 
				and date(fecha_entrega) between '$fechad' and   '$fechah'
				
				order by idpedido desc ";
				$rga=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				$tpedidosn=$rga->RecordCount(); 
				$t=2;
			}
			  //echo $buscar;
			 //prod_panel.php?cpr=6&fechad=2020-11-25&fechah=2020-11-29#
			 
			 ?>
			  
			 <div class="clearfix"></div>
			
			<!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Ultimos Pedidos confirmados</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
				<?php if ($tpedidos>0){?>
					  			<div class="table-responsive">
									<table class="table table-striped jambo_table bulk_action">
									<thead>
										<tr class="headings">
								<th colspan="7" style="background-color: azure;color: black;">
									<a target="_blank" href="pedidos_produccion_consolidado.php?cpr=<?php echo $idcpr?>&fechad=<?php echo $fechad?>&fechah=<?php echo $fechah?>"><span class="fa fa-file-pdf-o"></span>&nbsp;Descargar PDF Consolidado</a></th>
							
							</tr>
										<tr class="headings">
											<th>&nbsp;</th>
											<th class="column-title">Id Pedido</th>
											<th class="column-title">Pedido Impreso</th>
											<th class="column-title">Cliente </th>
											<th class="column-title">Fecha/ Hora </th>
											
											
											<th class="column-title">Observaci&oacute;n </th>
											<th class="column-title">Pasado el</th>
											<th class="column-title">Registrado por</th>
											<th class="bulk-actions" colspan="7"></th>
										</tr>
									</thead>
									<tbody>
										<?php 
										$mostrar_clase=intval($_REQUEST['tr']);
										if ($t==1){
											$a= "C - "; 
										} else {
											$a= "R - "; 
										} 
										while (!$rga->EOF){
											$unica=intval($rga->fields['regid']);
											if ($mostrar_clase==0){
											$addclase='';
										}
										if ($mostrar_clase==1){
												$addclase=" and idunico in (select idunico_unico from produccion_orden_new_impresos where idunico_unico=$unica) ";
										}
										if ($mostrar_clase==2){
												$addclase=" and idunico not in (select idunico_unico from produccion_orden_new_impresos where idunico_unico=$unica) ";
										}
												
											//Si el id unico, no posee componentes para este centro de produccion, no se debe mostrar
											//Como este unico id proviene de pedidos o compras, hay que buscar por tipo 2 o 3 respectivamente pero en la tab de prod
											$buscar="Select idunico,produccion_orden_new.idordengral,count(cantidad_producir) as tt 
											from produccion_orden_new inner join produccion_orden_new_detalles on
											produccion_orden_new_detalles.idordengral=produccion_orden_new.idordengral
											where idcpr=$idcpr $addclase
											and produccion_orden_new.estado <> 6 
											and idunico=$unica
											";
											$rcpr=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
											$cantidad_items=floatval($rcpr->fields['tt']);
											$tex=trim($rga->fields['obs']);
											if ($tex=='DIF AUTOMATICA'){
												$estilo=" style='background-color:#7AF3D5;'";
												
											} else {
												
												$estilo=" style='background-color:white;'";
											}
											$buscar="Select idsucursal,(select usuario from usuarios where idusu=produccion_orden_new_impresos.impreso_por) as quien,impreso_el
											from produccion_orden_new_impresos where idcpr=$idcpr and idunico_unico=$unica";
											$rab=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
											if (intval($rab->fields['idsucursal'])>0){
												$entrante='S';
											} else {
												$entrante='N';
											}
											if ($cantidad_items > 0){
												
													//quiere mostrar solo lo que esta impreso
													
										?>
										<tr class="even pointer" id="registros_<?php echo $rga->fields['regid']?>" <?php echo $estilo; ?>>
											<td class="a-center ">
											<button type="button" class="btn btn-primary btn-xs"  onClick="abrir(<?php echo $rga->fields['regid'] ?>, <?php echo $idcpr; ?>);">
												<span class="fa fa-search">&nbsp;</span>Ver</button>
												<button type="button" class="btn btn-dark btn-xs"  onClick="imprimepdf(<?php echo $rga->fields['regid']?>,<?php echo $idcpr; ?>)"><span class="fa fa-file-pdf-o">&nbsp;</span>PDF</button>	
												
											</td>
											<td class=" "><?php echo " $a ".$rga->fields['regid']?></td>
											<td id="entrante_td_<?php echo $unica; ?>">
											<input name="userid" id="userid_<?php echo $unica; ?>" type="checkbox" value="<?php echo $unica; ?>" class="js-switch" onChange="habilitar(<?php echo $unica; ?>,<?php echo $idsucursal; ?>,<?php echo $idcpr; ?>);" <?php if($entrante=='S'){ echo "checked"; } ?>   >
											
											</td>
											<td class=" "><?php echo $rga->fields['solicitado_por']; ?></td>
											<td class=" "><?php echo date("d/m/Y",strtotime($rga->fields['evento_para'])); ?>/ <?php echo $rga->fields['hora_entrega']; ?></td>
											
											<!--<td class=" "><?php echo $rga->fields['dire_entrega']; ?></td>-->
											<td class=" "><?php echo $rga->fields['obs']; ?></td>
											<td class=" "><?php echo date("d/m/Y H:i:s",strtotime($rga->fields['fecha_paso_prod'])); ?></td>
											<td class="a-right a-right "><?php echo $rga->fields['quien']; ?></td>
										</tr>
												
														
												
									<?php 
											}
									$rga->MoveNext();}
									
									?>
									
									</tbody>
									</table>
									</div>
									<?php } else {?>

									* No existen pedidos confirmados para preparar
					  				<?php } ?>


                  </div>
                </div>
              </div>
            </div>
			  
          
          </div>
        </div>
        <!-- /page content -->
		 <div class="modal fade" id="acciones"  role="dialog" aria-labelledby="titulo" aria-hidden="true" >
			<div class="modal-dialog modal-dialog-centered" role="document" >
			  <div class="modal-content" style="width: 800px;">

				<!-- Modal Header -->
				<div class="modal-header">
					
					<span  id="variadotit" style="font-weight:bold;"></span>
				   <button type="button" class="close" data-dismiss="modal"></button>
				</div>

				<!-- Modal body -->
				<div class="modal-body" id="acciones_cuerpo" style="min-height:250px; overflow-y: scroll">
				  
                  
				</div>
					
				<!-- Modal footer -->
				<div class="modal-footer">
				 
                
				</div>

			  </div>
			</div>
		  </div>
        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
<script>
function imprimepdf(unico,cpr){
	
	
	window.open("prod_panel_pdf.php?id="+unico+"&cpr="+cpr, "_blank")
	
}
function abrir(regunico,cpr){
	
	var parametros = {
			 "regunico" : regunico,
			 "cpr" 		: cpr
		  };
		  $.ajax({
				data:  parametros,
				url:   'prod_panel_mini_deta.php',
				type:  'post',
				beforeSend: function () {
			},
			success:  function (response) {
				$("#acciones_cuerpo").html(response);
				 $("#acciones").modal("show");
 			}
		});
	
	
}
  function filtrar(){
	  $("#gf").submit();
  }
  function comenzar(serie){
	  $("#accion").val(serie);
	  $("#kjl").submit();
  }
 function comentarioprod(serie){
	 var comentario=$("#prodcomenta_"+serie).val();
	 var parametros = {
			 "comentario" : comentario,
			 "serie" :serie
		  };
		  $.ajax({
				data:  parametros,
				url:   'prod_actualiza_comentario.php',
				type:  'post',
				beforeSend: function () {
			},
			success:  function (response) {
				$("#gh1").html(response);
			
 			}
		});
		
		 
}
function habilitar(idunico,idsucursal,idcpr){
	var prender='';
	var offline="S";
	var marcado = $('#userid_'+idunico).is(':checked');
	if (marcado==true){
		prender=1;
	}
	if (marcado==false){
		prender=0;
	}
	//alert(marcado);
	var direccionurl='marcar_impreso_pedido.php';	
	var parametros = {
	  "idunico"  : idunico,
	  "prender"	    : prender,
	  "dst"			: idsucursal,
	  "idcpr"		:idcpr
	};
	
	$.ajax({		  
	data:  parametros,
	url:   direccionurl,
	type:  'post',
	cache: false,
	timeout: 8000,  // I chose 3 secs for kicks: 3000
	crossDomain: true,
	beforeSend: function () {
			$("#entrante_td_"+idunico).html('Procesando, aguarde por favor');	
	},
	success:  function (response, textStatus, xhr) {
		if(IsJsonString(response)){
					var obj = jQuery.parseJSON(response);
					if(obj.valido == 'S'){
							//alert('Marcar tdserial num: '+idprodserial);
							$("#entrante_td_"+idunico).html(obj.html_checkbox);
							var elem = $("#entrante_"+idunico);
							var idbox = "entrante";
							switchery_reactivar_uno(idunico,idbox);
					}else{
						//alert('RESPUESTA JSON: '+obj.errores);
						$("#entrante_td_"+idunico).html(obj.html_checkbox);
						var elem = $("#entrante_"+idunico);
						var idbox = "entrante";
						switchery_reactivar_uno(idunico,idbox);
					}
		}else{
			alert('Respuesta NO JSON: '+response);	
		}
	},
	error: function(jqXHR, textStatus, errorThrown) {
		if(jqXHR.status == 404){
			alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
		}else if(jqXHR.status == 0){
			alert('Se ha rechazado la conexión.Error Local');
		}else{
			alert(jqXHR.status+' '+errorThrown);
		}
	}
	
	
}).fail( function( jqXHR, textStatus, errorThrown ) {
	
	if (jqXHR.status === 0) {

		alert('No conectado: verifique la red.');
	
	} else if (jqXHR.status == 404) {
	
		alert('Pagina no encontrada [404]');
	
	} else if (jqXHR.status == 500) {
	
		alert('Internal Server Error [500].');
	
	} else if (textStatus === 'parsererror') {
	
		alert('Requested JSON parse failed.');
	
	} else if (textStatus === 'timeout') {
	
		alert('Tiempo de espera agotado, time out error.');
	
	} else if (textStatus === 'abort') {
	
		alert('Solicitud ajax abortada.'); // Ajax request aborted.
	
	} else {
	
		alert('Uncaught Error: ' + jqXHR.responseText);
	
	}
	
});
	
	
}
function switchery_reactivar_uno(idunico,idbox){
		var elems = document.querySelector('#entrante_'+idunico);
		var switchery = new Switchery(elems);

}	
</script>
<link href="vendors/switchery/dist/switchery.min.css" rel="stylesheet">
<script src="vendors/switchery/dist/switchery.min.js" type="text/javascript"></script>
  </body>
</html>
