<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="17";
$submodulo="275";
require_once("includes/rsusuario.php"); 

// funciones para stock
require_once("includes/funciones_stock.php");

$opr=intval($_GET['id']);
if($opr == 0){
	header("location: produccion_ordenes.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from produccion_ordenes 
where 
opr = $opr
and (estado_orden=1 or estado_orden=2)
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$opr=intval($rs->fields['opr']);
if($opr == 0){
	header("location: produccion_ordenes.php");
	exit;	
}


if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$anulado_el=antisqlinyeccion($ahora,"text");
	$anulado_por=antisqlinyeccion($idusu,"int");


	$consulta="
	select * 
	from produccion_ordenes
	where
	opr = $opr
	";
	$rsop=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$iddeposito_origen=intval($rsop->fields['iddeposito_origen']);
	$iddeposito_destino=intval($rsop->fields['iddeposito_destino']);
	$fecha=$rsop->fields['fecha'];
	
	if($iddeposito_origen == 0){
		$errores.="- No se cargo el deposito origen.<br />";
		$valido="N";
	}
	if($iddeposito_origen == 0){
		$errores.="- No se cargo el deposito destino.<br />";
		$valido="N";
	}
	

	// si todo es correcto inserta
	if($valido == "S"){
		
		// mover stock reverso
		$consulta="
		select * from produccion_ordenes_det where opr = $opr order by oprdet asc
		";
		$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// recorre la tabla de recetas
		while(!$rsdet->EOF){
			
			$cantidad_receta_prod=$rsdet->fields['cantidad_receta_prod'];
			$idinsumo=$rsdet->fields['idinsumo'];
			
			// traslados de stock
			
			// Aumentar stock general en deposito origen
			aumentar_stock_general($idinsumo,$cantidad_receta_prod,$iddeposito_origen);
			
			// anular entrega de articulo
			movimientos_stock($idinsumo,$cantidad_receta_prod,$iddeposito_origen,20,'+',$opr,$fecha);
			
			// descuenta stock genereal en deposito destino
			descontar_stock_general($idinsumo,$cantidad_receta_prod,$iddeposito_destino);
			
			// recibe de articulo
			movimientos_stock($idinsumo,$cantidad_receta_prod,$iddeposito_destino,21,'-',$opr,$fecha);
			
			
			//traslada stock a nivel de costos
			traslada_stock($idinsumo,$cantidad_receta_prod,$iddeposito_destino,$iddeposito_origen);
		
		
		

		$rsdet->MoveNext(); }
		
		$consulta="
		update produccion_ordenes
		set
			estado_orden=6,
			anulado_el=$anulado_el,
			anulado_por=$anulado_por

		where
			opr = $opr
			and (estado_orden=1 or estado_orden=2)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		
		
		header("location: produccion_ordenes.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Borrar Orden de Produccion</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">


<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha Orden *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="fecha" id="fecha" value="<?php  if(isset($_POST['fecha'])){ echo htmlentities($_POST['fecha']); }else{ echo date("Y-m-d"); }?>" placeholder="Fecha" class="form-control" disabled />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Producto Objetivo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<?php 
// consulta
$consulta="
SELECT prod_lista_objetivos.idinsumo, insumos_lista.descripcion
FROM prod_lista_objetivos
inner join insumos_lista on insumos_lista.idinsumo = prod_lista_objetivos.idinsumo
where
prod_lista_objetivos.estado = 1
and insumos_lista.estado = 'A'
and prod_lista_objetivos.unicopkss in (select idobjetivo from recetas_detalles_produccion)
order by insumos_lista.descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idinsumo_final'])){ 
	$value_selected=htmlentities($_POST['idinsumo_final']); 
}else{
	$value_selected=htmlentities($rs->fields['idinsumo_final']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idinsumo_final',
	'id_campo' => 'idinsumo_final',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idinsumo',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' disabled  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cantidad producir *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="cantidad_producir" id="cantidad_producir" value="<?php  if(isset($_POST['cantidad_producir'])){ echo floatval($_POST['cantidad_producir']); }else{ echo floatval($rs->fields['cantidad_producir']); }?>" placeholder="Cantidad producir" class="form-control" disabled />                    
	</div>
</div>


<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Deposito origen *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
select iddeposito, descripcion 
from gest_depositos
where
estado = 1
and tiposala <> 3
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['iddeposito_origen'])){ 
	$value_selected=htmlentities($_POST['iddeposito_origen']); 
}else{
	$value_selected=htmlentities($rs->fields['iddeposito_origen']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'iddeposito_origen',
	'id_campo' => 'iddeposito_origen',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'iddeposito',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' disabled ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Deposito destino *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
select iddeposito, descripcion 
from gest_depositos
where
estado = 1
and tiposala <> 3
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['iddeposito_destino'])){ 
	$value_selected=htmlentities($_POST['iddeposito_destino']); 
}else{
	$value_selected=htmlentities($rs->fields['iddeposito_destino']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'iddeposito_destino',
	'id_campo' => 'iddeposito_destino',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'iddeposito',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' disabled ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>









<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='produccion_ordenes.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>

<br /><br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
