<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="25";
$submodulo="365";
require_once("includes/rsusuario.php"); 


$idproductolistafran=intval($_GET['id']);
if($idproductolistafran == 0){
	header("location: productos_listaprecios_fran.php");
	exit;	
}
$consulta="
select *
from productos_listaprecios_fran 
where 
 estado = 1 
 and idproductolistafran = $idproductolistafran
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idfranquicia=intval($rs->fields['idfranquicia']);
if($idfranquicia == 0){
	header("location: productos_listaprecios_fran.php");
	exit;	
}

$consulta="
select *,
(select usuario from usuarios where franquicia.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where franquicia.borrado_por = usuarios.idusu) as borrado_por,
(select razon_social from franquiciado where idfranquiciado = franquicia.idfranquiciado) as franquiciado,
(SELECT fecha_fin FROM sincronizacion_clientes where finalizo_ok = 'S' and idfranquicia = franquicia.idfranquicia and idsincronizacion_tipo = 1 order by fecha_fin desc limit 1) as ultsincro_prod,
(SELECT fecha_fin FROM sincronizacion_clientes where finalizo_ok = 'S' and idfranquicia = franquicia.idfranquicia and idsincronizacion_tipo = 2 order by fecha_fin desc limit 1) as ultsincro_ven,
(select max(idventa_fran) from ventas_franq where idfranquicia = franquicia.idfranquicia) as maxidv
from franquicia 
where 
 estado = 1 
 and idfranquicia = $idfranquicia
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idfranquicia=intval($rs->fields['idfranquicia']);
if($idfranquicia == 0){
	header("location: productos_listaprecios_fran.php");
	exit;	
}



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$estado=1;
	$precio=antisqlinyeccion($_POST['precio'],"float");
	$reg_por=antisqlinyeccion($idusu,"int");
	$reg_el=antisqlinyeccion($ahora,"text");


	if(floatval($_POST['precio']) <= 0){
		$valido="N";
		$errores.=" - El campo precio no puede ser cero o negativo.<br />";	
	}


	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update productos_listaprecios_fran
		set
			precio=$precio,
			reg_por=$reg_por,
			reg_el=$reg_el
		where
			idproductolistafran = $idproductolistafran
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		INSERT INTO productos_listaprecios_fran_log
		(idproductolistafran, idfranquicia, idlistaprecio, idproducto, idsucursal, estado, precio,
		 reg_por, reg_el, accion, log_por, log_el)
		 select
		 $idproductolistafran, idfranquicia, idlistaprecio, idproducto, idsucursal, estado, precio, 
		 reg_por, reg_el, 'E', $idusu, '$ahora'
		 from productos_listaprecios_fran
		 where
		 idproductolistafran = $idproductolistafran
		 limit 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: productos_listaprecios_fran_det.php?id=".$idfranquicia);
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Precios Diferenciados por Franquicias</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
Solamente ingresar los precios de los productos que varian, si no se ingresa tomara el precio estandar.


<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th align="center">Idfranquicia</th>
			<th align="center">Nombre franquicia</th>
			<th align="center">Franquiciado</th>
			<th align="center">Direccion</th>
			<th align="center">Telefono</th>
		</tr>
	  </thead>
	  <tbody>
<?php
$i=0;
 while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idfranquicia']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['nombre_franquicia']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['franquiciado']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['direccion']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['telefono']); ?></td>
            
		</tr>
<?php $i++; $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<hr />

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<?php 


$consulta="
select *
from productos_listaprecios_fran 
where 
 estado = 1 
 and idproductolistafran = $idproductolistafran
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>
<form id="form1" name="form1" method="post" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Lista precio *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idlistaprecio, lista_precio
FROM lista_precios_venta
where
estado = 1
order by lista_precio asc
 ";

// valor seleccionado
if(isset($_POST['idlistaprecio'])){ 
	$value_selected=htmlentities($_POST['idlistaprecio']); 
}else{
	$value_selected=htmlentities($rs->fields['idlistaprecio']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idlistaprecio',
	'id_campo' => 'idlistaprecio',
	
	'nombre_campo_bd' => 'lista_precio',
	'id_campo_bd' => 'idlistaprecio',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" disabled="disabled" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);


?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Producto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$idproducto=$rs->fields['idproducto'];
$consulta="
SELECT idprod_serial as idproducto, descripcion
FROM productos
where
borrado = 'N'
and idprod_serial = $idproducto
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idproducto'])){ 
	$value_selected=htmlentities($_POST['idproducto']); 
}else{
	$value_selected=htmlentities($rs->fields['idproducto']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idproducto',
	'id_campo' => 'idproducto',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idproducto',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" disabled="disabled"  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);


?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idsucu as idsucursal, nombre
FROM sucursales
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_POST['idsucursal'])){ 
	$value_selected=htmlentities($_POST['idsucursal']); 
}else{
	$value_selected=htmlentities($rs->fields['idsucursal']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idsucursal',
	'id_campo' => 'idsucursal',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idsucursal',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" disabled="disabled"  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Precio *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="precio" id="precio" value="<?php  if(isset($_POST['precio'])){ echo floatval($_POST['precio']); }else{ echo floatval($rs->fields['precio']); }?>" placeholder="Precio" class="form-control" required />                    
	</div>
</div>



<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='productos_listaprecios_fran_det.php?id=<?php echo $idfranquicia ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 

    
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
