<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="480";
require_once("includes/rsusuario.php"); 
$consulta="SELECT * FROM preferencias WHERE  idempresa = $idempresa ";
$rspref=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$impresor=trim($rspref->fields['script_ticket']);

//Comprobar apertura de caja	
$parametros_caja_new=array(
	'idcajero' => $idusu,
	'idsucursal' => $idsucursal,
	'idtipocaja' => 1
);
$res_caja=caja_abierta_new($parametros_caja_new);
$idcaja=intval($res_caja['idcaja']);
if ($idcaja==0){
	echo "<meta http-equiv='refresh' content='0; url=gest_administrar_caja_new.php'/>";
	exit;	
}


if (isset($_REQUEST['octp'])){
	$mpago=intval($_REQUEST['mpago']);
	if ($mpago > 0){
		$add2=" and mediopago=$mpago ";
	}

	$agrupar=intval($_REQUEST['tlista']);
	if ($agrupar==1){
		//Lista individual
		//Lista individual
		$buscar="
		Select 
		(monto_propina) as tprop, descripcion as mediopagochar,mesas_atc_propinas.registrado_el as fechareg,usuario,
		(select idmesa from mesas_atc where idatc=mesas_atc_propinas.idatc) as idmesappal
		from mesas_atc_propinas 
		inner join formas_pago on formas_pago.idforma=mesas_atc_propinas.mediopago 
		inner join usuarios on usuarios.idusu=mesas_atc_propinas.registrado_por 
		inner join ventas on ventas.idatc = mesas_atc_propinas.idatc
		where 
		mesas_atc_propinas.idatc in (select idatc from mesas_atc where estado<>6) 
		$add2
		and ventas.idcaja = $idcaja
		and ventas.estado <> 6
		order by mesas_atc_propinas.registrado_el asc";
			
		$rsf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$tdata=$rsf->RecordCount();
	
	}
	if ($agrupar==2){
		//Lista Agrupada
		//Agrupado
		$buscar="
		SELECT 
		ventas.idventa, ventas.fecha as fechis,
		(select idatc from tmp_ventares_cab where idventa=ventas.idventa and estado <> 6 limit 1) as idatc,
		(select formas_pago.descripcion as forma_pago from formas_pago where formas_pago.idforma = gest_pagos_det.idformapago) as forma_pago,
		REPLACE(gest_pagos_det.monto_pago_det,'.',',') as monto_formapago,
		REPLACE(ventas.total_venta,'.',',') as total_venta,
		REPLACE(ventas.descneto,'.',',') as descuento,
		REPLACE(ventas.totalcobrar,'.',',') as monto_factura, 
			 
		CASE WHEN idatc > 0 THEN REPLACE((Select sum(monto_propina) as tt from mesas_atc_propinas where idatc=ventas.idatc and mediopago=1),'.',',')END as prop_efectivo,
		CASE WHEN idatc > 0 THEN REPLACE((Select sum(monto_propina) as tt from mesas_atc_propinas where idatc=ventas.idatc and mediopago=4),'.',',')END as prop_debito,
		CASE WHEN idatc > 0 THEN REPLACE((Select sum(monto_propina) as tt from mesas_atc_propinas where idatc=ventas.idatc and mediopago=2),'.',',')END as prop_credito,
		CASE WHEN idatc > 0 THEN REPLACE((Select comision from propinas_comisiones where idformapago=2 and estado=1),'.',',')END as comi_credito,
		CASE WHEN idatc > 0 THEN REPLACE((Select comision from propinas_comisiones where idformapago=4 and estado=1),'.',',')END as comi_debito,
		ventas.idcaja, 
		ventas.fecha as Fecha, 
		CONCAT(ventas.ruchacienda,'-',dv) as ruc, 
		(select cliente.razon_social from cliente where cliente.idcliente = ventas.idcliente limit 1) as razon_social,

		CASE WHEN ventas.tipo_venta = 1
		THEN
		 'CONTADO'
		ELSE
		 'CREDITO'
		END as 'Tipo Venta',
		CASE WHEN 
			LENGTH(ventas.factura) = 13
		THEN
			CONCAT(SUBSTRING(ventas.factura,1,3),'-',SUBSTRING(ventas.factura,4,3),'-',SUBSTRING(ventas.factura,7,7))
		ELSE
			ventas.factura
		END as factura,

		(select nombre from sucursales where sucursales.idsucu = ventas.sucursal) as Sucursal,
		(select descripcion from gest_depositos where iddeposito = ventas.iddeposito) as Deposito,
		(select usuario from usuarios where idusu = ventas.operador_pedido) as Operador,
		(select usuario from usuarios where idusu = ventas.registrado_por) as Cajero,
		CASE WHEN ventas.estado <> 6 THEN 'VIGENTE' ELSE 'ANULADO' END as 'Estado',
		CONCAT(ELT(WEEKDAY(ventas.fecha)+1, 
		'Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sabado', 'Domingo')) AS dia_semana,
		(select canal from canal where idcanal = ventas.idcanal) as canal,
		(select canal_venta from canal_venta where idcanalventa = ventas.idcanalventa) as canal_venta,
		(select motorista from motoristas where idmotorista = ventas.idmotorista) as motorista,
		(select numero_mesa from mesas where idmesa = ventas.idmesa) as mesa,
		(select salon.nombre from mesas inner join salon on salon.idsalon = mesas.idsalon where idmesa = ventas.idmesa) as salon
		FROM ventas
		inner join gest_pagos on gest_pagos.idventa = ventas.idventa
		inner join gest_pagos_det on gest_pagos_det.idpago = gest_pagos.idpago 
		WHERE 
		ventas.idcaja = $idcaja
		and ventas.estado <> 6
		and ventas.finalizo_correcto = 'S'
		and gest_pagos.estado <> 6
		$whereadd
		group by ventas.idventa
		ORDER by date(ventas.fecha) asc, ventas.factura asc
		";
		//echo $buscar;exit;
		$rsf1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$tdata=$rsf1->RecordCount();

		
	}

	
	
}









//Medios pagos
$buscar="
	select * from formas_pago where estado=1
	";
$rsformas = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Propinas de mi Caja #<?php echo $idcaja;?></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<form id="form1" name="form1" method="get" action="">

								<div class="col-md-6 col-sm-6 form-group">
									<label class="control-label col-md-3 col-sm-3 col-xs-12">Medio Pago *</label>
									<div class="col-md-9 col-sm-9 col-xs-12">
										<select name="mpago" id="mpago"  class="form-control">
											<option value="0" selected="selected">TODOS</option>
											<?php while (!$rsformas->EOF){?>
											<option value="<?php echo $rsformas->fields['idforma'] ?>"<?php if (intval($rsformas->fields['idforma'])==$_REQUEST['mpago']){?> selected="selected" <?php } ?>><?php echo $rsformas->fields['descripcion']?></option>
											<?php $rsformas->MoveNext();}?>
										</select>

									</div>
								</div>
							
							<div class="col-md-6 col-sm-6 form-group">
									<label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo lista *</label>
									<div class="col-md-9 col-sm-9 col-xs-12">
										<select name="tlista" id="tlista"  class="form-control">
											<option value="2" <?php if (intval($_REQUEST['tlista'])==0){?> selected="selected" <?php } ?><?php if (intval($_REQUEST['tlista'])==2){?> selected="selected" <?php } ?> >Agrupada</option>
									<option value="1" <?php if (intval($_REQUEST['tlista'])==1){?> selected="selected" <?php } ?>>Detallada</option>
									  
								   
								  </select>

									</div>
								</div>
							
							
							
							
							
							<div class="clearfix"></div>
							<br />


								<div class="form-group">
									<input type="hidden" name="octp" id="octp" value="1" />
									<div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
								   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

									</div>
								</div>
	
					  </form>
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
<?php 
if ($agrupar==1){ 
$tickete="";
$ahora=date("d/m/Y H:i:s",strtotime($ahora));
$nombreempresa_centrado=corta_nombreempresa($nombreempresa);	
$tickete="
----------------------------------------
$nombreempresa_centrado
         RESUMEN DE PROPINAS
DESDE: $d    HASTA: $h".$saltolinea."
----------------------------------------
IMPRESO EL    : $ahora
CAJERO        : $cajero
----------------------------------------
      
MESA/REG         MONTO            FORMA P
----------------------------------------
";
?>
             
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Propinas Detalladas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<a href="propinas_caja_pdf.php?mpago=<?php echo intval($_GET['mpago']);  ?>&tlista=<?php echo intval($_GET['tlista']);  ?>&octp=<?php echo intval($_GET['octp']);  ?>" target="_blank" class="btn btn-sm btn-default"><span class="fa fa-file-pdf-o"></span> Descargar PDF</a>
					  <hr />
					<div class="table-responsive">
						<table width="100%" class="table table-bordered jambo_table bulk_action">
							<thead>

								<tr>
									<th ><strong>Fecha</strong></th>
									<th ><strong>Medio Pago</strong></th>
									<th ><strong>Monto Abonado</strong></th>
									<th ><strong>Registrado por</strong></th>
									<?php if ($agrupar==1){?>
									<th ><strong>N&deg; Mesa</strong></th>
									<?php }?>
								</tr>
							</thead>
							<tbody>
							<?php
									$subt=0;	  
									while (!$rsf->EOF){
									$subt=$subt+floatval(($rsf->fields['tprop']));
									$idmesappal=intval($rsf->fields['idmesappal']);
									$buscar="Select numero_mesa from mesas where idmesa=$idmesappal";
									$rsmesd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
									$numeromesa=$rsmesd->fields['numero_mesa'];
							?>
							<tr>
								<td><?php echo date("d/m/Y H:i:s",strtotime($rsf->fields['fechareg']));?></td>
								<td><?php echo $rsf->fields['mediopagochar']?></td>
								<td align="right"><?php echo formatomoneda($rsf->fields['tprop'])?></td>
								<td align="right"><?php echo $rsf->fields['usuario']?></td>
								<td align="center"><?php if ($agrupar==1){?><?php echo $numeromesa; //$rsf->fields['idmesappal']?><?php }?></td>
							</tr>
							
							<?php 
							if ($agrupar==1){
								$conce=trim($numeromesa);
								
							} else {
								
								$conce=($rsf->fields['usuario']);	
							}
							
							$tickete.=agregaespacio($conce,12).agregaespacio(formatomoneda($rsf->fields['tprop'],0,'N'),10).agregaespacio($rsf->fields['mediopagochar'],16).$saltolinea;
							
							
							
							$rsf->MoveNext();}
			$tickete.="
			----------------------------------------
			Total recibido Gs:".formatomoneda($subt);			
							?>
							<tr>
							<td height="35" colspan="5" align="right"><strong>Total recibido Gs: <?php echo formatomoneda($subt)?></strong></td>
					</tr>
							</tbody>
						</table>
						</div>

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->            
<?php } ?>
			  
			
<?php if ($agrupar==2){ ?>
			<!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Propinas Agrupadas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<a href="propinas_caja_pdf.php?mpago=<?php echo intval($_GET['mpago']);  ?>&tlista=<?php echo intval($_GET['tlista']);  ?>&octp=<?php echo intval($_GET['octp']);  ?>" target="_blank" class="btn btn-sm btn-default"><span class="fa fa-file-pdf-o"></span> Descargar PDF</a>
					  <hr />
					<div class="table-responsive">
						<table width="100%" class="table table-bordered jambo_table bulk_action" id="tabla">
						<thead>
							
							
							<tr>
								<th ><strong>Fecha</strong></th>
								<th ><strong>Factura</strong></th>
								<th ><strong>Cliente</strong></th>
								<th ><strong>Monto Factura</strong></th>
								
								<th><strong>Prop. Efectivo</strong></th>
								<th><strong>Prop. Debito</strong></th>
								<th ><strong>Prop. Credito</strong></th>
								<th ><strong>Com. Debito</strong></th>
								<th ><strong>Com. Credito</strong></th>
								
								<th><strong>Comision Total Gs</strong></th>
							</tr>
						</thead>
							<tbody>
							<?php 
							$subt=0;$tcomisiones=0;	  
							while (!$rsf1->EOF){
								$tpropi=intval($rsf1->fields['prop_efectivo'])+intval($rsf1->fields['prop_debito'])+intval($rsf1->fields['prop_credito']);
								$fecha=date("d/m/Y H:i:s",strtotime($rsf1->fields['fechis']));
								if($tpropi > 0){ 
									$subt=$subt+$tpropi;
									$comidebito=($rsf1->fields['prop_debito']*$rsf1->fields['comi_debito']/100);
									$comicredito=floatval($rsf1->fields['prop_credito']*$rsf1->fields['comi_credito']/100);
									$tcomisiones=$tcomisiones+$comidebito+$comicredito;
									$fc=str_replace("-","",$rsf1->fields['factura']);
							?>
								<tr>
								<td><?php echo $fecha;?></td>
								<td><?php echo $fc; ?></td>
								<td><?php echo $rsf1->fields['razon_social']?></td>
								<td align="right"><?php echo formatomoneda($rsf1->fields['total_venta'])?></td>
								<td align="right"><?php echo formatomoneda($rsf1->fields['prop_efectivo'])?></td>
								<td align="right"><?php echo formatomoneda($rsf1->fields['prop_debito'])?></td>
								<td align="right"><?php echo formatomoneda($rsf1->fields['prop_credito'])?></td>
								
								
						
								<td align="right"><?php echo formatomoneda($comidebito)?></td>
								<td align="right"><?php echo formatomoneda($comicredito)?></td>
								<td align="right"><?php echo formatomoneda($comidebito+$comicredito)?></td>
								
							</tr>
							<?php 
								}
								$rsf1->MoveNext();
							
							}?>
							<tr>
								<td></td>
								<td></td>
								<td></td>
								<td></td>
								<td></td>
								<td></td>
								<td><?php echo $subt; ?></td>
								<td></td>
								<td></td>
								<td align="right"><?php echo $tcomisiones; ?></td>
							</tr>
							<tr>
								<td colspan="7" align="right"><strong>Total propinas recibidas: Gs <?php echo formatomoneda($subt,4,'N'); ?></strong></td>
								<td colspan="3" align="right"><strong>Total comisiones Gs <?php echo formatomoneda($tcomisiones,4,'N'); ?></strong></td>
							</tr>

							</tbody>
						</table>
						</div>
					  <br /><br /><br />
					  
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
<?php } ?>  
			  
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
		<script>
		var d="<?php echo $desde ?>";
		var h="<?php echo $hasta ?>";
				const $btnExportar = document.querySelector("#btnExportar"),
					$tabla = document.querySelector("#tabla");

				$btnExportar.addEventListener("click", function() {
					let tableExport = new TableExport($tabla, {
						exportButtons: false, // No queremos botones
						filename: "movimiento_propinas_"+d+'_'+h, //Nombre del archivo de Excel
						sheetname: "Resumen de Propinas", //Título de la hoja
					});
					let datos = tableExport.getExportData();
					let preferenciasDocumento = datos.tabla.xlsx;
					tableExport.export2file(preferenciasDocumento.data, preferenciasDocumento.mimeType, preferenciasDocumento.filename, preferenciasDocumento.fileExtension, preferenciasDocumento.merges, preferenciasDocumento.RTL, preferenciasDocumento.sheetname);
				});
			</script>
  </body>
</html>
