<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="12";
$submodulo="204";
require_once("includes/rsusuario.php"); 


$idfactura=intval($_GET['id']);
if($idfactura == 0){
	header("location: proveedores_deudas.php");
	exit;
}

$consulta="
select *, id_proveedor, (select nombre from proveedores where idproveedor = facturas_proveedores.id_proveedor) as proveedor, 
total_factura, saldo_factura, fecha_compra,
(select tipofactura from facturas_proveedores_tipofactura where idtipofactura = facturas_proveedores.tipo_factura) as tipofactura
 from facturas_proveedores
where 
estado = 1 
and estado_carga = 3
and facturas_proveedores.id_factura = $idfactura
order by fecha_compra asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idfactura=intval($rs->fields['id_factura']);
$idproveedor=intval($rs->fields['id_proveedor']);
if($idfactura == 0){
	header("location: proveedores_deudas.php");
	exit;
}




?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<link rel="stylesheet" type="text/css" href="css/magnific-popup.css" />
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	<div class="clear"></div>
		<div class="cuerpo">
			<div class="colcompleto" id="contenedor">
      <br /><br />
   <div align="center">
    		<table width="70" border="0">
          <tbody>
            <tr>
              <td width="62"><a href="proveedores_deudas.php"><img src="img/homeblue.png" width="64" height="64" title="Regresar"/></a></td>
            </tr>
          </tbody>
        </table>
    </div>
      <div class="divstd">
    		<span class="resaltaditomenor">
    			Facturas del Proveedor<br />
    		</span>
 		</div>
<br /><hr /><br />

<p align="center"><a href="proveedores_deudas_det.php?id=<?php echo $idproveedor; ?>" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> [Volver]</a></p>
   <br /><br />      
 <div class="table-responsive">
    <table width="100%" class="tablaconborde" border="1">
	  <thead>
		<tr bgcolor="#CCCCCC">
			<th align="center"><strong>Id factura</strong></th>
			<th align="center"><strong>Tipo factura</strong></th>
			<th align="center"><strong>Fecha compra</strong></th>
			<th align="center"><strong>Factura numero</strong></th>
			<th align="center"><strong>Total factura</strong></th>
			<th align="center"><strong>Pagado factura</strong></th>
			<th align="center"><strong>Quita factura</strong></th>
			<th align="center"><strong>Saldo factura</strong></th>
			<th align="center"><strong>Vencimiento factura</strong></th>
			<th align="center"><strong>Cuotas</strong></th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['id_factura']); ?></td>
			<td align="right"><?php echo antixss($rs->fields['tipofactura']);  ?></td>
			<td align="center"><?php if($rs->fields['fecha_compra'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_compra'])); } ?></td>
			<td align="center"><?php echo antixss($rs->fields['factura_numero']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['total_factura']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['cobrado_factura']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['quita_factura']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['saldo_factura']);  ?></td>
			<td align="center"><?php if($rs->fields['vencimiento_factura'] != ""){ echo date("d/m/Y",strtotime($rs->fields['vencimiento_factura'])); } ?></td>
			<td align="center"><?php echo intval($rs->fields['cuotas']); ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
<br /><br />
<?php 
$consulta="
SELECT * , pagos_proveedores_det.monto_abonado as monto_abonadofac
FROM pagos_proveedores_det 
inner join pagos_proveedores_cab on pagos_proveedores_cab.idpagoprovcab = pagos_proveedores_det.idpagoprovcab 
where 
pagos_proveedores_cab.estado <> 6 
and pagos_proveedores_det.idfactura = $idfactura
order by  pagos_proveedores_cab.fecha_pago desc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<p align="center">Pagos:</p><br />
<table width="980" border="1">
  <tr bgcolor="#CCCCCC">
    <td><strong>Fecha Pago</strong></td>
    <td><strong>Monto Abonado</strong></td>
    <td><strong>Orden de Pago #</strong></td>
  </tr>
<?php while(!$rs->EOF){ ?>
  <tr>
    <td><?php echo date("d/m/Y",strtotime($rs->fields['fecha_pago']));  ?></td>
    <td><?php echo formatomoneda($rs->fields['monto_abonadofac']);  ?></td>
    <td><?php echo formatomoneda($rs->fields['idordenpago']);  ?></td>
  </tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
</table>

<br />
<br /><br />
		  </div> <!-- contenedor -->
   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
	<?php require("includes/pie.php"); ?>
</body>
</html>