<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="37";
$submodulo="528";
$dirsup="S";
require_once("../includes/rsusuario.php"); 

$consulta="
select pulseras.*, usuarios.usuario as abierto_por,
(select sum(monto) as monto from pulseras_transacciones where idpulsera = pulseras.idpulsera and idtipotranspulsera=6 and estado = 1) as pulsera_entrada,
clifac.razon_social as cliente_factura, clipul.razon_social as cliente_pulsera
from pulseras 
inner join  usuarios on usuarios.idusu = pulseras.abierto_por
inner join cliente clipul on clipul.idcliente = pulseras.idclientepulsera
inner join cliente clifac on clifac.idcliente = pulseras.idclientefactura
where 
 pulseras.estado = 1 
order by pulseras.idpulsera asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idpulsera=intval($rs->fields['idpulsera']);


if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	//$idclientepulsera=antisqlinyeccion($_POST['idclientepulsera'],"int");


	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	
	if($idpulsera == 0){
		$errores.="- No quedan pulseras pendientes de cierre.<br />";
		$valido="N";
	}


	// si todo es correcto actualiza
	if($valido == "S"){
		
		// genera una tanda de cierre
		$consulta="
		insert into pulseras_tanda_cierre
		(registrado_por, registrado_el)
		values
		($idusu, '$ahora')
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		select idtandacierrepulsera 
		from pulseras_tanda_cierre 
		where 
		registrado_por = $idusu 
		order by idtandacierrepulsera desc 
		limit 1
		";
		$rstanda=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idtandacierrepulsera=$rstanda->fields['idtandacierrepulsera'];
		
		
		// cierra todas las pulseras activas
		$consulta="
		update pulseras
		set
			estado = 2,
			cerrado_por = $idusu,
			cerrado_el = '$ahora',
			idtandacierrepulsera = $idtandacierrepulsera
		where
			estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: pulseras_cierre.php");
		exit;
		
	}

}


// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Cierre de Pulseras</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

	
					  <p align="center"><strong>Se cerraran todas las pulseras activas, esta seguro?</strong><br />
					  Esta accion no se puede deshacer...
					  </p><br />
					  
				  
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">



<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-lock"></span> Cerrar Todas</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='pulseras_cierre.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>


  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />	  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
