<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="37";
$submodulo="524";
$dirsup="S";
require_once("../includes/rsusuario.php"); 


$idpulsera=antisqlinyeccion($_GET['id'],"text");


$consulta="
select pulseras.*, usuarios.usuario as abierto_por, clipul.nombre, clipul.apellido, clipul.documento, clifac.razon_social, clifac.ruc, pulseras.idclientefactura,
(select sum(monto) as monto from pulseras_transacciones where idpulsera = pulseras.idpulsera and idtipotranspulsera=6 and estado = 1) as pulsera_entrada,
clifac.razon_social as cliente_factura, clipul.razon_social as cliente_pulsera
from pulseras 
inner join  usuarios on usuarios.idusu = pulseras.abierto_por
inner join cliente clipul on clipul.idcliente = pulseras.idclientepulsera
inner join cliente clifac on clifac.idcliente = pulseras.idclientefactura
where 
 pulseras.estado = 1 
 and pulseras.idpulsera = $idpulsera
order by pulseras.idpulsera asc

limit 1
";
//echo $consulta;exit;
$rspuls = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idpulsera=intval($rspuls->fields['idpulsera']);
$pulsera_saldo=floatval($rspuls->fields['pulsera_saldo']);
$cobrar_entrada=$rspuls->fields['cobrar_entrada'];
$entrada_cobrada=$rspuls->fields['entrada_cobrada'];
// si ya existe direcciona
if($idpulsera == 0){
	header("location: pulseras_desactivar.php");
	exit;
}



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	


	
	
	$consulta="
	select idpulsera from pulseras where idpulsera = $idpulsera and estado = 1 limit 1
	";
	$rsmax=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idpulsera_ex=intval($rsmax->fields['idpulsera']);
	
	if($idpulsera_ex == 0){
		$valido="N";
		$errores.=" - No se puede desaactivar esta pulsera por que no existe o ya fue desactivada.<br />";	
	}
	


	// si todo es correcto inserta
	if($valido == "S"){
		
		// cierra todas las pulseras activas
		$consulta="
		update pulseras
		set
			estado = 2,
			cerrado_por = $idusu,
			cerrado_el = '$ahora'
		where
			estado = 1
			and idpulsera = $idpulsera
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		header("location: pulseras_desactivar.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>

  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Desactivar Pulsera</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
					  
<div class="col-md-6 col-sm-6 col-xs-12">
<strong>DATOS CLIENTE:</strong><br />
<strong>Nombre y Apellido:</strong> <?php echo antixss($rspuls->fields['nombre']);	?>	<?php echo antixss($rspuls->fields['apellido']);	?>	<br />		
<strong>Documento:</strong> <?php echo formatomoneda($rspuls->fields['documento']);	?>	<br />

</div>
<div class="col-md-6 col-sm-6 col-xs-12">				  
<strong>DATOS FACTURACION:</strong><br />
<strong>Razon Social: </strong><?php echo antixss($rspuls->fields['razon_social']);	?>		<br />		  
<strong>RUC:</strong> <?php echo antixss($rspuls->fields['ruc']);	?>	<br />	

</div>
<div class="clearfix"></div>					  
<hr />
<?php 
$consulta="
select pulseras.*, usuarios.usuario as abierto_por, clipul.nombre, clipul.apellido, clipul.documento, clifac.razon_social, clifac.ruc, pulseras.idclientefactura,
(select sum(monto) as monto from pulseras_transacciones where idpulsera = pulseras.idpulsera and idtipotranspulsera=6 and estado = 1) as pulsera_entrada,
clifac.razon_social as cliente_factura, clipul.razon_social as cliente_pulsera
from pulseras 
inner join  usuarios on usuarios.idusu = pulseras.abierto_por
inner join cliente clipul on clipul.idcliente = pulseras.idclientepulsera
inner join cliente clifac on clifac.idcliente = pulseras.idclientefactura
where 
 pulseras.estado = 1 
 and pulseras.idpulsera = $idpulsera
order by pulseras.idpulsera asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));					  
					  
?>					  
					  
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Idpulsera</th>
			<th align="center">Cliente Pulsera</th>
			<th align="center">Cliente Factura</th>
			<th align="center">Entrada</th>
			<th align="center">Cargas</th>
			<th align="center">Consumos</th>
			<th align="center">Bajas</th>
			<th align="center">Saldo</th>
			<th align="center">Abierto el</th>
			<th align="center">Abierto por</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idpulsera']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['cliente_pulsera']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['cliente_factura']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['pulsera_entrada']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['pulsera_cargas']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['pulsera_consumos']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['pulsera_bajas']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['pulsera_saldo']);  ?></td>

			<td align="center"><?php if($rs->fields['abierto_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['abierto_el'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['abierto_por']); ?></td>

		</tr>
<?php 
$pulsera_entrada_acum+=$rs->fields['pulsera_entrada'];
$pulsera_cargas_acum+=$rs->fields['pulsera_cargas'];
$pulsera_consumos_acum+=$rs->fields['pulsera_consumos'];
$pulsera_bajas_acum+=$rs->fields['pulsera_bajas'];
$pulsera_saldo_acum+=$rs->fields['pulsera_saldo'];

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
					  
<form id="form1" name="form1" method="post" action="">



<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-lock"></span> Desactivar Pulsera</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='pulseras_desactivar.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>


  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />
					  
<div class="clearfix"></div>
<br /><br />					  
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
