<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="30";
$submodulo="438";
require_once("includes/rsusuario.php"); 


if(trim($_GET['documento']) != ''){
	
	$documento=antisqlinyeccion(trim($_GET['documento']),"text");
	$consulta="
	select *,
	(select usuario from usuarios where registro_vacuna.registrado_por = usuarios.idusu) as registrado_por,
	(select usuario from usuarios where registro_vacuna.canjeado_por = usuarios.idusu) as canjeado_por
	from registro_vacuna 
	where 
	 estado = 1 
	 and documento = $documento
	order by idregistro desc
	limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(trim($rs->fields['documento']) == ''){
		header("location: registro_vacuna_add.php?documento=".htmlentities(trim($_GET['documento'])));
		exit;
	}

}

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Promo Vacunas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if(trim($_GET['documento']) == ''){?>
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Documento *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="documento" id="documento" value="<?php  if(isset($_GET['documento'])){ echo htmlentities($_GET['documento']); } ?>" placeholder="Documento" class="form-control" required="required" />                    
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Buscar</button>

        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<hr />
<?php }else{ ?>
<p><a href="registro_vacuna.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />
<h2><strong style="color:#F00;">CUIDADO!</strong> El documento <span style="color:#F00;"><?php echo antixss(trim($_GET['documento'])); ?></span> ya fue registrado.</h2>
<br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">

		<tr>
			<th align="center">Idregistro</th>
			<td align="center"><?php echo intval($rs->fields['idregistro']); ?></td>
		</tr>
		<tr>
			<th align="center">Documento</th>
			<td align="center"><?php echo antixss($rs->fields['documento']); ?></td>
		</tr>
		<tr>
			<th align="center">Nombre apellido</th>
			<td align="center"><?php echo antixss($rs->fields['nombre_apellido']); ?></td>
		</tr>
		<tr>
			<th align="center">Celular</th>
			<td align="center"><?php echo antixss($rs->fields['celular']); ?></td>
		</tr>
		<tr>
			<th align="center">Registrado por</th>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
		</tr>
		<tr>
			<th align="center">Registrado el</th>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
		</tr>

		<tr>
			<th align="center">Canjeado por</th>
			<td align="center"><?php echo antixss($rs->fields['canjeado_por']); ?></td>
		</tr>
		<tr>
			<th align="center">Canjeado el</th>
			<td align="center"><?php if($rs->fields['canjeado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['canjeado_el'])); }  ?></td>
		</tr>
		<tr>
			<th align="center">Idventa</th>
			<td align="center"><?php echo antixss($rs->fields['idventa']); ?></td>
		</tr>


</table>
 </div>
<br />
<?php 
$idventa=$rs->fields['idventa'];
if(intval($idventa) > 0){
$consulta="
select *,
(select sucursales.nombre from sucursales where sucursales.idsucu = ventas.sucursal) as sucursal,
CASE WHEN tipo_venta = 1 then 'CONTADO' ELSE 'CREDITO' END as condicion,
(select canal from canal where canal.idcanal = ventas.idcanal) as canal
from ventas 
where 
idventa = $idventa
order by fecha asc
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
	
			<th align="center">Idventa</th>
			<th align="center">Fecha</th>
			<th align="center">Factura</th>
			<th align="center">Condicion</th>
			<th align="center">Sucursal</th>
			<th align="center">Total sin Desc</th>
			<th align="center">Descneto</th>
			<th align="center">Total venta</th>
			<th align="center">Razon social</th>
			<th align="center">Ruc</th>
			<th align="center">Canal</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo antixss($rs->fields['idventa']); ?></td>
			<td align="center"><?php if($rs->fields['fecha'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['factura']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['condicion']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['sucursal']); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['total_venta']); ?></td>
			<td align="center"><?php echo intval($rs->fields['descneto']); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['totalcobrar']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
			<td align="center"><?php echo intval($rs->fields['ruchacienda']).'-'.intval($rs->fields['dv']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['canal']); ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
<?php } ?>
<?php } ?>
	

<div class="clearfix"></div>
<br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
