<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="30";
$submodulo="438";
require_once("includes/rsusuario.php"); 


if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$documento=antisqlinyeccion($_POST['documento'],"text");
	$nombre_apellido=antisqlinyeccion($_POST['nombre_apellido'],"text");
	$celular=antisqlinyeccion($_POST['celular'],"text");
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$estado=1;
	$canjeado_por=antisqlinyeccion($idusu,"int");
	$canjeado_el=antisqlinyeccion($ahora,"text");
	$idventa=antisqlinyeccion($_POST['idventa'],"text");




	if(trim($_POST['documento']) == ''){
		$valido="N";
		$errores.=" - El campo documento no puede estar vacio.<br />";	
	}
	if(trim($_POST['nombre_apellido']) == ''){
		$valido="N";
		$errores.=" - El campo nombre_apellido no puede estar vacio.<br />";	
	}
/* 
celular 
	if(trim($_POST['celular']) == ''){
		$valido="N";
		$errores.=" - El campo celular no puede estar vacio.<br />";	
	}
*/

	if(trim($_POST['idventa']) == ''){
		$valido="N";
		$errores.=" - El campo idventa no puede estar vacio.<br />";	
	}
	
	$consulta="
	select idventa from ventas where idventa = $idventa and estado <> 6 limit 1
	";
	$rsv=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(intval($rsv->fields['idventa']) == 0){
		$valido="N";
		$errores.=" - El idventa indicado no existe o fue anulado.<br />";		
	}
	
	$consulta="
	select idventa, documento, nombre_apellido from registro_vacuna where idventa = $idventa  and estado <> 6 limit 1
	";
	$rsva=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$documento_ex=antixss($rsva->fields['documento']);
	$nombre_apellido_ex=antixss($rsva->fields['nombre_apellido']);
	if(intval($rsva->fields['idventa']) > 0){
		$valido="N";
		$errores.=" - El idventa indicado ya se registro en otro canje con documento: $documento_ex, $nombre_apellido.<br />";		
	}
	
	$consulta="
	select idventa, documento, nombre_apellido from registro_vacuna where idventa = $idventa  and estado <> 6 limit 1
	";
	$rsva=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$documento_ex=antixss($rsva->fields['documento']);
	$nombre_apellido_ex=antixss($rsva->fields['nombre_apellido']);
	if(intval($rsva->fields['idventa']) > 0){
		$valido="N";
		$errores.=" - El documento indicado ya fue utilizado para otro canje.<br />";		
	}
	

	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into registro_vacuna
		(documento, nombre_apellido, celular, registrado_por, registrado_el, estado, canjeado_por, canjeado_el, idventa)
		values
		($documento, $nombre_apellido, $celular, $registrado_por, $registrado_el, $estado, $canjeado_por, $canjeado_el, $idventa)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: registro_vacuna_listo.php?documento=".htmlentities(trim($_POST['documento'])));
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Alta de Cliente - Promo Vacunas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Documento *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="documento" id="documento" value="<?php  if(isset($_POST['documento'])){ echo htmlentities($_POST['documento']); }else{ echo htmlentities($_GET['documento']); }?>" placeholder="Documento" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre apellido *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="nombre_apellido" id="nombre_apellido" value="<?php  if(isset($_POST['nombre_apellido'])){ echo htmlentities($_POST['nombre_apellido']); }else{ echo htmlentities($rs->fields['nombre_apellido']); }?>" placeholder="Nombre apellido" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Celular </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="celular" id="celular" value="<?php  if(isset($_POST['celular'])){ echo htmlentities($_POST['celular']); }else{ echo htmlentities($rs->fields['celular']); }?>" placeholder="Celular" class="form-control"  />                    
	</div>
</div>



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idventa *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idventa" id="idventa" value="<?php  if(isset($_POST['idventa'])){ echo htmlentities($_POST['idventa']); }else{ echo htmlentities($rs->fields['idventa']); }?>" placeholder="Idventa" class="form-control" required="required"  />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='registro_vacuna.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
