<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="30";
require_once("includes/rsusuario.php"); 


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

if(($_GET['cj']) > 0){
	$idcaja=intval($_GET['cj']);
	$whereadd.=" and ventas.idcaja = $idcaja";
	
}
if(($_GET['idsucu']) > 0){
	$idsuc=intval($_GET['idsucu']);
	$whereadd.=" and ventas.sucursal = $idsuc";
	
}
if(trim($_GET['idsucu']) == 'ss'){
	
	$consulta="
	select idsucu 
	from sucursales 
	where 
	estado = 1 
	and matriz = 'N'
	";
	$rssucufil=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$sucu_or_add="and ( ".$saltolinea;
	$i=0;
	while(!$rssucufil->EOF){
		$i++;
		$idsuc=intval($rssucufil->fields['idsucu']);
		if($i == 1){
			$sucu_or_add.=" ventas.sucursal = $idsuc ".$saltolinea;
		}else{
			$sucu_or_add.=" or ventas.sucursal = $idsuc ".$saltolinea;	
		}
	$rssucufil->MoveNext(); }
	$sucu_or_add.=" ) ".$saltolinea;
	$whereadd=$sucu_or_add;
	
}
if($_GET['codigo_vrapida'] > 0){
	$codigo_vrapida=antisqlinyeccion($_GET['codigo_vrapida'],"text");
	$consulta="
	select idcliente from cliente where ruc = $codigo_vrapida and estado <> 6 limit 1
	";
	$rsvrap = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idcliente=intval($rsvrap->fields['idcliente']);
	if($idcliente == 0){
		$consulta="
		select idcliente from cliente where documento = $codigo_vrapida  and estado <> 6 limit 1
		";
		$rsvrap = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idcliente=intval($rsvrap->fields['idcliente']);
	}
}

if(trim($_GET['MM_print']) != ''){
	$consulta="
	select *,
	(select sucursales.nombre from sucursales where sucursales.idsucu = ventas.sucursal) as sucursal,
	CASE WHEN tipo_venta = 1 then 'CONTADO' ELSE 'CREDITO' END as condicion,
	(select canal from canal where canal.idcanal = ventas.idcanal) as canal
	from ventas 
	where 
	 estado <> 6 
	 and date(ventas.fecha) >= '$desde'
	 and date(ventas.fecha) <= '$hasta'
	 and ventas.idcliente = $idcliente
	$whereadd
	order by fecha asc
	limit 10
	";
	//echo $consulta;exit;
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idventa=intval($rs->fields['idventa']);
	$totreg=$rs->RecordCount();
	//echo $totreg;exit;
	if($idventa > 0){
		if($totreg == 1){
			header("location: factura_imprime_impresor_sincaja2.php?vta=".$idventa."&tk=1");exit;
		}else{
			
		}
	}else{
		$valido="N";
		$errores.="- No se encontraron ventas para hoy con los datos suministrados.<br />";
	}
	
	
	
}



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function cambia_campo(campo){
	var ruc = $("#ruc").val();
	var doc = $("#documento").val();
	//alert($("#ruc").val().length);
	if(campo == 'ruc'){
		if(ruc.length > 1){
			$("#documento").val('');
		}
	}
	if(campo == 'documento'){
		if(doc.length > 1){
			$("#ruc").val('');
		}
	}
}
</script>
  </head>

  <body class="nav-md" onLoad="document.getElementById('codigo_vrapida').focus();">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Reimpresion Rapida</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
Reimprime la ultima venta del cliente indicado de la fecha actual.
<div class="clearfix"></div>
<hr />

<form id="form1" name="form1" method="get" action="">



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Codigo </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="codigo_vrapida" id="codigo_vrapida" value="<?php  if(isset($_GET['codigo_vrapida'])){ echo htmlentities($_GET['codigo_vrapida']); } ?>" placeholder="Codigo" class="form-control" autofocus   />                    
	</div>
</div>



<div class="clearfix"></div>
<br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-print"></span> Imprimir</button>

        </div>
    </div>
    
    <input type="hidden" name="MM_print" value="<?php echo date("YmdHis").rand(1,100); ?>" />


<br />
</form>        
<div class="clearfix"></div>
<br />
<?php if(trim($_GET['MM_print']) != ''){ ?>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Idventa</th>
			<th align="center">Fecha</th>
			<th align="center">Factura</th>
			<th align="center">Condicion</th>
			<th align="center">Sucursal</th>
			<th align="center">Total sin Desc</th>
			<th align="center">Descneto</th>
			<th align="center">Total venta</th>
			<th align="center">Razon social</th>
			<th align="center">Ruc</th>
			<th align="center">Canal</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="factura_imprime_impresor_sincaja2.php?vta=<?php echo $rs->fields['idventa']; ?>&tk=1" class="btn btn-sm btn-default" title="Imprimir Ticket" data-toggle="tooltip" data-placement="right"  data-original-title="Imprimir Ticket"><span class="fa fa-print"></span></a>
				</div>

			</td>
			<td align="center"><?php echo antixss($rs->fields['idventa']); ?></td>
			<td align="center"><?php if($rs->fields['fecha'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['factura']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['condicion']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['sucursal']); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['total_venta']); ?></td>
			<td align="center"><?php echo intval($rs->fields['descneto']); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['totalcobrar']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
			<td align="center"><?php echo intval($rs->fields['ruchacienda']).'-'.intval($rs->fields['dv']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['canal']); ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
 <?php } ?>





                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
