<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="25";
$submodulo="247";
require_once("includes/rsusuario.php"); 

require_once '../clases/PHPExcel.php';


$mes=date("m");
$ano=date("Y");

if($_GET['ano'] > 0 && $_GET['mes'] > 0){
		
	$mes=intval($_GET['mes']);	
	$ano=intval($_GET['ano']);	
}
$ultdiames=ultimoDiaMes($mes,$ano);








for($i=1;$i<=$ultdiames;$i++){
	
	/*$seladd.="COALESCE((
	select sum(total_venta) 
	from ventas_franq
	 where YEAR(fechasola) = $ano 
	 and MONTH(fechasola) = $mes 
	 and DAY(fechasola) = $i 
	 and ventas_franq.estado <> 6 
	 and idfranquicia = franquicia.idfranquicia 
	 ),0)  as total_venta_$i,
	";
	
	$seladd.="COALESCE((
	select count(idventa) as total_tk 
	from ventas_franq
	 where YEAR(fechasola) = $ano 
	 and MONTH(fechasola) = $mes 
	 and DAY(fechasola) = $i 
	 and ventas_franq.estado <> 6 
	 and idfranquicia = franquicia.idfranquicia 
	 ),0)  as total_tk_$i,
	";
	*/
	$seladd.="
	COALESCE(SUM(CASE WHEN YEAR(vf.fechasola) = $ano AND MONTH(vf.fechasola) = $mes  AND DAY(vf.fechasola) = $i  AND vf.estado <> 6 THEN vf.total_venta ELSE 0 END), 0) AS total_venta_$i ,
    COALESCE(COUNT(CASE WHEN YEAR(vf.fechasola) = $ano AND MONTH(vf.fechasola) = $mes  AND DAY(vf.fechasola) = $i  AND vf.estado <> 6 THEN vf.idventa ELSE NULL END), 0) AS total_tk_$i ,
	";
}


// orden
$ordadd=" nombre_franquicia asc "; // por defecto
if($_GET['orden'] == 'FR'){
	$ordadd=" nombre_franquicia asc ";
}
if($_GET['orden'] == 'TV'){
	/*$ordadd=" COALESCE((
	select sum(total_venta) 
	from ventas_franq 
	where YEAR(fechasola) = $ano 
	and MONTH(fechasola) = $mes 
	and ventas_franq.estado <> 6 
	and idfranquicia = franquicia.idfranquicia
	),0) desc ";*/
	$ordadd="total_venta desc";
}

$fecha_reporte=$ano.'-'.$mes.'-01';
//resto 1 mes
$mes_anterior=date("m",strtotime($fecha_reporte."- 1 month"));
$ano_anterior=date("Y",strtotime($fecha_reporte."- 1 month"));
/*$consulta="
select 
idfranquicia, nombre_franquicia,
	COALESCE((
	select sum(total_venta) 
	from ventas_franq 
	where YEAR(fechasola) = $ano 
	and MONTH(fechasola) = $mes 
	and ventas_franq.estado <> 6 
	and idfranquicia = franquicia.idfranquicia
	),0)  as total_venta,
	COALESCE((
	select count(idventa) as total_tk 
	from ventas_franq 
	where YEAR(fechasola) = $ano 
	and MONTH(fechasola) = $mes 
	and ventas_franq.estado <> 6 
	and idfranquicia = franquicia.idfranquicia
	),0)  as total_tk,
	$seladd
	COALESCE((select objetivo 
	from objetivos_franq 
	where 
	idfranquicia =  franquicia.idfranquicia 
	and ano = $ano 
	and mes = $mes 
	),0) as objetivo
from franquicia
where
estado = 1
and demo is null
order by $ordadd
";*/
$consulta="
SELECT 
    franquicia.idfranquicia, 
    franquicia.nombre_franquicia,
    COALESCE(SUM(CASE WHEN YEAR(vf.fechasola) = $ano AND MONTH(vf.fechasola) = $mes AND vf.estado <> 6 THEN vf.total_venta ELSE 0 END), 0) AS total_venta,
    COALESCE(SUM(CASE WHEN YEAR(vf.fechasola) = $ano_anterior AND MONTH(vf.fechasola) = $mes_anterior AND vf.estado <> 6 THEN vf.total_venta ELSE 0 END), 0) AS total_venta_anterior,
    COALESCE(COUNT(CASE WHEN YEAR(vf.fechasola) = $ano AND MONTH(vf.fechasola) = $mes AND vf.estado <> 6 THEN vf.idventa ELSE NULL END), 0) AS total_tk,
	$seladd	
	COALESCE((select objetivo 
	from objetivos_franq 
	where 
	idfranquicia =  franquicia.idfranquicia 
	and ano = $ano 
	and mes = $mes 
	),0) as objetivo
FROM 
    franquicia
LEFT JOIN 
    ventas_franq vf ON vf.idfranquicia = franquicia.idfranquicia
WHERE
franquicia.estado = 1
and franquicia.demo is null
GROUP BY 
    franquicia.idfranquicia, franquicia.nombre_franquicia
ORDER BY 
    $ordadd
";
//echo $consulta;exit;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));









// Crea un nuevo objeto PHPExcel

$objPHPExcel = new PHPExcel();
// Establecer propiedades
$objPHPExcel->getProperties()
->setCreator("E-Karu")
->setLastModifiedBy("WEB")
->setTitle("Planilla de Stock")
->setSubject("Planilla de Stock")
->setDescription("Planilla de Stock")
->setKeywords("Excel Office 2007 openxml php")
->setCategory("Reportes");

$objPHPExcel->setActiveSheetIndex(0)


//Cabeceras
->setCellValue('A1', 'Local')
->setCellValue('B1', 'Total Ticket')
->setCellValue('C1', 'Ticket Prom')
->setCellValue('D1', 'Total Venta')
->setCellValue('E1', 'Objetivo Venta')
->setCellValue('F1', 'Diferencia')
->setCellValue('G1', '% Logrado')
;

$ultletra='G';
$ultletra_din=$ultletra;
for($i=1;$i<=$ultdiames;$i++){
	
	$ultletra_din++;
	$objPHPExcel->setActiveSheetIndex(0)
	->setCellValue($ultletra_din.'1', 'Ticket '.diasemana($ano.'-'.$mes.'-'.$i).' '.agregacero($i,2).'/'.$mes);
	
	$ultletra_din++;
	$objPHPExcel->setActiveSheetIndex(0)
	->setCellValue($ultletra_din.'1', 'Venta '.diasemana($ano.'-'.$mes.'-'.$i).' '.agregacero($i,2).'/'.$mes);
	
}

$totcol_din=$ultdiames*2;
//

//echo $ultletra_din;exit;
$rango="A1:".$ultletra_din."1";

$objPHPExcel->getActiveSheet()->getStyle($rango)->getFont()->setSize(12)
->setBold(true);
//echo $totcol_din;exit;

//Auto size de columnas
$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('G')->setAutoSize(true);


// tamano automatico columnas dinamicas
$letra=$ultletra;
for($i=1;$i<=$totcol_din;$i++){
	$letra++;
	$objPHPExcel->getActiveSheet()->getColumnDimension($letra)->setAutoSize(true);
	
}

/**************   INICIA EL WHILE ***********************/


$pcount=0;
$fila=2;
while(!$rs->EOF){
	
	if($rs->fields['objetivo'] > 0){
		$porcentaje=round($rs->fields['total_venta']/$rs->fields['objetivo'],2);
	}else{
		$porcentaje=0;	
	}
	if($rs->fields['total_tk'] > 0){
		$tkprom=round($rs->fields['total_venta']/$rs->fields['total_tk'],0);
	}else{
		$tkprom=0;	
	}

/// CREA TABLA
	$objPHPExcel->setActiveSheetIndex(0)
	
	->setCellValue('A'.$fila, $rs->fields['nombre_franquicia'])
	->setCellValue('B'.$fila, $rs->fields['total_tk']) 
	->setCellValue('C'.$fila, $tkprom)
	->setCellValue('D'.$fila, $rs->fields['total_venta'])
	->setCellValue('E'.$fila, $rs->fields['objetivo'])
	->setCellValue('F'.$fila, $rs->fields['total_venta']-$rs->fields['objetivo'])
	->setCellValue('G'.$fila, $porcentaje)
	;
	


	
	// columnas dinamicas
	$letra=$ultletra;
	//echo $letra;
	for($col=1;$col<=$totcol_din;$col++){
		$letra++;
		$objPHPExcel->setActiveSheetIndex(0)
		->setCellValue($letra.$fila, $rs->fields['total_tk_'.$col]);
		
		$letra++;
		$objPHPExcel->setActiveSheetIndex(0)
		->setCellValue($letra.$fila, $rs->fields['total_venta_'.$col]);
		
		
	}
		


/**************   FIN DEL WHILE ***********************/

	$fila++;

$rs->MoveNext();  }



// Renombrar Hoja
$current=date("YmdHis");
$objPHPExcel->getActiveSheet()->setTitle('Franquicias Obj Venta');

// Establecer la hoja activa, para que cuando se abra el documento se muestre primero.

$objPHPExcel->setActiveSheetIndex(0);
$ile='rep_franq_obj_'.$ano.'_'.$mes.'_'.$current.'.xlsx';
//echo $ile;exit;

// Se modifican los encabezados del HTTP para indicar que se envia un archivo de Excel.

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

header('Content-Disposition: attachment;filename='.$ile);

header('Cache-Control: max-age=0');

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');

$objWriter->save('php://output');
exit;

?>
