<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="16";
$submodulo="76";
require_once("includes/rsusuario.php"); 



// reporte de uso de insumos consolidado
$consulta="
select idinsumo,  (select descripcion from insumos_lista where idinsumo = usoproductos.idinsumo) as producto_uso,
sum(cantidad) as cantidad
from 
(
select (select idinsumo from insumos_lista where idproducto = venta_receta.idprod) as idinsumo_final, venta_receta.idinsumo, venta_receta.cantidad, ventas.fecha as fechahora, 'VENTA' as tipo
from venta_receta
INNER join ventas on ventas.idventa = venta_receta.idventa
where
ventas.estado <> 6
union ALL
select produccion_producido_det.idinsumo_final, produccion_producido_det.idinsumo, produccion_producido_det.cantidad, produccion_producido.fechahora, 'PRODUCCION' as tipo
from produccion_producido_det
inner join produccion_producido on produccion_producido.idproducido = produccion_producido_det.idproducido
where
produccion_producido.estado <> 6
) usoproductos
where
date(usoproductos.fechahora) >= '$desde'
and date(usoproductos.fechahora) <= '$hasta'
group by idinsumo
order by sum(cantidad) desc
";
$rs=$adodb_conn->Execute($consulta) or die(errorpg($adodb_conn,$consulta));

// reporte de uso de insumos detallado
/*$consulta="
select *, 
(select descripcion from insumos_lista where idinsumo = usoproductos.idinsumo_final) as producto_final,
(select descripcion from insumos_lista where idinsumo = usoproductos.idinsumo) as producto_uso
from 
(
select (select idinsumo from insumos_lista where idproducto = venta_receta.idprod) as idinsumo_final, venta_receta.idinsumo, venta_receta.cantidad, ventas.fecha as fechahora, 'VENTA' as tipo
from venta_receta
INNER join ventas on ventas.idventa = venta_receta.idventa
where
ventas.estado <> 6
union ALL
select produccion_producido_det.idinsumo_final, produccion_producido_det.idinsumo, produccion_producido_det.cantidad, produccion_producido.fechahora, 'PRODUCCION' as tipo
from produccion_producido_det
inner join produccion_producido on produccion_producido.idproducido = produccion_producido_det.idproducido
where
produccion_producido.estado <> 6
) usoproductos
where
date(usoproductos.fechahora) >= '$desde'
and date(usoproductos.fechahora) <= '$hasta'
";
$rsdet=$adodb_conn->Execute($consulta) or die(errorpg($adodb_conn,$consulta));*/


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
              <!--<div class="title_left">
                <h3>Plain Page</h3>
              </div>-->

              <!--<div class="title_right">
                <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-right top_search">
                  <div class="input-group">
                    <input type="text" class="form-control" placeholder="Search for...">
                    <span class="input-group-btn">
                      <button class="btn btn-default" type="button">Go!</button>
                    </span>
                  </div>
                </div>
              </div>-->
            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Titulo 1</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                      <!--<li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                        <ul class="dropdown-menu" role="menu">
                          <li><a href="#">Settings 1</a>
                          </li>
                          <li><a href="#">Settings 2</a>
                          </li>
                        </ul>
                      </li>
                      <li><a class="close-link"><i class="fa fa-close"></i></a>
                      </li>-->
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                  
                  
                  
          
                      
                      
                      
                      
                      
                      
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
