<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="2";
$submodulo="45";
require_once("includes/rsusuario.php"); 


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

$ano=intval($_GET['ano']);
$mes=intval($_GET['mes']);



$whereadd='';
$idtipocomprobante=4; // electronico
if(strtoupper(trim($_GET['excluye_electro'])) == 'S'){
	$whereadd.=" and COALESCE(idtipocomprobante,0) <> 4 ";
}


function solo_sn($sn,$valor_pred='N'){
	$sn=strtoupper(substr(trim($sn),0,1));
	if($sn != 'S' && $sn != 'N'){
		$sn=$valor_pred;
	}
	return $sn;
}


//
$imputa_iva=solo_sn($_GET['imputa_iva'],'S');
$imputa_ire=solo_sn($_GET['imputa_ire'],'S');
$imputa_irp=solo_sn($_GET['imputa_irp'],'S');
$no_imputa=solo_sn($_GET['no_imputa'],'S');
//print_r($_GET);
//echo $imputa_ire;
//exit;

/*
"CÓDIGO TIPO DE REGISTRO
1"	"CÓDIGO TIPO DE IDENTIFICACIÓN DEL PROVEEDOR/
VENDEDOR
2"	"NÚMERO DE IDENTIFICACIÓN DEL PROVEEDOR/VENDEDOR
3"	"NOMBRE O RAZÓN SOCIAL DEL PROVEEDOR/
VENDEDOR
4"	"CÓDIGO TIPO DE COMPROBANTE
5"	"FECHA DE EMISIÓN DEL COMPROBANTE
6"	"NÚMERO DE TIMBRADO
7"	"NÚMERO DEL COMPROBANTE
8"	"MONTO GRAVADO AL 10% 
(IVA INCLUIDO)
9"	"MONTO GRAVADO AL 5%
 (IVA INCLUIDO)
10"	"MONTO NO GRAVADO O EXENTO
11"	"MONTO TOTAL DEL COMPROBANTE
12"	"CONDICIÓN DE COMPRA
13"	"OPERACIÓN EN MONEDA EXTRANJERA
14"	"IMPUTA AL IVA
15"	"IMPUTA AL IRE 
16"	"IMPUTA AL
 IRP-RSP
17"	"NO IMPUTA
18"	"NÚMERO DEL COMPROBANTE DE VENTA ASOCIADO
19"	"TIMBRADO DEL COMPROBANTE DE VENTA ASOCIADO
20"

	*/



$consulta="
select ruc from empresas limit 1;
";
$rsemp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$ruc_empresa=$rsemp->fields['ruc'];

// NO EXCLUIR ANULADOS
$buscar="
Select 
'2' as codigo_tipo_registro,
'11' as 'codigo_tipo_identificacion_del_proveedor_vendedor',
SUBSTRING_INDEX(proveedores.ruc, '-', 1) AS ruc,
proveedores.nombre,
'109' as codigo_tipo_comprobante,
DATE_FORMAT(fecha_compra, '%d/%m/%Y')  as fecha_emision,
timbrado,
CONCAT(SUBSTRING(REPLACE(factura_numero,'-',''), 1, 3),'-',SUBSTRING(REPLACE(factura_numero,'-',''), 4, 3),'-',SUBSTRING(REPLACE(factura_numero,'-',''), 7, 7)) as factura_numero,
CASE WHEN
	(
	select id_factura 
	from facturas_proveedores_det_impuesto 
	where 
	facturas_proveedores_det_impuesto.id_factura = facturas_proveedores.id_factura 
	limit 1
	) > 0
THEN
	REPLACE(ROUND(COALESCE((
	select sum(monto_col) 
	from facturas_proveedores_det_impuesto 
	where 
	facturas_proveedores_det_impuesto.id_factura = facturas_proveedores.id_factura
	and iva_porc_col = 10
	),0),0),'.',',')
ELSE
	CASE WHEN 
		idcompra > 0
	 THEN
		REPLACE(ROUND(COALESCE((
		select sum(subtotal) 
		from facturas_proveedores_compras 
		where id_factura = facturas_proveedores.id_factura 
		and iva_porc = 10
		),0),0),'.',',')
	 ELSE
		REPLACE(ROUND(COALESCE((
		select sum(monto_gasto) from facturas_proveedores_gastos 
		where 
		id_factura = facturas_proveedores.id_factura and iva_porc = 10
		),0),0),'.',',')
	 END
END as grav10,
CASE WHEN
	(
	select id_factura 
	from facturas_proveedores_det_impuesto 
	where 
	facturas_proveedores_det_impuesto.id_factura = facturas_proveedores.id_factura 
	limit 1
	) > 0
THEN
	REPLACE(ROUND(COALESCE((
	select sum(monto_col) 
	from facturas_proveedores_det_impuesto 
	where 
	facturas_proveedores_det_impuesto.id_factura = facturas_proveedores.id_factura
	and iva_porc_col = 5
	),0),0),'.',',')
ELSE
	CASE WHEN 
		idcompra > 0
	 THEN
		REPLACE(ROUND(COALESCE((
		select sum(subtotal) 
		from facturas_proveedores_compras 
		where id_factura = facturas_proveedores.id_factura 
		and iva_porc = 5
		),0),0),'.',',')
	 ELSE
		REPLACE(ROUND(COALESCE((
		select sum(monto_gasto) from facturas_proveedores_gastos 
		where 
		id_factura = facturas_proveedores.id_factura and iva_porc = 5
		),0),0),'.',',')
	 END
END as grav5,
CASE WHEN
	(
	select id_factura 
	from facturas_proveedores_det_impuesto 
	where 
	facturas_proveedores_det_impuesto.id_factura = facturas_proveedores.id_factura 
	limit 1
	) > 0
THEN
	REPLACE(ROUND(COALESCE((
	select sum(monto_col) 
	from facturas_proveedores_det_impuesto 
	where 
	facturas_proveedores_det_impuesto.id_factura = facturas_proveedores.id_factura
	and iva_porc_col = 0
	),0),0),'.',',')
ELSE
	CASE WHEN 
		idcompra > 0
	 THEN
		REPLACE(ROUND(COALESCE((
		select sum(subtotal) 
		from facturas_proveedores_compras 
		where id_factura = facturas_proveedores.id_factura 
		and iva_porc = 0
		),0),0),'.',',')
	 ELSE
		REPLACE(ROUND(COALESCE((
		select sum(monto_gasto) from facturas_proveedores_gastos 
		where 
		id_factura = facturas_proveedores.id_factura and iva_porc = 0
		),0),0),'.',',')
	 END
END as exento,
REPLACE(ROUND(COALESCE(total_factura,0),0),'.',',') as total_comprobante,
tipo_factura as condicion_compra,
'N' AS moneda_extrangera,
'$imputa_iva' AS imputa_iva,
'$imputa_ire' AS imputa_ire,
'$imputa_irp' AS imputa_irp,
'$no_imputa' AS no_imputa,
'' AS comprobante_asociado,
'' AS timbrado_comprobante_asociado
from facturas_proveedores
inner join proveedores on proveedores.idproveedor=facturas_proveedores.id_proveedor
where
facturas_proveedores.estado <> 6 
and YEAR(facturas_proveedores.fecha_compra) = $ano
and MONTH(facturas_proveedores.fecha_compra) = $mes
and facturas_proveedores.estado_carga = 3
and proveedores.incrementa = 'N'
and (facturas_proveedores.idcompra is not null or facturas_proveedores.idgasto is not null)
$whereadd
order by facturas_proveedores.fecha_compra asc, facturas_proveedores.factura_numero asc
";
$rsvdet = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

/*
11"	"MONTO TOTAL DEL COMPROBANTE
12"	"CONDICIÓN DE COMPRA
13"	"OPERACIÓN EN MONEDA EXTRANJERA
14"	"IMPUTA AL IVA
15"	"IMPUTA AL IRE 
16"	"IMPUTA AL
 IRP-RSP
17"	"NO IMPUTA
18"	"NÚMERO DEL COMPROBANTE DE VENTA ASOCIADO
19"	"TIMBRADO DEL COMPROBANTE DE VENTA ASOCIADO
20"
*/


 //	CONCAT('\"',factura,'\"') as Factura,
$rs=$rsvdet;

 $impreso=date("d/m/Y H:i:s");


$rs=$rsvdet;

$datos="";


	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	/*foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;*/
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$datos.=limpiacsv($value).';';
		}
		$datos.=$saltolinea;
	$rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename='.$ruc_empresa.'_REG_'.agregacero($mes,2).''.$ano.'_V0001.csv');
	
	//ruc_reg_mes_ano_v001
	
echo $datos;
exit;
		
?>