<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");

$idempresa=1;

// si hay mas de 1 sucursal
if($_GET['idsucu'] > 0){
	$idsucu=intval($_GET['idsucu']);
}else{
	$idsucu=1;	
}

$consulta="
SELECT * 
FROM preferencias limit 1;
";
$rsco=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
SELECT * FROM reservas_config order by idreservaconf asc limit 1
";
$rsresconf=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
SELECT * 
FROM empresas 
inner join sucursales on sucursales.idempresa = empresas.idempresa
where
idsucu = $idsucu
";
$rsemp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$nombreempresa=$rsemp->fields['empresa'];
$idsucu=intval($rsemp->fields['idsucu']);
if($idsucu == 0){
	echo "Sucursal inexistente!"; // redireccionar a pagina de seleccion de sucursal
	exit;
}

$codtran=trim($_GET['cod']);
if(trim($codtran) == ''){
	echo "No se recibio el codigo de reserva!";
	exit;	
}
$codtran_sql=antisqlinyeccion($codtran,"textbox");
// consulta a la tabla	
$consulta="
select * 
from reservas 
where 
codtran = $codtran_sql
and estado_reserva <> 6
limit 1
";
//echo $consulta;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idreserva=intval($rs->fields['idreserva']);
if($idreserva == 0){
	echo "Reserva inexistente!";
	exit;	
}



// para php7
if (!function_exists('set_magic_quotes_runtime')) {
	function set_magic_quotes_runtime($value) {
	 return true;
	}
}
function wp_slash( $value ) {
    if ( is_array( $value ) ) {
        foreach ( $value as $k => $v ) {
            if ( is_array( $v ) ) {
                $value[ $k ] = wp_slash( $v );
            } else {
                $value[ $k ] = addslashes( $v );
            }
        }
    } else {
        $value = addslashes( $value );
    }

    return $value;
}




if($idreserva == 0){
	//header("location: reservas.php");
	echo "No indico el codigo";
	exit;	
}

// consulta a la tabla	
$consulta="
select *,
(select reserva_estado from reservas_estado where idestadoreserva = reservas.estado_reserva) as estado_reserva_txt
from reservas 
inner join sucursales on sucursales.idsucu = reservas.idsucursal 
where 
idreserva = $idreserva
and estado_reserva <> 6
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idreserva=intval($rs->fields['idreserva']);
if($idreserva == 0){
	echo "Reserva inexistente";
	exit;	
}

 
// crea imagen
$img="../gfx/empresas/emp_".$idempresa.".png";	 
if(!file_exists($img)){
	$img="../gfx/empresas/emp_0.png";
}

// fondo y linea por defecto
if($fondo == ''){
	$fondo="#FFFFFF";	
}
if($linea == ''){
	$linea="#000000";	
}



require_once('../../clases/mpdf/vendor/autoload.php');











//echo $html;exit;

$mpdf = new mPDF('','A4', 0, 0, 0, 0, 0, 0);

$factura_auto = preparePreText($factura_auto);


$arr_replace=array('http://','https://','/');

$html='
<html>
<head>
<title>Confirmacion de Reserva</title>
<style> 
*{
	margin:0px;
	padding:0px;	
}
</style>
</head>

<body><br />
<div style="width:600px; margin:0px auto; border:1px solid #000000; padding:5px;">
<p align="center" style="font-weight:bold; font-size:16px;">
<img src="'.$img.'" height="200" style="margin:5px;"  alt="'.$nombreempresa.'" title="'.$nombreempresa.'" />
<br /><br />
'.$nombreempresa.'<br />
<br /><hr /><br />
';
if($rs->fields['estado_reserva'] == 2){
	$html.='<h3 align="center">CONFIRMACION DE RESERVA</h3>';
}else{
	$html.='<h3 align="center">RESERVA A CONFIRMAR</h3><p align="center">(Sujeto a Disponibilidad)</p>';	
}
$html.='
<br /><hr /><br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action" border="1" style="border-collapse:collapse;">

		<tr>
			<th align="center">Codigo de Reserva</th>
			<td align="center">'.htmlentities($rs->fields['idreserva']).'</td>
		</tr>
		<tr>
			<th align="center">Fecha/Hora Reserva</th>
			<td align="center">'.date("d/m/Y H:i",strtotime($rs->fields['fecha_reserva'])).' hs.</td>
		</tr>
		<tr>
			<th align="center">Estado reserva</th>
			<td align="center">'.htmlentities($rs->fields['estado_reserva_txt']).'</td>
		</tr>
		<tr>
			<th align="center">Cantidad personas</th>
			<td align="center">'.formatomoneda($rs->fields['cantidad_personas']).'</td>
		</tr>
		<tr>
			<th align="center">Reserva a Nombre de</th>
			<td align="center">'.htmlentities($rs->fields['reservado_para']).'</td>
		</tr>
		<tr>
			<th align="center">Local</th>
			<td align="center">'.htmlentities($rs->fields['nombre']).'</td>
		</tr>
		<tr>
			<th align="center">Direccion del Local</th>
			<td align="center">'.htmlentities($rs->fields['direccion']).'</td>
		</tr>
		<tr>
			<th align="center">Telefono del Local</th>
			<td align="center">'.htmlentities($rs->fields['telefono']).'</td>
		</tr>
</table>
 </div>
<br />
'.antixss($rsresconf->fields['texto_reserva_pdf']).'

</p>
    <div style="float:right; text-align:center; font-size:10px;">
    Powered By:<br />
    <img src="../'.$rsco->fields['logo_sys_indnew'].'" class="img-thumbnail" alt="'.$rsco->fields['nombre_sys'].'" height="40" />
    <br />
    '.str_replace($arr_replace,"",$rsco->fields['web_sys']).'
    </div>
	<div style="clear:both;"></div>

</div>
</body>
</html>
';








require_once("../../clases/dompdf-master/dompdf_config.inc.php");
	$dompdf = new DOMPDF();
	$dompdf->load_html($html);
	$dompdf->render();
	$dompdf->stream("reservas_$ah.pdf");

?>