<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo = "1";
$submodulo = "323";
require_once("includes/rsusuario.php");

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$idturno=$_POST['idturno'];
	$horario=$_POST['horario'];
	$estado=1;
	$ids=$_POST['ids'];



	$parametros_array=array(
		"idturno" => $idturno,
		"horario" => $horario,
		"estado" => $estado
	);

	// si todo es correcto actualiza
	if($valido == "S"){
		$res=reservas_turnos_horarios_add($parametros_array);
		if ($res["valido"]=="S") {
			header("location: reservas_turnos_horarios.php");
			exit;
		}else{
			$errores.=$res["errores"];
		}
		
	}


}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

// se puede mover esta funcion al archivo funciones_reservas_turnos_horarios.php y realizar un require_once
function reservas_turnos_horarios_add($parametros_array){
	global $conexion;
	global $saltolinea;

	// validaciones basicas
	$valido="S";
	$errores="";
	
    
	$idturno=antisqlinyeccion($parametros_array['idturno'],"int");
	$horario=antisqlinyeccion($parametros_array['horario'],"text");
	$estado=antisqlinyeccion($parametros_array['estado'],"int");
	$ids=antisqlinyeccion($parametros_array['ids'],"text");
	
	if(intval($idturno) == 0){
		$valido="N";
		$errores.=" - El campo idturno no puede ser cero o nulo.<br />";	
	}
	if(trim($horario) == ''){
		$valido="N";
		$errores.=" - El campo horario no puede estar vacio.<br />";	
	}
	if(trim($ids) == ''){
		$valido="N";
		$errores.=" - El campo ids no puede estar vacio.<br />";	
	}
	

	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into reservas_turnos_horarios
		(idturno, horario, estado)
		values
		($idturno, $horario, $estado)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
	}


	return array("error"=>$errores,"valido"=>$valido);
}
$buscar="Select * from reservas_turnos where estado=1 order by descripcion ASC";
$rst=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <?php require_once("includes/head_gen.php"); ?>
</head>

<body class="nav-md">
    <div class="container body">
        <div class="main_container">
            <?php require_once("includes/menu_gen.php"); ?>

            <!-- top navigation -->
            <?php require_once("includes/menu_top_gen.php"); ?>
            <!-- /top navigation -->

            <!-- page content -->
            <div class="right_col" role="main">
                <div class="">
                    <div class="page-title">
                    </div>
                    <div class="clearfix"></div>
                    <?php require_once("includes/lic_gen.php"); ?>

                    <!-- SECCION -->
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="x_panel">
                                <div class="x_title">
                                    <h2>Crear Turnos Horarios</h2>
                                    <ul class="nav navbar-right panel_toolbox">
                                        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                                        </li>
                                    </ul>
                                    <div class="clearfix"></div>
                                </div>
                                <div class="x_content">
                                <?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idturno *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<select name="idturno" id="idturno" class="form-control" required>
	<option value="">Seleccionar Turno</option>
	<?php while(!$rst->EOF){ ?>
		<option value="<?php echo $rst->fields['idturno']; ?>"><?php echo $rst->fields['descripcion']; ?></option>
	
	<?php $rst->MoveNext();} ?>
	</select>
	               
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Horario *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="horario" id="horario" value="<?php  if(isset($_POST['horario'])){ echo htmlentities($_POST['horario']); }else{ echo htmlentities($rs->fields['horario']); }?>" placeholder="Horario" class="form-control" required="required" />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='reservas_turnos_horarios.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />
                    </div>
                            </div>
                        </div>
                    </div>
        <!-- SECCION -->
        </div>
    </div>



                </div>
            </div>

            <!-- /page content -->

            <!-- footer content -->
            <?php require_once("includes/pie_gen.php"); ?>
            <!-- /footer content -->
        </div>
    </div>
    <?php require_once("includes/footer_gen.php"); ?>
</body>

</html>