<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";
$pag="index";
require_once("includes/rsusuario.php"); 
// (select 1bdrestaurantes.comercio from 1bdrestaurantes bd where bd.telefono = 1bdrestaurantes.telefono limit 1) as local ,

$consulta="
SELECT telefono, count(*) as cantidad, 

	(
		SELECT GROUP_CONCAT(COALESCE(1bdrestaurantes.comercio,'')) AS local 
		from 1bdrestaurantes  bd
		where 
		bd.telefono = 1bdrestaurantes.telefono
		group by COALESCE(1bdrestaurantes.comercio,'')
		order by COALESCE(1bdrestaurantes.comercio,'') asc
     ) as local

FROM `1bdrestaurantes`
where 
enviado = 'N' 
and estado = 1
GROUP by telefono 
order by count(*) desc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
function registra_permiso(idbdrestaurantes){
	
	var direccionurl='resto_bd_registra.php';	
	//alert(direccion);
	var parametros = {
	  "idbdrestaurantes"  : idbdrestaurantes,
	};
	
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#entrante_td_"+idbdrestaurantes).html('Cargando...');	
			//alert(idbdrestaurantes);
		},
		success:  function (response, textStatus, xhr) {
			if(IsJsonString(response)){
				
				var obj = jQuery.parseJSON(response);
				if(obj.valido == 'S'){
					
					$("#entrante_td_"+idbdrestaurantes).html(obj.html_checkbox);
					var permitido = obj.permitido;
					var elem = $("#entrante_"+idbdrestaurantes);
					//alert(elem);
					var idbox = "entrante";
					switchery_reactivar_uno(idbdrestaurantes,idbox);

				}else{
					alert(obj.errores);
				}
			}else{
				alert(response);	
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
function switchery_reactivar(){
	var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));
	elems.forEach(function(html) {
		var switchery = new Switchery(html);
	});
}
function switchery_reactivar_uno(iddeposito,idbox){
		var elems = document.querySelector('#'+idbox+'_'+iddeposito);
		var switchery = new Switchery(elems);

}
function switchery_reactivar_dos(idbox){
		var elems = document.querySelector('#'+idbox);
		var switchery = new Switchery(elems);

}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Restaurantes</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php 
$refemenu="top";	
require_once("includes/menu_restobd.php"); ?>



<div class="clearfix"></div>
<br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th align="center"></th>
			<th align="center">Telefono</th>
			<th align="center">Cantidad</th>
			<th align="center">Locales</th>

		</tr>
	  </thead>
	  <tbody>
<?php 
$i=1;
while(!$rs->EOF){
	

	 ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="resto_bd_busq.php?telefono=<?php echo antixss($rs->fields['telefono']); ?>&MM_search=form1" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>

				</div>

			</td>
			<td align="center"><a href="resto_bd_busq.php?telefono=<?php echo antixss($rs->fields['telefono']); ?>&MM_search=form1"><?php echo antixss($rs->fields['telefono']); ?></a></td>
			<td align="center"><?php echo antixss($rs->fields['cantidad']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['local']); ?></td>

		</tr>
<?php 
$i++;
$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>


<br />
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
<link href="vendors/switchery/dist/switchery.min.css" rel="stylesheet">
<script src="vendors/switchery/dist/switchery.min.js" type="text/javascript"></script>
  </body>
</html>
