<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php"); 

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$id_funcionario=antisqlinyeccion($_POST['id_funcionario'],"int");
	$nombre_tecnica=antisqlinyeccion($_POST['nombre_tecnica'],"text");
	$titulo_obtenido=antisqlinyeccion($_POST['titulo_obtenido'],"text");
	$institucion=antisqlinyeccion($_POST['institucion'],"text");
	$ano_culminacion=antisqlinyeccion($_POST['ano_culminacion'],"int");
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$estado=1;

	if(intval($_POST['id_funcionario']) == 0){
		$valido="N";
		$errores.=" - El campo id_funcionario no puede ser cero o nulo.<br />";	
	}
	if(trim($_POST['nombre_tecnica']) == ''){
		$valido="N";
		$errores.=" - El campo nombre_tecnica no puede estar vacio.<br />";	
	}
	if(trim($_POST['titulo_obtenido']) == ''){
		$valido="N";
		$errores.=" - El campo titulo_obtenido no puede estar vacio.<br />";	
	}
	if(intval($_POST['ano_culminacion']) == 0){
		$valido="N";
		$errores.=" - El campo ano_culminacion no puede ser cero o nulo.<br />";	
	}
/* 
estado 
*/
/* 
anulado_por 
	if(intval($_POST['anulado_por']) == 0){
		$valido="N";
		$errores.=" - El campo anulado_por no puede ser cero o nulo.<br />";	
	}
*/


	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into rrhh_formacion_tecnica
		(id_funcionario, nombre_tecnica, titulo_obtenido, institucion, ano_culminacion, registrado_por, registrado_el)
		values
		($id_funcionario, $nombre_tecnica, $titulo_obtenido, $institucion, $ano_culminacion, $registrado_por, $registrado_el)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: rrhh_formacion_funcionarios.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

$consulta = "SELECT id, concat(cedula, ': ', nombres, ' ', apellidos) as nombres from rrhh_funcionarios WHERE estado=1";
$rsfuncionarios = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			      <?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Agregar estudio t&eacute;cnico a funcionario</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                  <?php if(trim($errores) != ""){ ?>
                  <div class="alert alert-danger alert-dismissible fade in" role="alert">
                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
                  </button>
                  <strong>Errores:</strong><br /><?php echo $errores; ?>
                  </div>
                  <?php } ?>
                  <form id="form1" name="form1" method="post" action="">

                  <div class="col-md-6 col-sm-6 form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Funcionario *</label>
                    <div class="col-md-9 col-sm-9 col-xs-12">
                      <select name="id_funcionario" id="id_funcionario" placeholder="Funcionario" class="form-control" data-live-search="true" required="required">
                        <option value="0" <?php echo (intval($rs->fields['id_funcionario']) == 0)?'selected':'';?>>- Seleccione -</option>
                        <?php foreach($rsfuncionarios as $row) { ?>									
                          <option  value="<?php echo antixss($row['id']); ?>" <?php echo (intval($rs->fields['id_funcionario']) == intval($row['id']))?'selected':'';?>><?php echo antixss($row['nombres']); ?></option>
                        <?php } ?>
                      </select>
                    </div>
                  </div>

                  <div class="col-md-6 col-sm-6 form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre de la t&eacute;cnica *</label>
                    <div class="col-md-9 col-sm-9 col-xs-12">
                    <input type="text" name="nombre_tecnica" id="nombre_tecnica" value="<?php  if(isset($_POST['nombre_tecnica'])){ echo htmlentities($_POST['nombre_tecnica']); }else{ echo htmlentities($rs->fields['nombre_tecnica']); }?>" placeholder="Nombre de la t&eacute;cnica" class="form-control" required="required" />                    
                    </div>
                  </div>

                  <div class="col-md-6 col-sm-6 form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12">T&iacute;tulo obtenido </label>
                    <div class="col-md-9 col-sm-9 col-xs-12">
                    <input type="text" name="titulo_obtenido" id="titulo_obtenido" value="<?php  if(isset($_POST['titulo_obtenido'])){ echo htmlentities($_POST['titulo_obtenido']); }else{ echo htmlentities($rs->fields['titulo_obtenido']); }?>" placeholder="T&iacute;tulo obtenido" class="form-control"  />                    
                    </div>
                  </div>

                  <div class="col-md-6 col-sm-6 form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Instituci&oacute;n </label>
                    <div class="col-md-9 col-sm-9 col-xs-12">
                    <input type="text" name="institucion" id="institucion" value="<?php  if(isset($_POST['institucion'])){ echo htmlentities($_POST['institucion']); }else{ echo htmlentities($rs->fields['institucion']); }?>" placeholder="Instituci&oacute;n" class="form-control"  />                    
                    </div>
                  </div>

                  <div class="col-md-6 col-sm-6 form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12">A&ntilde;o culminaci&oacute;n </label>
                    <div class="col-md-9 col-sm-9 col-xs-12">
                    <input type="text" name="ano_culminacion" id="ano_culminacion" value="<?php  if(isset($_POST['ano_culminacion'])){ echo htmlentities($_POST['ano_culminacion']); }else{ echo htmlentities($rs->fields['ano_culminacion']); }?>" placeholder="A&ntilde;o culminacion" class="form-control"  />                    
                    </div>
                  </div>

                  <div class="clearfix"></div>
                  <br />

                      <div class="form-group">
                      <div class="col-md-12 col-sm-12 col-xs-12 text-center">
                          
                      <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
                      <button type="button" class="btn btn-primary" onMouseUp="document.location.href='rrhh_formacion_funcionarios.php'"><span class="fa fa-ban"></span> Cancelar</button>
                          </div>
                      </div>

                    <input type="hidden" name="MM_insert" value="form1" />
                    <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
                  <br />
                  </form>
                  <div class="clearfix"></div>
                  <br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
      <?php require_once("../includes/pie_gen.php"); ?>
          <!-- /footer content -->
        </div>
      </div>
      <?php require_once("../includes/footer_gen.php"); ?>
      <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.14/dist/css/bootstrap-select.min.css">
      <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.14/dist/js/bootstrap-select.min.js"></script>

      <script type="text/javascript">

        $(document).ready(function () {

          $('#id_funcionario').selectpicker({
            size: 10,
          });
        });

      </script>
  </body>
</html>
