<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="18";
$submodulo="591";
require_once("../includes/rsusuario.php"); 


$id=intval($_GET['id']);
if($id == 0){
	header("location: rrhh_funcionarios_permisos.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from rrhh_funcionarios_permisos 
where 
id = $id
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$id=intval($rs->fields['id']);
if($id == 0){
	header("location: rrhh_funcionarios_permisos.php");
	exit;	
}


$consulta_funcionarios="select id, concat(cedula, ': ', nombres, ' ', apellidos) as nombres from rrhh_funcionarios where estado = 1";
$rs_funcionarios=$conexion->Execute($consulta_funcionarios) or die(errorpg($conexion,$consulta_funcionarios));

$consulta_tipos_permiso="select id, 
                         case descontar_salario
                            when 0 THEN concat(descripcion, ' => Descuenta: No')
                            when 1 THEN concat(descripcion, ' => Descuenta: Si')
                         end as descripcion_tp
                         from rrhh_permisos_tipos where estado = 1";
$rs_tipos_permiso=$conexion->Execute($consulta_tipos_permiso) or die(errorpg($conexion,$consulta_tipos_permiso));

if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// CONFIGURACION
	$timestamp=date("YmdHis");
	$ruta_nueva="../gfx/comprobantes/img_comp_".$timestamp.".jpg";

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$idfunci=antisqlinyeccion($_POST['idfunci'],"int");
	$id_tipo_permiso=antisqlinyeccion($_POST['id_tipo_permiso'],"int");
	$fecha_permiso_inicio=antisqlinyeccion($_POST['fecha_permiso_inicio'],"text");
	$fecha_permiso_fin=antisqlinyeccion($_POST['fecha_permiso_fin'],"text");
	$hora_inicio_permiso=antisqlinyeccion($_POST['hora_inicio_permiso'],"text");
	$hora_fin_permiso=antisqlinyeccion($_POST['hora_fin_permiso'],"text");
	$observacion=antisqlinyeccion($_POST['observacion'],"text");
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$estado=antisqlinyeccion($_POST['estado'],"text");




	if(intval($_POST['idfunci']) == 0){
		$valido="N";
		$errores.=" - El campo id_funcionario no puede ser cero o nulo.<br />";	
	}
	if(intval($_POST['id_tipo_permiso']) == 0){
		$valido="N";
		$errores.=" - El campo id_tipo_permiso no puede ser cero o nulo.<br />";	
	}
	if(trim($_POST['fecha_permiso_inicio']) == ''){
		$valido="N";
		$errores.=" - El campo fecha_permiso_inicio no puede estar vacio.<br />";	
	}
	if(trim($_POST['fecha_permiso_fin']) == ''){
		$valido="N";
		$errores.=" - El campo fecha_permiso_fin no puede estar vacio.<br />";	
	}
	if(trim($_POST['hora_inicio_permiso']) == ''){
		$valido="N";
		$errores.=" - El campo hora_inicio_permiso no puede estar vacio.<br />";	
	}
	if(trim($_POST['hora_fin_permiso']) == ''){
		$valido="N";
		$errores.=" - El campo hora_fin_permiso no puede estar vacio.<br />";	
	}


	// si todo es correcto actualiza
	if($valido == "S"){
		
    //Solo puede modificar si es que el periodo sigue abierto
    $id_periodo=antisqlinyeccion($rs->fields['id_periodo'],"int");
    $consulta="select id, activo, estado, cerrado, fecha_inicio, fecha_fin from rrhh_periodos where id = $id_periodo";
    $rsperiodo = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

    if($rsperiodo->fields['cerrado'] == 2 || $rsperiodo->fields['cerrado'] == 0){

      if((date('Y-m-d', strtotime($_POST['fecha'])) >= date('Y-m-d', strtotime($rsperiodo->fields['fecha_inicio'])) 
      && date('Y-m-d', strtotime($_POST['fecha'])) <= date('Y-m-d', strtotime($rsperiodo->fields['fecha_fin'])))) {

        if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_FILES["images"])){
          
          $consulta="
          update rrhh_funcionarios_permisos
          set
            idfunci=$idfunci,
            id_tipo_permiso=$id_tipo_permiso,
            fecha_permiso_inicio=$fecha_permiso_inicio,
            fecha_permiso_fin=$fecha_permiso_fin,
            hora_inicio_permiso=$hora_inicio_permiso,
            hora_fin_permiso=$hora_fin_permiso,
            observacion=$observacion
          where
            id = $id
            and estado = 1
          ";
          $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
          
          // Guarda la imagen del comprobante

          $allowedTypes = array("image/bmp", "image/gif", "image/jpeg", "image/pjpeg", "image/png");

          // Verificar si el tipo de archivo está permitido
          if (in_array($_FILES["images"]["type"][0], $allowedTypes)) {

              // Mover el archivo subido a la ubicación deseada
              if (move_uploaded_file($_FILES["images"]["tmp_name"][0], $ruta_nueva)) {

                $valido="N";
                $errores.="La imagen se ha subido correctamente.";

              } else {

                $valido="N";
                $errores.="Error al subir la imagen.";

              }

          } else {

            $valido="N";
            $errores.="Tipo de archivo no permitido.";

          }

        }else{

          $nombre_imagen_final=antisqlinyeccion('', 'text');
          $valido="N";
          $errores.=" - Debe seleccionar una foto del comprobante";

        }

        header("location: rrhh_funcionarios_permisos.php");
        exit;

      }else{

        $valido="N";
        $errores.=" - No se puede agregar, el periodo activo va desde ".date('d/m/Y', strtotime($rsperiodo->fields['fecha_inicio']))." hasta ".date('d/m/Y', strtotime($rsperiodo->fields['fecha_fin']))."<br />";	

      }
		
    }else{

      $valido="N";
      $errores.=" - No se puede modificar porque el periodo ya esta cerrado.<br />";

    }

	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  <link type="text/css" rel="stylesheet" href="../css/image-uploader.min.css">
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			      <?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Editar permiso</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

                  <?php if(trim($errores) != ""){ ?>
                    <div class="alert alert-danger alert-dismissible fade in" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
                    </button>
                    <strong>Errores:</strong><br /><?php echo $errores; ?>
                    </div>
                    <?php } ?>
                    <form id="form1" name="form1" method="post" action="" enctype="multipart/form-data">

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Funcionario *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                        <select name="idfunci" id="id_funcionario" placeholder="Funcionario" class="form-control" data-live-search="true" required="required">
                          <option value="0">- Seleccione -</option>
                          <?php foreach($rs_funcionarios as $row) { ?>									
                            <option <?php echo ($row['id'] == $rs->fields['idfunci'])?'selected':'';?> value="<?php echo antixss($row['id']); ?>"><?php echo antixss($row['nombres']); ?></option>
                          <?php } ?>
                        </select>
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Permiso *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                        <select name="id_tipo_permiso" id="id_tipo_permiso" placeholder="Permiso" class="form-control" data-live-search="true" required="required">
                          <option value="0">- Seleccione -</option>
                          <?php foreach($rs_tipos_permiso as $row) { ?>									
                            <option <?php echo ($row['id'] == $rs->fields['id_tipo_permiso'])?'selected':'';?> value="<?php echo antixss($row['id']); ?>"><?php echo antixss($row['descripcion_tp']); ?></option>
                          <?php } ?>
                        </select>
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">F. inicio *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="date" name="fecha_permiso_inicio" id="fecha_permiso_inicio" value="<?php  if(isset($_POST['fecha_permiso_inicio'])){ echo htmlentities($_POST['fecha_permiso_inicio']); }else{ echo htmlentities($rs->fields['fecha_permiso_inicio']); }?>" placeholder="Fecha permiso inicio" class="form-control" required="required" />                    
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">F. fin *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="date" name="fecha_permiso_fin" id="fecha_permiso_fin" value="<?php  if(isset($_POST['fecha_permiso_fin'])){ echo htmlentities($_POST['fecha_permiso_fin']); }else{ echo htmlentities($rs->fields['fecha_permiso_fin']); }?>" placeholder="Fecha permiso fin" class="form-control" required="required" />                    
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Hora inicio *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="text" name="hora_inicio_permiso" id="hora_inicio_permiso" value="<?php  if(isset($_POST['hora_inicio_permiso'])){ echo htmlentities($_POST['hora_inicio_permiso']); }else{ echo htmlentities($rs->fields['hora_inicio_permiso']); }?>" placeholder="Hora inicio permiso" class="form-control" required="required" />                    
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group"> 
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Hora fin *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="text" name="hora_fin_permiso" id="hora_fin_permiso" value="<?php  if(isset($_POST['hora_fin_permiso'])){ echo htmlentities($_POST['hora_fin_permiso']); }else{ echo htmlentities($rs->fields['hora_fin_permiso']); }?>" placeholder="Hora fin permiso" class="form-control" required="required" />                    
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Observacion </label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <textarea rows="5" type="text" name="observacion" id="observacion" value="<?php  if(isset($_POST['observacion'])){ echo htmlentities($_POST['observacion']); }else{ echo htmlentities($rs->fields['observacion']); }?>" placeholder="Observacion" class="form-control"  ></textarea>                    
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Comprobante</label>
                      <div class="col-md-9 col-sm-9 col-xs-12 input-field">
                        <div class="input-images-comprobante" style="margin: 0px;"></div>
                      </div>
                    </div>

                    <div class="clearfix"></div>
                    <br />

                        <div class="form-group">
                        <div class="col-md-12 col-sm-12 col-xs-12 text-center">
                            
                        <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
                        <button type="button" class="btn btn-primary" onMouseUp="document.location.href='rrhh_funcionarios_permisos.php'"><span class="fa fa-ban"></span> Cancelar</button>
                            </div>
                        </div>

                      <input type="hidden" name="MM_update" value="form1" />
                      <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
                    <br />
                    </form>
                    <div class="clearfix"></div>
                    <br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		    <?php require_once("../includes/pie_gen.php"); ?>

        <script type="text/javascript" src="../js/jquery.min.js"></script>
    	  <script type="text/javascript" src="../js/image-uploader.min.js"></script>

        <script>
          let preloaded = [{
            id: 1,
            src: '../gfx/comprobantes/<?php echo strtolower($rs->fields['foto_comprobante']); ?>'
          }, ];
          $('.input-images-comprobante').imageUploader({
            preloaded: preloaded,
            maxSize: 2 * 1024 * 1024,
            maxFiles: 1
          });
        </script>
        <!-- /footer content -->
      </div>
    </div>
  <?php require_once("../includes/footer_gen.php"); ?>

  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.14/dist/css/bootstrap-select.min.css">
	<script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.14/dist/js/bootstrap-select.min.js"></script>

  <script>

      $('#id_funcionario').selectpicker({
          size: 10,
      });

      $('#id_tipo_permiso').selectpicker({
          size: 10,
      });

  </script>

  </body>
</html>
