<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="18";
$submodulo="606";
require_once("../includes/rsusuario.php"); 

$id=intval($_GET['id']);
if($id == 0){
  header("location: rrhh_grupos_horarios.php");
  exit;	
}


if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots

	// recibe parametros
	$nombre_grupo=$_POST['nombre_grupo'];
  $dias_horas_seleccionados=$_POST['dias_horas_seleccionados'];
	$estado=1;

	$parametros_array=array(
		"nombre_grupo" => $nombre_grupo,
    "dias_horas_seleccionados" => $dias_horas_seleccionados,
    "id_grupo" => $id,
		"estado" => $estado,
		"borrado_por" => $borrado_por,
		"borrado_el" => $borrado_el
	);

	// si todo es correcto actualiza
	if($valido == "S"){
		$res=rrhh_grupos_horarios_add($parametros_array);
		if ($res["valido"]=="S") {
			header("location: rrhh_grupos_horarios.php");
			exit;
		}else{
			$errores.=$res["errores"];
		}
		
	}


}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

$consulta="SELECT * FROM rrhh_grupos_horarios WHERE id = $id";
$rsgrupo = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="SELECT *, case dia
              when 1 then 'Domingo'
              when 2 then 'Lunes'
              when 3 then 'Martes'
              when 4 then 'Miercoles'
              when 5 then 'Jueves'
              when 6 then 'Viernes'
              when 7 then 'Sabado'
              end as dia_laboral 
            FROM rrhh_grupos_horarios_detalles 
            WHERE id_grupo = $id
            ORDER BY dia";
$rsgrupodetalle = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

foreach($rsgrupodetalle as $detalle){

  $horario_detalle .= ''.$detalle['dia'].'#/#'.$detalle['hora_entrada'].'#/#'.$detalle['hora_salida'].'#$#';

  $dia_numero = antisqlinyeccion($separa_horario[0], "int");
  $hora_entrada = antisqlinyeccion($separa_horario[1], "text");
  $hora_salida = antisqlinyeccion($separa_horario[2], "text");

  // Establecer el contenido de las celdas con los valores obtenidos
  $celda1_contenido = '<div class="btn-group"><a onclick="borrar_horario(' . $detalle['dia'] . ',\'' . $detalle['hora_entrada'] . '\',\'' . $detalle['hora_salida'] . '\')" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right" data-original-title="Borrar"><span class="fa fa-trash-o"></span></a></div>';
  $celda2_contenido = $dia_numero; // Puedes cambiarlo según necesites
  $celda3_contenido = $hora_entrada;
  $celda4_contenido = $hora_salida;

}

// se puede mover esta funcion al archivo funciones_rrhh_grupos_horarios.php y realizar un require_once
function rrhh_grupos_horarios_add($parametros_array){
	global $conexion;
	global $saltolinea;

	// validaciones basicas
	$valido="S";
	$errores="";
	

  	// recibe parametros
    $dias_horas_seleccionados=$parametros_array['dias_horas_seleccionados'];
    $nombre_grupo=antisqlinyeccion($parametros_array['nombre_grupo'],"text");
    $id_grupo=antisqlinyeccion($parametros_array['id_grupo'],"int");
    $estado=1;
    
    if(trim($parametros_array['dias_horas_seleccionados']) == ''){
      $valido="N";
      $errores.=" - Debe seleccionar los dias y horarios para el grupo.<br />";	
    }
    if(trim($parametros_array['nombre_grupo']) == ''){
      $valido="N";
      $errores.=" - Debe ingresar el nombre del grupo. <br />";	
    }
	
	// si todo es correcto inserta
	if($valido == "S"){
		
    # Agrega el grupo como cabecera
    if(isset($nombre_grupo) && isset($estado)){
      $consulta="UPDATE rrhh_grupos_horarios SET nombre_grupo = $nombre_grupo, estado = $estado WHERE id = $id_grupo";
      $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
    }

    # Borra todos los horarios detalles actuales
    $consulta="DELETE FROM rrhh_grupos_horarios_detalles WHERE id_grupo = $id_grupo";
    $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

    # Agrega los detalles del grupo 1#/#08:00#/#17:00#$#5#/#15:00#/#18:00#$#
    $separa_dias_horarios = explode('#$#', $dias_horas_seleccionados);
  
    foreach($separa_dias_horarios as $dia){
  
      if(isset($dia) && $dia != ''){
  
        $separa_horario = explode('#/#', $dia);
  
        $dia_numero=antisqlinyeccion($separa_horario[0], "int");
        $hora_entrada=antisqlinyeccion($separa_horario[1],"text");
        $hora_salida=antisqlinyeccion($separa_horario[2],"text");
    
        $consulta="INSERT INTO rrhh_grupos_horarios_detalles (id_grupo, dia, hora_entrada, hora_salida) VALUES ($id_grupo, $dia_numero, $hora_entrada, $hora_salida)";
        $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
    
  
      }
  
    }
		
	}


	return array("error"=>$errores,"valido"=>$valido);
}

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			      <?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Nuevo grupo de horarios</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

                    <?php if(trim($errores) != ""){ ?>
                    <div class="alert alert-danger alert-dismissible fade in" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
                    </button>
                    <strong>Errores:</strong><br /><?php echo $errores; ?>
                    </div>
                    <?php } ?>
                    <form id="form1" name="form1" method="post" action="">

                    <div class="col-md-6 col-sm-12 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre grupo *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="text" name="nombre_grupo" id="nombre_grupo" value="<?php  if(isset($_POST['nombre_grupo'])){ echo htmlentities($_POST['nombre_grupo']); }else{ echo htmlentities($rsgrupo->fields['nombre_grupo']); }?>" placeholder="Nombre grupo" class="form-control" required="required" />                    
                      </div>
                    </div>
                    <br /><br />
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_content">
                    <div class="x_title">
                      <h2>Asignar horarios al grupo</h2>
                      <div class="clearfix"></div>
                    </div>

                    <div class="form-group">
                      <div class="row">
                        <div class="col-xs-2">
                          <label for="id_dia_laboral">
                            <h4>D&iacute;a *</h4>
                          </label>
                          <div class="input-group">
                            <select name="id_dia_laboral" id="id_dia_laboral" placeholder="D&iacute;a" class="form-control" data-live-search="true" required="required">
                              <option value="0">- Seleccione -</option>
                              <?php foreach($rs_dias_laborales as $row) { ?>									
                                <option  value="<?php echo antixss($row['iddia']); ?>"><?php echo antixss($row['descripcion']); ?></option>
                              <?php } ?>
                            </select>
                          </div>
                        </div>
                        <div class="col-xs-2">
                          <label for="hora_entrada">
                            <h4>Hora ingreso *</h4>
                          </label>
                          <div class="input-group">
                            <input type="text" name="hora_entrada" id="hora_entrada" class="form-control" placeholder="HH:mm" pattern="([01]?[0-9]|2[0-3]):[0-5][0-9]">
                          </div>
                        </div>
                        <div class="col-xs-2">
                          <label for="hora_salida">
                            <h4>Hora Salida *</h4>
                          </label>
                          <div class="input-group">
                            <input type="text" name="hora_salida_funcionario" id="hora_salida_funcionario" class="form-control" placeholder="HH:mm" pattern="([01]?[0-9]|2[0-3]):[0-5][0-9]">
                          </div>
                        </div>
                        <div class="col-xs-2">
                          <div class="input-group-append" style="margin-top: 23%;" id="btnAgregarHorario">
                            <button class="btn btn-primary btn-circle" type="button" id="btnAgregarHorario">
                              Agregar horario <i class="glyphicon glyphicon-plus"></i>
                            </button>
                          </div>
                        </div>
                      </div>
                      <div class="table-responsive">
                        <table width="100%" class="table table-bordered jambo_table bulk_action" id="tablaHorarios">
                          <thead>
                          <tr>
                            <th></th>
                            <th align="center">D&iacute;a</th>
                            <th align="center">Hora ingreso</th>
                            <th align="center">Hora salida</th>
                          </tr>
                          </thead>
                          <tbody>
                          <?php foreach($rsgrupodetalle as $detalle){?>
                          <tr>
                            <td>
                              
                              <div class="btn-group">
                                <a onclick="borrar_horario(<?php echo  $rsgrupodetalle->fields['dia']; ?>,'<?php echo  $rsgrupodetalle->fields['hora_entrada']; ?>','<?php echo  $rsgrupodetalle->fields['hora_salida']; ?>')" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
                              </div>
                            </td>
                            <td align="center"><?php echo antixss($rsgrupodetalle->fields['dia_laboral']); ?></td>
                            <td align="center"><?php echo antixss($rsgrupodetalle->fields['hora_entrada']); ?></td>
                            <td align="center"><?php echo antixss($rsgrupodetalle->fields['hora_salida']); ?></td>
                          </tr>
                          <?php 

                          } //$rs->MoveFirst(); ?>
                          </tbody>
                        </table>
                      </div>                           
                    </div>

                    <div class="clearfix"></div>
                    <br />

                        <div class="form-group">
                        <div class="col-md-12 col-sm-12 col-xs-12 text-center">
                            
                        <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
                        <button type="button" class="btn btn-primary" onMouseUp="document.location.href='rrhh_grupos_horarios.php'"><span class="fa fa-ban"></span> Cancelar</button>
                            </div>
                        </div>

                      <input type="hidden" name="dias_horas_seleccionados" id="dias_horas_seleccionados" value="<?php echo $horario_detalle; ?>"/>
                      <input type="hidden" name="MM_insert" value="form1" />
                      <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
                    <br />
                    </form>
                    <div class="clearfix"></div>
                    <br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		    <?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
    <?php require_once("../includes/footer_gen.php"); ?>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.14/dist/css/bootstrap-select.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.14/dist/js/bootstrap-select.min.js"></script>
    <script type="text/javascript">
    $(document).ready(function () {
        // Variables JavaScript para almacenar los valores
        var diaSeleccionado;
        var horaEntrada;
        var horaSalida;

        // Esta función se ejecutará cuando se haga clic en el botón "Agregar horario"
        $('#btnAgregarHorario').click(function () {
            // Obtener los valores de los campos de entrada
            diaSeleccionado = $('#id_dia_laboral').val();
            var diaTexto = $('#id_dia_laboral option:selected').text();
            horaEntrada = $('#hora_entrada').val();
            horaSalida = $('#hora_salida_funcionario').val();

            // Validar que los campos no estén vacíos
            if (diaSeleccionado === '0' || horaEntrada === '' || horaSalida === '') {
                alert('Por favor, complete todos los campos.');
                return;
            }

            // Obtener la referencia de la tabla
            var tabla = document.getElementById('tablaHorarios').getElementsByTagName('tbody')[0];
            // Insertar una nueva fila en la tabla
            var fila = tabla.insertRow();
            // Insertar celdas en la fila
            var celda1 = fila.insertCell(0);
            var celda2 = fila.insertCell(1);
            var celda3 = fila.insertCell(2);
            var celda4 = fila.insertCell(3);
            // Establecer el contenido de las celdas con los valores obtenidos
            celda1.innerHTML = '<div class="btn-group"><a onclick="borrar_horario('+diaSeleccionado+',\''+horaEntrada+'\',\''+horaSalida+'\')" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right" data-original-title="Borrar"><span class="fa fa-trash-o"></span></a></div>';
            celda2.innerHTML = diaTexto;
            celda3.innerHTML = horaEntrada;
            celda4.innerHTML = horaSalida;

            // Reiniciar los campos de entrada
            $('#id_dia_laboral').val('0');
            $('#hora_entrada').val('');
            $('#hora_salida_funcionario').val('');

            // Se guarda en una variable los dias seleccionados
            var horarios_seleccionados_actual = $('#dias_horas_seleccionados').val();
            var dias_horarios_seleccionados = horarios_seleccionados_actual + diaSeleccionado + '#/#' + horaEntrada + '#/#' + horaSalida + '#$#';
            $('#dias_horas_seleccionados').val(dias_horarios_seleccionados);

        });

        // Esta función se ejecutará cuando se seleccione un nuevo día
        $('#id_dia_laboral').change(function () {
            diaSeleccionado = $(this).val();
        });

    });

    function borrar_horario(diaSeleccionado, horaEntrada, horaSalida) {
      // Eliminar la fila correspondiente al botón en el que se hizo clic
      $(event.target).closest('tr').remove();
      
      // Elimina de dias_horas_seleccionados
      var dias_horarios_seleccionados_borrar = diaSeleccionado + '#/#' + horaEntrada + '#/#' + horaSalida + '#$#';
      console.log(dias_horarios_seleccionados_borrar)
      var horarios_seleccionados_actual = $('#dias_horas_seleccionados').val();
      var horarios_seleccionados_actual_reemplazo = horarios_seleccionados_actual.replace(dias_horarios_seleccionados_borrar, "");
      $('#dias_horas_seleccionados').val(horarios_seleccionados_actual_reemplazo);


      // Aquí puedes realizar otras acciones si es necesario, como actualizar variables o realizar llamadas a servidores.
    }
</script>
  </body>
</html>
