<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php"); 

$where_filtro = '';

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());

  $filtrar_funcionario = ($_POST['nombre_funcionario'])?antisqlinyeccion($_POST['nombre_funcionario'],"text"):'';
  $where_filtro = ($filtrar_funcionario != '')?"WHERE estado = 1 and rrrhhfunchorarios.id_funcionario in (select id from rrhh_funcionarios where concat (nombres, ' ', apellidos) LIKE '%".str_replace("'",'', $filtrar_funcionario)."%')":'estado = 1';

}

//Toma el resumen de las vacaciones
$consulta="
select rrrhhfunchorarios.id, rrrhhfunchorarios.id_funcionario, rrrhhfunchorarios.lunes_entrada, rrrhhfunchorarios.lunes_salida, rrrhhfunchorarios.martes_entrada, 
rrrhhfunchorarios.martes_salida, rrrhhfunchorarios.miercoles_entrada, rrrhhfunchorarios.miercoles_salida, rrrhhfunchorarios.jueves_entrada, 
rrrhhfunchorarios.jueves_salida, rrrhhfunchorarios.viernes_entrada, rrrhhfunchorarios.viernes_salida, rrrhhfunchorarios.sabado_entrada, 
rrrhhfunchorarios.sabado_salida, rrrhhfunchorarios.domingo_entrada, rrrhhfunchorarios.domingo_salida, rrhhfunc.nombres,
rrhhfunc.apellidos, rrhhfunc.cedula
from rrhh_horarios_funcionarios rrrhhfunchorarios
JOIN rrhh_funcionarios rrhhfunc ON rrhhfunc.id = rrrhhfunchorarios.id_funcionario
$where_filtro
limit 100
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>
<!DOCTYPE html>
<html lang="es">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			            <?php require_once("../includes/lic_gen.php");?>
            
                    <!-- SECCION -->
                    <div class="row">
                      <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="x_panel">
                        <div class="x_title">
                            <h2>Horario de funcionarios</h2>
                            <ul class="nav navbar-right panel_toolbox">
                              <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                              </li>
                            
                            </ul>
                            <div class="clearfix"></div>
                          </div>
                          <div class="x_content">
                        </div>
                    <br />

                    <div class="table-responsive">
                        <p><a href="rrhh_horarios_funcionarios_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a></p>
                        <hr />
                        <form id="form1" name="form1" method="post" action="">
                          <div class="col-xs-12" style="display: flex;justify-content: flex-end;margin-left: auto;margin-right: 0;">
                            
                              <div class="col-md-5" style="padding-right:0;padding-left:0;">
                              <input class="form-control mr-1" name='nombre_funcionario' placeholder="Escriba el nombre o apellido del funcionario">
                              </div>
                              <div class="col-md-1">
                                <button class="btn btn-default">Buscar</button>
                              </div>
                              <input type="hidden" name="MM_insert" value="form1" />
                          </div>
                        </form>

                        <table width="100%" class="table table-bordered jambo_table bulk_action">
                        <thead>
                        <tr>
                          <th></th>
                          <th align="center">Documento</th>
                          <th align="center">Nombres</th>
                          <th align="center">Apellidos</th>
                          <th align="center">Observaciones</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php while(!$rs->EOF){ ?>
                        <tr>
                          <td>
                            
                            <div class="btn-group">
                              <a href="rrhh_horarios_funcionarios_edit.php?id=<?php echo $rs->fields['id']; ?>" class="btn btn-sm btn-default" title="Asignar vacaciones" data-toggle="tooltip" data-placement="right"  data-original-title="Asignar vacaciones"><span class="fa fa-edit"></span></a>
                              <a href="rrhh_horarios_funcionarios_del.php?id=<?php echo $rs->fields['id']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
                            </div>

                          </td>
                          <td align="center"><?php echo intval($rs->fields['cedula']); ?></td>
                          <td align="center"><?php echo antixss($rs->fields['nombres']); ?></td>
                          <td align="center"><?php echo antixss($rs->fields['apellidos']); ?></td>
                          <td align="center"><?php echo antixss(($rs->fields['dias_faltantes']<0)?'Debió salir en fecha '.date('d/m/Y', strtotime($rs->fields['fecha_salida'])):''); ?></td>
                        </tr>
                        <?php 

                        $rs->MoveNext(); } //$rs->MoveFirst(); ?>
                        </tbody>
                        </table>
                    </div>
                    <br />
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
