<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="18";
//$submodulo="599";
$submodulo="646";
require_once("../includes/rsusuario.php"); 

$id=intval($_GET['id']);
if($id == 0){
	header("location: rrhh_puestos.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select *
from rrhh_puestos 
where 
id = $id
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$id=intval($rs->fields['id']);
if($id == 0){
	header("location: rrhh_puestos.php");
	exit;	
}


if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	$nombre=antisqlinyeccion($_POST['nombre'],"text");


	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	$parametros_array=array(
		"id" => $id,
		"ahora" => $ahora,
		"idusu" => $idusu

	);

	// si todo es correcto actualiza
	if($valido == "S"){
		$res=rrhh_puestos_delete($parametros_array);
		if ($res["valido"]=="S") {
			header("location: rrhh_puestos.php");
			exit;
		}else{
			$errores.=$res["errores"];
		}
		
	}

}


// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



// se puede mover esta funcion al archivo funciones_rrhh_puestos.php y realizar un require_once
function rrhh_puestos_delete($parametros_array){
	global $conexion;
	global $saltolinea;

	// validaciones basicas
	$valido="S";
	$errores="";
	
	
	$id = antisqlinyeccion($parametros_array['id'],"int");
	$ahora = antisqlinyeccion($parametros_array['$ahora'],"text");
	$idusu = antisqlinyeccion($parametros_array['$idusu'],"int");
	
	
	

	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update rrhh_puestos
		set
			estado = 6,
			eliminado_por = $idusu,
			eliminado_el = $ahora
		where
			id = $id
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
	}


	return array("error"=>$errores,"valido"=>$valido);
}

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Puestos laborales</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
				  	<?php if(trim($errores) != ""){ ?>
					<div class="alert alert-danger alert-dismissible fade in" role="alert">
					<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
					</button>
					<strong>Errores:</strong><br /><?php echo $errores; ?>
					</div>
					<?php } ?>
					<form id="form1" name="form1" method="post" action="">

					<div class="col-md-6 col-sm-6 form-group">
						<label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre *</label>
						<div class="col-md-9 col-sm-9 col-xs-12">
						<input type="" name="nombre" id="nombre" value="<?php  if(isset($_POST['nombre'])){ echo ($_POST['nombre']); }else{ echo ($rs->fields['nombre']); }?>" placeholder="Nombre" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
						</div>
					</div>

					<div class="clearfix"></div>
					<br />

						<div class="form-group">
							<div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
						<button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
						<button type="button" class="btn btn-primary" onMouseUp="document.location.href='rrhh_puestos.php'"><span class="fa fa-ban"></span> Cancelar</button>
							</div>
						</div>


					<input type="hidden" name="MM_update" value="form1" />
					<input type="hidden" name="form_control" value="<?php echo antixss($_SESSION['form_control']); ?>">
					<br />
					</form>
					<div class="clearfix"></div>
					<br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
