<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="18";
$submodulo="598";
require_once("../includes/rsusuario.php"); 

$id=intval($_GET['id']);
if($id == 0){
	header("location: rrhh_registro_marcaciones_funcionarios.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from gest_registros 
where 
idseria = $id
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$id=intval($rs->fields['idseria']);

if($id == 0){
	header("location: rrhh_registro_marcaciones_funcionarios.php");
	exit;	
}

if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$fechahora=antisqlinyeccion($_POST['fechahora'],"text");
	$descuento=antisqlinyeccion($_POST['descuento'],"text");
  $monto_hora_extra=antisqlinyeccion($_POST['monto_hora_extra'],"text");
	$estado=1;
	$editado_por=$idusu;
	$editado_el=antisqlinyeccion($ahora,"text");
	$observaciones=antisqlinyeccion($_POST['observaciones'],"text");

	if(trim($_POST['fechahora']) == ''){
		$valido="N";
		$errores.=" - El campo Fecha de marcado no puede estar vacio.<br />";	
	}
	if(trim($_POST['descuento']) == ''){
		$valido="N";
		$errores.=" - El campo Monto a descontar no puede estar vacio.<br />";	
	}
  if(trim($_POST['monto_hora_extra']) == ''){
		$valido="N";
		$errores.=" - El campo Monto por hora extra no puede estar vacio.<br />";	
	}


	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="UPDATE gest_registros SET fechahora=$fechahora, descuento =$descuento, monto_hora_extra=$monto_hora_extra, 
               editado_por=$editado_por, editado_el=$editado_el,
               observaciones=$observaciones WHERE idseria=$id";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: rrhh_registro_marcaciones_funcionarios.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			      <?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Editar marcaci&oacute;n del funcionario</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

                    <?php if(trim($errores) != ""){ ?>
                    <div class="alert alert-danger alert-dismissible fade in" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
                    </button>
                    <strong>Errores:</strong><br /><?php echo $errores; ?>
                    </div>
                    <?php } ?>
                    <form id="form1" name="form1" method="post" action="">

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha de marcado *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="datetime" name="fechahora" id="fechahora" value="<?php  if(isset($_POST['fechahora'])){ echo htmlentities($_POST['fechahora']); }else{ echo htmlentities($rs->fields['fechahora']); }?>" placeholder="Fecha de marcaci&oacute;n" class="form-control" required="required" />                    
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Monto a descontar </label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="number" name="descuento" id="descuento" value="<?php  if(isset($_POST['descuento'])){ echo htmlentities($_POST['descuento']); }else{ echo htmlentities($rs->fields['descuento']); }?>" placeholder="Monto a descontar" class="form-control" required="required" />                    
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Monto por hora extra </label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="number" name="monto_hora_extra" id="monto_hora_extra" value="<?php  if(isset($_POST['monto_hora_extra'])){ echo htmlentities($_POST['monto_hora_extra']); }else{ echo htmlentities($rs->fields['monto_hora_extra']); }?>" placeholder="Monto a pagar por hora extra" class="form-control" required="required" />                    
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Observaciones </label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <textarea class="form-control" rows="4" cols="50" name="observaciones" id="observaciones" placeholder="Observaciones"><?php  if(isset($_POST['observaciones'])){ echo htmlentities($_POST['observaciones']); }else{ echo htmlentities($rs->fields['observaciones']); }?></textarea>                    
                      </div>
                    </div>    

                    <div class="clearfix"></div>
                    <br />

                        <div class="form-group">
                        <div class="col-md-12 col-sm-12 col-xs-12 text-center">
                            
                        <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
                        <button type="button" class="btn btn-primary" onMouseUp="document.location.href='rrhh_registro_marcaciones_funcionarios.php'"><span class="fa fa-ban"></span> Cancelar</button>
                            </div>
                        </div>

                        <input type="hidden" name="MM_update" value="form1" />
                      <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
                    <br />
                    </form>
                    <div class="clearfix"></div>
                    <br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
