<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="74";
require_once("includes/rsusuario.php"); 



$idsalon=intval($_GET['id']);
if($idsalon == 0){
	header("location: salones_borrados.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select salon.nombre, salon.idsalon, usuarios.usuario, salon.anulado_por, salon.anulado_el,
sucursales.nombre  as idsucursal_txt, sucursales.idsucu
from  salon 
left join usuarios on usuarios.idusu = salon.anulado_por
inner join sucursales on salon.idsucursal = sucursales.idsucu
where
salon.estado_salon = 6
and salon.idsalon = $idsalon
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idsalon=intval($rs->fields['idsalon']);
if($idsalon == 0){
	header("location: salones_borrados.php");
	exit;	
}

// se puede mover esta funcion al archivo funciones_salon.php y realizar un require_once
function salon_restaura($parametros_array){
	global $conexion;
	global $saltolinea;

	// validaciones basicas
	$valido="S";
	$errores="";
	
	
	$idsalon = antisqlinyeccion($parametros_array['idsalon'],"int");
	$ahora = antisqlinyeccion($parametros_array['ahora'],"text");
	$idusu = antisqlinyeccion($parametros_array['idusu'],"int");
	
	
	

	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update salon
		set
			estado_salon = 1,
			salon_restaurado_por=$idusu,
			salon_restaurado_el=$ahora
		where
			idsalon = $idsalon
			and estado_salon = 6
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
	}


	return array("error"=>$errores,"valido"=>$valido);
}



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	//$idsalon=antisqlinyeccion($_POST['idsalon'],"text");
	/*$nombre=antisqlinyeccion($_POST['nombre'],"text");
	$idsucursal_txt=antisqlinyeccion($_POST['idsucursal_txt'],"int");
	$color=antisqlinyeccion($_POST['color'],"text");
	$preferido=antisqlinyeccion($_POST['preferido'],"int");
	$estado_salon=antisqlinyeccion($_POST['estado_salon'],"int");
	$anulado_por=antisqlinyeccion($_POST['anulado_por'],"int");
	$anulado_el=antisqlinyeccion($_POST['anulado_el'],"text");
	$capacidad_salon=antisqlinyeccion($_POST['capacidad_salon'],"int");
	$playa=antisqlinyeccion($_POST['playa'],"text");*/


	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	$parametros_array=array(
		"idsalon" => $idsalon,
		"ahora" => $ahora,
		"idusu" => $idusu

	);

	// si todo es correcto actualiza
	if($valido == "S"){
		$res=salon_restaura($parametros_array);
		if ($res["valido"]=="S") {
			header("location: salones_borrados.php");
			exit;
		}else{
			$errores.=$res["errores"];
		}
		
	}

}


// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Restaurar Salon</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>


		


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Idsalon</th>
			<th align="center">Salon</th>

			<th align="center">Sucursal</th>
			<th align="center">Borrado por</th>
			<th align="center">Borrado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

				<td align="center"><?php echo intval($rs->fields['idsalon']); ?></td>
				<td align="center"><?php echo antixss($rs->fields['nombre']); ?></td>

				<td align="center"><?php echo antixss($rs->fields['idsucursal_txt']); ?> [<?php echo antixss($rs->fields['idsucu']); ?>]</td>
				<td align="center"><?php echo antixss($rs->fields['usuario']); ?> [<?php echo intval($rs->fields['anulado_por']); ?>]</td>
				<td align="center"><?php if($rs->fields['anulado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['anulado_el'])); }  ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />


			

<form id="form1" name="form1" method="post" action="">


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-recycle"></span> Restaurar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='salones_borrados.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>


  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo antixss($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


<div class="clearfix"></div>
<br /><br />

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
