<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="30";
//require_once("../includes/rsusuario.php"); 
$valido="S";
$errores="";

// funciones para stock
require_once("../includes/funciones_stock.php");
// funciones tributarias
require_once("../includes/funciones_iva.php");
// funciones de caja
require_once("../includes/funciones_cobros.php");
// funciones venta
require_once("../includes/funciones_ventas.php");
// funciones pedidos
require_once("../includes/funciones_pedidos.php");

// configuraciones
$idusu=3; // usuario web
$idempresa=1;
$factura_suc=intval($_COOKIE['cfactura_suc']);
$factura_pexp=intval($_COOKIE['cfactura_pexp']);




$id=intval($_GET['id']);

$consulta="
select * 
from web_pedidos
where
idwebpedido = $id
and idventa is null
and estado = 1
order by fechahora desc
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idwebpedido=intval($rs->fields['idwebpedido']);
$idsucursal_sugiere=intval($rs->fields['idsucursal_sugiere']);
$formapago=$rs->fields['formapago'];
if($idwebpedido == 0){
	$valido='N';
	$errores.='- Pedido inexistente o ya fue registrado.';
}
if($factura_suc == 0){
	$valido='N';
	$errores.='- No se cargo la sucursal de esta pc.';
}
if($factura_pexp == 0){
	$valido='N';
	$errores.='- No se cargo el punnto de expedicion de esta pc.';
}
if($idusu == 0){
	$valido='N';
	$errores.='- No se cargo el usuario de esta pc.';
}
// comprobar existencia de deposito del tipo salon de ventas
$consulta="
SELECT * 
FROM gest_depositos
where
tiposala = 2
and idsucursal = $idsucursal_sugiere
and estado = 1
";
//echo $consulta;
$rsdep = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$iddeposito=intval($rsdep->fields['iddeposito']);
if($iddeposito == 0){
	$errores.="No existe deposito de ventas asignado a la sucursal actual.";
	$valido="N";
}
if($valido == 'N'){
	$res=array(
		'valido' => $valido,
		'errores' => $errores
	);
	// convierte a formato json
	$respuesta=json_encode($res, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
	// devuelve la respuesta formateada
	echo $respuesta;
	exit;
}

//Comprobar apertura de caja en fecha establecida
$buscar="
Select * 
from caja_super 
where 
estado_caja=1 
and cajero=$idusu 
and sucursal = $idsucursal_sugiere 
and tipocaja = 1 
order by fecha desc 
limit 1
";
//echo $buscar;exit;
$rscaja=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idcaja=intval($rscaja->fields['idcaja']);
$estadocaja=intval($rscaja->fields['estado_caja']);
$idcaja_compartida=intval($rscaja->fields['idcaja_compartida']);
if($idcaja_compartida > 0){
	$idcaja=$idcaja_compartida;
}
if ($idcaja==0){
	$errores.="- La caja debe estar abierta para poder realizar una venta.";
	$valido="N";
}
if ($estadocaja==3){
	$errores.="- La caja debe estar abierta para poder realizar una venta.";
	$valido="N";
}
if($valido == 'N'){
	$res=array(
		'valido' => $valido,
		'errores' => $errores
	);
	// convierte a formato json
	$respuesta=json_encode($res, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
	// devuelve la respuesta formateada
	echo $respuesta;
	exit;
}



// ACEPTAR EL PEDIDO WEB
$parametros_array=array(
	'idusu' => 1,
	'idsucursal' => 1,
	'idwebpedido' => $idwebpedido,
	'elimina_auto' => 'S' // elimina de webpedidos ya que pasa directo a central pedidos

);
$res=validar_pedido_web($parametros_array);
if($res['valido'] != 'S'){
	$valido="S";
	$errores.=$res['errores'];
}
if($valido == 'S'){
	$res=aceptar_pedido_web($parametros_array);
	$idtmpventares_cab=intval($res['idtmpventares_cab']);
	$idcliente=intval($res['idcliente']);
}
if(intval($idtmpventares_cab) == 0){
	$errores.="- Hubo un problema y no se registro el pedido.";
	$valido="N";
}
if(intval($idcliente) == 0){
	$errores.="- Hubo un problema y no se registro el pedido.";
	$valido="N";
}
if($valido == 'N'){
	$res=array(
		'valido' => $valido,
		'errores' => $errores
	);
	// convierte a formato json
	$respuesta=json_encode($res, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
	// devuelve la respuesta formateada
	echo $respuesta;
	exit;
}


$res=array(
	'valido' => $valido,
	'errores' => $errores,
	'idventa' => $idventa,
	'idpedido' => $idtmpventares_cab,
);


// convierte a formato json
$respuesta=json_encode($res, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

// devuelve la respuesta formateada
echo $respuesta;




?>