<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
require_once("includes/rs_carrito.php");

/* 
si el grupo tiene 1 solo producto cargado
debe hacer un insert directo y no figurar en la lista 
si la cantidad es 6 y solo hay 1 producto cargado hace 6 insert
*/

$idlistacombo=intval($_POST['idlista']);
$idproducto=intval($_POST['idprod']);

// busca si existe la lista
$consulta="
select * 
from combos_listas 
where 
idlistacombo = $idlistacombo 
and estado = 1
";
$rscombo=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idlistacombo=$rscombo->fields['idlistacombo'];
$cantidadmax=$rscombo->fields['cantidad'];
$totalbd=0;

$valido="S";
$errores="";

if($idlistacombo == 0){
	$valido="N";
	$errores.="- No indico el grupo del combo.".$saltolinea;	
}
// busca si existe en la BD para ese producto
$consulta="
select * 
from productos 
inner join combos_listas_det on productos.idprod_serial = combos_listas_det.idproducto
where 
productos.idtipoproducto = 1
and productos.borrado = 'N'
and combos_listas_det.idlistacombo = $idlistacombo
and combos_listas_det.idproducto = $idproducto
and combos_listas_det.estado = 1
limit 1
";
$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
// si forma parte de la lista
$idlistacombo=$rsprod->fields['idlistacombo'];
if($idlistacombo == 0){
	$valido="N";
	$errores.="- El producto indicado no forma parte de los permitidos para este combo.".$saltolinea;	
}

// validar que no haya llegado al maximo permitido para esa lista
$consulta="
select count(*) as total
from tmp_combos_listas_ecom
where
tmp_combos_listas_ecom.id_ses = '$session_id'
and tmp_combos_listas_ecom.idlistacombo = $idlistacombo
and tmp_combos_listas_ecom.idwebcarrito is null
";
$rscuenta=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$totalbd=intval($rscuenta->fields['total']);
// si supero el maximo permitido para el grupo
if($totalbd >= $cantidadmax){
	$valido="N";
	$errores.="- Alcanzaste el maximo permitido para este grupo.".$saltolinea;
}

	
// si existe
if($valido == 'S'){


	// insertar en tabla temporal
	$consulta="
	INSERT INTO tmp_combos_listas_ecom
	(idlistacombo, idwebcarrito, idproducto,id_ses,registrado_el)
	VALUES
	($idlistacombo,NULL,$idproducto,'$session_id','$ahora')
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	



}

// busca cantidad para el producto seleccionado
$consulta="
select count(*) as total
from tmp_combos_listas_ecom
where
tmp_combos_listas_ecom.idproducto = $idproducto
and tmp_combos_listas_ecom.id_ses = '$session_id'
and tmp_combos_listas_ecom.idlistacombo = $idlistacombo
and tmp_combos_listas_ecom.idwebcarrito is null
";
$rsinsertado=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
// nuevo total bd despues de insertar
$totalbd=$rsinsertado->fields['total'];

$arr = array(
	'cantidad_seleccionada' => $totalbd,
	'cantidad_maxima' => $cantidadmax,
	'valido' => $valido,
	'errores' => $errores
);

//print_r($arr);

// convierte a formato json
$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

// devuelve la respuesta formateada
echo $respuesta;


?>