<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");

// Modulo y submodulo respectivamente
$modulo="21";
$submodulo="185";
require_once("includes/rsusuario.php"); 

$cod=antisqlinyeccion($_REQUEST['cod'],"text");
$valido="S";
$errores="";

if(trim($_REQUEST['cod']) == ''){
	$valido="N";
	$errores="Debe ingresar un codigo.";
}else{
	
	// datos de la zona de delivery
	$consulta="
	SELECT * 
	FROM clientes_codigos
	where
	idempresa = $idempresa
	and estado_self = 1
	and us_self = $cod
	limit 1
	";
	$rscocli = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idcodclie=$rscocli->fields['idcodclie'];
	$idcliente=intval($rscocli->fields['idcliente']);
	$idadherente=intval($rscocli->fields['idadherente']);
	
	// si existe y esta activo
	if($idcodclie > 0){
		// si es adherente
		if($idadherente > 0){
			$consulta="
			SELECT * 
			FROM adherentes
			where
			idempresa = $idempresa
			and estado = 1
			and idadherente = $idadherente
			limit 1
			";
			$rsadh = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idadherente=intval($rsadh->fields['idadherente']);
			$nomape=$rsadh->fields['nomape'];
			if($idadherente == 0){
				$valido="N";
				$errores="Adherente inactivo.";
			}
		
		// si es titular
		}else if($idcliente > 0){
			$consulta="
			SELECT * 
			FROM cliente
			where
			idempresa = $idempresa
			and estado = 1
			and idcliente = $idcliente
			limit 1
			";
			$rscli = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idcliente=intval($rscli->fields['idcliente']);
			$nomape=$rscli->fields['razon_social'];
			if($idcliente == 0){
				$valido="N";
				$errores="Cliente inactivo.";
			}
		// si no es ninguno
		}else{
			$valido="N";
			$errores="Cliente no encontrado o inactivo.";
		}
	}else{
		$valido="N";
		$errores="Usuario inexistente o inactivo.";
	}
	
	
}

if($valido == 'S')
	$arr = array(
		'idcodclie' => $idcodclie, 
		'idadh' => $idadherente, 
		'idcli' => $idcliente, 
		'nombre' => antixss($nomape), 
		'valido' => 'S',
		'error' => ''
	);
}else{
	$arr = array(
		'valido' => 'N',
		'error' => $errores
	);	
}
	
// convierte a formato json
$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
	
// devuelve la respuesta formateada
echo $respuesta;

?>