<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="21";
$submodulo="155";
require_once("includes/rsusuario.php"); 



if(intval($_GET['idproducto']) > 0){
	$idproducto=intval($_GET['idproducto']);
	$whereadd.="
	and producto_serviciocom_log.idproducto = $idproducto
	";
}
if(intval($_GET['idserviciocom']) > 0){
	$idserviciocom=intval($_GET['idserviciocom']);
	$whereadd.="
	and producto_serviciocom_log.idserviciocom = $idserviciocom
	";
}
		
$consulta="
select producto_serviciocom_log.*, servicio_comida.nombre_servicio as nombre_servicio, productos.descripcion as producto,
(select usuario from usuarios where producto_serviciocom_log.registrado_por = usuarios.idusu) as registrado_por
from producto_serviciocom_log 
inner join servicio_comida on servicio_comida.idserviciocom = producto_serviciocom_log.idserviciocom
inner join productos on productos.idprod_serial = producto_serviciocom_log.idproducto
where
idlog is not null
$whereadd
order by idlog desc
limit 10000
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Registro de Cambios</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
					  
					  
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<p><a href="servicios_comida_asigna.php?id=<?php echo $idserviciocom; ?>" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />
<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Servicio Comida *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idserviciocom, CONCAT(servicio_comida.nombre_servicio,' [',idserviciocom,']') as nombre_servicio
FROM servicio_comida
where
estado = 'A'
order by nombre_servicio asc
 ";

// valor seleccionado
if(isset($_GET['idserviciocom'])){ 
	$value_selected=htmlentities($_GET['idserviciocom']); 
}else{
	$value_selected="";
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idserviciocom',
	'id_campo' => 'idserviciocom',
	
	'nombre_campo_bd' => 'nombre_servicio',
	'id_campo_bd' => 'idserviciocom',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODAS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
             
	</div>
</div>
					  
					  
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Producto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idprod_serial, CONCAT(productos.descripcion,' [',idprod_serial,'] ') as descripcion
FROM productos
where
borrado = 'N'
order by descripcion asc
 ";

// valor seleccionado
if(isset($_GET['idproducto'])){ 
	$value_selected=htmlentities($_GET['idproducto']); 
}else{
	$value_selected="";
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idproducto',
	'id_campo' => 'idproducto',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idprod_serial',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>              
	</div>
</div>	  
					  
<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Buscar</button>

        </div>
    </div>


<br />
</form>
<div class="clearfix"></div>
<br /><br />					  
					  
					  
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Producto</th>
			<th align="center">Servicio Comida</th>
			<th align="center">Accion</th>
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){
		  
$accion=$rs->fields['accion'];
$accion_txt="";
if($accion == 'A'){
	$accion_txt="Activar";
}
if($accion == 'B'){
	$accion_txt="Desactivar";
}
		  ?>
		<tr>
			<td align="left"><?php echo antixss($rs->fields['producto']); ?> [<?php echo intval($rs->fields['idproducto']); ?>]</td>
			<td align="center"><?php echo antixss($rs->fields['nombre_servicio']); ?> [<?php echo intval($rs->fields['idserviciocom']); ?>]</td>
			<td align="center"><?php echo antixss($accion_txt); ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
