<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="545";
require_once("includes/rsusuario.php"); 



$consulta="
select *,
(
SELECT GROUP_CONCAT(sucursales.nombre) AS sucursal 
from shopping_sucursales 
inner join sucursales on sucursales.idsucu = shopping_sucursales.idsucursal_sistema
where 
 shopping_sucursales.estado = 1 
 and shopping_sucursales.idshopping = shopping.idshopping
order by idshoppingsuc asc
 ) as sucursales,
(
 select count(shopping_sucursales.idshoppingsuc) as total 
     from shopping_sucursales
     WHERE

 shopping_sucursales.estado = 1 
 and shopping_sucursales.idshopping = shopping.idshopping
 ) as total_sucursales,
(select registrado_el  FROM log_shoppings where log_shoppings.idshopping = shopping.idshopping order by idlogshopping desc limit 1) as ult_informa
from shopping 
where 
 shopping.estado = 1 
order by idshopping asc;
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

require_once('shopping_funciones.php');






?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function verificar(){
	var direccionurl='shopping_cron.php';	
	var parametros = {
	  "accion" : "l"
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#estado").html('Verificando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				if (obj.existe == 'S') {
					// Hacer algo
					$("#estado").html('SINCRONIZACION ACTIVA! <br /><a href="javascript:desactivar();void(0);" class="btn btn-sm btn-danger"><span class="fa fa-ban"></span> Desactivar</a>');
					document.getElementById('estado').style.backgroundColor = 'green';
					document.getElementById('estado').style.color = 'white';
				} else {
					$("#estado").html('SINCRONIZACION INACTIVA! <br /><a href="javascript:activar();void(0);" class="btn btn-sm btn-success"><span class="fa fa-check-square-o"></span> Activar</a>');
					document.getElementById('estado').style.backgroundColor = 'red';
					document.getElementById('estado').style.color = 'white';
				}
			}else{
				alert(response);	
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});
}
function activar(){
	var direccionurl='shopping_cron.php';	
	var parametros = {
	  "accion" : "a"
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#estado").html('Verificando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(IsJsonString(response)){
				//alert(response);
				var obj = jQuery.parseJSON(response);
				if (obj.valido == 'S') {
					verificar();
				} else {
					document.getElementById('estado').style.backgroundColor = 'black';
					document.getElementById('estado').style.color = 'white';
					$("#estado").html(obj.mensaje);
					alert(obj.mensaje);
				}
			}else{
				alert(response);	
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});
}
function desactivar(){
	var direccionurl='shopping_cron.php';	
	var parametros = {
	  "accion" : "d"
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#estado").html('Verificando...');				
		},
		success:  function (response, textStatus, xhr) {
			//alert(response);
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				if (obj.valido == 'S') {
					verificar();
				} else {
					document.getElementById('estado').style.backgroundColor = 'black';
					document.getElementById('estado').style.color = 'white';
					$("#estado").html(obj.mensaje);
					alert(obj.mensaje);
				}
			}else{
				alert(response);	
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});
}
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
</script>
  </head>

  <body class="nav-md" onload="verificar();">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Shoppings</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<a href="shopping_log.php" class="btn btn-sm btn-default"><span class="fa fa-search"></span> Log WS</a>
<a href="shopping_mail_log.php" class="btn btn-sm btn-default"><span class="fa fa-search"></span> Log Mail</a>
<a href="shopping_reenvio.php" class="btn btn-sm btn-default"><span class="fa fa-search"></span> Reenvios WS</a>
<a href="shopping_reenvio_mail.php" class="btn btn-sm btn-default"><span class="fa fa-search"></span> Reenvios Mail</a>
<div class="clearfix"></div>
<hr />
<div id='estado' class="col-md-6 col-sm-6" style='background-color:white;color:black;'></div>
<div id='' class="col-md-6 col-sm-6" style='background-color:white;color:black;'><strong>IMPORTANTE:</strong> que la sincronizacion este activa no significa que se estan enviando los datos al shopping, para asegurarse que se estan enviando ademas de activar la sincronizacion debe completar las credenciales de cada shopping para cada sucursal que aplique.</div>
<div class="clearfix"></div>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Idshopping</th>
			<th align="center">Shopping</th>
			<th align="center">Sucursales</th>
			<th align="center">Total Sucursales</th>
			<th align="center">Fec Ultimo Informe</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="shopping_det.php?id=<?php echo $rs->fields['idshopping']; ?>" class="btn btn-sm btn-default" title="Configuracion" data-toggle="tooltip" data-placement="right"  data-original-title="Configuracion"><span class="fa fa-cogs"></span></a>
					<a href="shopping_sucursales.php?id=<?php echo $rs->fields['idshopping']; ?>" class="btn btn-sm btn-default" title="Sucursales" data-toggle="tooltip" data-placement="right"  data-original-title="Sucursales"><span class="fa fa-university"></span></a>
				</div>

			</td>
			<td align="center"><?php echo intval($rs->fields['idshopping']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['shopping']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['sucursales']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['total_sucursales']); ?></td>
			<td align="center"><?php if($rs->fields['ult_informa'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['ult_informa'])); }  ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
	  <tfoot>
		<tr>
			<td>Totales</td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
		</tr>
	  </tfoot>
    </table>
</div>
<br />
<br />
<p><strong>Datos que se enviaran al shopping por Webservice si activa esta función:</strong></p>
<p><strong>1. Documento: </strong>Número de la factura o nota de crédito  tal cual está en el documento físico.<strong></strong><br>
  <strong>2. Fecha:</strong>  La fecha de emisión de la factura en el  formato día mes año dd/MM/AAAA<br>
  <strong>3. Tipo: </strong>Factura  o Nota de crédito (Vigentes y Anuladas)<strong></strong><br>
  <strong>4. Moneda:</strong>  moneda en la cual fue emitida la factura (Guaraníes,  Dólares, etc.)<br>
  <strong>5. Gravadas 10:</strong> El  monto total gravados al 10 % de la factura.<br>
  <strong>6. Gravadas 5:</strong> El  monto total gravados al 5% de la factura.<br>
  <strong>7. Exentas: </strong>El  monto total de exentas de la factura.<strong></strong><br>
  <strong>8. Total:</strong> La suma  total de la factura<br>
  <strong>9. Tipo de Cambio: </strong>El  tipo de cambio al cual emitida la factura.<strong></strong><br>
  <strong>10. Cliente: </strong>Razón  Social del Cliente.<strong></strong><br>
  <strong>11. RUC:</strong> Registro  Único de Contribuyente (Cliente)<br>
  <strong>12. Fecha Anulado: </strong>Para  el caso de anulaciones la fecha de Anulación (Factura o Nota de Crédito).</p>
<br /><br />
<p><strong>Datos que se enviara por mail:</strong></p>
<p>
<strong>Idventa:</strong> Codigo Unico que identifica la transaccion<br>
<strong>RUC:</strong> Registro Único de Contribuyente (Cliente)<br>
<strong>Cliente: </strong>Razón Social del Cliente.<strong></strong><br>
<strong>Fecha Comprobante:</strong>  La fecha de emisión de la factura en el  formato día mes año dd/MM/AAAA<br>
<strong>Fecha Hora Comprobante:</strong>  La fecha de emisión de la factura en el  formato día mes año dd/MM/AAAA H:i:s<br>
<strong>Comprobante: </strong>Número de la factura o nota de crédito tal cual está en el documento físico.<br>
<strong>Tipo comprobante:</strong>Factura  o Nota de crédito (Vigentes y Anuladas)<strong></strong><br>
<strong>Estado_comprobante:</strong> Vigente o Anulado.<br>
<strong>Gravadas 10:</strong> El  monto total gravados al 10 % de la factura.<br>
<strong>Gravadas 5:</strong> El  monto total gravados al 5% de la factura.<br>
<strong>Exentas: </strong>El  monto total de exentas de la factura.<strong></strong><br>
<strong>Monto Comprobante:</strong> La suma  total del comprobante.<br>
<strong>Condicion:</strong> Credito o Contado.<br>
<strong>Tipo de Cambio: </strong>El  tipo de cambio al cual emitida la factura.<strong></strong><br>
<strong>Moneda:</strong>  moneda en la cual fue emitida la factura (Guaraníes,  Dólares, etc.)<br>
<strong>Fecha Anulado: </strong>Para  el caso de anulaciones la fecha de Anulación (Factura o Nota de Crédito).<br>
<strong>Idcaja:</strong> Codigo Unico que identifica la caja a la que pertenece la transaccion<br>
<strong>Dia semana:</strong> Dia en que se realizo la transaccion (lunes, martes, miercoles, etc).<br>
<strong>Forma de Pago:</strong>  Formas en que se abono la transaccion.<br>
</p>
<br /><br />

<strong>Frecuencia Envio:</strong><br />
<strong>Envio WS:</strong> cada 1 Hora (Datos Actuales)<br />
<strong>Envio Mail:</strong> Diariamente a las 9 am (Datos del dia anterior)<br />
<br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
