<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="39";
$submodulo="566";
$dirsup="S";
require_once("../includes/rsusuario.php"); 

require_once("../includes/funciones_electronica.php");

// configuracion
$LIMITE_TANDA_ACTU=500;
$minutos_correr=20;
$segundos_correr=$minutos_correr*60;

// para debug ver errores
error_reporting(E_ALL & ~E_NOTICE & ~E_WARNING);
ini_set('display_errors', 1);

// automentar el timpo de ejecucion del script
set_time_limit($segundos_correr); // 10 minutos: 600  ( 10 x 60 = 600) 15 min: 900 20 min: 1200
// para evitar el error 500 por falta de memoria
//ini_set('memory_limit', '-1');
ignore_user_abort(true);

$fecha_72horas_atras = new DateTime(); 
$fecha_72horas_atras->modify('-72 hour'); 
$hace_72horas_atras=$fecha_72horas_atras->format('Y-m-d H:i:s');

$fecha_720horas_atras = new DateTime(); 
$fecha_720horas_atras->modify('-720 hour'); 
$hace_720horas_atras=$fecha_720horas_atras->format('Y-m-d H:i:s'); // 720=30 dias


// funciones para factura electronica
if($facturador_electronico == 'S'){
	
	// envio documento
	require_once('../facturaElectronica/ActualizaMedianteCDC.php');
	
	$slot_datos=slot_vigente();
	$slot_firma=trim($slot_datos['nombre_slot']);    //'80052292_test';   // nombre del slot con que se dio de alta la firma digital en el servidor
	
	if($slot_firma == ''){
		echo "No esta cargado el slot de la firma electronica.";
		exit;
	}
	
	// todos los lotes
	if($_REQUEST['masivo'] == 'S'){

		// BLOQUEADOR DE BOTON INICIO
		$idbotonbloq=6; // tabla botones_bloqueo
		$parametros_array=array(
			'apretado_por' => $idusu,
			'idbotonbloq' => $idbotonbloq, 
		);
		$res=botones_bloqueo_apretar($parametros_array);
		// si no permite muestra mensaje
		if($res['permite_apretar'] != 'S'){
			echo $res['errores'];
			exit;
		}
		// si permite trae el id del log generado
		if($res['permite_apretar'] == 'S'){
			$idbotonbloqaprieta=intval($res['idbotonbloqaprieta']);
		}
		// BLOQUEADOR DE BOTON INICIO

		
		echo "<hr />Reenviando masivamente ($LIMITE_TANDA_ACTU registros) de las ultimas 72 horas que NO TIENEN LOTE  y que el estado es Pendiente envio O Pendiente Proceso.<br />";

		
		$consulta="
		select nro_lote, idventa, iddocumentoemitido, numero_comprobante, cdc
		from documentos_electronicos_emitidos
		where
		estado_set <> 3
		and (estado_set = 1 OR estado_set = 5)
		and nro_lote is null
		and fecha_comprobante >= '$hace_72horas_atras'
		and estado <> 6
		order by fecha_comprobante asc
		limit $LIMITE_TANDA_ACTU
		";
		//echo $consulta;
		//echo "aca";exit;
		if($soporte ==1){
			echo 'CONSULTA 1 (solo visible por soporte):<br />'.$consulta.'<br />';
		}
		$rslotes=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		while(!$rslotes->EOF){


			$cdc[1] = trim($rslotes->fields['cdc']);
			$iddocumentoemitido= intval($rslotes->fields['iddocumentoemitido']);
			$parametros_array=array(
				'cdc' => $cdc[1],
				'iddocumentoemitido' => $iddocumentoemitido
			);
			$res=actualiza_estado_documento_electronico_cdc($parametros_array);
			print_r($res);
			
			echo $rslotes->fields['numero_comprobante'].'<br />';

		$rslotes->MoveNext(); }
		
		echo "<hr />Reenviando masivamente ($LIMITE_TANDA_ACTU registros) mayores a 72 hs hasta 720 horas (30 dias) atras que SI TIENEN LOTE  y que el estado es Pendiente envio O Pendiente Proceso o Enviado.<br />";
		
		$consulta="
		select nro_lote, idventa, iddocumentoemitido, numero_comprobante, cdc
		from documentos_electronicos_emitidos
		where
		estado_set <> 3
		and (estado_set = 1 OR estado_set = 5 OR estado_set = 2)
		and nro_lote is not null
		and fecha_comprobante <= '$hace_72horas_atras'
		and fecha_comprobante >= '$hace_720horas_atras'
		and estado <> 6
		order by fecha_comprobante asc
		limit $LIMITE_TANDA_ACTU
		";
		if($soporte ==1){
			echo 'CONSULTA 2 (solo visible por soporte):<br />'.$consulta.'<br />';
		}
		$rslotes=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		while(!$rslotes->EOF){


			$cdc[1] = trim($rslotes->fields['cdc']);
			$iddocumentoemitido= intval($rslotes->fields['iddocumentoemitido']);
			$parametros_array=array(
				'cdc' => $cdc[1],
				'iddocumentoemitido' => $iddocumentoemitido
			);
			$res=actualiza_estado_documento_electronico_cdc($parametros_array);
			print_r($res);
			
			echo $rslotes->fields['numero_comprobante'].'<br />';

		$rslotes->MoveNext(); }

		// BLOQUEADOR DE BOTON FINAL
		$parametros_array=array(
			'idbotonbloqaprieta' => $idbotonbloqaprieta
		);
		botones_bloqueo_finalizar($parametros_array);
		// BLOQUEADOR DE BOTON FINAL

		
	// un solo cdc	
	}else{
		
		// BLOQUEADOR DE BOTON INICIO
		$idbotonbloq=5; // tabla botones_bloqueo
		$parametros_array=array(
			'apretado_por' => $idusu,
			'idbotonbloq' => $idbotonbloq, 
		);
		$res=botones_bloqueo_apretar($parametros_array);
		// si no permite muestra mensaje
		if($res['permite_apretar'] != 'S'){
			echo $res['errores'];
			exit;
		}
		// si permite trae el id del log generado
		if($res['permite_apretar'] == 'S'){
			$idbotonbloqaprieta=intval($res['idbotonbloqaprieta']);
		}
		// BLOQUEADOR DE BOTON INICIO
		
		$cdc[1] = trim($_REQUEST['cdc']);
		$iddocumentoemitido= intval($_REQUEST['iddocumentoemitido']);
		$parametros_array=array(
			'cdc' => $cdc[1],
			'iddocumentoemitido' => $iddocumentoemitido
		);
		$res=actualiza_estado_documento_electronico_cdc($parametros_array);
		print_r($res);
		
		// BLOQUEADOR DE BOTON FINAL
		$parametros_array=array(
			'idbotonbloqaprieta' => $idbotonbloqaprieta
		);
		botones_bloqueo_finalizar($parametros_array);
		// BLOQUEADOR DE BOTON FINAL

	}

}else{
	echo "No es un facturador electronico.";
	exit;
}

?>