<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="39";
$submodulo="568";
$dirsup="S";
require_once("../includes/rsusuario.php"); 

$consulta="
select facturador_electronico,fechahora_inicio_electro from preferencias limit 1
";
$rsemp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$facturador_electronico=$rsemp->fields['facturador_electronico'];
$fechahora_inicio_electro=$rsemp->fields['fechahora_inicio_electro'];

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
$whereadd="
 and date(ventas.fecha) >= '$desde'
 and date(ventas.fecha) <= '$hasta'
";

/*$consulta="
select * ,
CASE WHEN tipo_venta = 1 then 'CONTADO' ELSE 'CREDITO' END as condicion,
(select canal from canal where canal.idcanal = ventas.idcanal) as canal
from ventas
where
idventa not in (
	select idventa 
	from documentos_electronicos_emitidos 
	where 
	estado = 1
)
and estado <> 6
and finalizo_correcto = 'S'
and date(ventas.fecha) >= '$fechahora_inicio_electro'
$whereadd
limit 1000
";*//*
SELECT 
    ventas.*, 
    CASE WHEN ventas.tipo_venta = 1 THEN 'CONTADO' ELSE 'CREDITO' END AS condicion,
    canal.canal
FROM ventas
INNER JOIN canal ON canal.idcanal = ventas.idcanal
LEFT JOIN (
    SELECT idventa 
    FROM documentos_electronicos_emitidos 
    WHERE estado = 1
) AS dee ON ventas.idventa = dee.idventa
WHERE 
    dee.idventa IS NULL
    AND ventas.estado <> 6
    AND ventas.finalizo_correcto = 'S'
    AND DATE(ventas.fecha) >= '$fechahora_inicio_electro'
    $whereadd
LIMIT 1000;


*/
$consulta="
SELECT 
    1 AS iddocumentoelectronico, 
	'FACTURA' as tipo,
	v.idventa as id,
    v.idventa, 
    0 AS idnotacredito, 
    0 AS idnotadebito, 
    0 AS idnotaremision, 
    0 AS idautofactura,
	v.factura as numero_documento,
	v.fecha as fecha_documento
FROM 
     (
	 SELECT idventa, factura, fecha
     FROM ventas v
     WHERE 
         estado <> 6 
         AND finalizo_correcto = 'S' 
		 and v.fecha >= '$fechahora_inicio_electro'
         AND v.factura IS NOT NULL 
         AND TRIM(v.factura) <> ''
		 and v.electronica_gen = 'N'
    ) v


UNION ALL

SELECT 
    2 AS iddocumentoelectronico, 
	'NOTA CREDITO' as tipo,
	nc.idnotacred AS id,
    0 AS idventa, 
    nc.idnotacred AS idnotacredito, 
    0 AS idnotadebito, 
    0 AS idnotaremision, 
    0 AS idautofactura ,
	nc.numero as numero_documento,
	nc.fecha_nota as fecha_documento
	
FROM 
     (
	 SELECT idnotacred, numero, fecha_nota
     FROM nota_credito_cabeza nc
     WHERE 
		nc.estado = 3 
		and nc.fecha_nota >= '$fechahora_inicio_electro'
		and nc.electronica_gen = 'N'
    ) nc
	
LIMIT 1000;
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

// el where debe ser igual al de arriba sin el limite
/*$consulta="
select count(*) as total
from ventas
where
idventa not in (
	select idventa 
	from documentos_electronicos_emitidos 
	where 
	estado = 1
)
and estado <> 6
and finalizo_correcto = 'S'
and date(ventas.fecha) >= '$fechahora_inicio_electro'
$whereadd
";*/
$consulta="
SELECT 
    count(*) as total
FROM ventas
LEFT JOIN (
    SELECT idventa 
    FROM documentos_electronicos_emitidos 
    WHERE estado = 1
) AS dee ON ventas.idventa = dee.idventa
WHERE 
    dee.idventa IS NULL
    AND ventas.estado <> 6
    AND ventas.finalizo_correcto = 'S'
    AND DATE(ventas.fecha) >= '$fechahora_inicio_electro'
    $whereadd
";
$rstot=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Documentos Electronicos no Generados</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>


<div class="clearfix"></div>
<br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>


<br />
</form>        
<div class="clearfix"></div>
<hr />
<a href="nogenerados_glob.php<?php echo parametros_url();?>" target="_blank"  class="btn btn-sm btn-default"><span class="fa fa-refresh"></span> Generar Masivamente el Rango de Fecha</a>			  
<hr />
<strong>Ventas con Documentos Electronicos no Generados (<?php echo formatomoneda($rstot->fields['total']); ?>)</strong>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
		
			<th align="center">Id</th>
			<th align="center">Tipo</th>
			<th align="center">Fecha</th>
			<th align="center">Numero Documento</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo antixss($rs->fields['id']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['tipo']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_documento'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_documento'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['numero_documento']); ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />					  
					  
					  
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
