<?php 
/*------------------------------------------------------------------
Script: Agregar solicitudes de crédito al sistema
UR: 29/12/2020
Para uso de analisis y comercial
-------------------------------------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 
$tipo=intval($_POST['tiporeg']);
$tipoenvio=intval($_POST['tipoenvio']);
$idrefperso=intval($_POST['idrefperso']);
$nrosoli=intval($_POST['solicitud']);

//print_r($_POST);
//exit;
if ($tipo==1){
		//Personales
		
		$nombres=antisqlinyeccion($_POST['nombres'],'text');
		$apellidos=antisqlinyeccion($_POST['apellidos'],'text');
		$idtipodocu=intval($_POST['tipodocu']);
		$documento=antisqlinyeccion($_POST['documento'],'text');
		$direccion=antisqlinyeccion($_POST['direccion'],'text');
		$celular=antisqlinyeccion($_POST['celular'],'text');
		$obs=antisqlinyeccion($_POST['obs'],'text');
		$parentezco=antisqlinyeccion($_POST['parentezco'],'int');
		
	if ($tipoenvio!=2){

	
		$buscar="update  referencias_personales set estado_referencia=6 where documento=$documento";
		$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));	

		$insertar="Insert into referencias_personales
		(idcliente,direccion,celular,nombres,apellidos,obs,tipodocu,documento,registrado_el,
		registrado_por,estado_referencia,anulado_por,anulado_el,idsolicitud,idparentezco)
		values
		(0,$direccion,$celular,$nombres,$apellidos,$obs,$idtipodocu,$documento,current_timestamp,$idusu,1,NULL,NULL,$nrosoli,$parentezco)";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));	
	
		$ok=1;
	} else {
		
		$update="update referencias_personales set direccion=$direccion,celular=$celular,nombres=$nombres,
		apellidos=$apellidos,obs=$obs,tipodocu=$idtipodocu,documento=$documento,idparentezco=$parentezco where idsolicitud=$nrosoli and idrefperso=$idrefperso";
		$conexion->Execute($update) or die(errorpg($conexion,$update));	
		$ok=1;
	}
	echo  $ok;
	
}
if ($tipo==2){
	//comerciales
	$identidad=intval($_POST['idempresalis']);
	$conta=antisqlinyeccion($_POST['persona'],'text');
	$telfo=antisqlinyeccion($_POST['numconta'],'text');
	$obs1=antisqlinyeccion($_POST['obsoper'],'text');
	$plazo1=antisqlinyeccion($_POST['plaoper'],'text');
	$montoc=floatval($_POST['montooper']);
	$tipooper=intval($_POST['tipoop']);
	//print_r($_POST);
	//Comerciales

	$insertar="
			Insert into referencias_comerciales
			(idsolicitud,	identidad,	contacto,	telefono,	obs,	plazo,	monto_cuota,	estado_referencia,	registrado_el,	registrado_por,idtipooper)
				values
			($nrosoli,$identidad,$conta,$telfo,$obs1,$plazo1,$montoc,1,current_timestamp,$idusu,$tipooper)";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));	
	
	$ok=1;
	
}
if ($tipo==3){
	//laborales
	//print_r($_POST);
	//exit;
	
	
	$antiguedad=floatval($_POST['antiguedad']);
	$tipoantiguedad=intval($_POST['tipoantiguedad']);
	$clase_referencia=intval($_POST['claseref']);
	$empresatrabaja=antisqlinyeccion($_POST['empresal'],'text');
	$telfo=antisqlinyeccion($_POST['telefono'],'text');
	$cargoemp=antisqlinyeccion($_POST['cargoempresa'],'text');
	$tipotitular=intval($_POST['tipotit']);
	$obs1=antisqlinyeccion($_POST['obsreflabo'],'text');
	
	//print_r($_POST);
	//Comerciales

	$insertar="
			Insert into referencias_laborales

			(idsolicitud,claseref,tiporeferencia,cargo,	telefono,	antiguedad,	tipoant,obs,registrado_por,registrado_el,estado_referencia)
			
				values
			($nrosoli,$clase_referencia,$tipotitular,$cargoemp,$telfo,$antiguedad,$tipoantiguedad,$obs1,$idusu,current_timestamp,1)";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));	
	
	$ok=1;
	
}
if ($tipo==4){
	//otros ingresos
	
	
	  
	$ingreso=floatval($_POST['ingreso']);
	$egreso=floatval($_POST['egreso']);
	$tpropiedad=floatval($_POST['tipopropiedad']);
	$tipovehiculo=intval($_POST['tipovehiculo']);
	$datosprop=intval($_POST['datos']);
	$obs1=antisqlinyeccion($_POST['obs'],'text');
	
	

	$insertar="
			Insert into referencias_otros

			(idsolicitud,idcliente,ingresos,egresos,idtipoprop,idtipovehiculo,datos_prop,obs,registrado_por)
			
				values
			($nrosoli,0,$ingreso,$egreso,$tpropiedad,$tipovehiculo,$datosprop,$obs1,$idusu)";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));	
	
	$ok=1;
	
}
?>