<?php 
/*------------------------------------------------------------------
Script: Generar pdf de la solicitud
UR: 22/02/22

-------------------------------------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 
require_once  '../clases/mpdf/vendor/autoload.php';

$nrosoli=intval($_REQUEST['ids']);
if ($nrosoli==0){
	echo 'error obteniendo la solicitud';
	exit;
	
}
//traemos la cabecera de la solicitud
$buscar="Select 
fechanac,obsdire,
(SELECT monto_aprobado FROM `solicitudes_cab` where idsolicitudcab = solicitudes.idsolicitudcab) as monto_aprobado,
	(SELECT fecha_solicitud FROM `solicitudes_cab` where idsolicitudcab = solicitudes.idsolicitudcab) as fecha_solicitud,
		(SELECT plazo FROM `solicitudes_cab` where idsolicitudcab = solicitudes.idsolicitudcab) as plazo,
idtiposolicitud,solicitudes.comentario,
fecha_solicitud,solicitudes.idsolicitud,solicitudes.idsolicitudcab,nombre,apellido,
documento,ruc,monto,plazo,razon_social,fechanac,direccion,
cliente.idcliente,
(select descripcion from solicitudes_estados where idestado=solicitudes.estado_solicitud) as estadosolicompleto 
,(select usuario from usuarios where idusu=solicitudes.registrado_por) as contacto
from solicitudes
inner join solicitudes_cab on solicitudes_cab.idsolicitudcab=solicitudes.idsolicitudcab
inner join cliente on cliente.idcliente=solicitudes.idcliente
where solicitudes.estado_solicitud <> 6 and idsolicitud=$nrosoli";
$rs2=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idsolicitudcab=intval($rs2->fields['idsolicitudcab']);
$montoapro=intval($rs2->fields['monto_aprobado']);
$plaxo=intval($rs2->fields['plazo']);
$direobs=trim($rs2->fields['obsdire']);
$comenala=trim($rs2->fields['comentario']);
//echo $buscar;exit;

//verificamos si hay conyugue 
$buscar="Select * from solicitudes_datos_otros where idsolicitudcab=$idsolicitudcab and tipo=1 ";
$rsvv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tenco1=$rsvv->RecordCount();
if ($tenco1>0){
	$ad1="
	<hr />
 <table width=\"95%\"  style=\"border-collapse:collapse;\" bordercolor=\"#000000\">
  <tr><td align=\"center\"><strong>Datos conyuge</strong></td></tr>
    <tr>
      
      <td width=\"250\"  align=\"left\" valign=\"top\"><strong>Nombres: </strong>".$rsvv->fields['nombres']."
	  	<br />
        <strong>Apellidos:</strong> ".$rsvv->fields['apellidos']."<br />
        <strong>Documento: </strong>".($rsvv->fields['documento'])."<br />
        <strong>Observacion : </strong>".($rsvv->fields['obs'])."<br />
          
      </td>
    
	</tr>
	</table>
";
}
//verificamos si hay garante 
$buscar="Select * from solicitudes_datos_otros where idsolicitudcab=$idsolicitudcab and tipo=2";
$rsvv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$tenco2=$rsvv->RecordCount();
if ($tenco2>0){
	$ad2="
	<hr />
 <table width=\"95%\"  style=\"border-collapse:collapse;\" bordercolor=\"#000000\">
  <tr><td align=\"center\"><strong>Datos garante</strong></td></tr>
    <tr>
      
      <td width=\"250\"  align=\"left\" valign=\"top\"><strong>Nombres: </strong>".Capitalizar(antixss($rsvv->fields['nombres']))."
	  	<br />
        <strong>Apellidos:</strong> ".Capitalizar(antixss($rsvv->fields['apellidos']))."<br />
        <strong>Documento: </strong>".($rsvv->fields['documento'])."<br />
        <strong>Observacion : </strong>".($rsvv->fields['obs'])."<br />
          
      </td>
    
	</tr>
	</table>
";
}
$adicional=$ad1.$ad2;



//Con el id de cliente buscamos valores adicional

$idcliente=intval($rs2->fields['idcliente']);
$buscar="Select idsolicitud,direccion_obs,
(select descripcion from profesion where profesion=cliente_historico.profesion and idcliente=$idcliente and idsolicitud=$nrosoli limit 1) as prof,
(select descripcion from gest_estado_civil where idestado=cliente_historico.estado_civil and idcliente=$idcliente and idsolicitud=$nrosoli limit 1) as eciv
from cliente_historico
where idsolicitud=$nrosoli and idcliente=$idcliente and estado=1 limit 1
";
$rsad=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$ecivil=trim($rsad->fields['eciv']);
$profe=trim($rsad->fields['prof']);
$direob=trim($rsad->fields['direccion_obs']);


$html='';

$html.="
<div style=\"margin-left:auto;margin-right:auto;width: 650px;text-align:center\">
	<table width=\"95%;\" border=\"1\">
		<tr>
			<td width=\"100\">
				<img src=\"gfx/empresas/emp_1.png\"   style=\"float:left; margin-right:15px;height:80px;\" />
			</td>
			<td width=\"150\">
				<strong>SOLICITUD DE CREDITO</strong><br /><br />
				<strong>Solicitud N&ordm;</strong>
				".$rs2->fields['idsolicitud']." | <strong>Tipo: Ppal</strong> ";

	//$tiposol=$rs2->fields['idtiposolicitud'];
	//if($tiposol == 1){
	//	$html.="Titular";
	//}else{
	//	$html.="Garante";
	//}

	$html.="<br />
				<strong>Fecha Solicitud:</strong> ".date("d/m/Y",strtotime($rs2->fields['fecha_solicitud']))." <br />
				<strong>Fecha y Hora Impresion:</strong> ".date("d/m/Y H:i")." hs.<br />
				<strong>Contacto / Vendedor: </strong>".Capitalizar($rs2->fields['contacto'])."
			</td>
		</tr>
	</table>
</div>
<br />
<div style=\"margin-left:auto;margin-right:auto;width: 650px;text-align:center\">
";

$html.="

<strong>Datos Personales</strong><br />
  <table width=\"95%\"  style=\"border-collapse:collapse;\" bordercolor=\"#000000\">
  
    <tr>
      
      <td width=\"250\"  align=\"left\" valign=\"top\"><strong>Nombres: </strong>".Capitalizar(antixss($rs2->fields['nombre']))."
	  	<br />
        <strong>Apellidos:</strong> ".Capitalizar(antixss($rs2->fields['apellido']))."<br />
        <strong>Fecha de Nac.: </strong>".date("d/m/Y",strtotime($rs2->fields['fechanac']))."<br />
        <strong>Direccion: </strong>".Capitalizar(antixss($rs2->fields['direccion']))."<br />   
      </td>
      <td width=\"250\" align=\"left\" valign=\"top\">
    		<strong>Nacionalidad: </strong>PARAGUAYA<br />
    		<strong>Estado Civil: $ecivil </strong><br />
    		<strong>Profesion: $profe</strong> <br />
		</td>
	</tr>
	</table>
	$adicional
</div>	
";

$html.="
<hr />
<div style=\"margin-left:auto;margin-right:auto;width: 650px;text-align:center\">
<h2>Indique su referencia de domicilio</h2><br />
</div>
<br />

<div style=\"clear:both;\"></div>
<div style=\"margin-left:auto;margin-right:auto;width: 650px;text-align:center\">
	<table width=\"95%;\" border=\"0\">
		<tr>
			<td align=\"center\"><img src=\"img/cro03.jpg\" width=\"600px;\" height=\"180px;\">
			<div class=\"infolegal\"></div><br /></td>
		</tr>
		<tr >
			<td><hr />$direobs<br />
			<hr /></td>
		
		</tr>
	 </table> 
 </div>
 <pagebreak />
";

//otros
$buscar="Select obs,ingresos,egresos
from referencias_otros where idsolicitud=$nrosoli and estado_referencia <>6";

$buscar="Select sum(ingresos) as ingre,sum(egresos) as egre ,claserefe
from referencias_otros
where idsolicitud=$nrosoli and estado_referencia=1 group by claserefe ";
	




$refpo=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$trc1=$refpo->RecordCount();

$buscar="Select fecha_aprobado,usuario  from solicitudes_aprobaciones
 inner join usuarios on usuarios.idusu=solicitudes_aprobaciones.aprobado_por
 where idsolicitudcab=$idsolicitudcab order by unregserie desc limit 1 ";
$rapro=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
//echo $buscar;exit;
$p=$rapro->fields['usuario'];
$fechaap=date("d/m/Y H:i:s",strtotime($rapro->fields['fecha_aprobado']));
if($rapro->fields['fecha_aprobado']==''){
	$fechaap="";
}
if ($trc1 > 0){
$html.="
 <br />
<div style=\"margin-left:auto;margin-right:auto;width: 650px;text-align:center\">
  <table width=\"95%;\"  border=\"1\">
	<tr>
		<td colspan=\"4\" align=\"center\" style=\"background-color:#ECF0F1; \" ><strong>Aprobado por: $p | $fechaap </strong></td>
  	</tr>
	<tr>
		 	<td align=\"center\"><strong>Monto Aprobado</strong></td>
			<td align=\"center\"><strong>".formatomoneda($montoapro,4,'N')."</strong></td>
			<td align=\"center\"><strong>Plazo</strong></td>
			<td align=\"center\"><strong>$plaxo</strong></td>
			
			
		 
		 </tr>
	
    <tr>
		<td colspan=\"4\" align=\"center\" style=\"background-color:#ECF0F1; \" ><strong>Balance </strong></td>
  	</tr>
  	";

	 $html.="
		 <tr>
		 	<td align=\"center\"><strong>Descripcion</strong></td>
			<td align=\"center\"><strong>Neto Ingresos</strong></td>
			<td align=\"center\"><strong>Neto Egresos</strong></td>
			<td align=\"center\"><strong>Disponible</strong></td>
			
			
		 
		 </tr>";
	while(!$refpo->EOF){
		if (trim($refpo->fields['claserefe']=='T')){
			$tipod='TITULAR';
		}
		if (trim($refpo->fields['claserefe']=='C')){
			$tipod='CONYUGE';
		}
		if (trim($refpo->fields['claserefe']=='3')){
			$tipod='GARANTE';
		}
		$mi=floatval($refpo->fields['ingre']);
		$ti=$ti+$mi;
		$ne=floatval($refpo->fields['egre']);
		$neg=$neg+$ne;
		$dsp=$mi-$ne;
		
		
		
		 $html.="
		 <tr>
		 <td>$tipod</td>
		 	<td align='right'>".formatomoneda($mi,4,'N')."</td>
			<td align='right'>".formatomoneda($ne,4,'N')."</td>
			<td align='right'> ".formatomoneda($dsp,4,'N')."</td>
		 </tr>
			";
	$refpo->MoveNext();}	
$html.="
  </table>
 </div>
 <hr />
  "; 
}





//R Personales

$buscar="Select nombres,apellidos,documento,obs,celular,
(select descripcion from documentos_tipos where estado<>6 and idtipodoc=referencias_personales.tipodocu) 
as clasedoc
from referencias_personales
where idsolicitud=$nrosoli and estado_referencia <>6";
$refp=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tr=$refp->RecordCount();
if ($tr > 0){
 	$html.="
<div style=\"margin-left:auto;margin-right:auto;width: 650px;text-align:center\">
	<table width=\"95%;\"  border=\"1\">
	<tr>
		<td colspan=\"4\" align=\"center\" style=\"background-color:#ECF0F1; \" ><strong>Referencias Personales </strong></td>
  	</tr>
		 <tr>
		 	<td align=\"center\"><strong>Nombres</strong></td>
			<td align=\"center\"><strong>Apellidos</strong></td>
			<td align=\"center\"><strong>Documento</strong></td>
			<td align=\"center\"><strong>Telefono</strong></td>
			
		 
		 </tr>";

 		$html.="
 		 		
  
    
  	";

	while(!$refp->EOF){
		 $html.="
		 <tr>
		 	<td>".$refp->fields['nombres']."</td>
			<td>".$refp->fields['apellidos']."</td>
			<td align='right'>".formatomoneda($refp->fields['documento'],4,'N')."</td>
			<td align='right'>".$refp->fields['celular']."</td>
			
		 
		 </tr>
			";
	$refp->MoveNext();}	
}
$html.="
  </table>
  </div>
  "; 
//Comerciales
$buscar="Select obs,plazo,monto_cuota,contacto,telefono,
(select descripcion from entidades where estado<>6 and identidad=referencias_comerciales.identidad) as entidad,
(select descripcion from solicitudes_tipos_operaciones where idtipooper=referencias_comerciales.idtipooper) as claseop
from referencias_comerciales where idsolicitud=$nrosoli and estado_referencia <>6";
$refp=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$trc=$refp->RecordCount();
//echo $buscar;exit;
if ($trc > 0){
$html.="
 <br />
<div style=\"margin-left:auto;margin-right:auto;width: 650px;text-align:center\">
  <table width=\"95%;\"  border=\"1\">
  
    <tr>
		<td colspan=\"5\" align=\"center\" style=\"background-color:#ECF0F1; \" ><strong>Referencias Comerciales </strong></td>
  	</tr>
  	";

	 $html.="
		 <tr>
		 	<td align=\"center\"><strong>Entidad</strong></td>
			<td align=\"center\" ><strong>Monto</strong></td>
			<td align=\"center\"><strong>Plazo</strong></td>
			<td align=\"center\"><strong>Tipo Operacion</strong></td>
			<td align=\"center\"><strong>Telefono</strong></td>
			
		 
		 </tr>";
	while(!$refp->EOF){
		 $html.="
		 <tr>
		 	<td>".$refp->fields['entidad']."</td>
			<td align='right'>".formatomoneda($refp->fields['monto_cuota'],4,'N')."</td>
			<td>".$refp->fields['plazo']."</td>
			<td>".$refp->fields['claseop']."</td>
			<td>".$refp->fields['telefono']."</td>
			
		 
		 </tr>
			";
	$refp->MoveNext();}	
$html.="
  </table>
 </div>
  "; 

}
//Laboral

$buscar="Select *  
from referencias_laborales
where idsolicitud=$nrosoli and estado_referencia=1 order by idreflabo desc limit 3";
$trefelabo=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));	
$tvv=$trefelabo->RecordCount();

if ($tvv >0){
	$html.="
	
 <br />
<div style=\"margin-left:auto;margin-right:auto;width: 650px;text-align:center\">
  <table width=\"95%;\"  border=\"1\">
  
    <tr>
		<td colspan=\"3\" align=\"center\" style=\"background-color:#ECF0F1; \" ><strong>Referencias Laborales </strong></td>
  	</tr>
  	";

	 $html.="
		 <tr>
		 	<td align=\"center\"><strong>Entidad</strong></td>
			<td align=\"center\"><strong>Cargo</strong></td>
			
			
			
			
		 
		 </tr>";
	while(!$trefelabo->EOF){
		 $html.="
		 <tr>
		 	<td>".$trefelabo->fields['empresa']."</td>
			<td>".($trefelabo->fields['cargo'])."</td>
		
			
			
		 
		 </tr>
			";
	$trefelabo->MoveNext();}	
$html.="
  </table>
 </div>
  "; 
	
	
}


//verificamos si hay conyugue 
$buscar="Select * from solicitudes_datos_otros where idsolicitudcab=$nrosoli and tipo=1 ";
$rsvv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tenco1=$rsvv->RecordCount();

if ($tenco1>0){
	$addcony="
	
      
      <td width=\"280\" align=\"center\" valign=\"top\"><p style=\"font-size:11px;\">_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _<br />
        Firma del Conyuge<br />
        ".antixss($rsvv->fields['nombres'])." ".Capitalizar(antixss($rsvv->fields['apellidos']))."<br />
        C.I.N&ordm;: ".($rsvv->fields['documento'])."</p></td>
   
	";
	
	
}
//verificamos si hay garante 
$buscar="Select * from solicitudes_datos_otros where idsolicitudcab=$nrosoli and tipo=2";
$rsvv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tenco2=$rsvv->RecordCount();
if ($tenco2>0){
$addgar="
	<tr>
      
      <td width=\"280\" align=\"center\" valign=\"top\"><p style=\"font-size:11px;\">_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _<br />
        Firma del Garante<br />
        ".antixss($rsvv->fields['nombres'])." ".Capitalizar(antixss($rsvv->fields['apellidos']))."<br />
        C.I.N&ordm;: ".($rsvv->fields['documento'])."</p></td>
    </tr>
	";



}

//
$html.="
<hr />
<br />
<div class=\"infolegal\"></div> ";
if ($comenala!=''){
	$html.="
&nbsp;&nbsp;&nbsp;&nbsp;<h3>Comentario Analisis:$comenala</h3> ";
}
$html.="
<br />
<h1 style=\"font-size:16px; margin:3px;\">Declaro Bajo Juramento que los datos consignados y dem&aacute;s  informaciones suministradas con relaci&oacute;n a este cr&eacute;dito, son exactos  ajust&aacute;ndose estrictamente a la realidad.</h1><br />
<div style=\"clear:both;\"></div>
	<table width=\"580\" border=\"0\">
    <tr>
      
      <td width=\"280\" align=\"center\" valign=\"top\"><p style=\"font-size:11px;\">_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _<br />
        Firma del Solicitante Titular<br />
        ".antixss($rs2->fields['nombre'])." ".antixss($rs2->fields['apellido'])."<br />
        C.I.N&ordm;: ".antixss($rs2->fields['documento'])."</p></td>
		
    </tr>
	$addcony
	$addgar
  </table>
<br />
  <div style=\"border:1px solid #000;\">
	  <table width=\"580\" border=\"0\">
		<tr>
		  <td colspan='3' width=\"300\" align=\"left\"><br /><br /><strong>La Firma fue Verificada por:</strong> _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ __ _ _  <br />(Verificador que presenci&oacute; la firma del pagar&eacute;)  </td>
		  
		</tr>
	  </table>
  </div> 
  <br />


";










//echo $html;exit;
$mpdf = new mPDF('','Legal-P', 0, 0, 0, 0, 0, 0);

// cabecera y pies automaticos
$mpdf->setAutoBottomMargin = 'stretch';
$mpdf->setAutoTopMargin = 'stretch';
$mini=date('dmYHis');
$mpdf->SetDisplayMode(90);
//$mpdf->SetFooter("$pie" . "\n\n\n" . 'Pag: {PAGENO}');
$mpdf->use_kwt = true; 
$mpdf->SetWatermarkText('');
//$mpdf->shrink_tables_to_fit = 1;
$mpdf->shrink_tables_to_fit = 1;
// Write some HTML code:
$mpdf->WriteHTML($html);
// Output a PDF file directly to the browser
//si no se usa el tributo I, no permite usar el nombre indicado y los archivos no sedescargan nunca!!
$mpdf->Output('solicitud_credito'.$mini.'.pdf','I');








?>