<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="35";
$submodulo="492";
$dirsup="S";
require_once("../includes/rsusuario.php"); 

//Comprobar apertura de caja en fecha establecida
$buscar="Select * from caja_super where estado_caja=1 and cajero=$idusu and sucursal = $idsucursal and tipocaja = 1 order by fecha desc limit 1";
$rscaja=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idcaja=intval($rscaja->fields['idcaja']);
$estadocaja=intval($rscaja->fields['estado_caja']);
$idcaja_compartida=intval($rscaja->fields['idcaja_compartida']);
$idnumeradorcab=intval($rscaja->fields['idnumeradorcab']);
if($idcaja_compartida > 0){
	$idcaja=$idcaja_compartida;
}
if ($idcaja==0){
	header("location: ../gest_administrar_caja_new.php");
	exit;
}
if ($estadocaja==3){
	header("location: ../gest_administrar_caja_new.php");
	exit;
}
if($idcaja_compartida > 0){
	$buscar="Select * from caja_super where estado_caja=1  and sucursal = $idsucursal and tipocaja = 1 and idcaja_compartida = $idcaja_compartida order by fecha desc limit 1";
	$rscaja_comp=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idnumeradorcab=intval($rscaja_comp->fields['idnumeradorcab']);
}
if ($idnumeradorcab == 0){
	//header("location: ../combustibles_numeradores.php");
	echo "La caja principal no tiene ninguna tanda de numerador asignada, fuerce el cierre en gestion > forzar cierre de caja, luego asigne a un salon tipo playa en gestion > asignar pc a sucursal y por ultimo abra la caja estando el dispositivo asignado a un salon que sea playa.";
	exit;
}


// busca si el salon es una playa
if($idsalon_usu > 0){
	$consulta="
	select idsalon, playa
	from salon 
	where 
	idsalon = $idsalon_usu
	";
	$rssalon=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$playa=trim($rssalon->fields['playa']);
	if($playa != 'S'){
		echo "- El salon asignado no es una playa. <a href='../asigna_sucursal_pc_auto.php'>[Asignar]</a>";
		exit;
	}
}else{
	echo "- Debe asignar un salon que sea una playa. <a href='../asigna_sucursal_pc_auto.php'>[Asignar]</a>";
	exit;
}


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
<script src="../js/ventas_surtidor.js?nc=202205241429"></script>
<?php 
$consulta="
select idcliente from cliente where borrable = 'N' limit 1
";
$rsclidef=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idclientedef=intval($rsclidef->fields['idcliente']);

// preferencias caja
$consulta="
SELECT 
usa_canalventa, usa_clienteprevio, avisar_quedanfac, usa_ventarapida, usa_ventarapidacred 
FROM preferencias_caja 
limit 1
";
$rsprefcaj=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$avisar_quedanfac=trim($rsprefcaj->fields['avisar_quedanfac']);
$usa_canalventa=trim($rsprefcaj->fields['usa_canalventa']);
$usa_clienteprevio=trim($rsprefcaj->fields['usa_clienteprevio']);
$usa_ventarapidacred=trim($rsprefcaj->fields['usa_ventarapidacred']);
$usa_ventarapida=trim($rsprefcaj->fields['usa_ventarapida']);

if($usa_ventarapida == 'S'){
	
		$tkvr=2; // ticket
	if($factura_obliga == 'S'){
		$tkvr=1; // factura
		$ano=date("Y");
		// busca si existe algun registro
		$buscar="
		Select idsuc, numfac as mayor 
		from lastcomprobantes 
		where 
		idsuc=$factura_suc 
		and pe=$factura_pexp 
		and idempresa=$idempresa 
		order by ano desc 
		limit 1";
		$rsfactura=$conexion->Execute($buscar) or die(errorpg( $conexion,$buscar));
		//$maxnfac=intval(($rsfactura->fields['mayor'])+1);
		// si no existe inserta
		if(intval($rsfactura->fields['idsuc']) == 0){
			$consulta="
			INSERT INTO lastcomprobantes
			(idsuc, factura, numfac, recibo, numrec, tickete, numtk, ano, pe, numcheque, secuencia_cancela, 
			numhoja, hojalevante, idempresa) 
			VALUES
			($factura_suc, 0, 0, NULL, 0, NULL, 0, $ano, $factura_pexp, NULL, 
			NULL, 0, '', $idempresa)
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
		$ultfac=intval($rsfactura->fields['mayor']);
		if($ultfac == 0){
			$maxnfac=1;	
		}else{
			$maxnfac=intval(($rsfactura->fields['mayor'])+1);	
		} 
		$parte1=intval($factura_suc);
		$parte2=intval($factura_pexp);
		if($parte1 == 0 or $parte2 == 0){
			$parte1f='001';
			$parte2f='001';
		}else{
			$parte1f=agregacero($parte1,3);
			$parte2f=agregacero($parte2,3);
		}
		
	}else{
		$parte1f="";
		$parte2f="";
		$maxnfac="";
	}
}
?>
<script>
function venta_rapida(){
	var htmlcarr = $("#carrito").html();
	var parametros = {
		"pedido"         : '',
		"idzona"         : '', // zona costo delivery
		"idadherente"    : '',
		"idservcom"      : '', // servicio comida
		"banco"          : '',
		"adicional"      : '', // numero de cheque, tarjeta, etc
		"condventa"      : 1, // credito o contado
		"mediopago"      : 1, // forma de pago
		"fac_suc"        : '<?php echo $parte1f ?>',
		"fac_pexp"       : '<?php echo $parte2f ?>',
		"fac_nro"        : '<?php echo $maxnfac ?>',
		"domicilio"      : '<?php echo intval($_COOKIE['dom_deliv']);?>', // codigo domicilio
		"llevapos"       : 'N',
		"cambiode"       : '',
		"observadelivery": '',
		"observacion"    : '',
		"mesa"           : 0,
		"canal"          : 2, // delivery, carry out, mesa, caja
		"fin"            : 3,
		"idcliente"      : '<?php echo  $idclientedef ?>',
		"monto_recibido" : 0,
		"descuento"      : 0,
		"motivo_descuento": '',
		"chapa"          : '',
		"montocheque"    : 0,
		"idvendedor"     : '',
		"iddeposito"     : '',
		"idmotorista"    : '',
		"idcanalventa"   : '',
		"fecha_venta"    : '',
		"json"           : 'S',
		"codigo_vrapida" : ''
	};
		
	$.ajax({
	data:  parametros,
	url:   '../registrar_venta.php',
	type:  'post',
		beforeSend: function () {
				$("#carrito").html("<br /><br />Registrando...<br /><br />");
		},
		success:  function (response) {
			//$("#carrito").html(response);
				
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				 //borra_carrito();
				 <?php $script="script_central_impresion.php"; ?>
				 //alert(obj.error);
				if(obj.error == ''){
						document.body.innerHTML='<meta http-equiv="refresh" content="0; url=../<?php echo $script; ?>?tk=<?php echo $tkvr; ?>&clase=1&v='+obj.idventa+'&modventa=9<?php echo $redirbus2; ?>">';
				}else{
					/*alertar_redir('NO SE REGISTRO LA VENTA',obj.error,'error','ACEPTAR','gest_ventas_resto_caja.php');*/
					alerta_modal('NO SE REGISTRO LA VENTA',obj.error);
					$("#carrito").html(htmlcarr);

				}
			}else{
				alert(response);
			}
		}
	});

}
function registrar_venta(idpedido,tipo){
	// recibe parametros
	var errores='';
	var obligar='<?php echo $obliga_adicional?>';
	var adicional='';
	var cual=0;
	var tipodocu=tipo; // ticket o factura
	var mpago=parseInt($("#mediopago").val());
	var observacion=$("#observacion").val();
	//var idpedido = $("#idpedido").val();
	var idvendedor = $("#idvendedor").val();
	var chapa = $("#chapa").val();
	var idadherente=0;
	var idservcom = 0;
	var iddeposito = $("#iddeposito").val();
	var idcanal= $("#canal").val();
	var idmotorista = $("#idmotorista").val();
	var domicilio = $("#domicilio").val();
	var pin = $("#pin").val();
	
	
	if (isNaN(mpago)){
		cual='';
	} else {
		cual=(mpago);
	}
	if (cual==''){
		cual=9;
	}
	//alert(cual);
	var totalventa= $("#totalventa_real").val();
	if (isNaN(totalventa)){
		totalventa=0;
	}
	var montorecibido = parseFloat($("#montorecibido").val());
	var efectivo=0;
	var tarjeta=0;
	var tipotarjeta=0;
	var montocheque=0;
	var numcheque='';
	var vuelto=parseInt($("#vuelto").val());//solo referencial
	if (isNaN(vuelto)){
		vuelto=0;
	}
    var idzona = $("#idzona").val();
	var pref1 = $("#fac_suc").val();
	var pref2 = $("#fac_pexp").val();
	var fact = $("#fac_nro").val();
	var mesa = $("#mesa").val();
	var cliente = 0;
	cliente=$("#idcliente").val();
	if (cliente==''){
		cliente = $("#occliedefe").val();
	}
	var idsucursal_clie=$("#idsucursal_clie").val();

	var delivery=$("#delioc").val();
	if (isNaN(delivery)){
		delivery=0;
	}
	var banco=$("#adicional2").val();
	if (isNaN(banco)){
		banco=0;
	}
	var adicional=$("#adicional1").val();
	if (isNaN(adicional)){
		adicional=0;
	}
	var llevapos=$("#llevapos").val();
	var cambiopara=$("#cambiopara").val();
	var obsdel=$("#observa").val();
	var condi=$("#condventa").val();

	var motivodesc = $("#motivo_descuento").val();
	var descuento = $("#descuento").val();
	if (isNaN(descuento)){
		var descuento = '0';
		var motivodesc ='';
	} else {
		if (parseFloat(descuento) > 0 && motivodesc==''){
			errores=errores+'Debe indicar motivo del descuento.\n';
			
		}
	}
	//Comprobar disponible de productos  total de venta
	/*if (totalventa==0){
		errores=errores+'Debe agregar al menos un producto para vender. \n';
	}*/
	if(tipo == 8){
		$("#rghbtn").hide();
	}
	if(pin == ''){
	   errores=errores+'Debe indicar el pin del vendedor.\n';
	}

	
	if (errores==''){
		
		$("#terminar").hide();
		//alert('enviar');
		if(tipo == 2){
			fact='';
		}
		
		// INICIO REGISTRAR VENTAS //
		//alert(cual);
	    var parametros = {
			"pedido"           : idpedido,
			"idzona"           : idzona, // zona costo delivery
			"idadherente"      : idadherente,
			"idservcom"        : idservcom, // servicio comida
			"banco"            : banco,
			"adicional"        : adicional, // numero de cheque, tarjeta, etc
			"condventa"        : condi, // credito o contado
			"mediopago"        : cual, // forma de pago
			"fac_suc"          : pref1,
			"fac_pexp"         : pref2,
			"fac_nro"          : fact,
			"domicilio"        : domicilio, // codigo domicilio
			"llevapos"         : llevapos,
			"cambiode"         : cambiopara,
			"observadelivery"  : obsdel,
			"observacion"      : observacion,
			"mesa"             : 0,
			"canal"            : 2,
			"fin"              : 3,
			"idcliente"        : cliente,
			"idsucursal_clie"  : idsucursal_clie,
			"monto_recibido"   : montorecibido,
			"descuento"        : descuento,
			"motivo_descuento" : motivodesc,
			"chapa"            : chapa,
			"montocheque"      : montocheque,
			"idvendedor"       : idvendedor,
			"iddeposito"       : iddeposito,
			"idmotorista"      : idmotorista,
			"json"             : 'S',
			"pin_vendedor"     : pin
			
			
        };
		
       $.ajax({
                data:  parametros,
                url:   '../registrar_venta.php',
                type:  'post',
                beforeSend: function () {
                        $("#carrito").html("<br /><br />Registrando...<br /><br />");
                },
                success:  function (response) {
					//alert(response);
					//$("#modal_cuerpo").html(response);
					//$("#carrito").html(response);
						
					if(IsJsonString(response)){
						var obj = jQuery.parseJSON(response);
						 //borra_carrito();
						 <?php $script="../script_central_impresion.php";?>
						if(obj.error == ''){
								document.body.innerHTML='<meta http-equiv="refresh" content="0; url=<?php echo $script?>?tk='+tipo+'&clase=1&v='+obj.idventa+'<?php echo $redirbus2; ?>&modventa=9">';
						}else{
							alerta_modal('No se registro la venta',nl2br(obj.error));
						}
					}else{
						alert(response);
						$("#modal_cuerpo").html(response);
					}
                }
        });
		
		// FIN REGISTRAR VENTAS //
		
		
		
		
	} else {
		$("#terminar").show();
		//document.getElementById('montorecibido').focus();
		//alertar('ATENCION: Algo salio mal.',errores,'error','Lo entiendo!');	
		alerta_modal('No se registro la venta',errores);
	}

}

</script>
  </head>

  <body class="nav-md" onLoad="$('#monto_litro').focus();">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Ventas Playa</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Monto / Litros *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="monto_litro" id="monto_litro" value="<?php  if(isset($_POST['monto_litro'])){ echo htmlentities($_POST['monto_litro']); }else{ echo htmlentities($rs->fields['monto_litro']); }?>" placeholder="Monto / Litros" class="form-control" required="required" />                    
	</div>
</div>
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo Campo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php   

// valor seleccionado
if(isset($_POST['tipocampo'])){ 
	$value_selected=htmlentities($_POST['tipocampo']); 
}else{
	$value_selected='M';
}
// opciones
$opciones=array(
	'MONTO' => 'M',
	'LITROS' => 'L'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'tipocampo',
	'id_campo' => 'tipocampo',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array); 
?>
	</div>
</div>
					  
<div class="clearfix"></div>
<br />
<?php 
$consulta="
SELECT combustible_monto
FROM combustibles_montos
where
estado = 1
and idsucursal = $idsucursal
order by orden asc, combustible_monto asc
";
$rsmont = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));					  
?>
<?php while(!$rsmont->EOF){	?> 
<a href="#" class="btn btn-sm btn-default" onClick="establece_monto(<?php echo floatval($rsmont->fields['combustible_monto']); ?>);"><span class="fa fa-usd"></span> <?php echo formatomoneda(floatval($rsmont->fields['combustible_monto']),4,'N'); ?></a>
<?php $rsmont->MoveNext(); } ?>		

<div class="clearfix"></div>
<br />
<?php 
$consulta="
SELECT * ,
(select color from combustibles_colores where idcombustible=combustibles.idcombustible) as colorfondo,
(select texto from combustibles_colores where idcombustible=combustibles.idcombustible) as colortexto
FROM combustibles
where
estado = 1
order by orden asc, combustible asc
";
$rscomb = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));					  
while(!$rscomb->EOF){
$idproducto=$rscomb->fields['idproducto'];					  
$colorfondo=trim($rscomb->fields['colorfondo']);
$colortexto=trim($rscomb->fields['colortexto']);	
$style="";
if (($colorfondo!='') && ($colortexto!='')){
	$style=" style='background:$colorfondo;color:$colortexto;'";
} 
			  
?>
	<a href="#" class="btn btn-sm btn-default" <?php echo $style; ?>  onClick="agregar_carrito_combus(<?php echo $idproducto; ?>);"><span class="fa fa-plus"></span> <?php echo $rscomb->fields['combustible']; ?></a>
<?php $rscomb->MoveNext(); } ?>		
<a href="#" class="btn btn-sm btn-default"   onClick="ventana_productos();"><span class="fa fa-search"></span> Productos</a>
					  
<hr />
<a name="carrito_combus"></a>
<div id="carrito" style="overflow-x: scroll;"><?php require_once("carrito_combus.php"); ?></div>
					  
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
