<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="19";
$submodulo="114";
require_once("includes/rsusuario.php"); 

$idsucursal_clie=intval($_GET['id']);
if($idsucursal_clie == 0){
	echo "No especifico la sucursal del cliente.";
	exit;	
}

$consulta="
select idsucursal_clie, idcliente, sucursal, idciudad
from sucursal_cliente 
where 
estado = 1 
and idsucursal_clie = $idsucursal_clie
 limit 1
";
$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcliente=$rscli->fields['idcliente'];
$idsucursal_clie=$rscli->fields['idsucursal_clie'];
$sucursal_nombre=$rscli->fields['sucursal'];
$idciudad=$rscli->fields['idciudad'];
$idciudad_suc=$rscli->fields['idciudad'];

	// contratos sin obligaciones
$consulta="
select * , contrato.estado as estado
from contrato
inner join cliente on cliente.idcliente = contrato.idcliente
where
contrato.idempresa = $idempresa
and contrato.estado = 'A'
and cliente.idcliente = $idcliente
order by contrato.fecha_inicio desc
";
$rsc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcontrato=$rsc->fields['idcontrato'];


if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$sucursal=antisqlinyeccion($_POST['sucursal'],"text");
	$estado=1;
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$idciudad=antisqlinyeccion($_POST['ciudad'],"int");




	if(trim($_POST['sucursal']) == ''){
		$valido="N";
		$errores.=" - El campo sucursal no puede estar vacio.<br />";	
	}
	
	
	$consulta="
	select * from sucursal_cliente where idcliente = $idcliente and sucursal = $sucursal
	and idsucursal_clie <> $idsucursal_clie
	 limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if($rs->fields['idsucursal_clie'] > 0){
		$valido="N";
		$errores.=" - Ya existe otra sucursal con el mismo nombre para este cliente.<br />";		
	}
	

	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		update sucursal_cliente
		set
			idcliente=$idcliente,
			sucursal=$sucursal,
			idciudad=$idciudad,
			actualizado_el='$ahora',
			actualizado_por=$idusu
		where
			idsucursal_clie = $idsucursal_clie
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: sys_obligacion_agrega_suc.php?id=$idcliente");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>

function buscar_ciudad_popup(){
	var direccionurl='busqueda_ciudad.php';	
	//alert('a');
	var parametros = {
	  "MM_insert" : "form1"
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$('#modal_ventana').modal('show');
			$("#modal_titulo").html('Buscar Ciudad');
			$("#modal_cuerpo").html('Cargando...');		
		},
		success:  function (response, textStatus, xhr) {
			$("#ciudad").val('');
			$("#modal_cuerpo").html(response);	
		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});

	
}
function buscar_ciudad(texto){
	var direccionurl='busqueda_ciudad_res.php';	
	var parametros = {
	  "busqueda" : texto
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#busqueda_ciudad_box").html('Cargando...');		
		},
		success:  function (response, textStatus, xhr) {
			$("#busqueda_ciudad_box").html(response);	
		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});

	
}
function selecciona_ciudad(idciudad,descripcion){
	$("#ciudad").val(idciudad+' - '+descripcion);
	$('#modal_ventana').modal('hide');
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Editar Sucursal del cliente</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


 <p align="center"><strong>Contrato Activo:</strong>			  </p>
             <p align="center">&nbsp;</p>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
			    <thead>
			      <tr >
			        <td align="center"><strong>Codclie</strong></td>
			        <td align="center"><strong>Nombre de Fantasia</strong></td>
			        <td align="center"><strong>Razon Social</strong></td>
			        <td align="center"><strong>RUC</strong></td>
			        <td align="center"><strong>Contacto</strong></td>
			        <td align="center"><strong>Cargo</strong></td>
		          </tr>
				  </thead>
				   <tbody>
			      <tr>
			        <td align="center"><?php echo $rsc->fields['idcliente'];?></td>
			        <td align="center"><?php echo $rsc->fields['fantasia'];?></td>
			        <td align="center"><?php echo $rsc->fields['razon_social'];?></td>
			        <td align="center"><?php echo $rsc->fields['ruc'];?></td>
			        <td align="center"><?php echo $rsc->fields['contacto'];?></td>
			        <td align="center"><?php echo $rsc->fields['cargo_contacto'];?></td>
		          </tr>
		        </tbody>
		      </table>
			</div>
<?php 		
$consulta="
select *,
(select usuario from usuarios where sucursal_cliente.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where sucursal_cliente.borrado_por = usuarios.idusu) as borrado_por,
(select ciudades.nombre from ciudades where idciudad = sucursal_cliente.idciudad) as ciudad
from sucursal_cliente 
where 
 estado = 1 
 and idcliente = $idcliente
order by idsucursal_clie asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<br /><hr /><br />
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true"></span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="sucursal" id="sucursal" value="<?php  if(isset($_POST['sucursal'])){ echo htmlentities($_POST['sucursal']); }else{ echo htmlentities($sucursal_nombre); }?>" placeholder="Sucursal" class="form-control" required="required" />                    
	</div>
</div>

<?php

$consulta="
SELECT 
ciudades.idciudad, ciudades.nombre as ciudad, 
distrito.iddistrito, distrito.distrito as distrito, 
departamentos.id as iddepartamento, departamentos.descripcion as departamento
FROM ciudades
inner join distrito on distrito.iddistrito = ciudades.iddistrito
inner join departamentos on departamentos.id = distrito.iddepartamento
WHERE
ciudades.estado = 1
and distrito.estado =1
and departamentos.estado = 1
and ciudades.idciudad = $idciudad_suc
order by ciudades.nombre ASC
";
$rsciu=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Ciudad de la Sucursal *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input id="ciudad" name="ciudad" class="form-control"  type="text" value="<?php if(intval($_POST['ciudad']) > 0){ echo antixss($_POST['ciudad']); }else{  ?><?php echo antixss($rsciu->fields['idciudad']); ?> - <?php echo antixss($rsciu->fields['ciudad']); ?> | <?php echo antixss($rsciu->fields['distrito']); ?> | <?php echo antixss($rsciu->fields['departamento']); }  ?>" onclick="buscar_ciudad_popup();" readonly required  />
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Editar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='sys_obligacion_agrega_suc.php?id=<?php echo $idcliente ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>


<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true"></span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
