<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="19";
$submodulo="114";
require_once("includes/rsusuario.php"); 

// actualizador
require_once("sys_actualizador.php");

$findemes=date("Y-m-").ultimoDiaMes(date('m'),date('Y'));

/*
pagos
SELECT YEAR(fecha_pago), MONTH(fecha_pago), sum(monto) as montototal, COUNT(idcliente) as totalcliente FROM `pagos_cab` WHERE 1 group by YEAR(fecha_pago), MONTH(fecha_pago) order by YEAR(fecha_pago) asc, MONTH(fecha_pago) asc
*/
	// clientes con contrato activo
	/*$consulta="
	SELECT	*, detalle.atraso as atraso, detalle.vencimiento, detalle.saldo_cuota
	FROM operacion 
	inner join detalle on operacion.idoperacion = detalle.idoperacion 
	inner join cliente on cliente.idcliente = operacion.idcliente
	where 
	operacion.estado = 1 
	and detalle.saldo_cuota > 0
	and vencimiento <= '$findemes'
	order by vencimiento asc
	";
	$rsact=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));*/
	
	$consulta="
	SELECT 
	YEAR(fecha_pago) as ano, 
	MONTH(fecha_pago) as mes, 
	sum(monto) as montototal, 
		(
		SELECT coalesce(sum(operacion.entrega),0) as entregas
		FROM operacion 
		inner join contrato on operacion.contrato_idcontrato = contrato.idcontrato
		where
		YEAR(pagos_cab.fecha_pago) = YEAR(contrato.fecha_inicio)
		and MONTH(pagos_cab.fecha_pago) = MONTH(contrato.fecha_inicio)
		) as entregas,
	COUNT(idcliente) as totalclientes 
	FROM pagos_cab 
	WHERE
	tipopago = 1
	group by YEAR(fecha_pago), MONTH(fecha_pago) 
	order by YEAR(fecha_pago) desc, MONTH(fecha_pago) desc
	limit 24
	";
	$rsact=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

if($_GET['a'] > 0){
	$anoactu=intval($_GET['a']);
}else{
	$anoactu=date("Y");
}
if($_GET['m'] > 0){
	$mesactu=intval($_GET['m']);
}else{
	$mesactu=date("m");
}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<link rel="stylesheet" type="text/css" href="css/magnific-popup.css" />
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	<div class="clear"></div>
		<div class="cuerpo">
			<div class="colcompleto" id="contenedor">
            <p align="center">&nbsp;</p>
            <p align="center">&nbsp;</p>
            <p align="center">&nbsp;</p>
              <p>&nbsp;</p>
              <p align="center"><strong>Facturacion:</strong> </p>
            <p align="center">&nbsp;</p>
			  <table width="400" border="1">
			    <tbody>
			      <tr bgcolor="#F8FFCC">
			        <td align="center"><strong>Mes / A&ntilde;o</strong></td>
			        <td align="center">Total Clientes</td>
			        <td align="center">Pagos</td>
			        <td align="center">Entregas</td>
			        <td align="center">Facturacion Total</td>
		          </tr>
<?php while (!$rsact->EOF){
	
	$saldoacum+=$rsact->fields['saldo_cuota'];
	?>
			      <tr>
			        <td align="left" ><a href="sys_pagos.php?a=<?php echo $rsact->fields['ano']; ?>&m=<?php echo $rsact->fields['mes']; ?>"><?php echo mesespanol($rsact->fields['mes']);?> <?php echo $rsact->fields['ano'];?></a></td>
			        <td align="center"><?php echo formatomoneda($rsact->fields['totalclientes'],0); ?></td>
			        <td align="right"><?php echo formatomoneda($rsact->fields['montototal'],0); ?></td>
			        <td align="right"><?php echo formatomoneda($rsact->fields['entregas'],0); ?></td>
			        <td align="right"><?php echo formatomoneda($rsact->fields['montototal']+$rsact->fields['entregas'],0); ?></td>
		          </tr>
<?php $rsact->MoveNext();} ?>
		        </tbody>
		      </table>
			  <p>&nbsp;</p>
			  <p align="center">&nbsp;</p>
              <br /><hr /> <br /> <br />
              <p align="center">Viendo: <?php echo mesespanol($mesactu); ?> <?php echo $anoactu; ?></p>
              <br /><br />
              <p align="center"><strong>Detalle de Pagos:</strong><br /><br />
            </p>
              <table width="900" border="1">
			    <tbody>
			      <tr bgcolor="#F8FFCC">
			        <td align="center">Fecha</td>
			        <td align="center"><strong>Cliente</strong></td>
			        <td align="center">Concepto</td>
			        <td align="center">Forma Pago</td>
			        <td align="center">Pagos</td>
		          </tr>
<?php 


	$consulta="
	SELECT  *,
	(
		select fantasia from cliente 
		where 
		cliente.idcliente = pagos_cab.idcliente
	) as cliente,
	(
		select operacion_clase.operacion_clase
		from operacion
		inner join operacion_clase on operacion_clase.idoperacion_clase = operacion.idoperacion_clase 
		where 
		operacion.idoperacion = pagos_cab.idoperacion
	) as concepto,
	(
		select descripcion 
		from formas_pago
		where 
		formas_pago.idforma = pagos_cab.formapago
	) as formapago
	FROM pagos_cab 
	WHERE
	tipopago = 1
	and YEAR(fecha_pago) = $anoactu
	and MONTH(fecha_pago) = $mesactu
	order by fecha_pago desc
	limit 200
	";
	$rsact=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

while (!$rsact->EOF){
	
	$saldoacum+=$rsact->fields['saldo_cuota'];
	?>
			      <tr>
			        <td align="center" ><?php echo date("d/m/Y",strtotime($rsact->fields['fecha_pago']));?></td>
			        <td align="center" ><?php echo $rsact->fields['cliente'];?></td>
			        <td align="center"><?php echo $rsact->fields['concepto'];?></td>
			        <td align="center"><?php echo $rsact->fields['formapago'];?></td>
			        <td align="right"><?php echo formatomoneda($rsact->fields['monto'],0); ?></td>
		          </tr>
<?php $rsact->MoveNext();} ?>
		        </tbody>
		      </table>
            <p>&nbsp;</p>
            <p align="center"><strong>Entregas:</strong></p>
            <p align="center">&nbsp;</p>
            <table width="900" border="1">
              <tbody>
                <tr bgcolor="#F8FFCC">
                  <td align="center">Fecha</td>
                  <td align="center"><strong>Cliente</strong></td>
                  <td align="center">Concepto</td>
                  <td align="center">Entrega</td>
                </tr>
                <?php 


	$consulta="
	SELECT operacion.idcliente, coalesce(sum(operacion.entrega),0) as entregas, contrato.fecha_inicio,
	(
		select fantasia 
		from cliente 
		where
		cliente.idcliente = operacion.idcliente	
	) as cliente,
	(
		select operacion_clase.operacion_clase
		from operacion_clase
		where 
		operacion_clase.idoperacion_clase = operacion.idoperacion_clase 
	) as concepto
	FROM operacion 
	inner join contrato on operacion.contrato_idcontrato = contrato.idcontrato
	where
	YEAR(contrato.fecha_inicio) = $anoactu
	and MONTH(contrato.fecha_inicio) = $mesactu
	group by operacion.idcliente
	order by contrato.fecha_inicio desc
	";
	$rsact=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

while (!$rsact->EOF){
	
	$entregasacum+=$rsact->fields['entregas'];
	?>
                <tr>
                  <td align="center" ><?php echo date("d/m/Y",strtotime($rsact->fields['fecha_inicio']));?></td>
                  <td align="center" ><?php echo $rsact->fields['cliente'];?></td>
                  <td align="center"><?php echo $rsact->fields['concepto'];?></td>
                  <td align="right"><?php echo formatomoneda($rsact->fields['entregas'],0); ?></td>
                </tr>
                <?php $rsact->MoveNext();} ?>
              </tbody>
            </table>
            <p align="center">&nbsp;</p>




          </div> <!-- contenedor -->
   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
	<?php require("includes/pie.php"); ?>
</body>
</html>