<?php 
/*-----------------------------------
11/07/2024: Se incorpora uso de tarjeta

------------------------------------*/
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");

// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="58";
require_once("includes/rsusuario.php"); 

function registrar_uso_tarjeta($idpedido,$idtarjeta,$idusuario_local){
	 global $conexion;
	 $ahora=date("Y-m-d H:i:s");
	$update="update tarjeta_delivery set idestadotarjetadel=2, idpedido_ult=$idpedido where idtarjetadelivery=$idtarjeta";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	
	$insertar="Insert into tarjeta_delivery_movimientos 
	(idtarjetadelivery,idpedido,reservado_el,reservado_por,estado)
	values
	($idtarjeta,$idpedido,'$ahora',$idusuario_local,1)";
	$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
	/*
	// actualizar masivamente
	update  `tarjeta_delivery` 
	set 
	idpedido_ult = (
		select idpedido 
		from tarjeta_delivery_movimientos 
		where 
		estado = 1 
		and tarjeta_delivery_movimientos.idtarjetadelivery = tarjeta_delivery.idtarjetadelivery 
		order by idunico desc 
		limit 1
	);
	// rendir masivamente lo que ya se facturo
	update  `tarjeta_delivery`  
	set 
	idestadotarjetadel = 1
	where 
	idpedido_ult is not null
	and idpedido_ult in (select tmp_ventares_cab.idtmpventares_cab from tmp_ventares_cab where idventa is not null and idventa > 0)
	and idestadotarjetadel > 1
	// rendir masivamente lo que se anulo
	update  `tarjeta_delivery`  
	set 
	idestadotarjetadel = 1
	where 
	idpedido_ult is not null
	and idpedido_ult in (select tmp_ventares_cab.idtmpventares_cab from tmp_ventares_cab where estado = 6)
	and idestadotarjetadel > 1;
	*/
}





//print_r($_POST);
/*print_r($_COOKIE);
print_r($_SESSION);
*/

$idpedido_edita=intval($_SESSION['idpedido_edita']);

// preferencias
$consulta="SELECT obligachapa, selmozo, tablet_sinfoto, atc_mesa, tablet_canal,usabcode
 FROM preferencias 
limit 1
";
$rspref=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$obligachapa=trim($rspref->fields['obligachapa']);
$selmozo=trim($rspref->fields['selmozo']);
$tablet_sinfoto=trim($rspref->fields['tablet_sinfoto']);
$atc_mesa=trim($rspref->fields['atc_mesa']);
$usabcode=trim($rspref->fields['usabcode']);
if(intval($_SESSION['canal']) == 0){
	$canal=intval($rspref->fields['tablet_canal']); // asigna canal
	$_SESSION['canal'] = $canal;
}

$consulta="SELECT usa_tarjetadelivery,sucursal_tablet, fecha_enpedido,
notifica_carry_interno, notifica_delivery_interno , nombre_mesa_tablet, 
formapago_tomapedidos, pin_mozo_tablet, forzar_listaprecio_delivery, forzar_listaprecio_carry,
max_cat_tomaped
FROM preferencias_caja limit 1 ";
$rsprefcaj=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$sucursal_tablet=trim($rsprefcaj->fields['sucursal_tablet']);
$notifica_carry_interno=trim($rsprefcaj->fields['notifica_carry_interno']);
$notifica_delivery_interno=trim($rsprefcaj->fields['notifica_delivery_interno']);
$nombre_mesa_tablet=trim($rsprefcaj->fields['nombre_mesa_tablet']);
$usa_tarjeta_delivery=trim($rsprefcaj->fields['usa_tarjetadelivery']);
$pin_mozo_tablet=trim($rsprefcaj->fields['pin_mozo_tablet']);
$formapago_tomapedidos=trim($rsprefcaj->fields['formapago_tomapedidos']);
$forzar_listaprecio_delivery=intval($rsprefcaj->fields['forzar_listaprecio_delivery']);
$forzar_listaprecio_carry=intval($rsprefcaj->fields['forzar_listaprecio_carry']);
$max_cat_tomaped=intval($rsprefcaj->fields['max_cat_tomaped']);


$consulta="
select * from cliente where borrable = 'N' and idempresa = $idempresa order by idcliente asc limit 1
";
$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$razon_social_pred=strtoupper(trim($rscli->fields['razon_social']));

//echo $canal;

//echo $tablet_sinfoto;

// valores por defecto
/*$tamano_w="190";
$tamano_h="170";
$tamano_f="14";
$contador_w="20";
$contador_h="20";	
$contador_f="16";
*/
/* al 50%
	$tamano_w="95";
	$tamano_h="85";	 
	$contador_w="12";
	$contador_h="12";	
	$contador_f="12";
*/
$tamano_w="170";
$tamano_h="170";
$tamano_f="14";
$contador_w="20";
$contador_h="20";	
$contador_f="16";
if($tablet_sinfoto == 'S'){
	$tamano_w=$tamano_w*0.4;
	$tamano_h=$tamano_h*0.4;
	$tamano_f=12;	
	$contador_w="12";
	$contador_h="12";	
	$contador_f="12";
}

$canal=1; // calle
if(intval($_GET['canal']) > 0){
	$_SESSION['canal'] = intval($_GET['canal']); // elije canal
}
if(intval($_SESSION['canal']) > 0){
	$canal=intval($_SESSION['canal']); // asigna canal
}
// forzar canal si es una edicion
if($idpedido_edita > 0){
	$consulta="select idcanal, iddomicilio, idventa, estado from tmp_ventares_cab where idtmpventares_cab = $idpedido_edita ";
	$rscabedt = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$_SESSION['canal'] = intval($rscabedt->fields['idcanal']); 
	$canal=intval($_SESSION['canal']); // asigna canal
	$idventa = intval($rscabedt->fields['idventa']); 
	$estado = intval($rscabedt->fields['estado']); 
	setcookie("dom_deliv", $rscabedt->fields['iddomicilio'], time() + 3600,'/');
	// si ya tiene una venta registrada
	if($idventa > 0){
		// elimina sesion de edicion
		$_SESSION['idpedido_edita'] = '';
		unset($_SESSION['idpedido_edita']);
		// elimina cookie
		setcookie("dom_deliv",'', time() + 3600,'/');
	}
	// si esta anulado el pedido
	if($estado == 6){
		// elimina sesion de edicion
		$_SESSION['idpedido_edita'] = '';
		unset($_SESSION['idpedido_edita']);
		// elimina cookie
		setcookie("dom_deliv",'', time() + 3600,'/');
	}
}



$busqueda=intval($_GET['bus']);

// rellenar favoritos si aun no se relleno  hoy
$parametros_array_fav=array(
	'idsucursal' => $idsucursal,
	'forzar' => 'N'
);
rellena_favoritos($parametros_array_fav);

// tipo de favoritos
$consulta="
SELECT tipofavorito, maxprod, maxdias
FROM tipofavorito
where 
idempresa = $idempresa
limit 1
";
$rsfav = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$canal=1;
//echo $canal;exit;

$whereadd="";
$cat=intval($_GET['cat']);
$order_by='combo desc, combinado desc, productos.descripcion asc';
$limite_prodcat="limit 1000";
if($cat > 0){
	$whereadd.=" and idcategoria = $cat";
}else{
	if(strtoupper($rsfav->fields['tipofavorito']) == 'F'){
		//$whereadd.=" and favorito = 'S'";
		$joinadd_fav.="
		inner join favoritos on favoritos.idproducto = productos.idprod_serial and favoritos.idsucursal = $idsucursal
		";
		$whereadd.="
		and productos.idprod_serial in (
		select idproducto 
		from favoritos 
		where 
		idsucursal = $idsucursal 
		)
		";	
		$order_by=' favoritos.cantidad_venta asc, productos.descripcion asc ';
	}else{
		$whereadd.="
		and productos.idprod_serial in (
		select idproducto 
		from favoritos 
		where 
		idsucursal = $idsucursal 
		and idempresa = $idempresa
		)
		 ";	
	}
}
$t=intval($_GET['t']);
if($t > 0){
	$whereadd.=" and idsubcate = $t";
}


if($forzar_listaprecio_delivery > 0){
	if(intval($_SESSION['canal']) == 3){
		$_SESSION['idlistaprecio']=$forzar_listaprecio_delivery;
	}
}
if($forzar_listaprecio_carry > 0){
	if(intval($_SESSION['canal']) == 1){
		$_SESSION['idlistaprecio']=$forzar_listaprecio_carry;
	}
}

$idlistaprecio=intval($_SESSION['idlistaprecio']);
$idcanalventa=intval($_SESSION['idcanalventa']);
$idclienteprevio=intval($_SESSION['idclienteprevio']);
$iddarkkitchen=intval($_SESSION['iddarkkitchen']);
if($idclienteprevio > 0){
	$consulta="
	select idcliente, idvendedor, idcanalventacli
	from cliente 
	where 
	idcliente = $idclienteprevio
	and estado <> 6 
	limit 1
	";
	$rscprev=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idclienteprevio=$rscprev->fields['idcliente'];
	if($idclienteprevio > 0){
		$idcliente=$idclienteprevio;
		$idvendedor=intval($rscprev->fields['idvendedor']);
		$idcanalventa=intval($rscprev->fields['idcanalventacli']);
	}	
}
if($idcanalventa > 0){
	$consulta="
	select idlistaprecio, idcanalventa, canal_venta 
	from canal_venta 
	where 
	idcanalventa = $idcanalventa 
	and estado = 1
	limit 1
	";
	$rscv=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idlistaprecio=intval($rscv->fields['idlistaprecio']);
}
if($iddarkkitchen > 0){
	$consulta="
	select iddarkkitchen, nombre_marca, idlistaprecio
	from dark_kitchen 
	where 
	iddarkkitchen = $iddarkkitchen 
	and estado = 1
	limit 1
	";
	$rsdk=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idlistaprecio=intval($rsdk->fields['idlistaprecio']);
	$whereadd_dk="
	and productos_sucursales.idproducto in (select idproducto from productos_darkkitchen where iddarkkitchen = $iddarkkitchen)
	";
}
$seladd_lp=" productos_sucursales.precio as p1 ";
if(intval($idlistaprecio) > 0){
	$joinadd_lp=" inner join productos_listaprecios on productos_listaprecios.idproducto = productos.idprod_serial ";
	$whereadd_lp="
	and productos_listaprecios.idsucursal = $idsucursal 
	and productos_listaprecios.idlistaprecio = $idlistaprecio 
	and productos_listaprecios.estado = 1
	";
	$seladd_lp=" productos_listaprecios.precio as p1";
}


// productos
/*$consulta="
select *, $seladd_lp,
	(
	select 
	sum(cantidad) as total
	from tmp_ventares 
	where 
	tmp_ventares.registrado = 'N'
	and tmp_ventares.usuario = $idusu
	and tmp_ventares.borrado='N'
	and tmp_ventares.finalizado = 'N'
	and tmp_ventares.idproducto = productos.idprod_serial
	and tmp_ventares.idsucursal = $idsucursal
	) as total
from productos 
inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial
$joinadd_lp
$joinadd_fav
where
idprod_serial is not null
and productos.borrado = 'N'

and productos_sucursales.idsucursal = $idsucursal 
and productos_sucursales.activo_suc = 1

$whereadd_lp
$whereadd_dk

$whereadd

order by $order_by
$limite_prodcat
"; */
$consulta="
select *, $seladd_lp, COALESCE(tmp.total, 0) AS total
from productos 
inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial
LEFT JOIN (
	SELECT 
		tmp_ventares.idproducto,
		SUM(tmp_ventares.cantidad) AS total
	FROM tmp_ventares 
	WHERE 
		tmp_ventares.registrado = 'N'
		AND tmp_ventares.usuario = $idusu
		AND tmp_ventares.borrado = 'N'
		AND tmp_ventares.finalizado = 'N'
		AND tmp_ventares.idsucursal = $idsucursal
	GROUP BY tmp_ventares.idproducto
) AS tmp
	ON tmp.idproducto = productos.idprod_serial
$joinadd_lp
$joinadd_fav
where
idprod_serial is not null
and productos.borrado = 'N'

and productos_sucursales.idsucursal = $idsucursal 
and productos_sucursales.activo_suc = 1

$whereadd_lp
$whereadd_dk

$whereadd

order by $order_by
$limite_prodcat
";
//echo $consulta;
$rsprod = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));




// total productos en carrito
$consulta="
select count(*) as total
from tmp_ventares 
inner join productos on tmp_ventares.idproducto = productos.idprod_serial
where 
tmp_ventares.registrado = 'N'
and tmp_ventares.usuario = $idusu
and tmp_ventares.borrado = 'N'
and tmp_ventares.finalizado = 'N'
and tmp_ventares.idsucursal = $idsucursal
and tmp_ventares.idmesa = 0
and productos.borrado = 'N'
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$totalprod=floatval($rs->fields['total']);

// monto total de productos en carrito
$consulta="
select sum(subtotal) as total_monto
from tmp_ventares 
inner join productos on tmp_ventares.idproducto = productos.idprod_serial
where 
tmp_ventares.registrado = 'N'
and tmp_ventares.usuario = $idusu
and tmp_ventares.borrado = 'N'
and tmp_ventares.finalizado = 'N'
and tmp_ventares.idempresa = $idempresa
and tmp_ventares.idsucursal = $idsucursal
and tmp_ventares.idmesa = 0
and productos.borrado = 'N'
";

$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$montototalprod=floatval($rs->fields['total_monto']);
// productos mas agregados
$montototal=round($montototalprod);
//echo $montototal;
//exit;


if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){
	
	$valido="S";
	$errores='';
	
	
	// recibe parametros
	$razon_social=trim(strtoupper($_POST['razon_social']));
	$ruc=trim(strtoupper($_POST['ruc']));
	$chapa=trim(strtoupper($_POST['chapa']));
	$observacion=trim(strtoupper($_POST['observacion']));
	$telefono=trim(strtoupper($_POST['telefono']));
	$iddomicilio=intval($_POST['iddomicilio']);
	$sucursaldir=intval($_POST['sucursaldir']);
	$idzonadel=intval($_POST['idzonadel']);
	$monto=$montototal;
	$mesa=intval($_POST['mesa']);
	$pin_mozo=intval($_POST['pin_mozo']);
	$mozo=intval($_POST['mozo']);
	$llevapos=$_POST['llevapos'];
	
	// si el canal no es delivery no aplica forma de pago
	if(intval($_SESSION['canal']) != 3){
		$formapago_tomapedidos='N';
	}
	if($llevapos == 'S'){
		$pide_cambio='N';
	}else{
		$pide_cambio='S';
	}
	
	// si usa forma reemplaza lleva POS
	if($formapago_tomapedidos == 'S'){
		$idforma_json=trim($_POST['idforma']);
		$idforma_ar=json_decode($idforma_json,true);
		$idforma=$idforma_ar['idforma'];
		$llevapos=$idforma_ar['llevapos_tomapedidos'];
		// si no lleva pos
		if($llevapos != 'S'){
			// si tampoco es efectivo
			if($idforma != 1){
				$pide_cambio='N';
			}else{
				$pide_cambio='S';
			}
		}
	}
	//print_r($idforma_ar);exit;
	



	$fecha_ped=trim($_POST['fecha_ped']);
	if($mozo == 0){
		$mozo=$idusu;	
	}
	if($selmozo != 'S'){
		$mozo=$idusu;	
	}
	if($sucursaldir == 0){
		$sucursaldir=$idsucursal;	
	}
	$idsucursal_sugiere=$sucursaldir;

	
	
	// conversiones
	$finalizado="S";
	if(intval($_SESSION['canal']) == 3){
		$delivery="S";
		$idtarjeta_delivery=intval($_POST['tarjedelselect']);
		
		if ($idtarjeta_delivery==0 && $usa_tarjeta_delivery=='S'){
			$idtarjeta_delivery=antisqlinyeccion($_POST['tarjedelselect'],'int');
			$errores.="- Debe indicar la tarjeta para delivery.<br />";
			$valido="N";
		}
		//ademas controlar que la tarjeta se encuentre disponible
		//print_r($_POST);exit;
		//echo $idtarjeta_delivery;exit;
		if($idtarjeta_delivery > 0){
			//$idtarjetadelivery=12;
			$buscar="select idestadotarjetadel, numero_tarjeta from tarjeta_delivery where idtarjetadelivery=$idtarjeta_delivery ";
			$rscontrolar=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$actual=intval($rscontrolar->fields['idestadotarjetadel']);
			$numero_tarjeta=intval($rscontrolar->fields['numero_tarjeta']);
			//echo $actual;exit;
			if ($actual!=1){
				$consulta="
				select idpedido from tarjeta_delivery_movimientos where estado = 1 and idtarjetadelivery = $idtarjeta_delivery  order by idunico desc limit 1
				";
				$rsultusado=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$idpedido_ult_tarj=intval($rsultusado->fields['idpedido']);
				// si no es una edicion
				if($idpedido_edita == 0){
					$errores.="- La tarjeta: $numero_tarjeta, ya se encuentra utilizada en el pedido: $idpedido_ult_tarj. Seleccione una tarjeta diferente para continuar<br />";
					$valido="N";
				}
			}
			
		}												   
	}else{
		$delivery="N";	
		$idtarjeta_delivery=antisqlinyeccion($_POST['idtarjetadel'],'int');															 
	}
	if(trim($mesa) == ''){
		$mesa=0;	
	}
	// si no tiene canal asignado asigna el 1
	if(intval($_SESSION['canal']) == 0){
		$_SESSION['canal']=1;
		$canal=1;
	}
	// si el canal no es valido
	if(intval($_SESSION['canal']) == 2 or intval($_SESSION['canal']) > 4){
		$_SESSION['canal']=1;
		$canal=1;
	}
	
	// busca costo delivery si corresponde
	if(intval($_SESSION['canal']) == 3){
		$zona=antisqlinyeccion($_POST['zona'],"int");
		$consulta="
		Select idzona,descripcion,costoentrega
		from gest_zonas
		where 
		estado=1 
		and gest_zonas.idzona = $zona
		and gest_zonas.idempresa = $idempresa 
		and gest_zonas.idsucursal = $idsucursal
		order by descripcion asc
		";
		//$rsdelcos=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		//$costodelivery=intval($rsdelcos->fields['costoentrega']);
		$costodelivery=0;
	}
	
	
	// validaciones
	
	
	// si obliga pin del mozo
	if(intval($_SESSION['canal']) == 4){
		if($pin_mozo_tablet == 'S'){

			if(intval($pin_mozo) <= 0){
				$errores.="- Debe indicar el pin del mozo.<br />";
				$valido="N";
			}else{
				$pin_mozo=antisqlinyeccion($pin_mozo,"int");
				$consulta="
				select ssuni, idusu
				from usuarios_mozos
				where
				estado_mozo = 1
				and codigo_acciones=$pin_mozo
				limit 1
				";
				$rsexmoz = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$ssuni=intval($rsexmoz->fields['ssuni']);
				if($ssuni == 0){
					$errores.="- El pin del mozo indicado no existe o no esta activo.<br />";
					$valido="N";
				}else{
					// asigna al mozo
					$mozo=intval($rsexmoz->fields['idusu']);
				}


			}

		}
	}

	if($totalprod == 0){
		$errores.="- Debe agregar al menos 1 producto al carrito.<br />";
		$valido="N";
	}
	
	
	// validar canal calle
	if(intval($_SESSION['canal']) == 1){  // si es calle pide chapa
		if($obligachapa == 'S'){ 
			if($chapa == ''){
				$errores.="- Debe indicar el nombre o chapa.<br />";
				$valido="N";
			}
		}
		if($fecha_enpedido == 'S'){
			if($fecha_ped == ''){
				$errores.="- Debe indicar la fecha del pedido.<br />";
				$valido="N";
			}
		}
	}
	// validar canal delivery
	if(intval($_SESSION['canal']) == 3){
		$delivery="S";
		if(intval($_POST['telefono']) == 0){
			$valido="N";
			$errores.="- Debe completar el telefono.<br />";
		}
		if(intval($_POST['zona']) == 0){
			$valido="N";
			$errores.="- Debe indicar la zona del delivery.<br />";
		}
		if(trim($_POST['direccion']) == ''){
			$valido="N";
			$errores.="- Debe completar la direccion de entrega.<br />";
		}
		if(trim($llevapos) == ''){
			$valido="N";
			$errores.="- Debe indicar si lleva el POS o no.<br />";
		}
		if(trim($llevapos) == 'N'){
			if($pide_cambio != 'N'){
				if(intval($_POST['cambio']) == 0){
					$valido="N";
					$errores.="- Si el pago es en efectivo debe indicar el cambio.<br />";
				}
			}
		}
		if(!(intval($_POST['iddomicilio']) > 0)){
			if(trim($_POST['lugar']) == ''){
				$valido="N";
				$errores.="- Debe indicar el lugar.<br />";
			}
			$telefono=antisqlinyeccion($_POST['telefono'],"int");
			// busca si existe el cliente delivery
			$consulta="
			select * 
			from cliente_delivery
			where
			idclientedel is not null
			and estado = 1
			and telefono = $telefono
			limit 1
			";
			$rsdel = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idclientedel=$rsdel->fields['idclientedel'];
			// si existe pero no envio domicilio
			if($idclientedel > 0){
				$nombre_domicilio=antisqlinyeccion($_POST['lugar'],"text");
				$consulta="
				SELECT * 
				FROM cliente_delivery_dom
				where
				idclientedel = $idclientedel
				and estado = 1
				and nombre_domicilio = $nombre_domicilio
				order by iddomicilio desc
				";
				$rsexdom = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$nombre_domicilio=htmlentities(trim($rsexdom->fields['nombre_domicilio']));
				if(intval($rsexdom->fields['iddomicilio']) > 0){
					$valido="N";
					$errores.="- Ya existe un domicilio con el nombre: $nombre_domicilio, favor seleccione otro.<br />";
				}
			}
		}
		/*if(trim($_POST['nombres']) == ''){
			$valido="N";
			$errores.="- Debe completar el nombre.<br />";
		}
		if(trim($_POST['apellidos']) == ''){
			$valido="N";
			$errores.="- Debe completar el apellido.<br />";
		}*/
		if($formapago_tomapedidos == 'S'){
			if(intval($idforma) == 0){
				$valido="N";
				$errores.="- Debe completar la forma de pago.<br />";
			}
		}
	}
	// validar campos compartidos chapa y delivery
	if(intval($_SESSION['canal']) == 1 or intval($_SESSION['canal']) == 3){
		if($razon_social == ''){
			$errores.="- Debe indicar la razon social.<br />";
			$valido="N";
		}
		if($ruc == ''){
			$errores.="- Debe indicar el ruc.<br />";
			$valido="N";
		}			
	}
	// valida canal mesa
	if(intval($_SESSION['canal']) == 4){
		if(intval($_POST['mesa']) == 0){
			$valido="N";
			$errores.="- Debe indicar el numero de mesa.<br />";
		}
	}
	// total producto delivery en carrito
	$consulta="
	select count(*) as total_deliv
	from tmp_ventares 
	inner join productos on tmp_ventares.idproducto = productos.idprod_serial
	where 
	tmp_ventares.registrado = 'N'
	and tmp_ventares.usuario = $idusu
	and tmp_ventares.borrado = 'N'
	and tmp_ventares.finalizado = 'N'
	and tmp_ventares.idsucursal = $idsucursal
	and productos.idtipoproducto = 6
	";
	$rsdel = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$total_deliv=intval($rsdel->fields['total_deliv']);
	
	// si es delivery y no tiene cargado el producto delivery
	$canal=intval($_SESSION['canal']);
	if($canal == 3){
		if($rsco->fields['permite_delivery_sinitem'] != 'S'){
			if(intval($total_deliv) <= 0){
				$errores.="- Debe agregar el producto delivery.<br />";
				$valido="N";
			}
		}
	}
	// si tiene cargado el producto delivery y el canal no es delivery
	if($canal != 3){
		if($rsco->fields['permite_delivery_sinitem'] != 'S'){
			if(intval($total_deliv) > 0){
				$errores.="- Debe tomar los datos del delivery cuando se agrega este producto.<br />";
				$valido="N";
			}
		}
	}
	
	
	// limpia variables para insertar
	$razon_social=antisqlinyeccion($razon_social,"text");
	$ruc=antisqlinyeccion($ruc,"text");
	$chapa=antisqlinyeccion($chapa,"text");
	$observacion=antisqlinyeccion($observacion,"text");
	$monto=antisqlinyeccion($monto,"int");
	$fechahora=date("Y-m-d H:i:s");
	$fechahora=antisqlinyeccion($fechahora,"text");
	$delivery=antisqlinyeccion($delivery,"text");
	$finalizado=antisqlinyeccion($finalizado,"text");
	$mesa=antisqlinyeccion($mesa,"int");
	$iddarkkitchen=antisqlinyeccion($_SESSION['iddarkkitchen'],"int");
	
	$telefono=antisqlinyeccion($_POST['telefono'],"int");
	$zona=antisqlinyeccion($_POST['zona'],"int");
	$direccion=antisqlinyeccion($_POST['direccion'],"text");
	$llevapos=antisqlinyeccion($llevapos,"text");
	$cambio=antisqlinyeccion($_POST['cambio'],"int");
	$observacion_delivery=antisqlinyeccion($_POST['observacion_delivery'],"text");
	$delivery_costo=antisqlinyeccion($costodelivery,"int");
	$iddomicilio=antisqlinyeccion($_POST['iddomicilio'],"int");
	$idclientedel=antisqlinyeccion($_POST['idclientedel'],"int");
	$nombre_domicilio=antisqlinyeccion($_POST['lugar'],"text");
	$nombres=antisqlinyeccion($_POST['nombres'],"text");
	$apellidos=antisqlinyeccion($_POST['apellidos'],"text");
	
	//echo $chapa;exit;
	
	// conversiones
	if(intval($_SESSION['canal']) != 3){
		$iddomicilio="NULL";
		$idclientedel="NULL";
	}
	if(intval($_POST['iddomicilio']) == 0){
		$iddomicilio="NULL";
		$idclientedel="NULL";
	}
	$notificado="S";
	// si es carry out
	if(intval($_SESSION['canal']) == 1){
		if($notifica_carry_interno == 'S'){
			$notificado="N";
		}
	}
	// si es delivery
	if(intval($_SESSION['canal']) == 3){
		if($notifica_delivery_interno == 'S'){
			$notificado="N";
		}
	}
	// convierte para insertar
	$notificado=antisqlinyeccion($notificado,"text");
	

	

	//print_r($_POST);exit;
	if($valido == 'S'){
		// si es canal delivery
		if(intval($_SESSION['canal']) == 3){
			// si no envio domicilio
			if(intval($_POST['iddomicilio']) == 0){
				// busca si existe en cliente delivery
				$consulta="
				select * from cliente_delivery where telefono = $telefono
				";
				$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				// si no existe
				if(intval($rsex->fields['idclientedel']) == 0){
					// si envio ruc
					if(trim($_POST['ruc']) != ''){
						// busca en clientes facturacion
						$consulta="
						select * from cliente where ruc = $ruc and estado <> 6 order by idcliente asc limit 1
						";
						$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
						$idcliente=intval($rscli->fields['idcliente']);
						// si no existe inserta
						if($idcliente == 0){
							$consulta="
							Insert into cliente 
							(idempresa,nombre,apellido,ruc,documento,direccion,celular,razon_social)
							values
							($idempresa,$nombres,$apellidos,$ruc,NULL,$direccion,$telefono,$razon_social)
							";
							$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
							// busca en clientes el que acabamos de insertar
							$consulta="
							select * from cliente where ruc = $ruc and estado <> 6 order by idcliente asc limit 1
							";
							$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
							$idcliente=intval($rscli->fields['idcliente']);
						
						}
					}
					// inserta en cliente delivery
					$consulta="
					insert into cliente_delivery
					(idcliente, nombres, apellidos, telefono, fec_ultactualizacion, creado_por, creado_el, idempresa)
					values
					($idcliente, $nombres, $apellidos,  $telefono, '$ahora', $idusu, '$ahora', $idempresa)
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				}
				// vuelve a buscar luego de insertar
				$consulta="
				select * from cliente_delivery where telefono = $telefono
				";
				$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$idclientedel=$rsex->fields['idclientedel'];
				// si existe y no envio domicilio
				if(intval($rsex->fields['idclientedel']) > 0){
					// agrega domicilio
					$consulta="
					insert into cliente_delivery_dom
					(direccion, referencia, nombre_domicilio, idclientedel, creado_el, creado_por, 
					ultactu_el, ultactu_por, idempresa, idzonadel, idsucursal_sugiere)
					values
					($direccion, '', $nombre_domicilio, $idclientedel, '$ahora', $idusu, 
					'$ahora', $idusu, $idempresa, $idzonadel, $idsucursal_sugiere)
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					
					// busca domicilio insertado
					$consulta="
					select * from cliente_delivery_dom where idclientedel = $idclientedel order by iddomicilio desc limit 1
					";
					$rsdm=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					$iddomicilio=$rsdm->fields['iddomicilio'];
				}
				
				
			}else{ // if(intval($_POST['iddomicilio']) == 0){
				$iddomicilio=intval($_POST['iddomicilio']);
				$consulta="
				update cliente_delivery_dom
				set 
				direccion = $direccion,
				idzonadel = $idzonadel,
				idsucursal_sugiere = $idsucursal_sugiere
				where
				iddomicilio = $iddomicilio
				";	
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			}
			
			
		} // if(intval($_SESSION['canal']) == 3){
			
		$idatc=0;
		$idmesa_atc=0;
		if($atc_mesa == 'S'){
			if($mesa > 0){
				require_once("../includes/funciones_mesas.php");
				
				$consulta="
				select * from mesas_atc where estado = 1 and idmesa = $mesa order by idatc desc limit 1
				";
				$rsatc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$idatc=intval($rsatc->fields['idatc']);
				// si no hay atc de mesas activas
				if($idatc == 0){
					
					// datos para abrir atc
					$parametros_array=array(
						'idmesa' => $mesa,
						'idusu' => $idusu,
						'cantidad_adultos' => 0,
						'cantidad_ninhos' => 0,
						'cantidad_nopagan' => 0,
						'idmozo' => $idusu,
					);
					if($nombre_mesa_tablet == 'S'){
						$parametros_array['nombre_mesa'] = trim($_POST['chapa']);
					}
					
					// abrir atc si no existe
					$res=abrir_mesa($parametros_array);
					$idatc=$res['idatc'];
					if($res['valido'] != 'S'){
						$valido="N";
						$errores.=nl2br($res['errores']);
					}	
					$idmesa_atc=$mesa;
				}else{
					$idatc=intval($rsatc->fields['idatc']);
					$idmesa_atc=$mesa;	
					if($nombre_mesa_tablet == 'S'){
						// actualiza el nombre de la mesa
						if(trim($_POST['chapa']) != '' && intval($idatc) > 0){
							$consulta=" update mesas_atc set nombre_mesa = $chapa where idatc = $idatc ";
							$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
						}
					}
					
					
				}
			}else{
				// si el canal no es mesa
				$idmesa_atc=0;	
			}
			
			
		}
		// carry out
		if($canal == 1){ 
			// si envio ruc
			if(trim($_POST['ruc']) != ''){
				// busca en clientes facturacion
				$consulta="
				select * from cliente where ruc = $ruc and estado <> 6 order by idcliente asc limit 1
				";
				$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$idcliente=intval($rscli->fields['idcliente']);
				// si no existe inserta
				if($idcliente == 0){
					$consulta="
					Insert into cliente 
					(idempresa,nombre,apellido,ruc,documento,direccion,celular,razon_social)
					values
					($idempresa,$nombres,$apellidos,$ruc,NULL,$direccion,$telefono,$razon_social)
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					// busca en clientes el que acabamos de insertar
					$consulta="
					select * from cliente where ruc = $ruc and estado <> 6 order by idcliente asc limit 1
					";
					$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					$idcliente=intval($rscli->fields['idcliente']);
				
				}
			}
		}
		
		if($fecha_enpedido == 'S'){
			$fechahora=antisqlinyeccion($fecha_ped,"text");	
		}else{
			$fechahora=antisqlinyeccion($ahora,"text");	
		}
		// si el canal es mesa y no se prmite poner nombre desde la tablet
		if($nombre_mesa_tablet == 'N' && $canal == 4){
			$chapa="NULL";
		}
		
		
		// si no es una edicion
		if(intval($idpedido_edita) == 0){
			// insertar cabecera temporal
			$consulta="
			INSERT INTO tmp_ventares_cab
			(razon_social, ruc, chapa, observacion, monto, idusu, fechahora, idsucursal, idempresa,idcanal,delivery,idmesa,
			telefono,delivery_zona,direccion,llevapos,cambio,observacion_delivery,delivery_costo,iddomicilio,idclientedel,nombre_deliv,apellido_deliv,idatc,notificado,
			idterminal,iddarkkitchen,idtarjetadelivery) 
			VALUES 
			($razon_social, $ruc, $chapa, $observacion, $monto, $mozo, $fechahora, $sucursaldir, $idempresa,$canal,$delivery,$mesa,
			$telefono,$zona,$direccion,$llevapos,$cambio,$observacion_delivery,$delivery_costo,$iddomicilio,$idclientedel,$nombres,$apellidos,$idatc,$notificado,
			$idterminal_usu,$iddarkkitchen,$idtarjeta_delivery)
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			// buscar ultimo id insertado
			$consulta="
			select idtmpventares_cab
			from tmp_ventares_cab
			where
			idusu = $mozo
			and idsucursal = $sucursaldir
			order by idtmpventares_cab desc
			limit 1
			";
			$rscab = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idtmpventares_cab=$rscab->fields['idtmpventares_cab'];
			//Reservamos l tarjeta ya ingresada
			if($usa_tarjeta_delivery=='S' && ($_SESSION['canal']==3)){
				registrar_uso_tarjeta($idtmpventares_cab,$idtarjeta_delivery,$idusu);
			}				

			
		}else{
			// busca el nuevo pedido
			$consulta="
			select idtmpventares_cab
			from tmp_ventares_cab
			where
			idpedido_ant = $idpedido_edita
			order by idtmpventares_cab desc
			limit 1
			";
			$rscab = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idtmpventares_cab=intval($rscab->fields['idtmpventares_cab']);
		}
		
		// si usa forma de pago 
		if($formapago_tomapedidos == 'S'){
			$consulta="
			INSERT INTO `tmp_ventares_cab_fpag`
			(`idtmpventares_cab`, `idformapago`, `monto_forma`, `estado`, `idbancardvpos`, `idconfirmapago_qr`, `pago_confirmado`) 
			VALUES 
			($idtmpventares_cab,$idforma,$monto,1,NULL,NULL,'N')
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
		
		// asigna idmesa y idtmpventares_cab (la variable idmesa vendra 0 si no tiene y se asignara 0) usa la sucursal vieja aun xq luego se cambia
		$consulta="
		update tmp_ventares
		set 
		idmesa = $idmesa_atc,
		idtmpventares_cab = $idtmpventares_cab
		where
		usuario = $idusu
		and registrado = 'N'
		and borrado = 'N'
		and finalizado = 'N'
		and idsucursal = $idsucursal
		and (idmesa is null or idmesa = 0)
		;
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// marcar como finalizado en detalle y asigna a la nueeva sucursal si aplica
		$consulta="
		update tmp_ventares
		set 
		finalizado = $finalizado,
		usuario = $mozo,
		idsucursal=$sucursaldir
		where
		idtmpventares_cab = $idtmpventares_cab
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// actualiza monto cabecera
		$consulta="
		update tmp_ventares_cab
		set 
		monto = (
			COALESCE
			(
				(
					select sum(subtotal) as total_monto
					from tmp_ventares
					where
					tmp_ventares.idsucursal = tmp_ventares_cab.idsucursal
					and tmp_ventares.borrado = 'N'
					and tmp_ventares.borrado_mozo = 'N'
					and tmp_ventares.idtmpventares_cab = tmp_ventares_cab.idtmpventares_cab
				)
			,0)
			
		)
		where
		idtmpventares_cab = $idtmpventares_cab
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		

		$idwebpedido="NULL";
		if(intval($_SESSION['idwebpedido']) > 0){
			$idwebpedido=intval($_SESSION['idwebpedido']);
			$consulta="
			update web_pedidos
			set 
			aceptado = 'S',
			aceptado_por = $idusu,
			aceptado_el = '$ahora'
			where
			idwebpedido = $idwebpedido
			and estado = 1
			and aceptado = 'N'
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			// borra sesion
			if(isset($_SESSION['idwebpedido'])){
				$_SESSION['idwebpedido'] = NULL;
				unset($_SESSION['idwebpedido']);
			}
			
		}
		

		
		if(intval($idpedido_edita) > 0){
			// anula el pedido viejo
			$consulta="
			update tmp_ventares_cab
			set 
			estado = 6,
			anulado_por = $idusu,
			anulado_el = '$ahora'
			where
			idtmpventares_cab = $idpedido_edita
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			// actualizar tarjeta
			$consulta="
			update tarjeta_delivery
			set 
			idpedido_ult = $idtmpventares_cab
			where
			idpedido_ult = $idpedido_edita
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			// actualizar tarjeta_delivery_movimientos
			$consulta="
			update tarjeta_delivery_movimientos
			set 
			idpedido = $idtmpventares_cab
			where
			idpedido = $idpedido_edita
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			// elimina sesion de edicion
			$_SESSION['idpedido_edita'] = '';
			unset($_SESSION['idpedido_edita']);
			// elimina cookie
			setcookie("dom_deliv",'', time() + 3600,'/');
		
		}
		
		if(intval($_SESSION['iddarkkitchen']) > 0){
			// elimina sesion 
			$_SESSION['iddarkkitchen'] = '';
			unset($_SESSION['iddarkkitchen']);
		
		}
		
		if(intval($idatc) > 0){
			// busca si hay interaccion registrada para el mozo en el atc actual
			$consulta="
			select idunicoserial from mesas_atc_mozos where idatc = $idatc and idmozo = $idusu limit 1
			";
			$rsinter=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idinteraccion=intval($rsinter->fields['idunicoserial']);
			// si no hay inserta
			if($idinteraccion == 0){
				$consulta="
				INSERT INTO `mesas_atc_mozos`
				(`idmozo`, `idatc`, `registrado_el`, `registrado_por`, `estado`, `abre_mesa`) 
				VALUES 
				($idusu,$idatc,'$ahora',$idusu,1,'N')
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			}
		} // if(intval($idatc) > 0){
		
		// registrar la zona de delivery
		$consulta="
		update tmp_ventares_cab
		set
		idzonadel_costo_dom = (select idzonadel from cliente_delivery_dom where cliente_delivery_dom.iddomicilio = tmp_ventares_cab.iddomicilio)
		where
		idtmpventares_cab = $idtmpventares_cab
		and tmp_ventares_cab.iddomicilio is not null
		and tmp_ventares_cab.idzonadel_costo_dom is null
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
		
		// marcar como finalizado en cabecera
		$consulta="
		update tmp_ventares_cab
		set 
		finalizado = $finalizado,
		idwebpedido = $idwebpedido
		where
		idtmpventares_cab = $idtmpventares_cab
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		//Log de toma de pedidos por tablet
		registrar_tiempos_pedidos($idtmpventares_cab,1);
		// redireccionar a pagina de registro
		header("location: carrito_registra.php?id=".$idtmpventares_cab);
		exit;
	}
}



?><!doctype html>
<html>
<head>
<title>Toma de Pedidos</title>
<?php 
$bootstrap='N';
require_once("includes/head.php"); ?>
<style>
.lista_prod{
	font-size:14px;
}
.producto{
	width:<?php echo $tamano_w; ?>px; 
	height:<?php echo $tamano_h; ?>px; 
	border:1px solid #000000; 
	float:left; 
	text-align:center;	
	background-color:#FFF;
	font-size:<?php echo $tamano_f; ?>px;
}
.producto:active{
	/*background-color:#FF0000;*/
}

.contador{
	width:<?php echo $contador_w; ?>px;
	height:<?php echo $contador_h; ?>px;	
	position:absolute;
	font-size:<?php echo $contador_f; ?>px;
	font-weight:bold;
	border:1px solid #000000;
	background-color:#CCC;
	border-top:0px;
	border-left:0px;
}
.scroll-container {
  width: 98%;
  overflow-x: auto;
}

.scroll-container::-webkit-scrollbar {
  height: 6px; /* Ajusta el grosor de la barra de desplazamiento horizontal */
}

.scroll-container::-webkit-scrollbar-thumb {
  background-color: #888; /* Color del "thumb" (barra) */
  border-radius: 4px; /* Bordes redondeados para un look más moderno */
}

.scroll-container::-webkit-scrollbar-thumb:hover {
  background-color: #555; /* Color al pasar el mouse sobre la barra */
}

.scroll-container::-webkit-scrollbar-track {
  background: #f1f1f1; /* Color de fondo del track (carril) */
  border-radius: 4px;
}

</style>

<script>
function asignar_tarjeta(id){
	const $select = $('#tarjedelselect');
	const valorIngresado = id;
	const $cambiar = $('#tarjetas_'+id);
	const $cambiar_select = $('#lin_'+id);
	//Cambia el color de fondo a rojo
    $cambiar.css('background-color', 'red');
	$('[id^="tarjetas_"]').not($cambiar).css('background-color', 'green');
	const $opcionSeleccionada = $select.find(`option[value="${valorIngresado}"]`);

    // Si se encuentra la opción, selecciónala y cambia su estilo
	if ($opcionSeleccionada.length) {
		$select.val(valorIngresado);
		$("#lin_"+id).css('color', 'red'); // Cambia el color de fuente del select
		$('[id^="lin_"]').not($cambiar_select).css('color', 'black');
	} else {
		$select.val(''); // Si no se encuentra, deselecciona todas las opciones
		$select.css('color', ''); // Restaura el color de fuente original
     }
	
	
	
}					   

function borra_pedidoweb(){
	document.location.href='borrapedweb.php';
}
function mantiene_carrito(){
	// campos
	var v_chapa = $("#chapa").val();
	var v_ruc = $("#ruc").val();
	var v_razon_social = $("#razon_social").val();
	var v_delivery = $("#delivery").val();
	var v_telefono = $("#telefono").val();
	var v_direccion = $("#direccion").val();	
	var v_cambio = $("#cambio").val();
	var v_llevapos = $("#llevapos").val();	
	var v_zona = $("#zona").val();	
	var v_observacion_delivery = $("#observacion_delivery").val();	
	var v_mesa = $("#mesa").val();
	var v_observacion = $("#observacion").val();
	var v_mozo = $("#mozo").val();
	var v_nombres = $("#nombres").val();
	var v_apellidos = $("#apellidos").val();
	var v_idclientedel = $("#idclientedel").val();
	var v_iddomicilio = $("#iddomicilio").val();
	var v_lugar = $("#lugar").val();
	var v_sucursaldir = $("#sucursaldir").val();
	var v_idzonadel = $("#idzonadel").val();
<?php if($fecha_enpedido == 'S'){ ?>
	var v_fecha_ped = $("#fecha_ped").val(); 
<?php } ?>
	var v_idforma = $("#idforma").val(); 
	// crear cookie con datos
	if($("#chapa").length > 0){
		setCookie('chapa_cookie',v_chapa,2);
	}
	if($("#ruc").length > 0){
		setCookie('ruc_cookie',v_ruc,2);
	}
	if($("#razon_social").length > 0){
		setCookie('razon_social_cookie',v_razon_social,2);
	}
	if($("#delivery").length > 0){
		setCookie('delivery_cookie',v_delivery,2);
	}
	if($("#telefono").length > 0){
		setCookie('telefono_cookie',v_telefono,2);
	}
	if($("#direccion").length > 0){
		setCookie('direccion_cookie',v_direccion,2);
	}
	if($("#cambio").length > 0){
		setCookie('cambio_cookie',v_cambio,2);
	}
	if($("#llevapos").length > 0){
		setCookie('llevapos_cookie',v_llevapos,2);
	}
	if($("#zona").length > 0){
		setCookie('zona_cookie',v_zona,2);
	}
	if($("#observacion_delivery").length > 0){
		setCookie('observacion_delivery_cookie',v_observacion_delivery,2);
	}
	if($("#mesa").length > 0){
		setCookie('mesa_cookie',v_mesa,2);
	}
	if($("#observacion").length > 0){
		setCookie('observacion_cookie',v_observacion,2);
	}
	if($("#mozo").length > 0){
		setCookie('mozo_cookie',v_mozo,2);
	}
	if($("#nombres").length > 0){
		setCookie('nombres_cookie',v_nombres,2);
	}
	if($("#apellidos").length > 0){
		setCookie('apellidos_cookie',v_apellidos,2);
	}
	if($("#idclientedel").length > 0){
		setCookie('idclientedel_cookie',v_idclientedel,2);
	}
	if($("#iddomicilio").length > 0){
		setCookie('iddomicilio_cookie',v_iddomicilio,2);
	}
	if($("#sucursaldir").length > 0){
		setCookie('sucursaldir_cookie',v_sucursaldir,2);
	}
	if($("#idzonadel").length > 0){
		setCookie('idzonadel_cookie',v_idzonadel,2);
	}
	if($("#lugar").length > 0){
		setCookie('lugar_cookie',v_lugar,2);
	}
<?php if($fecha_enpedido == 'S'){ ?>
	if($("#fecha_ped").length > 0){
		setCookie('fecha_ped',v_fecha_ped,2);
	}
<?php } ?>
	
	
	// ruc y razon social por defecto si es vacio
	if(v_ruc == ''){
		$("#ruc").val('<?php echo $ruc_pred; ?>');
	}
	if(v_razon_social == ''){
		$("#razon_social").val('<?php echo $razon_social_pred; ?>');
	}
	if(v_lugar == ''){
		$("#lugar").val('CASA');
	}
	if(v_llevapos == 'S'){
		$("#cambio").val('');
		setCookie('cambio_cookie','',2);
		$("#cambio_box").hide();
	}else{
		$("#cambio_box").show();
			
	}
<?php if($formapago_tomapedidos == 'S'){ ?>
	if($("#idforma").length > 0){
		setCookie('idforma_cookie',v_idforma,2);
	}
<?php } ?>
	
	

		
}
function asigna_mesa(idmesa){
	$("#mesa").val(idmesa);
	mantiene_carrito();
}
</script>
<link href="../vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
</head>

<body>
<?php require_once("includes/cabeza.php"); ?>
<div class="cuerpo">

<div class="productos">
<?php 
$consulta="
SELECT * 
FROM categorias
where
estado = 1
and muestra_venta = 'S'
and categorias.id_categoria in (
	select productos.idcategoria 
	from productos 
	inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial 
	where 
	productos_sucursales.idsucursal = $idsucursal
	and productos_sucursales.activo_suc = 1
	and productos.borrado = 'N'
	$whereadd_dk
	group by productos.idcategoria
)
order by orden asc, nombre asc
";
//echo $consulta;
$rscateg=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$totalcat=$rscateg->RecordCount();
if($totalcat <= $max_cat_tomaped){
?>
<div class="scroll-container">
<table width="98%" border="1" class="categoria" bgcolor="#FFFFFF">
  <tbody>
   <tr>
	  <td align="center" <?php if(intval($_GET['bus']) == 1){ ?>bgcolor="#F8FFCC"<?php } ?>  onClick="document.location.href='?bus=1'"><img src="../img/buscar1.png" width="50"  title="B&uacute;squeda"/></td>
	  <td align="center" <?php if(($cat == 0) && (intval($_GET['bus']) == 0)){ ?>bgcolor="#F8FFCC"<?php } ?> onClick="document.location.href='?cat=0'"><img src="gfx/iconos/estrella.fw.png" width="50"  alt="Favorito"/></td>
<?php while (!$rscateg->EOF){
		 
		 $img="gfx/iconos/cat_".$rscateg->fields['id_categoria'].".png";	 
		if(!file_exists($img)){
			$cat_btn='<a href="javascript:void(0);" onClick="categoria_sel('.$rscateg->fields['id_categoria'].');" class="btn btn-xs btn-default"><span class="fa fa-filter"></span> '.substr(trim(antixss($rscateg->fields['nombre'])),0,10).'</a>';
		}else{
			$cat_btn='<img src="'.$img.'" width="50" />';
		}
		
	
	 ?>
      <td align="center" <?php if($cat == $rscateg->fields['id_categoria']){ ?>bgcolor="#F8FFCC"<?php } ?>  onClick="document.location.href='?cat=<?php echo $rscateg->fields['id_categoria']; ?>'"><?php echo $cat_btn; ?></td>
<?php $rscateg->MoveNext(); }?>
    </tr>
  </tbody>
</table>
</div>
<br />
<?php if ($usabcode=='S'){ ?>
<div style="width:100%; margin:0px auto;float:left;">
		<img src="../img/bc.jpg" width="50px;"   style="float:left;" />
		<input type="text" name="bccode" id="bccode" placeholder="Codigo Barras" style="height:40px; width:40%; float:left;" onkeyup="barcode_add(event);"  />
		<input type="text" name="cantcode" id="cantcode" placeholder="Cantidad" style="height:40px; width:9%; float:left;margin-left:1%;" onkeyup="barcode_add(event);"   />
</div>
<?php } ?>
<?php }else{ ?>
<?php if ($usabcode=='S'){ ?>
<div style="width:100%; margin:0px auto;float:left;">
	<div style="width:100%; float:left;margin-left:2%;border:1px solid color #000000;">
		<img src="../img/bc.jpg" width="50px;"   style="float:left;" />
		<input type="text" name="bccode" id="bccode" placeholder="Bcode" style="height:40px; width:40%; float:left;" onkeyup="barcode_add(event);"  />
		<input type="text" name="cantcode" id="cantcode" placeholder="Cantidad" style="height:40px; width:9%; float:left;margin-left:1%;" onkeyup="barcode_add(event);"   />
	</div>
	<div  class="clearfix"></div>
	<div style="width:100%; float:left;margin-left:2%;border:1px solid color #000000;">
		<?php if ($busqueda!=1){?>
		<img src="../img/buscar1.png" width="50px;"  title="B&uacute;squeda" onClick="document.location.href='?bus=1'" style="float:left;" />
		<?php } ?>
		<select onChange="document.location.href='?cat='+this.value+'';" style="width:80%; height:40px; font-size:16px;float:left;margin-left:2%;">
		  <option value="0">Favoritos</option>
		<?php while (!$rscateg->EOF){ ?>
		  <option value="<?php echo $rscateg->fields['id_categoria']; ?>" <?php if($cat == $rscateg->fields['id_categoria']){ ?>selected="selected"<?php } ?>><?php echo capitalizar($rscateg->fields['nombre']); ?></option>
		<?php $rscateg->MoveNext(); }?>
		</select>
	</div>
</div>
<?php } else { ?>	
<div style="width:98%; margin:0px auto;">
<img src="../img/buscar1.png" width="50"  title="B&uacute;squeda" onClick="document.location.href='?bus=1'" style="float:left;" /><select onChange="document.location.href='?cat='+this.value+'';" style="width:90%; height:60px; font-size:16px;">
  <option value="0">Favoritos</option>
<?php while (!$rscateg->EOF){ ?>
  <option value="<?php echo $rscateg->fields['id_categoria']; ?>" <?php if($cat == $rscateg->fields['id_categoria']){ ?>selected="selected"<?php } ?>><?php echo capitalizar($rscateg->fields['nombre']); ?></option>
<?php $rscateg->MoveNext(); }?>
</select>
</div>
<?php } ?>
<?php } ?>
<div  class="clearfix"></div>
<br />
<div class="lista_prod" id="lista_prod"><?php 
if ($busqueda==0){
?><?php if(intval($cat) > 0 && intval($t) == 0){
$consulta="
SELECT * 
FROM sub_categorias
where
idcategoria = $cat
and estado = 1
and muestrafiltro = 'S'
and sub_categorias.idsubcate in (
	select productos.idsubcate 
	from productos 
	inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial 
	where 
	productos_sucursales.idsucursal = $idsucursal
	and productos_sucursales.activo_suc = 1
	and productos.borrado = 'N'
	$whereadd_dk
	group by productos.idsubcate
)
order by descripcion asc
";
$rssub=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
while (!$rssub->EOF){
?>
<div id="" class="producto" onClick="filtrar_subcat('<?php echo $cat; ?>','<?php echo $rssub->fields['idsubcate']; ?>');">
   <?php if($tablet_sinfoto == 'N'){?><img src="gfx/images/filter.png" height="95" width="190" border="0" alt="Filtrar" title="Filtrar" /><?php } ?><br />
   <strong><?php echo $rssub->fields['descripcion']; ?><br />[Filtrar]
    </strong><br />
</div>
<?php
$rssub->MoveNext(); }
 } 
 ?><?php 
$col=intval(ceil($totalprod/$totalcol));
$x=1;

	  while (!$rsprod->EOF){
$img="../gfx/productos/prod_".$rsprod->fields['idprod_serial'].".jpg";	 
if(!file_exists($img)){
	$img="../gfx/productos/prod_0.jpg";	 
}

?><div id="prod_<?php echo $rsprod->fields['idprod_serial']; ?>" class="producto" <?php 
// si es producto
/*if(trim($rsprod->fields['combinado']) == 'N' && trim($rsprod->fields['combo']) == 'N'){ 
	echo "onClick=\"apretar('".$rsprod->fields['idprod_serial']."',0,0);\" ";
}else if(trim($rsprod->fields['combo']) == 'S'){ 
	echo "onClick=\"apretar_combo('".$rsprod->fields['idprod_serial']."');\" ";
}else{
	echo "onClick=\"apretar_pizza('".$rsprod->fields['idprod_serial']."');\" ";
}*/
if($rsprod->fields['idtipoproducto'] == 1){ // producto
	$onclickp="onClick=\"apretar('".$rsprod->fields['idprod_serial']."',0,0);\" ";
}else if($rsprod->fields['idtipoproducto'] == 2){  // combo
	$onclickp="onClick=\"apretar_combo('".$rsprod->fields['idprod_serial']."');\" ";
}else if($rsprod->fields['idtipoproducto'] == 3){  // combinado simple
	$onclickp="onClick=\"apretar_pizza('".$rsprod->fields['idprod_serial']."');\" ";
}else if($rsprod->fields['idtipoproducto'] == 4){  // combinado extendido
	$onclickp="onClick=\"apretar_combinado('".$rsprod->fields['idprod_serial']."');\" ";
}else{ // por defecto producto
	$onclickp="onClick=\"apretar('".$rsprod->fields['idprod_serial']."',0,0);\" ";
}
echo $onclickp;

?>><div class="contador" id="contador_<?php echo $rsprod->fields['idprod_serial']; ?>" ><?php echo intval($rsprod->fields['total']); ?></div>
    <?php if(trim($rsprod->fields['descripcion']) != ''){  if($tablet_sinfoto == 'N'){?><img src="<?php echo $img ?>" height="95" width="<?php echo $tamano_w-4; ?>" border="0" alt="<?php echo Capitalizar(trim($rsprod->fields['descripcion'])); ?>" title="<?php echo Capitalizar(trim($rsprod->fields['descripcion'])); ?>"  /><?php } ?><br /><?php echo Capitalizar(trim($rsprod->fields['descripcion'])); ?><br />Gs. <?php if(trim($rsprod->fields['combinado']) == 'N'){ ?><?php echo formatomoneda(trim($rsprod->fields['p1'])); ?><?php }else{?>Precio Variable<?php } ?><input type="hidden" value="<?php echo $rsprod->fields['p1']; ?>" name="precio_<?php echo $rsprod->fields['idprod_serial']; ?>" id="precio_<?php echo $rsprod->fields['idprod_serial']; ?>">
    <br /><?php } ?>
</div>
    <?php $x++;
	 $rsprod->MoveNext(); }?>
<?php /*}*/ 
} else {?>

    <div align="center">
		
		<input type="text" name="filtrar" id="filtrar" placeholder="Escriba producto a buscar" style="height:40px; width:60%; " onKeyUp="filtra(this.value);" />
		<a href="index.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Regresar</a>
    </div>
    <br />
    <div id="minicentro" class="">
        
        
        
    </div>
<?php }?>
</div>
<div class="clear"></div>
<br /><hr /><br />
</div>

<div class="carrito" id="carrito">
<?php require_once("carrito_grilla.php"); ?>
</div>
<div class="clear"></div>
<div style="text-align:center; margin-top:10px;">
<?php if(intval($_SESSION['canal']) == 1 or intval($_SESSION['canal']) == 0){ ?>
<input type="button" onClick="enfocar('chapa');" value="Mostrar Teclado" style="height:50px; width:400px;">
<?php } ?><br /><br />
<input type="button" onClick="document.location.href='#top'" value="Arriba" style="height:50px; width:100px;">
<!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
            </button>
            <h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            ...
            </div>
            <div class="modal-footer" id="modal_pie">
            <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
<br /><br /><br />
</div>
<div class="clear"></div>
</div>
<a href="#" id="toTop" style="display:none;"><span id="toTopHover" style="opacity: 0;"></span>To Top</a>
<a name="bottom"></a>
<script src="js/mantienesession.js?202107271718"></script>
<script src="../js/jquery-1.10.2.min.js"></script>
<script src="../vendors/bootstrap/dist/js/bootstrap.min.js"></script>
<link href="vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
<script>
<?php if ($usabcode == 'S' && intval($_GET['bus']) == 0){ ?>
	$("#bccode").focus();
<?php } ?>
$(document).ready(function(){
	setInterval(function(){ mantiene_session(); }, 600000); // 10min
	<?php if ($busqueda==1){?>
	$("#filtrar").focus();
	<?php } ?>
});	
function edita_cant(idproducto){
	var parametros = {
		"idproducto" : idproducto
	};
	$.ajax({
		data:  parametros,
		url:   'carrito_edit_tablet.php',
		type:  'post',
		beforeSend: function () {
			$("#modal_titulo").html('Editar Cantidad');
			$("#modal_cuerpo").html('Cargando...');						
		},
		success:  function (response) {
			$('#modal_ventana').modal('show');
			$("#modal_titulo").html('Editar Cantidad');
			$("#modal_cuerpo").html(response);
			setTimeout(function(){$("#cantidad_edit").focus().select();},1000);
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
	});
}
function editar_prod(idproducto){
	var parametros = {
		"idproducto" : idproducto
	};
	$.ajax({
		data:  parametros,
		url:   'carrito_edit_tablet.php',
		type:  'post',
		beforeSend: function () {
			$("#modal_titulo").html('Editar Cantidad');
			$("#modal_cuerpo").html('Cargando...');						
		},
		success:  function (response) {
			//alert('entra');
			$('#modal_ventana').modal('show');
			$("#modal_titulo").html('Editar Cantidad');
			$("#modal_cuerpo").html(response);
			//setTimeout(function(){$("#cantidad_edit").focus().select();},1000);
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
	});
}
function edita_cant_reg(idproducto){
	var cantidad = $("#cantidad_edit").val();
	var precio_unitario = $("#precio_unitario_edit").val();
	var cuerpo_html = $("#modal_cuerpo").html();		
	var parametros = {
		"idproducto"		: idproducto,
		"cantidad"   		: cantidad,
		"precio_unitario"   : precio_unitario,
		"reg"        : 'S'
	};
	$.ajax({
		data:  parametros,
		url:   'carrito_edit_tablet.php',
		type:  'post',
		beforeSend: function () {
			$("#modal_titulo").html('Editar Cantidad');
			$("#modal_cuerpo").html('Registrando...');	
			$("#error_box").hide();
			$("#error_box_msg").html('');					
		},
		success:  function (response) {
			$('#modal_ventana').modal('show');
			$("#modal_titulo").html('Editar Cantidad');
			
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				if(obj.valido == 'S'){
					//$("#modal_cuerpo").html(response);
					$('#modal_ventana').modal('hide');
					actualiza_carrito();
				}else{
					//alert('Errores: '+obj.errores);	
					$("#modal_cuerpo").html(cuerpo_html);
					setTimeout(function(){$("#cantidad_edit").focus().select();},1000);	
					$("#error_box_msg").html(nl2br(obj.errores));
					$("#error_box").show();
				}
			}else{
				alert(response);
				$("#modal_cuerpo").html(response);	
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
	});
}
function nombre_mesa(){
	var idmesa = $("#mesa").val();		
	//alert(idmesa);
	var parametros = {
		"idmesa"		: idmesa,
	};
	$.ajax({
		data:  parametros,
		url:   'nombre_mesa.php',
		type:  'post',
		beforeSend: function () {
			//$("#chapa").val('Cargando...');				
		},
		success:  function (response) {
			$("#chapa").val(response);
			//alert(response);
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
	});
}
function forma_pago_ped(){
	var datos_forma = $("#idforma").val();	
	if(IsJsonString(datos_forma)){
		var obj = jQuery.parseJSON(datos_forma);
		if(obj.llevapos_tomapedidos == 'S'){
			$("#llevapos").val('S');
		}else{
			$("#llevapos").val('N');
		}
	}else{
		alert(datos_forma);
	}
	mantiene_carrito();
}
</script>

</body>
</html>
