<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="543";
$dirsup="S";
require_once("../includes/rsusuario.php"); 




$idterminal=intval($_GET['id']);
if($idterminal == 0){
	header("location: terminal.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from terminal 
where 
idterminal = $idterminal
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idterminal=intval($rs->fields['idterminal']);
if($idterminal == 0){
	header("location: terminal.php");
	exit;	
}




if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$terminal=antisqlinyeccion($_POST['terminal'],"text");
	$idimpresoratk=antisqlinyeccion($_POST['idimpresoratk'],"int");
	$iddeposito=antisqlinyeccion($_POST['iddeposito'],"int");
	$script_terminal=antisqlinyeccion($_POST['script_terminal'],"textbox");
	$estado=1;
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");




	if(trim($_POST['terminal']) == ''){
		$valido="N";
		$errores.=" - El campo terminal no puede estar vacio.<br />";	
	}
	if(intval($_POST['idimpresoratk']) == 0){
		$valido="N";
		$errores.=" - El campo idimpresoratk no puede ser cero o nulo.<br />";	
	}
/* 
registrado_por 
*/
/* 
registrado_el 
*/
/* 
borrado_por 
*/
/* 
borrado_el 
*/


	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update terminal
		set
			terminal=$terminal,
			idimpresoratk=$idimpresoratk,
			iddeposito_terminal=$iddeposito,
			script_terminal=$script_terminal
		where
			idterminal = $idterminal
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: terminal.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Editar Terminal</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Terminal *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="terminal" id="terminal" value="<?php  if(isset($_POST['terminal'])){ echo htmlentities($_POST['terminal']); }else{ echo htmlentities($rs->fields['terminal']); }?>" placeholder="Terminal" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Impresora *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idimpresoratk, descripcion
FROM impresoratk
where
borrado = 'N'
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idimpresoratk'])){ 
	$value_selected=htmlentities($_POST['idimpresoratk']); 
}else{
	$value_selected=htmlentities($rs->fields['idimpresoratk']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idimpresoratk',
	'id_campo' => 'idimpresoratk',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idimpresoratk',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
		
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Deposito </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT gest_depositos.iddeposito, CONCAT(gest_depositos.descripcion,' [SUC: ',sucursales.nombre,']') as descripcion
FROM gest_depositos 
inner join sucursales on sucursales.idsucu = gest_depositos.idsucursal
where 
gest_depositos.estado <> 6 
and gest_depositos.tiposala <> 3
order by gest_depositos.descripcion asc
 ";

// valor seleccionado
if(isset($_POST['iddeposito'])){ 
	$value_selected=htmlentities($_POST['iddeposito']); 
}else{
	$value_selected=htmlentities($rs->fields['iddeposito_terminal']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'iddeposito',
	'id_campo' => 'iddeposito',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'iddeposito',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
		
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Script terminal (Opcional)</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="script_terminal" id="script_terminal" value="<?php  if(isset($_POST['script_terminal'])){ echo htmlentities($_POST['script_terminal']); }else{ echo htmlentities($rs->fields['script_terminal']); }?>" placeholder="http://localhost/impresorweb/ladocliente.php" class="form-control"  />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='terminal.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form><div class="clearfix"></div>
<br /><br />
* Deposito solo sirve si el comportamiento de la terminal en sucursales esta marcado como "Deposito Terminal" caso contrario omitira este descuento.<br />
* Si no se completa el script terminal tomara el de la impresora seleccionada.<br />

<div class="clearfix"></div>
<br /><br />
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
