<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="108";
require_once("includes/rsusuario.php"); 



$consulta="select * from empresas where idempresa=$idempresa";
$rsemp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$nombre_empresa=trim($rsemp->fields['empresa']);
$id_empresa=trim($rsemp->fields['idempresa']);
$fondo=substr(trim($rsemp->fields['fondo']),0,7);
$linea=substr(trim($rsemp->fields['linea']),0,7);
$margintop="4%";
//echo $fondo;
// crea imagen
$img="gfx/empresas/emp_".$id_empresa.".png";	 
if(!file_exists($img)){
	$img="gfx/empresas/emp_0.png";
}
$img_byn="gfx/empresas/emp_".$id_empresa."_byn.png";
$img_byn_inv="gfx/empresas/emp_".$id_empresa."_byn_inv.png";

function getIntermediateColor($color1, $color2) {
    // Obtener los componentes de color RGB
    $r1 = ($color1 >> 16) & 0xFF;
    $g1 = ($color1 >> 8) & 0xFF;
    $b1 = $color1 & 0xFF;
    
    $r2 = ($color2 >> 16) & 0xFF;
    $g2 = ($color2 >> 8) & 0xFF;
    $b2 = $color2 & 0xFF;
    
    // Calcular el color intermedio (promedio de los componentes)
    $r = ($r1 + $r2) / 2;
    $g = ($g1 + $g2) / 2;
    $b = ($b1 + $b2) / 2;
    
    // Combinar los componentes en un solo color RGB
    $intermediateColor = ($r << 16) | ($g << 8) | $b;
    
    return $intermediateColor;
}
function convertToBlackAndWhite($inputFile, $outputFile) {
		
    // Obtener los dos colores predominantes
    $dominantColors = getDominantColors($inputFile);
	
	// Obtener los dos primeros elementos del array
	$firstTwoItems = array_slice($dominantColors, 0, 2);
	
	
	// Obtener las claves de los dos primeros elementos
	$firstTwoKeys = array_keys($firstTwoItems);
	
	//print_r($firstTwoKeys); // hasta aca bien

	// Obtener los valores correspondientes en $dominantColors usando las claves
    $color1 = hexdec($firstTwoKeys[0]);
    $color2 = hexdec($firstTwoKeys[1]);


    // Determinar cuál es más claro y cuál es más oscuro
    $lighterColor = max($color1, $color2);
    $darkerColor = min($color1, $color2);
	
    // Calcular el color intermedio
    $intermediateColor = getIntermediateColor($lighterColor, $darkerColor);

    // Convertir los colores a formato hexadecimal
    $lighterColorHex = sprintf('%06x', $lighterColor);
    $darkerColorHex = sprintf('%06x', $darkerColor);
    $intermediateColorHex = sprintf('%06x', $intermediateColor);
	

    // Cargar la imagen
    $image = imagecreatefrompng($inputFile);
    if (!$image) {
        die('Error al cargar la imagen');
    }

    // Obtener las dimensiones de la imagen
    $width = imagesx($image);
    $height = imagesy($image);

    // Convertir la imagen a blanco y negro puro
    for ($x = 0; $x < $width; $x++) {
        for ($y = 0; $y < $height; $y++) {
            $rgb = imagecolorat($image, $x, $y);
            
            // Comprobar si el color es más claro que el color intermedio
            if ($rgb < $intermediateColor) {
                $color = imagecolorallocate($image, 0, 0, 0); // Negro
            } else {
                $color = imagecolorallocate($image, 255, 255, 255); // Blanco
            }

            // Establecer el nuevo color en la imagen
            imagesetpixel($image, $x, $y, $color);
        }
    }

    // Guardar la imagen en el archivo de salida
    imagepng($image, $outputFile);

    // Liberar memoria
    imagedestroy($image);
	
	$res=array(
		'color_mas_claro' => $lighterColorHex,
		'color_mas_oscuro' => $darkerColorHex,
		'color_intermedio' => $intermediateColorHex,
	);
	
	return $res;
}
function getDominantColors($imagePath) {
	// umbral de diferencia
	$colorDifferenceThreshold = 5000; // Umbral ajustable para la diferencia de colores
	
    // Cargar la imagen
    $image = imagecreatefrompng($imagePath);
    if (!$image) {
        die('Error al cargar la imagen');
    }

    // Obtener las dimensiones de la imagen
    $width = imagesx($image);
    $height = imagesy($image);

    // Contar la frecuencia de cada color
    $colorCounts = array();
    for ($x = 0; $x < $width; $x++) {
        for ($y = 0; $y < $height; $y++) {
            $rgb = imagecolorat($image, $x, $y);
            $colorKey = imagecolorsforindex($image, $rgb);
            $colorKey = sprintf('%02x%02x%02x', $colorKey['red'], $colorKey['green'], $colorKey['blue']);
            if (!isset($colorCounts[$colorKey])) {
                $colorCounts[$colorKey] = 0;
            }
            $colorCounts[$colorKey]++;
        }
    }

    // Ordenar los colores por frecuencia (de mayor a menor)
    arsort($colorCounts);
	
	//print_r($colorCounts);
	
    // Convertir los colores en un array de colores
    $colors = array_keys($colorCounts);
	
    // Verificar la similitud entre colores consecutivos y eliminar el menos predominante
    $i = 0;
    while ($i < count($colors) - 1) {
        $color1 = hexdec($colors[$i]);
        $color2 = hexdec($colors[$i + 1]);
        if (colorDifference($color1, $color2) < $colorDifferenceThreshold) {
            // Eliminar el color menos predominante
            unset($colors[$i + 1]);
            // Reindexar el array
            $colors = array_values($colors);
        } else {
            $i++;
        }
    }

    // Liberar memoria
    imagedestroy($image);
	
	//print_r($colors);
	
    // Conservar solo los dos colores más predominantes junto con su frecuencia
    $dominantColors = array();
    foreach ($colors as $color) {
        $dominantColors[$color] = $colorCounts[$color];
    }
	
	//print_r($dominantColors);

	return $dominantColors;
}
function colorDifference($color1, $color2) {
    // Obtener los componentes de color RGB
    $r1 = ($color1 >> 16) & 0xFF;
    $g1 = ($color1 >> 8) & 0xFF;
    $b1 = $color1 & 0xFF;
    
    $r2 = ($color2 >> 16) & 0xFF;
    $g2 = ($color2 >> 8) & 0xFF;
    $b2 = $color2 & 0xFF;

    // Calcular la diferencia de color (suma de las diferencias cuadráticas de los componentes RGB)
    $difference = pow($r1 - $r2, 2) + pow($g1 - $g2, 2) + pow($b1 - $b2, 2);
    
    return $difference;
}

function invertColors($inputFile, $outputFile) {
    // Cargar la imagen
    $image = imagecreatefrompng($inputFile);
    if (!$image) {
        die('Error al cargar la imagen');
    }

    // Obtener las dimensiones de la imagen
    $width = imagesx($image);
    $height = imagesy($image);

    // Invertir los colores de la imagen
    for ($x = 0; $x < $width; $x++) {
        for ($y = 0; $y < $height; $y++) {
            $rgb = imagecolorat($image, $x, $y);
            $r = ($rgb >> 16) & 0xFF;
            $g = ($rgb >> 8) & 0xFF;
            $b = $rgb & 0xFF;

            // Invertir los colores (blanco a negro y negro a blanco)
            if ($r == 255 && $g == 255 && $b == 255) {
                $color = imagecolorallocate($image, 0, 0, 0); // Negro
            } elseif ($r == 0 && $g == 0 && $b == 0) {
                $color = imagecolorallocate($image, 255, 255, 255); // Blanco
            } else {
                $color = imagecolorallocate($image, 255 - $r, 255 - $g, 255 - $b); // Invertir otros colores
            }

            // Establecer el nuevo color en la imagen
            imagesetpixel($image, $x, $y, $color);
        }
    }

    // Guardar la imagen en el archivo de salida
    imagepng($image, $outputFile);

    // Liberar memoria
    imagedestroy($image);
}



// datos para convertir la imagen 1
$inputFile = $img;
$outputFile = $img_byn;

// datos para la imagen invertida
$inputFile_invert = $img_byn;
$outputFile_invert = $img_byn_inv;

// convertir a blanco y negro
$res=convertToBlackAndWhite($inputFile, $outputFile);

// Invertir los colores de la imagen resultante
invertColors($inputFile_invert, $outputFile_invert);

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<title>Imagen para Impresion Termica</title>
  </head>

  <body class="nav-md">
<img src="<?php echo $img_byn; ?>"><img src="<?php echo $img_byn_inv; ?>">
<hr />
Color más claro: <div style='height:50px;width:250px;background-color:#<?php echo antixss($res['color_mas_claro']); ?>;border:1px solid #000;'><span style="background-color:#FFFFFF;">#<?php echo antixss($res['color_mas_claro']); ?></span></div><br />
Color más oscuro: <div style='height:50px;width:250px;background-color:#<?php echo antixss($res['color_mas_oscuro']); ?>;border:1px solid #000;'><span style="background-color:#FFFFFF;">#<?php echo antixss($res['color_mas_oscuro']); ?></span></div><br />
Color Intermedio: <div style='height:50px;width:250px;background-color:#<?php echo antixss($res['color_intermedio']); ?>;border:1px solid #000;'><span style="background-color:#FFFFFF;">#<?php echo antixss($res['color_intermedio']); ?></span></div><br />
* Todo lo que sea mas oscuro que el intermedio se convertira a Negro y lo que sea mas claro que el intermedio se convertira a Blanco.
  </body>
</html>