<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="253";
require_once("includes/rsusuario.php"); 


if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$idusu_mozo=antisqlinyeccion($_POST['idusu'],"text");
	$estado_mozo=antisqlinyeccion(1,"int");
	$codigo_acciones=antisqlinyeccion($_POST['codigo_acciones'],"text");
	$registrado_el=antisqlinyeccion($ahora,"text");
	//$ssuni=antisqlinyeccion($_POST['ssuni'],"text");




	/*if(intval($_POST['estado_mozo']) == 0){
		$valido="N";
		$errores.=" - El campo estado_mozo no puede ser cero o nulo.<br />";	
	}*/

	if(trim($_POST['codigo_acciones']) == ''){
		$valido="N";
		$errores.=" - El campo codigo_acciones no puede estar vacio.<br />";	
	}

	$consulta="
	select ssuni , codigo_acciones , idusu, 
	(select usuario from usuarios where idusu  = usuarios_mozos.idusu) as mozo
	from  usuarios_mozos 
	where 
	codigo_acciones = $codigo_acciones 
	and estado_mozo <> 6
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if($rs->fields['ssuni'] > 0){
		$valido="N";
		$errores.=" - El codigo ya existe (Mozo: ".$rs->fields['mozo']."), favor seleccione otro.<br />";	
	}


	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into usuarios_mozos
		(idusu, estado_mozo, codigo_acciones, registrado_el)
		values
		($idusu_mozo, $estado_mozo, $codigo_acciones, $registrado_el)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: usuarios_mozos.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Mozos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Usuario *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idusu, usuario
FROM usuarios
where
estado = 1
and idusu not in (select idusu from usuarios_mozos where estado_mozo = 1)
order by usuario asc
 ";

// valor seleccionado
if(isset($_POST['idusu'])){ 
	$value_selected=htmlentities($_POST['idusu']); 
}else{
	$value_selected=htmlentities($rs->fields['idusu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idusu',
	'id_campo' => 'idusu',
	
	'nombre_campo_bd' => 'usuario',
	'id_campo_bd' => 'idusu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Codigo acciones </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="password" name="codigo_acciones" id="codigo_acciones" value="<?php  if(isset($_POST['codigo_acciones'])){ echo htmlentities($_POST['codigo_acciones']); }else{ echo htmlentities($rs->fields['codigo_acciones']); }?>" placeholder="Codigo acciones" class="form-control"  />                    
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='usuarios_mozos.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
