<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="16";
$submodulo="76";
require_once("includes/rsusuario.php"); 



// si el usuario no es de una master franquicia
$consulta="
select * from usuarios where idusu = $idusu 
";
$rsusfranq=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
$franq_m=$rsusfranq->fields['franq_m'];
// si el usuario actual no es master franq ni super filtra
if($franq_m != 'S' && $superus != 'S'){
	$whereadd="
	and idusu not in ( select idusu from usuarios where franq_m = 'S')
	";	
	$whereadd_sel="
	and franq_m = 'N'
	";	
}

// si no es un super usuario debe filtrar usuarios por este campo
if($superus != 'S'){
	$whereadd.="
	and idusu not in ( select idusu from usuarios where super = 'S') 
	";	
	$whereadd_sel.="
	and super = 'N'
	";	
}


if(isset($_GET['idsubmod']) && intval($_GET['idsubmod']) > 0){
	$idsubmod=intval($_GET['idsubmod']);
	$idusu_g=intval($_GET['idusu']);

	$consulta="
	select *,
	(select usuario from usuarios where modulo_usuario_log.registrado_por = usuarios.idusu) as registrado_por,
	(select modulo from modulo where idmodulo = modulo_usuario_log.idmodulo) as modulo_txt,
	(select nombresub from modulo_detalle where idsubmod = modulo_usuario_log.submodulo) as submodulo_txt
	from modulo_usuario_log 
	where 
	 estado = 1 
	 and idusu = $idusu_g
	 and submodulo = $idsubmod
	 $whereadd
	order by idmodulousuariolog desc
	limit 100
	";
	//echo $consulta;exit;
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



}

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Auditoria de Permisos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php 
$refemenu='bus';
require_once("includes/menu_usu_audit.php"); ?>

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="get" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Usuario *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idusu, usuario
FROM usuarios
where
estado = 1
$whereadd_sel
order by usuario asc
";

// valor seleccionado
if(isset($_GET['idusu'])){ 
	$value_selected=htmlentities($_GET['idusu']); 
}else{
	//$value_selected=htmlentities($rs->fields['idusu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idusu',
	'id_campo' => 'idusu',
	
	'nombre_campo_bd' => 'usuario',
	'id_campo_bd' => 'idusu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>                
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Submodulo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idsubmod, nombresub
FROM modulo_detalle
where
estado = 1
and mostrar = 1
and idsubmod in (select idsubmod from modulo_empresa where estado = 1)
order by nombresub asc
";

// valor seleccionado
if(isset($_GET['idsubmod'])){ 
	$value_selected=htmlentities($_GET['idsubmod']); 
}else{
	//$value_selected=htmlentities($rs->fields['idusu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idsubmod',
	'id_campo' => 'idsubmod',
	
	'nombre_campo_bd' => 'nombresub',
	'id_campo_bd' => 'idsubmod',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>                       
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Busqueda</button>

        </div>
    </div>

<br />
</form>
<div class="clearfix"></div>
<hr />
<?php if(isset($_GET['idsubmod']) && intval($_GET['idsubmod']) > 0){?>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
        	<th align="center">Tanda #</th>
			<th align="center">Modulo</th>
			<th align="center">Sub modulo</th>
			<th align="center">Concedido por</th>
			<th align="center">Concedido el</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="left"><?php echo intval($rs->fields['idtandalog']);  ?></td>
			<td align="left"><?php echo antixss($rs->fields['modulo_txt']);  ?> [<?php echo intval($rs->fields['idmodulo']);  ?>]</td>
			<td align="left"><?php echo antixss($rs->fields['submodulo_txt']);  ?> [<?php echo intval($rs->fields['submodulo']);  ?>]</td>

			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
            <td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>


		</tr>
<?php 


$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<?php } ?>
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
