<?php
//22/04/2022
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="302";
require_once("includes/rsusuario.php"); 
/*
echo "Reporte en mantenimiento.";
exit;
*/
set_time_limit(0);


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	return $txt;
}

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}

$whereadd_ven='';

$idsucu=intval($_GET['idsucu']);
if($idsucu > 0){
	$whereadd_ven.=" and ventas.sucursal = $idsucu ";	
}
$condicion=intval($_GET['condicion']);
if($condicion > 0){
	$whereadd_ven.=" and ventas.tipo_venta = $condicion ";	
}

//Lista de Categorias con sub categorias para recorrer
/*$buscar="
Select nombre,id_categoria,descripcion,idsubcate,
(
	Select sum(ventas_detalles.subtotal) as monto
	from ventas 
	inner join ventas_detalles on ventas_detalles.idventa=ventas.idventa 
	inner join productos on productos.idprod_serial=ventas_detalles.idprod
	where 
	productos.idsubcate=sub_categorias.idsubcate
	and productos.idcategoria = categorias.id_categoria
	and date(fecha) >='$desde' 
	and date(fecha) <='$hasta'
	$whereadd
	and ventas.estado <> 6 
	and ventas.excluye_repven = 0
) as monto_subcate,
(
	Select sum(ventas_detalles.cantidad) as cantidad
	from ventas 
	inner join ventas_detalles on ventas_detalles.idventa=ventas.idventa 
	inner join productos on productos.idprod_serial=ventas_detalles.idprod
	where 
	productos.idsubcate=sub_categorias.idsubcate
	and productos.idcategoria = categorias.id_categoria
	and date(fecha) >='$desde' 
	and date(fecha) <='$hasta'
	$whereadd
	and ventas.estado <> 6 
	and ventas.excluye_repven = 0
) as cant_subcate
from categorias
inner join sub_categorias on sub_categorias.idcategoria=categorias.id_categoria
where
(
	Select sum(ventas_detalles.cantidad) as cantidad
	from ventas 
	inner join ventas_detalles on ventas_detalles.idventa=ventas.idventa 
	inner join productos on productos.idprod_serial=ventas_detalles.idprod
	where 
	productos.idsubcate=sub_categorias.idsubcate
	and date(fecha) >='$desde' 
	and date(fecha) <='$hasta'
	$whereadd
	and ventas.estado <> 6 
	and ventas.excluye_repven = 0
) > 0

order by nombre,descripcion asc 
";*/
$buscar="
WITH ventas_filtradas AS (
    SELECT idventa 
    FROM ventas
    WHERE
        ventas.estado <> 6 
        AND ventas.excluye_repven = 0 
        AND DATE(ventas.fecha) BETWEEN '$desde' AND '$hasta'
        $whereadd_ven
),
ventas_detalles_filtradas AS (
    SELECT idventa, idprod, cantidad, subtotal
    FROM ventas_detalles
    WHERE
        ventas_detalles.idventa IN (SELECT idventa FROM ventas_filtradas)
)
SELECT 
    categorias.nombre, 
    categorias.id_categoria, 
    sub_categorias.descripcion, 
    sub_categorias.idsubcate,
    SUM(ventas_detalles_filtradas.subtotal) AS monto_subcate,
    SUM(ventas_detalles_filtradas.cantidad) AS cant_subcate
FROM 
    categorias
INNER JOIN 
    sub_categorias ON sub_categorias.idcategoria = categorias.id_categoria
INNER JOIN 
    productos ON productos.idsubcate = sub_categorias.idsubcate
INNER JOIN 
    ventas_detalles_filtradas ON ventas_detalles_filtradas.idprod = productos.idprod_serial
GROUP BY 
    categorias.nombre, 
    categorias.id_categoria, 
    sub_categorias.descripcion, 
    sub_categorias.idsubcate
HAVING 
    SUM(ventas_detalles_filtradas.cantidad) > 0
ORDER BY 
    categorias.nombre, 
    sub_categorias.descripcion ASC
";
//echo $buscar;exit;
$rslista=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

//echo $buscar;
//logotipo
$img="gfx/empresas/emp_".$idempresa.".png";	 
if(!file_exists($img)){
	$img="gfx/empresas/emp_0.png";
}	



$html.="
<html>
<head>
<style>
    @page {
        margin-top: 2.00cm;
		margin-bottom: 2.04cm;
		margin-left: 1.175cm;
		margin-right: 1.175cm;
    }
</style>
</head>

<body>
<div style='text-align:center;font-size:16px;font-weight:bold;' ><strong>$nombreempresa &nbsp; Ventas por Categor&iacute;as</strong>
<br />
Desde: ".date("d/m/Y", strtotime($desde))." hasta : &nbsp;".date("d/m/Y", strtotime($hasta))."<br />
Sucursal: ";
if ($idsucu==0){
	$html.="Todas";
} else {
	$buscar="select nombre from sucursales where idsucu=$idsucursal and estado <> 6";
	$rvf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$dess=trim($rvf->fields['nombre']);
	$html.=$dess;
}
//if($condicion > 0){
$html.=" | Condicion: ";
if($condicion == 1){
	$html.="CONTADO";
}else if($condicion == 2){
	$html.="CREDITO";
}else{
	$html.="Todas";
}
//}

$html.="

</div>
<div  style=\"float:left;margin-left:5%;height: $anchopx;text-align:center;border-collapse:collapse;\" >
    <table width=\"90%\" style=\"border-collapse:collapse;\" >
	  <thead>
		
		<tr>
			<th style=\"background-color:grey;\" >Codigo</th>
			<th style=\"background-color:grey;\" align=\"center\">Producto / Descripcion</th>
			<th  style=\"background-color:grey;\" align=\"center\">Cantidad</th>
			<th style=\"background-color:grey;\" align=\"center\">Precio </th>
			<th style=\"background-color:grey;\" align=\"center\">Subtotal</th>
			
			
		</tr>
	  </thead>
	  <tbody>
";


while (!$rslista->EOF){
	$idcategoria=intval($rslista->fields['id_categoria']);
	$idsubcategoria=intval($rslista->fields['idsubcate']);
	$nombre_categoria=trim($rslista->fields['nombre']);
	$nombre_subcategoria=trim($rslista->fields['descripcion']);
	$monto_subcate=trim($rslista->fields['monto_subcate']);
	$cant_subcate=trim($rslista->fields['cant_subcate']);
	$html.="
	<tr>
		<th align='left' colspan='5' align='left' style='background-color:#ECECEC;'> $nombre_categoria : $nombre_subcategoria</th>
	</tr>
	";
	
	
	/*$buscar="
	Select productos.descripcion,productos.idprod_serial,sum(cantidad) as cantidad,sum(subtotal)/sum(cantidad) as pventa,sum(subtotal) AS subtotal
	from ventas 
	inner join ventas_detalles on ventas_detalles.idventa=ventas.idventa 
	inner join productos on productos.idprod_serial=ventas_detalles.idprod
	where 
	productos.idsubcate=$idsubcategoria 
	and productos.idcategoria=$idcategoria
	and date(fecha) >='$desde' 
	and date(fecha) <='$hasta'
	$whereadd
	and ventas.estado <> 6 
	and ventas.excluye_repven = 0
	group by productos.idprod_serial
	order by productos.descripcion asc
			
	";*/
	$buscar="
	WITH ventas_filtradas AS (
		SELECT idventa 
		FROM ventas
		WHERE
			ventas.estado <> 6 
			AND ventas.excluye_repven = 0 
			AND DATE(ventas.fecha) BETWEEN '$desde' AND '$hasta'
			$whereadd_ven
	),
	ventas_detalles_filtradas AS (
		SELECT idventa, idprod, cantidad, subtotal
		FROM ventas_detalles
		WHERE
			ventas_detalles.idventa IN (SELECT idventa FROM ventas_filtradas)
	)
	SELECT 
		productos.descripcion,
		productos.idprod_serial,
		sum(ventas_detalles_filtradas.cantidad) as cantidad,
		sum(ventas_detalles_filtradas.subtotal)/sum(ventas_detalles_filtradas.cantidad) as pventa,
		sum(ventas_detalles_filtradas.subtotal) AS subtotal
	FROM 
		categorias
	INNER JOIN 
		sub_categorias ON sub_categorias.idcategoria = categorias.id_categoria
	INNER JOIN 
		productos ON productos.idsubcate = sub_categorias.idsubcate
	INNER JOIN 
		ventas_detalles_filtradas ON ventas_detalles_filtradas.idprod = productos.idprod_serial
	WHERE
	productos.idsubcate=$idsubcategoria 
	and productos.idcategoria=$idcategoria
	GROUP BY
	productos.idprod_serial
	HAVING 
		SUM(ventas_detalles_filtradas.cantidad) > 0
	ORDER BY
	productos.descripcion asc
	";
	//echo $buscar;exit;
	$rs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));




	while (!$rs->EOF){

		$desp=trim($rs->fields['descripcion']);
		$codp=trim($rs->fields['idprod_serial']);
		$cantidad=floatval($rs->fields['cantidad']);
		$precio=floatval($rs->fields['pventa']);
		$subtotal=floatval($rs->fields['subtotal']);
		$html.="
		<tr>
			<td align=\"center\">$codp</td>
			<td align=\"left\">$desp</td>
			<td align=\"center\">".formatomoneda($cantidad)."</td>
			<td align=\"right\">".formatomoneda($precio)."</td>
			<td align=\"right\">".formatomoneda($subtotal)."</td>
			
			
		</tr>";
	$rs->MoveNext(); }

	$html.="
	<tr>
		<td align=\"center\"></td>
		<td align=\"right\">Sub totales: &nbsp;</td>
		<td align=\"center\">".formatomoneda($cant_subcate)."</td>
		<td align=\"right\"></td>
		<td align=\"right\">".formatomoneda($monto_subcate)."</td>
	</tr>

	";
	

$rslista->MoveNext(); }



$html.="
</tbody>
	</table>
</body>
</html>
";
//echo $html;exit;
require_once  '../clases/mpdf/vendor/autoload.php';

$mpdf = new mPDF('','Legal', 0, 0, 0, 0, 0, 0);
$mpdf->SetWatermarkText('');
$mpdf->showWatermarkText = false;



$mpdf->use_kwt = true;
$mini=date('dmYHis');
$mpdf->SetDisplayMode('fullpage');
$mpdf->shrink_tables_to_fit = 0;
//$mpdf->shrink_tables_to_fit = 2.5;
// Write some HTML code:
$mpdf->WriteHTML($html);
$mpdf->showImageErrors = true; 
// Output a PDF file
$mpdf->Output($archivopdf,'I'); // mostrar en el navegador
?>
