<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="295";
require_once("includes/rsusuario.php"); 

$errores="";
$valido="S";

// validar formato de factura
$factura_s=substr(trim($_POST['factura']),0,3);
$factura_p=substr(trim($_POST['factura']),3,3);
$factura_n=substr(trim($_POST['factura']),6,15);
if(intval($factura_s) == 0){
	$valido="N";
	$errores.=" - La factura no tiene sucursal.".$saltolinea;	
}
if(intval($factura_p) == 0){
	$valido="N";
	$errores.=" - La factura no tiene punto expedicion.".$saltolinea;	
}
if(intval($factura_n) == 0){
	$valido="N";
	$errores.=" - La factura no tiene numero.".$saltolinea;		
}
if($valido == 'S'){
	$res=timbrado_tanda($factura_s,$factura_p,$idempresa,$factura_n);
	$idtandatimbrado=intval($res['idtanda']);
	$timbrado=$res['timbrado'];
	if(intval($idtandatimbrado) == 0){
		$valido="N";
		$errores.=" - No existe timbrado para esta factura.".$saltolinea;	
	}
}

// genera array con los datos
$arr = array(
	'valido' => $valido, 
	'errores' => $errores,
	'timbrado' => $timbrado
);

//print_r($arr);

// convierte a formato json
$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

// devuelve la respuesta formateada
echo $respuesta;

?>