<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="30";
require_once("includes/rsusuario.php"); 


// archivos
require_once("includes/upload.php");
require_once("includes/funcion_upload.php");
set_time_limit(120);



function limpia_csv_externo($texto,$tipo='text'){
	$texto=utf8_encode($texto);
	if($tipo == 'decimal'){
		$texto=str_replace(",",".",$texto);
	}
	return $texto;
}



$status = "";
$msg=urlencode("Archivo Cargado Exitosamente!");
if (isset($_POST["MM_upload"]) && ($_POST["MM_upload"] == "form1")) {
	
	$directorio="gfx";
	
	$fupload = new Upload();
	$fupload->setPath($directorio);
	$fupload->setMinSize(0);
	$exten=array('csv');
	$extension = strtolower(substr($_FILES['archivo']['name'], strrpos($_FILES['archivo']['name'], '.')+1)); 
	
	$tiempo=date("YmdHis");
	$nombrearchivo='carrito_'.$tiempo.'.'.$extension;
	$nombrearchivo2='carrito_'.$tiempo;
	
	$ip_real=htmlentities(ip_real());

	if($extension == 'csv'){
		$fupload->setFile("archivo",$nombrearchivo2,'S');
		$fupload->isImage(false);
	// IMAGEN
	}else{
		//$fupload->setFile("archivo",$nombrearchivo2,'N',$extension);
		//$fupload->isImage(true);	
		$fupload->setFile("archivo",$nombrearchivo2,'S');
	}
	//$fupload->isImage(true);
	$fupload->save();
		
	$cargado = $fupload->isupload;
	$status = $fupload->message;
	
	// si se cargo
	if($cargado){
		
		
		$archivo_csv=file_get_contents($directorio.'/'.$nombrearchivo);
		$array_res=csv_to_array($archivo_csv,";");
		//print_r($array_res);exit;
		
		// borra el archivo
		if(file_exists($directorio.'/'.$nombrearchivo)){
			if(trim($nombrearchivo) != ''){
				unlink($directorio.'/'.$nombrearchivo);
			}
		}
			
		// validaciones basicas
		$valido="S";
		$errores="";
		$i=1;
		//DESCRIPCION;CATEGORIA;SUBCATEGORIA;IDMEDIDA;COSTO UNITARIO;IVA COMPRA;GRUPO STOCK;HABILITA COMPRA;HABILITA INVENTARIO
		// recorre el archio y valida
		foreach($array_res as $fila){
			// la cabecera se salta
			if($i > 1){
				$barcode=trim($fila[1]);
				$cantidad=floatval($fila[2]);
				$precio_unitario=floatval($fila[3]);


				if($barcode == ''){
					$valido="N";
					$errores.="- El campo codigo de barras no puede estar vacio en la fila: [".$i.'] '.$saltolinea;
				}
				if($cantidad == 0){
					$valido="N";
					$errores.="- El campo cantidad no puede estar vacio en la fila: [".$i.'] '.$saltolinea;
				}
				if($precio_unitario == 0){
					$valido="N";
					$errores.="- El campo precio_unitario no puede estar vacio en la fila: [".$i.'] '.$saltolinea;
				}
				
				$barcode_sql=antisqlinyeccion(limpia_csv_externo(trim($fila[1])),"text");
				$consulta="
				select idprod_serial, barcode from productos where barcode = $barcode_sql and borrado = 'N' order by idprod_serial asc limit 1
				";
				$rsp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$idproducto=intval($rsp->fields['idprod_serial']);
				if($idproducto == 0){
					$valido="N";
					$errores.="- No existe ningun producto con el codigo de barras '".antixss($barcode)."' en el sistema, fila: [".$i.'] '.$saltolinea;
				}
				

			} // if($i > 1){
			$i++;
			
		}
		// reset del array
		reset($array_res);
		
		//echo $errores;
		//exit;
		// si todo es valido inserta
		if($valido == 'S'){
			
			// crea cabecera de importacion
			$consulta="
			INSERT INTO tmp_ventares_import_cab
			(registrado_por,registrado_el) 
			VALUES 
			($idusu,'$ahora')
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			// busca el id creado
			$consulta="
			select idtmpventaresimpcab from tmp_ventares_import_cab where registrado_por = $idusu order by registrado_el desc limit 1 
			";
			$rsprpodcab=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idtmpventaresimpcab=$rsprpodcab->fields['idtmpventaresimpcab'];
			// recorre e inserta los detalles
			$i=1;
			foreach($array_res as $fila){
				// la cabecera se salta
				if($i > 1){

					// reemplazar popr el de arriba
					$barcode=antisqlinyeccion(limpia_csv_externo(trim($fila[1])),"text");
					$cantidad=antisqlinyeccion(limpia_csv_externo(trim($fila[2]),'decimal'),"text");
					$precio_unitario=antisqlinyeccion(limpia_csv_externo(trim($fila[3]),'decimal'),"text");
					
					$consulta="
					select idprod_serial, barcode from productos where barcode = $barcode and borrado = 'N' order by idprod_serial asc limit 1
					";
					$rsp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					$idproducto=$rsp->fields['idprod_serial'];

					
					// corregir
					$consulta="
					insert into tmp_ventares_import
					(
					idtmpventaresimpcab, idproducto, barcode, cantidad, precio_unitario, idusuario, idsucursal, fechahora
					)
					values
					(
					$idtmpventaresimpcab, $idproducto, $barcode, $cantidad, $precio_unitario, $idusu, $idsucursal, '$ahora'
					)
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

					
				} // if($i > 1){
				$i++;
			}

	
			// redireccionar
			header("location: ventas_carrito_carga_masiva_control.php?id=$idtmpventaresimpcab");
			exit;
		
		}
	}else{
		header("location: ventas_carrito_carga_masiva.php?cargado=n&status=".$status);	
		exit;
	}
		

}

if(isset($_GET['status']) && ($_GET['status'] != '')){
	$status=substr(htmlentities($_GET['status']),0,200);
}
if($_GET['cargado'] == 'n'){
	$errores=htmlentities($_GET['status']);
}


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Carga Masiva Productos al Carrito</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<p>
<a href="gest_ventas_resto_caja.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a>
</p>
<hr />
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">

<strong>Errores:</strong><br /><?php echo nl2br($errores); ?>
</div>
<?php } ?>



<form action="" method="post" enctype="multipart/form-data" name="form1" id="form1">



<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Archivo CSV *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="file" name="archivo" id="archivo"  class="form-control" accept=".csv"  />
	</div>
</div>


<div class="clearfix"></div>
<br />





<div class="clearfix"></div>
<br />

<div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
	<button type="submit" class="btn btn-success" ><span class="fa fa-upload"></span> Cargar Archivo</button>
	
	<button type="button" class="btn btn-primary" onMouseUp="document.location.href='gest_ventas_resto_caja.php'"><span class="fa fa-ban"></span> Cancelar</button>
		</div>
	</div>
<input type="hidden" name="MM_update" value="form1" />
<input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">

		<input type="hidden" name="MM_upload" id="MM_upload" value="form1" /></td>
</form>

<p>&nbsp;</p>
<hr />
<h2>Instrucciones:</h2><br />
<br />


<strong>Paso 1:</strong><br />.
<button class="btn btn-sm btn-default" type="button" 
onmouseup="document.location.href='ventas_carrito_carga_masiva_formato_csv_carrito.php'"><span class="fa fa-download"></span> Descargar Formato de Ejemplo CSV</button>
<br />
<br />
<strong>Paso 2:</strong><br />
Cargar aqui el archivo excel con los productos p/Actualizar
<br />
	<br />				
	<strong>Observacion:</strong><br />
Este modulo sirve solamente para cargar prodductos en el carrito.<br />
<br />



<p>&nbsp;</p>
<hr />
<strong>Ultimos 20 Cargados:</strong>
<?php
		
		
$consulta="
select *,
(select usuario from usuarios where tmp_ventares_import_cab.registrado_por = usuarios.idusu) as registrado_por_txt,
(select usuario from usuarios where tmp_ventares_import_cab.finalizado_por = usuarios.idusu) as finalizado_por_txt,
CASE 
        WHEN estado = 1 THEN 'Pendiente proceso'
        WHEN estado = 3 THEN 'Procesado'
        WHEN estado = 6 THEN 'Anulado'
END AS estado_txt
from tmp_ventares_import_cab 
where 
 estado <> 6 
order by idtmpventaresimpcab desc
limit 20
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Idtmpventaresimpcab</th>
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>
			<th align="center">Estado</th>
			<th align="center">Finalizado por</th>
			<th align="center">Finalizado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				<?php if(intval($rs->fields['estado']) == 1){ ?>
				<div class="btn-group">
					<a href="ventas_carrito_carga_masiva_control.php?id=<?php echo $rs->fields['idtmpventaresimpcab']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>
					
				</div>
				<?php } ?>
			</td>
				<td align="center"><?php echo intval($rs->fields['idtmpventaresimpcab']); ?></td>
				<td align="center"><?php echo antixss($rs->fields['registrado_por_txt']); ?></td>
				<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
				<td align="center"><?php echo antixss($rs->fields['estado_txt']); ?></td>
				<td align="center"><?php echo antixss($rs->fields['finalizado_por_txt']); ?></td>
				<td align="center"><?php if($rs->fields['finalizado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['finalizado_el'])); }  ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />


			


<div class="clearfix"></div>
<br /><br />
<p>&nbsp;</p>
<br />

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
