<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="605";
require_once("includes/rsusuario.php"); 
//exit;

function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}


//Comprobar apertura de caja en fecha establecida
$buscar="Select * from caja_super where estado_caja=1 and cajero=$idusu and sucursal = $idsucursal and tipocaja = 1 order by fecha desc limit 1";
$rscaja=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idcaja=intval($rscaja->fields['idcaja']);
$estadocaja=intval($rscaja->fields['estado_caja']);
$idcaja_compartida=intval($rscaja->fields['idcaja_compartida']);
if($idcaja_compartida > 0){
	$idcaja=$idcaja_compartida;
}
if ($idcaja==0){
	$errores.="- La caja debe estar abierta para poder realizar una venta.";
	$valido="N";
}
if ($estadocaja==3){
	$errores.="- La caja debe estar abierta para poder realizar una venta.";
	$valido="N";
}


$consulta="
select productos.descripcion as producto, REPLACE(COALESCE(sum(ventas_detalles.cantidad),0),'.',',') as cantidad
from ventas 
inner join ventas_detalles on ventas.idventa = ventas_detalles.idventa
inner join productos on productos.idprod_serial = ventas_detalles.idprod
where
ventas.idcaja = $idcaja
and ventas.estado <> 6
and ventas.finalizo_correcto = 'S'
group by productos.descripcion
order by sum(ventas_detalles.subtotal) desc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 //	CONCAT('\"',factura,'\"') as Factura,


 $impreso=date("d/m/Y H:i:s");



$datos="";


// asigna los datos de la consulta a una variable
$array=$rs->fields;

// CONSTRUYE CABECERA
foreach($array as $key=>$value){
	$i++;
	$datos.=limpiacsv($key).';';
}
reset($array);
$datos.=$saltolinea;





$impreso=date("YmdHis");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=venta_micaja_'.$idcaja.'_'.$impreso.'.csv');
	
	
// imprime cabecera
echo $datos;


//CONSTRUYE CUERPO
$fila=1;
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		echo limpiacsv($value).';';
	}
	echo $saltolinea;
$rs->MoveNext(); }


exit; 

?>
