<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="277";
require_once("includes/rsusuario.php"); 


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

if(intval($_GET['categorial']) > 0){
	$cate=intval($_GET['categorial']);
	$addcate=" and productos.idcategoria=$cate" ;
}
if(intval($_GET['subcategoria']) > 0){
	$subcate=intval($_GET['subcategoria']);
	$addsubcate=" and productos.idsubcate=$subcate" ;
}
if(($_GET['cj']) > 0){
	$idcaja=intval($_GET['cj']);
	$filtrocaja=" and ventas.idcaja = $idcaja";
	
}
if(($_GET['suc']) > 0){
	$idsuc=intval($_GET['suc']);
	$filtrocaja=" and ventas.sucursal = $idsuc";
	
}

/*
ACTUALIZA MASIVAMENTE, puede ser util, pero debe actualizarse en la ficha de productos 
por si hay mas de 1 proveedor que pueda seleccionar manualmente cual elegir y que no tome de compras

update  `insumos_lista` 
set idproveedor = (
				select compras.idproveedor 
				from compras 
				inner join compras_detalles on compras_detalles.idcompra = compras.idcompra 
				where 
				compras_detalles.codprod = insumos_lista.idinsumo 
				order by compras.fechacompra desc 
				limit 1
				) 
where
 idproveedor is null
*/

$consulta="
select sum(ventas_detalles.subtotal) as total_venta, count(*) as total_tk, insumos_lista.idproveedor,
(select nombre from proveedores where idproveedor = insumos_lista.idproveedor) as proveedor
from ventas
inner join ventas_detalles on ventas_detalles.idventa = ventas.idventa
inner join productos on productos.idprod_serial = ventas_detalles.idprod
inner join insumos_lista on insumos_lista.idproducto = productos.idprod_serial
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
$addcate
$addsubcate
and ventas.estado <> 6
and ventas.idempresa = $idempresa
$filtrocaja
group by insumos_lista.idproveedor
order by sum(ventas_detalles.subtotal) desc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function filtrar(){
	
	var cate=$("#categorial").val();
	
	var parametros = {
         "categorial" : cate
     };
     $.ajax({
                data:  parametros,
                url:   'mini_subcate_prov.php',
                type:  'post',
                beforeSend: function () {
					$("#minisub").html('Cargando...');	
                },
                success:  function (response) {
					$("#minisub").html(response);
				}
        });
	
	
	
	
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Ranking Ventas por Proveedor</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

Si el Articulo se compro a mas de 1 proveedor tomara solo 1 de ellos para todas las ventas de ese Articulo, 
el proveedor principal en estos casos puede ser asignado manualmente.<br /><br />

<form id="form1" name="form1" method="get" action="">
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha Desde </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php echo $desde; ?>" placeholder="desde" class="form-control"  />                    
	</div>

</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha Hasta </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="desde" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Categoria </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php //categoria
$buscar="Select * from categorias where idempresa=$idempresa and estado=1 order by nombre asc";
$rscat = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
?>
		  <select name="categorial" id="categorial" class="form-control" onChange="filtrar()">
			  <option value="0" selected="selected">TODAS</option>
			   <?php while(!$rscat->EOF){?>
			  <option value="<?php echo $rscat->fields['id_categoria']?>"<?php if ($cate==$rscat->fields['id_categoria']){?> selected="selected" <?php }?>><?php echo $rscat->fields['nombre']?></option>
			  
			  <?php $rscat->MoveNext();}?>
		  </select>                   
	</div>

</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sub-Categoria </label>
	<div class="col-md-9 col-sm-9 col-xs-12"  id="minisub">
		<?php require_once('mini_subcate_prov.php');?>
	</div>

</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal </label>
	<div class="col-md-9 col-sm-9 col-xs-12"  id="minisub">
<?php   
//lista de sucursales
$buscar="select * from sucursales where idempresa=$idempresa order by nombre asc";
$rsfd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));	  
?>
		<select name="suc" id="suc" class="form-control">
            <option value="0" selected="selected">TODAS</option>
           <?php while (!$rsfd->EOF){?>
            <option value="<?php echo $rsfd->fields['idsucu']?>" <?php if($rsfd->fields['idsucu']==$idsuc){?>selected="selected"<?php }?>><?php echo $rsfd->fields['nombre']?></option>
        
             <?php $rsfd->MoveNext();}?>
        </select>
	</div>

</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>

</form>

<div class="clearfix"></div>
<hr />


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Proveedor</th>
            <th align="center">Cantidad Tickets</th>
			<th align="center">Total Venta</th>
	
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td align="left"><?php if(trim($rs->fields['proveedor']) != ''){ echo antixss($rs->fields['proveedor']); }else{ echo "NO ASIGNADO"; } ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['total_tk']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['total_venta']);  ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
