<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php"); 


$idmesa=intval($_POST['idmesa']);
//echo $idmesa;
if ($idmesa > 0){



	//Traemos las preferencias para la empresa
	$buscar="Select carry_out from preferencias where idempresa=$idempresa ";
	$rspref=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$carry_out=trim($rspref->fields['carry_out']);


	//Cliente x defecto
	$buscar="Select * from cliente where borrable='N' and idempresa=$idempresa";
	$rsoclci=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

	$domicilio=intval($_COOKIE['dom_deliv']);
	if ($domicilio> 0){
		$buscar="Select * from cliente_delivery inner join cliente_delivery_dom
		on cliente_delivery.idclientedel=cliente_delivery_dom.idclientedel
		where iddomicilio=$domicilio and cliente_delivery.idempresa=$idempresa limit 1
		";
		$rscasa=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$direccion=trim($rscasa->fields['direccion']);
		$telefono=trim($rscasa->fields['telefono']);
		$nombreclidel=trim($rscasa->fields['nombres']);


	}


	$consulta="
	select tmp_ventares.*, productos.descripcion, sum(cantidad) as total, sum(precio) as totalprecio, sum(subtotal) as subtotal,
	(select recetas_detalles.idreceta from recetas_detalles where recetas_detalles.idprod = tmp_ventares.idproducto limit 1) as tienereceta, 
	(select agregado.idproducto from agregado WHERE agregado.idproducto = tmp_ventares.idproducto limit 1) as tieneagregado
	from tmp_ventares 
	inner join productos on tmp_ventares.idproducto = productos.idprod_serial
	where 
	registrado = 'N'
	and tmp_ventares.usuario = $idusu
	and tmp_ventares.borrado = 'N'
	and tmp_ventares.finalizado = 'N'
	and tmp_ventares.idsucursal = $idsucursal
	and tmp_ventares.idempresa = $idempresa
	and tmp_ventares.idmesa = $idmesa
	group by descripcion, receta_cambiada
	";
	$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$tr=$rs->RecordCount();
	$buscar="
	Select gest_zonas.idzona,descripcion,costoentrega
	from gest_zonas
	where 
	estado=1 
	and gest_zonas.idempresa = $idempresa 
	and gest_zonas.idsucursal = $idsucursal
	order by descripcion asc
	";
	$rszonas=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

	$buscar="
	select * from cliente where borrable = 'N' and idempresa = $idempresa limit 1
	";
	$rsclipred=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

//echo $tr;

	?>
<?php if ($tr > 0){?>
	<table class="table table-hover">
	  <thead>
		<tr>
		  <th valign="middle" bgcolor="#E7E7E7">Producto</th>
		  <th valign="middle" bgcolor="#E7E7E7">Cantidad</th>
		  <th valign="middle" bgcolor="#E7E7E7">Sub Total</th>
			<th align="center" valign="middle" bgcolor="#E7E7E7"><?php if ($tr> 0){?><button type="button" class="btn btn-danger btn-xs" onClick="borrar_todo(<?php echo $idmesa; ?>);">Vaciar &nbsp;<span class="fa fa-times-circle fa-2x"></span></button><?php }?></th>
		</tr>
	  </thead>

	  <tbody>
	<?php while (!$rs->EOF){
		$c++;
		$total=$rs->fields['subtotal'];
		$totalacum+=$total;
		$des=str_replace("'","",$rs->fields['descripcion']);
	 ?>
		<tr style="font-size: 1.2em;">

		   <td ><?php echo Capitalizar($rs->fields['descripcion']); ?></td>
		  <td align="center"><?php echo formatomoneda($rs->fields['total'],3,'N'); ?></td>
		  <td align="center"><?php echo formatomoneda($rs->fields['subtotal'],0,'N'); ?></td>
		  <td align="center"><div class="buttons"><?php if($rs->fields['tienereceta'] > 0 or $rs->fields['tieneagregado'] > 0 or $rs->fields['combinado'] == 'S'){ ?><button type="button" class="btn btn-info btn-xs" onClick="document.location.href='editareceta.php?id=<?php echo $rs->fields['idproducto']; ?>'"><span class="fa fa-book fa-2x"></span></button>&nbsp;&nbsp;<?php } ?><button type="button" class="btn btn-danger btn-xs" onClick="borrar('<?php echo $rs->fields['idproducto']; ?>','<?php echo Capitalizar($des); ?>');"><span class="fa fa-times-circle fa-2x"></span></button></div></td>
		</tr>
		<?php $rs->MoveNext(); } ?>
	<?php 

	// buscar si hay agregados y mostrar el total global
	$consulta="
	SELECT sum(precio_adicional) as montototalagregados , count(idventatmp) as totalagregados
	FROM 
	tmp_ventares_agregado
	where
	idventatmp in (
	select tmp_ventares.idventatmp
	from tmp_ventares 
	where 
	registrado = 'N'
	and tmp_ventares.usuario = $idusu
	and tmp_ventares.borrado = 'N'
	and tmp_ventares.finalizado = 'N'
	and tmp_ventares.idsucursal = $idsucursal
	and tmp_ventares.idempresa = $idempresa
	and tmp_ventares.idmesa = $idmesa
	)
	";
	//echo $consulta;
	$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$montototalagregado=$rs->fields['montototalagregados'];
	$totalagregado=$rs->fields['totalagregados'];
	$totalacum+=$montototalagregado;

	if($totalagregado > 0){
	?>
		<tr>
		  <td height="30">Agregados</td>
		  <td align="center"><?php echo formatomoneda($totalagregado,0); ?></td>
		  <td align="center"><?php echo formatomoneda($montototalagregado,0); ?></td>
		  <td align="center">&nbsp;</td>
		</tr>
	<?php } ?>
		<tr>
			<td height="39" colspan="4" align="center"><strong><span style="font-size: 16px;color: #DB171A">Total Venta: <?php echo formatomoneda($totalacum,0); ?><input type="hidden" name="totalventa" id="totalventa" value="<?php echo $totalacum; ?>">
		<input type="hidden" name="totalventa_real" id="totalventa_real" value="<?php echo $totalacum; ?>"></span></strong></td>
		</tr>
		  <tr>
			  <td colspan="4" align="center">
			  <form action="ventas_salon.php" method="post" id="carr1">
				<button type="submit" id="pedidocarrito" name="pedidocarrito" class="btn btn-success btn-xs" >Registrar Pedido &nbsp;<span class="fa fa-check"></span></button>
				<input type="hidden" name="mesaoc" id="mesaoc" value="<?php echo $idmesa?>" />
			</form>

			  </td>

		</tr>
	  </tbody>
	</table>

	<br />
	  </tbody>
	</table>
<?php } else { ?>
<div align="center">
	<span class="fa fa-warning"></span>&nbsp;&nbsp; No se agregaron productos al carrito.
</div>
<?php }?>
<?php }?>