<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="338";
require_once("includes/rsusuario.php"); 


$idinsumo=intval($_GET['id']);
if($idinsumo == 0){
	header("location: insumos_lista.php");
	exit;	
}


// NO EXLUIR LOS BORRADOS
$consulta="
select *,
(select nombre from categorias where id_categoria = insumos_lista.idcategoria ) as categoria,
(select descripcion from sub_categorias where idsubcate = insumos_lista.idsubcate ) as subcategoria,
(select nombre from grupo_insumos where idgrupoinsu = insumos_lista.idgrupoinsu ) as grupo_stock,
(select nombre from proveedores where idproveedor = insumos_lista.idproveedor ) as proveedor,
(select nombre from medidas where id_medida = insumos_lista.idmedida ) as medida
from insumos_lista 
where 
idinsumo = $idinsumo
order by descripcion asc
limit 100
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idinsumo=intval($rs->fields['idinsumo']);
if($idinsumo == 0){
	header("location: insumos_lista.php");
	exit;	
}


$idinsumo_cabecera=$rs->fields['idinsumo'];
$descripcion_cabecera=$rs->fields['descripcion']


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Vinculaciones de Articulos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<p><a href="vinculaciones_articulos.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Codigo Articulo</th>
			<th align="center">Codigo Producto</th>
			<th align="center">Articulo</th>
			<th align="center">Grupo Stock</th>
			<th align="center">Medida</th>
			<th align="center">Ult. Costo</th>
			<th align="center">IVA %</th>
			<th align="center">Habilita compra</th>
			<th align="center">Habilita inventario</th>
			<th align="center">Proveedor</th>
            <th align="center">Borrado</th>
		</tr>
	  </thead>
	  <tbody>
<?php //while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idinsumo']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['idproducto']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['descripcion']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['grupo_stock']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['medida']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['costo']);  ?></td>
			<td align="center"><?php echo intval($rs->fields['tipoiva']); ?>%</td>
			<td align="center"><?php if($rs->fields['hab_compra'] == 1){ echo "SI"; }else{ echo "NO"; } ?></td>
			<td align="center"><?php if($rs->fields['hab_invent'] == 1){ echo "SI"; }else{ echo "NO"; } ?></td>
			<td align="center"><?php echo antixss($rs->fields['proveedor']); ?></td>
            <td align="center"><?php if($rs->fields['estado'] == 'A'){ echo '<strong style="color:#090">ACTIVO</strong>'; }else{ echo '<strong style="color:#F00">BORRADO</strong>'; } ?></td>
		</tr>
<?php //$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>

<hr />
<strong>Recetas de Venta:</strong><br />
El articulo <?php echo antixss($descripcion_cabecera); ?> [<?php echo intval($idinsumo_cabecera); ?>] forma parte de la receta de los siguientes productos:
<?php
$consulta="
SELECT insumos_lista.idinsumo, insumos_lista.descripcion, recetas.idproducto as idproducto_princ, productos.descripcion as producto_princ,
(select idinsumo from productos inner join insumos_lista on insumos_lista.idproducto = productos.idprod_serial where productos.idprod_serial = recetas.idproducto) as idinsumo_princ,
(select nombre from medidas where id_medida = insumos_lista.idmedida ) as medida,
recetas_detalles.cantidad
FROM recetas_detalles
inner join recetas on recetas.idreceta = recetas_detalles.idreceta
inner join ingredientes on ingredientes.idingrediente = recetas_detalles.ingrediente
inner join insumos_lista on insumos_lista.idinsumo = ingredientes.idinsumo
inner join productos on productos.idprod_serial = recetas.idproducto
where
insumos_lista.idinsumo = $idinsumo
and productos.borrado = 'N'
order by productos.descripcion asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center"></th>
			<th align="center">Producto</th>
            <th align="center">Cantidad en la Receta</th>
            <th align="center">Medida</th>
			<th align="center">Codigo Articulo</th>
			<th align="center">Codigo Producto</th>


		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
            	<div class="btn-group">
					<a href="gest_recetas.php?id=<?php echo $rs->fields['idproducto_princ']; ?>" target="_blank" class="btn btn-sm btn-default" title="Receta" data-toggle="tooltip" data-placement="right"  data-original-title="Receta"><span class="fa fa-cutlery"></span></a>
				</div>

            </td>
			<td align="left"><?php echo antixss($rs->fields['producto_princ']); ?></td>
            <td align="right"><?php echo formatomoneda($rs->fields['cantidad'],4,'N'); ?></td>
			<td align="center"><?php echo antixss($rs->fields['medida']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idinsumo_princ']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['idproducto_princ']); ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>

<hr />
<strong>Recetas de Produccion:</strong><br />
El articulo <?php echo antixss($descripcion_cabecera); ?> [<?php echo intval($idinsumo_cabecera); ?>] forma parte de la receta de los siguientes productos:
<?php
$consulta="
SELECT 
recetas_detalles_produccion.idreceta,
insumos_lista.descripcion as producto_princ, 
insumos_lista.idinsumo as idinsumo_princ, 
recetas_detalles_produccion.cantidad, 
recetas_produccion.nombre as nombre_receta,
(select nombre from medidas inner join insumos_lista on insumos_lista.idmedida = medidas.id_medida where insumos_lista.idinsumo = recetas_detalles_produccion.idinsumo ) as medida
FROM recetas_detalles_produccion
inner join recetas_produccion on recetas_produccion.idreceta = recetas_detalles_produccion.idreceta
inner join prod_lista_objetivos on prod_lista_objetivos.unicopkss = recetas_produccion.idobjetivo
inner join insumos_lista on insumos_lista.idinsumo = prod_lista_objetivos.idinsumo
WHERE
recetas_detalles_produccion.idinsumo = $idinsumo
and insumos_lista.estado = 'A'
order by insumos_lista.descripcion asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center"></th>
			<th align="center">Producto</th>
            <th align="center">Nombre Receta</th>
            <th align="center">Cantidad en la Receta</th>
            <th align="center">Medida</th>
			<th align="center">Codigo Articulo</th>



		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
            	<div class="btn-group">
					<a href="prod_receta_edit.php?id=<?php echo $rs->fields['idreceta']; ?>" target="_blank" class="btn btn-sm btn-default" title="Receta" data-toggle="tooltip" data-placement="right"  data-original-title="Receta"><span class="fa fa-cutlery"></span></a>
				</div>

            </td>
			<td align="left"><?php echo antixss($rs->fields['producto_princ']); ?></td>
            <td align="left"><?php echo antixss($rs->fields['nombre_receta']); ?></td>
            <td align="right"><?php echo formatomoneda($rs->fields['cantidad'],4,'N'); ?></td>
			<td align="center"><?php echo antixss($rs->fields['medida']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idinsumo_princ']); ?></td>


		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
<hr />
<strong>Agregados:</strong><br />
El articulo <?php echo antixss($descripcion_cabecera); ?> [<?php echo intval($idinsumo_cabecera); ?>] forma parte de los agregados de los siguientes productos:
<?php
$consulta="
SELECT 
productos.descripcion as producto_princ,
productos.idprod_serial as idproducto_princ,
(select idinsumo 
from insumos_lista 
inner join productos p on insumos_lista.idproducto = p.idprod_serial
where
p.idprod_serial = productos.idprod_serial
) as idinsumo_princ,
agregado.cantidad,
(select nombre from medidas where id_medida = insumos_lista.idmedida ) as medida,
agregado.precio_adicional
FROM agregado
inner join ingredientes on ingredientes.idingrediente = agregado.idingrediente
inner join insumos_lista on insumos_lista.idinsumo = ingredientes.idinsumo
inner join productos on productos.idprod_serial = agregado.idproducto
WHERE
insumos_lista.idinsumo = $idinsumo
and productos.borrado = 'N'
order by productos.descripcion asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center"></th>
			<th align="center">Producto</th>
            <th align="center">Cantidad en el Agregado</th>
            <th align="center">Medida</th>
            <th align="center">Precio Adicional</th>
			<th align="center">Codigo Articulo</th>
			<th align="center">Codigo Producto</th>


		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
            	<div class="btn-group">
					<a href="gest_agregados.php?id=<?php echo $rs->fields['idproducto_princ']; ?>" target="_blank" class="btn btn-sm btn-default" title="Receta" data-toggle="tooltip" data-placement="right"  data-original-title="Receta"><span class="fa fa-cutlery"></span></a>
				</div>

            </td>
			<td align="left"><?php echo antixss($rs->fields['producto_princ']); ?></td>
            <td align="right"><?php echo formatomoneda($rs->fields['cantidad'],4,'N'); ?></td>
			<td align="center"><?php echo antixss($rs->fields['medida']); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['precio_adicional'],4,'N'); ?></td>
			<td align="center"><?php echo intval($rs->fields['idinsumo_princ']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idproducto_princ']); ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
