<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="20";
$submodulo="352";
require_once("includes/rsusuario.php"); 


$stock_cliente="N";

/*

cada columna es el idpedido

*/
$consulta="
SELECT * 
FROM web_pedidos 
where 
facturado = 'N'
and estado = 1
order by idwebpedido asc
";
$rscab=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
$pedidos=array();
$i=1;
while(!$rscab->EOF){
	$idwebpedido=$rscab->fields['idwebpedido'];
	$pedidos[$idwebpedido]['idwebpedido'] = $rscab->fields['idwebpedido'];
	$pedidos[$idwebpedido]['ruc'] = $rscab->fields['ruc'];
	$pedidos[$idwebpedido]['razon_social'] = $rscab->fields['razon_social'];
	$i++;
$rscab->MoveNext(); }


// meter en un array

$consulta="
select *, (select descripcion from productos where idprod_serial = web_pedidos_det.idproducto) as producto
from web_pedidos_det
where 
idwebpedido in (
	SELECT idwebpedido
	FROM web_pedidos 
	where 
	facturado = 'N'
	and estado = 1
)
order by (select descripcion from productos where idprod_serial = web_pedidos_det.idproducto) asc
";
$rsprod=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
$i=1;
while(!$rsprod->EOF){
	$idproducto=$rsprod->fields['idproducto'];
	$productos[$idproducto]['idproducto']=$rsprod->fields['idproducto'];
	$productos[$idproducto]['producto']=$rsprod->fields['producto'];
$rsprod->MoveNext(); }

//print_r($productos);

$consulta="
select *, (select descripcion from productos where idprod_serial = web_pedidos_det.idproducto) as producto
from web_pedidos_det
where 
idwebpedido in (
	SELECT idwebpedido
	FROM web_pedidos 
	where 
	facturado = 'N'
	and estado = 1
)
order by idwebpedido asc
";
$rsdet=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
$i=1;

while(!$rsdet->EOF){
	$idwebpedido=$rsdet->fields['idwebpedido'];
	$idproducto=$rsdet->fields['idproducto'];
	$pedidos[$idwebpedido][$idproducto]['idproducto'] = $rsdet->fields['idproducto'];
	$pedidos[$idwebpedido][$idproducto]['producto'] = $rsdet->fields['producto'];
	$pedidos[$idwebpedido][$idproducto]['cantidad'] += $rsdet->fields['cantidad'];

	$i++;
$rsdet->MoveNext(); }
// completar el array con detalle


//print_r($pedidos);

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Pedidos Consolidados</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
          <tr>
            <th>&nbsp;</th>
        <?php foreach($pedidos as $pedido){ ?>
            <th  <?php if($stock_cliente == 'S'){ ?>colspan="2"<?php } ?> align="center" style="text-align:center;">Pedido <?php echo $pedido['idwebpedido']; ?><br />(<?php echo antixss($pedido['razon_social']); ?> <?php echo antixss($pedido['ruc']); ?>)</th>
        <?php } ?>
        
            
        
            
            <th <?php if($stock_cliente == 'S'){ ?>colspan="2"<?php } ?>>&nbsp;</th>
            
        
          </tr>
        
          <tr>
            <th  align="center">Producto</th>
        
        <?php foreach($pedidos as $pedido){ ?>
            <th  align="center">Cantidad</th>
            <?php if($stock_cliente == 'S'){ ?>
            <th  align="center">Stock del Cliente</th>
            <?php } ?>
        <?php } ?>
        
        
            <th  align="center">Total Cantidades</th>
			<?php if($stock_cliente == 'S'){ ?>
            <th  align="center">Total Stock</th>
            <?php } ?>
            
          </tr>
	  </thead>
<?php 
foreach($productos as $producto){
$idproducto=$producto['idproducto'];
	 ?>
  <tr>
    <td><?php echo $producto['producto']; ?> [<?php echo $idproducto ?>]</td>

    
<?php 
$cant_acum=0;
foreach($pedidos as $pedido){

$cant_acum+=$pedido[$idproducto]['cantidad'];
	 ?>
    <td align="right"><?php echo formatomoneda($pedido[$idproducto]['cantidad'],'4','N'); ?></td>
    <?php if($stock_cliente == 'S'){ ?>
    <td align="right">&nbsp;</td>
    <?php } ?>
<?php } ?>

    
    <td align="right"><?php echo formatomoneda($cant_acum,'4','N'); ?></td>
    <?php if($stock_cliente == 'S'){ ?>
    <td align="right">&nbsp;</td>
    <?php } ?>

  </tr>
<?php } // foreach($productos as $producto){ ?>
</table>
</div>
<br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
