<?php

require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo = "29";
$submodulo = "354";
$dirsup = "S";
require_once("../includes/rsusuario.php");

function carrito_mues($parametros_array)
{

	global $conexion;

	$estado_pedido = $parametros_array['estado_pedido']; // R: registrado C: carrito
	$idpedido = $parametros_array['idpedido']; // obligatorio cuando estado_pedido = 'R'
	$muestra_extras = $parametros_array['muestra_extras']; // si muestra en carrito, pero igual muestra debajo del producto

	if ($muestra_extras != 'S') {

		$muestra_extras = "N"; // por defecto no
	}

	$idusu = $parametros_array['idusu'];
	$idsucursal = $parametros_array['idsucursal'];
	$idpantallacocina = intval($parametros_array['idpantallacocina']);
	$idventatmpbak = 0;

	if ($estado_pedido == 'C') {

		if (intval($idusu) == 0) {

			echo "No indico el usuario";
			exit;
		}
		if (intval($idsucursal) == 0) {

			echo "No indico la sucursal";
			exit;
		}

		// carrito
		$whereadd = "
        and registrado = 'N'
        and tmp_ventares.usuario = $idusu
        and tmp_ventares.finalizado = 'N'
        and tmp_ventares.idsucursal = $idsucursal
        and tmp_ventares.idmesa = 0";
	} else {

		if (intval($idpedido) == 0) {

			echo "No indico el pedido";
			exit;
		}

		// pedido
		$whereadd = "and idtmpventares_cab=$idpedido";

		if ($idpantallacocina > 0) {

			$whereadd .= "
			and productos.idprod_serial in  (
			select idproducto 
			from producto_pantalla 
			where idpantalla = $idpantallacocina)";
		}

		// si esta en la tabla bak
		$consulta = "
        select  idventatmp 
        from tmp_ventares_bak 
        where idtmpventares_cab = $idpedido 
        limit 1";
		$rspbak = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
		$idventatmpbak = intval($rspbak->fields['idventatmp']);
	}

	$consulta_tabla = "";
	// si esta en tabla normal o en tabla bak
	if (intval($idventatmpbak) == 0) {

		$consulta_tabla = "
	    SELECT 
			0 as idventatmp,
			productos.idprod_serial, 
			productos.descripcion, 
			sum(cantidad) as total, 
			sum(subtotal)/sum(cantidad) as totalprecio, 
			sum(subtotal) as subtotal,
			tmp_ventares.idtipoproducto, 
			productos.idmedida,
			0 as idprod_mitad1,
			0 as idprod_mitad2,
			tipo_plato, 
			cocinado, 
			retirado,
			CASE WHEN
				(
					select tmp_ventares_agregado.idventatmp 
					from tmp_ventares_agregado 
					where tmp_ventares_agregado.idventatmp = tmp_ventares.idventatmp
					limit 1
				) is not null
			THEN
				'S'
			ELSE
				'N'
			END as tiene_agregado,
			CASE WHEN
				(
					select tmp_ventares_sacado.idventatmp 
					from tmp_ventares_sacado 
					where tmp_ventares_sacado.idventatmp = tmp_ventares.idventatmp
					limit 1
				) is not null
			THEN
				'S'
			ELSE
				'N'
			END as tiene_sacado,
			(select recetas_detalles.idreceta from recetas_detalles where recetas_detalles.idprod = tmp_ventares.idproducto and recetas_detalles.sacar = 'S' limit 1) as permite_sacado, 
			(select agregado.idproducto from agregado where agregado.idproducto = tmp_ventares.idproducto limit 1) as permite_agregado,
			tmp_ventares.observacion as observacion_producto,
			(select muestra_grupo_combo from productos where productos.idprod_serial = tmp_ventares.idproducto limit 1) as muestra_grupo_combo
	    FROM 
	    	tmp_ventares
	    INNER JOIN
			productos on productos.idprod=tmp_ventares.idproducto
	    WHERE 
	    	tmp_ventares.borrado = 'N'
	    	$whereadd
	    	and tmp_ventares.borrado_mozo = 'N'
	    	and tmp_ventares.idtipoproducto not in (2,3,4,9,10,11)
			and (
				select tmp_ventares_agregado.idventatmp 
				from tmp_ventares_agregado 
				where tmp_ventares_agregado.idventatmp = tmp_ventares.idventatmp
				limit 1
			) is null
			and (
				select tmp_ventares_sacado.idventatmp 
				from tmp_ventares_sacado 
				where tmp_ventares_sacado.idventatmp = tmp_ventares.idventatmp
				limit 1
			) is null
			and tmp_ventares.observacion is null
			and desconsolida_forzar is null
	    GROUP BY idprod_serial

	    UNION ALL

	    SELECT 
			tmp_ventares.idventatmp as idventatmp,
			productos.idprod_serial, 
			productos.descripcion, cantidad as total,
			precio as totalprecio, 
			subtotal as subtotal,
			tmp_ventares.idtipoproducto, 
			productos.idmedida,
			0 as idprod_mitad1,
			0 as idprod_mitad2,
			tipo_plato, 
			cocinado, 
			retirado,
			CASE WHEN
				(
					select tmp_ventares_agregado.idventatmp 
					from tmp_ventares_agregado 
					where tmp_ventares_agregado.idventatmp = tmp_ventares.idventatmp
					limit 1
				) is not null
			THEN
				'S'
			ELSE
				'N'
			END as tiene_agregado,
			CASE WHEN
				(
					select tmp_ventares_sacado.idventatmp 
					from tmp_ventares_sacado 
					where tmp_ventares_sacado.idventatmp = tmp_ventares.idventatmp
					limit 1
				) is not null
			THEN
				'S'
			ELSE
				'N'
			END as tiene_sacado,
			(select agregado.idproducto from agregado where agregado.idproducto = tmp_ventares.idproducto limit 1) as permite_agregado,
			(select recetas_detalles.idreceta from recetas_detalles where recetas_detalles.idprod = tmp_ventares.idproducto and recetas_detalles.sacar = 'S' limit 1) as permite_sacado, 
			tmp_ventares.observacion as observacion_producto,
			(select muestra_grupo_combo from productos where productos.idprod_serial = tmp_ventares.idproducto limit 1) as muestra_grupo_combo
	    FROM 
	    	tmp_ventares
	    INNER JOIN
			productos on productos.idprod=tmp_ventares.idproducto
	    WHERE 
	    	tmp_ventares.borrado = 'N'
	    	$whereadd
	    	and tmp_ventares.borrado_mozo = 'N'
	    	and tmp_ventares.idtipoproducto not in (2,3,4,9,10,11)
			and 
			(
				(
					select tmp_ventares_agregado.idventatmp 
					from tmp_ventares_agregado 
					where tmp_ventares_agregado.idventatmp = tmp_ventares.idventatmp
					limit 1
				) is not null
				or
				(
					select tmp_ventares_sacado.idventatmp 
					from tmp_ventares_sacado 
					where tmp_ventares_sacado.idventatmp = tmp_ventares.idventatmp
					limit 1
				) is not null
				or 
				(
					tmp_ventares.observacion is not null
				)
				or 
				(
					desconsolida_forzar = 'S'
				)
			)

	    UNION ALL

	    SELECT 
	    tmp_ventares.idventatmp as idventatmp,
	    productos.idprod_serial, 
		productos.descripcion, 
		cantidad as total, 
		precio as totalprecio, 
		subtotal as subtotal, 
		tmp_ventares.idtipoproducto, 
		productos.idmedida,
	    idprod_mitad1,
	    idprod_mitad2,
	    tipo_plato, cocinado, retirado,
	    CASE WHEN
	        (
	            select tmp_ventares_agregado.idventatmp 
	            from tmp_ventares_agregado 
	            where tmp_ventares_agregado.idventatmp = tmp_ventares.idventatmp
	            limit 1
	        ) is not null
	    THEN
	        'S'
	    ELSE
	        'N'
	    END as tiene_agregado,
	    CASE WHEN
	        (
	            select tmp_ventares_sacado.idventatmp 
	            from tmp_ventares_sacado 
	            where tmp_ventares_sacado.idventatmp = tmp_ventares.idventatmp
	            limit 1
	        ) is not null
	    THEN
	        'S'
	    ELSE
	        'N'
	    END as tiene_sacado,
	    'N' as permite_agregado,
	    'N' as permite_sacado,
	    tmp_ventares.observacion as observacion_producto,
	    (select muestra_grupo_combo from productos where productos.idprod_serial = tmp_ventares.idproducto limit 1) as muestra_grupo_combo
	    FROM 
	    	tmp_ventares
	    INNER JOIN 
			productos on productos.idprod=tmp_ventares.idproducto
	    WHERE 
	    	tmp_ventares.borrado = 'N'
	    	$whereadd
	    	and tmp_ventares.borrado_mozo = 'N'
	    	and tmp_ventares.idtipoproducto  in (2,3,4,11)
	    	order by descripcion asc, total desc";
	} else {

		$consulta_tabla = "
		SELECT 
			0 as idventatmp,
			productos.idprod_serial, 
			productos.descripcion, 
			sum(cantidad) as total, 
			sum(subtotal)/sum(cantidad) as totalprecio, 
			sum(subtotal) as subtotal,
			tmp_ventares_bak.idtipoproducto, 
			productos.idmedida,
			0 as idprod_mitad1,
			0 as idprod_mitad2,
			tipo_plato, 
			cocinado, 
			retirado,
			CASE WHEN
				(
					select tmp_ventares_agregado.idventatmp 
					from tmp_ventares_agregado 
					where tmp_ventares_agregado.idventatmp = tmp_ventares_bak.idventatmp
					limit 1
				) is not null
			THEN
				'S'
			ELSE
				'N'
			END as tiene_agregado,
			CASE WHEN
				(
					select tmp_ventares_sacado.idventatmp 
					from tmp_ventares_sacado 
					where tmp_ventares_sacado.idventatmp = tmp_ventares_bak.idventatmp
					limit 1
				) is not null
			THEN
				'S'
			ELSE
				'N'
			END as tiene_sacado,
			(select recetas_detalles.idreceta from recetas_detalles where recetas_detalles.idprod = tmp_ventares_bak.idproducto and recetas_detalles.sacar = 'S' limit 1) as permite_sacado, 
			(select agregado.idproducto from agregado where agregado.idproducto = tmp_ventares_bak.idproducto limit 1) as permite_agregado,
			tmp_ventares_bak.observacion as observacion_producto,
			(select muestra_grupo_combo from productos where productos.idprod_serial = tmp_ventares_bak.idproducto limit 1) as muestra_grupo_combo
		FROM 
			tmp_ventares_bak
		INNER JOIN 
			productos on productos.idprod=tmp_ventares_bak.idproducto
		WHERE 
			tmp_ventares_bak.borrado = 'N'
			$whereadd
			and tmp_ventares_bak.borrado_mozo = 'N'
			and tmp_ventares_bak.idtipoproducto not in (2,3,4,9,10,11)
			and (
				select tmp_ventares_agregado.idventatmp 
				from tmp_ventares_agregado 
				where tmp_ventares_agregado.idventatmp = tmp_ventares_bak.idventatmp
				limit 1) is null
			and (
				select tmp_ventares_sacado.idventatmp 
				from tmp_ventares_sacado 
				where tmp_ventares_sacado.idventatmp = tmp_ventares_bak.idventatmp
				limit 1) is null
			and tmp_ventares_bak.observacion is null
			and tmp_ventares_bak.desconsolida_forzar is null
		GROUP BY idprod_serial
		
		UNION ALL
		
		SELECT 
			tmp_ventares_bak.idventatmp as idventatmp,
			productos.idprod_serial, 
			productos.descripcion, 
			cantidad as total,
			precio as totalprecio, 
			subtotal as subtotal,
			tmp_ventares_bak.idtipoproducto, 
			productos.idmedida,
			0 as idprod_mitad1,
			0 as idprod_mitad2,
			tipo_plato, 
			cocinado, 
			retirado,
			CASE WHEN
				(
					select tmp_ventares_agregado.idventatmp 
					from tmp_ventares_agregado 
					where tmp_ventares_agregado.idventatmp = tmp_ventares_bak.idventatmp
					limit 1
				) is not null
			THEN
				'S'
			ELSE
				'N'
			END as tiene_agregado,
			CASE WHEN
				(
					select tmp_ventares_sacado.idventatmp 
					from tmp_ventares_sacado 
					where tmp_ventares_sacado.idventatmp = tmp_ventares_bak.idventatmp
					limit 1
				) is not null
			THEN
				'S'
			ELSE
				'N'
			END as tiene_sacado,
			(select agregado.idproducto from agregado where agregado.idproducto = tmp_ventares_bak.idproducto limit 1) as permite_agregado,
			(select recetas_detalles.idreceta from recetas_detalles where recetas_detalles.idprod = tmp_ventares_bak.idproducto and recetas_detalles.sacar = 'S' limit 1) as permite_sacado, 
			tmp_ventares_bak.observacion as observacion_producto,
			(select muestra_grupo_combo from productos where productos.idprod_serial = tmp_ventares_bak.idproducto limit 1) as muestra_grupo_combo
		FROM
			tmp_ventares_bak
		INNER JOIN 
			productos on productos.idprod=tmp_ventares_bak.idproducto
		WHERE 
			tmp_ventares_bak.borrado = 'N'
			$whereadd
			and tmp_ventares_bak.borrado_mozo = 'N'
			and tmp_ventares_bak.idtipoproducto not in (2,3,4,9,10,11)
			and 
			(
				(
					select tmp_ventares_agregado.idventatmp 
					from tmp_ventares_agregado 
					where tmp_ventares_agregado.idventatmp = tmp_ventares_bak.idventatmp
					limit 1
				) is not null
				or
				(
					select tmp_ventares_sacado.idventatmp 
					from tmp_ventares_sacado 
					where tmp_ventares_sacado.idventatmp = tmp_ventares_bak.idventatmp
					limit 1
				) is not null
				or 
				(
					tmp_ventares_bak.observacion is not null
				)
				or
				(
					tmp_ventares_bak.desconsolida_forzar = 'S'
				)
			)
		
		UNION ALL
		
		SELECT 
			tmp_ventares_bak.idventatmp as idventatmp,
			productos.idprod_serial, 
			productos.descripcion, 
			cantidad as total, 
			precio as totalprecio, 
			subtotal as subtotal, 
			tmp_ventares_bak.idtipoproducto, 
			productos.idmedida,
			idprod_mitad1,
			idprod_mitad2,
			tipo_plato, 
			cocinado, 
			retirado,
			CASE WHEN
				(
					select tmp_ventares_agregado.idventatmp 
					from tmp_ventares_agregado 
					where tmp_ventares_agregado.idventatmp = tmp_ventares_bak.idventatmp
					limit 1
				) is not null
			THEN
				'S'
			ELSE
				'N'
			END as tiene_agregado,
			CASE WHEN
				(
					select tmp_ventares_sacado.idventatmp 
					from tmp_ventares_sacado 
					where tmp_ventares_sacado.idventatmp = tmp_ventares_bak.idventatmp
					limit 1
				) is not null
			THEN
				'S'
			ELSE
				'N'
			END as tiene_sacado,
			'N' as permite_agregado,
			'N' as permite_sacado,
			tmp_ventares_bak.observacion as observacion_producto,
			(select muestra_grupo_combo from productos where productos.idprod_serial = tmp_ventares_bak.idproducto limit 1) as muestra_grupo_combo
		FROM 
			tmp_ventares_bak
		INNER JOIN 
			productos on productos.idprod=tmp_ventares_bak.idproducto
		WHERE 
			tmp_ventares_bak.borrado = 'N'
			$whereadd
			and tmp_ventares_bak.borrado_mozo = 'N'
			and tmp_ventares_bak.idtipoproducto  in (2,3,4,11)
		ORDER BY descripcion asc, total desc";
	}

	if (empty($consulta_tabla)) {
		die("No se pudo armar correctamente el query");
	}
	$rs = $conexion->Execute($consulta_tabla) or die(errorpg($conexion, $consulta_tabla));

	$carrito_detalles = array();
	$i = 1;

	while (!$rs->EOF) {

		$muestra_grupo_combo = $rs->fields['muestra_grupo_combo'];
		$mostrar = "S";

		if ($muestra_extras == 'N') {

			if ($rs->fields['idtipoproducto'] == 5) {
				$mostrar = "N";
			}
		}
		if ($mostrar == "S") {

			$carrito_detalles[$i]['idventatmp'] = $rs->fields['idventatmp'];
			$carrito_detalles[$i]['idproducto'] = $rs->fields['idprod_serial'];
			$carrito_detalles[$i]['idtipoproducto'] = $rs->fields['idtipoproducto'];
			$carrito_detalles[$i]['idmedida'] = $rs->fields['idmedida'];
			$carrito_detalles[$i]['descripcion'] = trim($rs->fields['descripcion']);
			$carrito_detalles[$i]['cantidad'] = floatval($rs->fields['total']);
			$carrito_detalles[$i]['precio_unitario'] = floatval($rs->fields['totalprecio']);
			$carrito_detalles[$i]['subtotal'] = floatval($rs->fields['subtotal']);
			$carrito_detalles[$i]['tiene_agregado'] = trim($rs->fields['tiene_agregado']);
			$carrito_detalles[$i]['tiene_sacado'] = trim($rs->fields['tiene_sacado']);
			$carrito_detalles[$i]['tipo_plato'] = trim($rs->fields['tipo_plato']);
			$carrito_detalles[$i]['cocinado'] = trim($rs->fields['cocinado']);
			$carrito_detalles[$i]['retirado'] = trim($rs->fields['retirado']);

			if ($rs->fields['permite_agregado'] > 0) {

				$carrito_detalles[$i]['permite_agregado'] = 'S';
			} else {

				$carrito_detalles[$i]['permite_agregado'] = 'N';
			}
			if ($rs->fields['permite_sacado'] > 0) {

				$carrito_detalles[$i]['permite_sacado'] = 'S';
			} else {

				$carrito_detalles[$i]['permite_sacado'] = 'N';
			}

			//exepciones a agregados y sacados
			if ($rs->fields['idtipoproducto'] == 2 or $rs->fields['idtipoproducto'] == 3 or $rs->fields['idtipoproducto'] == 4) {

				$carrito_detalles[$i]['permite_agregado'] = 'S';
				$carrito_detalles[$i]['permite_sacado'] = 'S';
			}
			if ($rs->fields['idtipoproducto'] == 5 or $rs->fields['idtipoproducto'] == 6) {

				$carrito_detalles[$i]['permite_agregado'] = 'N';
				$carrito_detalles[$i]['permite_sacado'] = 'N';
			}

			$carrito_detalles[$i]['observacion'] = trim($rs->fields['observacion_producto']);
			$idventatmp = $rs->fields['idventatmp'];
			$idtipoproducto = $rs->fields['idtipoproducto'];
			$idprod_mitad1 = $rs->fields['idprod_mitad1'];
			$idprod_mitad2 = $rs->fields['idprod_mitad2'];
			$precio_adicional_acum = 0;

			// combinado viejo
			if ($idtipoproducto == 3) {

				$consulta = "
				select descripcion 
				from productos 
				where (idprod_serial = $idprod_mitad1 or idprod_serial = $idprod_mitad2)
				limit 2";
				$rsmit = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));

				$ipart = 1;

				while (!$rsmit->EOF) {

					$carrito_detalles[$i]['combinado_v'][$ipart]['descripcion'] = $rsmit->fields['descripcion'];
					$ipart++;
					$rsmit->MoveNext();
				}
			}

			// combinado extendido
			if ($idtipoproducto == 4) {
				$consulta = "
				select descripcion 
				from productos 
				inner join tmp_combinado_listas on tmp_combinado_listas.idproducto_partes = productos.idprod_serial
				where tmp_combinado_listas.idventatmp = $idventatmp
				limit 100";
				$rsmit = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));

				$ipart = 1;

				while (!$rsmit->EOF) {

					$carrito_detalles[$i]['combinado'][$ipart]['descripcion'] = $rsmit->fields['descripcion'];
					$ipart++;
					$rsmit->MoveNext();
				}
			}

			$consulta_combo = "";
			// combo
			if ($idtipoproducto == 2) {

				if ($muestra_grupo_combo == 'S') {

					$consulta_combo = "
					select combos_listas.nombre, productos.descripcion, count(*) as total,
					max(tmp_combos_listas.idventatmp_partes) as idventatmp_partes
					from productos 
					inner join tmp_combos_listas on tmp_combos_listas.idproducto = productos.idprod_serial
					inner join combos_listas on combos_listas.idlistacombo = tmp_combos_listas.idlistacombo
					where tmp_combos_listas.idventatmp = $idventatmp
					group by combos_listas.nombre, productos.descripcion
					order by combos_listas.idlistacombo asc
					limit 100";
				} else {

					$consulta_combo = "
					select productos.descripcion, productos.idprod_serial, 
					max(tmp_combos_listas.idventatmp_partes) as idventatmp_partes, 
					count(*) as total
					from productos 
					inner join tmp_combos_listas on tmp_combos_listas.idproducto = productos.idprod_serial
					where tmp_combos_listas.idventatmp = $idventatmp
					group by productos.descripcion, productos.idprod_serial
					limit 100";
				}

				if (empty($consulta_combo)) {
					die("No se pudo armar correctamente el query");
				}
				$rsmit = $conexion->Execute($consulta_combo) or die(errorpg($conexion, $consulta_combo));

				$ipart = 1;

				while (!$rsmit->EOF) {

					if ($muestra_grupo_combo == 'S') {

						$nombre_grupo = trim($rsmit->fields['nombre']) . ": ";
					}

					$carrito_detalles[$i]['combo'][$ipart]['idproducto'] = $rsmit->fields['idprod_serial'];
					$carrito_detalles[$i]['combo'][$ipart]['descripcion'] = $nombre_grupo . $rsmit->fields['descripcion'];
					$carrito_detalles[$i]['combo'][$ipart]['cantidad'] = $rsmit->fields['total'];

					if ($rsmit->fields['total'] > 0) {

						$carrito_detalles[$i]['combo'][$ipart]['idventatmp_partes'] = 0;
					} else {

						$carrito_detalles[$i]['combo'][$ipart]['idventatmp_partes'] = $rsmit->fields['idventatmp_partes'];
					}
					$ipart++;
					$rsmit->MoveNext();
				}
			}

			// agregados
			if ($rs->fields['tiene_agregado'] == 'S') {
				$consulta = "
				select tmp_ventares_agregado.alias, sum(tmp_ventares_agregado.cantidad) as cantidad,
				tmp_ventares_agregado.precio_adicional*tmp_ventares_agregado.cantidad as precio_adicional
				from tmp_ventares_agregado
				where idventatmp = $idventatmp
				group by alias
				order by alias desc";
				$rsag = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));

				$iag = 1;

				while (!$rsag->EOF) {

					$carrito_detalles[$i]['agregados'][$iag]['alias'] = $rsag->fields['alias'];
					$carrito_detalles[$i]['agregados'][$iag]['cantidad'] = floatval($rsag->fields['cantidad']);
					$subtotal = floatval($rsag->fields['cantidad']) * floatval($rsag->fields['precio_adicional']);
					$carrito_detalles[$i]['agregados'][$iag]['precio_adicional'] = $subtotal;
					$precio_adicional_acum += floatval($subtotal);
					$iag++;
					$rsag->MoveNext();
				}
			}

			// sacados
			if ($rs->fields['tiene_sacado'] == 'S') {

				$consulta = "
				select tmp_ventares_sacado.alias
				from tmp_ventares_sacado
				where idventatmp = $idventatmp
				order by alias desc";
				$rsag = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));

				$iag = 1;

				while (!$rsag->EOF) {

					$carrito_detalles[$i]['sacados'][$iag]['alias'] = $rsag->fields['alias'];
					$iag++;
					$rsag->MoveNext();
				}
			}

			$carrito_detalles[$i]['subtotal_con_extras'] = floatval($rs->fields['subtotal']) + $precio_adicional_acum;
			$carrito_detalles[$i]['precio_unitario_con_extras'] = $carrito_detalles[$i]['subtotal_con_extras'] / $carrito_detalles[$i]['cantidad'];

			$i++;
		}

		$rs->MoveNext();
	}

	return $carrito_detalles;
}

$parametros_array = array("estado_pedido" => 'C', "idusu" => $idusu, "idsucursal" => $idsucursal);
// print_r($parametros_array);
$carrito_detalles = carrito_mues($parametros_array);
// print_r($carrito_detalles);
?>

<div class="table-responsive">
	<table width="100%" class="table table-bordered jambo_table bulk_action" border="1">
		<thead>
			<tr>
				<th>Producto</th>
				<th>Cantidad</th>
				<th>P.U.</th>
				<th>Subtotal</th>
				<th>Acciones</th>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($carrito_detalles as $carrito_detalle) {

				if ($carrito_detalle['idtipoproducto'] != 5) {
			?>
					<tr>
						<td align="left">
							<?php echo  $carrito_detalle['descripcion'];

							if (trim($carrito_detalle['observacion']) != '') {
								echo  "<br />&nbsp;&nbsp;( ! ) OBS: " . $carrito_detalle['observacion'];
							}
							//print_r($carrito_detalle['agregados']);

							// combinado extendido
							$combinados = $carrito_detalle['combinado'];
							$ic = 1;
							foreach ($combinados as $combinado) {
								echo "<br />&nbsp;&nbsp;> Parte $ic: " . Capitalizar($combinado['descripcion']);
								$ic++;
							}

							// combo
							$combos = $carrito_detalle['combo'];
							$ic = 1;
							foreach ($combos as $combo) {
								echo "<br />&nbsp;&nbsp;> " . formatomoneda($combo['cantidad']) . " x " . Capitalizar($combo['descripcion']);
								$ic++;
							}

							// combinado viejo
							$combinado_vs = $carrito_detalle['combinado_v'];
							$ic = 1;
							foreach ($combinado_vs as $combinado_v) {
								echo "<br />&nbsp;&nbsp;> Parte $ic: " . Capitalizar($combinado_v['descripcion']);
								$ic++;
							}

							// agregados
							$carrito_agregados = $carrito_detalle['agregados'];
							$iag = 1;
							foreach ($carrito_agregados as $carrito_agregado) {
								echo "<br />&nbsp;&nbsp;&nbsp;(+) " . trim($carrito_agregado['alias'], 36) . "<br />";
								echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gs. " . formatomoneda($carrito_agregado['precio_adicional']) . "";
								$iag++;
							}

							// sacados
							$carrito_sacados = $carrito_detalle['sacados'];
							$iag = 1;
							foreach ($carrito_sacados as $carrito_sacado) {
								echo "<br />&nbsp;&nbsp;&nbsp;(-) SIN " . trim($carrito_sacado['alias'], 36) . "";
								$iag++;
							}

							$totalacum += $carrito_detalle['subtotal_con_extras'];

							$estilo_entrada = "";
							$estilo_fondo = "";

							if ($carrito_detalle['tipo_plato'] == 'E') {
								$estilo_entrada = ' style="background-color:#82E9FF;" ';
							}
							if ($carrito_detalle['tipo_plato'] == 'F') {
								$estilo_fondo = ' style="background-color:#82E9FF;" ';
							}
							if ($carrito_detalle['idventatmp'] > 0) {
								$tipo_borra = 'onClick="borrar_item(' . $carrito_detalle['idventatmp'] . ',' . $carrito_detalle['idproducto'] . ',\'' . Capitalizar(str_replace("'", "", $carrito_detalle['descripcion'])) . '\');"';
								$tipo_personaliza = 'editareceta.php?idvt=' . $carrito_detalle['idventatmp'];
								$accion_entrada = 'onclick="marcarplato_item(' . $carrito_detalle['idventatmp'] . ',\'E\');"';
								$accion_fondo = 'onclick="marcarplato_item(' . $carrito_detalle['idventatmp'] . ',\'F\');"';
							} else {
								$des = 'S';
								$tipo_borra = 'onClick="borrar(' . $carrito_detalle['idproducto'] . ',\'' . Capitalizar(str_replace("'", "", $des)) . '\');"';
								// $tipo_borra = 'onClick="borrar(' . $carrito_detalle['idproducto'] . ',\'' . Capitalizar(str_replace("'", "", $carrito_detalle['descripcion'])) . '\');"';
								$tipo_personaliza = 'editareceta.php?id=' . $carrito_detalle['idproducto'];
								$accion_entrada = 'onclick="marcarplato(' . $carrito_detalle['idproducto'] . ',\'E\');"';
								$accion_fondo = 'onclick="marcarplato(' . $carrito_detalle['idproducto'] . ',\'F\');"';
							}
							?>
						</td>
						<td align="center">
							<?php if ($carrito_detalle['idmedida'] != 4 && $carrito_detalle['idtipoproducto'] == 1) { ?><a href="cantidad_cambia.php?id=<?php echo $carrito_detalle['idproducto']; ?>" title="Editar Cantidad"><?php } ?><?php echo  formatomoneda($carrito_detalle['cantidad'], 4, 'N'); ?><?php if ($carrito_detalle['idmedida'] != 4 && $carrito_detalle['idtipoproducto'] == 1) { ?></a><?php } ?>
						</td>
						<td align="right">
							<?php echo  formatomoneda($carrito_detalle['precio_unitario_con_extras'], 2, 'N'); ?>
						</td>
						<td align="right">
							<?php echo  formatomoneda($carrito_detalle['subtotal_con_extras'], 2, 'N'); ?>
						</td>
						<td align="right">
							<input type="button" name="button2" id="button10" value="Borrar" class="boton" <?php echo $tipo_borra; ?> />
						</td>

					</tr>
				<?php } // if($carrito_detalle['idtipoproducto'] != 5){ 
				?>
			<?php } ?>
			<tr>
				<td height="50" colspan="5"><strong>Total: <?php echo formatomoneda($totalacum, 0); ?></strong></td>
			</tr>
		</tbody>
	</table>
</div>