<?php
// ini_set('display_errors', '1');
// ini_set('display_startup_errors', '1');
// error_reporting(E_ALL);
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo = "38";
$submodulo = "671";
require_once("../includes/rsusuario.php");

$fecha_desde = '';
$fecha_hasta = '';
$date_condition = '';
$add = '';

// Filtro
$tipo_membresia = intval($_GET['tipomiembro']); //para la membresia
if ($tipo_membresia > 0) {
    $add .= " and idtipocuenta=$tipo_membresia ";
}

$profesional = intval($_GET['vincular']); //para el id del profesional
if ($profesional > 0) {
    $add .= " and idprofe=$profesional ";
}

// Filtro fecha
if ($_REQUEST['desde'] != '' || $_REQUEST['hasta'] != '') {

    if ($_REQUEST['desde'] != '') {

        $fecha_desde = antisqlinyeccion($_REQUEST['desde'], "date");
    }

    if ($_REQUEST['hasta'] != '') {

        $fecha_hasta = antisqlinyeccion($_REQUEST['hasta'], "date");
    }

    $date_condition = " AND (SELECT 
                                MAX(fecha_asistencia)
                            FROM 
                                registros_asistencias
                            WHERE 
                                estado <> 6
                                AND idmembresia = cuentas_clientes_membresia.idmembresia)
                        BETWEEN $fecha_desde AND $fecha_hasta";
} else {

    $date_condition = 'AND (SELECT 
						        MAX(fecha_asistencia) 
					        FROM 
						        registros_asistencias 
					        WHERE 
						        estado<>6 
						        AND idmembresia=cuentas_clientes_membresia.idmembresia) < DATE_SUB(CURDATE(), INTERVAL 1 MONTH) ';
}

$buscar = "SELECT 
                nombre, 
                apellido,
                razon_social,
                documento,
				telefono,
				celular,
                idmembresia,
                monto_cuota,
                frecuencia,
                disponible_dias,
                cliente.idcliente,
                date(cuentas_clientes_membresia.registrado_el) as fechareg,
                (select usuario from usuarios where idusu=cuentas_clientes_membresia.registrado_por) as registrado_por,
                (select CONCAT(nombres,' ',apellidos) from profesionales where idprofe=cuentas_clientes_membresia.idprofe) as profesional,
                (disponible_dias-(select count(*) from registros_asistencias where idcliente=cliente.idcliente and estado=1)) as dias_real,
                (Select descripcion from cuentas_tipos where idcuenta_tipo=cuentas_clientes_membresia.idtipocuenta) as clasemiembro,
                (Select count(*) from registros_asistencias where estado<>6 and idmembresia=cuentas_clientes_membresia.idmembresia) as total_asistencias,
                (select max(fecha_asistencia)  from registros_asistencias where estado<>6 and idmembresia=cuentas_clientes_membresia.idmembresia) as ultima_fecha
	        FROM  
                cuentas_clientes_membresia 
	        INNER JOIN 
                cliente on cliente.idcliente=cuentas_clientes_membresia.idcliente
	        WHERE 
                cuentas_clientes_membresia.estado <> 6 $add $date_condition	
	        ORDER BY 
                ultima_fecha desc";

$rs = $conexion->Execute($buscar) or die(errorpg($conexion, $buscar));
// echo $rs;
$tr = $rs->RecordCount();
?>

<!DOCTYPE html>

<head>
    <?php require_once("../includes/head_gen.php"); ?>
</head>

<body class="nav-md">
    <div class="container body">
        <div class="main_container">
            <?php require_once("../includes/menu_gen.php"); ?>

            <!-- top navigation -->
            <?php require_once("../includes/menu_top_gen.php"); ?>
            <!-- /top navigation -->

            <!-- page content -->
            <div class="right_col" role="main">
                <div class="">
                    <div class="page-title">
                    </div>
                    <div class="clearfix"></div>
                    <?php require_once("../includes/lic_gen.php"); ?>

                    <!-- SECCION -->
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="x_panel">
                                <div class="x_title">
                                    <h2></h2>
                                    <ul class="nav navbar-right panel_toolbox">
                                        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                                        </li>
                                    </ul>
                                    <div class="clearfix"></div>
                                </div>
                                <div class="x_content">
                                    <form id="hg" action="" method="get">

                                        <div class="col-md-6 col-sm-6 form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Desde Fecha</label>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <input type="date" name="desde" id="desde" class="form-control" value="<?php echo $_REQUEST['desde'] ?>" />
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-sm-6 form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta Fecha</label>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <input type="date" name="hasta" id="hasta" class="form-control" value="<?php echo $_REQUEST['hasta'] ?>" />
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-sm-6 form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Profesional</label>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <?php
                                                $buscar = "Select * from profesionales where estado <> 6 order by nombres,apellidos asc";
                                                $rs1 = $conexion->Execute($buscar) or die(errorpg($conexion, $buscar));
                                                ?>

                                                <select name="vincular" id="vincular" class="form-control">
                                                    <option value="" selected>Seleccionar</option>
                                                    <?php while (!$rs1->EOF) { ?>
                                                        <option value="<?php echo $rs1->fields['idprofe'] ?>" <?php if ($rs1->fields['idprofe'] == $_GET['vincular']) { ?>selected="selected" <?php } ?>><?php echo $rs1->fields['nombres'] . ' ' . $rs1->fields['apellidos']; ?></option>
                                                    <?php $rs1->MoveNext();
                                                    } ?>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-sm-6 form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo Membresia</label>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <?php
                                                $buscar = "Select * from cuentas_tipos where estado=1 order by descripcion asc";
                                                $rs1 = $conexion->Execute($buscar) or die(errorpg($conexion, $buscar));
                                                ?>

                                                <select name="tipomiembro" id="tipomiembro" class="form-control">
                                                    <option value="" selected>Seleccionar</option>
                                                    <?php while (!$rs1->EOF) { ?>
                                                        <option value="<?php echo $rs1->fields['idcuenta_tipo'] ?>" <?php if ($rs1->fields['idcuenta_tipo'] == $_GET['tipomiembro']) { ?>selected="selected" <?php } ?>><?php echo $rs1->fields['descripcion']; ?></option>
                                                    <?php $rs1->MoveNext();
                                                    } ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="clearfix"></div>
                                        <br />

                                        <div class="form-group">
                                            <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
                                                <button type="submit" class="btn btn-default"><span class="fa fa-search"></span>Filtrar</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                    <?php if ($tr > 0) { ?>
                        <div class="row">
                            <div class="col-md-12 col-sm-12 col-xs-12">
                                <div class="x_panel">
                                    <div class="x_title">
                                        <h2>Miembros encontrado(s): <?php echo $tr ?></h2>
                                        <ul class="nav navbar-right panel_toolbox">
                                            <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                                            </li>
                                        </ul>
                                        <div class="clearfix"></div>
                                    </div>
                                    <div class="x_content">
                                        <div class="table-responsive">
                                            <table width="100%" class="table table-bordered jambo_table bulk_action">
                                                <thead>
                                                    <tr>
                                                        <th align="center">Documento</th>
                                                        <th align="center">Nombres</th>
                                                        <th align="center">Apellidos</th>
                                                        <th align="center">Celular</th>
                                                        <th align="center">Telefono</th>
                                                        <th align="center">Profesional</th>
                                                        <th align="center">Tipo Membresia</th>
                                                        <th align="center">Monto Cuota</th>
                                                        <th align="center">Registrado el</th>
                                                        <th align="center">Registrado por</th>
                                                        <th align="center">Total Asistencias</th>
                                                        <th align="center">Ultima Asistencia</th>
                                                        <th align="center">Dias Disponibles</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php while (!$rs->EOF) {
                                                    ?>
                                                        <tr>
                                                            <td align="center"><?php echo intval($rs->fields['documento']); ?></td>
                                                            <td align="center"><?php echo antixss($rs->fields['nombre']); ?></td>
                                                            <td align="center"><?php echo antixss($rs->fields['apellido']); ?></td>
                                                            <td align="center"><?php echo intval($rs->fields['celular']); ?></td>
                                                            <td align="center"><?php echo intval($rs->fields['telefono']); ?></td>
                                                            <td align="center"><?php echo ($rs->fields['profesional']); ?></td>
                                                            <td align="center"><?php echo ($rs->fields['clasemiembro']); ?></td>
                                                            <td align="center"><?php echo formatomoneda($rs->fields['monto_cuota']); ?></td>
                                                            <td align="center"><?php if ($rs->fields['fechareg'] != "") {
                                                                                    echo date("d/m/Y", strtotime($rs->fields['fechareg']));
                                                                                }  ?></td>
                                                            <td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
                                                            <td align="center"><?php echo intval($rs->fields['total_asistencias']); ?></td>
                                                            <td align="center"><?php if ($rs->fields['ultima_fecha'] != '') {
                                                                                    echo date("d/m/Y H:i:s", strtotime($rs->fields['ultima_fecha']));
                                                                                } ?></td>
                                                            <td align="center"><?php echo intval($rs->fields['disponible_dias']); ?></td>
                                                        </tr>
                                                    <?php $rs->MoveNext();
                                                    } //$rs->MoveFirst(); 
                                                    ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana2">
                            <div class="modal-dialog modal-lg">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
                                        <h4 class="modal-title" id="modal_titulo2">Vincular Profesional</h4>
                                    </div>
                                    <form id="jkl" action="well_cuentas.php" method="post">
                                        <div class="modal-body" id="modal_cuerpo2">
                                            <div class="col-md-6 col-sm-6 form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">Membresia *</label>
                                                <div class="col-md-9 col-sm-9 col-xs-12">
                                                    <input type="text" name="cedula" id="cedula" class="form-control" readonly value="<?php echo $_REQUEST['documento']; ?>" />

                                                </div>
                                            </div>

                                            <div class="col-md-6 col-sm-6 form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">Profesional Vincular</label>
                                                <div class="col-md-9 col-sm-9 col-xs-12">
                                                    <?php
                                                    $buscar = "Select * from profesionales where estado <> 6 order by nombres,apellidos asc";
                                                    $rs1 = $conexion->Execute($buscar) or die(errorpg($conexion, $buscar));
                                                    ?>

                                                    <select name="vincular" id="vincular" class="form-control" required>
                                                        <option value="" selected>Seleccionar</option>
                                                        <?php while (!$rs1->EOF) { ?>
                                                            <option value="<?php echo $rs1->fields['idprofe'] ?>"><?php echo $rs1->fields['nombres'] . ' ' . $rs1->fields['apellidos']; ?></option>
                                                        <?php $rs1->MoveNext();
                                                        } ?>
                                                    </select>
                                                </div>
                                            </div>
                                            <input type="hidden" name="ocmiembro" id="ocmiembro" value="<?php echo $idmembresia ?>" />
                                            <div class="clearfix"></div>
                                            <input type="submit" class="btn-primary" value="Asignar profesional" />
                                        </div>
                                    </form>
                                    <div class="modal-footer" id="modal_pie2"></div>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                </div>
            </div>
            <!-- /page content -->
            <?php require_once("../includes/pie_gen.php"); ?>
            <!-- /footer content -->
        </div>
    </div>
    <?php require_once("../includes/footer_gen.php"); ?>
</body>

</html>