<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo = "38";
$submodulo = "555";
require_once("../includes/rsusuario.php");

$consulta = "
select *,
(select descripcion from profesionales_tipos where idtipo_profesional=profesionales.tipo_profesional) as tipo_profe,
(select descripcion from tipo_vinculo where idtipovinculo=profesionales.tipo_vinculo) as tipovinculo,
(select usuario from usuarios where profesionales.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where profesionales.anulado_por = usuarios.idusu) as borrado_por
from profesionales 
where 
estado = 1 
order by idprofe asc";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
?>

<!DOCTYPE html>

<head>
	<?php require_once("../includes/head_gen.php"); ?>
</head>

<body class="nav-md">
	<div class="container body">
		<div class="main_container">
			<?php require_once("../includes/menu_gen.php"); ?>

			<!-- top navigation -->
			<?php require_once("../includes/menu_top_gen.php"); ?>
			<!-- /top navigation -->

			<!-- page content -->
			<div class="right_col" role="main">
				<div class="">
					<div class="page-title">
					</div>
					<div class="clearfix"></div>
					<?php require_once("../includes/lic_gen.php"); ?>

					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_content">
								</div>
							</div>
						</div>
					</div>

					<!-- SECCION -->
					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_title">
									<h2>Profesionales</h2>
									<ul class="nav navbar-right panel_toolbox">
										<li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
										</li>
									</ul>
									<div class="clearfix"></div>
								</div>
								<div class="x_content">
									<?php echo $error ?>
									<p><a href="well_profesionales_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a></p>
									<hr />
									<div class="table-responsive">
										<table width="100%" class="table table-bordered jambo_table bulk_action">
											<thead>
												<tr>
													<th></th>
													<th align="center">Idprofe</th>
													<th align="center">Documento</th>
													<th align="center">Nombres</th>
													<th align="center">Apellidos</th>
													<th align="center">Celular</th>
													<th align="center">Tipo profesional</th>
													<th align="center">Tipo vinculo</th>
													<th align="center">Cantidad establecida</th>
													<th align="center">Registrado el</th>
													<th align="center">Registrado por</th>
													<th align="center">Observaciones</th>
													<!-- <th align="center">Idcliente</th> -->
												</tr>
											</thead>
											<tbody>
												<?php while (!$rs->EOF) { ?>
													<tr>
														<td>
															<div class="btn-group">
																<!-- <a href="well_profesionales_det.php?id=<?php //echo $rs->fields['idprofe']; 
																											?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right" data-original-title="Detalle"><span class="fa fa-search"></span></a> -->
																<a href="well_profesionales_edit.php?id=<?php echo $rs->fields['idprofe']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right" data-original-title="Editar"><span class="fa fa-edit"></span></a>
																<a href="#" onclick="confirmDel(event, <?php echo $rs->fields['idprofe']; ?>, 'well_profesionales_del.php?id=<?php echo $rs->fields['idprofe']; ?>')" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right" data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
															</div>
														</td>
														<td align="center"><?php echo antixss($rs->fields['idprofe']); ?></td>
														<td align="center"><?php echo intval($rs->fields['documento']); ?></td>
														<td align="center"><?php echo antixss($rs->fields['nombres']); ?></td>
														<td align="center"><?php echo antixss($rs->fields['apellidos']); ?></td>
														<td align="center"><?php echo intval($rs->fields['celular']); ?></td>
														<td align="center"><?php echo ($rs->fields['tipo_profe']); ?></td>
														<td align="center"><?php echo ($rs->fields['tipovinculo']); ?></td>
														<td align="center"><?php echo intval($rs->fields['cantidad_establecida']); ?></td>
														<td align="center"><?php if ($rs->fields['registrado_el'] != "") {
																				echo date("d/m/Y H:i:s", strtotime($rs->fields['registrado_el']));
																			}  ?></td>
														<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
														<td align="center"><?php echo antixss($rs->fields['observaciones']); ?></td>
														<!-- <td align="center"><?php //echo intval($rs->fields['idcliente']); 
																				?></td> -->
													</tr>
												<?php $rs->MoveNext();
												} //$rs->MoveFirst(); 
												?>
											</tbody>
										</table>
									</div>
									<br />
								</div>
							</div>
						</div>
					</div>
					<!-- SECCION -->
				</div>
			</div>
			<!-- /page content -->

			<script>
				function busca_cliente(idcampo, tipo) {
					var direccionurl = 'busqueda_cliente_cat.php';
					$("#procede_bt").hide();
					var parametros = {
						"m": '1',
						"idcampo": idcampo,
						"tipo": tipo
					};
					$.ajax({
						data: parametros,
						url: direccionurl,
						type: 'post',
						beforeSend: function() {
							$('#modal_ventana').modal('show');
							$("#modal_titulo").html('Busqueda de Cliente');
							$("#modal_cuerpo").html('Cargando...');
						},
						success: function(response) {
							$("#modal_cuerpo").html(response);
						}
					});
				}

				function membresia() {

					$('#modal_ventana').modal('show');
					//$("#modal_titulo").html('Busqueda de Cliente');
					//$("#modal_cuerpo").html('Cargando...');
				}

				function confirmDel(event, id, url) {
					event.preventDefault();

					if (confirm('¿Estás seguro que deseas dar de baja a este profesional?')) {
						$.ajax({
							url: url,
							method: 'GET',
							dataType: 'json',
							success: function(responseText) {
								try {
									var response = JSON.parse(responseText);
									handleResponse(response);
								} catch (e) {
									console.log('Raw response:', responseText);
									alert('Error parsing JSON response: ' + e.message);
								}
							},
							error: function(xhr, status, error) {
								// console.log('Raw response:', xhr.responseText);
								alert('Error en la solicitud: ' + error);
							}
						});
					}
				}

				function handleResponse(response) {
					if (response.success) {
						alert(response.message);
						location.reload(); // Reload the page to reflect changes
					} else {
						alert('Error: ' + response.message);
					}
				}

				function confirmDel(event, id, url) {
					event.preventDefault();

					if (confirm('¿Estás seguro que deseas dar de baja a este profesional?')) {
						$.ajax({
							url: url,
							method: 'GET',
							dataType: 'json',
							success: function(response) {
								handleResponse(response);
							},
							error: function(xhr, status, error) {
								alert('Error en la solicitud: ' + error);
							}
						});
					}
				}

				function handleResponse(response) {
					if (response.success) {
						alert(response.message);
						location.reload(); // Reload the page to reflect changes
					} else {
						alert('Error: ' + response.message);
					}
				}
			</script>
			<?php require_once("../includes/pie_gen.php"); ?>
			<!-- /footer content -->
		</div>
	</div>
	<?php require_once("../includes/footer_gen.php"); ?>
</body>

</html>