<?php 
//exit;

/*
POR AHORA SOLO COPIA SI EL SITIO TIENE LA CARPETA "WS"



*/
date_default_timezone_set("America/Asuncion");
$saltolinea='
';
function escribe_log_txt($texto){
	global $saltolinea;
	$archivo_log='log/log_script_'.date("Ymd").'.log';
	
	// crea carpeta si no existe
	$micarpeta = 'log';
	if (!file_exists($micarpeta)) {
		mkdir($micarpeta, 0777, true);
	}
	
	// construye el texto
	//$fechahora='['.date("Y-m-d H:i:s").'] ';
	$texto_log=trim($fechahora.$texto).$saltolinea;

	// escribe en el archivo, si no existe crea a+
	$file = fopen($archivo_log, "a+");
	fwrite($file, $texto_log);
	fclose($file);
}
function ult_directorio($dir){
    $dir=trim($dir);
    $directorios=explode("/",$dir);
    $len=strlen(end($directorios));
    return substr(trim($dir),0,-$len);
}


// lista todos los directorios del public_html que dentro de ellos contiene un directorio llamado ws/
function listar_directorios_ws($dir,$inicio_dir=''){
	
	$directorio = opendir($dir);
	
	//echo $dir;
	
	$archivos = array();
	$carpetas = array();
	//Carpetas y Archivos a excluir
	$excluir = array('.', '..', 'index.php', 'favicon.ico','folder.png','file.png','.dropbox.cache','.dropbox');
	
	
	while ($f = readdir($directorio)) {
		if (is_dir("$dir/$f") && !in_array($f, $excluir)) {
			if(file_exists("$dir/$f/ws/")){
				// si queremos filtar por nombre de inicio
				if($inicio_dir != ''){
					if (strpos("$dir/$f/ws/", $inicio_dir) !== false) {
						$carpetas[] = $f;
					}
				}else{
					$carpetas[] = $f;	
				}
			}
		} else if (!in_array($f, $excluir)){
			//No es una carpeta, por ende lo mandamos a archivos
			$archivos[] = $f;
		}
	}
	closedir($directorio);
	sort($carpetas,SORT_NATURAL | SORT_FLAG_CASE);
	//sort($archivos,SORT_NATURAL | SORT_FLAG_CASE);
	
	//Mostrar Carpetas
	$i = 1;
	$directorios=array();
	foreach ($carpetas as $c) {
		$directorios[]=$dir.''.$c."";
		$i++;
	}
	
	return $directorios;

}




/*************   CONFIGURACIONES *******************/
$public_hml="/home/otrole6/public_html/";
$carpeta_origen="maestro.otrolevel.com.py";
//$public_hml="C:/wamp/www/";
//$carpeta_origen="ekaru";
$inicio_dir=trim($_POST['inicio_dir']); // si queremos filtrar solo los directorios que comienzan por
$archivos=trim($_POST['archivos_copiar']);
/*************   CONFIGURACIONES *******************/

// conversiones
$fichero_origen=$public_hml.$carpeta_origen;  // sin la barra al final
$fichero_origen=$public_hml.$carpeta_origen; // sin la barra al final
$directorios=listar_directorios_ws($public_hml,$inicio_dir);
$archivos=trim($archivos);
$archivos=nl2br($archivos);
$archivos_ar=explode("<br />",$archivos);

echo date("Y-m-d H:i:s");
echo "<br />";
?>
<form name="form1" method="post" action="">
<p>Copia desde: <?php echo $fichero_origen ?></p>
<p>
  <label for="textfield2">Inicio DIR:</label>
  <input type="text" name="inicio_dir" id="inicio_dir" placeholder="quierofruta" value="<?php if(!isset($_POST['inicio_dir'])){ ?><?php }else{ echo htmlentities($_POST['inicio_dir']); }?>" />
</p>
<p>Archivos PHP:</p>
<p>(separados por salto linea) </p>
  <label for="textfield"></label>
  <label for="textarea"></label>
  <textarea name="archivos_copiar" id="archivos_copiar" style="width:96%;" rows="10"><?php echo htmlentities($_POST['archivos_copiar']); ?></textarea>
  <br /><input type="submit" name="button" id="button" value="Copiar">
</form>
<?php 
if(isset($_POST['archivos_copiar']) && trim($_POST['archivos_copiar']) != ''){
	echo "<hr />";
	
	escribe_log_txt('['.date("Y-m-d H:i:s").'] '.'-------- INICIO TANDA --------');
	
	escribe_log_txt(htmlentities($_POST['archivos_copiar']));
	//.$saltolinea.'***************'
	
	$fichero_origen=trim($fichero_origen);
	foreach($directorios as $fichero_destino){
		$fichero_destino=trim($fichero_destino);
		//echo $fichero_destino.$fichero_origen;
		if($fichero_destino != $fichero_origen){
			foreach($archivos_ar as $archivo){
				$archivo=trim($archivo);
				if($archivo == 'includes/conexion.php'){
					echo "<strong style='color:#F00;'>este archivo '".htmlentities($archivo)."' no se puede copiar, se cancelo toda la tanda que sigue.</strong>";
					exit;
				}
				$ruta_origen=$fichero_origen.'/'.$archivo;
				$ruta_destino=$fichero_destino.'/'.$archivo;
				if(file_exists($ruta_origen)){
					echo "Copiado Desde: ".$ruta_origen;
					echo "<br />";
					echo "Copiado Hacia: ".$ruta_destino;
					
					//escribe_log_txt("Copiado Desde: ".$ruta_origen);
					//escribe_log_txt("Copiado Hacia: ".$ruta_destino);
					
					$carpeta=trim(ult_directorio($ruta_destino));
					if (!file_exists($carpeta)) {
						echo "<br />";
						echo "Directorio Creado: ".$carpeta;
						//escribe_log_txt("Directorio Creado: ".$carpeta);
						
						mkdir($carpeta, 0777, true);
					}
					echo "<hr />";
					copy($ruta_origen, $ruta_destino);
				}else{
					echo "<strong style='color:#F00;'>Archivo Inexistente en origen: ".$ruta_origen."</strong>";
					echo "<hr />";	
					//escribe_log_txt("Archivo Inexistente en origen: ".$ruta_origen);
				}
			}
		}
	}
	
	escribe_log_txt('['.date("Y-m-d H:i:s").'] '.'-------- FINAL TANDA --------');

}



?>