<?php
function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

function genera_archivo_csv_shopping($parametros_array){

	global $conexion;
	global $saltolinea;

	$nombre_archivo=antixss($parametros_array['nombre_archivo']);
	$ruta_archivo=antixss($parametros_array['ruta_archivo']);
	$fecha_desde=antisqlinyeccion($parametros_array['fecha_desde'],"text");
	$fecha_hasta=antisqlinyeccion($parametros_array['fecha_hasta'],"text");
	$idsucursal=antisqlinyeccion($parametros_array['idsucursal'],"int");
	$informa_tickets=trim($parametros_array['informa_tickets']);
	if(intval($idsucursal) == 0){
		echo "No se envio idsucursal";
		exit;
	}
	if($informa_tickets == 'S'){
		$whereadd_fact="";
	}else{
		$whereadd_fact="		
		and ventas.factura is not null
		and ventas.factura <> ''
		";
	}
	

	// ruta completa
	$ruta_completa=$ruta_archivo.''.$nombre_archivo;

	// Nombre del archivo CSV en el servidor
	$nombreArchivo = $ruta_completa.'.csv';

    // Comprobar si la carpeta existe, y si no, crearla
    if (!file_exists($ruta_archivo)) {
        mkdir($ruta_archivo, 0777, true);
    }

	// Abre el archivo en modo de escritura
	$archivo = fopen($nombreArchivo, 'w');
	// CONCAT(SUBSTRING(REPLACE(ventas.factura,'-',''), 1, 3),'-',SUBSTRING(REPLACE(ventas.factura,'-',''), 4, 3),'-',SUBSTRING(REPLACE(ventas.factura,'-',''), 7, 7)) as comprobante,
	$consulta="
	SELECT ventas.idventa, 
		ventas.ruc as ruc,
		CASE WHEN
				ventas.ruc = '44444401-7'
				OR ventas.ruc = 'X'
				OR ventas.ruc = 'XXX'
		THEN
			'SIN NOMBRE'
		ELSE
			SUBSTR(ventas.razon_social, 1, 250)
		END AS razon_social,
		date(ventas.fecha) as fecha_comprobante,
		ventas.fecha as fecha_hora_comprobante,
		
		
		CASE 
           WHEN ventas.factura IS NULL OR ventas.factura = ''
           THEN CONCAT('000-000-',ventas.idventa)
           ELSE CONCAT(SUBSTRING(REPLACE(ventas.factura,'-',''), 1, 3),'-',
                       SUBSTRING(REPLACE(ventas.factura,'-',''), 4, 3),'-',
                       SUBSTRING(REPLACE(ventas.factura,'-',''), 7, 7))
		END AS comprobante,
		
		'FACTURA' as tipo_comprobante,
		CASE WHEN ventas.estado =  6 THEN 'ANULADO' ELSE 'VIGENTE' END as estado_comprobante,
		CASE WHEN 
			(select idventa from ventas_detalles_impuesto where idventa = ventas.idventa limit 1) > 0
		THEN
			REPLACE(ROUND(COALESCE((select sum(monto_col) from ventas_detalles_impuesto where idventa = ventas.idventa and ventas_detalles_impuesto.iva_porc_col = 10),0),0),'.',',')
		ELSE
			REPLACE(ROUND(COALESCE((Select sum(subtotal) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=10),0),0),'.',',')
		END as gravadas_10, 

		CASE WHEN 
			(select idventa from ventas_detalles_impuesto where idventa = ventas.idventa limit 1) > 0
		THEN
			REPLACE(ROUND(COALESCE((select sum(monto_col) from ventas_detalles_impuesto where idventa = ventas.idventa and ventas_detalles_impuesto.iva_porc_col = 5),0),0),'.',',')
		ELSE
			REPLACE(ROUND(COALESCE((Select sum(subtotal) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=5),0),0),'.',',')
		END as gravadas_5,
		CASE WHEN 
			(select idventa from ventas_detalles_impuesto where idventa = ventas.idventa limit 1) > 0
		THEN
			REPLACE(ROUND(COALESCE((Select sum(monto_col) as subtotal from ventas_detalles_impuesto where idventa=ventas.idventa and iva_porc_col=0),0),0),'.',',')
		ELSE
			REPLACE(ROUND(COALESCE((Select sum(subtotal) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=0),0),0),'.',',')
		END as exentas,
		REPLACE(ROUND(COALESCE(ventas.totalcobrar,0),0),'.',',') as monto_comprobante,
		case when ventas.tipo_venta = 1 then 'CONTADO' ELSE 'CREDITO' END AS condicion,
		0 as tipocambio,
		'GS' AS moneda,
		 ventas.anulado_el,
		ventas.idcaja,
		CONCAT(ELT(WEEKDAY(fecha)+1, 
		'Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sabado', 'Domingo')) AS dia_semana,
		(
			SELECT GROUP_CONCAT(CONCAT(formas_pago.descripcion, ' (', ROUND(REPLACE(gest_pagos_det.monto_pago_det,'.',','),0), ')') SEPARATOR ', ') AS formapago 
			from gest_pagos_det 
			inner join gest_pagos on gest_pagos.idpago = gest_pagos_det.idpago
			inner join formas_pago on formas_pago.idforma = gest_pagos_det.idformapago
			where 
			gest_pagos.idventa = ventas.idventa
			and gest_pagos.estado <> 6
			order by formas_pago.descripcion asc
		 ) as 'Forma de Pago'
		FROM ventas
		INNER JOIN cliente ON cliente.idcliente = ventas.idcliente
		WHERE
		ventas.finalizo_correcto = 'S'
		and ventas.excluye_repven = 0 
		and ventas.estado <> 6
		and ventas.sucursal = $idsucursal
		and date(ventas.fecha) >= $fecha_desde
		and date(ventas.fecha) <= $fecha_hasta
		$whereadd_fact
		order by idventa desc
	";
	$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	$datos="";


	// asigna los datos de la consulta a una variable
	$array=$rs->fields;

	// CONSTRUYE CABECERA
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;

	// imprime cabecera
	//echo $datos;

	// Escribe la cabecera en el archivo
	fwrite($archivo, $datos);


	//CONSTRUYE CUERPO
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		$linea = '';
		foreach($array as $key=>$value){
			$i++;
			//echo limpiacsv($value).';';
			$linea .= limpiacsv($value) . ';';
		}
		//echo $saltolinea;
		$linea .= $saltolinea;

		// Escribe la línea en el archivo
		fwrite($archivo, $linea);

	$rs->MoveNext(); }

	// Cierra el archivo
	fclose($archivo);

	$res=array(
		'valido' => 'S',
		'errores' => $errores,
		'nombre_archivo' => $nombre_archivo
	);

	return $res;

}
function genera_archivo_txt_shopping($parametros_array){

	global $conexion;
	global $saltolinea;

	$nombre_archivo=antixss($parametros_array['nombre_archivo']);
	$ruta_archivo=antixss($parametros_array['ruta_archivo']);
	$contenido_archivo=trim($parametros_array['contenido_archivo']);

	// ruta completa
	$ruta_completa=$ruta_archivo.''.$nombre_archivo;

	// Nombre del archivo txt en el servidor
	$nombreArchivo = $ruta_completa.'.txt';

    // Comprobar si la carpeta existe, y si no, crearla
    if (!file_exists($ruta_archivo)) {
        mkdir($ruta_archivo, 0777, true);
    }

	// Abre el archivo en modo de escritura
	$archivo = fopen($nombreArchivo, 'w');


	// Escribe en el archivo
	fwrite($archivo, $contenido_archivo);

	// Cierra el archivo
	fclose($archivo);

	$res=array(
		'valido' => 'S',
		'errores' => $errores,
		'nombre_archivo' => $nombre_archivo
	);

	return $res;

}
function ticket_shopping($parametros_array){

	//print_r($parametros_array);exit;
	
	global $conexion;
	global $saltolinea;
	$idempresa=1;

	$idsucursal=intval($parametros_array['idsucursal']);
	$idcaja=intval($parametros_array['idcaja']);
	$informa_tickets=trim($parametros_array['informa_tickets']);
	
	if($informa_tickets == 'S'){
		$whereadd_fact="";
	}else{
		$whereadd_fact="		
		and ventas.factura is not null
		and ventas.factura <> ''
		";
	}

	if(trim($parametros_array['desde']) == '' or trim($parametros_array['hasta']) == ''){
		$desde=date("Y-m-").'01';
		$hasta=date("Y-m-d");
	}else{
		$desde=date("Y-m-d",strtotime($parametros_array['desde']));
		$hasta=date("Y-m-d",strtotime($parametros_array['hasta']));	
	}
	if(trim($parametros_array['hdesde']) == '' or trim($parametros_array['hhasta']) == ''){
		$hdesde="00:00";
		$hhasta="23:59";
	}else{ 
		$hdesde=date("H:i",strtotime($parametros_array['hdesde']));
		$hhasta=date("H:i",strtotime($parametros_array['hhasta']));	
	}
	$desde_completo=$desde." ".$hdesde.':00';
	$hasta_completo=$hasta." ".$hhasta.':59';


	// sucursal
	if(intval($idsucursal) > 0){
		$idsuc=intval($idsucursal);
		$filtrocaja=" and ventas.sucursal = $idsuc";
		$buscar="Select * from sucursales where idsucu=$idsuc ";
		$rssuc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$sucursaaltxt=trim($rssuc->fields['nombre']);
	} else {
		//todas
		$filtrocaja=" ";
		
	}
	// caja 
	if($idcaja > 0){
		$filtrocaja.=" and ventas.idcaja = $idcaja ";
	}
	
	
	
	
	
	//para dtos de cabecera
	$buscar="
	select 
	min(ventas.idventa) as primero, max(ventas.idventa) as mayora,sum(totalcobrar) as totalventa
	from ventas
	where 
	ventas.finalizo_correcto = 'S'
	and ventas.excluye_repven = 0 
	and ventas.estado <> 6
	and date(fecha)>='$desde' 
	and date(fecha)<='$hasta' 
	and ventas.fecha >= '$desde_completo' 
	and ventas.fecha <= '$hasta_completo' 
	$whereadd_fact
	$filtrocaja
	";
	$rs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idventa_pri=intval($rs->fields['primero']);
	
	//para factura
	$buscar="
	select 
	min(ventas.idventa) as primero, max(ventas.idventa) as mayora
	from ventas
	where 
	ventas.finalizo_correcto = 'S'
	and ventas.excluye_repven = 0 
	and ventas.estado <> 6
	and date(fecha)>='$desde' 
	and date(fecha)<='$hasta' 
	and ventas.fecha >= '$desde_completo' 
	and ventas.fecha <= '$hasta_completo' 
	$whereadd_fact
	$filtrocaja
	";
	$rsf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

	$tr=$rs->RecordCount();
	$totalventa=floatval($rs->fields['totalventa']);
	
	$min=intval($rsf->fields['primero']);
	$max=intval($rsf->fields['mayora']);
	//solo numero factura
	/*$buscar="
	Select current_date,
		(select factura from ventas where idventa=$min) as inicial,
		(select factura from ventas where idventa=$max) as final 
		from ventas limit 1
	";
	$rsfc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$fi=$rsfc->fields['inicial'];
	$ff=$rsfc->fields['final'];
*/
/*
		CAST(SUBSTRING(factura,1,3) AS UNSIGNED) as cod_establecimiento,
		CAST(SUBSTRING(factura,4,3) AS UNSIGNED) as punto_expedicion,
		CAST(SUBSTRING(ventas.factura,7,7) AS UNSIGNED) as factura_numero,
		factura
*/
	$buscar="
	select cod_establecimiento, punto_expedicion, min(factura_numero) as min_fac, max(factura_numero) as max_fac
	from 
	(
		Select 
        IF(ventas.factura IS NULL OR ventas.factura = '', 0, CAST(SUBSTRING(ventas.factura, 1, 3) AS UNSIGNED)) AS cod_establecimiento,
        IF(ventas.factura IS NULL OR ventas.factura = '', 0, CAST(SUBSTRING(ventas.factura, 4, 3) AS UNSIGNED)) AS punto_expedicion,
        IF(ventas.factura IS NULL OR ventas.factura = '', ventas.idventa, CAST(SUBSTRING(ventas.factura, 7, 7) AS UNSIGNED)) AS factura_numero,
        ventas.factura
		from ventas
		WHERE
			ventas.finalizo_correcto = 'S'
			and ventas.excluye_repven = 0 
			and ventas.estado <> 6
			and date(ventas.fecha)>='$desde' 
			and date(ventas.fecha)<='$hasta' 
			and ventas.fecha >= '$desde_completo' 
			and ventas.fecha <= '$hasta_completo' 
			$whereadd_fact
			$filtrocaja
	) as facturas
	group by cod_establecimiento, punto_expedicion
	order by cod_establecimiento asc, punto_expedicion asc
	";
	//echo $buscar;exit;;
	$rsfc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$fac_numeros='';
	while(!$rsfc->EOF){
		$inicio=agregacero($rsfc->fields['cod_establecimiento'],3).'-'.agregacero($rsfc->fields['punto_expedicion'],3).'-'.agregacero($rsfc->fields['min_fac'],7);
		$final=agregacero($rsfc->fields['cod_establecimiento'],3).'-'.agregacero($rsfc->fields['punto_expedicion'],3).'-'.agregacero($rsfc->fields['max_fac'],7);
		$fac_numeros.="Inicial: $inicio ".$saltolinea;
		$fac_numeros.="Final:  $final ".$saltolinea;
	$rsfc->MoveNext(); }
	


	//consulta para agrupacion de montos de iva
	
	$buscar="
	Select sum(ivaml) as totalivaml,sum(monto_col) as total_columna,iva_porc_col 
	FROM
	(
	select ventas.idventa,idventadetimp,iva_porc_col,ivaml,monto_col
	from ventas
	inner join ventas_detalles_impuesto on ventas_detalles_impuesto.idventa=ventas.idventa
	where 
	ventas.finalizo_correcto = 'S'
	and ventas.excluye_repven = 0 
	and ventas.estado <> 6
	and date(fecha)>='$desde' 
	and date(fecha)<='$hasta' 
	and ventas.fecha >= '$desde_completo' 
	and ventas.fecha <= '$hasta_completo' 
	$whereadd_fact
	$filtrocaja
	) as resul
	group by iva_porc_col
	";
	$rs1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	$consulta="
	select * from empresas where idempresa = $idempresa
	";
	$rsemp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$razon_social_empresa=trim($rsemp->fields['razon_social']);
	$ruc_empresa=trim($rsemp->fields['ruc']).'-'.trim($rsemp->fields['dv']);
	$direccion_empresa="";//trim("Direccion: ".$rsemp->fields['direccion']);
	$nombre_fantasia_empresa=trim($rsemp->fields['empresa']);
    $actividad_economica=trim($rsemp->fields['actividad_economica']);
	$telefono_empresa=trim($rsemp->fields['telefono']);
	
		
	$tk.=texto_tk($de_fac.trim($razon_social_empresa),40,'S').$saltolinea;	
	$tk.=texto_tk("RUC: ".trim($ruc_empresa),40,'S').$saltolinea;
	if(trim($actividad_economica) != '' && $muestra_actividad_fac == 'S'){
		$tk.="Actividad Economica: ".trim($actividad_economica).$saltolinea;
	}
	//$tk.=$texto_matriz_fact.': '.trim($direccion_empresa).$saltolinea;
	if($rssuc->fields['idsucu'] > 0){
		$tk.="Sucursal: $sucursaltxt".trim($rssuc->fields['nombre']).$saltolinea; //trim($rssuc->fields['nombre']).$saltolinea;
		//$tk.=trim($rssuc->fields['direccion']).$saltolinea;
	}
	if(trim($telefono_empresa) != ''){
		$tk.='Tel: '.trim($telefono_empresa).$saltolinea;
	}
	$tk.='----------------------------------------'.$saltolinea;
	$tk.="Total Venta GS: **".formatomoneda($totalventa)."**".$saltolinea;
	$tk.="Entre: ".date("d/m/Y",strtotime($desde))." al : ".date("d/m/Y",strtotime($hasta)).$saltolinea;	
	/*$tk.="Inicial: $fi ".$saltolinea;
	$tk.="Final:  $ff ".$saltolinea;*/
	$tk.=$fac_numeros;
	if($idcaja > 0){
		$tk.="Caja:  $idcaja ".$saltolinea;
	}
	$tk.='-----------DESGLOCE IVA-----------------'.$saltolinea;
	while (!$rs1->EOF){
		$tk.=formatomoneda($rs1->fields['iva_porc_col'],4,'N')." % "." Gs: ".formatomoneda($rs1->fields['total_columna'],4,'N').$saltolinea;	
	$rs1->MoveNext(); }
	$tk.='-----------FORMAS PAGO---------------'.$saltolinea;
//Formas de pago

	$consulta="
	select formas_pago.descripcion as formapago, count(ventas.idventa) as cantidad, sum(gest_pagos_det.monto_pago_det) as total
	from  gest_pagos
	inner join gest_pagos_det on gest_pagos_det.idpago = gest_pagos.idpago
	inner join ventas on ventas.idventa = gest_pagos.idventa

	inner join formas_pago on formas_pago.idforma = gest_pagos_det.idformapago
	where
	ventas.finalizo_correcto = 'S'
	and ventas.excluye_repven = 0 
	and ventas.estado <> 6
	and date(ventas.fecha) >= '$desde'
	and date(ventas.fecha) <= '$hasta'
	and ventas.fecha >= '$desde_completo' 
	and ventas.fecha <= '$hasta_completo' 
	and gest_pagos.estado <> 6
	$filtrocaja
	and formas_pago.idforma <> 7
	and formas_pago.idforma <> 8
	and gest_pagos.idtipocajamov = 1
	$whereadd_fact
	group by formas_pago.descripcion
	order by sum(gest_pagos_det.monto_pago_det) desc
	";
	$rsfp = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	while (!$rsfp->EOF){
		$tk.=$rsfp->fields['formapago']." Gs: ".formatomoneda($rsfp->fields['total']).$saltolinea;	
	$rsfp->MoveNext(); }

	if($idventa_pri > 0){
		$hay_datos='S';
	}else{
		$hay_datos='N';
	}
	
	$res=array(
		'tk' => $tk,
		'hay_datos' => $hay_datos
	);
	return $res;

}
?>