<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="315";
require_once("includes/rsusuario.php"); 


		
$consulta="
select *,
(select usuario from usuarios where zonas_delivery.anulado_por = usuarios.idusu) as anulado_por,
(select descripcion from productos where productos.idprod_serial = zonas_delivery.idproducto_zona) as producto,
(
select productos_sucursales.precio
from productos_sucursales 
inner join productos on productos.idprod_serial = productos_sucursales.idproducto 
where 
productos.idprod_serial = zonas_delivery.idproducto_zona
and productos_sucursales.idsucursal = $idsucursal
) as precio
from zonas_delivery 
where 
 estado = 6
order by anulado_el desc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Zonas de Delivery Borradas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">




<p><a href="zonas_delivery_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a></p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Idzona</th>
			<th align="center">Zona</th>
			<th align="center">Observacion</th>
			<th align="center">Articulo</th>
            <th align="center">Precio Articulo</th>
			<th align="center">Borrado por</th>
			<th align="center">Borrado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="zonas_delivery_res.php?id=<?php echo $rs->fields['idzonadel']; ?>" class="btn btn-sm btn-default" title="Restaurar" data-toggle="tooltip" data-placement="right"  data-original-title="Restaurar"><span class="fa fa-recycle"></span></a>

				</div>

			</td>
			<td align="center"><?php echo antixss($rs->fields['idzonadel']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['describezona']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['obs']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['producto']); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['precio']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['anulado_por']); ?></td>
			<td align="center"><?php if($rs->fields['anulado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['anulado_el'])); }  ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
