<?php 
function seg_a_dhms($seg) { 
    $d = floor($seg / 86400); 
    $h = floor(($seg - ($d * 86400)) / 3600); 
    $m = floor(($seg - ($d * 86400) - ($h * 3600)) / 60); 
    $s = $seg % 60;
	if ($d > 0){
		$add1="$d Días,";
	}
	if ($h >0){
		$add2="$h horas,";
	}
	if ($m > 0){
		$add3="$m minutos,";
	}
	$texto="$add1 $add2 $add3".$s." segundo(s)";
    return $texto;
 }

function verificardocumento($parte1,$parte2,$numero){

	 $cab=trim($parte1).trim($parte2);
	 $limite=7;
	 $medio='';
	 $final=$numero;
	 $cantf=strlen($final);
	 $dif=($limite-$cantf);
	 if ($dif > 0) {
	    for ($i = 1;$i<=$dif;$i++) {
		  $medio=$medio.'0';
		
		}
		//al finalizar el for, le metemos a completar como debe ser
		$compuesto=$cab.$medio.$final;
	  } else {
	  // no habian diferencias
		$compuesto=$cab.$final;
	  }
	  $documentom=$compuesto;
	  return $documentom;
}

function comprobar_caja($array_entrada){
	global $conexion;
	
	$cajeroid=$array_entrada["idcajero"];
	$sucursalid=$array_entrada["sucursalid"];
	
	//Comprobar apertura de caja en fecha establecida
	$buscar="Select * from caja_super where estado_caja=1 and cajero=$cajeroid and sucursal = $sucursalid order by fecha desc limit 1";
	
	$rscaja=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idcaja=intval($rscaja->fields['idcaja']);
	$estadocaja=intval($rscaja->fields['estado_caja']);
	if ($idcaja==0){
		$errores.="- La caja debe estar abierta para poder realizar una venta.";
		$valido="N";
	}
	if ($estadocaja==3){
		$errores.="- La caja debe estar abierta para poder realizar una venta.";
		$valido="N";
	}
	if ($valido!='N'){
		return $idcaja;
		
	} else {
		return 0;
	}
	
	
	
}

function comprobar_permisos_cajero($array_entrada){
	global $conexion;
	$idempresa=$array_entrada["empresaid"];
	$cajeroid=$array_entrada["idcajero"];
	$sucursalid=$array_entrada["sucursalid"];
	
	$consulta="
		SELECT *, (SELECT fechahora FROM usuarios_accesos where idusuario = usuarios.idusu order by fechahora desc limit 1) as ultacceso,
		(select nombre from sucursales where idsucu=usuarios.sucursal and idempresa=$idempresa) as sucuchar
		FROM usuarios
		where
		estado = 1
		and idempresa = $idempresa
		and sucursal= $sucursalid
		and idusu in (select idusu from modulo_usuario where idempresa = $idempresa and estado = 1 and submodulo = 22)
		and idusu=$cajeroid
		order by usuario asc
		";
		$rsccajacon=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		if (intval($rsccajacon->fields['idusu'])>0){
			$permitecobrar='S';
		} else {
			$permitecobrar='N';

		}
		return $permitecobrar;
}

function buscar_idcaja($cajero){
	global $conexion;
	$buscar="Select * from caja_super where estado_caja=1 and cajero=$cajero";
	$rscaja=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));	
	$idcaja=intval($rscaja->fields['idcaja']);
	return $idcaja;
}
function crear_cuenta_adh($idcta,$idadherente,$totalvendido,$idusu,$idempresa,$idventa){
	global $conexion;
	
	//datos del adherente
	$buscar="Select * from adherentes where idadherente=$idadherente";
	$rsad=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	$idcliente=$rsad->fields['idcliente'];
	$buscar="Select saldo_sobregiro from cliente where idcliente=$idcliente";
	$rssob=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	
	$consulta="
	INSERT INTO adherente_estadocuenta 
	( fechahora, fechasola, tipomov, idcliente, idadherente, idserviciocom, monto, idventa, idpago, idcta, idempresa, idpagodiscrim)
	SELECT registrado_el as fechahora, date(registrado_el) as fechasola, 'D' as tipomov, idcliente, idadherente,
	 idserviciocom, deuda_global as monto, idventa, NULL as idpago, idcta, idempresa , NULL as idpagodiscrim
	from cuentas_clientes 
	where 
	idcta = $idcta
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$saldosobregiro_tit=intval($rssob->fields['saldo_sobregiro']);
	$saldosobregiro_posconsumo_tit=$saldosobregiro_tit-$totalvendido;
	
	// actualizar el saldo de sobregiro
	$consulta="
	update cliente 
	set 
	saldo_sobregiro = $saldosobregiro_posconsumo_tit
	where 
	idcliente = $idcliente 
	and idempresa = $idempresa
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				
	
}
function validar_adherente($idadherente,$totalcobrar,$idempresa,$idmesa){
	
	global $conexion;
 	$mesactu=date("m");
 	$anoactu=date("Y");
	
	//datos del adherente
	$buscar="Select * from adherentes where idadherente=$idadherente";
	$rsad=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	
	
	// busca el consumo del mes actual del adherente del cliente (solo ventas credito)
	$buscar="
	Select sum(totalcobrar) as consumo_mes
	from ventas 
	where 
	idadherente=$idadherente 
	and idempresa=$idempresa 
	and MONTH(fecha) = $mesactu
	and YEAR(fecha) = $anoactu
	and tipo_venta = 2
	";
	$rsvconsumo=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		
	// variables necesarias para el calculo
	$maxmensual_adh=intval($rsad->fields['maximo_mensual']);
	$lineasobregiro_adh=intval($rsad->fields['linea_sobregiro']);
	$saldosobregiro_adh=intval($rsad->fields['disponible']);
	$saldomensual_adh=$maxmensual_adh-intval($rsvconsumo->fields['consumo_mes']);
	$saldosobregiro_posconsumo_adh=intval($saldosobregiro_adh)-intval($totalcobrar);
	// si el consumo a registrar supera el saldo disponible de la linea de credito
	if($totalcobrar > $saldosobregiro_adh){
		$valido='N';
		$errores.='- La venta que intentas realizar supera la linea disponible del adherente.'.$maxmensual_adh.'<br />';
	}
	// si el consumo a registrar supera el saldo de maximo mensual
	if($totalcobrar > $saldomensual_adh){
		$valido='N';
		$errores.='- La venta que intentas realizar supera el maximo mensual permitido para el adherente.<br />';
	}		
	
	if ($errores==''){
		$seguir='S';
	} else {
		$seguir=$errores;
	}
	return $seguir;
}

/*-------------------REGISTROS DE VENTA----------------------------------------*/
function registrarventa($array_entrada){
		global $conexion;
		
		$idatc=$array_entrada['idatc']; //ATC de la mesa
		$idmesa=$array_entrada['idmesa']; //Id de la mesa						   
		$idcliente=intval($array_entrada['idcliente']);//Id del cliente seleccionado para la venta
		$idadherente=intval($array_entrada['idadherente']);
		if ($idadherente > 0){
			//Cuando es mesa, tomaremos el idservicio con saldo mas alto para cargarle en forma automatica
			//hasta poder ver si es conveniente o no, colocarle un select de servicios otra vez
			//ya que mesas es mas para restó que cantina	
			$buscar="Select max(adherentes_servicioscom.disponibleserv) as dispo from adherentes_servicioscom
			where idadherente=$idadherente";
			
			$rsmay=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));	
			$dispo=intval($rsmay->fields['dispo']);
			$buscar="Select idserviciocom from  adherentes_servicioscom
			where idadherente=$idadherente and disponibleserv=$dispo";
			$rsmay=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));	
			$idservcom=intval($rsmay->fields['idserviciocom']);
		}
		//echo $idservcom;exit;
		$continuar=1;//se saclo la validacon de adherente de aca, se hace antes de llegar a registrar venta, en cerrar mesa
		
	if ($continuar==1){
		$idservcom=intval($idservcom);//Asi si  no hay, envia cero y asigna al titular el consumo
		
		//-----------------------------CLIENTE------------//
		//Buscamos los datos del cliente
		$buscar="Select * from cliente where idcliente=$idcliente";
		$rscliente=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));	
		$ruccliente=trim($rscliente->fields['ruc']);
		$razonsoc=trim($rscliente->fields['razon_social']);
		$idcliente=intval($rscliente->fields['idcliente']);
		if($idcliente == 0){
			echo "No se indico el cliente.";exit;	
		}
		
		//-----------------------------CLIENTE------------//
		
		$clasevta=$array_entrada['formaventa'];//Si es Credito o contado
		if ($clasevta==2){
			//CRED
			$esta=1;//X Cobrar
			$crearcuenta=1;
		} else {
			//CONT
			$esta=2;//Cobrado
			$crearcuenta=0;
		}
		$cajeroid=$array_entrada['idcajero']; //Id del cajero que cobra
		//Buscar id de caja del cajero
		$idcaja=buscar_idcaja($cajeroid);
		if ($idcaja==0){
			//ERROR
			echo 'error';exit;
		}
		$idsucursal=$array_entrada['sucursalid']; //id de la sucursal de la venta
		$idempresa=$array_entrada['empresaid']; //id de la empresa
		$tipofactura=trim($array_entrada['tipofactura']);//Simple o compuesta
	
		$iddeposito=$array_entrada['iddeposito']; //Deposito del cual se descuenta
		$tipofacturacion=intval($array_entrada['tipofacturacion']);//Para saber si es factura diplo o normal
		$tipoimpresion=$array_entrada['textoimpresion']; //Si es tradicional por productos o agrupado x consumision
		if ($tipoimpresion==1){
			//normal
			$agr='N';
		}
		if ($claseimpre==2){
			//agrupado
			$agr='S';
		}
		$idmozo=intval($array_entrada['mozoid']);//Id del mozo solo para uso con canal mesa
	
	
		$fac_suc=intval($array_entrada['sucursalfc']);
		$fac_pexp=intval($array_entrada['pefc']);
		$factura=intval($array_entrada['facturanum']); //Numero de factura emitido o a ser asignada
		$factura_suc=intval($fac_suc);
        $factura_pexp=intval($fac_pexp);
		if($idadherente > 0){
			$factura=0;
			$factura_suc=0;
			$factura_pexp=0;
			$fac_suc=0;
			$fac_pexp=0;
		}
	
	
		$recibo=$array_entrada['recibonum']; //Numero de recibo emitido o a ser asignada NO aplica si es auto impresor
		// preferencias
		$consulta="SELECT * FROM preferencias WHERE  idempresa = $idempresa ";
		$rspref=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$ventas_nostock=trim($rspref->fields['ventas_nostock']);
		$mueve_stock=trim($rspref->fields['mueve_stock']);
		$autoimpresor=trim($rspref->fields['autoimpresor']);
		$ventacaj_impcocina=trim($rspref->fields['ventacaj_impcocina']);
		if ($factura==0){
			$recibo='';
			//generar num recibo si no es auto impresor
			
		} else {
			//tiene factura, completar los digitos
			if($autoimpresor == 'S'){
			   // echo "a";
			   // exit;
			    // omite la factura escrita y fuerza la que debe ser segun bd

			 
				$proxfactura=prox_factura_auto($factura_suc,$factura_pexp,$idempresa);
				//echo $proxfactura;
				//exit;
				$timbradodatos=timbrado_tanda($factura_suc,$factura_pexp,$idempresa,$proxfactura);
				$factura=$proxfactura;
				$facturafinal=antisqlinyeccion(trim(agregacero($factura_suc,3).agregacero($factura_pexp,3).agregacero($proxfactura,7)),'text');
				$fac_nro=$proxfactura;
				$fac_suc=$factura_suc;
				$fac_pexp=$factura_pexp;
				$idtandatimbrado=$timbradodatos['idtanda'];
				$timbrado=$timbradodatos['timbrado'];
				$valido_hasta=$timbradodatos['valido_hasta'];
				$valido_desde=$timbradodatos['valido_desde'];
				$inicio_timbrado=$timbradodatos['inicio'];
				$fin_timbrado=$timbradodatos['fin'];
				//print_r($timbradodatos);
			//	exit;
				if(intval($idtandatimbrado) == 0){
					$valido='N';
					$errores.='- No existe tanda de timbrado para este punto de expedicion.<br />';
				}

			}
			$facturafinal=verificardocumento($fac_suc,$fac_pexp,$factura);
			$recibo='';
		}
		
		if($valido == 'N'){
		    echo $errores;
		    exit;
		}

		//Total de la venta
		$buscar="Select sum(monto) as total,sum(delivery_costo) as delivery_costo,(select sum(descuento) as descuento from tmp_ventares 
			where idtmpventares_cab=tmp_ventares_cab.idtmpventares_cab and idatc=$idatc and finalizado='S' and registrado='N' 	and estado=1 ) as descuento
			from  tmp_ventares_cab 
			where  
			finalizado='S' 
			and registrado='N' 
			and estado=1 
			and tmp_ventares_cab.idsucursal = $idsucursal
			and idmesa = $idmesa and idatc=$idatc";
		$rsmo=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$totalvendido=floatval($rsmo->fields['total']);
		//floatval($rsmo->fields['total'])+
		$totalvendido_deldesc=floatval($rsmo->fields['descuento']);
		$totalvendido=$totalvendido-$totalvendido_deldesc;
			
		$idcanal=4;//Por defecto para ventas x mesas
		$iva10=0;//se hacen en base al detalle
		$tventa5=0;//se hacen en base al detalle
		$iva5=0;//se hacen en base al detalle
		$tventaex=0;//se hacen en base al detalle
		$mediopago=3;//MIXTO X DEFECTO
		$operador_pedido=0;//se hacen en base al detalle
		$idzona=0;
		$vuelto=0;
		$motivo_descuento=0;
		$delivery_costo=0;$vuelto=0;$idclientedel=0;$iddomicilio=0;$descuento=0;$pedido=0;
		
		//Track ID
		$tcid=$idempresa.$idsucursal.$idusu;
		$v=date('YmdHis');
		$tcid=$tcid.$v;
		$ahora=date("Y-m-d H:i:s");
		$tk=0;
		
	
		
	
		if ($tipofactura=='S'){
			//Registrar la venta simple
			$buscar="SELECT sum(monto) as monto FROM tmp_ventares_cab where idatc=$idatc and finalizado = 'S' and registrado = 'N' and estado = 1 and idempresa = $idempresa and idsucursal = $idsucursal";
			$rscab=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));	
			
			$buscar="
			SELECT *
			FROM tmp_ventares_cab 
			where 
			idatc=$idatc 
			and finalizado = 'S' 
			and registrado = 'N' 
			and estado = 1 
			and idempresa = $idempresa 
			and idsucursal = $idsucursal
			order by idtmpventares_cab asc
			limit 1
			";
			$rscabpri=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));	
			
			$buscar="
			SELECT * 
			FROM tmp_ventares 
			where  
			borrado='N' 
			and idtmpventares_cab in 
								(
								SELECT idtmpventares_cab 
								FROM tmp_ventares_cab 
								where 
								idatc=$idatc 
								and finalizado = 'S' 
								and registrado = 'N' 
								and estado = 1
								and idempresa = $idempresa 
								and idsucursal = $idsucursal
								)";
			$rsdet=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			
			//Venta simple registra la factura
	        //$proxfactura
	        //echo $factura_suc;
	        //exit;
			if($factura > 0){
				
				$facturafinal=trim(reservarfactura($factura_suc,$factura_pexp,$factura,$autoimpresor,$idempresa));
			}else{
				$facturafinal="";
			}
			
			//echo 'f'.$facturafinal;
			//exit;
				//	echo "a";
		//	exit;
			
			// datos timbrado 
			$idtandatimbrado=antisqlinyeccion($idtandatimbrado,"int");
			$timbrado=antisqlinyeccion($timbrado,"int");
			$factura_suc=antisqlinyeccion($factura_suc,"int");
			$factura_pexp=antisqlinyeccion($factura_pexp,"int");
			

			if ($totalvendido<0){
				$totalvendido=0;
			}
			
			$ruc_part=explode('-',$ruccliente);
			$ruchacienda=intval($ruc_part[0]);
			$dv=intval($ruc_part[1]);
			
			
				$consulta="
            	update tmp_ventares_cab 
            		set 
            		monto = (
            					COALESCE
            					(
            						(
            							select sum(subtotal) as total_monto
            							from tmp_ventares
            							where
            							tmp_ventares.idempresa = tmp_ventares_cab.idempresa
            							and tmp_ventares.idsucursal = tmp_ventares_cab.idsucursal
            							and tmp_ventares.borrado = 'N'
            							and tmp_ventares.borrado_mozo = 'N'
            							and tmp_ventares.idtmpventares_cab = tmp_ventares_cab.idtmpventares_cab
            						)
            					,0)
            					
            				)
            		WHERE
            		idatc = $idatc
            		and idventa is null
            	";
            	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			/*---------------------VENTAS*------------------------*/
			$insertar="Insert into ventas
			(idadherente,idserviciocom,fecha,idcliente,tipo_venta,idempresa,sucursal,factura,recibo,ruchacienda,dv,
			total_venta,idtransaccion,trackid,registrado_por,totaliva10,totaliva5,texe,idpedido,otrosgs,descneto,deliv,totalcobrar,tipoimpresion,vendedor,total_cobrado,estado,obs,idmesa,idcanal,idcaja,idzona,operador_pedido,formapago,vuelto,recibido,idclientedel,iddomicilio,
			idtandatimbrado,factura_sucursal,factura_puntoexpedicion,timbrado,idatc,ruc,iddeposito)
			VALUES
			($idadherente,$idservcom,'$ahora',$idcliente,$clasevta,$idempresa,$idsucursal,'$facturafinal',NULL,$ruchacienda,$dv,$totalvendido,0,$tcid,$cajeroid,$iva10,$iva5,$tventaex
			,$pedido,$delivery_costo,$descuento,'',$totalvendido,1,$cajeroid,$totalvendido,1,NULL,$idmesa,$idcanal, 
			$idcaja,0,$idmozo,3,0,0,$idclientedel,$iddomicilio,
			$idtandatimbrado,$factura_suc,$factura_pexp,$timbrado,$idatc,'$ruccliente',$iddeposito
			
			)";
			
			$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
 			//Traemos el id de la venta
			$buscar="Select max(idventa) as mayor from ventas where idempresa = $idempresa and vendedor = $cajeroid";
			$rsm=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$idventa=intval($rsm->fields['mayor']);
				
			//Crear cuenta de credito
			if ($crearcuenta==1){
				
				$idcta=crear_cuenta_credito($idventa,$idadherente,$idservcom);
				//echo $idcta;exit;
			} 
			
			
			while (!$rsdet->EOF){
				$idprod=trim($rsdet->fields['idproducto']);
				$buscar="Select idprod,tipoiva,idmedida from productos where idprod_serial=$idprod";
				$rsfg=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				$codigoproducto=antisqlinyeccion($rsfg->fields['idprod'],'text');
				$tipoiva=intval($rsfg->fields['tipoiva']);
				$idmedida=intval($rsfg->fields['idmedida']);
				//CANTIDAD DE PRODUCTO FINAL VENDIDO
				$cantidad=floatval($rsdet->fields['cantidad']);
				//PRECIO DE VENTA DE PRODUCTO FINAL VENDIDO
				$precioventa=floatval($rsdet->fields['precio']);
				$subtotal=floatval($rsdet->fields['subtotal']);
				$idventatmp=intval($rsdet->fields['idventatmp']);
				$idprod1=antisqlinyeccion($rsdet->fields['idprod_mitad1'],'int');
				$idprod2=antisqlinyeccion($rsdet->fields['idprod_mitad2'],'int');
				$combo=antisqlinyeccion($rsdet->fields['combo'],'text');
				$combo_es=$rsdet->fields['combo'];
				$combinado=antisqlinyeccion($rsdet->fields['combinado'],'text');
				$combinado_es=$rsdet->fields['combinado'];
				$idtipoproducto=$rsdet->fields['idtipoproducto'];
				$descuento=floatval($rsdet->fields['descuento']);
				$utilidadprox=0;
				$disponible=0;$menor=0;$costobase=0;
				//Manejo en Base a receta: el id de producto en la tabla de costo individual, es el que se debe usar .
				//Insertamos en Venta Detalle Como el manej es x receta, no hacer caso de las  columnas disponibles ni menor
				$insertar="Insert into ventas_detalles 
				(cantidad,pventa,subtotal,idventa,idemp,sucursal,idprod,costo,utilidad,iva,registrado_el,descuento,
				idprod_mitad1,idprod_mitad2,existencia,serialcostos)
				values
				($cantidad,$precioventa,$subtotal,$idventa,$idempresa,$idsucursal,'$idprod',$costobase,
				$utilidadprox,$tipoiva,'$ahora',$descuento,$idprod1,$idprod2,$disponible,$menor)";
				$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
				
				
				//traemos el id de ventas detalles insertado para usar en ventas_detalles de la receta
				$buscar="Select  max(idventadet) as mayor from ventas_detalles where idventa=$idventa and idprod='$idprod'";
				$rsmayor=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				$mayorid=intval($rsmayor->fields['mayor']);
				$mi=$mayorid;
				$idventadet=$mayorid;
						
				
		
			
				//Paso 1): Traer la receta del producto
				$buscar="Select * from recetas where idproducto='$idprod' and recetas.idempresa = $idempresa";
			
				$rsre=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				$idreceta=intval($rsre->fields['idreceta']);
				// si tiene receta
				if ($idreceta > 0){
					//Lista de componenentes de la receta
					$buscar="Select idreceta,idprod,ingrediente,cantidad,insumos_lista.idinsumo,costo,idmedida,tipoiva,
					insumos_lista.mueve_stock as mueve_stock_ins
					 from recetas_detalles 
					 inner join ingredientes on ingredientes.idingrediente=recetas_detalles.ingrediente
					 inner join insumos_lista on insumos_lista.idinsumo=ingredientes.idinsumo
					 where 
					 recetas_detalles.idprod=$idprod
					
					 and recetas_detalles.idreceta=$idreceta
					 and recetas_detalles.idempresa = $idempresa 
					 and insumos_lista.idempresa = $idempresa
					 and ingredientes.idingrediente not in (
					 										select tmp_ventares_sacado.idingrediente 
															from tmp_ventares_sacado
															where
															tmp_ventares_sacado.idventatmp = $idventatmp
															and tmp_ventares_sacado.idproducto = $idprod
															)
					 ";
					$rsrecu=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
					
					while (!$rsrecu->EOF){
						
						
						$ir=intval($rsrecu->fields['idreceta']);
						$in=intval($rsrecu->fields['ingrediente']);
						$pp=intval($rsrecu->fields['idprod']);
						$insu=intval($rsrecu->fields['idinsumo']);
						$idmedida_med=$rsrecu->fields['idmedida'];
						$mueve_stock_ins=trim($rsrecu->fields['mueve_stock_ins']);
						/*if ($idmedida_med==4){
							//es unitario, tomamos la cantidad de la receta
							$cant=floatval($rsrecu->fields['cantidad'])*floatval($cantidad);
						} else {
							//cantidad vendida
							$cant=floatval($cantidad);
						}*/
						if(floatval($rsrecu->fields['cantidad']) > 0){
						    // cantidad receta por cantidad vendida
						    $cant=floatval($rsrecu->fields['cantidad'])*floatval($cantidad);
						}else{
						    // cantidad receta es cero entonces cantidad vendida
						    $cant=floatval($cantidad);
						}
						
						// descuenta stock general
						if($mueve_stock != 'N' && $mueve_stock_ins != 'N'){
							descontar_stock_general($insu,$cant,$iddeposito);
							$costo_insumo_utilizado=descuenta_stock_vent($insu,$cant,$iddeposito);
							movimientos_stock($insu,$cant,$iddeposito,2,'-');
							
							// costo unitario promedio de los insumos utilizados
							$costo_insumo_unitario=round($costo_insumo_utilizado/$cant,4);
							// costo del insumo actual utilizado
							$costo_acum_insu[$insu]=$costo_insumo_utilizado;
							// costo acumulado de todos los insumos
							$costo_acumulado+=$costo_insumo_utilizado;
						}else{
							$costo_insumo_utilizado=0;
							//$costo_acum_insu[$insu]=$costo_insumo_utilizado;
							$costo_insumo_unitario=0;
							$costo_acumulado=0;	
						}
						
						
						$insertar="Insert into venta_receta
						(idventa,idventadet,idprod,idingrediente,idinsumo,cantidad,idmedida,costo,costo_unitario,fechahora)
						values
						($idventa,$idventadet,'$pp',$in,$insu,$cant,$idmedida_med,$costo_insumo_utilizado,$costo_insumo_unitario,'$ahora')";
						$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
							

						
						$rsrecu->MoveNext();
					}
					
					$consulta="
					update ventas_detalles 
					set 
					subtotal_costo = COALESCE((
									select sum(costo) 
									from venta_receta 
									where 
									idventadet = ventas_detalles.idventadet
									),0)
					WHERE
					idventadet = $idventadet
					and idventa = $idventa
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					$consulta="
					update ventas_detalles 
					set 
					costo = COALESCE(subtotal_costo/cantidad,0)
					WHERE
					idventadet = $idventadet
					and idventa = $idventa
					and cantidad > 0
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					$consulta="
					update ventas_detalles 
					set 
					utilidad = subtotal-subtotal_costo
					WHERE
					idventadet = $idventadet
					and idventa = $idventa
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				}
				
				// si es un combinado
				if($combinado_es == 'S'){
					if($idprod1 > 0 && $idprod2 > 0){
						$prod_1=$idprod1;
						$prod_2=$idprod2;
						$produ_comb=$prod_1.','.$prod_2;
						$produ_comb_ar=explode(",",$produ_comb);
						$totalmitades=count($produ_comb_ar);
						$i=1;
						foreach($produ_comb_ar as $productos_ind){
				
							
							
							$idprod_combi=$productos_ind;
						
							//Paso 1): Traer la receta del producto
							$buscar="Select * from recetas where idproducto='$idprod_combi' and recetas.idempresa = $idempresa";
							$rsre=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
							$idreceta=intval($rsre->fields['idreceta']);
							
							// si tiene receta
							if ($idreceta > 0){
								
								//Lista de componenentes de la receta
								$buscar="Select idreceta,idprod,ingrediente,cantidad,insumos_lista.idinsumo,costo,idmedida,tipoiva,
								 insumos_lista.mueve_stock as mueve_stock_ins
								 from recetas_detalles 
								 inner join ingredientes on ingredientes.idingrediente=recetas_detalles.ingrediente
								 inner join insumos_lista on insumos_lista.idinsumo=ingredientes.idinsumo
								 where 
								 recetas_detalles.idprod=$idprod_combi
								 and recetas_detalles.idreceta=$idreceta
								 and recetas_detalles.idempresa = $idempresa 
								 and insumos_lista.idempresa = $idempresa
								 and ingredientes.idingrediente not in (
																		select tmp_ventares_sacado.idingrediente 
																		from tmp_ventares_sacado
																		where
																		tmp_ventares_sacado.idventatmp = $idventatmp
																		and tmp_ventares_sacado.idproducto = $idprod_combi
																		)
								 ";
								$rsrecu=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
								
								

								
								
								//Mayor ID serial detallep producto
								$buscar="Select  max(idventadet) as mayor from ventas_detalles where idventa=$idventa and idprod='$idprod_combi'";
								$rsmayorid=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
							   
								$mi=intval($rsmayorid->fields['mayor']);
								while (!$rsrecu->EOF){
									
									
									
									$ir=intval($rsrecu->fields['idreceta']);
									$in=intval($rsrecu->fields['ingrediente']);
									$pp=intval($rsrecu->fields['idprod']);
									$insu=intval($rsrecu->fields['idinsumo']);
									$ca=floatval($rsrecu->fields['cantidad']/$totalmitades);
									$co=floatval($rsrecu->fields['costo']);
									$med=intval($rsrecu->fields['idmedida']);
									$va=intval($rsrecu->fields['tipoiva']);
									$mueve_stock_ins=trim($rsrecu->fields['mueve_stock_ins']);
									
									// descuenta stock general
									if($mueve_stock != 'N' && $mueve_stock_ins != 'N'){
										descontar_stock_general($insu,$ca,$iddeposito);
										$costo_insumo_utilizado=descuenta_stock_vent($insu,$ca,$iddeposito);
										movimientos_stock($insu,$ca,$iddeposito,2,'-');
										// costo unitario promedio de los insumos utilizados
										$costo_insumo_unitario=round($costo_insumo_utilizado/$ca,4);
										// costo del insumo actual utilizado
										$costo_acum_insu[$insu]=$costo_insumo_utilizado;
										// costo acumulado de todos los insumos
										$costo_acumulado+=$costo_insumo_utilizado;
									}else{
										$costo_insumo_utilizado=0;
										//$costo_acum_insu[$insu]=$costo_insumo_utilizado;
										$costo_insumo_unitario=0;
										$costo_acumulado=0;	
									}
									
									
									//------------VENTA RECETA
									$insertar="Insert into venta_receta
									(idventa,idventadet,idprod,idingrediente,idinsumo,cantidad,idmedida,costo,fechahora)
									values
									($idventa,$mi,'$pp',$in,$insu,$ca,$med,$costo_insumo_utilizado,'$ahora')";
									$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
									
									$rsrecu->MoveNext();
								}
								
								
							}
							
							
							
							
							$i++;
						} //foreach($produ_comb_ar as $productos_ind){
						
					}			
				}
				
				//si es un combo 
				if($combo_es == 'S'){
					
					// busca los productos que componen el combo
					$idprod_princ=$idprod;
					$consulta="
					select * 
					from tmp_combos_listas
					where
					tmp_combos_listas.idventatmp = $idventatmp
					and tmp_combos_listas.idsucursal = $idsucursal
					and tmp_combos_listas.idempresa = $idempresa
					";
					$rsgrupos=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					
					
					while (!$rsgrupos->EOF){ 
					
						$idprod_combo=$rsgrupos->fields['idproducto'];
						
						//Paso 1): Traer la receta del producto
						$buscar="Select * from recetas where idproducto='$idprod_combo' and recetas.idempresa = $idempresa";
						$rsre=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
						$idreceta=intval($rsre->fields['idreceta']);
						
						// si tiene receta
						if ($idreceta > 0){
							
							//Lista de componenentes de la receta
							$buscar="Select idreceta,idprod,ingrediente,cantidad,insumos_lista.idinsumo,costo,idmedida,tipoiva,
							 insumos_lista.mueve_stock as mueve_stock_ins
							 from recetas_detalles 
							 inner join ingredientes on ingredientes.idingrediente=recetas_detalles.ingrediente
							 inner join insumos_lista on insumos_lista.idinsumo=ingredientes.idinsumo
							 where 
							 recetas_detalles.idprod=$idprod_combo
							 and recetas_detalles.idreceta=$idreceta
							 and recetas_detalles.idempresa = $idempresa 
							 and insumos_lista.idempresa = $idempresa
							 and ingredientes.idingrediente not in (
																	select tmp_ventares_sacado.idingrediente 
																	from tmp_ventares_sacado
																	where
																	tmp_ventares_sacado.idventatmp = $idventatmp
																	and tmp_ventares_sacado.idproducto = $idprod_combo
																	)
							 ";
							$rsrecu=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
							
							//Mayor ID serial detallep producto
							/*$buscar="Select  max(idventadet) as mayor from ventas_detalles where idventa=$idventa and idprod='$idprod_combo'";
							$rsmayorid=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));*/
						   
							$mi=intval($rsmayorid->fields['mayor']);
							$mi=$idventadet;
							while (!$rsrecu->EOF){
								
								
								$ir=intval($rsrecu->fields['idreceta']);
								$in=intval($rsrecu->fields['ingrediente']);
								$pp=intval($rsrecu->fields['idprod']);
								$insu=intval($rsrecu->fields['idinsumo']);
								$ca=floatval($rsrecu->fields['cantidad']);
								$co=floatval($rsrecu->fields['costo']);
								$med=intval($rsrecu->fields['idmedida']);
								$va=intval($rsrecu->fields['tipoiva']);
								$mueve_stock_ins=trim($rsrecu->fields['mueve_stock_ins']);
								
								// descuenta stock general
								if($mueve_stock != 'N' && $mueve_stock_ins != 'N'){
									descontar_stock_general($insu,$ca,$iddeposito);
									$costo_insumo_utilizado=descuenta_stock_vent($insu,$ca,$iddeposito);
									movimientos_stock($insu,$ca,$iddeposito,2,'-');
									// costo unitario promedio de los insumos utilizados
									$costo_insumo_unitario=round($costo_insumo_utilizado/$ca,4);
									// costo del insumo actual utilizado
									$costo_acum_insu[$insu]=$costo_insumo_utilizado;
									// costo acumulado de todos los insumos
									$costo_acumulado+=$costo_insumo_utilizado;
								}else{
									$costo_insumo_utilizado=0;
									//$costo_acum_insu[$insu]=$costo_insumo_utilizado;
									$costo_insumo_unitario=0;
									$costo_acumulado=0;	
								}
								//------------VENTA RECETA
								$insertar="Insert into venta_receta
								(idventa,idventadet,idprod,idingrediente,idinsumo,cantidad,idmedida,costo,fechahora)
								values
								($idventa,$mi,'$pp',$in,$insu,$ca,$med,$costo_insumo_utilizado,'$ahora')";
								$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
								
								$rsrecu->MoveNext();
							}
							
							
						}
						
					$rsgrupos->MoveNext(); }
				
				}
				// si es combinado extendido (logica parecida a combo)
				if($idtipoproducto == 4){
					
					// busca los productos que componen el combinado
					$consulta="
					select * 
					from tmp_combinado_listas
					where
					tmp_combinado_listas.idventatmp = $idventatmp 
					and tmp_combinado_listas.idsucursal = $idsucursal
					and tmp_combinado_listas.idempresa = $idempresa
					";
					$rsgrupos=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					
					// recorre cada producto
					while (!$rsgrupos->EOF){ 
					
						$idproducto_partes=$rsgrupos->fields['idproducto_partes'];
						$idprod_combo=$idproducto_partes;
						
						//Paso 1): Traer la receta del producto
						$buscar="Select * from recetas where idproducto='$idproducto_partes' and recetas.idempresa = $idempresa";
						$rsre=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
						$idreceta=intval($rsre->fields['idreceta']);
						
						// si tiene receta
						if ($idreceta > 0){
							
							//Lista de componenentes de la receta
							$buscar="Select idreceta,idprod,ingrediente,cantidad,insumos_lista.idinsumo,costo,idmedida,tipoiva,
							insumos_lista.mueve_stock as mueve_stock_ins
							 from recetas_detalles 
							 inner join ingredientes on ingredientes.idingrediente=recetas_detalles.ingrediente
							 inner join insumos_lista on insumos_lista.idinsumo=ingredientes.idinsumo
							 where 
							 recetas_detalles.idprod=$idproducto_partes
							 and recetas_detalles.idreceta=$idreceta
							 and recetas_detalles.idempresa = $idempresa 
							 and insumos_lista.idempresa = $idempresa
							 and ingredientes.idingrediente not in (
																	select tmp_ventares_sacado.idingrediente 
																	from tmp_ventares_sacado
																	where
																	tmp_ventares_sacado.idventatmp = $idventatmp
																	and tmp_ventares_sacado.idproducto = $idproducto_partes
																	)
							 ";
							$rsrecu=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
							
							//Mayor ID serial detallep producto
							$buscar="Select  max(idventadet) as mayor from ventas_detalles where idventa=$idventa and idprod='$idproducto_partes'";
							$rsmayorid=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
						   
							$mi=intval($rsmayorid->fields['mayor']);
							while (!$rsrecu->EOF){
								
								
								$ir=intval($rsrecu->fields['idreceta']);
								$in=intval($rsrecu->fields['ingrediente']);
								$pp=intval($rsrecu->fields['idprod']);
								$insu=intval($rsrecu->fields['idinsumo']);
								$ca=floatval($rsrecu->fields['cantidad']);
								$co=floatval($rsrecu->fields['costo']);
								$med=intval($rsrecu->fields['idmedida']);
								$va=intval($rsrecu->fields['tipoiva']);
								$mueve_stock_ins=trim($rsrecu->fields['mueve_stock_ins']);
								
								// descuenta stock general
								if($mueve_stock != 'N' && $mueve_stock_ins != 'N'){
									descontar_stock_general($insu,$ca,$iddeposito);
									$costo_insumo_utilizado=descuenta_stock_vent($insu,$ca,$iddeposito);
									movimientos_stock($insu,$ca,$iddeposito,2,'-');
									// costo unitario promedio de los insumos utilizados
									$costo_insumo_unitario=round($costo_insumo_utilizado/$ca,4);
									// costo del insumo actual utilizado
									$costo_acum_insu[$insu]=$costo_insumo_utilizado;
									// costo acumulado de todos los insumos
									$costo_acumulado+=$costo_insumo_utilizado;
								}else{
									$costo_insumo_utilizado=0;
									//$costo_acum_insu[$insu]=$costo_insumo_utilizado;
									$costo_insumo_unitario=0;
									$costo_acumulado=0;	
								}
								//------------VENTA RECETA
								$insertar="Insert into venta_receta
								(idventa,idventadet,idprod,idingrediente,idinsumo,cantidad,idmedida,costo,fechahora)
								values
								($idventa,$mi,'$pp',$in,$insu,$ca,$med,$costo_insumo_utilizado,'$ahora')";
								$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
								
								$rsrecu->MoveNext();
							}
							
							
						}
						
					$rsgrupos->MoveNext(); }
					

				}


				
				//Agregados
				$buscar="Select * from tmp_ventares_agregado where idventatmp=$idventatmp";
				//echo $buscar."<br />";
				$ag=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				$tag=$ag->RecordCount();
				if ($tag > 0){
					while (!$ag->EOF){	
						
						$producto=intval($ag->fields['idproducto']);
						$ingediente=intval($ag->fields['idingrediente']);
						$pre=intval($ag->fields['precio_adicional']);
						$canti=floatval($ag->fields['cantidad']);
						$char=trim($ag->fields['alias']);
						
						$insertar="Insert into ventas_agregados
						(idventadet,idproducto,idingrediente,precio_adicional,alias,cantidad,fechahora)
						values
						($mayorid,$producto,$ingediente,$pre,'$char',$canti,'$ahora')";
						$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
						
						// buscar datos para venta receta
						$consulta="
						select insumos_lista.idinsumo, insumos_lista.idmedida, insumos_lista.costo,
						insumos_lista.mueve_stock as mueve_stock_ins
						from insumos_lista 
						inner join ingredientes on ingredientes.idinsumo = insumos_lista.idinsumo 
						WHERE
						 ingredientes.idingrediente = $ingediente
						 ";
						$rsinsu=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
						$insu=$rsinsu->fields['idinsumo'];
						$idmedida=$rsinsu->fields['idmedida'];
						$costo=$rsinsu->fields['costo'];
						$mueve_stock_ins=trim($rsinsu->fields['mueve_stock_ins']);
						
						// descuenta stock general
						if($mueve_stock != 'N' && $mueve_stock_ins != 'N'){
							descontar_stock_general($insu,$canti,$iddeposito);
							$costo_insumo_utilizado=descuenta_stock_vent($insu,$canti,$iddeposito);
							movimientos_stock($insu,$canti,$iddeposito,2,'-');
							// costo unitario promedio de los insumos utilizados
							$costo_insumo_unitario=round($costo_insumo_utilizado/$ca,4);
							// costo del insumo actual utilizado
							$costo_acum_insu[$insu]=$costo_insumo_utilizado;
							// costo acumulado de todos los insumos
							$costo_acumulado+=$costo_insumo_utilizado;
						}else{
							$costo_insumo_utilizado=0;
							//$costo_acum_insu[$insu]=$costo_insumo_utilizado;
							$costo_insumo_unitario=0;
							$costo_acumulado=0;	
						}
						// insertar en venta receta						
						$insertar="Insert into venta_receta
						(idventa,idventadet,idprod,idingrediente,idinsumo,cantidad,idmedida,costo,fechahora)
						values
						($idventa,$mayorid,$producto,$ingediente,$insu,$canti,$idmedida,$costo_insumo_utilizado,'$ahora')";
						$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
						

							
						$ag->MoveNext();
					}
					
				}
				
				
				//Sumar todos los costos de venta receta y updatear el costo global en detalles de la venta y utilidad
				
				$consulta="
				update  venta_receta 
				set 
				costo_unitario = costo/cantidad
				where
				idventadet = $idventadet
				and idventa = $idventa
				and cantidad > 0
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$consulta="
				update ventas_detalles 
				set 
				subtotal_costo = COALESCE((
								select sum(costo) 
								from venta_receta 
								where 
								idventadet = ventas_detalles.idventadet
								),0)
				WHERE
				idventadet = $idventadet
				and idventa = $idventa
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$consulta="
				update ventas_detalles 
				set 
				costo = COALESCE(subtotal_costo/cantidad,0)
				WHERE
				idventadet = $idventadet
				and idventa = $idventa
				and cantidad > 0
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$consulta="
				update ventas_detalles 
				set 
				utilidad = subtotal-subtotal_costo
				WHERE
				idventadet = $idventadet
				and idventa = $idventa
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				
				
				$rsdet->MoveNext();
			}
			
	
	} //de continuar=1		
			
			
			
			
			
}
		//-----------------------FACTURA MULTIPLE--------------------------------//
		if ($tipofactura=='M'){
			//Registrar la venta multiple
			$pr=1;
			
			
		} else {
				$pr=0;
		}
		// updates para factura
			$consulta="
			update ventas_agregados set 
			idventa_cab = (select ventas_detalles.idventa from ventas_detalles where ventas_agregados.idventadet = ventas_detalles.idventadet and ventas_detalles.idventa = $idventa) 
			where 
			idventa_cab is null;
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$consulta="
			update ventas_agregados set porc_iva_ag = 10 where idventa_cab = $idventa;
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$consulta="
			update ventas_agregados set monto_iva_ag = (precio_adicional-((precio_adicional)/(1+porc_iva_ag/100)));
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$consulta="
			UPDATE `ventas_detalles` set subtotal_monto_iva=(subtotal-((subtotal)/(1+iva/100))) where idventa = $idventa;
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$consulta="
			update ventas_detalles set subtotal_sindesc = subtotal-descuento where idventa = $idventa;
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta)); 
			$consulta="
			update ventas_detalles set descuento_porc = ((descuento/subtotal)*100) where subtotal > 0 and descuento > 0 and idventa = $idventa;
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$consulta="
			update ventas set 
			razon_social = (select cliente.razon_social from cliente where cliente.idcliente = ventas.idcliente limit 1) 
			where 
			razon_social is null 
			and idventa = $idventa;
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$consulta="
			update ventas set 
			monto_iva = 
			COALESCE(( select sum(subtotal_monto_iva) from ventas_detalles where ventas_detalles.idventa = ventas.idventa ),0)
			-COALESCE((ventas.descneto/11),0)
			where
			idventa = $idventa;
			;
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	//Marcar el pedido
	$update="
	Update tmp_ventares_cab 
	set 
	idventa=$idventa, 
	registrado='S',
	estado=3 
	where

	idatc=$idatc
	and finalizado = 'S' 
	and registrado = 'N' 
	and estado = 1
	and idempresa = $idempresa 
	and idsucursal = $idsucursal
	";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	
	
	// actualiza el detalle temporal
	$update="
	update tmp_ventares 
	set registrado = 'S' 
	where 
	registrado = 'N' 
	and idtmpventares_cab in (
							select idtmpventares_cab 
							from tmp_ventares_cab 
							where idatc=$idatc and
							registrado = 'S'
							and idempresa = $idempresa
							and idsucursal = $idsucursal
							)
	and idempresa = $idempresa 
	and idsucursal = $idsucursal
	";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
			
	$consulta="
	update ventas set total_venta = coalesce((select sum(subtotal) from ventas_detalles where idventa = ventas.idventa ),0) WHERE idventa = $idventa
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="
	update ventas set totalcobrar = COALESCE(total_venta,0)-COALESCE(descneto,0), total_cobrado=COALESCE(total_venta,0)-COALESCE(descneto,0) where idventa = $idventa
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="
	update cuentas_clientes 
	set 
	deuda_global = COALESCE((select totalcobrar from ventas where idventa = cuentas_clientes.idventa),0),
	saldo_activo = COALESCE((select totalcobrar from ventas where idventa = cuentas_clientes.idventa),0)
	 where 
	 idventa = $idventa
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	
	
	
			//echo $clasevta.$crearcuenta;exit;
	//Registramos los pagaos de la venta
	if ($crearcuenta<>1 && $totalvendido > 0){
		$idpago=registrar_pagos($idventa,$tipofactura);		
	}
	
	
	// busca si es pago mixto
	$consulta="select count(*) as total from gest_pagos where gest_pagos.estado <> 6 and idventa = $idventa";
	$rsmixto=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if($rsmixto->fields['total'] > 1){
	   $consulta="
        update ventas 
        set 
        ventas.formapago = 3
        WHERE 
        idventa = $idventa
        ";
        $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	}else{
        $consulta="
        update ventas 
        set 
        ventas.formapago = COALESCE((select medio_pago from gest_pagos where idventa = ventas.idventa and estado <> 6 order by idpago asc limit 1),0)
        WHERE 
        idventa = $idventa
        ";
        $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	}
	
	
	//Marcamos los pedidos
	
	marcarpedidos($idventa,$tipofactura,$pr);
	

	
	//return $idventa.'-'.$idpago;

}
function registrar_pagos($idventa,$tipofactura){
	global $conexion;
	$ahora=date("Y-m-d H:i:s");
	$buscar="Select * from ventas where idventa=$idventa";
	$rsv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	$vendedor=intval($rsv->fields['idvendedor']);
	$idcliente=intval($rsv->fields['idcliente']);
	$factura=antisqlinyeccion($rsv->fields['factura'],'text');
	$recibo=antisqlinyeccion($rsv->fields['recibo'],'text');
	$ruc=trim($rsv->fields['ruc']);
	$idatc=intval($rsv->fields['idatc']);
	$idcaja=intval($rsv->fields['idcaja']);
	$idmesa=intval($rsv->fields['idmesa']);
	$idempresa=intval($rsv->fields['idempresa']);
	$idsucursal=intval($rsv->fields['idsucursal']);
	
	$tipoventa=1;
	
	$buscar="Select * from mesas_cobros_deta where idatc=$idatc and estadopago=1" ;
	$rsmeco=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tpagos=$rsmeco->RecordCount();
	$tipotarjeta=0;
	$tefectivo=0;
	$tdebito=0;
	$tcredito=0;
	$transfer=0;
		
	

	
	while (!$rsmeco->EOF){
		
		$mediopago=intval($rsmeco->fields['idformapago']);
		
		if ($mediopago==1){
			$tefectivo=$tefectivo+floatval($rsmeco->fields['montoabonado']);
			$tipotarjeta=0;
		}
		
		if ($mediopago==2){
			$tcredito=$tcredito+floatval($rsmeco->fields['montoabonado']);
			$tipotarjeta=1;
		}
		if ($mediopago==3){
			//$tcredito=$tcredito+floatval($rsmeco->fields['montoabonado']);
		}
		if ($mediopago==4){
			$tipotarjeta=2;
			$tdebito=$tdebito+floatval($rsmeco->fields['montoabonado']);
		}
		if ($mediopago==5){
			$transfer=$transfer+floatval($rsmeco->fields['montoabonado']);
			$tipotarjeta=0;
		}

		$rsmeco->MoveNext();
		
	}
	$vuelto=0;
	$delivery_costo=0;
	$pedido=0;
	$totalcobrar=$transfer+$tdebito+$tcredito+$tefectivo;
	$numcheque=0;
	$montocheque=0;
	$banco=0;$numtarjeta=0;$tarjeta=0;$numerotrans=0;
	$totaltarjeta=floatval($tdebito)+floatval($tcredito);
	if($tpagos>1){
		$mediopago=3;
	}
	
	
	
	if ($tipofactura=='S'){
	
		
		$insertar="Insert into gest_pagos
				(idcliente,fecha,medio_pago,total_cobrado,chequenum,banco,numtarjeta,
				factura,recibo,tickete,ruc,tipo_pago,idempresa,sucursal,efectivo,codtransfer,montotransfer,
				montocheque,cajero,idventa,vueltogs,idpedido,delivery,idmesa,idcaja,tipotarjeta,montotarjeta,rendido)
				values
				($idcliente,'$ahora',$mediopago,$totalcobrar,$numcheque,$banco,$numtarjeta,
				$factura,$recibo,'','$ruc',$tipoventa,$idempresa,$idsucursal,$tefectivo,
				$numerotrans,$transfer,$montocheque,$vendedor,$idventa,$vuelto,$pedido,$delivery_costo,$idmesa,$idcaja,$tipotarjeta,$totaltarjeta,'S')";

		$conexion->Execute($insertar) or die (errorpg($conexion,$insertar));
		
			
		$buscar="Select * from gest_pagos where idventa=$idventa";
		$rsp=$conexion->Execute($buscar) or die (errorpg($conexion,buscar));
		$idpago=intval($rsp->fields['idpago']);
		
		
		$pr=0;
		
		
	} else {
		//Reg Multiples M pagos
		
		
	}
	
	// escribe en el log
//$file = fopen("log_funciones.txt", "a+");
//fwrite($file, $insertar);
//fclose($file);
	
}
function marcarpedidos($idventa,$tipofactura,$pr){
		// escribe en el log
//$file = fopen("log_funciones.txt", "a+");
//fwrite($file, "Marcando pedidos");
//fclose($file);
	global $conexion;
	$ahora=date("Y-m-d H:i:s");
	$buscar="Select * from ventas where idventa=$idventa";
	$rsv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$vendedor=intval($rsv->fields['vendedor']);
	$idusu=$vendedor;
	$idcliente=intval($rsv->fields['idcliente']);
	$idatc=intval($rsv->fields['idatc']);
	$idmesa=intval($rsv->fields['idmesa']);
	$idempresa=intval($rsv->fields['idempresa']);
	$idsucursal=intval($rsv->fields['idsucursal']);
	$factura=trim($rsv->fields['factura']);
	
	if ($tipofactura=='S'){
		//$file = fopen("log_funciones.txt", "a+");
//fwrite($file, "factura simple");
//fclose($file);
		//Uso de la mesa y datos de grupo mesa
		$buscar="select fecha_inicio-now() as raro,TIME_TO_SEC(TIMEDIFF(now(),fecha_inicio)) diferencia_segundos,(TIME_TO_SEC(TIMEDIFF(now(),fecha_inicio))/60) as dif_minutos,idgrupomesa from mesas_atc where idmesa=$idmesa";
		$rscalculo=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$tsegundos=intval($rscalculo->fields['diferencia_segundos']);
		$idgrupomesa=intval($rscalculo->fields['idgrupomesa']);

		$seg=$tsegundos;
		$d = floor($seg / 86400); 
		$h = floor(($seg - ($d * 86400)) / 3600); 
		$m = floor(($seg - ($d * 86400) - ($h * 3600)) / 60); 
		$s = $seg % 60;

		
		

		//marcamos los pedidos
		//marcamos los pedidos en la cabecera
		$update="update tmp_ventares_cab set registrado='S',idventa=$idventa,estado=3 where idmesa=$idmesa and registrado='N' and idatc=$idatc";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
	//	$file = fopen("log_funciones.txt", "w+");
	//	fwrite($file,  $update);
//fclose($file);
		
		$update="update tmp_ventares set registrado='S',idventa=$idventa where idmesa=$idmesa and registrado='N'";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
	//	$file = fopen("log_funciones.txt", "w+");
	//	fwrite($file,  $update);
	//	fclose($file);
		

		//Registramos la ocupacion de la mesa 
		$insertar="Insert into mesas_ocupacion (idatc,horas,minutos,segundos,registrado_por,registrado_el) values ($idatc,$h,$m,$s,$idusu,current_timestamp)";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
//$file = fopen("log_funciones.txt", "w+");
		//fwrite($file,  $update);
		//fclose($file);
		

		//Marcamos los detalles del cobro 
		$update="Update mesas_cobros_deta set idcliente=$idcliente,idventa=$idventa where idatc=$idatc";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
//$file = fopen("log_funciones.txt", "w+");
		//fwrite($file,  $update);
		//fclose($file);
		
		//Cerramos el ATC
		$update="Update mesas_atc set estado=3 where idatc=$idatc";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
//$file = fopen("log_funciones.txt", "w+");
	//	fwrite($file,  $update);
	//	fclose($file);
		
		
		$updatev="update mesas set estado_mesa=1 where idmesa=$idmesa ";
		$conexion->Execute($updatev) or die(errorpg($conexion,$updatev));
		//$file = fopen("log_funciones.txt", "a+");
		//fwrite($file,  $updatev.'\n');
		//fclose($file);
	

		//Si la mesa tiene un grupo, todas se marcan
		if ($idgrupomesa > 0){
			//hacer update de las mesas con el estado 1
			$update="Update mesas_atc_grupos_cab set estadogrupo=3 where idgrupomesa=$idgrupomesa";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
			//Marcamos los componentes
			$update="Update mesas_atc_grupo_deta set estado=3 where idgrupomesa=$idgrupomesa";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
			//liberar mesas del  grupo
			$buscar="Select * from  mesas_atc_grupo_deta where idgrupomesa=$idgrupomesa";
			$marcar=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			while (!$marcar->EOF){
				$idmlocal=$marcar->fields['idmesa'];
				$update="Update mesas set  estado_mesa=1,agrupado_con=NULL,idmozo_abrio=NULL where idmesa=$idmlocal";
				$conexion->Execute($update) or die(errorpg($conexion,$update));

				$marcar->MoveNext();
			}

		}
		//$file = fopen("log_funciones.txt", "w+");
		//fwrite($file,  "Clase impresion: ".$clasedoc);
		//fclose($file);
		
		// si todo fue correcto
		$consulta="
		update ventas set finalizo_correcto = 'S' where idventa = $idventa
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

		if ($clasedoc==2){
			
			
			header("location: ../script_central_impresion.php?tk=2&clase=1&modventa=4&v=$idventa&mm=99&pr=$pr");
			exit;
		} else {

			if($factura == ''){
				$tk=0;
			}else{
				$tk=1;	
			}
			header("location: ../script_central_impresion.php?tk=$tk&modventa=4&v=$idventa&mm=99&pr=$pr");
			exit;
		}
		
		
		
		
	}
	
	
	
}
function llenardc($parte1,$parte2,$numero){
	/*$b=strlen($parte1);
	$dif=3-$b;
	
	$p1='';$p2='';
	for ($i=1;$i<=$dif;$i++){
		$p1=$p1.'0';
	}

	$c=strlen($parte2);
	$dif=3-$c;
	for ($i=1;$i<=$dif;$i++){
		$p2=$p2.'0';
		
	}
	$p1=$p1.$parte1;
	$p2=$p2.$parte2;
	 $cab=trim($p1).trim($p2);
	
	 $limite=7;
	 $medio='';
	 $final=$numero;
	 $cantf=strlen($final);
	 $dif=($limite-$cantf);
	 if ($dif > 0) {
	    for ($i = 1;$i<=$dif;$i++) {
		  $medio=$medio.'0';
		
		}
		//al finalizar el for, le metemos a completar como debe ser
		$compuesto=$cab.$medio.$final;
	  } else {
	  // no habian diferencias
		$compuesto=$cab.$final;
	  }
	  $documentom=$compuesto;*/
	  $documentom=agregacero($parte1,3).agregacero($parte2,3).agregacero($numero,7);
	  //echo $parte1;
	  //exit;
	  return $documentom;
}

function reservarfactura($fac_suc,$fac_pexp,$factura,$autoimpresor,$idempresa){
	global $conexion;
	//echo $autoimpresor;
	//exit;
	$fccompuesta=llenardc($fac_suc,$fac_pexp,$factura);
	if($autoimpresor!='S'){
		//echo $factura;exit;
		//echo 'f'.$fac_suc;
	//	exit;
		
		//echo $fccompuesta;
		//exit;
		$numfac=intval($factura);
		
		$ano=date("Y");
		// busca si existe algun registro
		$buscar="Select max(numfac) as mayor from lastcomprobantes where idsuc=$fac_suc and pe=$fac_pexp ";
		$rsfactura=$conexion->Execute($buscar) or die(errorpg( $conexionpg,$buscar));
		$maxnfac=intval(($rsfactura->fields['mayor'])+1);
		
		if($maxnfac <= 1){
					$consulta="
					INSERT INTO lastcomprobantes
					(idsuc, factura, numfac, recibo, numrec, tickete, numtk, ano, pe, numcheque, secuencia_cancela, 
					numhoja, hojalevante, idempresa) 
					VALUES
					($fac_suc, '$fccompuesta', $numfac, NULL, 0, NULL, 0, $ano, $fac_pexp, NULL, 
					NULL, 0, '', $idempresa)
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}else{
					$consulta="
					update lastcomprobantes
					set 
					numfac = $maxnfac,
					factura = '$fccompuesta'
					where
					
					idsuc=$fac_suc
					and pe=$fac_pexp
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}	
	}
	// si es autoimpresor
	if($autoimpresor == 'S'){
	    //echo "a";
	   // exit;
				$ano=date("Y");
				// busca si existe algun registro
				$buscar="
				Select max(numfac) as mayor 
				from lastcomprobantes 
				where 
				idsuc=$fac_suc 
				and pe=$fac_pexp 
				and idempresa=$idempresa
				";
				//echo $buscar;
			//	exit;
				$rsfactura=$conexion->Execute($buscar) or die(errorpg( $conexionpg,$buscar));
				$maxnfac=intval(($rsfactura->fields['mayor'])+1);
				if($maxnfac <= 1){
					$consulta="
					INSERT INTO lastcomprobantes
					(idsuc, factura, numfac, recibo, numrec, tickete, numtk, ano, pe, numcheque, secuencia_cancela, 
					numhoja, hojalevante, idempresa) 
					VALUES
					($fac_suc, $factura, $maxnfac, NULL, 0, NULL, 0, $ano, $fac_pexp, NULL, 
					NULL, 0, '', $idempresa)
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	            }else{
		        	$consulta="
					update lastcomprobantes
					set 
					numfac = $maxnfac,
					factura = '$fccompuesta'
					where
					idempresa = $idempresa
					and idsuc=$fac_suc
					and pe=$fac_pexp
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		    	}
	}
			
	
	return $fccompuesta;
	
	
	
	
	
}

function crear_cuenta_credito($idventa,$idadherente=0,$idservcom=0){
	//Crear cuenta si es credito
	global $conexion;
	$buscar="Select * from ventas where idventa=$idventa";
	$rsv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));		
	$idempresa=intval($rsv->fields['idempresa']);
	$idsucursal=intval($rsv->fields['sucursal']);
	$idcliente=intval($rsv->fields['idcliente']);
	//Con el id del cliente, traemos la linea de sobregiro 
	$buscar="Select * from cliente where idcliente=$idcliente";
	$rscliente=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));	
	
	
	$totalcobrar=floatval($rsv->fields['totalcobrar']);
	$ahora=date("Y-m-d H:i:s");
	$vendedor=intval($rsv->fields['vendedor']);

		
	
	
	//Generamos la cuenta
	$insertar="
	Insert into cuentas_clientes 
	(idempresa,sucursal,deuda_global,saldo_activo,idcliente,estado,registrado_el,registrado_por,idventa,idadherente,idserviciocom)
	values
	($idempresa,$idsucursal,$totalcobrar,$totalcobrar,$idcliente,1,'$ahora',$vendedor,$idventa,$idadherente,$idservcom)
	";
	$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));

	//Credito
	$buscar="Select max(idcta) as mayor from cuentas_clientes where idempresa=$idempresa";
	$rs1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$mayor=intval($rs1->fields['mayor']	);

	$consulta="
	INSERT INTO adherente_estadocuenta 
	( fechahora, fechasola, tipomov, idcliente, idadherente, idserviciocom, monto, idventa, idpago, idcta, idempresa, idpagodiscrim)
	SELECT registrado_el as fechahora, date(registrado_el) as fechasola, 'D' as tipomov, idcliente, idadherente,
	 idserviciocom, deuda_global as monto, idventa, NULL as idpago, idcta, idempresa , NULL as idpagodiscrim
	from cuentas_clientes 
	where 
	idcta = $mayor
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	//ahora el idservicom
	if ($idadherente > 0){
		$update="Update adherentes_servicioscom set disponibleserv=disponibleserv-$totalcobrar where idadherente=$idadherente";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		
		$update="update adherentes set disponible=disponible-$totalcobrar where idadherente=$idadherente";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
	}					  
	return $mayor;

}

?>