<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
require_once("includes/rs_carrito.php"); 

/* 
si el grupo tiene 1 solo producto cargado
debe hacer un insert directo y no figurar en la lista 
si la cantidad es 6 y solo hay 1 producto cargado hace 6 insert
*/


$valido="S";
$errores.="";

$prodprinc=intval($_POST['prodprinc']);
$prodpart=intval($_POST['prodpart']);

// busca producto principal para ver si pertenece a la empresa
$consulta="
select * 
from productos 
where 
idtipoproducto = 4
and idprod_serial = $prodprinc
and productos.borrado = 'N'
order by descripcion asc
limit 1
";
$rsprod2=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$cat_princ=$rsprod2->fields['idcategoria'];
$cantidadmax=$rsprod2->fields['combinado_maxitem'];
if(intval($rsprod2->fields['idprod_serial']) == 0){
	$valido="N";
	$errores.="-Producto Inexistente.".$saltolinea;
}

$consulta="
select * 
from productos_combinado
where 
productos_combinado.idproducto_principal = $prodprinc
limit 1
";
$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idproducto_principal=intval($rsprod->fields['idproducto_principal']);
if($idproducto_principal == 0){
	$valido="N";
	$errores.="-Producto no es combinable.".$saltolinea;
}


// si existe
if($valido == 'S'){
	
	// busca el ultimo registro
	$consulta="
	select *
	from tmp_combinado_listas_ecom
	where
	tmp_combinado_listas_ecom.id_ses = '$session_id'
	and tmp_combinado_listas_ecom.idwebcarrito is null
	and tmp_combinado_listas_ecom.idproducto_principal = $idproducto_principal
	and tmp_combinado_listas_ecom.idproducto_partes = $prodpart
	order by idlistacombinado_tmp desc
	limit 1
	";
	$rsdel=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idlistacombinado_tmp=intval($rsdel->fields['idlistacombinado_tmp']);

	$consulta="
	delete from tmp_combinado_listas_ecom
	where
	tmp_combinado_listas_ecom.id_ses = '$session_id'
	and tmp_combinado_listas_ecom.idwebcarrito is null
	and tmp_combinado_listas_ecom.idproducto_principal = $idproducto_principal
	and tmp_combinado_listas_ecom.idproducto_partes = $prodpart
	and idlistacombinado_tmp = $idlistacombinado_tmp
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

}


// busca la nueva cantidad
$consulta="
select count(*) as total
from tmp_combinado_listas_ecom
where
tmp_combinado_listas_ecom.idproducto_principal = $prodprinc
and tmp_combinado_listas_ecom.idproducto_partes = $prodpart
and tmp_combinado_listas_ecom.id_ses = '$session_id'
and tmp_combinado_listas_ecom.idwebcarrito is null
";
$rsinsertado=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
// nuevo total bd despues de insertar
$totalbd_part=intval($rsinsertado->fields['total']);



$arr = array(
	'cantidad_seleccionada' => $totalbd_part,
	'valido' => $valido,
	'errores' => $errores
);

//print_r($arr);

// convierte a formato json
$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

// devuelve la respuesta formateada
echo $respuesta;


?>