<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php"); 

// preferencias
$borrar_ped_cod=trim($rsco->fields['borrar_ped_cod']);
$borrar_ped=trim($rsco->fields['borrar_ped']);

require_once("parches.php"); 

if (isset($_POST['ocliberaatc'])){
	
	$liberaratc=intval($_POST['ocliberaatc']);
	$liberarmesa=intval($_POST['ocliberamesa']);
	//Vemos si no hay consumo en la mesa
	$consulta="
	select tmp_ventares.*, productos.descripcion, sum(cantidad) as total, sum(precio) as totalprecio, sum(subtotal) as subtotal,
	(select recetas_detalles.idreceta from recetas_detalles where recetas_detalles.idprod = tmp_ventares.idproducto limit 1) as tienereceta, 
	(select agregado.idproducto from agregado WHERE agregado.idproducto = tmp_ventares.idproducto limit 1) as tieneagregado
	from tmp_ventares 
	inner join productos on tmp_ventares.idproducto = productos.idprod_serial
	where 
	tmp_ventares.idtmpventares_cab in ( 
										select idtmpventares_cab 
										from tmp_ventares_cab 
										where idsucursal = $idsucursal 
										and idempresa =  $idempresa	 
										and finalizado = 'S' 
										and registrado = 'N' 
										and idatc=$liberaratc 
										and idatc > 0
										and estado = 1 
										)
	and tmp_ventares.borrado = 'N' 
	and tmp_ventares.idsucursal = $idsucursal 
	and tmp_ventares.idempresa = $idempresa
	
	group by idventatmp,descripcion, receta_cambiada
	";
	//echo $consulta;exit;
	$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$tr=$rs->RecordCount();
	if ($tr==0){
		
		//Uso de la mesa y datos de grupo mesa
		$buscar="select fecha_inicio-now() as raro,TIME_TO_SEC(TIMEDIFF(now(),fecha_inicio)) diferencia_segundos,(TIME_TO_SEC(TIMEDIFF(now(),fecha_inicio))/60) as dif_minutos,idgrupomesa from mesas_atc where idmesa=$liberarmesa and idsucursal = $idsucursal";

		$rscalculo=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$tsegundos=intval($rscalculo->fields['diferencia_segundos']);
		$idgrupomesa=intval($rscalculo->fields['idgrupomesa']);
		
		
		//No hay consumo, anular atc
		$update="Update mesas_atc set estado=6,anulado_el=current_timestamp,anulado_por=$idusu
		where idatc=$liberaratc and estado=1 and idsucursal = $idsucursal ";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		
		//Liberamos la mesa
		$update="Update mesas set estado_mesa=1 where idmesa=$liberarmesa ";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		
		//Vemos si formo parte de algun grupo de mesas
		if ($idgrupomesa > 0){
				//hacer update de las mesas con el estado 1
				$update="Update mesas_atc_grupos_cab set estadogrupo=6 where idgrupomesa=$idgrupomesa";
				$conexion->Execute($update) or die(errorpg($conexion,$update));
				//Marcamos los componentes
				$update="Update mesas_atc_grupo_deta set estado=6 where idgrupomesa=$idgrupomesa";
				$conexion->Execute($update) or die(errorpg($conexion,$update));
				//liberar mesas del  grupo
				$buscar="Select * from  mesas_atc_grupo_deta where idgrupomesa=$idgrupomesa";
				$marcar=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				while (!$marcar->EOF){
					$idmlocal=$marcar->fields['idmesa'];
					$update="Update mesas  set estado_mesa=1,agrupado_con=NULL where idmesa=$idmlocal";
					$conexion->Execute($update) or die(errorpg($conexion,$update));
					$marcar->MoveNext();
				}

		}
		//Por ultimo recargamos
		
			header("location: ventas_salon.php");exit;
		
		
	}
	
	
	
	
	
}



$idsalon=intval($_REQUEST['ocsalon']);
//Preferencias de mesas
$buscar="Select * from mesas_preferencias where idestadopref=1 and idempresa=$idempresa";
$rsprefmesa=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$usar_iconos=trim($rsprefmesa->fields['usar_iconos']);
$usar_cod_adm=trim($rsprefmesa->fields['usar_cod_adm']);
$usar_cod_mozo=trim($rsprefmesa->fields['usar_cod_mozo']);
$escajero='N';





//Notas sobre el codigo del mozo
//Primero: Si bien se parametriza que el mozo deba colocar su codigo o no en usar_cod_mozo, hay que ver que si es un mozo fijo o son multiples mozos.

//Segundo: Si el operador actualmente logueado, es luego cajero, esta habilitado para cobrar, x lo cual el codigo no se le debe solicitar para nada.

//Verificamos si el usuario en cuestion tiene permiso de caja
$consulta="
	SELECT *, (SELECT fechahora FROM usuarios_accesos where idusuario = usuarios.idusu order by fechahora desc limit 1) as ultacceso,
	(select nombre from sucursales where idsucu=usuarios.sucursal and idempresa=$idempresa) as sucuchar
	FROM usuarios
	where
	estado = 1
	and idempresa = $idempresa
	and idusu in (select idusu from modulo_usuario where idempresa = $idempresa and estado = 1 and submodulo = 22)
	and idusu=$idusu
	order by usuario asc
	";

$rsccajacon=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

if (intval($rsccajacon->fields['idusu'])>0){
	$usar_cod_mozo='N';
	$escajero='S';
} 

if ($escajero=='S'){
	//Verificamos si la caja esta abierta o cerrada. Si esta cerrada, debemos redireccionar al modulo de apertura de caja correspondiente
	$buscar="Select * from caja_super where cajero=$idusu and estado_caja=1 order by idcaja desc limit 1";
	$rscontcaja=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	//echo $buscar;exit;
	if ($rscontcaja->fields['idcaja']==0){
		//Se debe obligar a la apertura de una caja
		header("location: ../gest_administrar_caja.php");
	//exit;						
	}
}

//TERCERO: Si el operador actual es CAJERO, no importa quien cargo el pedido, debe poder ver la cuenta, agregar y hacer cualquier cosa que desee, especialmente cobrar





if ($idsalon > 0)
{
	//Para usar con las mesas
	$addsalonmesas=" and mesas.idsalon=$idsalon ";
}




//Agregar a consumo de mesa los valores

if(isset($_POST['mesaoc']) && intval($_POST['mesaoc'] )>0){
	//print_r($_POST);exit;
	//Como se trata de pedidos x mesa, vamos a forzar algunos datos
	// recibe parametros
	
	$idmozo=intval($_POST['ocmozopedido']);
	$cantidad_adultos=intval($_POST['adultos']);
	$cantidad_ninhos=intval($_POST['ninhos']);
	$cantidad_nopagan=intval($_POST['bebes']);
	$idmesa=intval($_POST['mesaoc']);
	$buscar="Select numero_mesa from mesas where idmesa=$idmesa";
	$rsnmesa=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$numeromesa=intval($rsnmesa->fields['numero_mesa']);
	
	//Id mesa: usamos para buscar si ya existe un atc o no.
	$buscar="Select * from mesas_atc where idmesa=$idmesa and estado=1 order by registrado_el desc limit 1";
	$rsidatc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idatc=intval($rsidatc->fields['idatc']);
	if ($idatc==0){
		//creamos uno
		$estadomesa=2;//OC
		//Primero creamos el encabezado de las mesas, luego vemos que carajo hacemos
		//Cabecera: Si abrimos la mesa, es una atc en progreso
		$insertar="Insert into mesas_atc
		(idmesa,fecha_inicio,cant_adultos,cant_ninos,cant_nopaga,idmozo,idgruporeserva,idgrupomesa,estado,registrado_el,registrado_por,idsucursal)
		values
		($idmesa,'$ahora',$cantidad_adultos,$cantidad_ninhos,$cantidad_nopagan,0,0,0,1,current_timestamp,$idusu,$idsucursal)";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
		
		//traemos el id atc
		$buscar="Select * from mesas_atc where idmesa=$idmesa and estado=1 and idsucursal = $idsucursal order by registrado_el desc";
		$rsatc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$idatc=intval($rsatc->fields['idatc']);
		
		//de Inmediato hacemos el update de la mesa segun corresponda
		$update="Update mesas set estado_mesa=$estadomesa where idmesa=$idmesa  and idsucursal=$idsucursal";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		
	}
	

	
	
	
	

	
	
	$razon_social=trim(strtoupper("CONSUMIDOR FINAL"));
	$ruc=trim(strtoupper("44444401-7"));
	$chapa="";
	$observacion=trim($_POST['observacion']);
	$monto=$montototal;
	$mesa=intval($_POST['mesaoc']);
	$canal=4;
	
	
	// conversiones
	$finalizado="S";
	$delivery="N";
	
	

	$costodelivery=0;
	// busca costo delivery si corresponde
	
	
	// validaciones
	$valido="S";
	if($totalprod == 0){
		//$errores.="- Debe agregar al menos 1 producto al carrito.<br />";
		//ge$valido="N";
	}
	
	$chapa ="";
	
	
	
	//Totales
	$buscar="Select sum(subtotal) as total from  tmp_ventares where finalizado='N' and borrado='N' and idmesa=$mesa";
	$rstot=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	$monto=floatval($rstot->fields['total']);
	
	// limpia variables para insertar
	$razon_social=antisqlinyeccion($razon_social,"text");
	$ruc=antisqlinyeccion($ruc,"text");
	$chapa=antisqlinyeccion($chapa,"text");
	$observacion=antisqlinyeccion($observacion,"text");
	
	$fechahora=date("Y-m-d H:i:s");
	$fechahora=antisqlinyeccion($fechahora,"text");
	$telefono=0;
	$zona=0;
	$direccion="";
	$llevapos="N";
	$cambio=0;
	$observacion_delivery="";
	$delivery_costo=0;
	
	$valido="S";
	if($valido == 'S'){
		// insertar cabecera temporal
		//Id mesa: usamos para buscar si ya existe un atc o no.
		$buscar="Select * from mesas_atc where idmesa=$idmesa and estado=1 order by registrado_el desc limit 1";
		$rsidatc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$idatc=intval($rsidatc->fields['idatc']);
		if ($idatc==0){
			//creamos uno
			$estadomesa=2;//OC
			//Primero creamos el encabezado de las mesas, luego vemos que carajo hacemos
			//Cabecera: Si abrimos la mesa, es una atc en progreso
			$insertar="Insert into mesas_atc
			(idmesa,fecha_inicio,cant_adultos,cant_ninos,cant_nopaga,idmozo,idgruporeserva,idgrupomesa,estado,registrado_el,registrado_por,idsucursal)
			values
			($idmesa,'$ahora',$cantidad_adultos,$cantidad_ninhos,$cantidad_nopagan,0,0,0,1,current_timestamp,$idusu,$idsucursal)";
			$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));

			//traemos el id atc
			$buscar="Select * from mesas_atc where idmesa=$idmesa and estado=1 order by registrado_el desc";
			$rsatc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$idatc=intval($rsatc->fields['idatc']);

			//de Inmediato hacemos el update de la mesa segun corresponda
			$update="Update mesas set estado_mesa=$estadomesa where idmesa=$idmesa and idempresa=$idempresa and idsucursal=$idsucursal";
			$conexion->Execute($update) or die(errorpg($conexion,$update));

		}
		
		//Crear cabecera de tmpventarescab
		$consulta="
		INSERT INTO tmp_ventares_cab
		(razon_social, ruc, chapa, observacion, monto, idusu, fechahora, idsucursal, idempresa,idcanal,delivery,idmesa,
		telefono,delivery_zona,direccion,llevapos,cambio,observacion_delivery,delivery_costo,idatc,idmozo) 
		VALUES 
		($razon_social, $ruc, $chapa, $observacion, $monto, $idusu, $fechahora, $idsucursal, $idempresa,$canal,'$delivery',$mesa,
		$telefono,$zona,NULL,'$llevapos',$cambio,NULL,$delivery_costo,$idatc,$idmozo)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// buscar ultimo id insertado
		$consulta="
		select idtmpventares_cab
		from tmp_ventares_cab
		where
		idusu = $idusu
		and idmesa=$idmesa
		and idsucursal = $idsucursal
		and idempresa = $idempresa
		order by idtmpventares_cab desc
		limit 1
		";
		$rscab = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idtmpventares_cab=$rscab->fields['idtmpventares_cab'];
		
		
		// marcar como finalizado el cuerpo y colocar el id de cabecera generado
		$consulta="
		update tmp_ventares
		set 
		idtmpventares_cab = $idtmpventares_cab
		where
		usuario = $idusu 
		and idmesa=$idmesa
		and registrado = 'N'
		and borrado = 'N'
		and finalizado = 'N'
		and idsucursal = $idsucursal
		and idempresa = $idempresa
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		

		
	
		//Por ultimo
		if ($idmozo > 0){
			//Cambiamos el usuario al mozo que tomo el pedido, para que se permita ver quien fue el que levanto el pedido
			$update="update tmp_ventares set usuario=$idmozo where idtmpventares_cab = $idtmpventares_cab ";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
			
			$consulta="
			update tmp_ventares_cab
			set idusu=$idmozo
			where
			idtmpventares_cab = $idtmpventares_cab
			and idsucursal = $idsucursal
			and idempresa = $idempresa
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
		}
		
		//
		
		/*
				update tmp_ventares
		set 
		finalizado='$finalizado'
		where
		usuario = $idusu 
		and idmesa=$idmesa 
		and idtmpventares_cab=$idtmpventares_cab
		and registrado = 'N'
		and borrado = 'N'
		and finalizado = 'N'
		and idsucursal = $idsucursal
		and idempresa = $idempresa
		*/
		
		$buscar="Select * from mesas_preferencias where idempresa=$idempresa limit 1";
		$rsmespref=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$imprime_directo=trim($rsmespref->fields['imprime_directo']);
		if($imprime_directo == 'S'){
			$impreso_coc="'S'";
		}else{
			$impreso_coc="'N'";
		}
		
		$consulta="
		update tmp_ventares
		set 
		finalizado='$finalizado',
		impreso_coc = $impreso_coc
		where
		idtmpventares_cab=$idtmpventares_cab
		and borrado = 'N'
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		/* para corregir
		select * from tmp_ventares where finalizado = 'N' and borrado = 'N' and idtmpventares_cab in (select idtmpventares_cab from tmp_ventares_cab where finalizado = 'S');
		update  tmp_ventares set finalizado = 'S' where finalizado = 'N' and borrado = 'N' and idtmpventares_cab in (select idtmpventares_cab from tmp_ventares_cab where finalizado = 'S');
		*/
		
		// marcar como finalizado en cabecera
		$consulta="
		update tmp_ventares_cab
		set 
		finalizado = '$finalizado'
		where
		idtmpventares_cab = $idtmpventares_cab 
		and idmesa=$idmesa
		and idsucursal = $idsucursal
		and idempresa = $idempresa
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		//echo 'pedidotomado';exit;
		

		if($imprime_directo == 'S'){
			header("location: imprime_mesa.php?id=".$idtmpventares_cab);
			exit;
		}
		
		
		$volveramesa=trim($rsmespref->fields['regresa_mesa_final']);
		if ($volveramesa=='S'){
			$idmesarecarga=intval($idmesa);
			$usacod=0;
			if($usar_cod_mozo=='S'){
				$usacod=1;
			}
			

		}			
	}
}




?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
	  
	 <style>
	  .modal-dialog {
	  margin-top: 0;
	  margin-bottom: 0;
	  height: 100vh;
	  display: -webkit-box;
	  display: -webkit-flex;
	  display: -ms-flexbox;
	  display: flex;
	  -webkit-box-orient: vertical;
	  -webkit-box-direction: normal;
	  -webkit-flex-direction: column;
		  -ms-flex-direction: column;
			  flex-direction: column;
	  -webkit-box-pack: center;
	  -webkit-justify-content: center;
		  -ms-flex-pack: center;
			  justify-content: center;
		 }

	.modal.fade .modal-dialog {
	  -webkit-transform: translate(0, -100%);
			  transform: translate(0, -100%);
	}
	.modal.in .modal-dialog {
	  -webkit-transform: translate(0, 0);
			  transform: translate(0, 0);
	}
	.contador{
		width:20px;
		height:20px;	
		position:absolute;
		font-size:16px;
		font-weight:bold;
		border:1px solid #000000;
		background-color:#CCC;
		text-align:center;
		margin:0px;
		float:left;
	
	}
}
	  
	  </style>
<script>
function aplicardescu(idmesa,idatc){
		$("#titulocuerpo").html("Aplicando descuento");
		$("#cuerpopop").html("");

	var parametros = {

			"idatc" : idatc,
			"idmesa" : idmesa

	};
	$.ajax({
			data:  parametros,
			url:   'mini_aplicadesc.php',
			cache: false,
			type:  'post',
			beforeSend: function () {

			},
			success:  function (response) {
				$("#cuerpopop").html(response);

			}
	});
	$("#popupab").modal("show");
}
function registra_descuento_atc(idmesa,idatc){
	$("#titulocuerpo").html("Aplicando descuento");
	//$("#cuerpopop").html("");
	var descuento_porc = $("#descuento_porcn").val();
	//alert(descuento_porc);

	var parametros = {

			"idatc" : idatc,
			"idmesa" : idmesa,
			"descuento_porc" : descuento_porc,
			"MM_update" : 'form1'

	};
	$.ajax({
			data:  parametros,
			url:   'mini_aplicadesc.php',
			cache: false,
			type:  'post',
			beforeSend: function () {
				$("#cuerpopop").html("Cargando...");
			},
			success:  function (response) {
				$("#cuerpopop").html(response);
				actualiza_lista_carrito(idmesa);
				$("#popupab").modal("hide");
			}
	});
	
}
function desagrupar(idmesa){
	var direccionurl='desagrupar.php';	
	var parametros = {
	  "idmesa"        : idmesa
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#modal_titulo").html('Liberar mesa Agrupada');	
			$("#modal_cuerpo").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			$("#modal_cuerpo").html(response);	
			$('#modpop').modal('show');
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
function desagrupar_confirma(idmesa){
	var direccionurl='desagrupar.php';	
	var parametros = {
	  "idmesa"        : idmesa,
	  "conf" : 'S'
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#modal_titulo").html('Liberar mesa Agrupada');	
			$("#modal_cuerpo").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			$("#modal_cuerpo").html(response);	
			//$('#modpop').modal('show');
			if(response == 'OK'){
				document.location.href='ventas_salon.php';
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
</script>
  </head>
<!-- CUERPO / BODY -->
  <body class="nav-md">
    	<div class="container body">
			<div class="main_container">
				<!-- top navigation -->
       		   <?php //require_once("includes/menu_top_gen.php"); ?>
        		<!-- /top navigation -->
        		<!-- page content -->
				<div class="right_col" role="main">
					<div class="">
            			
            				<div class="clearfix"></div>
                  			<!-- SECCION -->
			       				<div class="row">
              						<div class="col-md-12 col-sm-12 col-xs-12">
                						<div class="x_panel">
											  <div class="x_title">
												   <?php 
														// crea imagen
														$img="../gfx/empresas/emp_".$idempresa.".png";	 
														if(!file_exists($img)){
															$img="../gfx/empresas/emp_0.png";
														}
													?>
												  	 <div class="col-md-4" id="logoempresa">
												  <div class="pull-left"><img src="<?php echo $img ?>" style="width: 120px;" height="100px;"></div>
											  </div>
											  <div class="col-md-4" style="align:center">
												  <button type="button" class="btn btn-warning btn-sm" onClick="cargar(0)" data-toggle="modal" data-target="#myModal">Todos</button>
														<?php 
														  //Traemos los salones disponibles
														  $buscar="Select * from salon where idsucursal=$idsucursal and estado_salon <> 6 order by preferido,nombre asc";
														  $rssalones=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
														  $tsala=$rssalones->RecordCount();
														  if ($tsala > 0){
															  while (!$rssalones->EOF){
														  ?>
															<button type="button" class="btn btn-info btn-sm" onClick="cargar(<?php echo $rssalones->fields['idsalon']?>)"><?php echo $rssalones->fields['nombre']?></button>
                  	
          														<?php $rssalones->MoveNext();}?>   
                      										<?php }?>
											</div> 
											  <div class="col-md-4" id="logoekaru">
												  <div class="pull-right">
												  <a href="http://www.restaurante.com.py/" target="_blank"><img src="../img/logoekaru_email.jpg" width="140" height="60" alt=""/></a>
												  </div>	
											  </div>			
												  
												  
												  
												  
												 <form id="formu01" action="ventas_salon.php" method="post">
												  	   <input type="hidden" name="ocsalon" id="ocsalon" value="0" />
													  <input type="hidden" name="occantidad" id="occantidad" value="0" />
													  <input type="hidden" name="ocserial" id="ocserial" value="0" />
												  </form>											  
												  
											 
												
											  </div>
                  							  <div class="x_content">
					  									
													  <?php if(trim($errores) != ""){ ?>
														<div class="alert alert-danger alert-dismissible fade in" role="alert"><strong>Errores:</strong><br /><?php echo $errores; ?></div>
												  
												  		<?php } ?>
												  		
<?php if(date('d/m') == '25/08'){ ?>
<strong>¡¡¡ FELIZ DIA DEL IDIOMA GUARANI  !!!</strong>  <a href="../25_agosto.php" target="_blank" class="btn btn-sm btn-default" title="Dia del Idioma Guarani" data-toggle="tooltip" data-placement="right"  data-original-title="Dia del Idioma Guarani"><span class="fa fa-search"></span></a>
<?php } ?>
                  								</div>
                							</div>
              							</div>
            						</div>
									<!-- ROW--->
           							<div class="clearfix"></div>
                  					<!-- Mesas del Sistema -->
           							<div class="row" id="mesascomponen" >
										<div class="col-md-12 col-sm-12 col-xs-12">
											<div class="x_panel">
												  <div class="x_title">
													<h2><i class="fa fa-arrow-circle-o-right"></i> Mesas <small id="minitextomesas"></small></h2>
													<div align="center">
												  	<a href="../index.php"><i class="fa fa-home fa-2x">&nbsp;Regresar</i></a>
													</div>  
											 
													<div class="clearfix"></div>
												  </div>
												  <div class="x_content" id="minimesas">

													  <?php require_once("mini_mesas.php")?>
                                                      
 												  </div>
												 
											</div>
										</div>
										

								   </div>
			 						<div class="clearfix"></div>
                  					<!-- acciones de mesa-->
           							<div class="row" id="accionesmesa" style="display: none">
										<div class="col-md-12 col-sm-12 col-xs-12" >
											<div class="x_panel">
												
												  <div class="x_title">
													<h2 style="color:black"><i class="fa fa-arrow-circle-o-right"></i> &nbsp;&nbsp;Mesa N&deg; &nbsp;<span id="clasemesanum"></span> <small id="minitext"></small></h2><span id="ocupadomesa"></span>&nbsp;&nbsp;&nbsp;<h2>&nbsp;&nbsp;, ocupada durante: <span id="ttiempo"></span></h2>
													<div class="clearfix"></div>
												  </div><!----------------TITULO-------->
													<input type="hidden" name="idmozosele" id="idmozosele" value="<?php echo $idmozo; ?>" />
												  <div class="x_content" id="minimesasacciones">
														
													  	<?php require_once("mini_accionesmesas.php")?>
													 
												  </div>
											</div>
										</div>
										

								   </div>
			
          				</div>
          		</div>
				<!-- The Modal -->
		  <div class="modal fade" id="popupab"  role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
			<div class="modal-dialog modal-dialog-centered" role="document">
			  <div class="modal-content">

				<!-- Modal Header -->
				<div class="modal-header">
					<input type="hidden" name="ocidmesa" id="ocidmesa" value=""/>
					<div class="alert alert-danger alert-dismissible fade in" role="alert" id="errorescod" style="display: none">
						<strong>Errores:</strong><br /><span id="errorescodcuerpo"></span>
						</div>
				  <h4 class="modal-title" id="titulocuerpo"><span class="fa fa-user-secret"></span>&nbsp;&nbsp;Ingres&aacute; tu c&oacute;digo</h4>
				  <button type="button" class="close" data-dismiss="modal">&times;</button>
				</div>

				<!-- Modal body -->
				<div class="modal-body" id="cuerpopop">
				  
				</div>

				<!-- Modal footer -->
				<div class="modal-footer">
			
					<span  id="controlcito" style="display: none"></span>
				</div>

			  </div>
			</div>
		  </div>
        </div><!-- /main container -->  
			
           <!------------------------------     modal para cierre ---------------------------->
			
			<!-- The Modal -->
		  <div class="modal fade" id="modpop"  role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
			<div class="modal-dialog modal-dialog-centered" role="document">
			  <div class="modal-content">

				<!-- Modal Header -->
				<div class="modal-header">
					<input type="hidden" name="ocidmesa" id="ocidmesa" value=""/>
					<div class="alert alert-danger alert-dismissible fade in" role="alert" id="errorescod" style="display: none">
						<strong>Errores:</strong><br /><span id="errorescodcuerpo"></span>
						</div>
					<span  id="modal_titulo" style="font-weight:bold;"></span>
				  <button type="button" class="close" data-dismiss="modal">&times;</button>
				</div>

				<!-- Modal body -->
				<div class="modal-body" id="modal_cuerpo" style="height: 500px; overflow-y: scroll">
				  
				</div>

				<!-- Modal footer -->
				<div class="modal-footer">
				
					<span  id="controlcito" style="display: none"></span>
				</div>

			  </div>
			</div>
		  </div>
        </div><!-- /main container --> 
			
			
			
			
			
	  </div> <!-- /body container -->  
	   
        <!-- Impresiones y reimpresiones -->     
		<div style="display: none" id="reimprimebox"></div>
              
       
        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
	<?php require_once("includes/footer_gen.php"); ?>
       	<script src="../js/shortcut.js"></script>
		<script src="../js/ventas_mesas_nueva.js?nc=202202101943<?php //echo date("Ymdhis"); ?>"></script>
	<script>
	function eliminarproducto(idtmp,idcab,idmesa,idatc){
		var cod_autoriza = $("#cod_autoriza").val();
		var urlbusca='../borra_prod_ped_new.php';
	    var parametros = {
                "idventatmp"        : idtmp,
				"idtmpventares_cab" : idcab,
				"mesa"              : idmesa,
				"cod"               : cod_autoriza
        };
		$.ajax({
                data:  parametros,
                url:   urlbusca,
				cache: false,
                type:  'post',
                beforeSend: function () {
					$("#accionesocultas").html('Cargando...');
                },
                success:  function (response) {
					//alert(response);
					if(response == 'OK'){
						$("#accionesocultas").html('');
						actualiza_lista_carrito(idmesa);
						$('#popupab').modal('hide')  ;
					}else{
						$("#cuerpopop").html(response);
						actualiza_lista_carrito(idmesa);
						//$('#popupab').modal('hide')  ;
						//alert(response);
						//$("#pop1").html(response);
						//actualizar();
					}
                }
        });
}
	function eliminarproducto2(idprod,idmesa,idatc){
		var cod_autoriza = $("#cod_autoriza").val();
		var urlbusca='../borra_prod_ped_new.php';
	    var parametros = {
                "idprod"       		: idprod,
				"mesa"              : idmesa,
				"idatc"              : idatc,
				"cod"               : cod_autoriza
        };
		$.ajax({
                data:  parametros,
                url:   urlbusca,
				cache: false,
                type:  'post',
                beforeSend: function () {
					$("#accionesocultas").html('Cargando...');
                },
                success:  function (response) {
					//alert(response);
					if(response == 'OK'){
						$("#accionesocultas").html('');
						actualiza_lista_carrito_cons(idmesa);
						$('#popupab').modal('hide')  ;
					}else{
						$("#cuerpopop").html(response);
						actualiza_lista_carrito_cons(idmesa);
						//$('#popupab').modal('hide')  ;
						//alert(response);
						//$("#pop1").html(response);
						//actualizar();
					}
                }
        });
}

	function comentar(idprod,idserialtmp){
		$("#titulocuerpo").html("Comentarios - Notas");
		$("#cuerpopop").html("");
		var idatc=<?php echo $idatc ?>;
		var parametros = {
                "comp" : idprod,
				"idatc" : idatc,
			 	"idserialt" : idserialtmp
				
        };
		$.ajax({
                data:  parametros,
                url:   'mini_comentario.php',
				cache: false,
                type:  'post',
                beforeSend: function () {
					
                },
                success:  function (response) {
					$("#cuerpopop").html(response);
					    var some_id = $('#comentario');
                        some_id.prop('type', 'text');
                        some_id.removeAttr('autocomplete');
					
                }
        });
		
		
		
		$("#popupab").modal("show");
		
	}	
	function registrar_comentario(serie){
		var idmesa=<?php echo $idmesa ?>;
		var comentario=$("#comentario").val();
		var idatc=<?php echo $idatc ?>;
		var parametros = {
                "comentario" : comentario,
				"idatc" : idatc,
			 	"idserialt" : serie,
				"agf": 1
				
        };
		$.ajax({
                data:  parametros,
                url:   'mini_comentario.php',
				cache: false,
                type:  'post',
                beforeSend: function () {
					
                },
                success:  function (response) {
					$("#cuerpopop").html(response);
					
                }
        });
		
	}

	function borra_input(id){
	    $('#'+id).val('');
	    
	}
	function cambiar_precio(idventatmp,idmesa){
		var precio_nuevo = $("#precio_nuevo").val();
		var parametros = {
                "idventatmp" : idventatmp,
				"precio_nuevo" : precio_nuevo,
				
        };
		$.ajax({
                data:  parametros,
                url:   'cambio_precio.php',
				cache: false,
                type:  'post',
                beforeSend: function () {
					$("#precio_nuevo_box").html('Cargando...');
                },
                success:  function (response) {
					if(IsJsonString(response)){
						var obj = jQuery.parseJSON(response);
						if(obj.valido == 'S'){
							actualiza_lista_carrito(idmesa);
							$("#popupab").modal("hide");
						}else{
							//alert('Errores: '+obj.errores);	
							$("#error_box_msg").html(nl2br(obj.errores));
							$("#error_box").show();
						}
					}else{
						alert(response);	
					}
					
                }
        });
	}
function agregar_bntplus(idprod,idmesa){
	var cantidad = $('#can_'+idprod).val();
	if(cantidad > 0){
		agregar_carrito(idprod,cantidad,idmesa);
	}else{
		agregar_carrito(idprod,1,idmesa);
	}
	$('#can_'+idprod).val('');
}
function agregar_carrito_enter(idprod,idmesa,e){
	// si apreto enter
	if(e.keyCode == 13){
		var cantidad = $('#can_'+idprod).val();
		if(cantidad > 0){
			agregar_carrito(idprod,cantidad,idmesa);
			$('#can_'+idprod).val('');
		}
	}
}
function controlacod(idmesa,usacod,numero){
	//alert(usacod);
	if (usacod==1){
		// crear campo pin
		pinmozo('M');
		$("#ocidmesa").val(idmesa);
		$("#popupab").modal("show");
		setTimeout(function(e){ $("#codaccede").focus(); }, 1200);
		//enfocar();
	} else {
		//mostramos directamente la mesa
		$("#ocidmesa").val(idmesa);
		var mozochar='<?php echo $cajero; ?>';
		var mm='<?php echo $idusu; ?>';
		habilitarmesa(idmesa,mm,mozochar,numero);
		enfocarbusqueda();
		//mostramos uso
		setTimeout(function(e){ mostraruso(); }, 1200);
	}	
}
</script>
	<?php 
	$idmesaclick=intval($_GET['me']);
	if ($idmesaclick > 0){
	?>
	<script>
	var nme=<?php echo $idmesaclick ?>;	
	$( document ).ready(function() {
   			$("#mesa_n_"+nme).click();
	});
	</script>
	<?php }?>
<script>
$(document).ready(function(){
	setInterval(function(){ mantiene_session(); }, 1200000); // 20min
	<?php if($volveramesa=='S'){ 
	
	?>
	$("#ocidmesa").val(<?php echo $idmesarecarga ?>);
	setTimeout(function(e){ controlacod(<?php echo $idmesarecarga ?>,<?php echo $usacod ?>,<?php echo $numeromesa ?>); }, 1200);
	 
	//alert("hacer click");
	<?php } ?>
});
</script>
	
  </body>
</html>
