<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
require_once("../includes/funciones_stock.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php"); 

$idatc=intval($_REQUEST['idatc']);
$idmesa=intval($_REQUEST['idm']);
$pagoparcialregistrado=intval($_REQUEST['pr']);
$impreso=intval($_REQUEST['impre']);


//Verificamos si el usuario en cuestion tiwene permiso de caja
$consulta="
	SELECT *, (SELECT fechahora FROM usuarios_accesos where idusuario = usuarios.idusu order by fechahora desc limit 1) as ultacceso,
	(select nombre from sucursales where idsucu=usuarios.sucursal and idempresa=$idempresa) as sucuchar
	FROM usuarios
	where
	estado = 1
	and idempresa = $idempresa
	and idusu in (select idusu from modulo_usuario where idempresa = $idempresa and estado = 1 and submodulo = 22)
	and idusu=$idusu
	order by usuario asc
	";
$rsccajacon=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
if (intval($rsccajacon->fields['idusu'])>0){
	$permitecobrar='S';
} else {
	$permitecobrar='N';
	
	header("location: ventas_salon.php");exit;
	
}


if ($idatc==0 or $idmesa==0){
	header("location: ventas_salon.php");exit;
}

//---------Funciones para registrar en este modulo--------------------------->
require_once('mini_funciones.php');

/*------------------------PREFERENCIAS Y CONTROL DE FACTURAS-----------------*/
$consulta="
SELECT * 
FROM gest_depositos
where
tiposala = 2
and idempresa = $idempresa
and idsucursal = $idsucursal
and estado = 1
";
$rsdep = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$iddeposito=intval($rsdep->fields['iddeposito']);
if($iddeposito == 0){
	$errores.="No existe deposito de ventas asignado a la sucursal actual.";
	$valido="N";
}

$buscar="Select * from preferencias where idempresa=$idempresa";
$rspref=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$script=trim($rspref->fields['script_factura']);
$usa_descuento=$rspref->fields['usa_descuento'];
$bloquear=intval($rspref->fields['autorizar']);
$controlfactura=intval($rspref->fields['controlafactura']);
$autoimpresor=trim($rspref->fields['auto_impresor']);

if ($bloquear==0){
	//No se establecio por la preferencia, y bloqueamos x seguridad
	$bloquear=1;
}	
//Traemos la numeracion de factura secuencia x sucursal y punto expedicion
if ($controlfactura ==1){

	$ano=date("Y");
	// busca si existe algun registro
	$buscar="Select max(numfac) as mayor from lastcomprobantes where idsuc=$idsucursal and pe=$pe and idempresa=$idempresa order by ano desc limit 1";
	$rsfactura=$conexion->Execute($buscar) or die(errorpg( $conexion,$buscar));
	$maxnfac=intval(($rsfactura->fields['mayor'])+1);
	if($maxnfac <= 1){
	 
					$consulta="
					INSERT INTO lastcomprobantes
					(idsuc, factura, numfac, recibo, numrec, tickete, numtk, ano, pe, numcheque, secuencia_cancela, 
					numhoja, hojalevante, idempresa) 
					VALUES
					($idsucursal, 0, $maxnfac, NULL, 0, NULL, 0, $ano, $pe, NULL, 
					NULL, 0, '', $idempresa)
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	}
}
//Buscamos si hay cabecera, sino usamos el tradicional
$buscar="Select * from cabeceras where idempresa=$idempresa and idsucursal=$idsucursal";
$rcab=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
//echo $buscar;
if ($rcab->fields['sucursal']!=''){
	$parte1=intval($rcab->fields['sucursal']);
	$parte2=intval($rcab->fields['puntoexp']);
	$a=strlen($parte1);$b=strlen($parte2);
	$part1='';$part2='';
	if ($a <3){
		$df=3-$a;
		for ($i=1;$i<=$df;$i++){
			$part1=$part1.'0';
		}
		
	}
    $parte1f=$part1.$parte1;
	if ($b <3){
		$df=3-$b;
		for ($i=1;$i<=$df;$i++){
			$part2=$part2.'0';
		}
		
	}
    $parte2f=$part2.$parte2;
} else {
	$parte1f='001';
	$parte2f='001';
	
	
}
/*-------------------FIN--PREFERENCIAS Y CONTROL DE FACTURAS-----------------*/


//Buscamos el numero de mesa
$buscar="Select * from mesas where idmesa=$idmesa";
$rsme=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$numeromesa=intval($rsme->fields['numero_mesa']);



if (isset($_POST['idf']) && ($_POST['idf'] > 0)){
	$carnet=antisqlinyeccion($_POST['carnet'],'text');
	$tipoven=intval($_POST['ventatip']);
	$tipodocumento=intval($_POST['octipodocu']);
	$tipoimpresion=intval($_POST['timpre']);
	$idcliente=intval($_POST['idcliente']);
	//echo $idcliente;exit;
	//validar por php
	$errores='';
	$ruccliente=trim($_POST['ruc1']);
	$factunum=intval($_POST['factu1']);
	$sucuf=intval($_POST['sucu1']);
	$punf=intval($_POST['pun1']);
	$idatc=intval($_POST['idatc']);
	//print_r($_POST);exit;
	if ($errores==''){
		$idv=registrar_venta($idmesa,$idatc,$idcliente,$factunum,$idusu,$iddeposito,$sucuf,$punf,$tipoimpresion);
		
		if ($idv > 0){
			registrar_pago($idv,$idmesa,$idatc,$ruccliente,$factunum,$idusu);
			if ($tipoven==2){
				//vta diplomatico
				$update="UPDATE ventas_detalles 
				set 
				subtotal_monto_iva_excluido_diplomatico = subtotal_monto_iva, 
				iva_excluido_diplomatico = iva,
				subtotal_anterior_diplomatico = subtotal,
				pventa_anterior_diplomatico = pventa,
				pventa_monto_iva_anterior = (pventa-(pventa/(1+iva/100)))
				WHERE 
				idventa = $idv
				and iva_excluido_diplomatico is null";
				//$conexion->Execute($update) or die(errorpg($conexion,$update));
					//echo $update.'<br />';
				$update="UPDATE ventas_detalles
				set 
				subtotal = ((pventa_anterior_diplomatico-round(pventa_monto_iva_anterior,0))*cantidad)-descuento,
				pventa = pventa_anterior_diplomatico-round(pventa_monto_iva_anterior,0),
				subtotal_monto_iva = 0,
				iva = 0
				WHERE
				idventa = $idv
				and round(subtotal,3) = round(subtotal_anterior_diplomatico,3)
				and round(pventa,3) = round(pventa_anterior_diplomatico,3)";
				//$conexion->Execute($update) or die(errorpg($conexion,$update));
				//echo $update.'<br />';
				$update="update ventas_detalles 
				set 
				utilidad = subtotal-subtotal_costo,
				subtotal_sindesc = subtotal-descuento
				WHERE
				idventa = $idv";
				//$conexion->Execute($update) or die(errorpg($conexion,$update));
				
				
				//Cabecera de ventas
				$update="update ventas set diplomatico='S',totaliva10=0,carnet_diplomatico=$carnet where idventa=$idv";
				//$conexion->Execute($update) or die(errorpg($conexion,$update));
			}
			//exit;
			marcar_pedidos($idv,$idatc,$idusu,$idmesa,$tipodocumento);
		}
		
		exit;
	} else {
		
		
		
		
	}
	
	
	
}

//Uso de la mesa y datos de grupo mesa
$buscar="select fecha_inicio-now() as raro,TIME_TO_SEC(TIMEDIFF(now(),fecha_inicio)) diferencia_segundos,(TIME_TO_SEC(TIMEDIFF(now(),fecha_inicio))/60) as dif_minutos,idgrupomesa from mesas_atc where idmesa=$idmesa";
$rscalculo=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tsegundos=intval($rscalculo->fields['diferencia_segundos']);

$someVar = seg_a_dhms($tsegundos);
$idgrupomesa=intval($rscalculo->fields['idgrupomesa']);
//Por seguridad al entrar aqui, debe marcar la mesa como pre-cuenta
$update="update mesas set estado_mesa=5 where idmesa=$idmesa";
$conexion->Execute($update) or die(errorpg($conexion,$update));
//Si la mesa tiene un grupo, todas se marcan
if ($idgrupomesa > 0){
	//hacer update de las mesas con el estado 5
	
}

//Salvadas las mesas, debemos traer los consumos




//Control de Saldos y pagos

//total de la mesa
$buscar="Select sum(subtotal) as tmesa 
from tmp_ventares
	where 
	tmp_ventares.idtmpventares_cab in ( 
										select idtmpventares_cab 
										from tmp_ventares_cab 
										where idsucursal = $idsucursal 
										and idempresa =  $idempresa	 
										and finalizado = 'S' 
										and registrado = 'N' 
										and idatc=$idatc 
										and estado = 1 
										)
	and tmp_ventares.borrado = 'N' 
	and tmp_ventares.idsucursal = $idsucursal 
	and tmp_ventares.idempresa = $idempresa
	
	";
//echo $buscar;
//exit;
$tmesa=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$deudamesa=floatval($tmesa->fields['tmesa']);
//Vemos total de agregados


//Total de pagos ya registrados

$buscar="Select sum(montoabonado) as tpago from mesas_cobros_deta where idatc=$idatc and estadopago=1 and idventa is NULL and idatc in (select idatc from tmp_ventares_cab where idatc=$idatc and idventa is NULL )";
$rpago=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tpago=floatval($rpago->fields['tpago']);
//neto a cancelar

$saldomesa=$deudamesa-$tpago;
//echo $saldomesa;


?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
	  <script>
	  function este(cual){
		 // alert(cual);
		  if (cual==1){
			  $("#diplomatico").hide();
		  }
		   if (cual==2){
			   $("#diplomatico").show();
		  }
	  }
	  function limpiar(cual){
		  if (cual==1){
			  $("#ruc1").val("");
			   $("#cliebasico").val("");
			  $("#errores").hide();
			  $("#ruc1").focus();
		  }
	  }
	  </script>
	 
  </head>
<!-- CUERPO / BODY -->
  <body class="nav-md">
    	<div class="container body">
			<div class="main_container">
				<!-- top navigation -->
       		   <?php require_once("includes/menu_top_gen.php"); ?>
        		<!-- /top navigation -->
        		<!-- page content -->
				<div class="right_col" role="main">
					<div class="">
            			<div class="page-title"></div>
            				<div class="clearfix"></div>
						<div class="row">
              						<div class="col-md-12 col-sm-12 col-xs-12">
                						<div class="x_panel">
											  <div class="x_title">
												<h2><i class="fa fa-money"></i> Cerrar Mesa / Resumen de Cuenta Id ATC: <?php echo $idatc?></h2>
												  									  
												  
											   	<ul class="nav navbar-right panel_toolbox">
													<li><a href="ventas_salon.php?atc=<?php echo $idatc?>&me=<?php echo $idmesa?>"><i class="fa fa-home fa-2x">&nbsp;Regresar</i></a></li>
													<li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
												</ul>
												<div class="clearfix"></div>
											  </div>
                  							  <div class="x_content">
					  								 <table class="table table-striped jambo_table bulk_action">		
													  
														<thead>
														<tr>
														  <th colspan="7"><h2>Resumen Consumo Mesa N&deg; <?php echo $numeromesa?>
															 
															  </h2>
															<input type="hidden" name="ocidatcn" id="ocidatcn" value="<?php echo $idatc?> " />
															  <input type="hidden" name="ocidmesan" id="ocidmesan" value="<?php echo $idmesa?> " />

														</th>

														</tr>
														 <tr>

															  <th>Consumo Total: </th>
															  <th><?php echo formatomoneda($deudamesa);?></th>
															  <th>Pagos Parciales: </th>
															  <th><?php echo formatomoneda($tpago);?></th>
															  <th>Saldo actual pagar</th>
															  <th><?php echo formatomoneda($saldomesa);?></th>
														
															 <th colspan="<?php echo ($tot-6);?>"></th>
														</tr>
													  </thead>
													  <tbody>
														  
														
													  </tbody>
												</table>
															

											  </div>
										</div>
									</div>
                			</div>
              				<div class="clearfix"></div>		
                  			<!-- SECCION -->
			       				<div class="row">
									<?php 
									$buscar="select idcliente from cliente where ruc='$ruc_pred'";
									$rscca=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
									$idclipred=$rscca->fields['idcliente'];
									?>
              						<div class="col-md-12 col-sm-12 col-xs-12">
                						<div class="x_panel">
											  <div class="x_title">
												<h2><i class="fa fa-check-circle-o"></i> Facturaci&oacute;n</h2>
												  									  
												  
											   	<ul class="nav navbar-right panel_toolbox">
													<li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
												</ul>
												<div class="clearfix"></div>
											  </div>
                  							  <div class="x_content">
					  									
													  <div id="errores" class="alert alert-danger alert-dismissible fade in" <?php if ($saldomesa == 0){?> style="display: none" <?php }?> role="alert"><strong>
													 <?php if ($saldomesa > 0){?>Errores:</strong><br />
														  <span id="mostraerror">ATENCION: la mesa adeuda un total de GS: <?php echo formatomoneda($saldomesa);?>. Haga click en cancelar y retorne para cobrar el saldo pendiente!</span>
														  <?php }?>
														  <span id="otrotexto"></span>
												 	 </div>
												  
												  <div id="sucesos" class="alert alert-info alert-dismissible fade in" <?php if ($pagoparcialregistrado==0){?>style="display: none" <?php }?> role="alert"><strong>		<span id="mostrasuceso"><i class="fa fa-print"></i> Documento enviado correctamente para pago parcial.!</span></strong><br />
													  <div style="" id="occlie"></div>
												  </div>
												  	<div class="col-xs-2 " id="menutab">
									  
													  <ul class="nav nav-tabs tabs-left">
														<li class="active"><a href="#favoritostab" data-toggle="tab" id="ft" aria-expanded="true">Factura Simple</a> 												</li>
														<li class=""><a href="#productostab" data-toggle="tab" id="mt" aria-expanded="false" >Multiples Facturas</a>
														</li>
													  </ul>
													</div>
												  <input type="hidden" name="ocactivo" id="ocactivo" value="1" />
												  <form id="cerrando" action="cerrar_mesa.php" method="post">
													   <input type="hidden" name="octipodocu" id="octipodocu" value="" />
													  <input type="hidden" name="ocforma" id="ocforma" value="" />
													   <input type="hidden" name="idf" id="idf" value="1" />
													  <input type="hidden" name="idatc" id="idatc" value="<?php echo $idatc ?>" />
													  <input type="hidden" name="idm" id="idm" value="<?php echo $idmesa ?>" />
												  <div class="col-xs-9">
														  <!-- Tab panes -->
														  <div class="tab-content">
															  
															<div class="tab-pane active" id="favoritostab">
																<div class="col-xs-6 " id="menutab">
																	<div class="x_content">
																		<table class="table table-bordered">
																		<thead>
																		<tr>
																		<th height="46" colspan="2" bgcolor="#E5E5E5">Datos de Cliente / Factura</th>
																		</tr>
																		</thead>
																		<tbody>
																		<tr>
																		<td width="53%"><input type="text" placeholder="RUC" name="ruc1" id="ruc1" style="height: 40px; width: 90%;" onKeyUp="buscar_ruc(this.value);" />
																			
																		  <input type="button" value="Generico" onClick="generico(<?php echo $idclipred?>);" />
																		  <input type="button" value="Limpiar" onClick="limpiar(1);" />
                                                                          <input type="button" value="Buscar Cliente" onClick="buscar_cliente();" />
                                                                          </td>
																		<td width="47%" id="miniclie"><?php require_once('mini_ruc.php');?></td>
																		</tr>
																		<tr>
																		<td><input type="text" placeholder="SUC" name="sucu1" id="sucu1"  style="height: 40px; width: 20%;" value="<?php echo $parte1f?>" /><input type="text" placeholder="PE" style="height: 40px; width: 20%;" name="pun1" id="pun1" value="<?php echo $parte2f?>"  />
																		<input type="text" placeholder="FACTURA" name="factu1" id="factu1"  style="height: 40px; width: 20%;" value="<?php echo $maxnfac?>" />	
																		</td>
																		<td>&nbsp;</td>
																		</tr>
																		</tbody>
																		</table>
																		</div>
																		
														 	  </div>
																
															  <div class="col-xs-6 " id="menutab">
																	<div class="table-responsive">
																		<table width="101%" height="126" class="table table-striped jambo_table bulk_action">
																			<thead>
																				<tr class="headings">
																					 <th height="44" colspan="7" class="column-title">Tipos de Venta / Otros </th>
																				</tr>
																			</thead>
																			<tbody>
																			<tr>	
																		  		<td height="38" class=" "> Facturacion</td>
																				<td class=" ">
																				  <select name="ventatip" id="ventatip" onChange="este(this.value);">
																							<option value="1" selected="selected">Tradicional</option>
																							<option value="2">Diplomatico</option>
																				  </select>
																				</td>
																				<td class=" ">	
																					
																				</td>
																				<td class=" ">Forma Vta</td>
																				<td class=" "><select name="fventa" id="fventa" onChange="este(this.value);">
																				  <option value="1" selected="selected">Contado</option>
																				  <option value="2">Credito</option>
																				  </select></td>
																				<td class="a-right a-right ">Texto Impresion</td>
																				<td class=" last"><a href="#"><span class=" ">
																				  <select name="timpre" id="timpre" >
																				    <option value="1" selected="selected">Productos</option>
																				    <option value="2">Consumision</option>
																			    </select>
																				</span></a>
																				</td>
																			</tr>
																			<tr>
																				<td colspan="7">
																				<div id="diplomatico"  style="float: left; width: 99%; display: none">
																						<input type="text" placeholder="Numero de carnet diplomatico - Obligatorio" name="carnet" id="carnet"  style="height: 40px; width: 99%;" value="" />
																					</div>	
																				</td>
																				
																			</tr>
																				<tr>
																					<td class=" " colspan="7">
																						 <?php if ($saldomesa == 0){?>
																						<input type="button" value="Asignar e imprimir Factura" onClick="asignar(1);" />
																						&nbsp;&nbsp;
																					<?php if ($autoimpresor!='S'){?>
																					<input type="button" value="Finalizar e imprimir Tickete" onClick="asignar(2);"  />
																						
																					<?php }?>
																						<?php }?>
																					&nbsp;&nbsp;
																			<input type="button" value="Cancelar" onClick="regresar();"  />	
																					</td>
																				
																				
																				
																				</tr>
																			</tbody>
																		</table>
																</div>
															  </div>

															</div>
															<div class="tab-pane" id="productostab">
																
																<hr />
																<div class="x-content" id="listaprodm">
																	<?php 
																	$buscar="select montoabonado,idcobser,registrado_el,descripcion from 
																	mesas_cobros_deta 
																	inner join formas_pago on formas_pago.idforma=mesas_cobros_deta.idformapago
																	where idatc=$idatc and estadopago=1 and idcliente=0 order by registrado_el asc
																	";
																	$pagos=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
																	$tpagosne=$pagos->RecordCount();	  
																	
																			   
																
																	if ($tpagosne > 0){
																	
																	?>
																	<div class="col-md-6 col-xs-12" style="border: 1px solid #000000">
																		<h3>1) Seleccione pagos a facturar</h3>
																		<div id="recargatemporal" style="display"></div>
																		<table class="table table-striped">
																			<thead>
																				<tr>
																				<th></th>
																				<th>Monto Abonado</th>
																				<th>Medio Pago</th>
																				<th>Registrado el</th>
																				<th></th>
																				</tr>
																			</thead>
																			<?php while (!$pagos->EOF){?>
																			<tbody>
																				<tr>
																				<td><?php echo $pagos->fields['']?></td>
																				<td><?php echo formatomoneda($pagos->fields['montoabonado'],4,'N')?></td>
																				<td><?php echo $pagos->fields['descripcion']?></td>
																				<td><?php echo date("d/m/Y H:i:s",strtotime($pagos->fields['registrado_el']));?></td>
																					<td><input type="checkbox" name="marcar_<?php echo $pagos->fields['idcobser']?>"  id="marcar_<?php echo $pagos->fields['idcobser']?>"  onClick="seleccionarpago(<?php echo $pagos->fields['idcobser']?>,<?php echo $idatc?>,<?php echo $idmesa?>)" /></td>
																				</tr>
																				
																			</tbody>
																			<?php $pagos->MoveNext();}?>
																			<tr>
																				<td colspan="5" align="center"><button type="button" class="btn btn-primary" onClick="continuarseleccion(<?php echo $idatc?>,<?php echo $idmesa?>);">Continuar</button></td>
																			
																			</tr>
																				</table>
																		<hr />
																		<div id="fraprodu" style="">
																		
																		
																		
																		
																		</div>
																	</div>
																	<div class="col-md-6 col-xs-12" style="border: 0px solid #000000; margin-left: 4px; width: 30%;" id="productosfraccionados">
																		
																	</div>
																	<?php } ?>
																</div>
															</div>

														  </div>
														</div>
												  	</form>
												  
                  								</div>
                							</div>
              							</div>
            						</div>
									<!-- ROW--->
           							<div class="clearfix"></div>
                  					<!-- Mesas del Sistema -->
           							<div class="row" id="mesascomponen" >
										<div class="col-md-12 col-sm-12 col-xs-12">
											<div class="x_panel">
												  <div class="x_title">
													
													<ul class="nav navbar-right panel_toolbox">
													  <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
													 
													</ul>
													<div class="clearfix"></div>
												  </div>
												  <div class="x_content" id="minimesas">

													 

												  </div>
												 
											</div>
										</div>
										

								   </div>
			 						<div class="clearfix"></div>
                  					<!-- acciones de mesa-->
 
          				</div>
          		</div>
				<!-- The Modal -->
		 
			
			<!-- The Modal -->
		  <div class="modal fade" id="modpop"  role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
			<div class="modal-dialog modal-dialog-centered" role="document">
			  <div class="modal-content">

				<!-- Modal Header -->
				<div class="modal-header">
				  <span class="modal-title" id="modal_titulo" style="font-weight:bold;"></span>
				  <button type="button" class="close" data-dismiss="modal">&times;</button>
				</div>

				<!-- Modal body -->
				<div class="modal-body" id="modal_cuerpo" style="min-height:280px;">
				
				</div>

				<!-- Modal footer -->
				<div class="modal-footer">
				
					<span  id="controlcito" style="display: none"></span>
				</div>

			  </div>
			</div>
		  </div>
        </div><!-- /main container --> 
			
			
			
			
			
	  </div> <!-- /body container -->  
	   
        <!-- Impresiones y reimpresiones -->     
		<div style="display: none" id="reimprimebox"></div>
              
       
        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
	<?php require_once("includes/footer_gen.php"); ?>
       	<script src="../js/shortcut.js"></script>
		<script>
	  
function generico(idgenerico){
  var gen='<?php echo $ruc_pred ?>';
  var rzgen='<?php echo $razon_social_pred ?>';
  $("#ruc1").val(gen);
  $("#cliebasico").val(rzgen);
  $("#idcliente").val(idgenerico);
	//alert(idgenerico);
}
function genericomul(idgenerico){
  var gen='<?php echo $ruc_pred ?>';
  var rzgen='<?php echo $razon_social_pred ?>';
	$("#idcliente").val(idgenerico);
  $("#ruc2").val(gen);
  $("#cliebasicomul").val(rzgen);
}
function buscar_ruc(valor){
   var parametros = {
		"valor" : valor,

	};
	  $.ajax({
			data:  parametros,
			url:   'mini_ruc.php',
			type:  'post',
			beforeSend: function () {

			},
			success:  function (response) {

				$("#miniclie").html(response);

			} 	

 });

}
function buscar_ruc2(valor){
   var parametros = {
		"valor" : valor,

	};
	  $.ajax({
			data:  parametros,
			url:   'mini_ruc_mul.php',
			type:  'post',
			beforeSend: function () {

			},
			success:  function (response) {

				$("#miniclien").html(response);

			} 	

 });

}
function registrar_cliente(){
  var errores='';
  var ruc= $("#ruc1").val();
  var rz=$("#cliebasico").val();
   if (ruc==''){
		errores=errores+"<span class='fa fa-arrow-right'>&nbsp;Debe indicar ruc del cliente. <br />";
	}
	if (rz==''){
		errores=errores+"<span class='fa fa-arrow-right'>&nbsp;Debe indicar razon social. <br />";
	}
	if (errores==''){
		
		  $("#errores").hide();	
		   var parametros = {
				"ruc" : ruc,
			   "rz"	: rz,
			   "agregar": 1

		  };
		  $.ajax({
				data:  parametros,
				url:   'mini_reg_clie.php',
				type:  'post',
				beforeSend: function () {

				},
				success:  function (response) {
					
					if(IsJsonString(response)){
						var obj = jQuery.parseJSON(response);
						if(obj.valido == 'S'){
							$("#errores").hide();
							$("#occlie").html(obj.idcliente);
							$("#idcliente").val(obj.idcliente);
							$("#mostrasuceso").html("<span class='fa fa-save'>&nbsp;Cliente registrado correctamente!");
							setTimeout(function(e){ $("#sucesos").show(); },300);
						}else{
							$("#otrotexto").html(response);
							setTimeout(function(e){$("#errores").show(); },300);
						}
						
						
					}else{
						alert(response);	
					}

				} 	
	 		});
	} else {

		$("#otrotexto").html(errores);
		setTimeout(function(e){$("#errores").show(); },300);


	}

}
function registrar_clientenew(){
	//alert('llega');
  var errores='';
  var ruc= $("#ruc2").val();
  var rz=$("#cliebasicomul").val();
   if (ruc==''){
		errores=errores+"<span class='fa fa-arrow-right'>&nbsp;Debe indicar ruc del cliente. <br />";
	}
	if (rz==''){
		errores=errores+"<span class='fa fa-arrow-right'>&nbsp;Debe indicar raz&oacute;n social. <br />";
	}
	if (errores==''){
		
	$("#erroresmultiple").hide();	
	$("#sinpromultiple").hide();	
	   var parametros = {
			"ruc" : ruc,
		   "rz"	: rz,
		   "agregar": 1

		};
		  $.ajax({
				data:  parametros,
				url:   'mini_reg_clie.php',
				type:  'post',
				beforeSend: function () {

				},
				success:  function (response) {
					$("#occlie").html(response);
					if(response != '1'){
						$("#sucesos").hide();
						$("#textoerrorlocal").html(response);
						setTimeout(function(e){$("#erroresmultiple").show(); },300);
					}
					if(response == '1'){
						$("#erroresmultiple").hide();
						$("#sinproblemas").html("<span class='fa fa-save'>&nbsp;Cliente registrado correctamente!");
						setTimeout(function(e){ $("#sinpromultiple").show(); },300);
					}

				} 	
	 		});
		} else {
		
			$("#textoerrorlocal").html(errores);
			setTimeout(function(e){$("#erroresmultiple").show(); },300);
						
			
		}

}			
function asignar(forma){

	//saber si es ind o mul
	var activo=$("#ocactivo").val();
	var rz=$("#cliebasico").val();
	var ruc=$("#ruc1").val();
	var errores='';
	if (activo==1){
		var facturacion=$("#ventatip").val();
		var carnet=$("#carnet").val();
		
		//Factura simple
		if (ruc==''){
			errores=errores+'*Debe indicar RUC del cliente.<br />';
		}
		if (rz==''){
			errores=errores+'*Debe indicar razon Social del cliente.<br />';
		}
		if (facturacion==2){
			//diplomatico
			if (carnet==''){
				errores=errores+'*Debe indicar numero del carnet diplomatico.<br />';
			}
		}
	}
	if (errores==''){
		if (forma==2){
			$("#octipodocu").val(2);
			$("#factu1").val("");
			$("#sucu1").val("");
			$("#pun1").val("");
		} else {
			$("#octipodocu").val(1);
		}
		document.getElementById('cerrando').submit();
	} else {
		//alert('errores'+errores);
		$("#modal_cuerpo").html(errores);
		$("#modpop").modal("show");
	}
}
function seleccionarpago(ids,idatc){
	//enviamos el ids al tempodistribuidor
	var parametros = {
			"idserie" : ids,
		   "agregar"	: 1,
			"atc"		: idatc,
			"mesa"		:<?php echo $idmesa?>


		};
		  $.ajax({
				data:  parametros,
				url:   'mini_distribuye_pago.php',
				type:  'post',
				beforeSend: function () {

				},
				success:  function (response) {

					$("#recargatemporal").html(response);

				} 	

	 });
}
function continuarseleccion(idatc,idmesa){
	
	//Luego de marcar los checks de pagos
	var parametros = {
			"idatc" : idatc,
		    "agregar"	: 1,
			"idmesa"	: idmesa
	};	
	$.ajax({
		data:  parametros,
		url:   'mini_lista_consumo.php',
		type:  'post',
		beforeSend: function () {

		},
		success:  function (response) {

			$("#fraprodu").html(response);

		} 	

	 });
}
function marcarproducto(idp,serieun,idmesa,idatc,idcabeza){
	
	var parametros= {
       "idatc" : idatc,
		"idvtatmp"	: serieun,
		"idmesa"	: idmesa,
		"idproducto": idp,
		"idcabeza"	:idcabeza
	};	
	$.ajax({
			data:  parametros,
			url:   'mini_distribuye_consumo.php',
			type:  'post',
			beforeSend: function () {

			},
			success:  function (response) {
				//Hay que ver si no hubo error al agregar, ocultamos, sino desmarcar y dejarlo donde esta			
				$("#productosfraccionados").html(response);
					setTimeout(function(e){ var mt=$("#octempopago").val();if (mt==0){ ocultar(serieun);} else {  document.getElementById('marcarprod_'+serieun).checked = false;} },1000);
					
				
				

			} 	

	 });	
	
	
}
function recuperar(serreg,idatc,idmesa,idtmpve){
	var parametros= {
       "eliminar" : serreg,
		"idvtatmp"	: idtmpve,
		"idmesa"	: idmesa,
		"idatc"		:idatc
	};	
	$.ajax({
			data:  parametros,
			url:   'mini_distribuye_consumo.php',
			type:  'post',
			beforeSend: function () {

			},
			success:  function (response) {

				$("#productosfraccionados").html(response);
				setTimeout(function(){ mostrar(idtmpve); }, 1000);

			} 	

	 });	
	
	
}	
function registrar_factura_multiple(idatc,idmesa){
	var idcabeza=$('#idcabeox').val();
	
		$('#myModalLabel').html("Error");	
		$('#titulocuerpo').html("Datos Factura");
		var parametros= {
      	
		"idcabeza"	:idcabeza,
		"idmesa"	: idmesa,
		"idatc"		:idatc
	};	
	$.ajax({
			data:  parametros,
			url:   'mini_imprime_factura_multiple.php',
			type:  'post',
			beforeSend: function () {

			},
			success:  function (response) {

				$("#modal_cuerpo").html(response);
				setTimeout(function(){
					$('#modpop').modal('show');
					 }, 1000);
				//setTimeout(function(){ mostrar(idtmpve); }, 1000);

			} 	

	 });	
		
	
}
function procesarventa(idcabeza,idmesa,idatc){
	
	var ruc=$("#ruc2").val();
	var rz=$("#cliebasicomul").val();
	var factura=$("#facturam").val();
	var errores='';
	if (ruc==''){
		errores=errores+'*Debe indicar RUC del cliente.<br />';
	}
	if (rz==''){
		errores=errores+'*Debe indicar razon Social del cliente.<br />';
	}

	if (factura==''){
		errores=errores+'*Debe indicar numero de factura.<br />';
	}
	if (errores==''){
		$("#textoerrorlocal").html("");
		$("#erroresmultiple").hide();
		var parametros= {
      	"idmesa"	:idmesa,
		"idcabeza"	:idcabeza,
		"ruc"		:ruc,
		"factura"	:factura
		
		};	
		$.ajax({
				data:  parametros,
				url:   'mini_reg_factura_multiple_vta.php',
				type:  'post',
				beforeSend: function () {

				},
				success:  function (response) {

					$("#regs").html(response);
					//alert(response);
					if (response>0){
						
						//refrescar sitio actual y hacer click en multiple
						//window.open("../script_central_impresion.php?idatc="+idatc+"&idm="+idmesa+"&pr=1","_self");
						//window.open("cerrar_mesa.php?idatc="+idatc+"&idm="+idmesa+"&pr=1","_self");
						//aun faltan cobros por facturar, por lo cual debemos enviar impresion  y regresar a cerrar mesa
						window.open("../script_central_impresion.php?idatc="+idatc+"&tk=1&modventa=4&&idm="+idmesa+"&pr=0&v="+response,"_self");
					}
					if (response=='Z'){
						//mandar al home, ya se cobro todo,pero se debe imprimir antes
						//window.open("ventas_salon.php", "_self");
						//Aun quedan cuentas x cobrar
						//alert('QUEDAN PRODUCTOS x COBRAR');
						window.open("cerrar_mesa.php?idatc="+idatc+"&idm="+idmesa+"&pr=1","_self");
						
						
					}

				} 	

		 });
	} else {
		//Mostrar cuadro de error
		$("#textoerrorlocal").html(errores);
		$("#erroresmultiple").show();
	}

}
function buscar_cliente(){
	//alert('a');
	var parametros = {
	 "b" : 'S',
	};
	$.ajax({
		data:  parametros,
		url:   'clientes_mesa.php',
		type:  'post',
		beforeSend: function () {
			$("#modal_titulo").html("Busqueda de Clientes");
			$("#modal_cuerpo").html('Cargando...');
		},
		success:  function (response) {
			
			$("#modal_titulo").html("Busqueda de Clientes");
			$("#modal_cuerpo").html(response);
			$("#modpop").modal("show");
			
		} 	

	});
}
function filtrar_rz(busqueda){

		var parametros = {
                "bus_rz" : busqueda
        };
		$.ajax({
                data:  parametros,
                url:   'cliente_filtrado.php',
                type:  'post',
                beforeSend: function () {
                    $("#clientereca").html('Filtrando...');
                },
                success:  function (response) {
					$("#clientereca").html(response);
                }
        });
		
		
}
function filtrar_ruc(busqueda){ 

		var parametros = {
                "bus_ruc" : busqueda
        };
		$.ajax({
                data:  parametros,
                url:   'cliente_filtrado.php',
                type:  'post',
                beforeSend: function () {
                    $("#clientereca").html('Filtrando...');
                },
                success:  function (response) {
					$("#clientereca").html(response);
                }
        });
		
		
}

function selecciona_cliente(valor){
	if(IsJsonString(valor)){
		var obj = jQuery.parseJSON(valor);
		$("#ruc1").val(obj.ruc);
		$("#cliebasico").val(obj.razon_social);
		$("#idcliente").val(obj.idcliente);
		$("#modpop").modal("hide");
	}else{
		alert(valor);	
	}
		
}
function editar_cliente(){
	var idcliente =  $("#idcliente").val();
	if(idcliente > 0){
		document.location.href='../cliente_editar.php?id='+idcliente;
	}else{
		alert("No selecciono ningun cliente.");	
	}
}
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
function ocultar(cual){
	$("#tr_"+cual).hide();
	
	
}
function mostrar(cual){
	$("#tr_"+cual).show();
	 document.getElementById('marcarprod_'+cual).checked = false;
}
function regresar(){
	window.open("ventas_salon.php","_self");
}
<?php if ($pagoparcialregistrado==1 && $impreso==0){
			
	$buscar="Select max(idventa) as mayor from ventas where idatc=$idatc and impreso='N' order by idventa desc";
	$rsvv1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idvvff=intval($rsvv1->fields['mayor']);
?>
$( document ).ready(function() {
	
   
	
	setTimeout(function(e){ var idatc=<?php echo $idatc?>;var idmesa=<?php echo $idmesa ?>;var idventa=<?php echo $idvvff ?>;window.open("../script_central_impresion.php?modventa=4&tk=1&idatc="+idatc+"&idm="+idmesa+"&pr=1"+"&v="+idventa,"_self"); },30);
});
<?php }?>
<?php if ($impreso==1){?>
$( document ).ready(function() {
	
   $("#mt").click();
	
	
});			
<?php } ?>
	  </script>
	  
  </body>
</html>
