<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="337";
require_once("includes/rsusuario.php"); 

if($rsco->fields['master_franq'] == 'S'){
	echo "Este local es master franquicia, se debe configurar en cada local no desde el master.";
	exit;	
}

//echo "Ya no se puede activar, el decreto vencio el 1 de Julio 2022";
//exit;

$consulta="
select *,
(select usuario from usuarios where log_regimen.registrado_por = usuarios.idusu) as registrado_por
from log_regimen 
order by idlog asc
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idlog=intval($rs->fields['idlog']);
if($idlog > 0){
	echo "Ya fue activado!";
	exit;	
}


if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");


	if(strtotime(date("Y-m-d")) < strtotime(date("Y-m-d",strtotime('2020-08-01')))){
		$errores.="- No se puede aplicar antes del 01/08/2020.<br />";
		$valido="N";
	}


	// si todo es correcto inserta
	if($valido == "S"){
		//exit;
		$consulta="
		insert into log_regimen
		(registrado_por, registrado_el)
		values
		($registrado_por, $registrado_el)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		INSERT INTO 
		log_regimen_act_des
		(registrado_por, registrado_el,accion,estado)
		VALUES 
		($registrado_por, $registrado_el,'A',1)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update productos 
		set 
		idtipoiva = 4,
		tipoiva = 5
		where
		(
		tipoiva = 10
		and idtipoiva = 1
		)
		or 
		(idtipoiva is null)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update preferencias 
		set 
		idtipoiva_venta_pred = 4
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		header("location: activar_regimen_3881.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Activar Decreto Nº 3881</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>

<p><a href="index_new.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />

<strong style="color:#F00;">CUIDADO! Esta accion no se puede deshacer!</strong><br />
Es muy importante que <strong>llames a tu contador</strong> para averiguar si tu Empresa esta registrada en la SET con alguno de los codigos de actividad mencionados en el decreto Nro 3881 y si aplica a todos los productos/servicios que comercializas.<br />
<br /><br />
Esta es tu <strong style="color:#F00;">ultima oportunidad</strong> para deshacer esta opcion, si aprietas el boton activar ya no se podra deshacer y podria tener implicancias impositivas.
<br />
<br />
<strong style="color:#F00;">LLAME A MI CONTADOR Y ESTOY SEGURO DE ACTIVAR PARA EL 100% DE LOS PRODUCTOS Y SERVICIOS: </strong>


<form id="form1" name="form1" method="post" action="">

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Activar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='index_new.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />
<div class="clearfix"></div>
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
