<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";

require_once("includes/rsusuario.php"); 

$insertado='N';
echo "Modulo desactivado"; // le falta funcion de clientes
exit;
//*------------lista de grados de parentezco--------------------*/

$buscar="Select * from gest_parentezco order by descripcion ASC";
$rspar=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

//Generar y reservar id unico para transacciones
$borrar="delete from transacciones where idempresa=$idempresa and estado=2";
$conexion->Execute($borrar) or die(errorpg($conexion,$borrar));

//Generamos el id
$buscar="Select max(numero) as mayor from transacciones";
$rst=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$mayorid=intval($rst->fields['mayor'])+1;

$insertar="insert into transacciones (idempresa,numero,estado,sucursal) values ($idempresa,$mayorid,2,$idsucursal)";
$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));

//Limpiar y almacenar
if (isset($_POST['vv']) && intval($_POST['vv']) >0){

	
	//Datos del paciente
	$nombres=antisqlinyeccion($_POST['nombres'],'text');
	$apellidos=antisqlinyeccion($_POST['apellidos'],'text');
	$documento=antisqlinyeccion($_POST['documento'],'int');
	//Calculamos el dv
	$dv=calcular_ruc($documento,11);
	$ruc="$documento"."-$dv";
	
	$n=str_replace("'","",$nombres);
	$a=str_replace("'","",$apellidos);
	
	$razon=$n.' '.$a;
	$tipoclie=1;//psrt por defecto
	$fechanac=antisqlinyeccion($_POST['fechanac'],'date');
	$grupo=antisqlinyeccion($_POST['gs'],'text');
	//Ubicacion
	$direccion=antisqlinyeccion($_POST['direccion'],'text');
	$lbaja=antisqlinyeccion($_POST['lbaja'],'text');
	
	$movil=antisqlinyeccion($_POST['celular'],'int');
	//$movil=substr($movil,1,11);
	$ncasa=antisqlinyeccion($_POST['numcasa'],'text');
	$email=antisqlinyeccion($_POST['email'],'text');
	//laborales
	$empresatrab=antisqlinyeccion($_POST['empresatrabaja'],'text');
	$dirlab=antisqlinyeccion($_POST['diretrabajo'],'text');
	$tellab=antisqlinyeccion($_POST['teltrabajo'],'text');
	$contactoemerg=antisqlinyeccion($_POST['contaemerlab'],'text');
	$telfoemerg=antisqlinyeccion($_POST['telemerlab'],'text');
	//Otros
	$imagen=antisqlinyeccion($_POST['fotito'],'text');
	$obs=antisqlinyeccion($_POST['obs'],'text');
	//COmprobar los errores
	$valido='S';
	$errores='';
	
	if (($nombres == 'NULL') or ($apellidos == 'NULL')){
			$errores=$errores."* Debe ingresar el (los) nombre(s) y apellido(s).<br />";
			$valido='N';
	}

	if (($documento == 'NULL') or ($documento == 0)){
		$errores=$errores."* Debe ingresar Documento de identidad.<br />";
		$valido='N';
			
	} 
	if ($fechanac == 'NULL'){
		$errores=$errores."* Debe ingresar fecha de nacimiento.<br />";
		$valido='N';
	}
	if ($grupo == 'NULL'){
		$errores=$errores."* Debe ingresar grupo sangu&iacute;neo.<br />";
		$valido='N';
	}
	if ($direccion == 'NULL'){
		$errores=$errores."* Debe ingresar direcci&oacute;n del cliente.<br />";
		$valido='N';
	}
	if (($movil == 'NULL') or ($movil==0)){
		if ($lbaja == 'NULL') {
			$errores=$errores."* Debe ingresar al menos un n&uacute;mero telef&oacute;nico.<br />";
			$valido='N';
		}
	}
	
	
	//Controlamos que el documento/otros de identidad no exista ya en la BD para la empresa.
	
	$buscar="Select nombre,apellido from cliente where documento=$documento and idempresa=$idempresa";
	$rsok=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$cliente=trim($rsok->fields['nombre']).' '.trim($rsok->fields['apellido']);
	
	if ($cliente!=' '){
		$errores=$errores."El Documento $documento ingresado,ya se encuentra registrado y pertenece a: ".capitalizar($cliente)."<br />Favor ingrese un documento distinto para registrar al presente cliente.";
		$valido='N';
	}
	if ($valido=='S'){
			$buscar="Select max(idcliente) as mayor from cliente where idempresa=$idempresa";
			$may=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$idcliente=intval($may->fields['mayor'])+1;
			
			$inserta="
			insert into cliente
			(idcliente,idempresa,nombre,apellido,documento
			,ruc,telefono,celular,email,direccion,comentario,fechanac,
			tipocliente,razon_social,registrado_el,sucursal,grupo_sanguineo)
			
			values 
			
			($idcliente,$idempresa,$nombres,$apellidos,$documento,
			'$ruc',$lbaja,$movil,$email,$direccion,$obs,$fechanac,$tipoclie,'$razon',current_timestamp,$idsucursal,$grupo)
			";
			
			
			$conexion->Execute($inserta) or die(errorpg($conexion,$inserta));
			$insertado='S';
			
			//Ya que se registro el nuevo cliente, procedemos a registrar los datos laborales
			
			//laborales
			if ($empresatrab!=''){
				$inserta="insert into gest_datos_laborales
				(documento,idcliente,lugar_trabajo,direccion,telefono,idempresa,sucursal,cont_emergencia,tel_emergencia)
				values
				($documento,$idcliente,$empresatrab,$dirlab,$tellab,$idempresa,$idsucursal,$contactoemerg,$telfoemerg)	
				";	
				$conexion->Execute($inserta) or die(errorpg($conexion,$inserta));
			}
			if ($imagen !=''){
				
			}
			if ($obs !='NULL'){
				$update="update clientes set comentario=comentario||' '||$obs where idcliente=$idcliente and documento=$documento and idempresa=$idempresa";
				$conexion->Execute($update) or die(errorpg($conexion,$update));
			}
			//se busca si se cargaron parientes para el nuevo cliente
			$buscar="select * from gest_ref_personales where idt=$mayorid and idempresa=$idempresa and sucursal=$idsucursal and documento=0";
			$rsp=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$caantpar=$rsp->RecordCount();
			if ($caantpar > 0){
				//Updateamos lo que exista para esta transaccion
				$update="update gest_ref_personales set documento=$documento
				where idt=$mayorid and idempresa=$idempresa and 
				sucursal=$idsucursal and documento=0
				"	;
				$conexion->Execute($update) or die(errorpg($conexion,$update));
			}
			
			//cerramos la transaccion para evitar errores
			$update="update transacciones set estado=1 where 
			numero=$mayorid and idempresa=$idempresa and sucursal=$idsucursal";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
			
	}
	
} 

?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" href="css/arandu.css" type="text/css" media="screen" /> 
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<!-- CROP IMAGES -->
   <!-- Bootstrap core CSS -->
  
	 <!-- Custom styklles for this template -->
    <link href="clases/cropic/css/main.css" rel="stylesheet">
 	<link href="clases/cropic/css/croppic.css" rel="stylesheet">
 <style>
 input[type="text"],[type="date"]{
	padding:5px;
	height:25px;	
}
 
 </style>
 <style type="text/css">
*{
	margin:0px;
	padding:0px;	
}
body { 
	height: 500px;
	margin: 10px;
	padding: 0px;
}
#mapCanvas { 
	height: 100%;
	width:800px;
}
#tabla{
	border-collapse:collapse;
	border:1px solid #000;	
}
#tabla td{
  	font-size: 10px;
	font-family: verdana;
	font-weight: bold;	  
}
</style> 
<?php require("includes/head.php"); ?>

<script>
jQuery(document).ready(function() {
    jQuery('.tabs .tab-links a').on('click', function(e)  {
        var currentAttrValue = jQuery(this).attr('href');
 
        // Show/Hide Tabs
        jQuery('.tabs ' + currentAttrValue).show().siblings().hide();
 
        // Change/remove current tab to active
        jQuery(this).parent('li').addClass('active').siblings().removeClass('active');
 
        e.preventDefault();
    });
});
function mostrar(valor){
		if (valor==1){
			//particular
			document.getElementById('ocu').hidden="";
			
			document.getElementById('razontr').hidden="hidden";
			document.getElementById('nombrestr').hidden="";
			document.getElementById('apellidostr').hidden="";
			document.getElementById('documentotr').hidden="";
			document.getElementById('ructr').hidden="hidden";
			document.getElementById('nacimientotr').hidden="";
			document.getElementById('tipoclie').value=valor;
		} else {
			if (valor==2){
				document.getElementById('ocu').hidden="";
				
				document.getElementById('nombrestr').hidden="hidden";
				document.getElementById('apellidostr').hidden="hidden";
				document.getElementById('documentotr').hidden="hidden";
				document.getElementById('razontr').hidden="";
				document.getElementById('ructr').hidden="";
				document.getElementById('nacimientotr').hidden="hidden";
				document.getElementById('tipoclie').value=valor;
			} else {
				//seleccionar
				
			}
			 
		}
		
		
	}
function regpar(evento,ides){
	if (evento==1){
		
		//alta de parietes al temporal
		var nomape=document.getElementById('pariente').value;
		var direpari=document.getElementById('direpar').value;
		var telpari=document.getElementById('telpar').value;
		
		var parentezco=parseInt(document.getElementById('parentezco').value);		
		var errores='';
		
		if (nomape==''){
			errores=errores+'*Debe ingresar nombre y apellido del pariente. \n';
		}
		if (direpari==''){
			errores=errores+'*Debe ingresar direccin vlida. \n';
		}
		if (telpari==''){
			errores=errores+'*Debe ingresar nmero telefnico vlido. \n';
		}
		if (parentezco==0) {
			errores=errores+'*Debe indicar grado de parentezco u proximidad. \n';
		}
		
		if (errores==''){
			var parametros='ides='+ides+'&nomape='+nomape+'&dir='+direpari+'&tel='+telpari+'&parent='+parentezco;
			OpenPage('parientesreg.php',parametros,'POST','parientes','pred');
		} else {
				alert(errores);
		}
	} else {
		if (evento==2){	
		
		}
	}
}
	
</script>

</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="cuerpo">
	<div align="center" >
 		<?php require_once("includes/menuarriba.php");?>
	</div>
	<div class="colcompleto" id="contenedor">
		<!-- SECCION DONDE COMIENZA TODO -->
		<div align="center" id="errores" class="errorpost">
		<?php echo "<br />".$errores ?>
		</div><br />
        <div align="center">
       	 <span class="resaltadito">Registro de Pacientes</span><br /><br />
        </div>
      <!-- ANIMACION TABS  -->
      <?php if ($insertado!='S'){?>
        <div class="tabs animated-slide-2">
			<ul class="tab-links">
				<li class="active"><a href="#tab1">Datos B&aacute;sicos</a></li>
				<li><a href="#tab2">Ubicaci&oacute;n</a></li>
				<li><a href="#tab3">Laborales</a></li>
				<li><a href="#tab4">Otros</a></li>
			</ul>
			<form id="global" name="global" action="adm_clientes.php" method="post">
            
            <div class="tab-content">
                <div id="tab1" class="tab active">
                    <table width="400" border="1">
                        <tr>
                        <td height="35" align="right"><strong>Nombres</strong></td>
                        <td><input type="hidden" name="vv" id="vv" value="1" />
                        <input type="text" name="nombres" id="nombres" size="20" 
                        value="<?php echo trim($_POST['nombres']); ?>" required="required" /></td>
                        <td align="right"><strong>Apellidos</strong></td>
                        <td><input type="text" name="apellidos" id="apellidos" size="20"  
                        value="<?php echo trim($_POST['apellidos']); ?>"  required="required"/>
                        </td>
                        </tr>
                        <tr>
                        <td height="35" align="right"><strong>Documento </strong></td>
                        <td><input type="text" name="documento" id="documento" size="20"  
                        value="<?php echo ($_POST['documento']); ?>" required="required"  /></td>
                        <td align="right"><strong>Fecha Nac</strong></td>
                        <td><input type="date" name="fechanac" id="fechanac" 
                        value="<?php echo ($_POST['fechanac']); ?>" required="required" /></td>
                        </tr>
                        <tr>
                        <td height="35" align="right"><strong>RUC</strong></td>
                        <td><input type="text" name="ruc" id="ruc" size="20"  
                        value="<?php echo ($_POST['ruc']); ?>"  /></td>
                         <td height="35" align="right"><strong>Grupo Sanguineo</strong></td>
                        <td><input type="text" name="gs" id="gs" size="20"  
                        value="<?php echo ($_POST['gs']); ?>"  /></td>
                      </tr>
                        
                  </table>
                </div> 
                <!--FINAL TABS 1 -->
                <!-- TABS 2 -->
                <div id="tab2" class="tab">
                	<div align="center">
                    	<span class="numb">Ubicaci&oacute;n Personal</span>
                 	</div>   
                    <table width="400" border="1">
                        <tr>
                            <td align="center" style="height:30px;background-color:#CF9">
                            <strong>Direccion Particular</strong>
                            </td>
                            <td align="center" style="height:30px;background-color:#CF9">
                            <strong>N&deg;</strong>
                            </td>
                        </tr>
                        <tr> 
                            <td><input type="text" name="direccion" id="direccion" 
                            style="width:100%;" value="<?php echo $_POST['direccion'] ?>" required="required" />
                            </td>
                            <td><input type="text" name="numcasa" id="numcasa" size="20" value="<?php echo ($_POST['numcasa']) ?>"  /></td>
                        </tr>
                        <tr>
                         <td align="center" style="height:30px;background-color:#CF9"><strong>Linea Fija</strong></td>
                         <td align="center" style="height:30px;background-color:#CF9"><strong>Celular</strong></td>
                         </tr>
                         <tr>
                            <td><input type="text" name="lbaja" id="lbaja" size="20" value="<?php echo ($_POST['lbaja']) ?>" /></td>
                            <td><input type="text" name="celular" id="celular" size="20" value="<?php echo $_POST['celular'] ?>" /></td>
                        </tr>
                        <tr>
                        <td colspan="2" align="center" height="30" style="background-color:#CF9"><strong>Direccion de correo</strong></td>
                        <tr />
                        <tr>
                        <td colspan="2" align="center" height="30" ><input type="email" id="email" name="email" value="<?php echo $_POST['email'] ?>" size="30" /></td>
                        <tr />
                    </table>
                    <div align="center">
		                 <span class="numb">Parientes</span>
                    </div>     
    				<table width="400" border="1">
                      <tr>
                        <td align="center"><strong>Nombre y Apellido</strong></td>
                        <td align="center"><strong>Direcci&oacute;n</strong></td>
                        <td align="center"><strong>Tel&eacute;fono</strong></td>
                        <td align="center"><strong>Parentezco</strong></td>
                         <td align="center"><strong>Acci&oacute;n</strong></td>
                      </tr>
                      <tr>
                        <td><input name="pariente" id="pariente" type="text" /></td>
                        <td><input name="direpar" id="direpar" type="text" /></td>
                        <td><input name="telpar" id="telpar" type="text" /></td>
                        <td>
                        <select id="parentezco" name="parentezco">
                        	<option value="0" selected="selected">Seleccionar..</option>
                         	<?php while (!$rspar->EOF) {?>
                          <option value="<?php echo $rspar->fields['idpar']; ?>"><?php echo $rspar->fields['descripcion']; ?></option>
                         	<?php $rspar->MoveNext(); } ?>
                        </select>
                        </td>
                         <td align="center"><strong><a href="#" onclick="regpar(1,<?php echo $mayorid ?>)">Registrar</a></strong></td>
                      </tr>
					</table>
                    <div align="center" id="parientes">
               		</div><!-- PARIENTES -->
                </div><!--FINAL TABS 2 -->
                 <!-- TABS 3 -->
                <div id="tab3" class="tab">
                 <div align="center">
		                 <span class="numb">Ubicacion Laboral</span>
                          <table width="400" border="1">
                            <tr>
                                <td align="center" style="height:30px;background-color:#CF9">
                                <strong>Empresa</strong>
                                </td>
                                <td align="center" style="height:30px;background-color:#CF9">
                                <strong>Direcci&oacute;n</strong>
                                </td>
                                <td align="center" style="height:30px;background-color:#CF9">
                                <strong>Tel&eacute;fono</strong>                            </td>
                                
                            </tr>
                            <tr>
                           	  <td><input name="empresatrabaja" id="empresatrabaja" type="text" /></td>
                              <td><input name="diretrabajo" id="diretrabajo" type="text" /></td>
                              <td><input name="teltrabajo" id="teltrabajo" type="text" /> </td>
                                <td> </td>
                            </tr>
                            <tr>
                           	  <td colspan="3" height="35" style="background-color:#CF9" align="center">
                                	<strong>En caso de Emergencia Contactar a la sgte. persona</strong>
                              </td>
                                
                            </tr>
                            <tr>
                           	  <td align="right">Nombre y Apellido Contacto: </td>
                           	 	<td colspan="2">
                             		<input name="contaemerlab"  id="contaemerlab" type="text" /> 
                             	</td>
                            </tr>
                             <tr>
                           	   <td align="right">Tel&eacute;fono: </td>
                           	 	<td colspan="2">
                            		<input name="telemerlab" id="telemerlab" type="text" />
                             	</td>
                            </tr>
                        </table>
                 </div>   
                
              </div>
                 <!--TABS 4 -->
                  <div id="tab4" class="tab">
                     <div align="center">
		                 <span class="numb">Comentarios / Observaciones</span>
                    </div>   
                    <div align="center">
                    <textarea name="obs" ids="obs" cols="40" rows="8"></textarea>
                    </div>  
                    <br />
                    <div align="center">
		                 <span class="numb">Imagen Ficha</span>
                    </div>
                    <br />
                   <table width="300" border="0">
                  <tr>
                    <td align="center">
                    
                    <div class="fotito">
                    
                    
                    </div>
                    </td>
                   
                  </tr>
                  <tr>
                  	<td >
     
                    <input type="file" class="noexiste" id="fotito" name="fotito" size="50"  /> </td>
                    
                  </tr>
                </table>

                    
                </div>
        	</div> <!-- TAB CONTENT  -->
            <div align="center"><input clas="registrarazul" type="submit" value="Registrar Ficha del Paciente"></div>
            </form>
            
            
        </div> <!-- ANIMACION TABS  --> 
       <?php } else { ?>
      <div align="center">
       <span class="resaltarojo">Registro Correcto!!<br />
       <a href="adm_clientes.php" target="_self">Click aqu&iacute;  para regresar</a> </div> 
       <?php } ?>
  </div><!-- COLCOMPLETO -->
	 <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
   
    <script src="clases/cropic/js/bootstrap.min.js"></script>
    <script src="clases/cropic/js/croppic.min.js"></script>
    <script src="clases/cropic/js/main.js"></script>
    <script>
		var croppicHeaderOptions = {
				uploadUrl:'img_save_to_file.php',
				cropData:{
					"dummyData":1,
					"dummyData2":"asdas"
				},
				cropUrl:'img_crop_to_file.php',
				customUploadButtonId:'cropContainerHeaderButton',
				modal:false,
				loaderHtml:'<div class="loader bubblingG"><span id="bubblingG_1"></span><span id="bubblingG_2"></span><span id="bubblingG_3"></span></div> ',
				onBeforeImgUpload: function(){ console.log('onBeforeImgUpload') },
				onAfterImgUpload: function(){ console.log('onAfterImgUpload') },
				onImgDrag: function(){ console.log('onImgDrag') },
				onImgZoom: function(){ console.log('onImgZoom') },
				onBeforeImgCrop: function(){ console.log('onBeforeImgCrop') },
				onAfterImgCrop:function(){ console.log('onAfterImgCrop') }
		}	
		var croppic = new Croppic('croppic', croppicHeaderOptions);
		
		
		var croppicContainerModalOptions = {
				uploadUrl:'img_save_to_file.php',
				cropUrl:'img_crop_to_file.php',
				outputUrlId:'cropOutput',
				modal:true,
				imgEyecandyOpacity:0.4,
				loaderHtml:'<div class="loader bubblingG"><span id="bubblingG_1"></span><span id="bubblingG_2"></span><span id="bubblingG_3"></span></div> '
		}
		var cropContainerModal = new Croppic('cropContainerModal', croppicContainerModalOptions);
		
		
		var croppicContaineroutputOptions = {
				uploadUrl:'img_save_to_file.php',
				cropUrl:'img_crop_to_file.php', 
				outputUrlId:'cropOutput',
				modal:false,
				loaderHtml:'<div class="loader bubblingG"><span id="bubblingG_1"></span><span id="bubblingG_2"></span><span id="bubblingG_3"></span></div> '
		}
		var cropContaineroutput = new Croppic('cropContaineroutput', croppicContaineroutputOptions);
		
		var croppicContainerEyecandyOptions = {
				uploadUrl:'img_save_to_file.php',
				cropUrl:'img_crop_to_file.php',
				imgEyecandy:false,
				loaderHtml:'<div class="loader bubblingG"><span id="bubblingG_1"></span><span id="bubblingG_2"></span><span id="bubblingG_3"></span></div> '
		}
		var cropContainerEyecandy = new Croppic('cropContainerEyecandy', croppicContainerEyecandyOptions);
		
	</script>
<div class="clear"></div><!-- clear1 -->
</div> <!-- cuerpo -->
<div class="clear"></div><!-- clear2 -->
</div><!-- CUERPO -->
<?php require("includes/pie.php"); ?>
</body>
</html>