<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="10";
$submodulo="424";
require_once("includes/rsusuario.php"); 


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d",strtotime($desde."+ 7 days"));
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}

$whereadd="";
$idprofesional=intval($_GET['idprofesional']);
if($idprofesional > 0){
	$whereadd.="
	and agenda_citas.idprofesional = $idprofesional
	";
}

$consulta="
select *,
(select nomape from med_pacientes where med_pacientes.idpaciente=agenda_citas.idpaciente) as paciente,
(select usuario from usuarios where agenda_citas.registrado_por = usuarios.idusu) as registrado_por,
(select profesional from med_profesional where idprofesional = agenda_citas.idprofesional) as profesional,
(select estado_cita from agenda_citas_estados where idestadocita = agenda_citas.idestadocita) as estado_cita
from agenda_citas 
where 
 estado = 1 
 and (date(hora_inicio) between '$desde' and '$hasta')
 $whereadd
order by hora_inicio asc
limit 100000
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Citas Activas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<p>
<a href="agenda_citas_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a>
<a href="agenda.php" class="btn btn-sm btn-default"><span class="fa fa-calendar"></span> Calendario</a>
<a href="agenda_citas.php" class="btn btn-sm btn-primary"><span class="fa fa-search"></span> Citas</a>
</p>
<hr />

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Inicio Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Inicio Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Profesional </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
    <?php 
// consulta
$consulta="
Select idprofesional,  profesional
from med_profesional 
where 
estado <> 6 
order by profesional asc
";

// valor seleccionado
if(isset($_GET['idprofesional'])){ 
	$value_selected=htmlentities($_GET['idprofesional']); 
}else{
	//$value_selected=htmlentities($rs->fields['idprofesional']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idprofesional',
	'id_campo' => 'idprofesional',
	
	'nombre_campo_bd' => 'profesional',
	'id_campo_bd' => 'idprofesional',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Estado </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
    <?php 
// consulta
$consulta="
Select idestadocita,  estado_cita
from agenda_citas_estados 
where 
estado = 1
order by estado_cita asc
";

// valor seleccionado
if(isset($_GET['idestadocita'])){ 
	$value_selected=htmlentities($_GET['idestadocita']); 
}else{
	//$value_selected=htmlentities($rs->fields['idprofesional']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idestadocita',
	'id_campo' => 'idestadocita',
	
	'nombre_campo_bd' => 'estado_cita',
	'id_campo_bd' => 'idestadocita',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>

</form>
<div class="clearfix"></div>
<hr />

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Id</th>
			<th align="center">Paciente</th>

			<th align="center">Titulo Evento</th>
			<th align="center">Descripcion evento</th>
			<th align="center">Hora inicio</th>
			<?php if ($muestrahf=='S'){ ?>
				<th align="center">Hora fin</th>
			<?php } ?>
            <th align="center">Estado</th>
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="agenda_citas_edit_est.php?id=<?php echo $rs->fields['idcitaser']; ?>" class="btn btn-sm btn-default" title="Cambiar Estado" data-toggle="tooltip" data-placement="right"  data-original-title="Cambiar Estado"><span class="fa fa-tasks"></span></a>
					<a href="agenda_citas_edit.php?id=<?php echo $rs->fields['idcitaser']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
					<a href="agenda_citas_del.php?id=<?php echo $rs->fields['idcitaser']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
                    
                    
				</div>

			</td>
			<td align="center"><?php echo antixss($rs->fields['idcitaser']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['paciente']); ?></td>

			<td align="center"><?php echo antixss($rs->fields['titulo_evento']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['descripcion_evento']); ?></td>
			<td align="center"><?php if($rs->fields['hora_inicio'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['hora_inicio'])); }  ?></td>
			<?php if ($muestrahf=='S'){ ?>
			<td align="center"><?php if($rs->fields['hora_fin'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['hora_fin'])); }  ?></td>
			<?php } ?>
			<td align="center"><?php echo antixss($rs->fields['estado_cita']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); } ?></td>


		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />




                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
