<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="430";
require_once("includes/rsusuario.php");
 
$idpago_afavor=intval($_GET['id']);
if($idpago_afavor == 0){
	header("location: pagos_afavor_adh.php");
	exit;	
}
$idmesa=intval($_GET['idmesa']);
if($idmesa == 0){
	echo "No se indico el idmesa.";
	exit;
}

$usa_adherente=$rsco->fields['usa_adherente'];

$consulta="
select *,
(select usuario from usuarios where pagos_afavor_adh.idusuario = usuarios.idusu) as registrado_por,
(select idcuentaclientepagcab from cuentas_clientes_pagos_cab where pagos_afavor_adh.idpago_afavor = cuentas_clientes_pagos_cab.idpago_afavor) as idcuentaclientepagcab,
(select recibo from cuentas_clientes_pagos_cab where pagos_afavor_adh.idpago_afavor = cuentas_clientes_pagos_cab.idpago_afavor) as recibo,
(select idadherente from adherentes where idadherente = pagos_afavor_adh.idadherente) as idadherente,
(select nomape from adherentes where idadherente = pagos_afavor_adh.idadherente) as adherente,
(select nombre_servicio from servicio_comida where idserviciocom = pagos_afavor_adh.idserviciocom) as servicio_comida
from pagos_afavor_adh 
inner join cliente on cliente.idcliente = pagos_afavor_adh.idcliente
where 
idpago_afavor = $idpago_afavor
and pagos_afavor_adh.estado = 1
order by idpago_afavor desc
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idpago_afavor=intval($rs->fields['idpago_afavor']);
$idpago=intval($rs->fields['idpago']);
$saldo=intval($rs->fields['saldo']);
if($idpago_afavor == 0){
	header("location: anticipos_mesa.php?idmesa=$idmesa");
	exit;	
}
if($saldo == 0){
	echo "El anticipo que quieres aplicar ya fue aplicado en su totalidad y no tiene saldo pendiente de aplicacion.";
	exit;	
}


$consulta="
select mesas.numero_mesa, salon.idsucursal, salon.nombre as salon
from mesas 
inner join salon on salon.idsalon = mesas.idsalon
where
idmesa=$idmesa
limit 1
";
$rsmes=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
if($idsucursal <> $rsmes->fields['idsucursal']){
	echo "La mesa no corresponde a la misma sucursal en la cual esta logueado tu usuario.";
	exit;
}

$consulta="
SELECT * 
FROM `mesas_atc` 
where 
idmesa=$idmesa 
and estado = 1 
and idsucursal = $idsucursal
";
$rsatc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idatc=intval($rsatc->fields['idatc']);
if($idatc == 0){
	echo "La mesa seleccionada no se encuentra abierta.";
	exit;
}

// se puede mover esta funcion al archivo funciones_mesas_cobros_deta.php y realizar un require_once
function mesas_cobros_deta_add($parametros_array){
	global $conexion;
	global $saltolinea;

	// validaciones basicas
	$valido="S";
	$errores="";
	
    
	$idformapago=antisqlinyeccion($parametros_array['idformapago'],"int");
	$montoabonado=antisqlinyeccion($parametros_array['montoabonado'],"float");
	$vueltogs=antisqlinyeccion($parametros_array['vueltogs'],"float");
	$estadopago=antisqlinyeccion(1,"int");
	$idcliente=antisqlinyeccion($parametros_array['idcliente'],"int");
	$idatc=antisqlinyeccion($parametros_array['idatc'],"int");
	$registrado_el=antisqlinyeccion($parametros_array['registrado_el'],"text");
	$registrado_por=antisqlinyeccion($parametros_array['registrado_por'],"int");
	$anulado_el=antisqlinyeccion('',"text");
	$anulado_por=antisqlinyeccion('',"int");
	$idventa=antisqlinyeccion('',"int");
	$iddenominaciontarjeta=antisqlinyeccion($parametros_array['iddenominaciontarjeta'],"int");
	$idbanco=antisqlinyeccion($parametros_array['idbanco'],"int");
	$cheque_numero=antisqlinyeccion($parametros_array['cheque_numero'],"text");
	$idpago_afavor=antisqlinyeccion($parametros_array['idpago_afavor'],"int");
	$otros_valores=antisqlinyeccion($parametros_array['otros_valores'],"text");
	
	if(intval($idpago_afavor) == 0){
		$valido="N";
		$errores.=" - No se indico el anticipo a aplicar.<br />";	
	}
	if(intval($idformapago) == 0){
		$valido="N";
		$errores.=" - El campo idformapago no puede ser cero o nulo.<br />";	
	}
	if(floatval($montoabonado) <= 0){
		$valido="N";
		$errores.=" - El campo monto aplicar no puede ser cero o negativo.<br />";	
	}
	if(intval($idatc) == 0){
		$valido="N";
		$errores.=" - El campo idatc no puede ser cero o nulo.<br />";	
	}


	$consulta="
	SELECT * 
	FROM `mesas_atc` 
	where 
	idatc=$idatc 
	and estado = 1 
	";
	$rsatc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idatc=intval($rsatc->fields['idatc']);
	if($idatc == 0){
		$valido="N";
		$errores.=" - El atc no se encuentra activo.<br />";	
	}

	if(intval($idpago_afavor) > 0){
		$consulta="
		select idcobser, idatc
		from mesas_cobros_deta 
		where 
		estadopago = 1 
		and idpago_afavor = $idpago_afavor 
		and idventa is null
		limit 1;
		";
		$rsaplica=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
		$idcobser=intval($rsaplica->fields['idcobser']);
		$idatc_anticipo=intval($rsaplica->fields['idatc']);
		if($idcobser > 0){
			$valido="N";
			$errores.=" - El anticipo que intentas aplicar ya fue aplicado a una mesa, ATC: $idatc_anticipo.<br />";
		}
	}


	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into mesas_cobros_deta
		(idformapago, montoabonado, vueltogs, estadopago, idcliente, idatc, registrado_el, registrado_por, anulado_el, anulado_por, idventa, iddenominaciontarjeta, idbanco, cheque_numero, idpago_afavor, otros_valores)
		values
		($idformapago, $montoabonado, $vueltogs, $estadopago, 0, $idatc, $registrado_el, $registrado_por, $anulado_el, $anulado_por, $idventa, $iddenominaciontarjeta, $idbanco, $cheque_numero, $idpago_afavor, $otros_valores)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
	}


	return array("errores"=>$errores,"valido"=>$valido);
}



if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	$parametros_array=array(
		"idformapago" => $_POST['idforma'],
		"montoabonado" => $_POST['monto_aplicar'],
		"idatc" => $idatc,
		"idpago_afavor" => $idpago_afavor,
		"registrado_el" => $ahora,
		"registrado_por" => $idusu,
		"iddenominaciontarjeta" => '',
		"idbanco" => '',
		"cheque_numero" => '',
		"otros_valores" => '',
		"vueltogs" => 0,
	);

	// si todo es correcto actualiza
	if($valido == "S"){
		$res=mesas_cobros_deta_add($parametros_array);
		if ($res["valido"]=="S") {
			header("location: anticipos_mesa_aplica.php?id=$idpago_afavor&idmesa=$idmesa");
			exit;
		}else{
			$errores.=$res["errores"];
		}
		
	}else{
			$errores.=$res["errores"];
	}


}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Aplicar Anticipo a Mesa</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
MESA: <?php echo $rsmes->fields['idsucursal'] ?> | SALON:  <?php echo antixss($rsmes->fields['salon']) ?> | ATC: <?php echo antixss($idatc) ?>
<BR /><BR />
<strong>Obs.:</strong> El anticipo se aplicara al cerrar la mesa.
<BR /><BR />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Cliente</th>
			<th align="center">Recibo</th>
			<th align="center">Fecha Anticipo</th>
			<th align="center">Monto</th>
			<th align="center">Saldo</th>


		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo antixss($rs->fields['razon_social']); ?> [<?php echo intval($rs->fields['idcliente']); ?>]</td>
			<td align="center"><?php echo antixss($rs->fields['recibo']); ?></td>
			<td align="center"><?php if($rs->fields['fechahora'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fechahora'])); }  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['saldo']);  ?></td>


		</tr>
<?php $rs->MoveNext(); } $rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
		
<div class="clearfix"></div>
<br /><br />


<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Forma de Pago *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php
// consulta
$consulta="
SELECT idforma, descripcion
FROM formas_pago
where
estado = 1
and idformapago_set = 11
and anticipo = 'S'
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idforma'])){ 
	$value_selected=htmlentities($_POST['idforma']); 
}else{
	$value_selected=htmlentities($rs->fields['idforma']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idforma',
	'id_campo' => 'idforma',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idforma',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Monto Aplicar *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="monto_aplicar" id="monto_aplicar" value="<?php  if(isset($_POST['monto_aplicar'])){ echo floatval($_POST['monto_aplicar']); }else{ echo floatval($saldo); }?>" placeholder="Monto aplicar" class="form-control" required="required" />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Aplicar</button>

        </div>
    </div>
<BR /><BR />
<strong>Obs.:</strong> El anticipo se aplicara al cerrar la mesa.
  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><hr />
<?php
		
		
$consulta="
select *, formas_pago.descripcion as formapago,
(select usuario from usuarios where mesas_cobros_deta.registrado_por = usuarios.idusu) as registrado_por,
(
select cuentas_clientes_pagos_cab.recibo 
from cuentas_clientes_pagos_cab 
inner join pagos_afavor_adh on pagos_afavor_adh.idpago_afavor = cuentas_clientes_pagos_cab.idpago_afavor
where
pagos_afavor_adh.idpago_afavor = mesas_cobros_deta.idpago_afavor
limit 1
) as recibo

from mesas_cobros_deta 
inner join formas_pago on formas_pago.idforma = mesas_cobros_deta.idformapago
where 
 estadopago = 1 
and idatc = $idatc
order by idcobser asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>
<strong>Anticipos Aplicados a la Mesa:</strong><br /><br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Forma de Pago</th>
			<th align="center">Monto</th>
			<th align="center">Idatc</th>
			<th align="center">Registrado el</th>
			<th align="center">Registrado por</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				<?php if(intval($rs->fields['idformapago_set']) == 11){ ?>
				<div class="btn-group">
					<a href="mesas_cobros_deta_del.php?id=<?php echo $rs->fields['idcobser']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
				</div>
				<?php } ?>
			</td>

			<td align="center"><?php echo antixss($rs->fields['formapago']);  ?> [<?php echo intval($rs->fields['idformapago']); ?>]<br />
			<?php if(intval($rs->fields['idformapago_set']) == 11){ ?>
			<?php echo antixss($rs->fields['recibo']);  ?> [<?php echo intval($rs->fields['idpago_afavor']); ?>]
			<?php } ?>
			</td>
			<td align="right"><?php echo formatomoneda($rs->fields['montoabonado']);  ?></td>
			<td align="center"><?php echo intval($rs->fields['idatc']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
		</tr>
<?php 
$montoabonado_acum+=$rs->fields['montoabonado'];
$vueltogs_acum+=$rs->fields['vueltogs'];

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
	  <tfoot>
		<tr>
			<td>Totales</td>
			<td></td>
			<td align="right"><?php echo formatomoneda($montoabonado_acum); ?></td>
			<td></td>
			<td></td>
			<td></td>
		</tr>
	  </tfoot>
    </table>
</div>
<br />

<div class="clearfix"></div>
<hr />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <a href="mesas/" class="btn btn-default" ><span class="fa fa-reply"></span> Volver a Mesas</a>
	   <a href="anticipos_mesa.php?idmesa=<?php echo $idmesa; ?>" class="btn btn-default" ><span class="fa fa-reply"></span> Volver a Anticipos</a>

        </div>
    </div>


<div class="clearfix"></div>
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->
        
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
