<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="45";
$submodulo="662";
$dirsup="S";
require_once("../includes/rsusuario.php"); 

require_once("../includes/funciones_banco.php");

$idmov=intval($_GET['id']);
if($idmov == 0){
	echo "No se recibio el idmov.";exit;
}
$consulta="
select cuentas_movimiento.idtipooperacionmov, cuentas_movimiento.idcta, cuentas_movimiento.tipo_mov,
cuentas_movimiento.idmov, cuentas_movimiento.fecha_mov, cuentas_movimiento.registrado_el, cuentas_movimiento.montogs,
cuentas_movimiento_tipo.tipomovimiento, cuentas_movimiento_tipo_operacion.tipo_operacion_mov,
(select usuario from usuarios where cuentas_movimiento.registrado_por = usuarios.idusu) as registrado_por_txt,
(select nombre from sucursales where idsucu = cuentas_movimiento.sucursal) as sucursal_txt,
cuentas_movimiento.describemvto, cuentas_movimiento.nro_op,  cuentas_movimiento.boleta_deposito,  cuentas_movimiento.medio_pago, 
cuentas_movimiento.chequenum, cuentas_movimiento.idtransferencia, cuentas_movimiento.orden, cuentas_movimiento.sucursal
from cuentas_movimiento 
inner join cuentas_movimiento_tipo on cuentas_movimiento_tipo.idtipomov = cuentas_movimiento.tipo_mov
inner join cuentas_movimiento_tipo_operacion on cuentas_movimiento_tipo_operacion.idtipooperacionmov = cuentas_movimiento.idtipooperacionmov
where 
cuentas_movimiento.estado = 1 
and cuentas_movimiento.idmov = $idmov
and cuentas_movimiento.idtipooperacionmov = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idmov=intval($rs->fields['idmov']);
if($idmov == 0){
	echo "Movimiento inexistente, fue anulado o no corresponde a un registro manual.";exit;
}



if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	



	$parametros_array=array(
		"anulado_el" => $ahora,
		"anulado_por" => $idusu,
		"idmov" => $idmov
	);

	// validaciones primarias
	if($valido == "S"){
		// valida movimiento de banco
		$res=banco_movimiento_borra_valida($parametros_array);
		// si todo es valido registra
		if ($res["valido"]=="S") {
			// registra movimiento de banco
			banco_movimiento_borra_registra($parametros_array);
			
			header("location: cuentas_movimiento.php");
			exit;
		}else{
			$errores.=$res["errores"];
		}
		
	}else{
		$errores.=$res["errores"];
	}


}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Editar Movimiento de Banco</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cuenta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idcuenta, CONCAT(COALESCE(cuentas.denominacion,' '),' (',COALESCE(bancos.nombre,''),')') as cuenta
FROM cuentas
inner join bancos on bancos.idbanco = cuentas.idbanco
order by CONCAT(COALESCE(cuentas.denominacion,' '),' (',COALESCE(bancos.nombre,''),')') asc
 ";
/*
$opciones_extra=array(
	'PROCESO MANUAL' => 'PM'
);
*/

// valor seleccionado
if(isset($_POST['idcta'])){ 
	$value_selected=htmlentities($_POST['idcta']); 
}else{
	$value_selected=htmlentities($rs->fields['idcta']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idcta',
	'id_campo' => 'idcta',
	
	'nombre_campo_bd' => 'cuenta',
	'id_campo_bd' => 'idcuenta',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" disabled ',
	'autosel_1registro' => 'S',
	//'opciones_extra' => $opciones_extra,

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo Movimiento *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idtipomov, CONCAT(COALESCE(tipomovimiento,' '),' (',COALESCE(describe_tipo,''),')') as tipomovimiento 
FROM cuentas_movimiento_tipo
order by CONCAT(COALESCE(tipomovimiento,' '),' (',COALESCE(describe_tipo,''),')') asc
 ";
/*
$opciones_extra=array(
	'PROCESO MANUAL' => 'PM'
);
*/

// valor seleccionado
if(isset($_POST['idtipomov'])){ 
	$value_selected=htmlentities($_POST['idtipomov']); 
}else{
	$value_selected=htmlentities($rs->fields['tipo_mov']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idtipomov',
	'id_campo' => 'idtipomov',
	
	'nombre_campo_bd' => 'tipomovimiento',
	'id_campo_bd' => 'idtipomov',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required"  disabled ',
	'autosel_1registro' => 'S',
	//'opciones_extra' => $opciones_extra,

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha movimiento *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input  disabled  type="date" name="fecha_mov" id="fecha_mov" value="<?php  if(isset($_POST['fecha_mov'])){ echo htmlentities($_POST['fecha_mov']); }else if(trim($rs->fields['fecha_mov']) != ''){ echo date('Y-m-d',strtotime($rs->fields['fecha_mov'])); } ?>" placeholder="Fecha mov" class="form-control" required />
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hora movimiento *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input  disabled  type="time" name="hora_mov" id="hora_mov" value="<?php  if(isset($_POST['hora_mov'])){ echo htmlentities($_POST['hora_mov']); }else if(trim($rs->fields['fecha_mov']) != ''){ echo date('H:i',strtotime($rs->fields['fecha_mov'])); } ?>" placeholder="hora mov" class="form-control" required  />
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Monto </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input  disabled  type="text" name="montogs" id="montogs" value="<?php  if(isset($_POST['montogs'])){ echo floatval($_POST['montogs']); }else if(trim($rs->fields['montogs']) != ''){ echo floatval($rs->fields['montogs']); } ?>" placeholder="Monto" class="form-control"  />
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Descripcion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input  disabled  type="text" name="describemvto" id="describemvto" value="<?php  if(isset($_POST['describemvto'])){ echo htmlentities($_POST['describemvto']); }else if(trim($rs->fields['describemvto']) != ''){ echo htmlentities($rs->fields['describemvto']); } ?>" placeholder="descripcion del Movimiento" class="form-control"  />
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idsucu, nombre
FROM sucursales
where
estado = 1
order by nombre asc
 ";
/*
$opciones_extra=array(
	'PROCESO MANUAL' => 'PM'
);
*/

// valor seleccionado
if(isset($_POST['sucursal'])){ 
	$value_selected=htmlentities($_POST['sucursal']); 
}else{
	$value_selected=htmlentities($rs->fields['sucursal']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'sucursal',
	'id_campo' => 'sucursal',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idsucu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required"  disabled  ',
	'autosel_1registro' => 'S',
	//'opciones_extra' => $opciones_extra,

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>	
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Medio pago </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php // consulta
$consulta="
SELECT idforma, descripcion
FROM formas_pago
where
estado = 1
and idforma <> 7
and idforma <> 8
and idforma <> 3
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['medio_pago'])){ 
	$value_selected=htmlentities($_POST['medio_pago']); 
}else{
	$value_selected=htmlentities($rs->fields['medio_pago']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'medio_pago',
	'id_campo' => 'medio_pago',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idforma',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  disabled  ',
	'autosel_1registro' => 'S'

);
//print_r($parametros_array);
// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Boleta deposito </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input  disabled  type="text" name="boleta_deposito" id="boleta_deposito" value="<?php  if(isset($_POST['boleta_deposito'])){ echo intval($_POST['boleta_deposito']); }else if(trim($rs->fields['boleta_deposito']) != ''){ echo intval($rs->fields['boleta_deposito']); } ?>" placeholder="Boleta deposito" class="form-control"  />
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idtransferencia </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input  disabled  type="text" name="idtransferencia" id="idtransferencia" value="<?php  if(isset($_POST['idtransferencia'])){ echo intval($_POST['idtransferencia']); }else if(trim($rs->fields['idtransferencia']) != ''){ echo intval($rs->fields['idtransferencia']); } ?>" placeholder="Idtransferencia" class="form-control"  />
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Chequenum </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input  disabled  type="text" name="chequenum" id="chequenum" value="<?php  if(isset($_POST['chequenum'])){ echo intval($_POST['chequenum']); }else if(trim($rs->fields['chequenum']) != ''){ echo intval($rs->fields['chequenum']); } ?>" placeholder="Chequenum" class="form-control"  />
	</div>
</div>



<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='cuentas_movimiento.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />
			  
					  
	

<div class="clearfix"></div>
<br /><br />				  
					  
					  
					  
					  
					  
					  
					  
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
