<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="45";
$submodulo="664";
$dirsup="S";
require_once("../includes/rsusuario.php"); 



if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
$whereadd="
 and date(cuentas_movimiento.fecha_mov) >= '$desde'
 and date(cuentas_movimiento.fecha_mov) <= '$hasta'
";	



if(intval($_GET['idcuenta']) > 0){
	$idcuenta=intval($_GET['idcuenta']);
	$whereadd.="
	and cuentas_movimiento.idcta = $idcuenta
	";
}	
if(intval($_GET['idtipooperacionmov']) > 0){
	$idtipooperacionmov=intval($_GET['idtipooperacionmov']);
	$whereadd.="
	and cuentas_movimiento.idtipooperacionmov = $idtipooperacionmov
	";
}	
if(intval($_GET['idtipomov']) > 0){
	$idtipomov=intval($_GET['idtipomov']);
	$whereadd.="
	and cuentas_movimiento.tipo_mov = $idtipomov
	";
}	





if($_GET['MM_search'] == 'form1'){
		
	$consulta="
	select 
	idmov, fecha_mov, registrado_el, montogs,
	cuentas_movimiento_tipo.tipomovimiento, cuentas_movimiento_tipo_operacion.tipo_operacion_mov,
	(select usuario from usuarios where cuentas_movimiento.registrado_por = usuarios.idusu) as registrado_por_txt
	from cuentas_movimiento 
	inner join cuentas_movimiento_tipo on cuentas_movimiento_tipo.idtipomov = cuentas_movimiento.tipo_mov
	inner join cuentas_movimiento_tipo_operacion on cuentas_movimiento_tipo_operacion.idtipooperacionmov = cuentas_movimiento.idtipooperacionmov
	where 
	 cuentas_movimiento.estado = 1 
	 $whereadd
	order by cuentas_movimiento.idmov asc
	";
	//$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	/// PAGINACION 
	//Limito la busqueda
	$TAMANO_PAGINA = 100;
	
	$consulta_tot="
	WITH consulta_a_paginar AS (
		$consulta
	)
	select count(*) as total
	from consulta_a_paginar
	";
	$rstotal=$conexion->Execute($consulta_tot) or die(errorpg($conexion,$consulta_tot));
	$num_total_registros=$rstotal->fields['total'];
	$nropagina = intval($_GET["pagina"]);
	//examino la página a mostrar y el inicio del registro a mostrar
	if ($nropagina == 0) {
	   $inicio = 0;
	   $nropagina = 1;
	} else {
	   $inicio = ($nropagina - 1) * $TAMANO_PAGINA;
	}
	//calculo el total de páginas
	$total_paginas = ceil($num_total_registros / $TAMANO_PAGINA);
	// volver a consultar pero agregar los limites
	$limite=" 
	Limit $inicio, $TAMANO_PAGINA
	";
	// ejecutar despues de la paginacion
	$consulta_paginada=$consulta.$limite;
	$rs=$conexion->Execute($consulta_paginada) or die(errorpg($conexion,$consulta_paginada));
	/// PAGINACION 


}

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Movimientos por Banco</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


			  
<?php 
$refemenu='cue';
require_once("../includes/menu_banco.php");?>				  
	


<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cuenta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idcuenta, CONCAT(COALESCE(denominacion,' '),' | ',bancos.nombre) as cuenta 
FROM `cuentas`
inner join bancos on bancos.idbanco = cuentas.idbanco 
where 
cuentas.estado = 1 
and bancos.estado = 1
order by CONCAT(COALESCE(denominacion,' '),' | ',bancos.nombre) asc
";

// valor seleccionado
if(isset($_GET['idcuenta'])){ 
	$value_selected=htmlentities($_GET['idcuenta']); 
}else{
	$value_selected='';
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idcuenta',
	'id_campo' => 'idcuenta',
	
	'nombre_campo_bd' => 'cuenta',
	'id_campo_bd' => 'idcuenta',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODAS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' ',
	'autosel_1registro' => 'S',
	//'opciones_extra' => $opciones_extra,

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>                   

	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo Operacion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idtipooperacionmov, tipo_operacion_mov
FROM `cuentas_movimiento_tipo_operacion`
where 
estado = 1 
order by tipo_operacion_mov asc
";

// valor seleccionado
if(isset($_GET['idtipooperacionmov'])){ 
	$value_selected=htmlentities($_GET['idtipooperacionmov']); 
}else{
	$value_selected='';
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idtipooperacionmov',
	'id_campo' => 'idtipooperacionmov',
	
	'nombre_campo_bd' => 'tipo_operacion_mov',
	'id_campo_bd' => 'idtipooperacionmov',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODAS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' ',
	'autosel_1registro' => 'S',
	//'opciones_extra' => $opciones_extra,

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>                   

	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo Movimiento *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idtipomov, CONCAT(COALESCE(tipomovimiento,' '),' (',COALESCE(describe_tipo,''),')') as tipomovimiento 
FROM `cuentas_movimiento_tipo`
order by CONCAT(COALESCE(tipomovimiento,' '),' (',COALESCE(describe_tipo,''),')') asc
";

// valor seleccionado
if(isset($_GET['idtipomov'])){ 
	$value_selected=htmlentities($_GET['idtipomov']); 
}else{
	$value_selected='';
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idtipomov',
	'id_campo' => 'idtipomov',
	
	'nombre_campo_bd' => 'tipomovimiento',
	'id_campo_bd' => 'idtipomov',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODAS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' ',
	'autosel_1registro' => 'S',
	//'opciones_extra' => $opciones_extra,

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>                   

	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Estado Movimiento *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idtipooperacionmov, tipo_operacion_mov
FROM `cuentas_movimiento_tipo_operacion`
where 
estado = 1 
order by tipo_operacion_mov asc
";

// valor seleccionado
if(isset($_GET['idtipooperacionmov'])){ 
	$value_selected=htmlentities($_GET['idtipooperacionmov']); 
}else{
	$value_selected='';
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idtipooperacionmov',
	'id_campo' => 'idtipooperacionmov',
	
	'nombre_campo_bd' => 'tipo_operacion_mov',
	'id_campo_bd' => 'idtipooperacionmov',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODAS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' ',
	'autosel_1registro' => 'S',
	//'opciones_extra' => $opciones_extra,

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>                   

	</div>
</div>

<div class="clearfix"></div>
<br />


    <div class="form-group">
		<input type="hidden" name="MM_search" value="form1" />
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>


<br />
</form>        
<div class="clearfix"></div>
<hr />

<?php if($_GET['MM_search'] == 'form1'){ ?>

<?php if ($total_paginas > 1) { ?>
<ul class="pagination">
<?php 
$parametros_array['get_excluye'] = 'sf,pagina';
$parametros_array['primer_parametro_fijo'] = 'S';
$url_add=parametros_url($parametros_array);
$nombre_script = basename($_SERVER['SCRIPT_NAME']);
if($url_add != ''){
	$url=$nombre_script."?sf=n".$url_add;
}else{
	$url=$nombre_script."?sf=s";	
}
if ($total_paginas > 1) {
	if ($nropagina != 1){
		echo '<li><a href="'.$url.'&pagina='.($nropagina-1).'">&laquo;</a></li>';
	}
	for ($i=1;$i<=$total_paginas;$i++) {
		if ($nropagina == $i){
			//si muestro el índice de la página actual, no coloco enlace
			echo '<li class="active" style="background-color:#FE980F; color:#FFF;"><a href="'.$url.'">'.$nropagina.'</a></li>';
		}else{
			//si el índice no corresponde con la página mostrada actualmente,
			//coloco el enlace para ir a esa página
			echo '<li><a href="'.$url.'&pagina='.$i.'">'.$i.'</a></li>';
		}
	}
	if ($nropagina != $total_paginas){
		echo '<li><a href="'.$url.'&pagina='.($nropagina+1).'">&raquo;</a></li>';
	}
}
?>
</ul>
<div class="clearfix"></div>
<br />
<?php } ?>


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Idmov</th>
			<th align="center">Tipo mov</th>
			<th align="center">Tipo Operacion</th>
			<th align="center">Fecha mov</th>
			<th align="center">Monto</th>
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){

$monto_mov=$rs->fields['montogs'];
$idtipomov=intval($rs->fields['idtipomov']);
if($idtipomov == 1){
	$monto_mov=$monto_mov*-1;
}

?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="cuentas_movimiento_det.php?id=<?php echo $rs->fields['idmov']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>
					
				</div>

			</td>
				<td align="center"><?php echo intval($rs->fields['idmov']); ?></td>
				<td align="center"><?php echo antixss($rs->fields['tipomovimiento']); ?></td>
				<td align="center"><?php echo antixss($rs->fields['tipo_operacion_mov']); ?></td>
				<td align="center"><?php if($rs->fields['fecha_mov'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_mov'])); }  ?></td>
								<td align="right"><?php echo formatomoneda($monto_mov);  ?></td>
				<td align="center"><?php echo antixss($rs->fields['registrado_por_txt']); ?></td>
				<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
		</tr>
<?php 
$montogs_acum+=$rs->fields['montogs'];

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

	  
    </table>
</div>
<br />


				  
<?php if ($total_paginas > 1) { ?>
<ul class="pagination">
<?php 
$parametros_array['get_excluye'] = 'sf,pagina';
$parametros_array['primer_parametro_fijo'] = 'S';
$url_add=parametros_url($parametros_array);
$nombre_script = basename($_SERVER['SCRIPT_NAME']);
if($url_add != ''){
	$url=$nombre_script."?sf=n".$url_add;
}else{
	$url=$nombre_script."?sf=s";	
}
if ($total_paginas > 1) {
	if ($nropagina != 1){
		echo '<li><a href="'.$url.'&pagina='.($nropagina-1).'">&laquo;</a></li>';
	}
	for ($i=1;$i<=$total_paginas;$i++) {
		if ($nropagina == $i){
			//si muestro el índice de la página actual, no coloco enlace
			echo '<li class="active" style="background-color:#FE980F; color:#FFF;"><a href="'.$url.'">'.$nropagina.'</a></li>';
		}else{
			//si el índice no corresponde con la página mostrada actualmente,
			//coloco el enlace para ir a esa página
			echo '<li><a href="'.$url.'&pagina='.$i.'">'.$i.'</a></li>';
		}
	}
	if ($nropagina != $total_paginas){
		echo '<li><a href="'.$url.'&pagina='.($nropagina+1).'">&raquo;</a></li>';
	}
}
?>
</ul>
<div class="clearfix"></div>

<?php } ?>
<?php } ?>

<div class="clearfix"></div>
<br /><br />				  
					  
					  
					  
					  
					  
					  
					  
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
