<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="45";
$submodulo="664";
$dirsup="S";
require_once("../includes/rsusuario.php"); 

		
	$consulta="
	SELECT idcuenta, CONCAT(bancos.nombre,' | ',COALESCE(denominacion,' ')) as cuenta, saldo_inicial, saldo_actual
	FROM `cuentas`
	inner join bancos on bancos.idbanco = cuentas.idbanco 
	where 
	cuentas.estado = 1 
	and bancos.estado = 1
	order by CONCAT(COALESCE(denominacion,' '),' | ',bancos.nombre) asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Movimientos de Banco</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


			  
<?php 
$refemenu='sal';
require_once("../includes/menu_banco.php");?>				  
	




<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th align="center">Banco / Cuenta</th>
			<th align="center">Saldo Inicial</th>
			<th align="center">Saldo Actual</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){
$saldo_inicial=$rs->fields['saldo_inicial'];
$saldo_actual=$rs->fields['saldo_actual'];
?>
		<tr>
				<td align="left"><?php echo antixss($rs->fields['cuenta']); ?> [<?php echo antixss($rs->fields['idcuenta']); ?>]</td>
				<td align="right" <?php if($saldo_inicial < 0){ ?>style="color:red;"<?php } ?>><?php echo formatomoneda($saldo_inicial); ?></td>
				<td align="right" <?php if($saldo_actual < 0){ ?>style="color:red;"<?php } ?>><?php echo formatomoneda($saldo_actual); ?></td>
		</tr>
<?php 
$saldo_inicial_acum+=$saldo_inicial;
$saldo_actual_acum+=$saldo_actual;

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
	  <tfoot>
		<tr>
			<td>Totales</td>
			<td align="right" <?php if($saldo_inicial_acum < 0){ ?>style="color:red;"<?php } ?>><?php echo formatomoneda($saldo_inicial_acum); ?></td>
			<td align="right" <?php if($saldo_actual_acum < 0){ ?>style="color:red;"<?php } ?>><?php echo formatomoneda($saldo_actual_acum); ?></td>
		</tr>
	  </tfoot>
	  
    </table>
</div>
<br />

<div class="clearfix"></div>
<br /><br />				  
					  
					  
					  
					  
					  
					  
					  
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
