<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="269";
require_once("includes/rsusuario.php"); 




$sermone=intval($_GET['id']);
if($sermone == 0){
	header("location: caja_cierre_edit_edit.php?id=".$idcaja);
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from caja_moneda_extra 
where 
sermone = $sermone
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$sermone=intval($rs->fields['sermone']);
$idcaja=intval($rs->fields['idcaja']);
if($sermone == 0){
	header("location: caja_cierre_edit_edit.php?id=".$idcaja);
	exit;	
}



if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	//$idcaja=antisqlinyeccion($_POST['idcaja'],"int");
	$cajero=antisqlinyeccion($idusu,"int");
	$cantidad=antisqlinyeccion($_POST['cantidad'],"int");
	$moneda=antisqlinyeccion($_POST['idmoneda'],"int");
	//$sermone=antisqlinyeccion($_POST['sermone'],"text");
	$cotiza=antisqlinyeccion($_POST['cotiza'],"float");
	$subtotal=antisqlinyeccion($_POST['cantidad']*$_POST['cotiza'],"int");
	$estado=1;




/*
	if(intval($_POST['cantidad']) == 0){
		$valido="N";
		$errores.=" - El campo cantidad no puede ser cero o nulo.<br />";	
	}
	if(intval($_POST['idmoneda']) == 0){
		$valido="N";
		$errores.=" - El campo moneda no puede ser cero o nulo.<br />";	
	}
	if(floatval($_POST['cotiza']) <= 0){
		$valido="N";
		$errores.=" - El campo cotiza no puede ser cero o negativo.<br />";	
	}
*/

	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		update caja_moneda_extra
		set
			estado = 6
		where
			sermone = $sermone
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// actualizar en arqueo por formas de pago
		$consulta="
		update caja_arqueo_fpagos
		set
			estado = 6
		where
			id_sermone=$sermone
			and id_sermone is not null
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// recalcular caja
		recalcular_caja($idcaja);
		
		header("location: caja_cierre_edit_edit.php?id=".$idcaja);
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Borrar Moneda Extrangera</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Moneda *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idtipo as idmoneda, descripcion as moneda
FROM tipo_moneda
where
estado = 1
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idmoneda'])){ 
	$value_selected=htmlentities($_POST['idmoneda']); 
}else{
	$value_selected=htmlentities($rs->fields['moneda']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idmoneda',
	'id_campo' => 'idmoneda',
	
	'nombre_campo_bd' => 'moneda',
	'id_campo_bd' => 'idmoneda',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' disabled ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>                  
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cantidad *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="cantidad" id="cantidad" value="<?php  if(isset($_POST['cantidad'])){ echo intval($_POST['cantidad']); }else{ echo intval($rs->fields['cantidad']); }?>" placeholder="Cantidad" class="form-control" disabled />                    
	</div>
</div>
	
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cotizacion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="cotiza" id="cotiza" value="<?php  if(isset($_POST['cotiza'])){ echo floatval($_POST['cotiza']); }else{ echo floatval($rs->fields['cotiza']); }?>" placeholder="Cotiza" class="form-control" disabled />                    
	</div>
</div>




<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='caja_cierre_edit_edit.php?id=<?php echo $idcaja; ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
