<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="233";
require_once("includes/rsusuario.php"); 


$idcambiopreciomasivo=intval($_GET['id']);
if($idcambiopreciomasivo == 0){
	header("location: idcambiopreciomasivo.php");
	exit;	
}



// actualiza categoria y subcategoria en insumos
$consulta="
update insumos_lista 
set 
insumos_lista.idcategoria = (select productos.idcategoria from productos where idprod_serial = insumos_lista.idproducto) 
where 
idproducto is not null
and insumos_lista.idcategoria <> (select productos.idcategoria from productos where idprod_serial = insumos_lista.idproducto);
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$consulta="
update insumos_lista 
set 
insumos_lista.idsubcate = (select productos.idsubcate from productos where idprod_serial = insumos_lista.idproducto) 
where 
idproducto is not null
and insumos_lista.idsubcate <> (select productos.idsubcate from productos where idprod_serial = insumos_lista.idproducto);
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	

// consulta a la tabla	
$consulta="
select * 
from cambio_precio_masivo 
where 
idcambiopreciomasivo = $idcambiopreciomasivo
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcambiopreciomasivo=intval($rs->fields['idcambiopreciomasivo']);
if($idcambiopreciomasivo == 0){
	header("location: cambio_precio_masivo.php");
	exit;	
}

$consulta="
select *,
(select barcode from productos where idprod_serial = cambio_precio_masivo_det.idproducto) as barcode,
(select usuario from usuarios where cambio_precio_masivo_det.editado_por = usuarios.idusu) as editado_por,
(select precio from productos_sucursales where idproducto = cambio_precio_masivo_det.idproducto order by precio desc limit 1) as precio_actual
from cambio_precio_masivo_det 
inner join insumos_lista on insumos_lista.idinsumo = cambio_precio_masivo_det.idinsumo
where 
idcambiopreciomasivo = $idcambiopreciomasivo
order by idcambiopreciomasivodet desc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));




// al ejecutar
// insertar cambios de precios en tabla: cambios_precios
// solo si la vigencia es actual
// primero loguear
/*$consulta="
insert into log
()
select 
from cambio_precio_masivo_det
where

";*/

// luego insertar
/*$consulta="
update productos_sucursales
set 
precio = (select cambio_precio_masivo_det.precio_nuevo from cambio_precio_masivo_det where idproducto = productos_sucursales.idproducto  and cambio_precio_masivo_det.idcambiopreciomasivo = $idcambiopreciomasivo  ) 
WHERE
idproducto in (
select idproducto 
	from cambio_precio_masivo_det 
	inner join cambio_precio_masivo on cambio_precio_masivo.idcambiopreciomasivo = cambio_precio_masivo_det.idcambiopreciomasivo
	where 
	cambio_precio_masivo_det.idcambiopreciomasivo = $idcambiopreciomasivo
	and cambio_precio_masivo.vigencia_desde <= '$ahora'
	and cambio_precio_masivo.estado = 2
)
and idsucursal in (
select idsucursal
from cambio_precio_masivo_sucursales
where 
idcambiopreciomasivo = $idcambiopreciomasivo
)
";*/



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
function alerta_modal(titulo,mensaje){
	$('#dialogobox').modal('show');
	$("#myModalLabel").html(titulo);
	$("#modal_cuerpo").html(mensaje);

	
}
function actualizar_carrito(){
	
	var direccionurl='cambio_precio_masivo_car.php';	
	var parametros = {
	  "idcambiopreciomasivo" : <?php echo intval($idcambiopreciomasivo) ?>
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#carrito_prod").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(xhr.status === 200){
				$("#carrito_prod").html(response);
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
}
function nl2br (str, is_xhtml) {
  var breakTag = (is_xhtml || typeof is_xhtml === 'undefined') ? '<br ' + '/>' : '<br>'; 

  return (str + '').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1' + breakTag + '$2');
}
function buscar_producto(){
	var busqueda = $("#producto").val();
	var direccionurl='cambio_precio_masivo_busq.php';		
	var parametros = {
	  "prod"   : busqueda 
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$("#busqueda_prod").html('Cargando...');				
		},
		success:  function (response) {
			$("#busqueda_prod").html(response);
		}
	});
}
function seleccionar_producto(idproducto){
	
	var precio_nuevo = $("#idproducto_"+idproducto).val();
	//alert(cantidad);
	var direccionurl='cambio_precio_masivo_det_add.php';		
	var parametros = {
	  "idproducto"             : idproducto,
	  "idcambiopreciomasivo"   : <?php echo intval($idcambiopreciomasivo) ?>,
	  "precio_nuevo"           : precio_nuevo,
	  
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$("#carrito_prod").html('Cargando...');				
		},
		success:  function (response) {
			//alert(response);
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				$("#busqueda_prod").html('');	
				if(obj.valido == 'S'){
				}else{
					alerta_modal('Errores',nl2br(obj.errores));
				}
			}else{
				alert(response);
				$("#busqueda_prod").html(response);	
			}
			actualizar_carrito();
			//alert(response);
		}
	});
}
function seleccionar_producto_cbar(codbar){
	var busqueda = codbar;
	var direccionurl='cambio_precio_masivo_busq.php';		
	var parametros = {
	  "codbar"   : busqueda 
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#busqueda_prod").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(xhr.status === 200){
				if(IsJsonString(response)){
					var obj = jQuery.parseJSON(response);
					if(obj.muestra_carrito == 'S'){
						$("#busqueda_prod").html(response);
					}else{
						if(obj.idproducto > 0){
							$("#busqueda_prod").html('');
							seleccionar_producto(obj.idproducto);
						}else{
							alerta_modal('Errores',nl2br(obj.errores));
						}
					}
				}else{
					//alert(response);
					$("#busqueda_prod").html(response);
					//$("#resultado").html(response);	
				}
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
}
function buscar_producto_codbar(e){
	
	var codbar = $("#codbar").val();
	tecla = (document.all) ? e.keyCode : e.which;
	// tecla enter
  	if (tecla==13){
		//
		seleccionar_producto_cbar(codbar);
	
	}
}

</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Agregar Items</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                  
<div class="btn-group">
<button class="btn btn-sm btn-default" type="button" 
onmouseup="document.location.href='cambio_precio_masivo.php'"><span class="fa fa-reply"></span> Volver</button>
<button class="btn btn-sm btn-default" type="button" 
onmouseup="document.location.href='cambio_precio_masivo_import.php?id=<?php echo $idcambiopreciomasivo ?>'"><span class="fa fa-upload"></span> Carga Masiva</button>
<button class="btn btn-sm btn-default" type="button" 
onmouseup="document.location.href='cambio_precio_masivo_gensubcat.php?id=<?php echo $idcambiopreciomasivo ?>'"><span class="fa fa-search"></span> Generar por Sub-Categorias</button>
<button class="btn btn-sm btn-default" type="button" onmouseup="document.location.href='cambio_precio_masivo_productos_csv.php?id=4'"><span class="fa fa-file-excel-o"></span> Precios Actuales</button>
<button class="btn btn-sm btn-default" type="button" onmouseup="document.location.href='cambio_precio_masivo_porsuc_csv.php'"><span class="fa fa-file-excel-o"></span> Precios por Sucursal</button>
<button class="btn btn-sm btn-default" type="button" 
onmouseup="document.location.href='cambio_precio_masivo_fin.php?id=<?php echo $idcambiopreciomasivo ?>'"><span class="fa fa-search"></span> Finalizar</button>
<br /> 
</div>
<hr />
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
<input type="text" class="form-control" placeholder="Producto" id="producto" onkeyup="buscar_producto();">
<span class="fa fa-search form-control-feedback right" aria-hidden="true"></span>
</div>

<div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
<input type="text" class="form-control" placeholder="Codigo de Barras" id="codbar" onkeyup="buscar_producto_codbar(event);">
<span class="fa fa-barcode form-control-feedback right" aria-hidden="true"></span>
</div>
<div class="clearfix"></div>
<hr />

<button class="btn btn-sm btn-default" type="button" 
onmouseup="document.location.href='cambio_precio_masivo_det_todo_del.php?id=<?php echo $idcambiopreciomasivo ?>'"><span class="fa fa-trash"></span> Borrar Todo</button>
<button class="btn btn-sm btn-default" type="button" 
onmouseup="document.location.href='cambio_precio_masivo_xls.php?id=<?php echo $idcambiopreciomasivo ?>'"><span class="fa fa-file-excel-o"></span> Descargar CSV</button>

<div id="busqueda_prod"></div>

* En caso de haber seleccionado mas de 1 sucursal el precio actual toma como referencia el precio mas alto entre todas las sucursales.
<div id="carrito_prod"><?php require_once("cambio_precio_masivo_car.php"); ?></div>



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 

            


          </div>
        </div>
        <!-- /page content -->
        
        <!-- POPUP DE MODAL OCULTO -->
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="dialogobox">
                    <div class="modal-dialog modal-lg">
                      <div class="modal-content">

                        <div class="modal-header">
                          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
                          </button>
                          <h4 class="modal-title" id="myModalLabel">Titulo</h4>
                        </div>
                        <div class="modal-body" id="modal_cuerpo">
						...
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                          
                        </div>

                      </div>
                    </div>
                  </div>

                      
                  </div>
                </div>
              </div>
              
              
              
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
