<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="233";
require_once("includes/rsusuario.php");
 
function redondear_precio($precio,$ceros=1,$direccion='N'){
     // direccion  A: hacia arriba // B: hacia abajo N: Normal
    if($direccion == 'A'){
        $precio_redondeado=ceil($precio/10**$ceros)*(10**$ceros);
    }else if($direccion == 'B'){
        $precio_redondeado=floor($precio/10**$ceros)*(10**$ceros);
    }else{
        $precio_redondeado=round($precio/10**$ceros)*(10**$ceros);
    }
    return $precio_redondeado;
}



$idcambiopreciomasivo=intval($_GET['id']);
if($idcambiopreciomasivo == 0){
	header("location: cambio_precio_masivo.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from cambio_precio_masivo 
where 
idcambiopreciomasivo = $idcambiopreciomasivo
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcambiopreciomasivo=intval($rs->fields['idcambiopreciomasivo']);
if($idcambiopreciomasivo == 0){
	header("location: cambio_precio_masivo.php");
	exit;	
}

// actualiza categoria y subcategoria en insumos
$consulta="
update insumos_lista 
set 
insumos_lista.idcategoria = (select productos.idcategoria from productos where idprod_serial = insumos_lista.idproducto) 
where 
idproducto is not null
and insumos_lista.idcategoria <> (select productos.idcategoria from productos where idprod_serial = insumos_lista.idproducto);
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$consulta="
update insumos_lista 
set 
insumos_lista.idsubcate = (select productos.idsubcate from productos where idprod_serial = insumos_lista.idproducto) 
where 
idproducto is not null
and insumos_lista.idsubcate <> (select productos.idsubcate from productos where idprod_serial = insumos_lista.idproducto);
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	

	

	// recibe parametros
	$ceros=intval($_POST['ceros']);
	$tipo_redondeo=substr(trim($_POST['tipo_redondeo']),0,1);
	$idproveedor=intval($_POST['idproveedor']);
	$origen_costo=substr(trim($_POST['origen_costo']),0,3);


/*
	if(intval($_POST['idinsumo']) == 0){
		$valido="N";
		$errores.=" - El campo idinsumo no puede ser cero o nulo.<br />";	
	}
	if(intval($_POST['idproducto']) == 0){
		$valido="N";
		$errores.=" - El campo idproducto no puede ser cero o nulo.<br />";	
	}
	if(floatval($_POST['precio_nuevo']) <= 0){
		$valido="N";
		$errores.=" - El campo precio_nuevo no puede ser cero o negativo.<br />";	
	}*/
/* 
editado_por 
	if(intval($_POST['editado_por']) == 0){
		$valido="N";
		$errores.=" - El campo editado_por no puede ser cero o nulo.<br />";	
	}
*/
/* 
editado_el 
	if(trim($_POST['editado_el']) == ''){
		$valido="N";
		$errores.=" - El campo editado_el no puede estar vacio.<br />";	
	}
*/
	
	if($idproveedor > 0){
		$whereadd="
		and insumos_lista.idproveedor = $idproveedor
		";
	}
	
	if($origen_costo != 'UF' && $origen_costo != 'LP'){
		$valido="N";
		$errores.=" - Debe seleccionar el origen del costo.<br />";	
	}
	
	if($origen_costo == 'UF'){
		$seladd.="
		insumos_lista.costo as costo,
		";
		/*$whereadd.="
		and insumos_lista.costo > 0
		";*/
	}
	
	if($origen_costo == 'LP'){
		$seladd.="
		(
			SELECT lista_precios_costo_proveedores.precio_costo as costo
			FROM lista_precios_costo_proveedores 
			where 
			lista_precios_costo_proveedores.estado_pc = 1 
			and lista_precios_costo_proveedores.idinsumo = insumos_lista.idinsumo
		) as costo,
		";
		/*$whereadd.="
		and insumos_lista.idinsumo in 
			(
				select lista_precios_costo_proveedores.idinsumo 
				from lista_precios_costo_proveedores 
				where 
				estado_pc = 1
				and precio_costo > 0
			)
		";*/
	}
	

	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		select *, 
		$seladd
		(select recarga_porc from sub_categorias where idsubcate = insumos_lista.idsubcate) as recarga_porc
		from insumos_lista 
		where 
		estado = 'A' 
		$whereadd
		and idproducto > 0
		and (select recarga_porc from sub_categorias where idsubcate = insumos_lista.idsubcate) > 0
		and (respeta_precio_sugerido is null or respeta_precio_sugerido = 'N')
		and idinsumo not in (select idinsumo from cambio_precio_masivo_det where idcambiopreciomasivo = $idcambiopreciomasivo)
		order by idinsumo asc
		";
		$rscambio=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		//echo $consulta;exit;
		while(!$rscambio->EOF){
			
			$idinsumo=$rscambio->fields['idinsumo'];
			$idproducto=$rscambio->fields['idproducto'];
			$recarga_porc=floatval($rscambio->fields['recarga_porc']);
			$precio_costo=floatval($rscambio->fields['costo']);
			$respeta_precio_sugerido=$rscambio->fields['respeta_precio_sugerido'];
			// si la recarga es mayor a cero y no se respeta precio sugerido para este articulo y ademas tiene precio de costo
			if($recarga_porc > 0 && $respeta_precio_sugerido != 'S' && $precio_costo > 0){
				// formula para decimales
				$precio_nuevo=floatval(($precio_costo*($recarga_porc/100))+$precio_costo);
				$precio_nuevo=redondear_precio($precio_nuevo,$ceros,$tipo_redondeo);

				$consulta="
				insert into cambio_precio_masivo_det
				(idcambiopreciomasivo, idinsumo, idproducto, precio_nuevo, recargo_porcentaje, costo_actual)
				values
				($idcambiopreciomasivo, $idinsumo, $idproducto, '$precio_nuevo', '$recarga_porc', '$precio_costo')
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			}
		
		$rscambio->MoveNext(); }
		
		header("location: cambio_precio_masivo_det.php?id=".$idcambiopreciomasivo);
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Generacion Automatica</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                  
<div class="btn-group">
<button class="btn btn-sm btn-default" type="button" 
onmouseup="document.location.href='cambio_precio_masivo_det.php?id=<?php echo $idcambiopreciomasivo ?>'"><span class="fa fa-reply"></span> Volver</button>
<br /> 
</div>
<hr />


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Direccion Redondeo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['tipo_redondeo'])){ 
	$value_selected=htmlentities($_POST['tipo_redondeo']); 
}else{
	$value_selected='';
}
// opciones
$opciones=array(
	'Normal (desde 5 arriba)' => 'N',
	'Hacia Arriba' => 'A',
	'Hacia Abajo' => 'B',
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'tipo_redondeo',
	'id_campo' => 'tipo_redondeo',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Ceros Redondeo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="number" name="ceros" id="ceros" value="<?php  if(isset($_POST['ceros'])){ echo floatval($_POST['ceros']); }else{ echo floatval($rs->fields['ceros']); }?>" placeholder="Ceros" class="form-control" required />                    
	</div>
</div>

<div class="clearfix"></div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Proveedor *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php // consulta
$consulta="
SELECT idproveedor, nombre
FROM proveedores
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_POST['idproveedor'])){ 
	$value_selected=htmlentities($_POST['idproveedor']); 
}else{
	$value_selected=htmlentities($rs->fields['idproveedor']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idproveedor',
	'id_campo' => 'idproveedor',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idproveedor',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Origen Costo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 

// valor seleccionado
if(isset($_POST['origen_costo'])){ 
	$value_selected=htmlentities($_POST['origen_costo']); 
}else{
	$value_selected='';
}
// opciones
$opciones=array(
	'Ultima Factura' => 'UF',
	'Lista precios proveedores' => 'LP'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'origen_costo',
	'id_campo' => 'origen_costo',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Generar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='cambio_precio_masivo_det.php?id=<?php echo $idcambiopreciomasivo ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 

            


          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
