<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="21";
$submodulo="172";
require_once("includes/rsusuario.php"); 



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	$fecha=antisqlinyeccion($_POST['fecha'],"text");
	$titulo=antisqlinyeccion($_POST['titulo'],"text");
	$texto=antisqlinyeccion($_POST['texto'],"textbox");


	// validaciones basicas
	$valido="S";
	$errores="";


	if(trim($_POST['fecha']) == ''){
		$valido="N";
		$errores.=" - El campo fecha no puede estar vacio.<br />";	
	}
	if(trim($_POST['texto']) == ''){
		$valido="N";
		$errores.=" - El campo texto no puede estar vacio.<br />";	
	}


	// valida que no exista en esa fecha ya registrado
	$consulta="
	select * 
	from menu_diario
	where
	fecha = $fecha
	and idempresa = $idempresa
	and idsucursal = $idsucursal
	and estado <> 6
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idmenudiario=intval($rsex->fields['idmenudiario']);
	if($idmenudiario > 0){
		$valido="N";
		$errores.=" - Ya existe un menu registrado para la fecha seleccionada, puede editarlo <a href=\"can_menu_diario_edit.php?id=$idmenudiario\">[aqui]</a>.<br />";	
	}

	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		insert into menu_diario
		(fecha, titulo, texto, creado_por, creado_el, modificado_por, modificado_el, idempresa, idsucursal, estado)
		values
		($fecha, $titulo, $texto, $idusu, '$ahora', NULL, NULL, $idempresa, $idsucursal, 1)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: can_menu_diario.php");
		exit;
		
	}

}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<link rel="stylesheet" type="text/css" href="css/magnific-popup.css" />
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	<div class="clear"></div>
		<div class="cuerpo">
			<div class="colcompleto" id="contenedor">
<div align="center">
    		<table width="70" border="0">
          <tbody>
            <tr>
              <td width="62"><a href="can_menu_diario.php"><img src="img/homeblue.png" width="64" height="64" title="Regresar"/></a></td>
            </tr>
          </tbody>
        </table>
    </div>
      <div class="divstd">
    		<span class="resaltaditomenor">
    			Agregar Menu Diario<br />
    		</span>
 		</div>
        <br /><hr /><br />


<?php if(trim($errores) != ""){ ?>
	<div class="mensaje" style="border:1px solid #F00; background-color:#FFC; font-size:12px; padding:10px; margin:10px auto; width:500px; text-align:center;"><strong>Errores:</strong> <br /><?php echo $errores; ?></div><br />
<?php } ?>
<form id="form1" name="form1" method="post" action="">
<table width="400" border="1" class="tablaconborde" align="center">
  <tbody>

	<tr>
	  <td align="center">*Fecha</td>
	  <td width="130" align="left"><input type="date" name="fecha" id="fecha" value="<?php  if(isset($_POST['fecha'])){ echo htmlentities($_POST['fecha']); }else{ echo htmlentities($rs->fields['fecha']); }?>" placeholder="fecha" required="required" /></td>
	  </tr>

	<tr>
		<td align="center">Titulo</td>
		<td width="130" align="left"><input type="text" name="titulo" id="titulo" value="<?php  if(isset($_POST['titulo'])){ echo htmlentities($_POST['titulo']); }else{ echo htmlentities($rs->fields['titulo']); }?>" placeholder="titulo"  /></td>
	</tr>

	<tr>
	  <td colspan="2" align="center">*Texto</td>
	  </tr>
	<tr>
		<td colspan="2" align="center">
          <textarea name="texto" id="texto" cols="50" rows="5" placeholder="texto" required="required" style="width:100%;"><?php  if(isset($_POST['texto'])){ echo htmlentities($_POST['texto']); }else{ echo htmlentities($rs->fields['texto']); }?></textarea></td>
		</tr>

  </tbody>
</table>
<br />
<p align="center">
  <input type="submit" name="button" id="button" value="Registrar" />
  <input type="hidden" name="MM_update" value="form1" />
</p>
<br />
</form>

        

                  
                  <br /><br />


		  </div> <!-- contenedor -->
   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
	<?php require("includes/pie.php"); ?>
</body>
</html>