<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="364";
require_once("includes/rsusuario.php"); 




$idcanalventaperm=intval($_GET['id']);
if($idcanalventaperm == 0){
	header("location: canal_venta.php");
	exit;	
}


$consulta="
select *,
(select usuario from usuarios where canal_venta_perm.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where canal_venta_perm.borrado_por = usuarios.idusu) as borrado_por,
(select usuario from usuarios where canal_venta_perm.idusuario = usuarios.idusu)  as usuario
from canal_venta_perm 
where 
 estado = 1 
 and idcanalventaperm = $idcanalventaperm
order by idcanalventaperm asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcanalventa=intval($rs->fields['idcanalventa']);
$usuario=antixss($rs->fields['usuario']);

// consulta a la tabla	
$consulta="
select * 
from canal_venta 
where 
idcanalventa = $idcanalventa
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcanalventa=intval($rs->fields['idcanalventa']);
if($idcanalventa == 0){
	header("location: canal_venta.php");
	exit;	
}


if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	//$idlistaprecio=antisqlinyeccion($_POST['idlistaprecio'],"int");
	$idusuario=antisqlinyeccion($_POST['idusu'],"int");
	$estado=1;
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");





	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		update canal_venta_perm
		set
			estado = 6,
			borrado_por = $idusu,
			borrado_el = '$ahora'
		where
			idcanalventaperm = $idcanalventaperm
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: canal_venta_det.php?id=".$idcanalventa);
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Borra Permiso para Lista de Precios <?php echo $rs->fields['lista_precio'] ?></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
   
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Usuario *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="" name="idlistaprecioperm" id="idlistaprecioperm" value="<?php   echo htmlentities($usuario); ?>" placeholder="Idlistaprecioperm" class="form-control" required readonly disabled="disabled" />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Canal Venta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="" name="idcanalventa" id="idcanalventa" value="<?php  echo htmlentities($rs->fields['canal_venta']); ?>" placeholder="idcanalventa" class="form-control" required readonly disabled="disabled" />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='canal_venta_det.php?id=<?php echo $idcanalventa ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>


  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
