<?php
/*----------------------------------------------------------
se agrega campo sucursal en la tabla de pedidos_evntos esto es para facilitar 
la operativa en multiples sucursales
sucursales_permisos_panel
08/01/24: Se agrega campo para atencion de
05/03/24: Se agrega ruc generico y se finaliza nuevo proceso de vinculacion de clientes
08/03/2024: Se agranda popup para busquedas (ancho) y se colocan lineas de separcion entre sucursales del cliente
14/03/2024: Se trabaja por circuito de Facturador vinculado.
08/04 - Se quita obligatoriedad de email para facturaador vinculado
----------------------------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="29";
$submodulo="347";
require_once("includes/rsusuario.php"); 
require_once('includes/funciones_eventos.php');
$_SESSION['contador']=0;
// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());
$registro=intval($_REQUEST['registro']);


if(isset($_POST['sucursalcliente'])){
	//print_r($_POST);exit;
	$buscar="Select * from pedidos_eventos_transacciones where registrado_por=$idusu and estado=1 order by idtransaccion desc limit 1";
	$rst=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idtransaccion=intval($rst->fields['idtransaccion']);

	$describe=antisqlinyeccion($_POST['sucursalcliente'],'text');
	$idclientelocal=antisqlinyeccion($_POST['idclientelocal'],'int');
	$email=antisqlinyeccion($_POST['mail'],'email');
	$telefono=antisqlinyeccion($_POST['telefono'],'text');
	$direccion=antisqlinyeccion($_POST['direccion'],'text');
	$matriz=antisqlinyeccion($_POST['matriz'],'text');

	if($idclientelocal> 0){
	//print_r($_POST);exit;
	$insertar="Insert into sucursal_cliente 
		(idcliente,sucursal,direccion,telefono,mail,estado,registrado_por,registrado_el,matriz)
		values 
		($idclientelocal,$describe,$direccion,$telefono,$email,1,$idusu,'$ahora',$matriz)";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
		//echo $insertar;exit;
		$buscar="Select * from sucursal_cliente where idcliente=$idclientelocal and registrado_por=$idusu order by idsucursal_clie desc limit 1";
		$rsd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		
		$idsucursal_cliente=intval($rsd->fields['idsucursal_clie']);
		
		$update="Update pedidos_eventos set id_cliente_sucu_pedido=$idsucursal_cliente where idtransaccion=$idtransaccion";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		
		if($matriz=='S'){
			$update="update sucursal_cliente set matriz='N' where idsucursal_clie < $idsucursal_cliente and idcliente=$idclientelocal";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
		}
		//Actualizamos el nombre para el evento en base a la sucursal del ID cliente
		//$("#cliente_ped").val(obj.idcliente+'|'+obj.idsucursal_clie+'|'+'|'+obj.sucuvirtual);
		$nombrenuevo=$idclientelocal."|".$idsucursal_cliente.'|'.'|'.$_POST['idclientelocal'];
		$buscar="Select regid from pedidos_eventos where idtransaccion=$idtransaccion";
		$fr=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$idreg=intval($fr->fields['regid']);
		$parametros_array=array(
			"idreg"=>$idreg,
			"idtransaccion"=>$idtransaccion
		);
		$bb=nombre_evento_actualiza($parametros_array);
		
	}
	
	
	
}




/*-----------------------------------
		    Preferencias		
------------------------------------*/
//Catering:  Establecer los parametros de seguridad en fecha y hora
$buscar="Select * from catering_preferencias limit 1";
$rspp1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$dias_limite=intval($rspp1->fields['pedidos_hasta_dia']);
$horas_maximas=intval($rspp1->fields['horas_hasta_dia']);

if ($dias_limite>0){
	$dias_limite_rev=new DateTime(date("Y-m-d"));
	$dias_limite_rev->modify('-'.$dias_limite.' day')->format("Y-m-d");
} else {
	$dias_limite_rev="";
}
if ($horas_maximas > 0){
	$hora_limite_rev=new DateTime(date("H:i"));
	$hora_limite_rev->modify('+'.$horas_maximas.' hours')->format("H:i");
} else {
	$hora_limite_rev="";
	
}
//Globales
$buscar="Select usa_listaprecio,usa_plantilla_articulo from preferencias";
$rspref=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
/*------------------------------
           Eliminar Pedido
-------------------------------*/
$chaupedido=intval($_REQUEST['edl']);
//es el id del pedido NO la transaccion
if ($chaupedido>0){
	echo "eliminar";exit;
	$idreg=intval($chaupedido);
	$buscar="select * from pedidos_eventos where regid=$idreg";
	$rspp=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idtransaccion=intval($rspp->fields['idtransaccion']);
	$chaupedido=$idtransaccion;
	
	$buscar="Select * from pedidos_eventos where idtransaccion=$chaupedido";
	//$rsf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	//echo $buscar;exit;
	
	$update="update pedidos_eventos_transacciones set estado=6,anulado_por=$idusu,anulado_el='$ahora' where idtransaccion=$idtransaccion ";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	//ahora el pedido del evento en si
	$update="update pedidos_eventos set estado=6,anulado_por=$idusu,anulado_el='$ahora' where idtransaccion=$idtransaccion ";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	//echo "llega";exit;
	
	$ori=intval($_REQUEST['sc']);
	if ($ori==99){
		header("Location: cat_adm_pedidos_new.php");
	} else {
		header("Location: cat_pedidos_new.php");
	}
	exit;
}

$chaupedido2=intval($_REQUEST['edlop']);//es el id de la transaccion
if ($chaupedido2>0){

	$idtransaccion=$chaupedido2;
	
	$buscar="Select * from pedidos_eventos where idtransaccion=$chaupedido";
	//$rsf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	//echo $buscar;exit;
	//$idtransaccion=intval($rsf->fields['idtransaccion']);
	//echo $idtransaccion;exit;
	$update="update pedidos_eventos_transacciones set estado=6,anulado_por=$idusu,anulado_el='$ahora' where idtransaccion=$idtransaccion ";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	//ahora el pedido del evento en si
	$update="update pedidos_eventos set estado=6,anulado_por=$idusu,anulado_el='$ahora' where idtransaccion=$idtransaccion ";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	//echo "llega";exit;
	
	$ori=intval($_REQUEST['sc']);
	if ($ori==99){
		header("Location: cat_adm_pedidos_new.php");
	} else {
		header("Location: cat_adm_pedidos_new.php");
	}
	exit;
}
/*------------------------------
          FIN Eliminar Pedido
-------------------------------*/


//Crear Transaccion (IDT en todos los paneles visibles) y reservar valores
$buscar="Select * from pedidos_eventos_transacciones where registrado_por=$idusu and estado=1 order by idtransaccion desc limit 1";
$rst=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idtransaccion=intval($rst->fields['idtransaccion']);
if ($idtransaccion==0){
	$insertar="Insert into pedidos_eventos_transacciones (registrado_por,registrado_el,estado) values ($idusu,'$ahora',1)";
	$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
	$buscar="Select * from pedidos_eventos_transacciones where registrado_por=$idusu and estado=1 order by idtransaccion desc limit 1";
$rst=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idtransaccion=intval($rst->fields['idtransaccion']);
}

//Cabecera para trabajar en caso de cortes o recarga
$buscar="Select *,
(select razon_social from cliente where idcliente=pedidos_eventos.idcliente_factura) as rz
 from pedidos_eventos where idtransaccion=$idtransaccion ";
$rscab=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
//echo $buscar;
if ($rscab->fields['idtransaccion']==0){
	$consulta="
		insert into pedidos_eventos
		(idtransaccion,idpresupuesto, idtipoev, id_cliente_solicita, fecha_solicitud, evento_para, hora_entrega, iddomicilio, cantidad_personas, adultos, ninhos, comentarios, idlistaprecio, estado, registrado_el, registrado_por, valido_hasta,
		idorganizador,iddecorador,comentario_interno,idcliente_recibe,idcliente_factura,tipoenvio,dire_entrega,estado_pedido_int,id_cliente_sucu_pedido,monto_evento,monto_sin_descuento,idlugar_entrega,
		ubicacion_comp,idsucursal)
		values
		($idtransaccion,NULL, NULL, NULL,current_timestamp, NULL, NULL, NULL, 0, 0,
		0, NULL, NULL, 1, current_timestamp, $idusu,NULL,
		NULL,NULL,NULL,0,0,NULL,NULL,1,0,0,0,NULL,
		NULL,$idsucursal)
		";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
}



//Seccion de finalizacion de un pedido en curso
if (isset($_POST['ocregev'])){
$idreg=intval($_POST['ocregev']);
	if ($idreg>0){
	
		//almacenamos los items y cerramos el pedido activo
		$update="update pedidos_eventos set estado=3,confirmado_pedido_el=current_timestamp where regid=$idreg";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		
		//Marcamos los componentes en tmpventares del usuario
		$update="update tmp_ventares set idpedidocat=$idreg,finalizado='S',impreso_coc='S' where usuario=$idusu and finalizado='N'";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		
		/*
		$delete="delete from tmp_pedidos_cabecera where idtransaccion=$idtransaccion";
		$conexion->Execute($delete) or die(errorpg($conexion,$delete));
		*/
		
		header("location: cat_adm_pedidos_new.php");
		exit;
	}
}




if (isset($_REQUEST['fechaevento'])){
	//print_r($_POST);
	/*--------------------------------------------------------------------------*/
	//Identificador del presupuesto: si es que hay
	//$idpresupuesto=intval($_POST['idpresupuesto']);//so lo si ya se genero previamnete un presu
	//$idtipoevento=intval($_POST['idtipoev']);
	///$fechaevento=date("Y-m-d",strtotime($_POST['fechaevento']));
	//$horaevento=date("H:i:s",strtotime($_POST['hora']));
	//$cantpersona=intval($_POST['cantidad_personas']);
	//$fechavalidez=antisqlinyeccion($_POST['valido_hasta'],'date');
	//-----------------------------------------EXPLOTAR---------------------------------------------------//
	$ex1=explode("|",$_REQUEST['cliente_ped']);
	$idclientepedido=intval($ex1[0]);//Id del cliente que hace el pedido
	if ($idclientepedido==0){
		echo "No se detecto el cliente del pedido. <a href='cat_pedidos_new.php' >{ Recargue su pagina y verifique si está el cliente asignado,o bien, guarde la cabecera para finalizar }.</a>";exit;
	}
	$idsucursalcpedido=intval($ex1[1]);//Id de la sucursal del cliente que hace el pedido
	//Traemos la razon social del cliente que hace el pedido
	$buscar="Select razon_social from cliente where idcliente=$idclientepedido ";
	$rz1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$clienterz=antisqlinyeccion($rz1->fields['razon_social'],'text');
	//---------------------------------------------------------------------------------------------------//
	//$obs=antisqlinyeccion($_POST['obs'],'text');
	$ex2=explode("-",$_REQUEST['cliente_fac']);
	/*------------------------------NUEVO METODO PARA FACTURADOR VINCULADO--------------------------
	
	Para utilizar facturador VINCULADO, se debe tener el registro previo (asignaciones) de los clientes con los cuales normalemente e;l cliente pedido realiza laas facturas, para ello,
	existe una tabla que se llama cliente_factura_vinculada, en la cual, estan todos los IDS de clientes que pueden ser facturadores de, por ej:
	El cliente 447 (de la tabla de cliente), se almacena en idcliente_origen (columna), luego, en la columna idcliente_facturador se coloca el id del cliente seleccionado (vinculado) como facturador del 447(sigueindo el ejemplo,
	el cliente 447 tiene como facturadores al mismo 447 y al 77 en dos registros separados dentro de esa tabla).
	Para este metodo, como se pudo haber cambiado el facturador, hacemos el explode del campo y actualizamos en pedidos_eventos(cabecera la columna idcliente_factura)
	-----------------------------------------------------------------------------------------------*/
	$idclientefactura=intval($ex2[0]);//Id del cliente que hace el pedido
	
	$update="update pedidos_eventos set idcliente_factura=$idclientefactura where idtransaccion=$idtransaccion";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	//echo $update;exit;
	//$idsucursalcfactura=intval($ex2[1]);//Id de la sucursal del cliente que hace el pedido
	//----------------------------------------------------------------------------------------------//
	
	//$idclientepedido=intval($_POST['ocidclientepedidol']);//CLiente que generÃ³ el pedido   ocidcsoli
	//$idclientefactura=intval($_POST['ocidclientefactural']);//ocidc Cliente de facturacion
	//$idclienterecibe=intval($_POST['ocidclientefactural']); //;ocidcrec quien va recibir el pedido actual
	//$totalevento=floatval($_POST['tevento']);//total del evento (traer del sum) por ahora usamos este	
	if ($idclienterecibe==0){
		$idclienterecibe=$idclientepedido;//si no vino x post, le asignamos al que genero el pedido
	}
	//$direccion=antisqlinyeccion($_POST['domicilio'],'text');//Direccion char que viene de la seleccion de sucursal o de la escritura del operador
	//$iddireccion=intval($_POST['iddomicilio']);
	//ver para almacenar el domicilio para el cliente en cliente domicilio
	//if ($iddireccion==0){
		//tomamos el valor de suculista
	//	$iddireccion=intval($_POST['suculista']);
	//	if ($iddireccion==0){
			//no vino x sucursal, creamos una direccion nueva para el cliente
		//	$insertar="Insert into cliente_direcciones ";
		//}
	//}
	
	//$listaprecio=intval($_POST['listapre']);
	//$idorganizador=intval($_POST['listaorg']);
	//$iddecorador=intval($_POST['listadeco']);
	//$comentariovisible=antisqlinyeccion($_POST['detalles'],'text');
	//$comentariointerno=antisqlinyeccion($_POST['interno'],'text');
	//$tipoenvio=intval($_POST['tipoenviooc']);
	//$id_sucursal_entrega=intval($_POST['suculista']);
	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		//$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		//$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		//$errores.="- Control del formularios no activado.<br />";
		//$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots

	if($tipoenvio == 99 && $direccion==''){
		$valido="N";
		$errores.=" - Al ser delivery debe indicar la direcci&oacote;n de env&iacute;o.<br />";	
	}
	
	$ubicacion=antisqlinyeccion($_POST['ubicacion'],'text');
	if ($ubicacion!=''){
		//poner el validador, si es por https://go.maps
		//o bien es la direccion por coordenadas para hacer los explodes
	}
	
	
	
	// si todo es correcto inserta
	if($valido == "S"){
		//Marcamos los componentes en tmpventares del usuario
		$buscar="select sum(subtotal) as total from  tmp_carrito_pedidos where idtransaccion=$idtransaccion and estado=1 ";
		$rgt=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$mt=floatval($rgt->fields['total']);
		//echo terminado;exit;	
		//Verificamos la direccion ingresada si es que ya no existe en la base, si la misma ya esxiste
		if ($direccion!=''){
			$ub=trim($_REQUEST['ubicacion']);
			$ex=explode(",",$ub);
			$lat=trim($ex[0]);
			$lon=trim($ex[1]);
			if ($iddomicilio>0){
				$buscar="Select * from clientes_direcciones where iddireccion=$iddomicilio  ";
			} else {
				$buscar="Select * from clientes_direcciones where descripcion=$direccion  ";	
			}
			$rdir=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$iddireccion=intval($rdir->fields['iddireccion']);
		}
		
		$estado_pedido=intval($_POST['idfoc']);
		if ($estado_pedido==0){
			$estado_pedido=1;
		}
		if ($estado_pedido==2){
			$estado_pedido=1;
		}
		if ($estado_pedido==3){
			$estado_pedido=2;//para forzar el cambio de estado con los colores
		}
		/*
		
		YA NO SE USA MAS 
		
		$consulta="
		insert into pedidos_eventos
		(idtransaccion,idpresupuesto, idtipoev, id_cliente_solicita, fecha_solicitud, evento_para, hora_entrega, iddomicilio, cantidad_personas, adultos, ninhos, comentarios, idlistaprecio, estado, registrado_el, registrado_por, valido_hasta,
		idorganizador,iddecorador,comentario_interno,idcliente_recibe,idcliente_factura,tipoenvio,dire_entrega,estado_pedido_int,id_cliente_sucu_pedido,monto_evento,monto_sin_descuento,idlugar_entrega,
		ubicacion_comp)
		values
		($idtransaccion,$idpresupuesto, $idtipoevento, $idclientepedido,current_timestamp, '$fechaevento', '$horaevento', $iddireccion, $cantpersona, 0,
		0, $comentariovisible, $listaprecio, 1, current_timestamp, $idusu,$fechavalidez,
		$idorganizador,$iddecorador,$comentariointerno,$idclienterecibe,$idclientefactura,$tipoenvio,$direccion,$estado_pedido,$idsucursalcpedido,$totalevento,$totalevento,$id_sucursal_entrega,
		$ubicacion)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		*/
		//traemos el id de la cabecera
		//$buscar="Select regid from pedidos_eventos where id_cliente_solicita=$idclientepedido and registrado_por=$idusu order by regid desc limit 1";
		$buscar="Select * from pedidos_eventos where idtransaccion=$idtransaccion";
		$rg=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$control_cliente=intval($rg->fields['id_cliente_solicita']);
		if ($control_cliente==0){
			echo "No se detecto el cliente del pedido. <a href='cat_pedidos_new.php' >{ Recargue su pagina y verifique si está el cliente asignado,o bien, guarde la cabecera para finalizar }.</a>";exit;
		}
		$idreg=intval($rg->fields['regid']);
		//echo $idreg;exit;
		$update="update pedidos_eventos set estado=3,confirmado_pedido_el=current_timestamp where regid=$idreg";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		$ahora=date("Y-m-d H:i:s");
		$delivery='N';
		
		//traemos el cuerpo de carrito tmp
		$buscar="Select idproducto,cantidad,precio,pkl,obs,titulo_contenedor,desglosa_precio,
				(select idlistacombodet from pedidos_eventos_referenciales
				where idproducto_seleccionado=tmp_carrito_pedidos.idproducto and idtransaccion=$idtransaccion limit 1) as idlistacombodet,
				(select idlistacombo from pedidos_eventos_referenciales
				where idproducto_seleccionado=tmp_carrito_pedidos.idproducto and idtransaccion=$idtransaccion limit 1) as idlistacombo
		
		from tmp_carrito_pedidos where idtransaccion=$idtransaccion "; 
		
		
		$buscar="Select *, (select descripcion from productos where idprod_serial=tmp_carrito_pedidos.idproducto 
			and tmp_carrito_pedidos.titulo_contenedor='S' and idplantilla > 0) as describetitulo
			from  tmp_carrito_pedidos where idtransaccion=$idtransaccion";
		
		
		$rcv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		//revisar el metodo, ya que no seria necesario agregar aqui el iddel combolistaddet ni el iddel grupo
		
		while(!$rcv->EOF){
			 /* idtransaccion,orden,pkl,idproducto_padre,idcombolista,idcombolistadet,idproducto,
			 idproducto_vinculado,idproducto_seleccionado,idplantilla,
			 idcpr,cantidad,cantidad_referencia,precio,subtotal	,obs,observacion,
			  estado,registrado_por,anulado_por,iddetalle,editado,desglosa_precio,
			  titulo_contenedor,titulo,plantilla
			
			*/

			$idunicopkl=intval($rcv->fields['pkl']);
			$orden=antisqlinyeccion($rcv->fields['idproducto'],'int');
			$idproducto_padre=antisqlinyeccion($rcv->fields['idproducto_padre'],'int');
			$idlistacombo=intval($rcv->fields['idcombolista']);
			$idlistacombodet=intval($rcv->fields['idcombolistadet']);
			$idprodserial=intval($rcv->fields['idproducto']);
			$idproducto_vinculado=intval($rcv->fields['idproducto_vinculado']);
			$idproducto_seleccionado=antisqlinyeccion($rcv->fields['idproducto_seleccionado'],'int');
			$idplantilla=antisqlinyeccion($rcv->fields['idplantilla'],'int');
			$idcpr=antisqlinyeccion($rcv->fields['idcpr'],'int');
			$cantidad=floatval($rcv->fields['cantidad']);
			$cantidad_referencia=antisqlinyeccion($rcv->fields['cantidad_referencia'],'int');
			$precio=floatval($rcv->fields['precio']);
			$subtotal=floatval($rcv->fields['subtotal']);
			$obs=antisqlinyeccion($rcv->fields['obs'],'text');
			$ob=str_replace("(","",$rcv->fields['obs']);//no se usa el campo observacion, sino obs
			$ob1=str_replace(")","",$ob);
			$observacion=antisqlinyeccion($ob1,'text');
			//echo $observacion;exit;
			$desglosa_precio=antisqlinyeccion($rcv->fields['desglosa_precio'],'text');
			if ($rcv->fields['desglosa_precio']==''){
				$desglosa_precio=antisqlinyeccion('N','text');
			}
			$titulo_contenedor=antisqlinyeccion($rcv->fields['titulo_contenedor'],'text');
			$combo_catering=antisqlinyeccion($rcv->fields['combo_catering'],'text');
			
			$insertar="Insert into 
			pedidos_eventos_detalles
			(idpedidocatering,idtransaccion,idprodserial,idcombolista,idcombolistadet,cantidad,	precio_venta,
			observacion,registrado,registrado_por)
			values
			($idreg,$idtransaccion,$idprodserial,$idlistacombo,$idlistacombodet,$cantidad,
			$precio,$observacion,'$ahora',$idusu)";
			
			
			$insertar="
			Insert into 
			pedidos_eventos_detalles

			(idpedidocatering,idtransaccion,idprodserial,idcombolista,idcombolistadet,cantidad,
			subtotal,idproducto_seleccionado,
			idproducto_vinculado,precio_venta,observacion,idproducto_padre,cantidad_referencia,
			idcpr,registrado,registrado_por	,
			desglosa_precio,titulo_contenedor,orden,idplantilla,combo_catering)
			values
			(
			$idreg,$idtransaccion,$idprodserial,$idlistacombo,$idlistacombodet,$cantidad,$subtotal,
			$idproducto_seleccionado,
			$idproducto_vinculado,$precio,$observacion,$idproducto_padre,$cantidad_referencia,
			$idcpr,'$ahora',$idusu,$desglosa_precio,$titulo_contenedor,$orden,$idplantilla,$combo_catering
			)
			";
			
			
			
			$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
			//echo $insertar;exit;
			$buscar="Select iddeta from pedidos_eventos_detalles where registrado_por=$idusu order by iddeta desc limit 1";
			$rlo=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$iddeta=intval($rlo->fields['iddeta']);
			
			$update="update tmp_carrito_pedidos set iddetalle=$iddeta where pkl=$idunicopkl";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
			
			$rcv->MoveNext();
		}
		//Cerramos la transaccion actual y pasamos de tmventares a la tabla de detalles nueva
		//echo "TERMINO";exit;
		
		
		$update="update pedidos_eventos_transacciones set estado=3,idpedido=$idreg where idtransaccion=$idtransaccion";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		
		//corremos el actualizador de nombre de eventos
		$buscar="Select * from pedidos_eventos_transacciones where idtransaccion=$idtransaccion ";	
		$rgh1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$subtotalhg=floatval($rgh1->fields['monto_transaccion']);
		
		$update="Update pedidos_eventos set estado_pedido_int=$estado_pedido,monto_evento=$subtotalhg,saldo_evento=$subtotalhg,monto_sin_descuento=$subtotalhg,monto_pedido=$subtotalhg where regid=$idreg";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		
		$parametros_array=array(
			"idreg"=>$idreg,
			"idtransaccion"=>$idtransaccion
		);
		$bb=nombre_evento_actualiza($parametros_array);
		
		//Calculamos los montos del evento
		require_once('includes/funciones_cobros.php');
		$parametros_array=array(
			"idevento"=>$idreg
		);
		actualiza_saldo_evento($parametros_array);

		if (intval($_POST['envmail'] ==1)){
			header("Location: cat_pedidos_envia_mail.php?idt=$idtransaccion");exit;
		} else {
			//cancelo pero si aprobo
			header("Location: cat_adm_pedidos_new.php");exit;
		}
	}
}
/*-------------------------------------------------------------------------------*/

//dato del cliente generico
$buscar="Select nombre,apellido,razon_social,idcliente,ruc from cliente where borrable='N' and estado=1 limit 1 ";
$rgen=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$ruc_generico=trim($rgen->fields['ruc']);
$idcliente_generico=intval($rgen->fields['idcliente']);
$rzgenerica=trim($rgen->fields['razon_social']);


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function buscar_cliente_cedula(valorbuscar){
	var parametros = {
	  "valorbuscar"     :   valorbuscar
	};
	$.ajax({		  
		data:  parametros,
		url:   'cat_verifica_cliente_sucus.php',
		type:  'post',
		beforeSend: function () {
			$("#sucursal_cliente_box").html('');				
		},
		success:  function (response) {
			$("#sucursal_cliente_box").show();
			$("#sucursal_cliente_box").html(response);
			var retorno=$("#occliente_encontrado").val();
			//alert(retorno);
			if(IsJsonString(retorno)){
				
				var obj = jQuery.parseJSON(retorno);
				var esnuevo=obj.esnuevo;
				if (esnuevo=='NO'){
					var idcliente = obj.idcliente;
					var nombres=obj.nombre_ruc;
					var apellidos=obj.apellido_ruc;
					var celular=obj.telefono;
					var email=obj.email;
					var celular_matriz=obj.celular_cliente_mat;
					var email_matriz=obj.email_cliente_mat;
					$("#idcliente_local").val(idcliente);
					$("#clientepedido_fisico").val(nombres+' '+apellidos);
					$("#nombreclie").val(nombres);
					$("#apellidosclie").val(apellidos);
					$("#emailpedido").val(email_matriz);
					$("#celular").val(celular_matriz);
					$("#nombreclie_box").show();
					$("#apellidos_box").show();
				} else {
					$("#idcliente_local").val("");
					$("#clientepedido_fisico").val("");
					$("#nombreclie").val("");
					$("#apellidosclie").val("");
					$("#emailpedido").val("");
					$("#celular").val("");
					$("#nombreclie_box").show();
					$("#apellidos_box").show();
					
				}
			} else {
				//alert(retorno);
			}
		}
	});
}
function nueva_sucursal(idcliente){
	var parametros = {
	  "idcliente"     :   idcliente
	};
	$("#modal_titulo2").html("Nueva Sucursal");
	$.ajax({		  
		data:  parametros,
		url:   'cat_crear_sucursal.php',
		type:  'post',
		beforeSend: function () {
			$("#modal_cuerpo2").html('');				
		},
		success:  function (response) {
			$("#modal_cuerpo2").html(response);
			$("#modal_ventana2").modal("show");
		}
	});	
	
}
function registrar_sucursal(idcliente){

	var nombre=$("#descripcion_sucu").val();
	var direccion=$("#direccion_sucu").val();
	var email=$("#email_sucu").val();
	var celular=$("#celular_sucu").val();
	var matriz=$("#matrizsucu").val();
	
	var parametros = {
	  "idcliente"     	:   idcliente,
	  "nombre"     		:   nombre,
	  "direccion"     	:   direccion,
	  "email"     		:   email,
	  "celular"     	:   celular,
	  "matriz"     		:   matriz
	};
	
	$.ajax({		  
		data:  parametros,
		url:   'cat_reg_sucursal.php',
		type:  'post',
		beforeSend: function () {
			$("#nslistasuc").html('');				
		},
		success:  function (response) {
			$("#nslistasuc").html(response);
			if(response=='LISTO'){
				
				recargar(idcliente);
			} else {
				alert(response);
			}
		}
	});	
}
function recargar(idcliente){
	
	var parametros = {
	  "idcliente"     :   idcliente
	};
	$("#modal_titulo2").html("Nueva Sucursal");
	$.ajax({		  
		data:  parametros,
		url:   'cat_listado_sucursales_clientes.php',
		type:  'post',
		beforeSend: function () {
						
		},
		success:  function (response) {
			$("#sucursal_cliente_box").html(response);
			$("#sucursal_cliente_box").show();
			$("#modal_ventana2").modal("hide");
		}
	});	
	
}


function cargar_comentario(idunico,iddetalle){
	
	$("#modal_titulo").html('Cargar Comentario de Producto');
	$('#modal_ventana').modal('show');
	var idtransaccion=<?php echo $idtransaccion ?>;
	var direccionurl='cat_mini_actualiza_comentario.php';	

	
	var parametros = {
	  "idunico"     :   idunico,
	  "idtransaccion" : idtransaccion,
	  "iddetalle"	: iddetalle
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$("#modal_cuerpo").html('');				
		},
		success:  function (response) {
			
			$("#modal_cuerpo").html(response);
			
			
		}
	});

}
function guardar_comentario(idunico,iddetalle){
	var obsprod=$("#obsprod").val();
	var idtransaccion=<?php echo $idtransaccion ?>;
	var direccionurl='cat_mini_actualiza_comentario.php';		
	//alert(idunico);
	var parametros = {
	  "idunico"        :idunico,
	  "idtransaccion"  : idtransaccion,
	  "registrar"	   :1,
	  "texto"			:obsprod,
	   "iddetalle"	: iddetalle
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$("#modal_cuerpo").html('');				
		},
		success:  function (response) {
			
			$("#modal_cuerpo").html(response);
			
			
		}
	});
	
}
function controlar_req(){
	$("#lerr").html("");
	$("#errorjs").hide();
	var letra='S';
	var errores="";
	var fechaeventoloc="";
	var horaeventoloc="";
	fechaeventoloc=$("#fechaevento").val();
	horaeventoloc=$("#hora").val();
	if (fechaeventoloc==''){
		letra='N';
		errores=errores+"Debe indicar la fecha del evento.<br />";
	}
	if (horaeventoloc==''){
		letra='N';
		errores=errores+"Debe indicar la hora del evento.<br />";
	}
	if (letra=='N'){
		//alert('ingresa');
		$("#lerr").html(errores);
		$("#errorjs").show();
	} else {
		$("#evento_para").val(fechaeventoloc);
		$("#hora_entrega").val(horaeventoloc);
	}
	return(letra);
}
function busca_cliente(idcampo,tipo){
	var direccionurl='busqueda_cliente_cat.php';
	$("#procede_bt").hide();
	var sigue='';
	sigue=controlar_req();
	//alert(sigue);
	if (sigue=='S'){
		var parametros = {
		  "m" : '1',
		  "idcampo" : idcampo,
		  "tipo"	: tipo
		};
		$.ajax({		  
			data:  parametros,
			url:   direccionurl,
			type:  'post',
			beforeSend: function () {
				$('#modal_ventana').modal('show');
				$("#modal_titulo").html('Busqueda de Cliente');
				$("#modal_cuerpo").html('Cargando...');				
			},
			success:  function (response) {
				$("#modal_cuerpo").html(response);
			}
		});
	} else {
		//Alert('Debe indicar fecha y hora del evento');
	}
}
function agregar_cliente_sucursal(idcliente){
	var direccionurl='cat_agregar_sucursaal_cliente.php';		
	var parametros = {
	  "idcliente"            : idcliente
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$('#modal_ventana').modal('show');
			$("#modal_titulo").html('Busqueda de Cliente');
			$("#modal_cuerpo").html('Cargando...');						
		},
		success:  function (response) {
			$("#modal_cuerpo").html(response);
		}
	});
	
	
}
function busca_cliente_res(tipo,idcampo){
	//alert(tipo);
	var ruc = $("#ruc_cat").val();
	var razon_social = $("#razon_social_cat").val();
	var fantasia = $("#fantasia_cat").val();
	var documento = $("#documento_cat").val();
	var sucucliente = $("#sucursal_cat").val();
	var email = $("#email_cat").val();
	if(tipo == 'ruc'){
		razon_social = '';
		fantasia = '';
		documento = '';
		$("#razon_social_cat").val('');
		$("#fantasia_cat").val('');
		$("#documento_cat").val('');
		 $("#sucursal_cat").val('');
	}
	if(tipo == 'razon_social'){
		ruc = '';
		fantasia = '';
		documento = '';
		$("#ruc_cat").val('');
		$("#fantasia_cat").val('');
		$("#documento_cat").val('');
		$("#sucursal_cat").val('');
	}
	if(tipo == 'fantasia'){
		ruc = '';
		razon_social = '';
		documento = '';
		$("#ruc_cat").val('');
		$("#razon_social_cat").val('');
		$("#documento_cat").val('');
		$("#sucursal_cat").val('');
	}
	if(tipo == 'documento'){
		ruc = '';
		razon_social = '';
		fantasia = '';
		$("#ruc_cat").val('');
		$("#razon_social_cat").val('');
		$("#fantasia_cat").val('');
		$("#sucursal_cat").val('');
	}
	if(tipo == 'email'){
		ruc = '';
		razon_social = '';
		fantasia = '';
		$("#ruc_cat").val('');
		$("#razon_social_cat").val('');
		$("#fantasia_cat").val('');
		$("#sucursal_cat").val('');
	}
	if(tipo == 'sucucliente'){
		ruc = '';
		razon_social = '';
		fantasia = '';
		$("#ruc_cat").val('');
		$("#razon_social_cat").val('');
		$("#fantasia_cat").val('');
	}
	var direccionurl='busqueda_cliente_res_cat.php';		
	var parametros = {
	  "ruc"            : ruc,
	  "razon_social"   : razon_social,
	  "fantasia"   	   : fantasia,
	  "documento"      : documento,
	  "idcampo"       : idcampo,
	  "sucursal_cliente" : sucucliente
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$("#busqueda_cli").html('Cargando...');				
		},
		success:  function (response) {
			$("#busqueda_cli").html(response);
		}
	});
}

function seleccionar_item(id,idcampo,tipo){
	//alert('llega');
	var valor = $("#idsucursal_clie_"+id).val();
	//alert(valor);
	if(IsJsonString(valor)){
		var obj = jQuery.parseJSON(valor);
		var idcliente = obj.idcliente;
		var idsucursal_clie = id;
		var ruc = obj.ruc;
		var razon_social = obj.razon_social;
		var nombres = obj.nombres;
		var apellidos = obj.apellidos;
		var idfacturador=obj.idfacturador;
		var idsucursal_fac=parseInt(obj.idsucursal_clie_facturador);
		var facturador=parseInt(obj.facturador);
		$("#occliebus").val(idcliente);
		if (idfacturador>0){
				$("#cliente_fac").val(obj.idfacturador+'|'+obj.idsucursal_fac+'|'+obj.facturador);	
				
				
				
				//cargar_facturador(facturador);
			} else {
				//es cero pero si el tipo es 2 (para facturar, enviar orden)
					$("#cliente_fac").val("NO DEFINIDO");	
			}
		$("#cliente_ped").val(obj.idcliente+'|'+obj.idsucursal_clie+'|'+'|'+obj.sucuvirtual);
			
		
		$('#modal_ventana').modal('hide');
		var cli_ped = $("#cliente_ped").val();
		var cli_fac = $("#cliente_fac").val();
		if(cli_ped != '' && cli_fac != ''){
		
			
			llenarfechas();
			
			$("#cpedidonuevo").click();
			document.location.href='#cpedidonuevo';
			
		}

		controlar_valores();
	}else{
		alert("Error obtenido: "+valor);	
	}

}
function cargar_facturador(idunico){

	var direccionurl='busqueda_cliente_vinculado_cat.php';		
	var parametros = {
	  "idunico"     :   idunico
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$("#ocbuscador").html('');				
		},
		success:  function (response) {
			$("#ocbuscador").html(response);
			$("#ocvalores").val(response);
			verificar_respuesta();
			
		}
	});

}
function llenarfechas(){
	var errores="";
	var fechaeventoloc="";
	var horaeventoloc="";
	fechaeventoloc=$("#fechaevento").val();
	horaeventoloc=$("#hora").val();
	$("#evento_para").val(fechaeventoloc);
	$("#hora_entrega").val(horaeventoloc);
}
function verificar_respuesta(){
var valor =$("#ocvalores").val();
	//alert(valor);
	if(IsJsonString(valor)){
		var obj = jQuery.parseJSON(valor);
		var idcliente = obj.idcliente;
		var idsucursal_clie = obj.idsucursal_clie;
		var idcampo = obj.idcampo;
		var ruc = obj.ruc;
		var razon_social = obj.razon_social;
		var nombres = obj.nombres;
		var apellidos = obj.apellidos;
		$("#cliente_fac").val(idcliente+'|'+idsucursal_clie+'|'+razon_social);
		var cli_ped = $("#cliente_ped").val();
		var cli_fac = $("#cliente_fac").val();
		if(cli_ped != '' && cli_fac != ''){
			llenarfechas();
			$("#cpedidonuevo").click();
			document.location.href='#cpedidonuevo';
		}
	}else{
		alert("Error: "+valor);	
	}


}
function agrega_cliente(idcampo,tipo){
		var direccionurl='cliente_agrega_cat_new.php';
		var parametros = {
              "new" : 'S',
			  "idcampo" : idcampo,
			  "tipo"    : tipo
	   };
       $.ajax({
                data:  parametros,
                url:   direccionurl,
                type:  'post',
                beforeSend: function () {
                    $('#modal_ventana').modal('show');
					$("#modal_titulo").html('Alta de Cliente');
					$("#modal_cuerpo").html('Cargando...');
                },
                success:  function (response) {
                    $('#modal_ventana').modal('show');
					$("#modal_titulo").html('Alta de Cliente');
					$("#modal_cuerpo").html(response);
					if (document.getElementById('ruccliente')){
						document.getElementById('ruccliente').focus();
					}
					$("#idcampo").html(idcampo);
                }
        });	
}

function registrar_cliente(idcampo){
	$("#errores_nuevo").hide();
	var mismo=0;
	var errores="";
	if($('#r1').is(':checked')) { var idclientetipo=1; }
	if($('#r2').is(':checked')) { var idclientetipo=2; }
	
	
	if(idclientetipo == 1){
		if($('#mismo').is(':checked')) { mismo=1; }
		//Persona Fisica
		var nombres = $("#nombreclie").val();
		if (nombres==''){
			errores=errores+"* Debe indicar el(los) nombre(s) cuando es cliente fisico.<br />";
		}
		var apellidos = $("#apellidosclie").val();
		if (apellidos==''){
			errores=errores+"* Debe indicar el(los) apellido(s) cuando es cliente fisico.<br />";
		}
		var documento_add = $("#cedulaclie").val();
		if (documento_add==''){
			errores=errores+"* El numero de cedula es obligatorio.<br />";
		}
		var celular=$("#celular").val();
		if (celular==''){
			errores=errores+"* Debe indicar un numero para contacto.<br />";
		}
		var email = $("#emailpedido").val();
		if(email==''){
			errores=errores+"* Debe indicar un correo  para contacto.<br />";
		}
		var sucursal_cliente=$("#lista_sucursales").val();
		if (sucursal_cliente==''){
			errores=errores+"* Debe indicar o generar una sucursal para el nuevo cliente .<br />";
		}
		var clientepedido=$("#clientepedido_fisico").val();
		if (clientepedido==''){
			errores=errores+"* El campo cliente pedido no puede estar vacio.<br />";
		}
		//Facturador Vinculado
		var ruc_facturador=$("#ruccliente").val();
		if (ruc_facturador==''){
			errores=errores+"* Debe indicar un facturador para el cliente pedido o bien indicar que es la misma persona.<br />";
		}
		var razon_facturador=$("#rz1").val();
		if (razon_facturador==''){
			errores=errores+"* Debe indicar razon social del facturador para el cliente pedido o bien indicar que es la misma persona.<br />";
		}
		var celular_facturador=$("#celularrz").val();
		
		var email_facturador=$("#emailrz").val();
		if (email_facturador==''){
			//errores=errores+"* Debe indicar un correo para el facturador a vincular.<br />";
		}
		var idclientepedido=$("#occlientepedido").val();
		var cliente_hacienda=$("#idcliente_hacienda_oc").val();
		
	}
	if(idclientetipo==2){
		mismo=0;
		var clientepedido=$("#clientepedido_empresa").val();
		if (clientepedido==''){
			errores=errores+"* El campo cliente pedido no puede estar vacio.<br />";
		}
		var ruc_empresa_juridica=$("#ruc_empresa_juri").val();
		if (ruc_facturador==''){
			errores=errores+"* Debe indicar el RUC para la empresa.<br />";
		}
		var razon_social_juridica = $("#razon_social_empresa").val();
		if (razon_social_juridica==''){
			errores=errores+"* La razon social no puede estar vacia!.Verifique<br />";
		}
		var fantasia_empresa=$("#fantasia_empresa").val();
		if (fantasia_empresa==''){
			//errores=errores+"* La razon social no puede estar vacia!.Verifique<br />";
		}
		var direccion_juri=$("#direccion_juridica").val();
		if (direccion_juri==''){
			//errores=errores+"* La razon social no puede estar vacia!.Verifique<br />";
		}
		var email_juridica=$("#email_empresa_juridica").val();
		if (email_juridica==''){
			errores=errores+"* Debe indicar un correo electronico.<br />";
		}
		var celular_juridica=$("#celular_empresa_juridica").val();
		
		var sucursal_juridica=$("#lista_sucursales_juri").val();
		if (sucursal_juridica==''){
			errores=errores+"* Debe indicar o generar una sucursal para el nuevo cliente .<br />";
		}
		var idcliente_hacienda_juri=$("#idcliente_hacienda_juri").val();
		
	}
	
	if(errores==''){
		var direccionurl='cliente_agrega_cat_new.php';
		var parametros = {
			"new" : 'S',
			"MM_insert" 	: 	'form1',
			"idclientetipo"	: 	idclientetipo,
			"idclientepedido" : idclientepedido,
			"nombres"		: 	nombres,
			"apellidos"		: 	apellidos,
			"documento" 	: 	documento_add,
			"celular"		:	celular,
			"email"			: email, 
			"sucursal_cliente"   : sucursal_cliente,
			"cliente_pedido" 	 : clientepedido,
			"ruc_facturador" 	 	: ruc_facturador,
			"razon_facturador" 	 	: razon_facturador,
			"celular_facturador" 	: celular_facturador,
			"email_facturador"   	: email_facturador,
			"cliente_hacienda"   	: cliente_hacienda,
			"ruc_empresa_juridica"  : ruc_empresa_juridica,
			"razon_social_juridica" : razon_social_juridica,
			"fantasia_empresa"		: fantasia_empresa,
			"direccion_juridica"	: direccion_juri,
			"email_juridica"		: email_juridica,
			"celular_juridica"		: celular_juridica,
			"sucursal_juridica"	    : sucursal_juridica,
			"idcliente_hacienda_juri" : idcliente_hacienda_juri,
			"mismo"					: mismo
						
		};
		$.ajax({
                data:  parametros,
                url:   direccionurl,
                type:  'post',
                beforeSend: function () {
                    $('#modal_ventana').modal('show');
					$("#modal_titulo").html('Alta de Cliente');
					$("#modal_cuerpo").html('Cargando...');
                },
                success:  function (response) {

                    $('#modal_ventana').modal('show');
					$("#modal_titulo").html('Alta de Cliente');
					$("#modal_cuerpo").html(response);


					if(IsJsonString(response)){
						var obj = jQuery.parseJSON(response);
						if(obj.valido == 'S'){
							//alert('1');
						        //$("#"+occliebus).val(obj.idcliente_pedido);
								$("#"+idcampo).val(obj.idcliente_pedido+'|'+obj.idsucursal_cliente_pedido+'|'+'|'+obj.razon_social_pedido);
								$("#cliente_fac").val(obj.idcliente_factura+'|'+obj.idsucursal_cliente_factura+'|'+obj.razon_social_factura);
								$('#modal_ventana').modal('hide');
								var cli_ped = $("#cliente_ped").val();
								var cli_fac = $("#cliente_fac").val();
								if(cli_ped != '' && cli_fac != ''){
									llenarfechas();
									$("#cpedidonuevo").click();
									document.location.href='#cpedidonuevo';
								}
						
						}else{
							//alert ("2");
							//agrega_cliente(idcampo);
							alert(obj.errores);
						}
					}else{
						alert(response);
					}
                }
        });	
	} else {
		$("#errores_nuevo").html(errores);
		$("#errores_nuevo").show();
		
		
	}
}
function marcades(){
	if ($('#gene').is(':checked')) {
		$('#gene').prop('checked', false); 
	}
	
	
	var errores='';
	if ($('#mismo').is(':checked')) {
		var documento_add = $("#cedulaclie").val();
		if (documento_add==''){
			errores=errores+"* El numero de cedula es obligatorio.<br />";
		}
	
		if(errores!=''){
			$("#errores_nuevo").html(errores);
			$("#errores_nuevo").show();
		} else {
			$("#errores_nuevo").html("");
			$("#errores_nuevo").hide();
			$("#ruccliente").val(documento_add);
			$("#facturador_vinculado_a").click();
				var email = $("#emailpedido").val();
				var celuped=$("#celular").val();
				if(email!=''){
					$("#emailrz").val(email);
				}
				if(celuped!=''){
					$("#celularrz").val(celuped);
				}
				
		}
		
	} else {
		$("#ruccliente").val("");
		$("#rz1").val("");
		$("#celularrz").val("");
		$("#idcliente_hacienda").val("");
		$("#emailrz").val("");
	}
	
	
}
function cambia(valor){
	if (valor==1){
		//fisico
		$("#pfisico").show();
		$("#facturadorvinculado").show();
        $("#pjuridico").hide();
		$("#botoncitoregistra").show();

		//$("#nombreclie_box").hide();
		//$("#apellidos_box").hide();
		$("#rz1").val("");
		$("#rz1_box").show();
		//$("#cedula_box").show();
		//$("#clientepedido_direccion_box").hide();
		//$("#clientepedido_box").show();
		//$("#clientepedido_box_empresa").hide();
	}
	if (valor==2){
		//juridico
		$("#facturadorvinculado").hide();
		$("#pfisico").hide();
        $("#pjuridico").show();
		$("#botoncitoregistra").show();




		//$("#nombreclie").val("");
		//$("#apellidosclie").val("");
		//$("apellidos_box").hide();
		
		//$("#nombreclie_box").hide();
		//$("#apellidos_box").hide();
		//$("#rz1_box").show();
		//$("#cedula_box").hide();
		//$("#clientepedido_direccion_box").show();
		//$("#clientepedido_box").hide();
		//$("#clientepedido_box_empresa").show();
	}
	
}
function cargar_datos_sucursal(idc){
	
	var parametros = {
			"idcliente" : idc
	};
	$.ajax({
			data:  parametros,
			url:   'catering_datos_sucursal.php',
			type:  'post',
			beforeSend: function () {
				$("#varios").val('Buscando...');
			},
			success:  function (response) {
				if(IsJsonString(response)){
					var obj = jQuery.parseJSON(response);
			
					if(obj.valido == 'S'){
						var email = obj.email;
						var telefono = obj.telefono;
						var new_idc = obj.idcliente;
						$("#emailrz").val(email);
						$("#celularrz").val(telefono);
						
					}else{
						
					}
				}else{
	
					alert(response);
			
				}
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if(jqXHR.status == 404){
					alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
				}else if(jqXHR.status == 0){
					alert('Se ha rechazado la conexión.');
				}else{
					alert(jqXHR.status+' '+errorThrown);
				}
			}
		}).fail( function( jqXHR, textStatus, errorThrown ) {
			if (jqXHR.status === 0) {
			
				alert('No conectado: verifique la red.');
			
			} else if (jqXHR.status == 404) {
			
				alert('Pagina no encontrada [404]');
			
			} else if (jqXHR.status == 500) {
			
				alert('Internal Server Error [500].');
			
			} else if (textStatus === 'parsererror') {
			
				alert('Requested JSON parse failed.');
			
			} else if (textStatus === 'timeout') {
			
				alert('Tiempo de espera agotado, time out error.');
			
			} else if (textStatus === 'abort') {
			
				alert('Solicitud ajax abortada.'); // Ajax request aborted.
			
			} else {
			
				alert('Uncaught Error: ' + jqXHR.responseText);
			
			}
		});
	}

function carga_ruc_set(){
	var vruc = $("#ruccliente").val();
	var txtbusca="Buscando...";
	if(txtbusca != vruc){
	var parametros = {
			"ruc" : vruc
	};
	$.ajax({
			data:  parametros,
			url:   'ruc_extrae_catering.php',
			type:  'post',
			beforeSend: function () {
				$("#ruchacienda").val('Buscando...');
			},
			success:  function (response) {
				if(IsJsonString(response)){
					var obj = jQuery.parseJSON(response);
					//alert(obj.error);
					if(obj.errores == ''){
						var new_ruc = obj.ruc;
						var new_rz = obj.razon_social;
						var new_idc = obj.idcliente;
						$("#idcliente_hacienda_oc").val(new_idc);
						var idcli = obj.idcliente;
						$("#ruccliente").val(new_ruc);
						$("#idcliente_hacienda").val(new_idc);
						$("#rz1").val(new_rz);
						if(obj.tipo_persona == 'FISICA'){
							//$("#r1").click();
						}
						if(obj.tipo_persona == 'JURIDICA'){
							//$("#r2").click();
						}
						//
						cargar_datos_sucursal(new_idc);
						
						
						
						
					}else{
						$("#ruccliente").val(vruc);
						//$("#nombreclie").val('');
						//$("#apellidos").val('');
						$("#rz1").val('');
					}
				}else{
	
					alert(response);
			
				}
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if(jqXHR.status == 404){
					alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
				}else if(jqXHR.status == 0){
					alert('Se ha rechazado la conexión.');
				}else{
					alert(jqXHR.status+' '+errorThrown);
				}
			}
		}).fail( function( jqXHR, textStatus, errorThrown ) {
			if (jqXHR.status === 0) {
			
				alert('No conectado: verifique la red.');
			
			} else if (jqXHR.status == 404) {
			
				alert('Pagina no encontrada [404]');
			
			} else if (jqXHR.status == 500) {
			
				alert('Internal Server Error [500].');
			
			} else if (textStatus === 'parsererror') {
			
				alert('Requested JSON parse failed.');
			
			} else if (textStatus === 'timeout') {
			
				alert('Tiempo de espera agotado, time out error.');
			
			} else if (textStatus === 'abort') {
			
				alert('Solicitud ajax abortada.'); // Ajax request aborted.
			
			} else {
			
				alert('Uncaught Error: ' + jqXHR.responseText);
			
			}
		});
	}
}
function carga_ruc_set_empresa(){
	var vruc = $("#ruc_empresa_juri").val();
	var txtbusca="Buscando datos...";
	if(txtbusca != vruc){
	var parametros = {
			"ruc" : vruc
	};
	$.ajax({
			data:  parametros,
			url:   'ruc_extrae_catering.php',
			type:  'post',
			beforeSend: function () {
				
			},
			success:  function (response) {
				if(IsJsonString(response)){
					var obj = jQuery.parseJSON(response);
				
					if(obj.errores == ''){
						var new_ruc = obj.ruc;
						var new_rz = obj.razon_social;
						var new_idc = obj.idcliente;
						$("#celular_empresa_juridica").val(obj.celular);
						$("#email_empresa_juridica").val(obj.email);
						//$("#idcliente_hacienda_oc").val(new_idc);
						var idcli = obj.idcliente;
						$("#ruc_empresa_juri").val(new_ruc);
						$("#idcliente_hacienda_juri").val(new_idc);
						$("#razon_social_empresa").val(new_rz);
						if(idcli!=''){
								//Buscamos la sucursal del cliente para listar
								llenar_sucursales_empresa(idcli);
                        }


						
						if(obj.tipo_persona == 'FISICA'){
							
						}
						if(obj.tipo_persona == 'JURIDICA'){
							
						}
						
					}else{
						$("#ruc_empresa_juri").val(vruc);
						$("#celular_empresa_juridica").val('');
						$("#email_empresa_juridica").val('');
						$("#razon_social_empresa").val('');
					}
				}else{
	
					alert(response);
			
				}
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if(jqXHR.status == 404){
					alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
				}else if(jqXHR.status == 0){
					alert('Se ha rechazado la conexión.');
				}else{
					alert(jqXHR.status+' '+errorThrown);
				}
			}
		}).fail( function( jqXHR, textStatus, errorThrown ) {
			if (jqXHR.status === 0) {
			
				alert('No conectado: verifique la red.');
			
			} else if (jqXHR.status == 404) {
			
				alert('Pagina no encontrada [404]');
			
			} else if (jqXHR.status == 500) {
			
				alert('Internal Server Error [500].');
			
			} else if (textStatus === 'parsererror') {
			
				alert('Requested JSON parse failed.');
			
			} else if (textStatus === 'timeout') {
			
				alert('Tiempo de espera agotado, time out error.');
			
			} else if (textStatus === 'abort') {
			
				alert('Solicitud ajax abortada.'); // Ajax request aborted.
			
			} else {
			
				alert('Uncaught Error: ' + jqXHR.responseText);
			
			}
		});
	}
}
function llenar_sucursales_empresa(idcli){

	var param=1;
	var parametros = {
            "idcliente" : idcli,
            "param" : param
    };
	$.ajax({
			data:  parametros,
			url:   'cat_verifica_cliente_sucus.php',
			type:  'post',
			beforeSend: function () {
				
			},
			success:  function (response) {
				$("#sucursal_cliente_box_empresa").html(response)
				$("#sucursal_cliente_box_empresa").show();
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if(jqXHR.status == 404){
					alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
				}else if(jqXHR.status == 0){
					alert('Se ha rechazado la conexión.');
				}else{
					alert(jqXHR.status+' '+errorThrown);
				}
			}
		}).fail( function( jqXHR, textStatus, errorThrown ) {
			if (jqXHR.status === 0) {
			
				alert('No conectado: verifique la red.');
			
			} else if (jqXHR.status == 404) {
			
				alert('Pagina no encontrada [404]');
			
			} else if (jqXHR.status == 500) {
			
				alert('Internal Server Error [500].');
			
			} else if (textStatus === 'parsererror') {
			
				alert('Requested JSON parse failed.');
			
			} else if (textStatus === 'timeout') {
			
				alert('Tiempo de espera agotado, time out error.');
			
			} else if (textStatus === 'abort') {
			
				alert('Solicitud ajax abortada.'); // Ajax request aborted.
			
			} else {
			
				alert('Uncaught Error: ' + jqXHR.responseText);
			
			}
		});
	
}
function completar_datos(){
	
	var no=$("#nombreclie").val();
	var ape=$("#apellidosclie").val();
	var na=no+' '+ape;
	$("#clientepedido_fisico").val(na);
	
	
	
}

function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}	  
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <form id="form1" name="form1" method="post" action="cat_pedidos_new.php">
            <input type="hidden" name="idfoc" id="idfoc" value="" />
			 <input type="hidden" name="envmail" id="envmail" value="" />
			<div class="row" >
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Agregar / Registrar Pedidos - IDT: <?php echo formatomoneda($idtransaccion) ?></h2>
					 <ul class="nav navbar-right panel_toolbox collapsed">
                      <li>
					  
					  <a class="collapse-link " id="cabeceraid" ><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
					<div style="width:120px; float:right;">
						<a class="btn btn-danger" style="border:5px solid red;background-color:white;color:black;font-weight:bold;" href="javascript:void(0);" onclick="confirmaranulacion();">Anular </a>&nbsp;
					</div>
                   
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
						<div class="alert alert-danger alert-dismissible fade in" id="errorjs" role="alert" style="display:none">
							
							<strong>Errores:</strong><br /><span id="lerr" ></span>
						</div>						
			
					<?php if(trim($errores) != ""){ ?>
					<div class="alert alert-danger alert-dismissible fade in" role="alert">
								<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
								</button>
								<strong>Errores:</strong><br /><?php echo $errores; ?>
					</div>
					<?php } ?>
					<div class="col-md-6 col-sm-6 form-group">
						<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha Evento *</label>
						<div class="col-md-9 col-sm-9 col-xs-12">
							<input class="form-control" type="date" name="fechaevento" id="fechaevento" min="<?php echo date("Y-m-d"); ?>" required="required" value="<?php echo $rscab->fields['evento_para'] ?>" onchange="controlar_valores();"   />                    
						</div>
					</div>
					  
					<div class="col-md-6 col-sm-6 form-group">
						<label class="control-label col-md-3 col-sm-3 col-xs-12">Hora Evento *</label>
						<div class="col-md-9 col-sm-9 col-xs-12">
							<input class="form-control" type="time" name="hora" id="hora" required="required" value="<?php echo $rscab->fields['hora_entrega'] ?>" onchange="controlar_valores();"  />
						</div>
					</div>
					<?php
					
					$ex1=explode("|",$rscab->fields['nombre_evento']);
					$idclientepedido=intval($rscab->fields['id_cliente_solicita']);//Id del cliente que hace el pedido
					$idsucursalcpedido=intval($rscab->fields['id_cliente_sucu_pedido']);//Id de la sucursal del cliente que hace el pedido
					$cped=$idclientepedido."|".$idsucursalcpedido."|".$ex1[1];
					$cfc=$idclientepedido."|".$idsucursalcpedido."|".$rscab->fields['rz'];
					?>
					<div class="col-md-6 col-sm-6 form-group">
						<label class="control-label col-md-3 col-sm-3 col-xs-12">Cliente Pedido *</label>
						<div class="col-md-9 col-sm-9 col-xs-12">
							<input type="text" name="cliente_ped" id="cliente_ped" class="form-control" onClick="busca_cliente('cliente_ped',<?php echo '1'; ?>);" readonly style="cursor: pointer;" value="<?php echo $cped ?>" onchange="controlar_valores();"/>
					 
						</div>
					</div>
						  
					<div class="col-md-6 col-sm-6 form-group">
						<label class="control-label col-md-3 col-sm-3 col-xs-12">Cliente Facturaci&oacute;n *</label>
						<div class="col-md-9 col-sm-9 col-xs-12">
							<input type="text" name="cliente_fac" id="cliente_fac" readonly  class="form-control" value="<?php echo $cfc ?>" onClick="modificar_facturador(<?php echo $idclientepedido; ?>);" readonly style="cursor: pointer;" onchange="controlar_valores();"/>
							<input type="hidden" name="occliebus" id="occliebus" value=""/>
						</div>
					</div>




	<div class="col-md-6 col-sm-6 form-group">
		<label class="control-label col-md-3 col-sm-3 col-xs-12">Lugar Entrega  </label>
		<div class="col-md-9 col-sm-9 col-xs-12">
			<select name="suculista" id="suculista" class="form-control"  required="required" onClick="seledire(this.value);">
				
				<option value="99" selected="selected">Delivery</option>
				<?php 
					$buscar="Select * from sucursales where estado <> 6 
					and idsucu in(select idsucursal from sucursal_parametros where idsucursal=sucursales.idsucu)
					order by nombre asc";
					$rsuc=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
					$tsuc=$rsuc->RecordCount();
					if ($tsuc > 0){
						while (!$rsuc->EOF){
					?>
						<option value="<?php echo $rsuc->fields['idsucu'] ?>" <?php if ($rscab->fields['tipoenvio']==$rsuc->fields['idsucu']){ ?> selected="selected"<?php } ?>><?php echo $rsuc->fields['nombre'] ?></option>
						
						<?php 
						$rsuc->MoveNext();
						}
						$rsuc->MoveFirst();
					}
					
				?>
			</select>
			
			<?php while (!$rsuc->EOF){ ?>
			<input type="hidden" name="direh_<?php echo $rsuc->fields['idsucu']; ?>" id="direh_<?php echo $rsuc->fields['idsucu']; ?>" value="<?php echo $rsuc->fields['direccion'];?>" />
			<?php $rsuc->MoveNext();} ?>
		</div>
	</div>
	<div class="col-md-6 col-sm-6 form-group">
			<label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo Evento</label>
			<div class="col-md-9 col-sm-9 col-xs-12" id="tiposeventosdiv">
				<?php require_once("cat_mini_eventos_tipos.php"); ?>

			</div>
	</div>
	<div class="col-md-6 col-sm-6 form-group">
		
		<label class="control-label col-md-3 col-sm-3 col-xs-12">Dir. Entrega <?php echo $aste;?></label>
		<div class="col-md-9 col-sm-9 col-xs-12">
			<input type="text" name="domicilio" id="domicilio" onchange="controlar_valores();" value="<?php echo $rscab->fields['dire_entrega'] ?>" placeholder="Direccion de entrega / Domicilio"  style="height: 40px;width:100%;"  />    <?php if ($gg==1){ ?> <button type="button"  class="btn btn-dark go-class" onClick="registradireccion();"><span class="fa fa-plus"></span> </button>  <?php } ?>
			<input type="hidden" name="iddomicilio" id="iddomicilio" value="" />
		</div>
	</div>		
	<div class="col-md-6 col-sm-6 form-group">
		<label class="control-label col-md-3 col-sm-3 col-xs-12">Ubicacion / Gmaps  </label>
		<div class="col-md-9 col-sm-9 col-xs-12">
			<textarea name="ubicacion" id="ubicacion" class="form-control"  onkeyup="controlar_valores();"><?php echo $rscab->fields['ubicacion_comp'] ?></textarea>
		</div>
	</div>	
	
	<div class="col-md-6 col-sm-6 form-group">
		<label class="control-label col-md-3 col-sm-3 col-xs-12">Ciudad  </label>
		<div class="col-md-9 col-sm-9 col-xs-12">
			<select name="ciudades" id="ciudades" class="form-control"  required="required" onchange="controlar_valores();">
				<option value="" selected="selected">Seleccionar</option>
				
				<?php 
					$buscar="Select * from ciudades where estado =1
					
					order by nombre asc";
					$rsciu=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
					$ts1=$rsciu->RecordCount();
					if ($ts1 > 0){
						while (!$rsciu->EOF){
					?>
						<option value="<?php echo $rsciu->fields['idciudad'] ?>" <?php if ($rscab->fields['idciudad']==$rsciu->fields['idciudad']){ ?> selected="selected"<?php } ?>><?php echo $rsciu->fields['nombre'] ?></option>
						
						<?php 
						$rsciu->MoveNext();
						}
						
					}
					
				?>
			</select>
			
			<?php while (!$rsuc->EOF){ ?>
			<input type="hidden" name="direh_<?php echo $rsuc->fields['idsucu']; ?>" id="direh_<?php echo $rsuc->fields['idsucu']; ?>" value="<?php echo $rsuc->fields['direccion'];?>" />
			<?php $rsuc->MoveNext();} ?>
		</div>
	</div>
	<div class="col-md-6 col-sm-6 form-group">
		<label class="control-label col-md-3 col-sm-3 col-xs-12">Barrio  </label>
		<div class="col-md-9 col-sm-9 col-xs-12">
			<select name="barrio" id="barrio" class="form-control" required="required" onchange="controlar_valores();">
				<option value="" selected="selected">Seleccionar</option>
				
				<?php 
					$buscar="Select * from barrios where estado =1
					
					order by nombre asc";
					$rsciu=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
					$ts1=$rsciu->RecordCount();
					if ($ts1 > 0){
						while (!$rsciu->EOF){
					?>
						<option value="<?php echo $rsciu->fields['idbarrio'] ?>" <?php if ($rscab->fields['idbarrio']==$rsciu->fields['idbarrio']){ ?> selected="selected"<?php } ?>><?php echo $rsciu->fields['nombre'] ?></option>
						
						<?php 
						$rsciu->MoveNext();
						}
						
					}
					
				?>
			</select>
			
			<?php while (!$rsuc->EOF){ ?>
			<input type="hidden" name="direh_<?php echo $rsuc->fields['idsucu']; ?>" id="direh_<?php echo $rsuc->fields['idsucu']; ?>" value="<?php echo $rsuc->fields['direccion'];?>" />
			<?php $rsuc->MoveNext();} ?>
		</div>
	</div>
	<div class="clearfix"></div>
	
	<div class="col-md-6 col-sm-6 form-group">
		<label class="control-label col-md-3 col-sm-3 col-xs-12">Personas Evento</label>
		<div class="col-md-9 col-sm-9 col-xs-12">
		<input type="text" name="cantidad_personas" id="cantidad_personas" value="<?php  echo $rscab->fields['cantidad_personas'];?>" placeholder="Cantidad personas" class="form-control" onchange="controlar_valores();" />                    
		</div>
	</div>
	<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Atencion de  </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
		<textarea name="atencionde" id="atencionde" onkeyup="controlar_valores();" class="form-control" ><?php echo $rscab->fields['atencion_de'] ?></textarea>
		
	</div>
</div>
	
</div>





                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
			<!-------------------------------------------------------DESDE ACA NUEVA FORMA DE CARGA---------------------------------------->
			<?php 
			$usa_plantilla_articulos=trim($rspref->fields['usa_plantilla_articulo']);//
			$usa_lista_precio=trim($rspref->fields['usa_listaprecio']);//
			
			
			?>
			<div class="row" id="cuerpopedido">
              <div class="col-md-12 col-sm-12 col-xs-12" >
                <div class="x_panel" style="display:none;">
                  <div class="x_title" style="display:none;">
					<h2><span class="fa fa-money"></span></span>&nbsp;Datos de Cliente , Facturaci&oacute;n y Evento</h2>	
					<input type="hidden" name="ocvalores" id="ocvalores" value="" />			
                    <ul class="nav navbar-right panel_toolbox">
                      <li ><a id="cpedidonuevo" class="collapse-link"><i class="fa fa-chevron-down"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content"  >
					<div class="col-md-12" style="display:none">
						<?php if(trim($errores) != ""){ ?>
							<div class="alert alert-danger alert-dismissible fade in" role="alert">
							<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
							</button>
							<strong>Errores:</strong><br /><?php echo $errores; ?>
							</div>
						<?php } ?>
						
										<form id="form2" name="form2" method="post" action="#cat_pedidos_cuerpo.php">
											<!------------------------------------------------------------------------------------------------------>
										
											<div class="col-md-4 col-sm-4 form-group">
												<?php if ($usa_lista_precio=='S'){ ?>
												<div class="col-md-4 col-sm-4 form-group">
												
													<div class="col-md-9 col-sm-9 col-xs-12">
													<label >Lista Precio</label>
													<?php 
													$consulta="
														select *
														from lista_precios_venta 
														where 
														 estado = 1 
														order by idlistaprecio asc
														";
														$rsl=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
														$tl=$rsl->RecordCount();
														if ($tl==1){
															$selected="selected='selected' ";
														}
														if ($tl>0){ 

															?>   
															<select name="listapre" id="listapre" style="height:40px; width: 80%;" onchange="controlar_valores();">
																<option value="" selected="selected">Seleccionar</option>
																<?php while(!$rsl->EOF){?>
																<option value="<?php echo $rsl->fields['idlistaprecio']?>" <?php if ($_POST['listapre']==$rsl->fields['idlistaprecio']){ ?> selected="selected"<?php } ?><?php echo $selected ?>><?php echo $rsl->fields['lista_precio']?></option>

																<?php $rsl->MoveNext();}?>
															</select>
															<?php }?>
													</div>
												</div>	
												<?php } ?>
											</div>	
	
									
									<!----------------------------------------------------------->
					</div>
					<div class="col-md-12">
						<div class="clearfix"></div>
						<hr />		
											
							
							
							
							<div class="clearfix"></div>
					

					
											
											
											
											
                  </div>
                </div>
              </div>
            </div>
			<?php
				//Lista organizadores
$buscar="Select nombre,idorganizador from organizador_eventos where estado <> 6 order by nombre asc";
$rslo=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
//Lista decoradores
$buscar="Select nombre,decorador_eventos.iddecorador from decorador_eventos where estado <> 6 order by nombre asc";
$rsd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
			?>
			<!------------------------------------------------------------>
			<div id="ocbuscador" style="display:none;" ></div>
			<div class="row" id="cuerpoeventos" style="display:none" >
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                   <h2><span class="fa fa-dashboard"></span></span>&nbsp; </h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link" onclick="desocultar();"><i class="fa fa-chevron-down"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content" id="" style="display:none">
					
					


                  </div>
                </div>
              </div>
            </div>
			
			
			
			<div class="row" id="cuerpocolores">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                   <h2><span class="fa fa-edit"></span></span>&nbsp; Comentarios Pedido</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link" onclick="desocultar();"><i class="fa fa-chevron-down"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content" id="" style="display:none">
					
						<div class="col-md-6 col-sm-6 form-group">
						<label class="control-label col-md-3 col-sm-3 col-xs-12">Organizador </label>
						<div class="col-md-9 col-sm-9 col-xs-12">
								<select name="listaorg" id="listaorg" style="height:40px; width: 80%;" onchange="controlar_valores();">
								<option value="" selected="selected">Seleccionar</option>
								<?php while(!$rslo->EOF){?>
								<option value="<?php echo $rslo->fields['idorganizador']?>" <?php if($rscab->fields['idorganizador']==$rslo->fields['idorganizador']){ ?> selected="selected"<?php } ?>><?php echo $rslo->fields['nombre']?></option>

								<?php $rslo->MoveNext();}?>
									</select>    	         
						</div>
						</div>
						<div class="col-md-6 col-sm-6 form-group">
							<label class="control-label col-md-3 col-sm-3 col-xs-12">Decorador</label>
							<div class="col-md-9 col-sm-9 col-xs-12">
									 <select name="listadeco" id="listadeco" style="height:40px; width: 80%;" onchange="controlar_valores();">
									<option value="" selected="selected">Seleccionar</option>
									<?php while(!$rsd->EOF){?>
									<option value="<?php echo $rsd->fields['iddecorador']?>" <?php if ($rscab->fields['iddecorador']==$rsd->fields['iddecorador']){ ?> selected="selected"<?php } ?>><?php echo $rsd->fields['nombre']?></option>

									<?php $rsd->MoveNext();}?>
									</select>        
							</div>
						</div>
						<div class="col-md-6 col-sm-6 form-group">
							<label class="control-label col-md-3 col-sm-3 col-xs-12">Detalles  / Colores</label>
							<div class="col-md-9 col-sm-9 col-xs-12">
							<textarea name="detalles" id="detalles" rows="4" style="width: 90%;" onchange="controlar_valores();"><?php echo $rscab->fields['comentarios']; ?></textarea>                
							</div>
						</div>
						<div class="col-md-6 col-sm-6 form-group">
							<label class="control-label col-md-3 col-sm-3 col-xs-12">Comentario Interno</label>
							<div class="col-md-9 col-sm-9 col-xs-12">
							<textarea name="interno" id="interno" rows="4" style="width: 90%;" onchange="controlar_valores();"><?php echo $rscab->fields['comentario_interno']; ?></textarea>                    
							</div>
						</div>
						<div class="clearfix"></div>
						<hr />
						<?php
						$buscar="Select * from pedidos_eventos_mensajes where idtransaccion=$idtransaccion";
						$rsd1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
						
						?>
						
						<div class="col-md-4 col-sm-4 form-group">
						<input type="text" class="form-control has-feedback-left" onchange="controlar_valores();" name="remitente" id="remitente" placeholder="Destinatario" value="<?php echo $rsd1->fields['remitente']; ?>">
							<span class="fa fa-user form-control-feedback left" aria-hidden="true"></span>
						</div>
						<div class="col-md-4 col-sm-4 form-group">
							<input type="text" class="form-control has-feedback-left" onchange="controlar_valores();" name="telefono_remitente" id="telefono_remitente" placeholder="Numero Destinatario" value="<?php echo $rsd1->fields['celular']; ?>">
							<span class="fa fa-user form-control-feedback left" aria-hidden="true"></span>
						</div>
						<div class="col-md-4 col-sm-4 form-group">
						   <textarea class="form-control" name="textotarjeta" id="textotarjeta" onchange="controlar_valores();" placeholder="Texto del mensaje...."><?php echo $rsd1->fields['mensaje']; ?></textarea>
						   
						</div>
						
                  </div>
                </div>
              </div>
            </div>
			
			
			
			
			<div class="col-md-12" style="text-align:center;display:none;">
						
							<a class='btn btn-warning' href="javascript:void(0);" id="btn_guarda01"  onclick="controlar_valores();">Guardar Cabecera</a>

			</div>
			<div class="row" id="enviocuerpotmp">
              <?php require_once("cat_tmp_cuerpucho_new.php"); ?>
            </div>
			<div class="row" id="enviocuerpo"  >
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2></h2>
                    <ul class="nav navbar-right panel_toolbox collapsed">
                      <li><a class="collapse-link "  ><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
				  <div class="col-md-4">
					<button type="button" class="btn btn-dark" onclick="proceder_nuevo(<?php echo $idtransaccion ?>);" ><span class="fa fa-search"></span> Verificar</button>
				  </div>
				  <div class="col-md-4">
					<button type="button" class="btn btn-primary" style="background-color:black;" onclick="proceder(<?php echo $idtransaccion ?>,2);" ><span class="fa fa-save"></span> Presupuesto</button>
				  </div>
				  <div class="col-md-4">
					<button type="button" class="btn btn-danger" onclick="proceder(<?php echo $idtransaccion ?>,3);" ><span class="fa fa-save"></span> Confirmar Pedido</button>
				  </div>
				  
				  
					<div class="form-group">
						<div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
							
							
						</div>
					</div>
					
					<input type="hidden" name="ocidclientefactural" id="ocidclientefactural" value="" />
					<input type="hidden" name="ocidclientepedidol" id="ocidclientepedidol" value="" />
				 	<input type="hidden" name="mapz" id="mapz" value="<?php echo trim($_REQUEST['ubicacion']);?>" />
					<input type="hidden" name="tipoenviooc" id="tipoenviooc" value="<?php echo $metodoentrega?>" />
					<input type="hidden" name="MM_insert" value="form1" />
					<input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
					<br />

                  </div>
                </div>
              </div>
            </div>
			
				
		</form>
			<div id="carrito" style="display: none"></div>
		
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana" >
                    <div class="modal-dialog modal-lg">
                      <div class="modal-content">

                        <div class="modal-header">
                          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
                          </button>
                          <h4 class="modal-title" id="modal_titulo">Titulo</h4>
                        </div>
                        <div class="modal-body" id="modal_cuerpo">
						...
                        </div>
                        <div class="modal-footer"  id="modal_pie">
						  
                          <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>&nbsp;
                          <button type="button" id="procede_bt" style="display:none;" onclick="proceder_anulacion();" class="btn btn-danger" >Confirmar</button>
                        </div>

                      </div>
                    </div>
		     </div>
			
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana2">
                    <div class="modal-dialog modal-lg">
                      <div class="modal-content">

                        <div class="modal-header">
                          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
                          </button>
                          <h4 class="modal-title" id="modal_titulo2">Titulo</h4>
                        </div>
                        <div class="modal-body" id="modal_cuerpo2">
						...
                        </div>
                        <div class="modal-footer"  id="modal_pie2">
						  
                          <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>&nbsp;
                          
                        </div>

                      </div>
                    </div>
		     </div>	
				<!--------------------------ACCIONES PLANTILLAS---------------------------->
				<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="ventanamodal">
                    <div class="modal-dialog modal-lg">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h4 class="modal-title" id="titulov"></h4>
                        </div>
                        <div class="modal-body" id="cuerpov" >
							<div id="erroralerta" class="alert alert-danger alert-dismissible fade in" role="alert" style="display:none">
								<span id="alertando">
								</span>
							</div>
							<div class="form-control" style="height: 80px;">
								<div class="col-md-6">
									<label class="control-label col-md-3 col-sm-3 col-xs-12">Cantidad Personas</label>
									<div class="col-md-9 col-sm-9 col-xs-12">
										<input type="number" id="cpersonas_plantilla" name="cpersonas_plantilla" class="form-control" />	    
									</div>
								</div>
								<div class="col-md-6">
									<a id="btn_agrega" class="btn btn-success" onclick="agregar_plantilla()"><span class="fa fa-success"></span>&nbsp; [Agregar]</a>
								</div>
							</div>
                        </div>
                        <div class="modal-footer"  id="piev">
						  
                          <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>&nbsp;
                          
                        </div>

                      </div>
                    </div>
		     </div>
				
				
				
                      
                  </div>
                </div>
              </div>
			<div id="varios_upd" style="display:none;"></div>
        <!-- POPUP DE MODAL OCULTO -->
		  
		  
          </div>
        </div>
        <!-- /page content -->
		<script>
		//FACTURADOR VINCULADO---------------------------------------------------//
		function usar_este_facturador(){
			var sel=$("#facturador").val();
			if(sel!=''){
				//var explo = plantilla.split("-");
				$("#cliente_fac").val(sel);
			} else {
				alert("Debe seleccionar un facturador de la lista!"); 
			}
		}
		function modificar_facturador(idcliente){
			if(idcliente=='' || idcliente==0){
				var idcliente=$("#occliebus").val();
			}
			 var parametros = {
			  "idtransaccion"     :<?php echo $idtransaccion; ?>,
			  "idcliente"	  : idcliente
			};
			$("#modal_titulo").html("Modificar Facturador Vinculado");
			if(idcliente!=''){
				$.ajax({		  
					data:  parametros,
					url:   'cat_busqueda_facturador_vinculado.php',
					type:  'post',
					cache: false,
					timeout: 3000,  // I chose 3 secs for kicks: 3000
					crossDomain: true,
					beforeSend: function () {	
						$("#modal_cuerpo").html('Buscando....');	
					},
					success:  function (response) {
						$("#modal_cuerpo").html(response);	
						$("#modal_ventana").modal("show");
					}
				});
			}
		}
		function refresh(idcliente,idtransaccion){
			 var parametros = {
			  "idtransaccion"     :<?php echo $idtransaccion; ?>,
			  "idcliente"	  : idcliente
			};
			$("#modal_titulo").html("Modificar Facturador Vinculado");
			if(idcliente!=''){
				$.ajax({		  
					data:  parametros,
					url:   'cat_busqueda_facturador_vinculado.php',
					type:  'post',
					cache: false,
					timeout: 3000,  // I chose 3 secs for kicks: 3000
					crossDomain: true,
					beforeSend: function () {	
						$("#modal_cuerpo").html('Actualizando....');	
					},
					success:  function (response) {
						$("#modal_cuerpo").html(response);	
						//$("#modal_ventana").modal("show");
					}
				});
			}
		}
		//FACTURADOR VINCULADO---------------------------------------------------//
		function confirmaranulacion(){
			$("#modal_titulo").html("Anular transaccion de pedido");
			$("#modal_cuerpo").html("El pedido quedará anulado. Continuar?");
			$("#procede_bt").show();
			$("#modal_ventana").modal("show");
			
		
		}
		function proceder_anulacion(){
			var idt=<?php echo $idtransaccion ?>;
			var url='cat_pedidos_new.php?edlop='+idt;
			window.open(url , "_self");
		}
		function simulateKeyPress(character) {
		  jQuery.event.trigger({ type : 'keypress', which : character.charCodeAt(9) });
		}
		function guardar_cabeza_auto(){
			
			controlar_valores(3);
			
			
		}
		
		function controlar_valores(tipo){
		  var idtransaccion=<?php echo $idtransaccion ?>;
		  var fecha_evento=$("#fechaevento").val();
		  var hora_evento=$("#hora").val();
		  var cliente_ped=$("#cliente_ped").val();
		  var cliente_fac=$("#cliente_fac").val();
		  var cantidad_personas=$("#cantidad_personas").val();
		  var idtipoevento=$("#idtipoev").val();
          var suculista=$("#suculista").val();
		  var direcharentrega=$("#domicilio").val();
		  var ubicacion=$("#ubicacion").val();
		  var colores=$("#detalles").val();
		  var comentarios=$("#interno").val();
		  var iddecorador=$("#listadeco").val();
		  var idorganizador=$("#listaorg").val();
		  var remitente=$("#remitente").val();
		  var celuremi=$("#telefono_remitente").val();
		  var textoremi=$("#textotarjeta").val();
		  var ciudad=$("#ciudades").val();
		  var barrio=$("#barrio").val();
		  var atencionde=$("#atencionde").val();
		  
		 var parametros = {
			  "idtransaccion"     :idtransaccion,
			  "fecha_evento"	  : fecha_evento,
			  "hora_evento"		  :hora_evento,
			  "cliente_ped"		  :cliente_ped,
			  "cliente_fac"		  :cliente_fac,
			  "cantidad_personas" :cantidad_personas,
			  "idtipoevento" 	  :idtipoevento,
			  "suculista"		  :suculista,
			  "direcharentrega"	  :direcharentrega,
			  "ubicacion"		  :ubicacion,
			  "colores"			  : colores,
			  "comentarios"       : comentarios,
			  "iddecorador"		: iddecorador,
			  "idorganizador"	:idorganizador,
			  "remitente"		: remitente,
			  "celuremi"		: celuremi,
			  "textoremi"		: textoremi,
			  "ciudad"			:ciudad,
			  "barrio"			:barrio,
			   "atencionde"	     :atencionde
		};
				$.ajax({		  
					data:  parametros,
					url:   'cat_mini_guarda_cabecera.php',
					type:  'post',
					cache: false,
					timeout: 5000,  // I chose 3 secs for kicks: 5000
					crossDomain: true,
					beforeSend: function () {
						$("#varios_upd").html('Cargando...');				
					},
					success:  function (response) {
						//alert(response);
						$("#varios_upd").html(response);
						if (tipo==3){
							$("#btn_guarda01").click();
							setTimeout(function(){ buscarprod(); }, 3000);
							//buscarprod();
							
							
						}	
					},
					error: function(jqXHR, textStatus, errorThrown) {
						
						if(jqXHR.status == 404){
							alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
						}else if(jqXHR.status == 0){
							alert('Se ha rechazado la conexión.');
						}else{
							alert(jqXHR.status+' '+errorThrown);
						}
					}


				}).fail( function( jqXHR, textStatus, errorThrown ) {

					if (jqXHR.status === 0) {

						alert('No conectado: verifique la red.');

					} else if (jqXHR.status == 404) {

						alert('Pagina no encontrada [404]');

					} else if (jqXHR.status == 500) {

						alert('Internal Server Error [500].');

					} else if (textStatus === 'parsererror') {

						alert('Requested JSON parse failed.');

					} else if (textStatus === 'timeout') {

						alert('Tiempo de espera agotado, time out error.');

					} else if (textStatus === 'abort') {

						alert('Solicitud ajax abortada.'); // Ajax request aborted.

					} else {

						alert('Uncaught Error: ' + jqXHR.responseText);

					}
				});
			  
			  
		  }
		
		
		
		function verificacantidad(idp,e){
			//alert("Llega");
			$("#errorhtml").hide();
			var comple="";
			var nperso=$("#canti_"+idp).val();
			comple=idp+"&cp="+nperso;
			var errores="";
			if (nperso==''){
				errores="Debe indicar cantidad de personas para evento!.";
				
			}
			if (nperso== 0){
				errores="Debe indicar cantidad de personas para evento!.";
				
			}
			var tecla= (document.all) ? e.keyCode : e.which;
			if (tecla==13){
				
				if (errores==''){
					//enviar
					var url='cat_combo_catering_ventas.php?idp='+comple;
					//window.location = ('cat_combo_catering_ventas.php?idp='+comple);
					$("#modal_ventana").modal("hide");
					window.open(url , "_blank");
					
				} else {
					//mostrar error en busqueda
					$("#errortxt").html("Debe indicar la cantidad de personas para el evento");
					$("#errorhtml").show();
					
				}
			}
		}
		function esteproducto(valorbuscar,e){
			var html_ant = $("#filtradoprodli").html();	
			var parametros = {
				"valor"	:valorbuscar
			};
			var texto_str_force = (''+valorbuscar);
			var len_valor = texto_str_force.length;
			if (valorbuscar!='' && len_valor > 2){
				$.ajax({		  
					data:  parametros,
					url:   'cat_mini_filtroprod_busqueda.php',
					type:  'post',
					cache: false,
					timeout: 3000,  // I chose 3 secs for kicks: 3000
					crossDomain: true,
					beforeSend: function () {	
						$("#cargando").show();
						$("#filtradoprodli").html(html_ant);	
					},
					success:  function (response) {
						$("#cargando").hide();
						$("#filtradoprodli").html(response);	
					}
				});
			
			}
	
			
		}
		function actualizar(idtemporal,idprodu,cual,e){
			var tecla= (document.all) ? e.keyCode : e.which;
			if (tecla==13){
				var cantidad=$("#cantidad_"+idtemporal).val();
				//alert(cantidad);
				var parametros = {
					"cantidad"	:cantidad,
					"cual"		:cual,
					"idtemporal"	:idtemporal,
					"idprodserial"  :idprodu
				};
				
						$.ajax({		  
							data:  parametros,
							url:   'cat_tmp_cuerpucho_new.php',
							type:  'post',
							cache: false,
							timeout: 3000,  // I chose 3 secs for kicks: 3000
							crossDomain: true,
							beforeSend: function () {	
												
							},
							success:  function (response) {
								$("#enviocuerpotmp").html(response);	
								//setTimeout(function(){ buscarprod(); }, 1000);
					
							}
						});
			} 
		}
		function eliminar(idtemporal,cual){
			var parametros = {
					"cual"		:2,
					"idtemporal"	:idtemporal
			};
			$.ajax({		  
				data:  parametros,
				url:   'cat_tmp_cuerpucho.php',
				type:  'post',
				cache: false,
				timeout: 3000,  // I chose 3 secs for kicks: 3000
				crossDomain: true,
				beforeSend: function () {	
									
				},
				success:  function (response) {
					$("#enviocuerpotmp").html(response);	
					//setTimeout(function(){ buscarprod(); }, 1000);
		
				}
			});
			
		}
		function verificar(idprodserial,e){
			//toma y verifica si se hizo enter en la casilla de cantidad al buscar u producto
			var tecla= (document.all) ? e.keyCode : e.which;
			if (tecla==13){
				apretarauto(idprodserial);
					
			}
			
		}
		
		function actualizar_precio(idunicocarrito){
			//alert(idunicocarrito);
			var precio=$("#precio_"+idunicocarrito).val();
			//alert(precio);
			var parametros = {
				   "idunico" : idunicocarrito,
					"precio" :precio
				};
				$.ajax({
						data:  parametros,
						url:   'mini_cat_actualiza_precio.php',
						type:  'post',
						beforeSend: function () {

						},
						success:  function (response) {
							//alert(response);
							$("#varios_upd").html(response);
							actualiza_carrito();
						}
				});
		} 	
		function cambiarprecio(idventatmp){
			var parametros = {
			   "idventatmp"   : idventatmp
			};
			$.ajax({		  
				data:  parametros,
				url:   'cat_mini_producto_cambiarprecio.php',
				type:  'post',
				cache: false,
				timeout: 3000,  // I chose 3 secs for kicks: 3000
				crossDomain: true,
				beforeSend: function () {	
									
				},
				success:  function (response) {
					$("#modal_cuerpo").html(response);	
					$("#modal_titulo").html("Producto con precio variable");
					$("#modal_ventana").modal("show");
					//setTimeout(function(){ $("#busquedatxt").focus(); }, 1000);
				}
			});
			
			
		}
		function verificarprecio(minimo,maximo){
			var valorcito=parseFloat($("#precio").val());
			var sigue='S';
			if (valorcito < minimo){
				//alert('precio por debajo del minimo permitido');
				sigue='N';
			}
			if (valorcito > maximo){
				//alert('precio por encima del maximo permitido');
				sigue='N';
			}
			if (sigue=='S'){
				$("#regprecio").show();
					//alert('desocultar');
			} else {
				$("#regprecio").hide();
			}
			
			
			
		}
		function desocultar(){
			$("#cuerpocolores").show();
			$("#enviocuerpo").show();
		}
		function buscarprod(){
			$("#procede_bt").hide();
			//buscador de productos
			var parametros = {
			   
			};
			$.ajax({		  
				data:  parametros,
				url:   'cat_mini_filtroprod.php',
				type:  'post',
				cache: false,
				timeout: 5000,  // I chose 3 secs for kicks: 3000
				crossDomain: true,
				beforeSend: function () {	
									
				},
				success:  function (response) {
					$("#modal_cuerpo").html(response);	
					$("#modal_titulo").html("Buscando productos.");
					$("#modal_ventana").modal("show");
					setTimeout(function(){ $("#busquedatxt").focus(); }, 1000);
				}
			});
			
			
		}
		/*-----------------------------PRODUCTOS-----------------------------------------*/
		
		function apretarauto(id,prod1,prod2,quien){
			//realiza el evento de agregar al carrito
			
			var cantidad=$("#canti_"+id).val();
			var prod1=0;
			var prod2=0;
			var precio=0;
			//alert(cantidad);
			if(cantidad ==''){
				cantidad=1;
			}
			if(prod1 > 0){
				var precio = 0;
			}else{
				//Lista de Productos
				//var html = document.getElementById("produlis_"+id).innerHTML;
				//var precio = document.getElementById("preciolis_"+id).value;			
			}
			var parametros = {
					"prod" : id,
					"cant" : cantidad,
					"precio" : precio,
					"prod_1" : prod1,
					"prod_2" : prod2
			};
		   $.ajax({
					data:  parametros,
					url:   'cat_pedido_carrito_tmp.php',
					type:  'post',
					beforeSend: function () {
						$("#carrito").html("");
					},
					success:  function (response) {
						//alert(response);
						$("#carrito").html(response);
						actualiza_carrito();
							
					}
			});
	}

	function actualiza_carrito(){
        var parametros = {
                "act" : 'S'
        };
		$.ajax({
                data:  parametros,
                url:   'cat_tmp_cuerpucho_new.php',
                type:  'post',
                beforeSend: function () {
                       $("#enviocuerpotmp").html("");
                },
                success:  function (response) {
						$("#enviocuerpotmp").html(response);
                }
        });
}
	
	
	


function apretar_combo(idprodser){
	var canti=$("#can_"+idprodser).val();
	if (canti==0){
		canti=1;
	}	
	var idmesa=0;
	//para permitir agregar, debemos poner en un temporal y controlar accion de combos
	 var parametros = {
		"id" : idprodser,
		"cantidad" : canti,
		"idmesa" : idmesa
	 }
	 $.ajax({
		data:  parametros,
		url:   'combo_ventas.php',
		type:  'post',
		beforeSend: function () {
		
			
			
		},
		success:  function (response) {
			$("#modal_titulo").html("Seleccionando opciones de combo");
			$("#modal_cuerpo").html(response);
			$("#modal_ventana").modal("show");
			setTimeout(function(e){ enfocar("filtrarprod",1000); }, 5000);
			
		}
	 });					 
}
function agrega_prod_grupo(idprod,idlista){
	//alert(idlista);
	var html = $("#prod_"+idprod+'_'+idlista).html();
	var idmesa = 0;
	//var cant = $('cant_'+idprod+'_'+idlista).val();
	//alert(cant);
	var parametros = {
		"idlista" : idlista,
		"idprod" : idprod,
		"idmesa" : idmesa
	};
	$.ajax({
		data:  parametros,
		url:   'combo_ventas_add.php',
		type:  'post',
		beforeSend: function () {
			//$("#prod_"+idprod+'_'+idlista).html("Cargando Opciones...");
		},
        success:  function (response) {
			//alert(response);
			if(response == 'MAX'){
				$("#grupo_"+idlista).html('Cantidad Maxima Alcanzada');
			}else if(response == 'LISTO'){
				$("#grupo_"+idlista).html('Listo!');
			}else{
				$("#prod_"+idprod+'_'+idlista).html(html);
				$("#contador_"+idprod+'_'+idlista).html(response);
			}
		}
	});
}
function reinicia_grupo(id,prod_princ){
		var idmesa = 0;
        var parametros = {
                "idlista" : id
				
        };
       $.ajax({
                data:  parametros,
                url:   'combo_ventas_del.php',
                type:  'post',
                beforeSend: function () {
					//$("#lista_prod").html("Cargando Opciones...");
                },
                success:  function (response) {
					if(response == 'OK'){
						apretar_combo(prod_princ);
					}else{
						$("#lista_prod").html(response);
					}
                }
        });
}
function terminar_combo(idprod_princ,cat){
		var html = $("#lista_prod").html();
		var idmesa = $("#idmesa").val();
        var parametros = {
                "idprod_princ" : idprod_princ,
				"idmesa" : idmesa
        };
       $.ajax({
                data:  parametros,
                url:   'combo_ventas_termina.php',
                type:  'post',
                beforeSend: function () {
					$("#lista_prod").html("Registrando...");
                },
                success:  function (response) {
					if(response == 'OK'){
						//document.location.href='?cat='+cat;
						$("#busqueda_prod").html('');
						$("#codbar").val('');
						$("#cant_cb").val('1');
						actualiza_carrito(idmesa);
						$("#modal_ventana").modal("hide");
					}else if(response == 'NOVALIDO'){
						$("#lista_prod").html(html);
						alert("Favor seleccione todos los productos antes de terminar.");
					}else{
						$("#lista_prod").html(response);
					}
                }
        });	
}
		
/*------------------------------------------------------------------------------------*/
/*------------------------PLANTILLA-------------------------*/
function seleccionar_plantilla(){
	var plantilla=$("#idplantilla").val();
	var explo = plantilla.split("-");
	var nombre=explo[1];
	var idplantilla=explo[0];
	if (idplantilla!=''){
		$("#alertando").html("");
		$("#btn_agrega").show();
		$("#erroralerta").hide();
		$("#titulov").html(nombre);
	} else {
		$("#btn_agrega").hide();
		$("#alertando").html("<span class='fa fa-info-circle'>&nbsp;Debe seleccionar la plantilla antes de continuar");
		$("#erroralerta").show();
	}
		
	$("#ventanamodal").modal('show');
	
}		
function agregar_plantilla(){
	var errores="";
	var plantilla=$("#idplantilla").val();
	var explo = plantilla.split("-");
	var nombre=explo[1];
	var idplantilla=explo[0];
	//alert(idplantilla);
	if (idplantilla==''){
		errores="Debe indicar plantilla para agregar!.";
	}
	var nperso=$("#cpersonas_plantilla").val();

	if (nperso==''){
		errores="Debe indicar cantidad de personas para plantilla!.";
	}
	if (nperso== 0){
		errores="Debe indicar cantidad de personas para plantilla!.";
	}
	if (errores==''){
		var parametros = {
			"idplantilla" : idplantilla,
			"cant" : nperso
		};
		$.ajax({
			data:  parametros,
			url:   'cat_pedido_carrito_tmp.php',
			type:  'post',
			beforeSend: function () {
				$("#carrito").html("");
			},
			success:  function (response) {
				//alert(response);
				$("#carrito").html(response);
				setTimeout(function(e){ actualiza_carrito(); }, 2000);
			}

		});
	} else {
		alert("error"+errores);
	}

}

/*------------------------PLANTILLA-------------------------*/
function seleccionarproducto(idprodserial){
	
	
	
	
	
	
}
		//-------------------------DIRECCIONES---------------------//
		function seledire(valor){
			var direccion="";
			if (valor!=''){
				//alert(direccion);
				if (valor==99){
					//required
					direccion="";
					 $('#domicilio').prop("required", true);
				}  else {
					direccion=$("#direh_"+valor).val();
					//alert(direccion);
					 $('#domicilio').removeAttr("required");
				}
				$("#domicilio").val(direccion);
				controlar_valores();
			}	
		}
		//------------------------ Clientes------------------------->	
		function seleccionarcliente(){	
		//muestra los inputs para buscar el cliente
			$("#modal_titulo").html("<span class='fa fa-search'></span>&nbsp;&nbsp;Busqueda de cliente");
			var parametros = {
			   
			};
			$.ajax({		  
				data:  parametros,
				url:   'cat_mini_eventos_clientes.php',
				type:  'post',
				cache: false,
				timeout: 3000,  // I chose 3 secs for kicks: 3000
				crossDomain: true,
				beforeSend: function () {	
									
				},
				success:  function (response) {
					$("#modal_cuerpo").html(response);	
				}
			});
		  
			$("#modal_ventana").modal("show");
			setTimeout( enfocar(),300 );
			
		}
		function clientelista(datos){
			//es para seleccionar un cliente, basados en busqueda x like  de una lista
			var explo = datos.split(":");
			var idcli=explo[0];
			var nombre=explo[1];
			var errores='';
			//verificamos si selecciono la fecha y hora del evento_para
			//var pchar=$("#clientepedidochar").val();
			//var fchar=$("#clientefactuchar").val();
			var fechaev=$("#fechaevento").val();
			var horaev=$("#hora").val();
			//alert(horaev);
			if (fechaev===""){
				errores=errores+'-> Debe indicar la fecha del evento. \n';
			}
			if (horaev===""){
				errores=errores+'-> Debe indicar horario para evento. \n';
			}
			
			if (errores===''){
					$("#clientel").val(nombre);
					$("#clientelfac").val(nombre);
					$("#evento_para").val(fechaev);
					$("#hora_entrega").val(horaev);
					$("#ocidclientefactural").val(idcli);
					$("#ocidclientepedidol").val(idcli);
					$("#cliente").val(nombre);
					$("#modal_ventana").modal("hide");
					$("#cuerpopedido").show();
					$("#cpedidonuevo").click();
					$("#cuerpocolores").show();
					$("#enviocuerpo").show();
					$("#cabeceraid").click();
				
				
			} else {
				alert(errores);
				
			}
			
		}
		function enfocar(){
			if (document.getElementById("dcu")){
				document.getElementById("dcu").focus();
			}
			
		}
		function verificartc(cual){
			
			var res='';
			
			
			
			
			
			if (cual==1){
				res=$('#fisico').prop("checked"); 
				if (res==true){
					$('#juridico').prop("checked",false);
					
				} 
				//$vv=$("#docum").val();
					
			}
			if (cual==2){
				//juridico
				res=$('#juridico').prop("checked"); 
				if (res==true){
					$('#fisico').prop("checked",false);
					
				} 
				
				
			}
			
			
		}
		function bcliente(valorbusca,metodobusca){
			var bus_rz="";
			var bus_ruc="";
			var bus_doc="";
			bus_rz=$("#ncc").val();
			bus_ruc=$("#rucc").val();
			bus_doc=$("#dcum").val();
			
			if (metodobusca==1){
				//documento
				$("#rucc").val("");
				$("#ncc").val("");
				
			}
			if (metodobusca==2){
				//razon social, nombre o apellido
				$("#dcum").val("");
				$("#rucc").val("");
			}
			if (metodobusca==3){
				//ruc
				$("#dcum").val("");
				$("#ncc").val("");
				
			}
			
			
			
			var parametros = {
				"bus_rz" : bus_rz,
				"bus_ruc" :bus_ruc,
				"bus_doc": bus_doc
			};
			
			if (valorbusca!=''){
				$.ajax({		  
					data:  parametros,
					url:   'cat_miniadd_clie.php',
					type:  'post',
					cache: false,
					timeout: 3000,  // 
					crossDomain: true,
					beforeSend: function () {	
								
					},
					success:  function (response) {
						$("#cuerpoclientebusca").html(response);
						var respu=$("#occlietot").val();
						if (parseInt(respu)==0){
								
								$("#primero").hide();
								$("#segundo").show();
								
								
						} else {
							if (parseInt(respu)>1){
								$("#segundo").hide();
								$("#primero").hide();
							} else {
								$("#primero").hide();
								$("#segundo").show();
							}
						}
					}
				});
			} else {
				$("#segundo").hide();
				$("#primero").hide();
				$("#cuerpoclientebusca").html("");
			}
		}
		function actualizarcliente(idcliente){
			var dc=$("#dcu").val();
			var rz=$("#rz").val();
			var ruc=$("#ruc").val();
			var cel=$("#cel").val();
			var ema=$("#em").val();
			
				var parametros = {
			  		"dc" : dc,
					"rz" : rz,
					"ruc" : ruc,
					"cel" : cel,
					"ema" : ema,
					"add"	:1,
					"idc"	:idcliente
			};
			$.ajax({		  
				data:  parametros,
				url:   'cat_miniadd_clie.php',
				type:  'post',
				cache: false,
				timeout: 3000,  // I chose 3 secs for kicks: 3000
				crossDomain: true,
				beforeSend: function () {	
							
				},
				success:  function (response) {
					$("#cuerpoclientebusca").html(response);
					if (response!=''){
						var nm=response.split("|");
						$("#ocidc").val(nm[0]);
						$("#cliente").val(nm[1]);
						$("#modal_ventana").modal("hide");
					}
				}
			});
		}
		//VIEJO NO USAR
		function registrarcliente(){
			var res="";
			$("#procede_bt").hide();
			var dc=$("#docu").val();
			var rz=$("#rz").val();
			var ape=$("#apellidos").val();
			var nom=$("#nombres").val();
			var ruc=$("#ruc").val();
			var cel=$("#celu").val();
			var ema=$("#em").val();
			var obs=$("#obclie").val();
			if ($('#fisico').prop("checked")){
				res=1;
			}
			if ($('#juridico').prop("checked")){
				res=2;
			}
				var parametros = {
			  		"dc" : dc,
					"rz" : rz,
					"nombres" : nom,
					"apellidos" : ape,
					"ruc" : ruc,
					"cel" : cel,
					"ema" : ema,
					"obs"  : obs,
					"tipocliente" : res,
					"add"	:1
					
			};
			$.ajax({		  
				data:  parametros,
				url:   'cat_miniadd_clie.php',
				type:  'post',
				cache: false,
				timeout: 3000,  // I chose 3 secs for kicks: 3000
				crossDomain: true,
				beforeSend: function () {	
							
				},
				success:  function (response) {
					//alert(response);
					$("#cuerpoclientebusca").html(response);
					
					if (response!='error'){
						if ($("#erroresvv").length > 0){
							//alert('llego1');
							var comprobar=$("#erroresvv").val();
							//alert(comprobar);
							if (comprobar==''){
								
								var nm=response.split("|");
								//$("#clientel").val(nm[3]);
							  // $("#clientelfac").val(nm[1]);
								$("#ocidc").val(nm[0]);
								$("#cliente").val(nm[3]);
								$("#ocidpedi").val(nm[2]);
							
								var idcliente=$("#ocidc").val();
								var idclientepedido=$("#ocidpedi").val();
								seleccionar(idcliente,idclientepedido,nm[3],nm[1]);
								$("#modal_ventana").modal("hide");
							}
						} else {
								var nm=response.split("|");
								//alert(nm[3]);
							  // $("#clientel").val(nm[3]);
							   //$("#clientelfac").val(nm[1]);
								$("#ocidc").val(nm[0]);
								$("#cliente").val(nm[3]);
								$("#ocidpedi").val(nm[2]);
								var idcliente=$("#ocidc").val();
								var idclientepedido=$("#ocidpedi").val();
								//alert(idcliente);alert(idclientepedido);
								seleccionar(idcliente,idclientepedido,nm[3],nm[1]);
								$("#modal_ventana").modal("hide");
							
						}
					} else {
						//alert('llego3');
						$("#cuerpoclientebusca").html(response);
					}
				}
			});
		}
		//Seleccionar el cliente al buscar
		function seleccionar(idcliente,idclientepedido,qp,fc){
			
		$("#procede_bt").hide();
			var dc=$("#dcu").val();
			var rz=$("#rz").val();
			var ruc=$("#ruc").val();
			var cel=$("#cel").val();
			var ema=$("#em").val();
			var errores='';
			//verificamos si selecciono la fecha y hora del evento_para
			var pchar=$("#clientepedidochar").val();
			var fchar=$("#clientefactuchar").val();
			var fechaev=$("#fechaevento").val();
			var horaev=$("#hora").val();
			//alert(horaev);
			if (fechaev===""){
				errores=errores+'-> Debe indicar la fecha del evento. \n';
			}
			if (horaev===""){
				errores=errores+'-> Debe indicar horario para evento. \n';
			}
			
			if (errores===''){
				$("#clientel").val(pchar);
				$("#clientelfac").val(fchar);
				$("#evento_para").val(fechaev);
				$("#hora_entrega").val(horaev);
				$("#ocidclientefactural").val(idcliente);
				$("#ocidclientepedidol").val(idclientepedido);
				$("#cliente").val(rz);
				$("#modal_ventana").modal("hide");
				$("#cpedido").click();
				//$("#cuerpoeventos").show();
				//$("#cuerpocolores").show();
				$("#enviocuerpo").show();
				setTimeout(function(){ $("#cabeceraid").click(); }, 500);
				setTimeout(function(){ $("#cpedidonuevo").click(); }, 1000);
				//$("#cabeceraid").click();
				
				//$("#clientel").val();
			} else {
				//alert(errores);
				$("#errordetalle1").html(errores);
				$("#errorcontinua").show();
			}
					
		}
		function agregar(cual){
		  
		  $("#modal_titulo").html("Agregar tipos eventos");
		  var parametros = {
			  
			};
			$.ajax({		  
				data:  parametros,
				url:   'cat_mini_eventos_tipos_add.php',
				type:  'post',
				cache: false,
				timeout: 3000,  // I chose 3 secs for kicks: 3000
				crossDomain: true,
				beforeSend: function () {	
					//$("#modal_cuerpo").html('Cargando...');				
				},
				success:  function (response) {
					$("#modal_cuerpo").html(response);	
				}
			});
		  
		  
		  
		 
		  $("#modal_ventana").modal("show");
	  }
	   function registrar(cual){
		  var describe=$("#describetipoev").val();
		  if (describe!=""){
			   var parametros = {
			  		"describe" : describe,
				    "agregar" : 1
				};
				$.ajax({		  
					data:  parametros,
					url:   'cat_mini_eventos_tipos.php',
					type:  'post',
					cache: false,
					timeout: 3000,  // I chose 3 secs for kicks: 3000
					crossDomain: true,
					beforeSend: function () {	
										
					},
					success:  function (response) {
						$("#tiposeventosdiv").html(response);
						
					}
				});

			  
		  }
		 
		  $("#modal_ventana").modal("hide");
	  }
	 
		  	
	  
			
			
			
			
			
		function proceder_nuevo(idtransaccion){
			
			var clientepedido=$("#cliente_ped").val();
			if (clientepedido!=''){
				window.open('cat_pedidos_new_verificar.php?idt='+idtransaccion , "_self");
				
			} else {
				alert("Debe indicar el cliente del pedido antes de finalizar el presupuesto.");
				
				
				
			}
			
			


		}			
			
			
			
			
			
	   function proceder(idt,clase){
		   var message="Desea enviar el email?"
		   $("#idfoc").val(clase);
		    
		   var clientepedido=$("#cliente_ped").val();
		   if (clientepedido!=''){
			   var result = window.confirm(message);
			   if (result==true){
				   $("#envmail").val(1);
					$("#form1").submit();
			   } else {
				   $("#envmail").val(0);
					$("#form1").submit();
				   
			   }
			} else {
				alert("Debe indicar el cliente del pedido antes de finalizar el presupuesto.");
				
				
				
			}
		  
		   
		   
	   }
	  function usar_generico(){
		  if ($('#mismo').is(':checked')) {
			  $('#mismo').prop('checked', false)
			  
		  }
		  var ingreso=0;
		 if ($('#gene').prop('checked', true)){
			  var generico='<?php echo $ruc_generico; ?>';
			  var cgenerico=<?php echo $idcliente_generico; ?>;
			  var razon_generica='<?php echo $rzgenerica; ?>';
			  var cedula=$("#cedulaclie").val();
			  //Cambiamos de forma por aparente modificacion en la LEY, ahora debe ir la CEDULA SIN GUION
			  var nombres=$("#nombreclie").val();
			  var apellidos=$("#apellidosclie").val();
			  var emailpedido=$("#emailpedido").val();
			  if ((nombres!='')&&(apellidos!='')&&(cedula!='')){
				  // $("#ruccliente").val(generico);
				   //$("#rz1").val(razon_generica);
				   
				  $("#ruccliente").val(cedula);
				  $("#rz1").val(nombres+' '+apellidos);
				  $("#idcliente_hacienda").val(cgenerico);
				  $("#emailrz").val("nn@nn.com");
				  ingreso=1;
				  
			  } else {
				   ingreso=0;
				  
				  
				  
			  }
			  
			 
		 } 
		 if(ingreso==0){
			 if ($('#gene').prop('checked', false)){
				$("#ruccliente").val("");
				$("#rz1").val("");
				$("#celularrz").val("");
				$("#idcliente_hacienda").val("");
				$("#emailrz").val("");
				 
				 
			 }
		 }
	  }
		</script>
        <!-- footer content -->
		<script src="../js/shortcut.js"></script>
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
		
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
<script>

			$( document ).ready(function() {
				
				<?php if ($registro > 0){ ?>
					$("#form1").submit();
				<?php } else { ?>
				setInterval(function(){actualiza_carrito();},250000);
				<?php } ?>
		});

		
		</script>
<div id="guardatempo" style="display:none;"></div>
  </body>
</html>
