<?php
/*----------------------------------------------------------
Parametros de Catering, comportamientos, vistas etc

29/06/2021
-----------------------------------------------------------
*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="29";
$submodulo="347";
require_once("includes/rsusuario.php"); 


//almacenamos los items y cerramos el pedido activo
$buscar="Select * from tipos_eventos order by descripcion asc";
$rsev=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));


$buscar="Select idusu,usuario,nombre as sucursal,nombres,apellidos from usuarios 
inner join sucursales on usuarios.sucursal=sucursales.idsucu 
where usuarios.soporte=0
order by nombres,apellidos asc";
$rs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Visor de Pedidos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
					<div id="lhg" style="display:display"></div>
					<?php if(trim($errores) != ""){ ?>
						<div class="alert alert-danger alert-dismissible fade in" role="alert">
							<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
							</button>
							<strong>Errores:</strong><br /><?php echo $errores; ?>
						</div>
					<?php } ?>
					<div class="table-responsive">
						<table class="table table-bordered">
								<tbody>
								  <tr>
									<td  align="center" bgcolor="#F8FFCC"><strong>Usuario</strong></td>
									<td  align="center" bgcolor="#F8FFCC"><strong>Nombre y Apellido</strong></td>
								
									 <td  align="center" bgcolor="#F8FFCC"><strong>Pasa Producci&oacute;n</strong></td>
									 <td  align="center" bgcolor="#F8FFCC"><strong>Fecha Evento</strong></td>
									 <td  align="center" bgcolor="#F8FFCC"><strong>Hora Evento</strong></td>
									<td  align="center" bgcolor="#F8FFCC"><strong>Direcci&oacute;n </strong></td>
									<td  align="center" bgcolor="#F8FFCC"><strong>Tel&eacute;fono </strong></td>
									<td  align="center" bgcolor="#F8FFCC"><strong>Email </strong></td>
									<td  align="center" bgcolor="#F8FFCC"><strong>Monto Pedido </strong></td>
									<td  align="center" bgcolor="#F8FFCC"><strong>Monto Abonado </strong></td>
									<td  align="center" bgcolor="#F8FFCC"><strong>Saldo Activo</strong></td>
									<td  align="center" bgcolor="#F8FFCC"><strong>Ubicaci&oacute;n </strong></td>
									<td  align="center" bgcolor="#F8FFCC"><strong>Fecha Registro</strong></td>
									<td  align="center" bgcolor="#F8FFCC"><strong>Encargado Registro</strong></td>
										<td  align="center" bgcolor="#F8FFCC"><strong>Anticipo/Cobranza</strong></td>
								  </tr>
								<?php while (!$rs->EOF){
										$idc=intval($rs->fields['idusu']);
										$buscar="Select * from visor_pedidos_parametros where idusu=$idc";
										$rl=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
										
											$c1=0;$c2=0;$c3=0;$c4=0;$c5=0;$c6=0;$c7=0;$c8=0;$c9=0;$c10=0;$c11=0;$c12=0;$c13='';
											$c1=intval($rl->fields['col_1']);$c2=intval($rl->fields['col_2']);$c3=intval($rl->fields['col_3']);$c4=intval($rl->fields['col_4']);$c5=intval($rl->fields['col_5']);$c6=intval($rl->fields['col_6']);
											$c7=intval($rl->fields['col_7']);$c8=intval($rl->fields['col_8']);$c9=intval($rl->fields['col_9']);$c10=intval($rl->fields['col_10']);$c11=intval($rl->fields['col_11']);$c12=intval($rl->fields['col_12']);
											$c13=trim($rl->fields['anticipo']);
											for ($i=1;$i<=13;$i++){
											$checked='';	
											$nombre_campo="col_".$i;
											$compuesto='c'.$i;
											if (intval($$compuesto)==1){
												$checked=" checked='checked' ";
												//echo 'uno';
											} else {
											//	echo 'cero';
												$checked='';	
											}
											if ($i==13 && $c13=='S'){
												$checked=" checked='checked' ";
											}
											if ($i==13 && $c13=='N'){
												$checked='';
											}
											//echo "Valor: $col_11<br />";
											$lineaa=$lineaa."<td><input type='checkbox' onclick='habilitar($i,$idc)' $checked /></td>";
											if ($i==13 && $idc==2){
												//echo "$buscar ";exit;
											}		
												

											}
											//echo $lineaa;exit;
									?>
								  <tr>
									<td align="center"><?php echo $rs->fields['usuario']."<br />[".formatomoneda($rs->fields['idusu'])."]&nbsp;"; ?></td>
									<td align="center"><?php echo $rs->fields['nombres']; ?> <?php echo $rs->fields['apellidos']; ?></td>
									
									<?php echo $lineaa; ?>
										
								  </tr>
								<?php 
								$lineaa='';
								$rs->MoveNext(); } 
								?>
								</tbody>
						</table>	
						<div>
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            <div class="row">
              <div class="col-md-6 col-sm-6 col-xs-6">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Tipos de Eventos - Existentes</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
					<input type="hidden" name="edita" id="edita" value="" />
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content" id="teventoslista">
					<?php require_once("mini_t_eventos_lista.php"); ?>
                  </div>
                </div>
              </div>
			  <div class="col-md-6 col-sm-6 col-xs-6">
				<div class="x_panel">
                  <div class="x_title">
                    <h2>Tipos de eventos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
						<div id="errorevento" class="alert alert-danger alert-dismissible fade in" role="alert" style="display:none">
							<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
							</button>
							<strong>Errores:</strong><br /><span id="textoerror"></span>
						</div>
						<div class="col-md-6 col-sm-6  form-group has-feedback">
							<input type="text" class="form-control has-feedback-left" id="desc" name="desc" placeholder="Descripcion">
							<span class="fa fa-user form-control-feedback left" aria-hidden="true"></span>
						</div>
						<div class="col-md-6 col-sm-6  form-group has-feedback">
							<select name="pauto" id="pauto" style="height:40px;">
								<option value="" selected="selected">Produccion Automatica</option>
								<option value="S">SI</option>
								<option value="N">NO</option>
							</select>
						</div>
						<div class="col-md-6 col-sm-6  form-group has-feedback">
							<button onclick="guardar();" type="button" class="btn btn-success"><span class="fa fa-save"></span>Registrar</button>

						</div>

                  </div>
                </div>
			  
			  
			  </div>
            </div>
            
            
            
          </div>
        </div>
        <!-- /page content -->
		<script>
		function habilitar(columna,idclienteint){
	
			var parametros = {
				   "columna" : columna,
					"quien" :idclienteint
			};
			$.ajax({		  
				data:  parametros,
				url:   'cat_hab_perfil.php',
				type:  'post',
				cache: false,
				timeout: 3000,  // I chose 3 secs for kicks: 3000
				crossDomain: true,
				beforeSend: function () {	
									
				},
				success:  function (response) {
					//alert(response);
					$("#lhg").html(response);	
				}
			});
		}
		function guardar(){
			var errores='';
			var describe=$("#desc").val();
			var pauto=$("#pauto").val();
			var idedita=$("#edita").val();
			if (describe==''){
				errores=errores+'Debe indicar una descripcion valida.\n';
			}
			if (pauto==''){
				errores=errores+'Debe indicar si es produccion automatica.\n';
			}
			if (errores==''){
				$("#errorevento").hide();
				var parametros = {
				   "describe" : describe,
					"pauto" :pauto,
					"edita"	:idedita
				};
				$.ajax({		  
					data:  parametros,
					url:   'mini_t_eventos_lista.php',
					type:  'post',
					cache: false,
					timeout: 3000,  // I chose 3 secs for kicks: 3000
					crossDomain: true,
					beforeSend: function () {	
										
					},
					success:  function (response) {
						$("#teventoslista").html(response);	
					}
				});
			} else {
				$("#textoerror").html(errores);
				$("#errorevento").show();
				//alert(errores);
			}
		 }
		function eliminar(idunico){
			var errores='';
				
				var parametros = {
				   "chau" : idunico
				};
				$.ajax({		  
					data:  parametros,
					url:   'mini_t_eventos_lista.php',
					type:  'post',
					cache: false,
					timeout: 3000,  // I chose 3 secs for kicks: 3000
					crossDomain: true,
					beforeSend: function () {	
										
					},
					success:  function (response) {
						$("#teventoslista").html(response);	
					}
				});
		 }
		
		</script>
        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
       
        
