<?php 
/*----------------------------------
21/10/23: Se agrega una copia por hoja


---------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";
require_once  '../clases/mpdf/vendor/autoload.php';
require_once("includes/rsusuario.php"); 
require_once("includes/num2letra.php");
/*
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
*/
/*----------------------------------------

Con impresion de factura A4

------------------------------------------*/
// para php7
if (!function_exists('set_magic_quotes_runtime')) {
	function set_magic_quotes_runtime($value) {
	 return true;
	}
}
function wp_slash( $value ) {
    if ( is_array( $value ) ) {
        foreach ( $value as $k => $v ) {
            if ( is_array( $v ) ) {
                $value[ $k ] = wp_slash( $v );
            } else {
                $value[ $k ] = addslashes( $v );
            }
        }
    } else {
        $value = addslashes( $value );
    }

    return $value;
}


if(intval($_REQUEST['idventa']) > 0){
	$venta=intval($_REQUEST['idventa']);
}


$idventa=$venta;
$clase=0;
$consulta="
SELECT 
idventa, factura, facturas.idtimbradotipo, timbrado_tipo.timbrado_tipo
FROM `ventas`
inner join facturas on facturas.idtanda = ventas.idtandatimbrado
inner join timbrado_tipo on timbrado_tipo.idtimbradotipo = facturas.idtimbradotipo
WHERE
ventas.idventa = $venta
";
$rstimb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
if($rstimb->fields['idtimbradotipo'] == 1){
	echo "El timbrado de la venta que intentas ver es PREIMPRESO.";
	exit;
}

	$factura_nro=trim($rstimb->fields['factura']);
	// auto impresor
	$factura_auto=factura_autoimpresor($idventa);
	$factura_auto=utf8_encode($factura_auto);
	//echo $factura_auto;exit;

	// separa el texto del QR
	$texto_ar=explode('<QR>',$factura_auto);
	$texto1=$texto_ar[0].'';
	$texto_despues=$texto_ar[1];
	$texto_despues_ar=explode('</QR>',$texto_despues);
	$texto_qr=$texto_despues_ar[0];
	$texto2=$texto_despues_ar[1];



	$mpdf = new mPDF('','Legal', 0, 0, 0, 0, 0, 0);

	$factura_auto1 = preparePreText($texto1);
	$factura_auto_qr = '<div style="text-align: center;"><barcode code="'.$texto_qr.'" type="QR" class="barcode" size="1.6" error="H" disableborder="1" /></div>';
	$factura_auto2 = preparePreText($texto2);


	$html='
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	
	<style>
	pre {
	  display: block;
	  font-family: monospace;
	  white-space: pre;
	  margin: 1em 0;
	  font-size:10px;
	} 
	*{
		margin:0px;
		padding:0px;	
	}
	</style>
	</head>

	<body><br />
	<div style="width:250px; margin:0px auto; border:1px solid #000000; padding:5px;">
	<pre>'.$factura_auto1.$factura_auto_qr.$factura_auto2.'</pre>
	</div>
	</body>
	</html>
	';

$mpdf = new mPDF('','A4', 0, 0, 0, 0, 0, 0);
$mpdf->SetWatermarkText('');
$mpdf->showWatermarkText = false;
$mini=date('dmYHis');
$archivopdf='gfx/tmp/factura_nro_'.$factura_nro.'_'.$mini.'.pdf';
$mpdf->SetDisplayMode('fullpage');
$mpdf->shrink_tables_to_fit = 1;
$mpdf->WriteHTML($html);
$mpdf->showImageErrors = true; 
$mpdf->Output($archivopdf,'F'); // mostrar en el navegador


if(intval($_REQUEST['tipo']==1)){


	$tipotexto=intval($_REQUEST['tipotexto']);
	$texto=nl2br(trim($_REQUEST['cuerpo']));
	//echo $texto;exit;
	$mostrar_erro=intval($_REQUEST['me']);
	$ema=trim($_REQUEST['emappal']);

	//es para enviar x mail
	require_once('enviar_email_central.php');
	//$buscar="select email from "
	$emailn="$ema";

	$res=Enviomail($texto,$emailn,$archivopdf,$idusu,$idusu,0,$asunto,$mostrar_erro);
	if($res=='OK'){
		
		//realizado con exito.
	}
	unlink($archivopdf);			
	echo $res;exit;
	


}










?>