<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="40";
$submodulo="569";
require_once("../includes/rsusuario.php"); 




if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$idpedido=antisqlinyeccion($_POST['idpedido'],"text");
	$fecha_entrega=antisqlinyeccion($_POST['fecha_entrega'],"text");
	$hora_entrega=antisqlinyeccion($_POST['hora_entrega'],"text");
	$fechapedido=antisqlinyeccion($_POST['fechapedido'],"text");
	$pedido_por=antisqlinyeccion($_POST['pedido_por'],"int");
	$estado=1;
	$origen=antisqlinyeccion($_POST['origen'],"int");
	$destino=antisqlinyeccion($_POST['destino'],"int");
	$idempresa=antisqlinyeccion($_POST['idempresa'],"int");
	$obs=antisqlinyeccion($_POST['obs'],"text");
	$sucursal=antisqlinyeccion($_POST['sucursal'],"int");
	$cerrado_el=antisqlinyeccion($_POST['cerrado_el'],"text");
	$origenbk=antisqlinyeccion($_POST['origenbk'],"int");
	$confeccionado_por=antisqlinyeccion($_POST['confeccionado_por'],"text");
	
	$fechahora_entrega=antisqlinyeccion($_POST['fecha_entrega'].' '.$_POST['hora_entrega'],"text");
		//echo $_POST['hora_entrega'];exit;


	if(trim($_POST['fecha_entrega']) == ''){
		$valido="N";
		$errores.=" - El campo fecha entrega no puede estar vacio.<br />";	
	}
	if(trim($_POST['hora_entrega']) == ''){
		$valido="N";
		$errores.=" - El campo hora entrega no puede estar vacio.<br />";	
	}

	if(intval($_POST['origen']) == 0){
		$valido="N";
		$errores.=" - El campo origen no puede ser cero o nulo.<br />";	
	}
	if(intval($_POST['destino']) == 0){
		$valido="N";
		$errores.=" - El campo destino no puede ser cero o nulo.<br />";	
	}
	
	$fechahora_entrega_val=$_POST['fecha_entrega'].' '.$_POST['hora_entrega'];
	if(strtotime($fechahora_entrega_val) < strtotime($ahora)){
		$valido="N";
		$errores.=" - La fecha de entrega no puede estar en el pasado.<br />";	
	}
	

	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into compras_pedidos
		(fecha_entrega, fechapedido, pedido_por, estado, origen, destino, idempresa, obs, sucursal, cerrado_el, origenbk, confeccionado_por)
		values
		($fechahora_entrega, '$ahora', $idusu, 1, $origen, $destino, 1, $obs, $idsucursal, NULL, 1, $confeccionado_por)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		select max(idpedido) as idpedido from compras_pedidos where pedido_por = $idusu
		";
		$rsped=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idpedido=intval($rsped->fields['idpedido']);
		
		
		header("location: cat_pedidos_reposicion_det.php?id=".$idpedido);
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
      <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Agregar Pedido de Reposicion</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Origen *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT iddeposito, descripcion
FROM gest_depositos
where
estado = 1

and tiposala <> 3
order by descripcion asc
 ";
//echo $consulta;
// valor seleccionado
if(isset($_POST['origen'])){ 
	$value_selected=htmlentities($_POST['origen']); 
}else{
	//$value_selected=htmlentities($rs->fields['iddeposito']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'origen',
	'id_campo' => 'origen',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'iddeposito',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" readonly' ,
	'autosel_1registro' => 'S'

);

// construye campo //
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Reponer desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT iddeposito, descripcion
FROM gest_depositos
where
estado = 1
and tiposala <> 3

order by descripcion asc
 ";
//echo $consulta;exit;
// valor seleccionado
if(isset($_POST['destino'])){ 
	$value_selected=htmlentities($_POST['destino']); 
}else{
	//$value_selected=htmlentities($rs->fields['iddeposito']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'destino',
	'id_campo' => 'destino',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'iddeposito',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha entrega *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="fecha_entrega" id="fecha_entrega" value="<?php  if(isset($_POST['fecha_entrega'])){ echo htmlentities($_POST['fecha_entrega']); }else{ echo date("Y-m-d"); }?>" placeholder="Fecha entrega" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hora entrega *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="time" name="hora_entrega" id="hora_entrega" value="<?php  if(isset($_POST['hora_entrega'])){ echo htmlentities($_POST['hora_entrega']); }else{ echo '00:00'; }?>" placeholder="Hora entrega" class="form-control" required />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Confeccionado por </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="confeccionado_por" id="confeccionado_por" value="<?php  if(isset($_POST['confeccionado_por'])){ echo htmlentities($_POST['confeccionado_por']); }else{ echo htmlentities($rs->fields['confeccionado_por']); }?>" placeholder="Confeccionado por" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Comentarios </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="obs" id="obs" value="<?php  if(isset($_POST['obs'])){ echo htmlentities($_POST['obs']); }else{ echo htmlentities($rs->fields['obs']); }?>" placeholder="Obs" class="form-control"  />                    
	</div>
</div>



<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='cat_pedidos_reposicion.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
