<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 




//ciudades
$consulta="Select idciudad,nombre,obliga_barrio,muestra_web from ciudades where estado=1 and muestra_web='S' order by nombre ASC";
$rsciu=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


//barrios
$consulta="Select idbarrio,nombre,(select nombre from ciudades where idciudad=barrios.idciudad) as ciudad from barrios where estado=1 order by nombre ASC";
$rsbarr=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Registros encontrados</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
						<div class="col-md-6 col-xs-12">
							<h3><span class="fa fa-bank"></span>&nbsp;Ciudades &nbsp;[+]</h3>
							<div class="table table-responsive">
								<table class="table table-bordered">
									<thead>
										<th>Id</th>
										<th>Ciudad</th>
										<th>Muestra web</th>
									</thead>
									<tbody>
									<?php while(!$rsciu->EOF){ ?>
									<tr>
										<td><?php echo $rsciu->fields['idciudad']; ?></td>
										<td><?php echo $rsciu->fields['nombre']; ?></td>
										<td><?php echo $rsciu->fields['muestra_web']; ?></td>
									</tr>
									
									<?php $rsciu->MoveNext();} ?>
									</tbody>
								</table>
							
							</div>
						</div> 
						<div class="col-md-6 col-xs-12">
							<h3><span class="fa fa-list"></span>&nbsp;Barrios &nbsp;<a href="barrios_add.php" target="_blank">[+]</a></h3>	
							<div class="table table-responsive">
							<div class="table table-responsive">
								<table class="table table-bordered">
									<thead>
										<th>Id</th>
										<th>Ciudad</th>
										<th>Barrio</th>
										<th></th>
									</thead>
									<tbody>

									
									
									
									
									<?php while(!$rsbarr->EOF){ ?>
									<tr>
										<td><?php echo $rsbarr->fields['idbarrio']; ?></td>
										<td><?php echo $rsbarr->fields['ciudad']; ?></td>
										<td><?php echo $rsbarr->fields['nombre']; ?></td>
										<td><a href="barrios_del.php?id=<?php echo $rsbarr->fields['idbarrio']; ?>">[Eliminar]</a>
									</tr>
									
									<?php $rsbarr->MoveNext();} ?>
									</tbody>
								</table>
							
							</div>
							
							</div>
						</div> 





                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
