<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="254";
require_once("includes/rsusuario.php"); 


$mes=date("m");
$ano=date("Y");
if($_GET['ano'] > 0 && $_GET['mes'] > 0){
	$mes=intval($_GET['mes']);	
	$ano=intval($_GET['ano']);	
}
$ultdiames=ultimoDiaMes($mes,$ano);
$fecha_comprobante_ini=$ano.'-'.$mes."-01";
$fecha_comprobante_fin=$ano.'-'.$mes.'-'.$ultdiames;

$consulta="
select sum(totalcobrar) as total_vendido 
from ventas 
where 
YEAR(fecha) = $ano 
and MONTH(fecha) = $mes
and estado <> 6
";
$rsven=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$total_vendido=$rsven->fields['total_vendido'];

$consulta="
select * ,
(
SELECT sum(cn_conceptos_mov.monto_comprobante) as  monto_comprobante
FROM cn_conceptos_mov
inner join cn_conceptos on cn_conceptos.idconcepto = cn_conceptos_mov.idconcepto
where
cn_conceptos.idgrupo = cn_grupos.idgrupo
and cn_conceptos.idconcepto > 1
and cn_conceptos_mov.estado = 1
and cn_conceptos_mov.fecha_comprobante >= '$fecha_comprobante_ini'
and cn_conceptos_mov.fecha_comprobante <= '$fecha_comprobante_fin'
) as monto_grupo
from cn_grupos
where 
estado = 1
and idgrupo > 1
order by descripcion asc
";
$rsgrupos=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

/*
modificar retroactivo en base a tabla de gastos asignadas a conceptos

// gastos
UPDATE `cn_conceptos_mov`
SET 
idconcepto = (select gastos_lista.idconcepto from gastos_lista where gastos_lista.idgasto = cn_conceptos_mov.codrefer)
WHERE 
`idconceptomovtipo` = 2

// compras
UPDATE `cn_conceptos_mov`
SET 
idconcepto = (select insumos_lista.idconcepto from insumos_lista where insumos_lista.idinsumo = cn_conceptos_mov.codrefer)
WHERE 
`idconceptomovtipo` = 1

// salarios
UPDATE `cn_conceptos_mov`
SET 
-----idconcepto = xxxxxxx falta agregar
WHERE 
`idconceptomovtipo` = 3

*/




?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Documento sin título</title>
<style>

  @page {                
    size: A4;
    margin: 5mm;
  }

  html, body {
    width: 1024px;
  }

  body {
    margin: 0 auto;
    line-height: 1em;
    word-spacing:1px;
    letter-spacing:0.2px;
    font: 14px "Times New Roman", Times, serif;
    background:white;
    color:black;
    width: 100%;
    float: none;
  }

  /* avoid page-breaks inside a listingContainer*/
  .listingContainer{
    page-break-inside: avoid;
  }

  h1 {
    font: 28px "Times New Roman", Times, serif;
  }

  h2 {
    font: 24px "Times New Roman", Times, serif;
  }

  h3 {
    font: 20px "Times New Roman", Times, serif;
  }
  table {
	border:1px solid #000; 
	border-collapse:collapse; 
  }
  table thead th{
	background-color:#CCC !important;
	border:1px solid #000 !important; 
	font-weight:bold !important; 
  }
  table tbody td{
	background-color:#FFF !important; 
	border:1px solid #000 !important;  
	font-weight:normal !important;
  }

  /* Improve colour contrast of links */
  a:link, a:visited {
    color: #781351
  }

  /* URL */
  a:link, a:visited {
    background: transparent;
    color:#333;
    text-decoration:none;
  }

  a[href]:after {
    content: "" !important;
  }

  a[href^="http://"] {
    color:#000;
  }

  #header {
    height:75px;
    font-size: 24pt;
    color:black
  }
  
</style>
</head>

<body onload="print();">
<h1>Estado de Resultado | <?php echo mesespanol($mes); ?> <?php echo $ano; ?></h1>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  	<thead style="background-color:#CCC;">
            <tr>
                <td >Ventas</td>
                <td align="right" style="text-align:right;"><?php echo formatomoneda($total_vendido,2,'N'); ?></td>
                <td align="right" style="text-align:right;">100%</td>
            </tr>
		</thead>
        <tbody>
            <tr>
                <td>Ventas</td>
                <td align="right"><?php echo formatomoneda($total_vendido,2,'N'); ?></td>
                <td align="right">100%</td>
            </tr>
		</tbody>
<?php  

$resultado=$total_vendido;

while(!$rsgrupos->EOF){

$idgrupo=$rsgrupos->fields['idgrupo'];
$consulta="
SELECT cn_conceptos.idconcepto, cn_conceptos.descripcion, sum(cn_conceptos_mov.monto_comprobante) as  monto_comprobante
FROM cn_conceptos_mov
inner join cn_conceptos on cn_conceptos.idconcepto = cn_conceptos_mov.idconcepto
inner join cn_grupos on cn_grupos.idgrupo = cn_conceptos.idgrupo
where
cn_grupos.idgrupo = $idgrupo
and cn_conceptos.idconcepto > 1
and cn_conceptos_mov.estado = 1
and cn_conceptos_mov.fecha_comprobante >= '$fecha_comprobante_ini'
and cn_conceptos_mov.fecha_comprobante <= '$fecha_comprobante_fin'
group by cn_conceptos.descripcion, cn_conceptos.idconcepto
order by cn_conceptos.descripcion asc
";	
$rsconcep=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$monto_grupo=$rsgrupos->fields['monto_grupo']*-1; 


$resultado+=$monto_grupo;

?>
	  	<thead  style="background-color:#CCC;">
            <tr>
                <td><?php echo $rsgrupos->fields['descripcion']; ?></td>
                <td align="right" style="text-align:right;"> <?php echo formatomoneda($monto_grupo,4,'N') ?></td>
                <td align="right" style="text-align:right;"> <?php echo formatomoneda(($monto_grupo/$total_vendido)*100,2,'N') ?>%</td>
            </tr>
		</thead>
        <tbody>
<?php  while(!$rsconcep->EOF){
$monto_comprobante=$rsconcep->fields['monto_comprobante']*-1; 
	
	 ?>
            <tr>
                <td><a href="cn_err_qf_det.php?id=<?php echo $rsconcep->fields['idconcepto']; ?>&ano=<?php echo $ano; ?>&mes=<?php echo $mes; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a> <?php echo $rsconcep->fields['descripcion']; ?></td>
                <td  align="right"><?php echo formatomoneda($monto_comprobante,4,'N'); ?></td>
                <td align="right" style="text-align:right;"> <?php echo formatomoneda(($monto_comprobante/$total_vendido)*100,2,'N') ?>%</td>
            </tr>
<?php $rsconcep->MoveNext(); }?>
		</tbody>
<?php $rsgrupos->MoveNext(); }?>
	  	<thead  style="background-color:#CCC;">
            <tr>
                <td>Total</td>
                <td align="right" style="text-align:right;"><?php echo formatomoneda($resultado,4,'N'); ?></td>
                <td align="right" style="text-align:right;"> <?php echo formatomoneda(($resultado/$total_vendido)*100,2,'N') ?>%</td>
            </tr>
		</thead>
	</table>
</div>
<br />

</body>
</html>
