<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="2";
$submodulo="45";
require_once("includes/rsusuario.php"); 
$buscar="select * from preferencias";
$rsprefi=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$separar=trim($rsprefi->fields['separa_documentos']);


$update="update ventas 
set ventas.idtandatimbrado = (
select idtanda from facturas 
    where 
    CAST(SUBSTRING(ventas.factura,7,7) AS UNSIGNED) >= inicio
    and CAST(SUBSTRING(ventas.factura,7,7) AS UNSIGNED) <= fin
    and punto_expedicion = CAST(SUBSTRING(factura,4,3) AS UNSIGNED) 
    and sucursal = CAST(SUBSTRING(factura,1,3) AS UNSIGNED)
	order by idtanda desc
	limit 1
)
Where 
ventas.idtandatimbrado is null
and factura is not null;";
//$conexion->Execute($update) or die(errorpg($conexion,$update));


$update="update ventas set timbrado = (select facturas.timbrado from facturas where idtanda = ventas.idtandatimbrado limit 1) where timbrado is null";
$conexion->Execute($update) or die(errorpg($conexion,$update));

$bus=0;
if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
	
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
	$bus=1;
}
if(($_GET['idsucu']) > 0){
	$idsuc=intval($_GET['idsucu']);
	$whereadd.=" and ventas.sucursal = $idsuc";
	
}
if(($_GET['tipo_venta']) > 0){
	$tipo_venta=intval($_GET['tipo_venta']);
	$whereadd.=" and ventas.tipo_venta = $tipo_venta";
	
}
if(trim($_GET['estado']) != ''){
	$estado=trim($_GET['estado']);
	if($estado == 'V'){
		$whereadd.=" and ventas.estado <> 6 ";
	}else if($estado == 'A'){
		$whereadd.=" and ventas.estado = 6 ";
	}else{
		$whereadd.="  ";
	}
}
if(intval($_GET['tk']) <= 0){
	$tipo_venta=intval($_GET['tk']);
	$whereadd.=" 
	and ventas.factura is not null
	";
	
}

$consulta="
update ventas set fechasola = date(fecha) where fechasola is null;
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$consulta="
update ventas set factura=NULL where TRIM(factura) = '';
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$buscar="
Select idventa,fecha,factura,ventas.razon_social,ruchacienda,dv,
CASE WHEN 
	(select idventa from ventas_detalles_impuesto where idventa = ventas.idventa limit 1) > 0
THEN
 	(Select sum(monto_col) as subtotal from ventas_detalles_impuesto where idventa=ventas.idventa and iva_porc_col=10)
ELSE
	(Select sum(subtotal) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=10)


END as iva10, 
CASE WHEN 
	(select idventa from ventas_detalles_impuesto where idventa = ventas.idventa limit 1) > 0
THEN
 	(Select sum(monto_col) as subtotal from ventas_detalles_impuesto where idventa=ventas.idventa and iva_porc_col=5)
ELSE
	(Select sum(subtotal) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=5)


END as iva5, 
CASE WHEN 
	(select idventa from ventas_detalles_impuesto where idventa = ventas.idventa limit 1) > 0
THEN
 	(Select sum(monto_col) as subtotal from ventas_detalles_impuesto where idventa=ventas.idventa and iva_porc_col=0)
ELSE
	(Select sum(subtotal) as subtotal from ventas_detalles where idventa=ventas.idventa and iva=0)


END as iva0,


timbrado,
(select valido_hasta from facturas where idtanda=ventas.idtandatimbrado) as vto_timbrado,tipo_venta
from ventas
inner join cliente on cliente.idcliente=ventas.idcliente
where 
date(fechasola) between '$desde' and '$hasta' 
$whereadd
order by fechasola,factura asc
";
$rs=$rsprov=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tr=$rs->RecordCount();
	

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<link rel="stylesheet" type="text/css" href="css/magnific-popup.css" />
<?php require("includes/head.php"); ?>

<script>
function alertar(titulo,error,tipo,boton){
	swal({   title: titulo,   text: error,   type: tipo,   confirmButtonText: boton });
	}
</script>

<script src="js/sweetalert.min.js"></script>
<link rel="stylesheet" type="text/css" href="css/sweetalert.css">

</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	<div class="clear"></div>
		<div class="cuerpo">
            <div align="center">
                <?php require_once("includes/menuarriba.php");?>
            </div>
			<div class="clear"></div><!-- clear1 -->
				<div class="colcompleto" id="contenedor">
            		<div align="center">
                    <a href="cn_libros.php"><img src="img/homeblue.png" width="64" height="64" title="Regresar"/></a>
                    <br />
                    <div class="resumenmini"><strong>Generar libro de ventas</strong>. Indique la fecha inicial y fecha final a procesar</div>
                    <br />
                    <form id="bdlc" action="" method="get" >
                    <table width="600">
                    <tr>
                    		<td height="32" align="center" bgcolor="#E8E8E8"><strong>Fecha Inicio</strong></td>
                            <td align="center" bgcolor="#E8E8E8"><strong>Fecha Final</strong></td>
                            <td align="center" bgcolor="#E8E8E8"><strong>Sucursal</strong></td>
                            <td align="center" bgcolor="#E8E8E8"><strong>Condicion</strong></td>
                            <td align="center" bgcolor="#E8E8E8"><strong>Estado</strong></td>
							<td align="center" bgcolor="#E8E8E8"><strong>Comprobante</strong></td>
                      </tr>
                    	<tr>
                    		<td><input type="date" name="desde" id="desde" value="<?php echo $desde?>" /></td>
                            <td><input type="date" name="hasta" id="hasta" value="<?php echo $hasta?>"/></td>
                            <td><?php 
// consulta
$consulta="
SELECT idsucu, nombre
FROM sucursales
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_GET['idsucu'])){ 
	$value_selected=htmlentities($_GET['idsucu']); 
}else{
	$value_selected=htmlentities($rs->fields['idsucu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idsucu',
	'id_campo' => 'idsucu',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idsucu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODAS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array);


?></td>
                            <td>
<?php 
// valor seleccionado
if(isset($_GET['tipo_venta'])){ 
	$value_selected=htmlentities($_GET['tipo_venta']); 
}else{
	$value_selected='S';
}
// opciones
$opciones=array(
	'CONTADO' => 1,
	'CREDITO' => 2
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'tipo_venta',
	'id_campo' => 'tipo_venta',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODAS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'N',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?></td>
                            <td><?php 
// valor seleccionado
if(isset($_GET['estado'])){ 
	$value_selected=htmlentities($_GET['estado']); 
}else{
	$value_selected='1';
}
// opciones
$opciones=array(
	'VIGENTES' => 'V',
	'ANULADAS' => 'A',
	'TODAS' => 'T',
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'estado',
	'id_campo' => 'estado',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required ',
	'autosel_1registro' => 'N',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?></td>

<td>
<?php 
// valor seleccionado
if(isset($_GET['tk'])){ 
	$value_selected=htmlentities($_GET['tk']); 
}else{
	$value_selected='0';
}
// opciones
$opciones=array(
	'FACTURAS' => 0,
	'INLCUIR VENTAS DE PRUEBA (TK)' => 1
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'tk',
	'id_campo' => 'tk',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'N',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?></td>
                        </tr>
                        <tr>
                        	<td colspan="5" align="center"><input type="submit" value="Buscar Datos" />
                            </td>
                        
                        </tr>
                    </table>
                    </form>
                    
                    </div><br />
            		<div align="center">
                    <?php if (($bus==1) && ($tr>0)){?>
  					<table width="980" class="tablalinda2" border="1">
                    	<tr>
                       	  <td height="32" colspan="12" align="center" bgcolor="#E3E3E3"><strong><a href="cn_lventas_xls.php?clase=2&d=<?php echo $desde;?>&h=<?php echo $hasta;?>&idsucu=<?php echo intval($_GET['idsucu']); ?>&tipo_venta=<?php echo intval($_GET['tipo_venta']); ?>&estado=<?php echo htmlentities($_GET['estado']); ?>&tk=<?php echo intval($_GET['tk']); ?>" target="_blank"><img src="img/xls3.png" width="64" height="64" title="Exportar a XLS" /></a><br />
                        	Registro de ventas</strong>
							
							
							</td>
                        </tr>
                   	  <tr>
                        	<td width="68" height="37" align="center" bgcolor="#E3E3E3"><strong>Fecha</strong></td>
							 <td width="103" align="center" bgcolor="#E3E3E3"><strong>Factura</strong></td>
							<td width="103" align="center" bgcolor="#E3E3E3"><strong>Timbrado</strong></td>
							<td width="103" align="center" bgcolor="#E3E3E3"><strong>Timbrado Vto</strong></td>
					    <td width="68" align="center" bgcolor="#E3E3E3"><strong>RUC</strong></td>
                            <td width="71" align="center" bgcolor="#E3E3E3"><strong>Persona</strong></td>
                        <td width="54" align="center" bgcolor="#E3E3E3"><strong>Gravadas 10</strong></td>
                            <td width="60" align="center" bgcolor="#E3E3E3"><strong>Gravadas 5</strong></td>
                            <td width="54" align="center" bgcolor="#E3E3E3"><strong>Exenta</strong></td>
							<td width="54" align="center" bgcolor="#E3E3E3"><strong>Total</strong></td>
							<td width="54" align="center" bgcolor="#E3E3E3"><strong>Moneda</strong></td>
							<td width="54" align="center" bgcolor="#E3E3E3"><strong>Condicion</strong></td>
                        </tr>
                        <?php 
							while (!$rs->EOF){
							$idventa=intval($rs->fields['idventa']);
							/*$buscar="Select sum(subtotal) as subtotal from ventas_detalles where idventa=$idventa and iva=10";
							$rs1=$rsprov=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
							$buscar="Select sum(subtotal) as subtotal from  ventas_detalles where idventa=$idventa and iva=5 ";
							$rs2=$rsprov=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
							$buscar="Select sum(subtotal) as subtotal from  ventas_detalles where idventa=$idventa and iva=0 ";
							$rs3=$rsprov=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
							$totiva10=floatval($rs1->fields['subtotal']);
							$siva10=0;
							$siva5=0;
							$totiva5=floatval($rs2->fields['subtotal']);
							$ex=floatval($rs3->fields['subtotal']);
							if ($totiva10> 0){
								
								$porciva10=($totiva10/11);
								$siva10=$totiva10-$porciva10;
							}
							if ($totiva5> 0){
								$porciva5=($totiva5/21);
								$siva5=$totiva5-$porciva5;
							}
								$tg=$totiva10+$totiva5+$ex;*/
			$totiva10=floatval($rs->fields['iva10']);
			$siva10=0;
			$siva5=0;
			$porciva10=0;
			$porciva5=0;
			$totiva5=floatval($rs->fields['iva5']);
			$ex=floatval($rs->fields['iva0']);
			if ($totiva10> 0){
				$porciva10=($totiva10/11);
				$siva10=$totiva10-$porciva10;
			}
			if ($totiva5> 0){
				$porciva5=($totiva5/21);
				$siva5=$totiva5-$porciva5;
			} else {
				$porciva5=0;
				
			}
								
								$tipoventa=intval($rs->fields['tipo_venta']);
								if ($tipoventa==1){
									$tv='CONT';
								}
								if ($tipoventa==2){
									$tv='CRED';
								}
								$timb=$rs->fields['timbrado'];
								$vtotimb=$rs->fields['vto_timbrado'];//
								if ($vtotimb==''){
									
								} else {
									$vtotimb=date("d/m/Y",strtotime($rs->fields['vto_timbrado']));
								}
								if ($separar=='N'){ 
									$fa=trim($rs->fields['factura']);
								} else {
									
									$f1=substr($rs->fields['factura'],0,3);
									
									$f2=substr($rs->fields['factura'],3,3);
									$f3=substr($rs->fields['factura'],6,15);
									$fa=$f1.'-'.$f2.'-'.$f3;
									
								
									
									
								}
						?>
                    	<tr>
                        	<td><?php echo date("d-m-Y",strtotime($rs->fields['fecha']));?></td>
							 <td><?php echo $fa;?></td>
							 <td><?php echo $timb?></td>
							<td><?php echo $vtotimb ?></td>
							 <td><?php echo $rs->fields['ruchacienda']."-".$rs->fields['dv']?></td>
                            <td><?php echo $rs->fields['razon_social']?></td>
                           
                         
                          <td align="right"><?php echo formatomoneda($totiva10,2)?> </td>
                            
                             <td align="right"><?php echo formatomoneda($totiva5,2)?> </td>
                          
                            <td align="right"><?php echo formatomoneda($ex,2)?></td>
							<td align="right"><?php echo formatomoneda($tg,2)?></td>
							<td align="right"><?php echo 'GS'?></td>
						  <td align="right"><?php echo $tv; ?></td>
                        </tr>
                    	<?php 
								$tg=0;$rs->MoveNext();}?>
                    </table>
                    <br />
                    <br />
                    <div align="center"></div>
                    <?php } else {
					if ($bus==1){	
					?>
                    <span class="resaltarojo">No ubicamos registros en el rango deseado</span>
                    
                    <?php }} ?>
                    </div>
		  </div>

   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
	<?php require("includes/pie.php"); ?>
</body>
</html>