<?php
/*-------------------------------------
26/03/2025: Se sube a todos

------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="469";
require_once("includes/rsusuario.php"); 
//#242424 color de fondo dreamweaver


$buscar="Select * from preferencias_caja limit 1";
$rspref=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$usar_tarjeta_autorizacion=trim($rspref->fields['usar_tarjeta_autorizacion']);

								  


$idusuarioai=intval($_GET['id']);
if($idusuarioai == 0){
	header("location: codigos_borraped.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from codigos_borraped 
where 
idusuario = $idusuarioai
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$idusuarioai=intval($rs->fields['idusuario']);
if($idusuarioai == 0){
	header("location: codigos_borraped.php");
	exit;	
}




if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$codigo=antisqlinyeccion(md5(trim($_POST['codigo'])),"clave");
	$codigo_cbar=antisqlinyeccion(trim($_POST['codigo']),"clave");
	$estado=1;
	$registrado_por=antisqlinyeccion($_POST['registrado_por'],"int");
	$registrado_por2=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$supera_tiempo=antisqlinyeccion($_POST['super'],"text");
	


	if(trim($_POST['codigo']) == ''){
		$valido="N";
		$errores.=" - El campo codigo no puede estar vacio.<br />";	
	}
	if(trim($_POST['super']) == ''){
		//$valido="N";
		//$errores.=" - El campo codigo no puede estar vacio.<br />";	
	}
	
	if(trim($_POST['codigo']) != trim($_POST['codigo2'])){
		$valido="N";
		$errores.=" - Los codigos no coinciden.<br />";	
	}
	
	if(intval($_POST['registrado_por']) == 0){
		$valido="N";
		$errores.=" - El campo Usuario Administrador no puede estar vacio.<br />";	
	}
	
	// busca si hay otro usuario con el mismo codigo
	$consulta="
	select idusuario from codigos_borraped  where estado = 1 and codigo = $codigo and idusuario <> $idusuarioai limit 1
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(intval($rsex->fields['idusuario']) > 0){
		$valido="N";
		$errores.=" - El codigo que intentas utilizar ya fue utilizado por otro usuario, favor seleccione otro.<br />";	
	}
	
	// busca el usuario seleccionado ya atiene codigo
	$consulta="
	select idusuario from codigos_borraped  where estado = 1 and registrado_por = $registrado_por  and idusuario <> $idusuarioai limit 1
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(intval($rsex->fields['idusuario']) > 0){
		$valido="N";
		$errores.=" - El usuario administrador que seleccionaste ya tiene codigo asignado, editelo.<br />";	
	}
	


	// si todo es correcto actualiza
	if($valido == "S"){
		if($usar_tarjeta_autorizacion!='S'){
			$consulta="
			update codigos_borraped
			set
				codigo=$codigo,
				codigo_cbar=$codigo_cbar,
				super=$supera_tiempo,
				editado_el='$ahora',
				editado_por=$registrado_por2
			where
				idusuario = $idusuarioai
				and estado = 1
			";
		} else {
			
			$consulta="
			update codigos_borraped
			set
				codigo=$codigo,
				codigo_cbar=$codigo,
				super=$supera_tiempo,
				editado_el='$ahora',
				editado_por=$registrado_por2
			where
				idusuario = $idusuarioai
				and estado = 1
			";
			
		}
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: codigos_borraped.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Editar Codigo de Autorizacion para borrar Pedidos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


	<?php if(trim($usar_tarjeta_autorizacion) == "S"){ ?>
<div class="alert alert-info alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Atencion:</strong><br /><?php echo "La preferencia para uso de tarjeta de autorizacion se encuentra activa. Los campos de codigo seran utilizados para leer los datos de la tarjeta deseada."; ?>
</div>
<?php } ?>												 
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<span class="fa fa-warning"></span>&nbsp;<span style="color:red;"> Si establece supera tiempo en SI, el usuario podr&aacute; eliminar pedidos, pasado el tiempo de seguridad establecida en las preferencias de venta (tiempo seguro de borrado).</span><br />
<br />
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Usuario Administrador *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idusu, usuario
FROM usuarios
where
estado = 1
and soporte = 0
order by usuario asc
 ";

// valor seleccionado
if(isset($_POST['idusu'])){ 
	$value_selected=htmlentities($_POST['idusu']); 
}else{
	$value_selected=htmlentities($rs->fields['registrado_por']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'registrado_por',
	'id_campo' => 'registrado_por',
	
	'nombre_campo_bd' => 'usuario',
	'id_campo_bd' => 'idusu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);  
?>                
	</div>
</div>
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Supera tiempo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<?php 
	if(($_POST['super'])=='S'){
		$valor1='';
		$valor2="selected='selected'";
	
	} else {
		if(($_POST['super'])=='N'){
			$valor1="selected='selected'";
			$valor2="";
		} else {
			if ($rs->fields['super']=='S'){
				$valor1='';
				$valor2="selected='selected'";
			} else {
				$valor1="selected='selected'";
				$valor2="";
				
			}
			
		}
	}
		
	
	
	?>
	<select class="form-control" name="super" id="super">
		<option value="N"  <?php echo $valor1; ?>>NO</option>
		<option value="S" <?php echo $valor2; ?> >SI</option>
	 </select>             
	</div>
</div>	
<div class="clearfix"></div>
	
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">C&oacute;digo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="password" name="codigo" id="codigo" value="" placeholder="Codigo" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Repetir el C&oacute;digo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="password" name="codigo2" id="codigo2" value="" placeholder="Codigo" class="form-control" required="required" />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='codigos_borraped.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
