<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="462";
require_once("includes/rsusuario.php"); 


$idpedido=intval($_POST['idpedido']);
if($idpedido == 0){
	echo "No se envio el idpedido.";
	exit;
}

$consulta="
select * ,(select numero_mesa from mesas where idmesa = tmp_ventares_cab.idmesa) as mesa,
(select usuario from usuarios where idusu = tmp_ventares_cab.idusu) as usuario_carga,
(select canal from canal where idcanal=tmp_ventares_cab.idcanal) as canal
from tmp_ventares_cab
inner join usuarios on tmp_ventares_cab.anulado_por = usuarios.idusu
where
tmp_ventares_cab.estado = 6
and tmp_ventares_cab.monto > 0
and tmp_ventares_cab.idtmpventares_cab = $idpedido
limit 1
";
$rspedborra = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idpedido=intval($rspedborra->fields['idtmpventares_cab']);
if($idpedido == 0){
	echo "Pedido inexistente o no esta borrado.";
	exit;
}
/*
para que no incluyan los borrados por carrito y tampoco los borrados independientes antes que se borre la comanda
and tmp_ventares.borrado = 'N'
and tmp_ventares.borrado_mozo = 'N'
*/
$consulta="
select tmp_ventares.* , 
(select usuario from usuarios inner join caja_super on caja_super.cajero = usuarios.idusu where caja_super.idcaja = tmp_ventares.borrado_mozo_idcaja)  as cajero,
productos.descripcion,  productos.idprod_serial, (select numero_mesa from mesas where idmesa = tmp_ventares.idmesa) as mesa,
(select usuario from usuarios where idusu = tmp_ventares.usuario) as usuario_carga,
 (select canal from canal where idcanal=tmp_ventares_cab.idcanal) as canal,
 (select usuario from usuarios where idusu = tmp_ventares.borrado_mozo_por) as borrado_mozo_usu,
 motivos_rechazopedido.motivorecha,
  motivos_eliminar_productos_pedidos.descripcion as motivoborra
 
from tmp_ventares
left join usuarios on tmp_ventares.borrado_mozo_por = usuarios.idusu
inner join productos on productos.idprod=tmp_ventares.idproducto
inner join tmp_ventares_cab on tmp_ventares_cab.idtmpventares_cab = tmp_ventares.idtmpventares_cab
left join motivos_rechazopedido on motivos_rechazopedido.idmotivorecha = tmp_ventares.idmotivorecha
left join motivos_eliminar_productos_pedidos on motivos_eliminar_productos_pedidos.idmotivoborra = tmp_ventares.idmotivoborra
where
tmp_ventares.idtmpventares_cab = $idpedido
and tmp_ventares.borrado = 'N'
and tmp_ventares.borrado_mozo = 'N'

UNION

select tmp_ventares_bak.* , 
(select usuario from usuarios inner join caja_super on caja_super.cajero = usuarios.idusu where caja_super.idcaja = tmp_ventares_bak.borrado_mozo_idcaja)  as cajero,
productos.descripcion,  productos.idprod_serial, (select numero_mesa from mesas where idmesa = tmp_ventares_bak.idmesa) as mesa,
(select usuario from usuarios where idusu = tmp_ventares_bak.usuario) as usuario_carga,
 (select canal from canal where idcanal=tmp_ventares_cab.idcanal) as canal,
  (select usuario from usuarios where idusu = tmp_ventares_bak.borrado_mozo_por) as borrado_mozo_usu,
   motivos_rechazopedido.motivorecha,
  motivos_eliminar_productos_pedidos.descripcion as motivoborra
from tmp_ventares_bak
left join usuarios on tmp_ventares_bak.borrado_mozo_por = usuarios.idusu
inner join productos on productos.idprod=tmp_ventares_bak.idproducto
inner join tmp_ventares_cab on tmp_ventares_cab.idtmpventares_cab = tmp_ventares_bak.idtmpventares_cab
left join motivos_rechazopedido on motivos_rechazopedido.idmotivorecha = tmp_ventares_bak.idmotivorecha
left join motivos_eliminar_productos_pedidos on motivos_eliminar_productos_pedidos.idmotivoborra = tmp_ventares_bak.idmotivoborra
where
tmp_ventares_bak.idtmpventares_cab = $idpedido
and tmp_ventares_bak.borrado = 'N'
and tmp_ventares_bak.borrado_mozo = 'N'
";
$rspedborraprod = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?>
<strong>Productos activos en el momento de borrar el pedido:</strong>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
	  <?php if($total_borrados > 0){ ?>
	  <tr>
		<th colspan="14" >
		  <a style="color:white;" href="comandas_borradas_pdf.php?<?php echo $parametros_url; ?>" target="_blank"><span class="fa fa-file-pdf-o"></span>[DESCARGAR PDF]</a>
			<?php  ?>
		</th>
	  </tr>
	  
	  <?php } ?>
      <tr>

        <th >Producto</th>
        <th >Cantidad</th>
        <th >Subtotal</th>


        </tr>
    </thead>
    <tbody>
      <?php 
		$subtotal_acum=0;
		$cant_acum=0;
		while (!$rspedborraprod->EOF){	
		$subtotal_acum+=floatval(($rspedborraprod->fields['subtotal']));
		$cant_acum+=floatval(($rspedborraprod->fields['cantidad']));
		?>
      <tr>

        <td align="left"><?php echo capitalizar($rspedborraprod->fields['descripcion']); ?> [<?php echo capitalizar($rspedborraprod->fields['idprod_serial']); ?>]</td>
        <td align="center"><?php echo formatomoneda($rspedborraprod->fields['cantidad'],2,'N'); ?></td>
        <td align="right"><?php echo formatomoneda($rspedborraprod->fields['subtotal']); ?></td>

        </tr>
      <?php $rspedborraprod->MoveNext(); } ?>
      </tbody>
      <tfoot>
      
      
		<tr>
            <td >Totales</td>

            <td  align="right"><?php echo formatomoneda($cant_acum,2,'N'); ?></td>
            <td  align="right"><?php echo formatomoneda($subtotal_acum); ?></td>

         
		</tr>
        </tfoot>
    
  </table>
</div>
	<br />
<?php
$consulta="
select tmp_ventares.* , 
(select usuario from usuarios inner join caja_super on caja_super.cajero = usuarios.idusu where caja_super.idcaja = tmp_ventares.borrado_mozo_idcaja)  as cajero,
productos.descripcion,  productos.idprod_serial, (select numero_mesa from mesas where idmesa = tmp_ventares.idmesa) as mesa,
(select usuario from usuarios where idusu = tmp_ventares.usuario) as usuario_carga,
 (select canal from canal where idcanal=tmp_ventares_cab.idcanal) as canal,
 (select usuario from usuarios where idusu = tmp_ventares.borrado_mozo_por) as borrado_mozo_usu,
 motivos_rechazopedido.motivorecha,
  motivos_eliminar_productos_pedidos.descripcion as motivoborra
 
from tmp_ventares
inner join usuarios on tmp_ventares.borrado_mozo_por = usuarios.idusu
inner join productos on productos.idprod=tmp_ventares.idproducto
inner join tmp_ventares_cab on tmp_ventares_cab.idtmpventares_cab = tmp_ventares.idtmpventares_cab
left join motivos_rechazopedido on motivos_rechazopedido.idmotivorecha = tmp_ventares.idmotivorecha
left join motivos_eliminar_productos_pedidos on motivos_eliminar_productos_pedidos.idmotivoborra = tmp_ventares.idmotivoborra
where
tmp_ventares.borrado = 'S'
and tmp_ventares.borrado_mozo = 'S'
and tmp_ventares.idtmpventares_cab = $idpedido

UNION

select tmp_ventares_bak.* , 
(select usuario from usuarios inner join caja_super on caja_super.cajero = usuarios.idusu where caja_super.idcaja = tmp_ventares_bak.borrado_mozo_idcaja)  as cajero,
productos.descripcion,  productos.idprod_serial, (select numero_mesa from mesas where idmesa = tmp_ventares_bak.idmesa) as mesa,
(select usuario from usuarios where idusu = tmp_ventares_bak.usuario) as usuario_carga,
 (select canal from canal where idcanal=tmp_ventares_cab.idcanal) as canal,
  (select usuario from usuarios where idusu = tmp_ventares_bak.borrado_mozo_por) as borrado_mozo_usu,
   motivos_rechazopedido.motivorecha,
  motivos_eliminar_productos_pedidos.descripcion as motivoborra
from tmp_ventares_bak
inner join usuarios on tmp_ventares_bak.borrado_mozo_por = usuarios.idusu
inner join productos on productos.idprod=tmp_ventares_bak.idproducto
inner join tmp_ventares_cab on tmp_ventares_cab.idtmpventares_cab = tmp_ventares_bak.idtmpventares_cab
left join motivos_rechazopedido on motivos_rechazopedido.idmotivorecha = tmp_ventares_bak.idmotivorecha
left join motivos_eliminar_productos_pedidos on motivos_eliminar_productos_pedidos.idmotivoborra = tmp_ventares_bak.idmotivoborra
where
tmp_ventares_bak.borrado = 'S'
and tmp_ventares_bak.borrado_mozo = 'S'
and tmp_ventares_bak.idtmpventares_cab = $idpedido

order by fechahora asc
";
//echo $consulta;
$rspedborraprod = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>	
	<strong>Productos Borrados antes de borrar el pedido:</strong>
	<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
	  <?php if($total_borrados > 0){ ?>
	  <tr>
		<th colspan="14" >
		  <a style="color:white;" href="comandas_borradas_pdf.php?<?php echo $parametros_url; ?>" target="_blank"><span class="fa fa-file-pdf-o"></span>[DESCARGAR PDF]</a>
			<?php  ?>
		</th>
	  </tr>
	  
	  <?php } ?>
      <tr>

        <th >Producto</th>
        <th >Cantidad</th>
        <th >Subtotal</th>


        </tr>
    </thead>
    <tbody>
      <?php 
		$subtotal_acum=0;
		$cant_acum=0;
		while (!$rspedborraprod->EOF){	
		$subtotal_acum+=floatval(($rspedborraprod->fields['subtotal']));
		$cant_acum+=floatval(($rspedborraprod->fields['cantidad']));
		?>
      <tr>

        <td align="left"><?php echo capitalizar($rspedborraprod->fields['descripcion']); ?> [<?php echo capitalizar($rspedborraprod->fields['idprod_serial']); ?>]</td>
        <td align="center"><?php echo formatomoneda($rspedborraprod->fields['cantidad'],2,'N'); ?></td>
        <td align="right"><?php echo formatomoneda($rspedborraprod->fields['subtotal']); ?></td>

        </tr>
      <?php $rspedborraprod->MoveNext(); } ?>
      </tbody>
      <tfoot>
      
      
		<tr>
            <td >Totales</td>

            <td  align="right"><?php echo formatomoneda($cant_acum,2,'N'); ?></td>
            <td  align="right"><?php echo formatomoneda($subtotal_acum); ?></td>

         
		</tr>
        </tfoot>
    
  </table>
</div>
	<br />