<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="30";
require_once("includes/rsusuario.php"); 

$prodprinc=intval($_POST['prodprinc']);
$combinado=antisqlinyeccion("N","text");

$idlistaprecio=intval($_SESSION['idlistaprecio']);
$idcanalventa=intval($_SESSION['idcanalventa']);
$idclienteprevio=intval($_SESSION['idclienteprevio']);

if($idclienteprevio > 0){
	$consulta="
	select idcliente, idvendedor, idcanalventacli
	from cliente 
	where 
	idcliente = $idclienteprevio
	and estado <> 6 
	limit 1
	";
	$rscprev=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idclienteprevio=$rscprev->fields['idcliente'];
	if($idclienteprevio > 0){
		$idcliente=$idclienteprevio;
		$idvendedor=intval($rscprev->fields['idvendedor']);
		$idcanalventa=intval($rscprev->fields['idcanalventacli']);
	}	
}
if($idcanalventa > 0){
	$consulta="
	select idlistaprecio, idcanalventa, canal_venta 
	from canal_venta 
	where 
	idcanalventa = $idcanalventa 
	and estado = 1
	limit 1
	";
	$rscv=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idlistaprecio=intval($rscv->fields['idlistaprecio']);
}
$seladd_lp=" productos_sucursales.precio ";
if(intval($idlistaprecio) > 0){
	$joinadd_lp=" inner join productos_listaprecios on productos_listaprecios.idproducto = productos.idprod_serial ";
	$whereadd_lp="
	and productos_listaprecios.idsucursal = $idsucursal 
	and productos_listaprecios.idlistaprecio = $idlistaprecio 
	and productos_listaprecios.estado = 1
	";
	$seladd_lp=" productos_listaprecios.precio ";
}


function redondear_precio($precio,$ceros=1,$direccion='N'){
     // direccion  A: hacia arriba // B: hacia abajo N: Normal
    if($direccion == 'A'){
        $precio_redondeado=ceil($precio/10**$ceros)*(10**$ceros);
    }else if($direccion == 'B'){
        $precio_redondeado=floor($precio/10**$ceros)*(10**$ceros);
    }else{
        $precio_redondeado=round($precio/10**$ceros)*(10**$ceros);
    }
    return $precio_redondeado;
}

// busca producto principal para ver si pertenece a la empresa
$consulta="
select * 
from productos 
where 
idtipoproducto = 4
and idprod_serial = $prodprinc
and productos.borrado = 'N'
order by 
descripcion asc
limit 1
";
$rsprod2=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$cat_princ=$rsprod2->fields['idcategoria'];
$idtipoproducto=$rsprod2->fields['idtipoproducto'];
$idprod_serial=$rsprod2->fields['idprod_serial'];
$cantidadmax=$rsprod2->fields['combinado_maxitem'];
$cantidadmin=$rsprod2->fields['combinado_minitem'];
$combinado_tipoprecio=$rsprod2->fields['combinado_tipoprecio'];
$combinado_redondeo_ceros=$rsprod2->fields['combinado_redondeo_ceros'];
$combinado_redondeo_direccion=$rsprod2->fields['combinado_redondeo_direccion'];
if(intval($rsprod2->fields['idprod_serial']) == 0){
	echo "Producto principal inexistente!";
	exit;
}

// busca si inserto y devuelve la cantidad de ese producto para esa lista para esa empresa para ese usuario y sucursal
$consulta="
select count(*) as total
from tmp_combinado_listas
where
tmp_combinado_listas.idproducto_principal = $prodprinc
and tmp_combinado_listas.idsucursal = $idsucursal
and tmp_combinado_listas.idusuario = $idusu
and tmp_combinado_listas.idventatmp is null
";
$rsinsertado=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$totalbd_part=intval($rsinsertado->fields['total']);
$totagregado=intval($rsinsertado->fields['total']);

// si existe
if($idprod_serial > 0){
	$valido="S";
	

	
		
	// valida que no sea mayor al maximo
	if($totagregado > $cantidadmax){
		$valido="N";
		echo "NOVALIDO";
		exit;	
	}
	// valida que no sea menor al minimo
	if($totagregado < $cantidadmin){
		$valido="N";
		echo "NOVALIDO";
		exit;	
	}
	// valida que no sea menor a 2
	if($totagregado < 2){
		$valido="N";
		echo "NOVALIDO";
		exit;	
	}
		
		

	
	

	
	// si todo es valido
	if($valido=="S"){
		

		// precio promedio
		if($combinado_tipoprecio == 1){ 
			$consulta="			
			select *, 
			(sum(
				(
				select $seladd_lp as p1 
				from productos
				inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial 
				$joinadd_lp
				where 
				borrado = 'N' 
				and idprod_serial = tmp_combinado_listas.idproducto_partes 
				and idtipoproducto = 1
				and productos_sucursales.idsucursal = $idsucursal
				$whereadd_lp
				limit 1
				)
			)/$totalbd_part) as promedio
			from tmp_combinado_listas
			where
			tmp_combinado_listas.idproducto_principal = $prodprinc
			and tmp_combinado_listas.idsucursal = $idsucursal
			and tmp_combinado_listas.idusuario = $idusu
			and tmp_combinado_listas.idventatmp is null
			";
			$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$precio=round($rsprod->fields['promedio'],0); // redondeo decimal
			$precio=redondear_precio($precio,$combinado_redondeo_ceros,$combinado_redondeo_direccion); // redondeo del numero entero
		
		// precio mayor 	
		}else if($combinado_tipoprecio == 2){
			$consulta="
			select *, $seladd_lp as p1
			from productos 
			inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial
			$joinadd_lp
			where 
			borrado = 'N' 
			and productos_sucursales.idsucursal = $idsucursal
			$whereadd_lp
			and idtipoproducto = 1
			and idprod_serial in (
									select idproducto_partes
									from tmp_combinado_listas
									where
									tmp_combinado_listas.idproducto_principal = $prodprinc
									and tmp_combinado_listas.idsucursal = $idsucursal
									and tmp_combinado_listas.idusuario = $idusu
									and tmp_combinado_listas.idventatmp is null
								)
			order by productos_sucursales.precio desc
			limit 1
			";
			$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$precio=$rsprod->fields['p1'];
		
		// definido	
		}else if($combinado_tipoprecio == 3){	
			$consulta="
			select *, $seladd_lp as p1 
			from productos
			inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial
			$joinadd_lp
			where 
			borrado = 'N' 
			and productos_sucursales.idsucursal = $idsucursal
			$whereadd_lp
			and idtipoproducto = 4
			and idprod_serial = $prodprinc
			";
			$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$precio=$rsprod->fields['p1'];
		}else{
			echo "No se indico el tipo de precio a usar.";
			exit;	
		}
		
		// inserta en ventas temporal
		$consulta="
		INSERT INTO tmp_ventares
		(idproducto, idtipoproducto, cantidad, precio, subtotal, fechahora, usuario, registrado, idsucursal, idempresa, receta_cambiada, borrado, combinado, 
		idprod_mitad1, idprod_mitad2, combo) 
		VALUES 
		($prodprinc, $idtipoproducto, 1,$precio, $precio, '$ahora', $idusu, 'N', $idsucursal, $idempresa, 'N', 'N', 'N', NULL, NULL, 'N')
		;
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// busca el id temporal insertado
		$consulta="
		select idventatmp
		from tmp_ventares  
		where 
		usuario = $idusu 
		and idsucursal = $idsucursal
		and idtipoproducto = $idtipoproducto
		order by idventatmp desc
		limit 1
		";
		$rsmaxid=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$maxid=$rsmaxid->fields['idventatmp'];
		
		//actualiza en la tabla temporal de combinados listas por cada lista

			$consulta="
			update tmp_combinado_listas
			set 
			tmp_combinado_listas.idventatmp = $maxid
			where
			tmp_combinado_listas.idsucursal = $idsucursal
			and tmp_combinado_listas.idusuario = $idusu
			and tmp_combinado_listas.idproducto_principal = $prodprinc
			and tmp_combinado_listas.idventatmp is null
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		echo "OK";
		
	}
		
	
}
?>