<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="35";
$submodulo="499";
require_once("includes/rsusuario.php"); 

/*
select * 
from caja_super 
inner join combustibles_numeradores_cab on combustibles_numeradores_cab.idnumeradorcab - caja_super.idnumeradorcab
inner join ventas on ventas.idcaja = caja_super.idcaja
inner join ventas_detalles on ventas_detalles.idventa = ventas.idventa
inner join combustibles on combustibles.idproducto = ventas_detalles.idprod
WHERE
caja_super.idcaja = 56

*/



// busca numeradores abiertos
$consulta="
select * 
from combustibles_numeradores_cab
where
idsucursal = $idsucursal
and estado = 1
order by idnumeradorcab asc
limit 1
";
$rsnumcab=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idnumeradorcab=intval($rsnumcab->fields['idnumeradorcab']);
if($idnumeradorcab == 0){
	$estado_numerador="C"; //  CERRADO
}else{
	$estado_numerador="A"; //  ABIERTO
}



if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'abrir'){
//echo 'llega';exit;
	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	if($estado_numerador == 'A'){
		$errores.="- No se puede abrir por que ya existe una tanda de numeradores abierta.<br />";
		$valido="N";
	}
	
	// busca si hay alguna caja abierta
	$consulta="
	select * from caja_super where  sucursal = $idsucursal and estado_caja = 1 and tipocaja =  1 limit 1
	";
	$rscaj=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(intval($rscaj->fields['idcaja']) > 0){
		$errores.="- No se puede abrir por que existe una caja abierta, cierrela primero.<br />";
		$valido="N";
	}
	
	// recibe parametros
	//echo $valido;
	if($valido == "S"){
		
		// genera cabecera
		$consulta="
		INSERT INTO combustibles_numeradores_cab
		(fechahora, abierto_por, estado, idsucursal) 
		VALUES 
		('$ahora',$idusu,1,$idsucursal)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// obtiene el idnumeradorcab
		$consulta="
		select idnumeradorcab from combustibles_numeradores_cab where abierto_por = $idusu order by  idnumeradorcab desc limit 1
		";
		$rscab=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idnumeradorcab=$rscab->fields['idnumeradorcab'];
		
		$consulta="
		select (select expendedor_numero from combustibles_expendedor where combustibles_expendedor.idexpendedor=combustibles_picos.idexpendedor) as expnum,
		(select combustible from combustibles where idcombustible=combustibles_picos.idcombustible) as combu,
		pico_numero,numerador,idpico,idexpendedor,isla,idcara as cara
		from combustibles_picos
		where 
		 estado = 1 
		 and idsucursal = $idsucursal
		order by isla,cara,pico_numero asc
		";
		$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

		while(!$rs->EOF){
			$idpico=intval($rs->fields['idpico']);
			$idexpendedor=intval($rs->fields['idexpendedor']);
			$estado=1; $registrado_por=$idusu; $registrado_el=date("Y-m-d H:i:s");
			$numerador_inicio=floatval($rs->fields['numerador']);
			
			$consulta="
			insert into combustibles_numeradores
			(idpico, idexpendedor, numerador_inicio, estado, registrado_por, registrado_el, idnumeradorcab)
			values
			($idpico, $idexpendedor, $numerador_inicio,  $estado, $registrado_por, '$registrado_el', $idnumeradorcab)
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$rs->MoveNext();}
		
		header("location: combustibles_numeradores.php");
		exit;

	}

}

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'cerrar'){
	
	// validaciones basicas
	$valido="S";
	$errores="";
	
	//ya que se trata del cierre, buscamos el turno activo de  combustibles
	$buscar="Select * from combustibles_turnos where estado=1 ";
	$rsx=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idturnocombu=intval($rsx->fields['idturno']);
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	if($estado_numerador == 'C'){
		$errores.="- No se puede cerrar por que no existe ninguna tanda abierta.<br />";
		$valido="N";
	}
	
	// busca si hay alguna caja abierta
	$consulta="
	select * from caja_super where  sucursal = $idsucursal and estado_caja = 1 and tipocaja =  1 limit 1
	";
	$rscaj=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(intval($rscaj->fields['idcaja']) == 0){
		$errores.="- No se puede cerrar por que no existe una caja abierta.<br />";
		$valido="N";
	}
	
	$consulta="
	select * ,
	(select expendedor_numero from combustibles_expendedor where combustibles_expendedor.idexpendedor=combustibles_picos.idexpendedor) as expnum,
	(select combustible from combustibles where idcombustible=combustibles_picos.idcombustible) as combu,
	combustibles_picos.pico_numero,combustibles_picos.numerador,combustibles_numeradores.idpico,combustibles_numeradores.idexpendedor,combustibles_picos.isla,combustibles_picos.idcara as cara
	from combustibles_numeradores
	inner join combustibles_picos on combustibles_picos.idpico = combustibles_numeradores.idpico
	where
	idnumeradorcab=$idnumeradorcab
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	while(!$rs->EOF){
		$reg=intval($rs->fields['reg']);
		$numerador_final=floatval($_POST['valor_final_'.$reg]);
		$combu=antixss($rs->fields['combu']);
		$pico_numero=antixss($rs->fields['pico_numero']);
		$expnum=antixss($rs->fields['expnum']);
		if($numerador_final <= 0){
			$errores.="- El valor para el combustible '$combu' del pico: $pico_numero, Expendedor: $expnum, no puede ser cero o negativo.<br />";
			$valido="N";
		}
		
	$rs->MoveNext(); }
	$rs->MoveFirst();
	
	if($valido == 'S'){
	
	//print_r($_POST);
	//exit;

		$treg=$rs->RecordCount();
		$c=0;$e=0;
		while(!$rs->EOF){
			$c=$c+1;
			$idpico=intval($rs->fields['idpico']);
			$numerop=intval($rs->fields['idpico']);
			$isla=intval($rs->fields['isla']);
			$cara=intval($rs->fields['cara']);
			$idexpendedor=intval($rs->fields['idexpendedor']);
			$estado=3; 
			$reg=intval($rs->fields['reg']);
			
			$numerador_final=floatval($_POST['valor_final_'.$reg]);
			//echo $idturnocombu.$numerador_final;exit;
			if ($numerador_final > 0){
				
					// se cierran los numeradores 
					$consulta="
					update combustibles_numeradores 
					set 
					estado=3,
					numerador_final=$numerador_final 
					where 
					reg = $reg 
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					//ahora el valor final de la otra tabla
					
					// al pedo pero dejamos por las dudas
					$consulta="
					update combustibles_turnos_numerador set estado=3, numerador_cierre=$numerador_final where idpico=$idpico and estado=1 and idturno=$idturnocombu";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					
					// actualizamos los picos con el ultimo valor
					$consulta="
					update combustibles_picos 
					set 
					numerador=$numerador_final 
					where 
					idpico=$idpico 
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					$e=$e+1;
					
			} else {
				$error.="No se ingresaron los datos para el pico: $numerop de la isla $isla cara numero : $cara <br />";
				
			}
		$rs->MoveNext();
		}
		if ($treg==$e){
			//todos los numeradores se cargaron, cerramos el turno
			$update="update combustibles_turnos set estado=3 where idturno=$idturnocombu";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
			
			// busca el turno abierto
			$consulta="
			select idturnotanda, idturno, idsucursal 
			from turnos_tandas
			where
			idsucursal = $idsucursal
			and estado=1
			";
			$rsturtand_ex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idturno_tanda=intval($rsturtand_ex->fields['idturnotanda']);
			
			
			// cietta el turno
			$consulta="
			update turnos_tandas
			set
			estado = 3
			where
			idturnotanda = $idturno_tanda
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			
			// cierra la tanda de numeradores
			$consulta="
			update combustibles_numeradores_cab
			set 
			estado = 3
			where
			idnumeradorcab=$idnumeradorcab
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			header("location: combustibles_numeradores.php");
			exit;
			
		}
		
		
	} // if($valido == 'S'){

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());





?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function calcula_dif(valor,id){
	var valor_inicial = $("#valor_inicial_"+id).val();
	var valor_final = $("#valor_final_"+id).val();
	//alert(valor_inicial;
	var diferencia = parseFloat(valor_final)-parseFloat(valor_inicial);
	$("#dif_"+id).val(diferencia);
}	  
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
       <?php
						
//para saber si estan abiertos o no				
$consulta="
select * 
from combustibles_numeradores_cab
where
estado = 1
and idsucursal= $idsucursal
";
$rs1=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idnumeradorcab=intval($rs1->fields['idnumeradorcab']);
//$totalreg=$rs1->RecordCount();

//listado de picos
/**/
if($idnumeradorcab>0){ 		  
			  
	$consulta="
	select * ,
	(select expendedor_numero from combustibles_expendedor where combustibles_expendedor.idexpendedor=combustibles_picos.idexpendedor) as expnum,
	(select combustible from combustibles where idcombustible=combustibles_picos.idcombustible) as combu,
	combustibles_picos.pico_numero,combustibles_picos.numerador,combustibles_numeradores.idpico,combustibles_numeradores.idexpendedor,combustibles_picos.isla,combustibles_picos.idcara as cara,combustibles_numeradores.numerador_final,combustibles_numeradores.numerador_inicio as numerador
	from combustibles_numeradores
	inner join combustibles_picos on combustibles_picos.idpico = combustibles_numeradores.idpico
	where
	idnumeradorcab=$idnumeradorcab
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
}else{
	
	$consulta="
	select (select expendedor_numero from combustibles_expendedor where combustibles_expendedor.idexpendedor=combustibles_picos.idexpendedor) as expnum,
	(select combustible from combustibles where idcombustible=combustibles_picos.idcombustible) as combu,
	pico_numero,numerador,idpico,idexpendedor,isla,idcara as cara
	from combustibles_picos
	where 
	 estado = 1 
	 and idsucursal = $idsucursal
	order by isla,cara,pico_numero asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
}
			
			
			
			?>
            
               <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Registro de Numeradores (iniciales/finales) | N&ordm; <?php echo $idnumeradorcab; ?></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
					  
					  
					<form action="" id="ggh1" method="post">
					<div class="table-responsive">
					
					
					
						<table width="100%" class="table table-bordered jambo_table bulk_action">
						  <thead>
							<tr>
								
								
								<th align="center">Expendedor</th>
								<th align="center">Isla</th>
								<th align="center">Cara</th>
								<th align="center">Pico Num</th>
								<th align="center">Combustible</th>
								<th align="center">Numerador inicial</th>
								<?php if($idnumeradorcab>0){ ?>
								<th align="center">Numerador Final</th>
								<th align="center">Diferencia</th>
								<?php }  ?>
								<th align="center">Estado actual</th>
								
								
							</tr>
						  </thead>
						  <tbody>
					<?php 
					$i=0;
					while(!$rs->EOF){
						$i=$i+1;
						$reg=intval($rs->fields['reg']);


						?>
							<tr>
								
								<td align="center"><?php echo antixss($rs->fields['expnum']); ?></td>
								<td align="center"><?php echo intval($rs->fields['isla']); ?></td>
								<td align="center"><?php echo intval($rs->fields['cara']); ?></td>
								<td align="center"><?php echo intval($rs->fields['pico_numero']); ?></td>
								<td align="center"><?php echo antixss($rs->fields['combu']); ?></td>
								<td align="center"><?php echo formatomoneda(floatval($rs->fields['numerador']),4,'N'); ?>
								<input type="hidden" name="valor_inicial_<?php echo $reg; ?>" id="valor_inicial_<?php echo $reg; ?>" value="<?php echo floatval($rs->fields['numerador']); ?>" />
								</td>
								<?php if($idnumeradorcab>0){ ?>
								<td align="center">
				
									
									<input type="text" name="valor_final_<?php echo $reg; ?>" id="valor_final_<?php echo $reg; ?>" value="<?php if(isset($_POST['valor_final_'.$reg])){ echo floatval($_POST['valor_final_'.$reg]); }else{ echo floatval($rs->fields['numerador_final']); }  ?>" onKeyUp="calcula_dif(this.value,'<?php echo $reg; ?>');" onChange="calcula_dif(this.value,'<?php echo $reg; ?>');" /></td>
								<td align="center"><input type="text" name="dif_<?php echo $reg; ?>" id="dif_<?php echo $reg; ?>" value="" disabled readonly /></td>
								<?php }  ?>
								<td align="center"><?php if($idnumeradorcab==0){  echo  "CERRADO"; } else {  echo  "Abierto"; } ?></td>
								
								
							</tr>
					<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
						<tr>
							<td colspan="8" align="center">
							<?php if($idnumeradorcab==0){ ?>
								<input type="hidden" name="MM_insert" value="abrir" />
							<input type="hidden" name="abrir" id="abrir" value="<?php rand(1,4); ?>" />
							<input type="submit" class="btn btn-primary" value="Iniciar Picos"/>
							<?php } else { ?>
								<input type="hidden" name="MM_insert" value="cerrar" />
							<input type="hidden" name="cerrar" id="cerrar" value="<?php rand(1,4); ?>" />
							<input type="submit" class="btn btn-danger" value="Cerrar Picos"/><span class="fa-solid fa-gas-pump"></span>
							<?php }  ?>
							</td>
						
						</tr>
						  </tbody>
						</table>
					</div>
						  
  						  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
					</form>
					<br />



                  </div>
                </div>
              </div>
            </div>
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
