<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="542";
require_once("includes/rsusuario.php"); 



function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

$idmesa=intval($_GET['idmesa']);
if($idmesa > 0){
	$whereadd.=" and mesas_atc.idmesa = $idmesa ";
}

// rellena fecha de cierre
$consulta="
update mesas_atc
set 
fecha_cierre = (select fecha from ventas where idatc = mesas_atc.idatc)
where 
fecha_cierre is null 
and estado = 3
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
select 
idatc, fecha_inicio as apertura_mesa, sucursales.nombre as sucursal, mesas.numero_mesa, salon.nombre as salon,
CASE WHEN
	mesas_atc.estado = 1
THEN 
	'ABIERTO'
ELSE
	'CERRADO'
END as estado_atc,
COALESCE(cant_adultos,0) as cant_adultos,
COALESCE(cant_ninos,0) as cant_ninos,
COALESCE(cant_nopaga,0) as cant_nopaga,
COALESCE(cant_adultos,0)+COALESCE(cant_ninos,0)+COALESCE(cant_nopaga,0) as cant_total,
fecha_cierre,
TIME_TO_SEC(TIMEDIFF(fecha_cierre,fecha_inicio)) as seg_dif,
REPLACE(COALESCE((select totalcobrar from ventas where idatc = mesas_atc.idatc),0),'.',',') as monto_venta,
REPLACE(COALESCE((select totalcobrar from ventas where idatc = mesas_atc.idatc),0)/COALESCE(cant_adultos,0),'.',',') as tk_prom_adultos,
REPLACE(COALESCE((select totalcobrar from ventas where idatc = mesas_atc.idatc),0)/COALESCE(cant_ninos,0),'.',',') as tk_prom_ninos,
REPLACE(COALESCE((select totalcobrar from ventas where idatc = mesas_atc.idatc),0)/COALESCE(cant_nopaga,0),'.',',') as tk_prom_nopaga,
REPLACE(COALESCE(cant_adultos,0)+COALESCE(cant_ninos,0)+COALESCE(cant_nopaga,0),'.',',') as cantidad_total,
REPLACE(COALESCE((select totalcobrar from ventas where idatc = mesas_atc.idatc),0)/(COALESCE(cant_adultos,0)+COALESCE(cant_ninos,0)+COALESCE(cant_nopaga,0)),'.',',') as tk_prom_total

from mesas_atc 
inner join sucursales on sucursales.idsucu = mesas_atc.idsucursal
inner join mesas on mesas.idmesa = mesas_atc.idmesa
inner join salon on salon.idsalon = mesas.idsalon
where
mesas_atc.estado <> 6
and mesas_atc.estado = 3
and date(mesas_atc.fecha_inicio) >= '$desde' 
and date(mesas_atc.fecha_inicio) <= '$hasta' 
and mesas_atc.fecha_inicio >= '$desde_completo' 
and mesas_atc.fecha_inicio <= '$hasta_completo' 
$whereadd
order by idatc asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


 $impreso=date("d/m/Y H:i:s");



$datos="";


// asigna los datos de la consulta a una variable
$array=$rs->fields;

// CONSTRUYE CABECERA
foreach($array as $key=>$value){
	$i++;
	$datos.=limpiacsv($key).';';
}
reset($array);
$datos.=$saltolinea;





$impreso=date("YmdHis");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=comensales_mesa_'.$impreso.'.csv');
	
	
// imprime cabecera
echo $datos;


//CONSTRUYE CUERPO
$fila=1;
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		echo limpiacsv($value).';';
	}
	echo $saltolinea;
$rs->MoveNext(); }


exit; 

?>
