<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="288";
require_once("includes/rsusuario.php"); 

$idinsumo=intval($_GET['id']);
$idtandacompara=intval($_GET['idt']);
	

$consulta="
select * 
from competencia_precios_tanda  
where 
estado = 1 
and idtandacompara = $idtandacompara 
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idtandacompara=intval($rs->fields['idtandacompara']);
if($idtandacompara == 0){
	header("location: competencia_precios.php");
	exit;	
}


// consulta a la tabla	
$consulta="
select *, (select descripcion from insumos_lista where idinsumo = $idinsumo) as articulo
from competencia_precios 
where 
estado = 1
and idinsumo = $idinsumo
and idtandacompara = $idtandacompara
limit 1
";
//echo $consulta;exit;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idpreciocompetencia=intval($rs->fields['idpreciocompetencia']);

if($idpreciocompetencia == 0){
	//header("location: competencia_precios.php");
	exit;	
}



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	//$idpreciocompetencia=antisqlinyeccion($_POST['idpreciocompetencia'],"text");
	//$idtandacompara=antisqlinyeccion($_POST['idtandacompara'],"int");


	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	



	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update competencia_precios
		set
			estado = 6,
			borrado_por = $idusu,
			borrado_el = '$ahora'
		where
			estado = 1
			and idinsumo = $idinsumo
			and idtandacompara = $idtandacompara
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: competencia_precios_tanda_det.php?id=".$idtandacompara);
		exit;
		
	}

}


// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Borrar Precio de la competencia</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Articulo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="" name="articulo" id="articulo" value="<?php  if(isset($_POST['articulo'])){ echo htmlentities($_POST['articulo']); }else{ echo htmlentities($rs->fields['articulo']); }?>" placeholder="articulo" class="form-control" required readonly disabled="disabled" />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Tanda # *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="" name="idtandacompara" id="idtandacompara" value="<?php  if(isset($_POST['idtandacompara'])){ echo htmlentities($_POST['idtandacompara']); }else{ echo htmlentities($rs->fields['idtandacompara']); }?>" placeholder="Idtandacompara" class="form-control" required readonly disabled="disabled" />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='competencia_precios_tanda_det.php?id=<?php echo $idtandacompara ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>


  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 

            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
