<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="105";
require_once("includes/rsusuario.php");

$idtipotransaccion=1; // compras

// busca el activo para comprar fechas
$consulta="
select *
from compras_habilita
where
estado = 1
and idtipotransaccion = $idtipotransaccion
order by idcomprahab desc
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$fechadesdebd=$rs->fields['fechadesde'];
$fechahastabd=$rs->fields['fechahasta'];

 

if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){
	

	

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	// recibe parametros
	$fechadesde=antisqlinyeccion($_POST['fechadesde'],"text");
	$fechahasta=antisqlinyeccion($_POST['fechahasta'],"text");
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$estado=1;
	$fechadesde=date("Y-m-d",strtotime($_POST['fechadesde']));
	$fechahasta=date("Y-m-d",strtotime($_POST['fechahasta']));
	
	
	if(trim($_POST['fechadesde']) == ''){
		$valido="N";
		$errores.=" - El campo fechadesde no puede estar vacio.<br />";	
	}
	if(trim($_POST['fechahasta']) == ''){
		$valido="N";
		$errores.=" - El campo fechahasta no puede estar vacio.<br />";	
	}
	if(($_POST['fechadesde'] == $fechadesdebd) && ($_POST['fechahasta'] == $fechahastabd)){
		$valido="N";
		$errores.=" - Los parametros enviados son los mismos que la habilitacion anterior.<br />";	
	}
	if($idtipotransaccion == 0){
		$valido="N";
		$errores.=" - No se indico el tipo de transaccion.<br />";	
	}
	
	
	if($valido == "S"){

		// marca todos como inactivo	
		$consulta="
		update compras_habilita set 
		estado = 6
		where
		estado = 1	
		and idtipotransaccion = $idtipotransaccion
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// inserta nuevo periodo
		$consulta="
		INSERT INTO compras_habilita 
		(idempresa, idtipotransaccion, fechadesde, fechahasta, registrado_por, registrado_el, estado)
		VALUES 
		('$idempresa', $idtipotransaccion, '$fechadesde', '$fechahasta', $idusu, '$ahora', 1);
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: compras_admin.php?ok=s");
		exit;
		
	}

}

$consulta="
select *
from compras_habilita
where
idempresa = $idempresa
and estado = 1
order by idcomprahab desc
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
select *, (select usuario from usuarios where idusu = compras_habilita.registrado_por and idempresa = $idempresa limit 1) as usuario,
(select tipo from tipotransaccion where idtipotransaccion = compras_habilita.idtipotransaccion) as tipo
from compras_habilita
where
idtipotransaccion = $idtipotransaccion
order by idcomprahab desc
limit 50
";
$rshis=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Habilitar Rangos para Carga de Compras</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

En esta seccion se habilita los permisos para cargar facturas de compra entre las fechas seleccionadas, el sistema bloqueara la carga de facturas cuyas fechas que esten fuera del rango (desde/hasta), para evitar errores humanos.

<hr />  

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="fechadesde" id="fechadesde" value="<?php  if(isset($_POST['fechadesde'])){ echo htmlentities($_POST['fechadesde']); }else{ echo htmlentities($rs->fields['fechadesde']); }?>" placeholder="Fecha desde" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="fechahasta" id="fechahasta" value="<?php  if(isset($_POST['fechahasta'])){ echo htmlentities($_POST['fechahasta']); }else{ echo htmlentities($rs->fields['fechahasta']); }?>" placeholder="Fecha hasta" class="form-control" required="required" />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>

        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />





   <hr />         
            
<p align="center">
<strong>Historico de Habilitaciones: </strong><br />
(Ultimas 50)
</p>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
  <thead>
    <tr>
      <td align="center"><strong>Desde</strong></th>
      <td align="center"><strong>Hasta</strong></th>

      <th><strong>Registrado por</strong></th>
      <th><strong>Registrado el</strong></th>
      <th><strong>Estado</strong></th>
      </tr>
      </thead>
      <tbody>
<?php while (!$rshis->EOF){?>
    <tr <?php if($rshis->fields['estado']==1){ ?>bgcolor="#68DD67"<?php } ?>>
      <td align="center"><?php echo date("d/m/Y",strtotime($rshis->fields['fechadesde'])); ?></td>
      <td align="center"><?php echo date("d/m/Y",strtotime($rshis->fields['fechahasta'])); ?></td>

      <td align="center"><?php echo $rshis->fields['usuario']; ?></td>
      <td align="center"><?php echo date("d/m/Y H:i:s",strtotime($rshis->fields['registrado_el'])); ?></td>
      <td align="center"><?php if($rshis->fields['estado']==1){ echo "<strong>Activo</strong>"; }else{ echo "Inactivo"; }?></td>
      </tr>
<?php $rshis->MoveNext(); }?>
  </tbody>
</table>
</div>



<br /><br /><br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
