<?php
/*------------------------------
16/05/2024
Revision de cuenta Interna
22/05/2024: Se sube a todos los clientes
-------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 
//Array ( [idformapago] => 1 [idcuentainterna] => 2 
//[monto_seleccionado] => 1500000 [otros_valores] => 112355466 [idtransaccion] => 60 )
//print_r($_POST);

$chau=intval($_POST['chau']);
if ($chau > 0){
	$update="update compras_pagos_formas set estado=6,anulado_el='$ahora',anulado_por=$idusu where idunicoserial=$chau";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
}
$idtransaccion=intval($idtransaccion);
if ($idtransaccion==0){
	$idtransaccion=intval($_POST['idtransaccion']);
}
if ($idtransaccion==0){
	echo "Error al obtener transaccion de compras. No se continua";exit;
	
}
$idformapago=intval($_POST['idformapago']);
$idcuentainterna=intval($_POST['idcuentainterna']);
$monto_seleccionado=floatval($_POST['monto_seleccionado']);
$otros_valores=antisqlinyeccion($_POST['otros_valores'],'text');
$bv=str_replace("'","",$otros_valores);
$bv=str_replace("NULL","",$otros_valores);
$otros_valores="$bv$opcional";
$otros_valores=str_replace("'","",$otros_valores);
$idbanco_plaza=intval($_POST['idbanco_plaza']);
$numero_identificador=intval($_POST['numero_identificador']);
$vtochq=antisqlinyeccion($_POST['vtochq'],'date');
$orden_de=antisqlinyeccion($_POST['oden_de'],'text');
$boleta_numero=antisqlinyeccion($_POST['boleta_numero'],'text');

$registrar=intval($_POST['registrar']);

$opcional="";
if($idformapago!=1){
	//verificamos y comparamos que no sea transferencia, asi le asignamos a cheque
	$buscar="Select * from formas_pago where estado <> 6 and idforma=$idformapago";
	$rsfpl=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$transferencia=trim($rsfpl->fields['transferencia']);
	if($transferencia=='S'){
		$opcional="* IdTrans=$numero_identificador";
		$idtransferencia=intval($numero_identificador);
		$numero_identificador=0;
		
	} else {
		$idtransferencia=0;
	}
	
} else {
	$idtransferencia=0;
}



if ($idtransaccion > 0){
	
	if (($monto_seleccionado > 0) && ($registrar==1)){


		$insertar="Insert into 	compras_pagos_formas	
		(idtransaccion,idcuenta_interna,monto_abonado,idforma_pago,otros_valores,observaciones,estado,registrado_por,registrado_el,cheque_numero,fecha_vencimiento,
		idbanco_operacion,idtransaccion_transferencia,orden_de,numero_boleta_deposito)
		values
		($idtransaccion,$idcuentainterna,$monto_seleccionado,$idformapago,'$otros_valores',NULL,1,$idusu,'$ahora',$numero_identificador,$vtochq,$idbanco_plaza,
		$idtransferencia,$orden_de,$boleta_numero)";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
		echo 'OK';exit;
	}
	$buscar="Select monto_abonado,fecha_vencimiento,cheque_numero,(select CONCAT(denominacion,' CTA:',cuentanum) from cuentas where idcuenta=compras_pagos_formas.idcuenta_interna) as numerocuenta,
					idunicoserial,
					(select descripcion from formas_pago where idforma=compras_pagos_formas.idforma_pago)
					
					as formapagodes,
					(select nombre from bancos where idbanco=compras_pagos_formas.idbanco_operacion) as bancoplaza,
					otros_valores,idtransaccion_transferencia,orden_de,numero_boleta_deposito
			from 
				compras_pagos_formas
				where estado=1 
				and idtransaccion=$idtransaccion
				order by idunicoserial 
				desc
	";
	$rsf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tfreg=$rsf->RecordCount();
	
	
	$buscar="Select * from cuentas  order by denominacion asc";
	//$rslista1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	
	
	
	if ($tfreg > 0){
?>
[ Registros agregados recientemente ]
	<table class="tablaconborde2" width="650px;">
		<tr>
			<td>Monto</td>
			<td>Forma Pago</td>
			<td>Datos anexos</td>
			<td>Otros</td>
			<td>Movimiento en cta</td>
			<td></td>
		</tr>
		<?php while(!$rsf->EOF){
			//Armamos x forma de Pago
			$orden_de=antixss($rsf->fields['orden_de']);
			$cheque=antixss($rsf->fields['cheque_numero']);
			$transaccion=antixss($rsf->fields['idtransaccion_transferencia']);
			$Vto=antixss($rsf->fields['fecha_vencimiento']);
			if($Vto!=''){
				$Vto=date("d/m/Y",strtotime($Vto));
			}
			?>
		<tr>
			<td><?php echo formatomoneda($rsf->fields['monto_abonado']); ?></td>
			<td><?php echo $rsf->fields['formapagodes']; ?></td>
			<td>
			<?php if ($orden_de!=''){ echo $orden_de; echo "<br />"; } ?>
			<?php if($rsf->fields['cheque_numero']>0){ ?>
			<?php echo "NUMERO: ".$rsf->fields['$numero_identificador']."<br />";
			}
			if($cheque!='' && $cheque >0){
				echo "Cheque Numero: $cheque "." $Vto ".$rsf->fields['bancoplaza']."<br />";
			}
			if($transaccion!='' && $transaccion >0){
				echo "Transferencia Numero: $transaccion "." $Vto ".$rsf->fields['bancoplaza']."<br />";
			}
			?>
			
			</td>
			
			<td><?php echo $rsf->fields['otros_valores'] ?></td>
			<td><?php echo $rsf->fields['numerocuenta'] ?></td>
			<td><a href="javascript:void(0);" onclick="eliminar_pago(<?php echo $rsf->fields['idunicoserial'] ?>)">[ELIMINAR]</a></td>
		</tr>
		
		<?php $rsf->MoveNext();} ?>
	</table>
<?php 
	}
}
?>
