<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="264";
require_once("includes/rsusuario.php"); 


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(intval($_GET['idsucu']) > 0){
	$idsucu_g=intval($_GET['idsucu']);
	$whereadd.=" and compras.sucursal = $idsucu_g ";	
}


$consulta="
select 

compras_detalles.codprod as idarticulo, 
(select descripcion from insumos_lista where idinsumo = compras_detalles.codprod) as articulo,
compras_detalles.idconcepto,
(select nombre from categorias where id_categoria = insumos_lista.idcategoria ) as categoria,
(select descripcion from sub_categorias where idsubcate = insumos_lista.idsubcate) as subcategoria,
(select descripcion from cn_conceptos where idconcepto = compras_detalles.idconcepto) concepto, 
REPLACE(compras_detalles.cantidad,'.',',') as cantidad, 
REPLACE(compras_detalles.costo,'.',',') as costo, 
REPLACE(compras_detalles.subtotal,'.',',') as subtotal, 
compras_detalles.lote, compras_detalles.vencimiento,
compras.idcompra,
compras.fechacompra as fecha_compra, 

	CASE WHEN 
		LENGTH(compras.facturacompra) = 13
	THEN
		CONCAT(SUBSTRING(compras.facturacompra,1,3),'-',SUBSTRING(compras.facturacompra,4,3),'-',SUBSTRING(compras.facturacompra,7,7))
	ELSE
		compras.facturacompra
	END as factura_compra,


CASE WHEN compras.tipocompra = 1 THEN 'CONTADO' ELSE 'CREDITO' END AS condicion_compra, 
REPLACE(compras.total,'.',',') as total_factura,
proveedores.idproveedor, proveedores.nombre as proveedor,
(select nombre from sucursales where sucursales.idsucu = compras.sucursal) as sucursal,
(
SELECT gest_depositos.descripcion
FROM facturas_proveedores
inner join gest_depositos on gest_depositos.iddeposito = facturas_proveedores.iddeposito
where 
facturas_proveedores.idcompra = compras.idcompra
and facturas_proveedores.estado <> 6
) as deposito,

(
SELECT tipocomprobante
FROM facturas_proveedores
inner join tipo_comprobante on tipo_comprobante.idtipocomprobante = facturas_proveedores.idtipocomprobante
where 
facturas_proveedores.idcompra = compras.idcompra
and facturas_proveedores.estado <> 6
limit 1
) as tipocomprobante,
compras.timbrado,
compras.vto_timbrado,
CONCAT(\"'\",compras.cdc) as cdc,
compras.ocnum as orden_compra,

(select usuario from usuarios where compras.registrado_por = usuarios.idusu) as registrado_por,
registrado as registrado_el

from compras
inner join proveedores on proveedores.idproveedor = compras.idproveedor 
inner join compras_detalles on compras_detalles.idcompra = compras.idcompra
inner join insumos_lista on insumos_lista.idinsumo = compras_detalles.codprod
where
compras.estado <> 6
and compras.fechacompra >= '$desde'
and compras.fechacompra <= '$hasta'
$whereadd
order by compras.fechacompra asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 //	CONCAT('\"',factura,'\"') as Factura,


 $impreso=date("d/m/Y H:i:s");



$datos="";


	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$datos.=limpiacsv($value).';';
		}
		$datos.=$saltolinea;
	$rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=compras_fac_det_'.$impreso.'.csv');
	
echo $datos;
exit;


?>
