<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="87";

require_once("includes/rsusuario.php"); 


$idpedido=intval($_GET['id']);
if($idpedido == 0){
	header("location: compras_pedidos.php");
	exit;	
}
$consulta="
select *,
(select usuario from usuarios where compras_pedidos.pedido_por = usuarios.idusu) as pedido_por,
(select descripcion from gest_depositos where iddeposito = compras_pedidos.origen) as origen,
(select descripcion from gest_depositos where iddeposito = compras_pedidos.destino) as destino,
(select nombre from sucursales where idsucu = compras_pedidos.sucursal) as sucursal
from compras_pedidos 
where 
estado = 1
 and sucursal = $idsucursal
 and idpedido = $idpedido
order by idpedido desc
limit 20
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$fecha_entrega=$rs->fields['fecha_entrega'];
$idpedido=intval($rs->fields['idpedido']);
if($idpedido == 0){
	header("location: compras_pedidos.php");
	exit;	
}




if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	// validar que tenga articulos cargados
	$consulta="
	select * from compras_pedidos_detalles where idpedido = $idpedido limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(intval($rs->fields['idinsumo']) == 0){
		$valido="N";
		$errores="- Debes cargar al menos 1 articulo antes de finalizar el pedido.<br />";	
	}



	// si todo es correcto inserta
	if($valido == "S"){
		
		// trae lista de articulos habilitados para produccion
		$consulta="
		select insumos_lista.idinsumo, insumos_lista.descripcion as insumo, medidas.nombre as medida,
		(select barcode from productos where idprod_serial = insumos_lista.idproducto) as codbar,
		insumos_lista.idcentroprod,		compras_pedidos_detalles.*
		from compras_pedidos_detalles 
		inner join insumos_lista on insumos_lista.idinsumo = compras_pedidos_detalles.idinsumo
		inner join medidas on medidas.id_medida = insumos_lista.idmedida
		where 
		idpedido = $idpedido
		and insumos_lista.idcentroprod is not null
		order by unicaser asc
		";
		$rsproduc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idinsumo=$rsproduc->fields['idinsumo'];
		$idcentroprod=$rsproduc->fields['idcentroprod'];

		// si existe algun dato
		if($idinsumo > 0 && $idcentroprod > 0){
			// genera cabecera
			$consulta="
			insert into produccion_orden_new
			(idunico, tipo, generado_por, generado_el, anulado_por, anulado_el, estado, fecha_paso_prod)
			values
			($idpedido, 2, $idusu, '$ahora', NULL, NULL, 1, '$ahora')
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			$consulta="
			select max(idordengral) as idordengral from produccion_orden_new where generado_por = $idusu
			";
			$rsp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idordengral=$rsp->fields['idordengral'];
			
		}  // if($idinsumo > 0 && $idcentroprod > 0){
		$idordengral=intval($rsp->fields['idordengral']);
		// genera subreceta del detalle
		while(!$rsproduc->EOF){ 

			$idinsumo=$rsproduc->fields['idinsumo'];
			$cantidad=floatval($rsproduc->fields['cantidad']);
			$idcentroprod=$rsproduc->fields['idcentroprod'];
			
			if($idcentroprod > 0){
					
				$cod_recur=md5(date("YmdHis").'-'.$idusu.'-'.rand(999,9999).'-'.$idinsumo.'-'.$idcentroprod);
				$parametros_array['idinsumo'] = $idinsumo;
				$parametros_array['nivel'] = 1;
				$parametros_array['cod_recur'] = $cod_recur;
				$res=subreceta_prod($parametros_array);
				
				// orden de produccion producto padre
				$consulta="
				insert into produccion_orden_new_detalles
				(idordengral, idinsumo, cantidad_producir, registrado_el, registrado_por, estado, idcpr, iniciado_el,
				iniciado_por, fecha_producir, solicitado_por, obs_pedido, obs_interno, obs_produccion, fecha_final,
				finalizado_por)
				values
				($idordengral, $idinsumo, $cantidad, '$ahora', $idusu, 1, $idcentroprod, NULL,
				NULL, '$fecha_entrega', $idusu, NULL, NULL, NULL, NULL,
				NULL)
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				
				$consulta="
				select recur.*, insumos_lista.idcentroprod
				from recur
				inner join insumos_lista on insumos_lista.idinsumo = recur.idinsumo_ing
				where 
				recur.cod_recur = '$cod_recur'
				order by recur.idinsumo_padre asc, recur.nivel asc
				";
				$rssub=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				
				// orden de produccion de las subrecetas
				while(!$rssub->EOF){
					$idinsumo_sub=$rssub->fields['idinsumo_ing'];
					$cantidad_sub=floatval($rssub->fields['cantidad'])*$cantidad;
					$idcentroprod_sub=$rssub->fields['idcentroprod'];
					if($idcentroprod_sub > 0){
						$consulta="
						insert into produccion_orden_new_detalles
						(idordengral, idinsumo, cantidad_producir, registrado_el, registrado_por, estado, idcpr, iniciado_el,
						iniciado_por, fecha_producir, solicitado_por, obs_pedido, obs_interno, obs_produccion, fecha_final,
						finalizado_por)
						values
						($idordengral, $idinsumo_sub, $cantidad_sub, '$ahora', $idusu, 1, $idcentroprod_sub, NULL,
						NULL, '$fecha_entrega', $idusu, NULL, NULL, NULL, NULL,
						NULL)
						";
						$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					} //if($idcentroprod_sub > 0){
				$rssub->MoveNext(); }

			} // if($idcentroprod > 0){
			
		$rsproduc->MoveNext(); }
		$rsproduc->MoveFirst();
		
		
		
		
		
		$consulta="
		update compras_pedidos
		set
			estado = 2
		where
			idpedido = $idpedido
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: compras_pedidos.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
function alerta_modal(titulo,mensaje){
	$('#dialogobox').modal('show');
	$("#myModalLabel").html(titulo);
	$("#modal_cuerpo").html(mensaje);

	
}
function actualizar_carrito(){
	
	var direccionurl='compras_pedidos_car.php';	
	var parametros = {
	  "idpedido" : <?php echo $idpedido ?>
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#carrito_prod").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(xhr.status === 200){
				$("#carrito_prod").html(response);
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
}
function nl2br (str, is_xhtml) {
  // http://kevin.vanzonneveld.net
  // +   original by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
  // +   improved by: Philip Peterson
  // +   improved by: Onno Marsman
  // +   improved by: Atli Þór
  // +   bugfixed by: Onno Marsman
  // +      input by: Brett Zamir (http://brett-zamir.me)
  // +   bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
  // +   improved by: Brett Zamir (http://brett-zamir.me)
  // +   improved by: Maximusya
  // *     example 1: nl2br('Kevin\nvan\nZonneveld');
  // *     returns 1: 'Kevin<br />\nvan<br />\nZonneveld'
  // *     example 2: nl2br("\nOne\nTwo\n\nThree\n", false);
  // *     returns 2: '<br>\nOne<br>\nTwo<br>\n<br>\nThree<br>\n'
  // *     example 3: nl2br("\nOne\nTwo\n\nThree\n", true);
  // *     returns 3: '<br />\nOne<br />\nTwo<br />\n<br />\nThree<br />\n'
  var breakTag = (is_xhtml || typeof is_xhtml === 'undefined') ? '<br ' + '/>' : '<br>'; // Adjust comment to avoid issue on phpjs.org display

  return (str + '').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1' + breakTag + '$2');
}
function buscar_producto(){
	var busqueda = $("#producto").val();
	var direccionurl='compras_pedidos_busq.php';		
	var parametros = {
	  "prod"   : busqueda 
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$("#busqueda_prod").html('Cargando...');				
		},
		success:  function (response) {
			$("#busqueda_prod").html(response);
		}
	});
}
function seleccionar_producto_ev(idinsumo,e){
	
	var codbar = $("#codbar").val();
	tecla = (document.all) ? e.keyCode : e.which;
	// tecla enter
  	if (tecla==13){
		//
		seleccionar_producto(idinsumo);
	
	}
}
function seleccionar_producto(idinsumo){
	
	var cantidad = $("#idinsumo_"+idinsumo).val();
	var direccionurl='compras_pedidos_det_add.php';		
	var parametros = {
	  "idinsumo"   : idinsumo,
	  "idpedido"   : <?php echo $idpedido ?>,
	  "cantidad"   : cantidad,
	  
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$("#carrito_prod").html('Cargando...');				
		},
		success:  function (response) {
			//alert(response);
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				$("#busqueda_prod").html('');	
				if(obj.valido == 'S'){
					$("#producto").val('');
					$("#producto").focus();
				}else{
					alerta_modal('Errores',nl2br(obj.errores));
				}
			}else{
				alert(response);	
			}
			actualizar_carrito();
			//alert(response);
		}
	});
}
function seleccionar_producto_cbar(codbar){
	var busqueda = codbar;
	var direccionurl='compras_pedidos_busq.php';		
	var parametros = {
	  "codbar"   : busqueda 
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#busqueda_prod").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(xhr.status === 200){
				if(IsJsonString(response)){
					var obj = jQuery.parseJSON(response);
					if(obj.muestra_carrito == 'S'){
						$("#busqueda_prod").html(response);
					}else{
						if(obj.idinsumo > 0){
							$("#busqueda_prod").html('');
							seleccionar_producto(obj.idinsumo);
						}else{
							alerta_modal('Errores',nl2br(obj.errores));
						}
					}
				}else{
					//alert(response);
					$("#busqueda_prod").html(response);
					//$("#resultado").html(response);	
				}
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
}
function buscar_producto_codbar(e){
	
	var codbar = $("#codbar").val();
	tecla = (document.all) ? e.keyCode : e.which;
	// tecla enter
  	if (tecla==13){
		//
		seleccionar_producto_cbar(codbar);
	
	}
}

</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Agregar articulos al pedido</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<a href="compras_pedidos.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a>
	<a href="compras_pedidos_import.php?id=<?php echo $idpedido; ?>" class="btn btn-sm btn-default"><span class="fa fa-upload"></span> Carga Masiva</a>			
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Idpedido</th>
			<th align="center">Fecha a entregar</th>
			<th align="center">Fechapedido</th>
			<th align="center">Pedido por</th>
			<th align="center">Origen</th>
			<th align="center">Destino</th>

			<th align="center">Obs</th>
			<th align="center">Sucursal</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo antixss($rs->fields['idpedido']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_entrega'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_entrega'])); } ?></td>
			<td align="center"><?php echo date("d/m/Y H:i:s",strtotime($rs->fields['fechapedido'])); ?></td>
			<td align="center"><?php echo antixss($rs->fields['pedido_por']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['origen']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['destino']); ?></td>

			<td align="center"><?php echo antixss($rs->fields['obs']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['sucursal']); ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<hr />
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
<input type="text" class="form-control" placeholder="Producto" id="producto" onkeyup="buscar_producto();">
<span class="fa fa-search form-control-feedback right" aria-hidden="true"></span>
</div>

<div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
<input type="text" class="form-control" placeholder="Codigo de Barras" id="codbar" onkeyup="buscar_producto_codbar(event);">
<span class="fa fa-barcode form-control-feedback right" aria-hidden="true"></span>
</div>
<div class="clearfix"></div>
<hr />

<div id="busqueda_prod"></div>
<div id="carrito_prod"><?php require_once("compras_pedidos_car.php"); ?></div>

<form id="form1" name="form1" method="post" action="">
<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Finalizar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='compras_pedidos.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->
        
        <!-- POPUP DE MODAL OCULTO -->
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="dialogobox">
                    <div class="modal-dialog modal-lg">
                      <div class="modal-content">

                        <div class="modal-header">
                          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
                          </button>
                          <h4 class="modal-title" id="myModalLabel">Titulo</h4>
                        </div>
                        <div class="modal-body" id="modal_cuerpo">
						...
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                          
                        </div>

                      </div>
                    </div>
                  </div>

                      
                  </div>
                </div>
              </div>
              
              
              
        <!-- POPUP DE MODAL OCULTO -->


        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
