<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="87";
require_once("includes/rsusuario.php"); 

// archivos
require_once("includes/upload.php");
require_once("includes/funcion_upload.php");
set_time_limit(120);


$idpedido=intval($_GET['id']);
if($idpedido == 0){
	header("location: compras_pedidos.php");
	exit;	
}
$consulta="
select *,
(select usuario from usuarios where compras_pedidos.pedido_por = usuarios.idusu) as pedido_por,
(select descripcion from gest_depositos where iddeposito = compras_pedidos.origen) as origen,
(select descripcion from gest_depositos where iddeposito = compras_pedidos.destino) as destino,
(select nombre from sucursales where idsucu = compras_pedidos.sucursal) as sucursal
from compras_pedidos 
where 
estado = 1
 and sucursal = $idsucursal
 and idpedido = $idpedido
order by idpedido desc
limit 20
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$fecha_entrega=$rs->fields['fecha_entrega'];
$idpedido=intval($rs->fields['idpedido']);
if($idpedido == 0){
	header("location: compras_pedidos.php");
	exit;	
}





$status = "";
$msg=urlencode("Archivo Cargado Exitosamente!");
if (isset($_POST["MM_upload"]) && ($_POST["MM_upload"] == "form1")) {
	
	$directorio="gfx";
	
	$fupload = new Upload();
	$fupload->setPath($directorio);
	$fupload->setMinSize(0);
	$exten=array('csv');
	$extension = strtolower(substr($_FILES['archivo']['name'], strrpos($_FILES['archivo']['name'], '.')+1)); 
	
	$tiempo=date("YmdHis");
	$nombrearchivo='ped_'.$tiempo.'.'.$extension;
	$nombrearchivo2='ped_'.$tiempo;
	
	$ip_real=htmlentities(ip_real());

	if($extension == 'csv'){
		$fupload->setFile("archivo",$nombrearchivo2,'S');
		$fupload->isImage(false);
	// IMAGEN
	}else{
		//$fupload->setFile("archivo",$nombrearchivo2,'N',$extension);
		//$fupload->isImage(true);	
	}
	//$fupload->isImage(true);
	$fupload->save();
		
	$cargado = $fupload->isupload;
	$status = $fupload->message;
	
	// si se cargo
	if($cargado){
		
		
		$archivo_csv=file_get_contents($directorio.'/'.$nombrearchivo);
		$array_res=csv_to_array($archivo_csv,";");
		//print_r($array_res);exit;
		
		// borra el archivo
		if(file_exists($directorio.'/'.$nombrearchivo)){
			if(trim($nombrearchivo) != ''){
				unlink($directorio.'/'.$nombrearchivo);
			}
		}
		//	print_r($array_res);exit;
		// validaciones basicas
		$valido="S";
		$errores="";
		$i=1;
		// recorre el archio y valida
		foreach($array_res as $fila){
			
			// la cabecera se salta
			if($i > 1){
				$cantidad=floatval($fila[1]);
				$observacion=trim($fila[2]);
				$idpedido_arch=trim($fila[3]);
				$idinsumo=intval($fila[6]);
				
				$consulta="
				select idinsumo from insumos_lista where idinsumo = $idinsumo and estado = 'A'
				";
				$rsins=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$idinsumoex=intval($rsins->fields['idinsumo']);
				
				if(intval($idinsumoex) <= 0){
					$valido="N";
					$errores.=" - El articulo con codigo [$idinsumo] no existe o fue borrado. Linea: $i.<br />";	
				}
				if(floatval($cantidad) < 0){
					$valido="N";
					$errores.=" - El campo cantidad no puede ser menor a cero, elimine la fila si no corresponde. Linea: $i, Codigo: [$idinsumo].<br />";	
				}
				if($idpedido_arch != $idpedido){
					$valido="N";
					$errores.=" - El campo idpedido en el archivo [".intval($idpedido_arch)."] es diferente al idpedido [".intval($idpedido)."] que deseas subir. Linea: $i, Codigo: [$idinsumo].<br />";	
				}
				// busca si ya existe
				/*$consulta="
				select * from compras_pedidos_detalles where idpedido = $idpedido and idinsumo = $idinsumo
				";
				$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				if(intval($rs->fields['idinsumo']) > 0){
					$valido="N";
					$errores="- El articulo que intentas agregar ya estaba agregado, borrelo antes de subir el archivo. Linea: $i, Codigo: [$idinsumo].".$saltolinea;	
				}*/

				

			} // if($i > 1){
			$i++;
			
		}
		// reset del array
		reset($array_res);
		
		//echo $errores;
		//exit;
		// si todo es valido inserta
		if($valido == 'S'){
			// borra todo para reemplazar por el excel
			$consulta="
			delete from compras_pedidos_detalles where idpedido  = $idpedido
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$i=1;
			foreach($array_res as $fila){
				// la cabecera se salta
				if($i > 1){
					$cantidad=floatval(str_replace(',','.',$fila[1]));
					$observacion=antisqlinyeccion(trim($fila[2]),"text");
					$idinsumo=intval($fila[6]);
					//if($i == 5){ echo $cantidad; exit; }
					// SI NO ES MAYOR A CERO SALTAR
					if(floatval($cantidad) > 0){

						$consulta="
						select descripcion, costo from insumos_lista where idinsumo = $idinsumo
						";
						$rsins=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
						$descripcion=antisqlinyeccion($rsins->fields['descripcion'],"text");
						$costogs=floatval($rsins->fields['costo']);
						$subtotal=$cantidad*$costogs;
						
						$consulta="
						insert into compras_pedidos_detalles
						(cantidad, costogs, subtotal, idinsumo, idpedido, obs_prod)
						values
						($cantidad, $costogs, $subtotal, $idinsumo, $idpedido, $observacion)
						";
						$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
						

					} // if(trim($fila[1]) != ''){
				} // if($i > 1){
				$i++;
			} // foreach($array_res as $fila){

	
			// redireccionar
			header("location: compras_pedidos_det.php?id=$idpedido");
			exit;
		
		}
	}else{
		header("location: compras_pedidos_import.php?id=$idpedido&cargado=n&status=".$status);	
		exit;
	}
		

}

if(isset($_GET['status']) && ($_GET['status'] != '')){
	$status=substr(htmlentities($_GET['status']),0,200);
}
if($_GET['cargado'] == 'n'){
	$errores=htmlentities($_GET['status']);
}

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>

  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Importar Pedido Reposicion Nro. <?php echo $idpedido; ?></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                  
<div class="btn-group">
<button class="btn btn-sm btn-default" type="button" 
onmouseup="document.location.href='compras_pedidos_det.php?id=<?php echo $idpedido ?>'"><span class="fa fa-reply"></span> Volver</button>

<br /> 
</div>
<hr />
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">

<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>



<form action="compras_pedidos_import.php?id=<?php echo $idpedido; ?>" method="post" enctype="multipart/form-data" name="form1" id="form1">



<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Archivo CSV *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
    <input type="file" name="archivo" id="archivo"  class="form-control" accept=".csv"  />
	</div>
</div>


<div class="clearfix"></div>
<br />





<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-upload"></span> Cargar Archivo</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='compras_pedidos_det.php?id=<?php echo $idpedido ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

        <input type="hidden" name="MM_upload" id="MM_upload" value="form1" /></td>
 </form>

<p>&nbsp;</p>
<div class="alert alert-warning alert-dismissible fade in" role="alert">

<strong>Aviso:</strong><br />Si ya tiene cantidades cargadas en el pedido se borraran todas al cargar el archivo.
</div>
					
					
					
<hr />
<h2>Instrucciones:</h2><br />
<br />
<strong>Paso 1:</strong><br />
<button class="btn btn-sm btn-default" type="button" 
onmouseup="document.location.href='compras_pedidos_csv.php?id=<?php echo $idpedido; ?>'"><span class="fa fa-download"></span> Descargar Formato CSV Ejemplo</button><br />
<br />
<strong>Paso 2:</strong><br />
Completar el excel sin agregar ni sacar columnas.
<strong style="color:#F00">NO MODIFICAR</strong> las columnas de Codigo y/o Descripcion, <br />
<strong style="color:#060;">SOLAMENTE MODIFICAR</strong> "Cantidad Inventariada" ninguna otra columna.<br />
En caso que modifique otra columna podria ocasionar errores en el inventario de otros productos y el cambio sera irreversible (No se podra solucionar).<br />
<br />
<strong>Paso 3:</strong><br />
Cargar aqui el archivo excel con las nuevas cantidades.
<br />
 </form>

<p>&nbsp;</p>
<br />




                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 

            


          </div>
        </div>
        <!-- /page content -->
        
        <!-- POPUP DE MODAL OCULTO -->
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="dialogobox">
                    <div class="modal-dialog modal-lg">
                      <div class="modal-content">

                        <div class="modal-header">
                          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
                          </button>
                          <h4 class="modal-title" id="myModalLabel">Titulo</h4>
                        </div>
                        <div class="modal-body" id="modal_cuerpo">
						...
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                          
                        </div>

                      </div>
                    </div>
                  </div>

                      
                  </div>
                </div>
              </div>
              
              
              
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>