<?php
/*-----------------------------------
15/09/2021	
---------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="10";
$submodulo="449";
require_once("includes/rsusuario.php");  

if (isset($_REQUEST['registro'])){
	//print_r($_REQUEST);exit;
	$errores='';
		
	$nombres=antisqlinyeccion($_REQUEST['nombres'],'text');
    $apellidos=antisqlinyeccion($_REQUEST['apellidos'],'text');
	$documento=antisqlinyeccion($_REQUEST['documento'],'text');
	$direccion=antisqlinyeccion($_REQUEST['direccion'],'text');
	$nomape=trim($_REQUEST['nombres'].' '.$_REQUEST['apellidos']);
	$nomape=antisqlinyeccion($nomape,'text');
	$celular=antisqlinyeccion($_REQUEST['celular'],'int');
	$fechanac=antisqlinyeccion($_REQUEST['fchnac'],'text');	
	$email=antisqlinyeccion($_REQUEST['email'],'text');	
	$obs=antisqlinyeccion($_REQUEST['obs'],'text');	
	if ($nombres=='NULL'){
		$errores=$errores."Debe indicar el nombre.";
	}
	if ($apellidos=='NULL'){
		$errores=$errores."Debe indicar el apellido.";
	}
	if ($documento=='NULL'){
		$errores=$errores."Debe indicar el documento.";
	}
	if ($celular=='NULL'){
		$errores=$errores."Debe indicar el celular.";
	}
	if ($errores==''){
		//verificamos que la cedula ya no exista
		$buscar="select * from med_pacientes where documento=$documento and estado=1";
		$rli=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
		if ($rli->fields['idpaciente']==''){
			$insertar="insert into med_pacientes
			(nombres,apellidos,nomape,fecha_nac,documento,idcliente,foto_perfil,
			idtipopaciente,ruc,razon_social,telefono,celular,email,	direccion,comentario,estado,registrado_por,registrado_el,borrado_por,borrado_el)
			values
			($nombres,$apellidos,$nomape,$fechanac,$documento,0,NULL,1,'44444401-7','CONSUMIDOR FINAL',0,$celular,
			$email,$direccion,$obs,1,$idusu,current_timestamp,NULL,NULL)";
			$conexion->Execute($insertar) or die (errorpg($conexion,$insertar));
		}
	} else {
		
	}
}




?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

<body class="nav-md">
    <div class="container body">
		<div class="main_container">
				<?php require_once("includes/menu_gen.php"); ?>
				<!-- top navigation -->
				<?php require_once("includes/menu_top_gen.php"); ?>
				<!-- /top navigation -->

				<!-- page content -->
				<div class="right_col" role="main">
					<div class="">
						<div class="page-title">
							<div class="title_left"><h3>Administrar Pacientes</h3></div>
							<div class="title_right">
								<div class="col-md-5 col-sm-5  form-group pull-right top_search">
									<div class="input-group">
										<input type="text" class="form-control" name="bpac" id="bpac" placeholder="buscar paciente" onkeyup="filtrar()"><span class="input-group-btn"><button class="btn btn-default" type="button">Buscar</button>
										</span>
									</div>
								</div>
							</div> 	
						</div>
						<div class="clearfix"></div>
						<?php require_once("includes/lic_gen.php");?>
						<!-- SECCION -->
						<div class="row" id="">
						  <div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
							  <div class="x_title">
								  <a href="javascript:void(0);" onclick="agregar();" class="btn btn-primary"><span class="fa fa-plus-square"></span> Nuevo</a>
								
								 <ul class="nav navbar-right panel_toolbox">
								  <li><a class="collapse-link" id="c1"><i class="fa fa-chevron-up"></i></a>
								  </li>
								</ul> 
							  </div>
							  <div class="x_content" id="fichas_pacientes" >
							  	<?php require_once("cons_fichas_pacientes_busqueda.php"); ?>
							  </div>
							</div>
						  </div>
						</div>
						<!-- SECCION --> 
            
						<!-- SECCION -->
						<div class="row" id="opera_cab" style="display:none;">
							<div class="col-md-12 col-sm-12 col-xs-12">
								<div class="x_panel"><h2 id="nombrepaciente"></h2><br />
									<div class="x_content" id="opera"></div>
								</div>
							</div>
						</div>		
						<!-- SECCION -->
						
						<div class="row" id="opera_imagen" style="display:none;" >
						  <div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								  <h2>Subir imagen</h2><br />
								  <div class="x_content" >
								  
								  
									  <form enctype="multipart/form-data" id="fupForm" >
									  
											<div class="col-md-6 col-sm-6 col-xs-12" style="border:1px solid #000;">
												<input type="hidden" name="ocidpaciente" id="ocidpaciente" value="" />
												<div class="col-md-6 col-sm-6  form-group has-feedback">
													<input type="file" class="form-control has-feedback-left" id="file" name="file" required>
													<span class="fa fa-user form-control-feedback left" aria-hidden="true"></span>
												</div>
												<div class="col-md-6 col-sm-6  form-group has-feedback">
													<select name="tipostratamientos" style="height:40px;" required>
														<option value="">Seleccionar tratamientos</option>
														<option value="1">Test</option>
													</select>
												</div>
												<div class="col-md-6 col-sm-6  form-group has-feedback">
													<input type="text" class="form-control has-feedback-left" id="obsima" name="obsima" placeholder="comentarios/obs">
													<span class="fa fa-user form-control-feedback left" aria-hidden="true"></span>
												</div>
												<div class="col-md-6 col-sm-6  form-group has-feedback">
													<input id="subidor" onclick="" type="submit" name="submit" class="btn btn-danger submitBtn" value="Subir"/>
												</div>
											</div>
										
									
										<div class="col-md-6 col-sm-6 col-xs-12" id="recargarcuadro" style="border:1px solid #000;">
											<?php require_once("cons_mini_lista_imagen.php"); ?>
										</div>
										
										</form>
										
								  </div>
							</div>
						  </div>
						</div>

						
					</div><!-- div class vacio --> 
				</div><!-- div class right col -->
       
						<!-- /page content -->
						<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
							<div class="modal-dialog modal-lg">
								<div class="modal-content">
									<div class="modal-header">
										<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
										</button>
										<h4 class="modal-title" id="modal_titulo">Agregar Paciente</h4>
										<br />
										<div class="alert alert-success alert-dismissible " role="alert" id="gloc" style="display:none;">
											<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
											<span id="mensajeok"></span>
										</div>
									</div>
									<div class="modal-body" id="modal_cuerpo">
									<?php require_once("cons_mini_addpaciente.php"); ?>
									</div>
									<div class="modal-footer" id="modal_pie">
								   
									</div>
								</div>
							</div>
						</div>
						<!-- POPUP DE MODAL OCULTO -->
						<!-- footer content -->
						<?php require_once("includes/pie_gen.php"); ?>
						<!-- /footer content -->
    </div>
</div>
	
	  <script>
	  
	  function agregar(){
		  $("#modal_ventana").modal("show");
	  }
	  function agregareg(cual,idpaciente){
		  $("#gloc").hide();
		  $("#mensajeok").html("");
		  
		  var direccionurl='cons_mini_add_texto.php';
		  var parametros = {
			 "cual" : cual,
			 "idpaciente" :idpaciente
		   };
		  $.ajax({
				data:  parametros,
				url:   direccionurl,
				type:  'post',
				beforeSend: function () {
					$("#modal_cuerpo").html('Cargando...');
					$("#modal_titulo").html("Agregar informacion");
				},
				success:  function (response) {
					$("#modal_cuerpo").html(response);
					$("#modal_ventana").modal("show");
				}
			});	
		  
		  //$("#modal_ventana").modal("show");
	  }
	  function registrardatos(cual,idpaciente){
		  var errores="";
		  
		  $("#gloc").hide();
		  $("#mensajeok").html("");
			var fini=$("#fini").val();//fecha inicio
		    var fin=$("#fin").val();//fecha final
			var texto=$("#des").val();//descripcion
			if (fini==''){
				errores=errores+"* Debe indicar fecha inicio \n";
			}
			if (texto==''){
				errores=errores+"* Debe indicar texto \n";
			}
			if (errores==""){
				if (cual==1){
				  var direccionurl='cons_reg_enfer.php';
				  var donde="regenfer";
				}
				if (cual==2){
				  var direccionurl='cons_reg_med.php';
				  var donde="regmed";
				}
				if (cual==3){
				  var direccionurl='cons_reg_trata.php';
				  var donde="regetrat";
				}
			
			  var parametros = {
				 "cual" : cual,
				 "idpaciente" :idpaciente,
				 "texto"	:texto,
				 "fecha1"	:fini,
				 "fecha2"	:fin
			   };
			  $.ajax({
					data:  parametros,
					url:   direccionurl,
					type:  'post',
					beforeSend: function () {
						//$("#modal_cuerpo").html('Cargando...');
						$("#"+donde).html("Agregar informacion");
					},
					success:  function (response) {
						$("#"+donde).html(response);
						$("#fini").val("");
						fin=$("#fin").val("");
						texto=$("#des").val("");
						$("#mensajeok").html("Registro correcto!");
						$("#gloc").show();
					}
				});	
			} else {
				alert(errores);
			}
	  }
	  function abrir(idpaciente){
		   $("#c1").click();
		   $("#ocidpaciente").val(idpaciente);
		  var nb=$("#oc_"+idpaciente).val();
		  
		  var direccionurl='cons_mini_paciente_ficha.php';
		  var parametros = {
			 "idpaciente" : idpaciente
		   };
		   $.ajax({
					data:  parametros,
					url:   direccionurl,
					type:  'post',
					beforeSend: function () {
						$("#nombrepaciente").html(nb);
						
						
						$("#opera").html('Cargando...');
						$("#opera_cab").show();
						$("#opera_imagen").show();
					},
					success:  function (response) {
						$("#nombrepaciente").show();
						$("#opera").html(response);
						
					}
			});	
		 
		  
		  
		  
	  }
	 function abreimg(idpaciente){
		  var direccionurl='cons_mini_ima.php';
		  var parametros = {
			 
			 "idpaciente" :idpaciente
		   };
		  $.ajax({
				data:  parametros,
				url:   direccionurl,
				type:  'post',
				beforeSend: function () {
					$("#modal_cuerpo").html('Cargando...');
					$("#modal_titulo").html("Imagen de tratamiento");
				},
				success:  function (response) {
					$("#modal_cuerpo").html(response);
					$("#modal_ventana").modal("show");
				}
			});	
		  
	  }

	 function sele(cual){
		  if(cual==1){
			  $("#chk2").prop("checked", false);
		  }
		  if(cual==2){
			  $("#chk1").prop("checked", false);
		  }
	  }
	
	 function filtrar(){
		 if ($('#fichas_pacientes').is(':visible')) {
				//$('#fichas_pacientes').hide();
			} else {
				$('#fichas_pacientes').show();
				//$("#c1").click();
			}

		
		 var texto=$("#bpac").val();
		 
		  var direccionurl='cons_fichas_pacientes_busqueda.php';
		  var parametros = {
			 
			 "texto" :texto,
			 "busqueda" :1
		   };
		  $.ajax({
				data:  parametros,
				url:   direccionurl,
				type:  'post',
				beforeSend: function () {
					$("#opera_cab").hide();
						$("#opera_imagen").hide();
				},
				success:  function (response) {
					$("#fichas_pacientes").html(response);
					//$("#modal_ventana").modal("show");
				}
			});	
		 //
		 
	 }

	    
</script>
<?php require_once("includes/footer_gen.php"); ?>
<script>
 $(document).ready(function(e){
			$("#fupForm").on('submit', function(e){
				e.preventDefault();
				//alert('LLEGA');
				$.ajax({
					type: 'POST',
					url: 'cons_subir_img.php',
					data: new FormData(this),
					contentType: false,
					cache: false,
					processData:false,
					beforeSend: function(){
						$('.submitBtn').attr("disabled","disabled");
						$('#fupForm').css("opacity",".5");
					},
					success: function(msg){
						
						$('.statusMsg').html('');
						if(msg == 'ok'){
							$('#fupForm')[0].reset();
							$('.statusMsg').html('<span style="font-size:18px;color:#34A853">Imagen subida correctamente.</span>');
						}else{
							//alert(msg);
							if (msg=="Imagen subida correctamente!."){
								recargarcuadro(idpaciente);
							} else {
								$('.statusMsg').html('<span style="font-size:18px;color:#EA4335">No pudimos cargar la imagen.</span>');
							}
						}
						$('#fupForm').css("opacity","");
						$(".submitBtn").removeAttr("disabled");
					}
				});
			});
			
			//file type validation
			$("#file").change(function() {
				var file = this.files[0];
				var imagefile = file.type;
				var match= ["image/jpeg","image/png","image/jpg"];
				if(!((imagefile==match[0]) || (imagefile==match[1]) || (imagefile==match[2]))){
					alert('Seleccione una imagen valida (JPEG/JPG/PNG).');
					$("#file").val('');
					return false;
				}
			});
		});
		
	function recargarcuadro(idpaciente){
		var direccionurl='cons_mini_lista_imagen.php';
		var parametros = {
			 "idpaciente" : idpaciente
			
		   };
		  $.ajax({
				data:  parametros,
				url:   direccionurl,
				type:  'post',
				beforeSend: function () {
					
				},
				success:  function (response) {
					$("#recargarcuadro").html(response);
					
				}
			});	
		  
	}
</script>
</body>
</html>
