<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="656";
require_once("includes/rsusuario.php"); 

$idproducto=intval($_POST['id']);

//(select idprod from recetas_detalles where recetas_detalles.idprod = productos.idprod_serial limit 1) as receta,
	$consulta="
	Select productos.*, categorias.nombre as categoria, sub_categorias.descripcion as subcategoria,
	(
	SELECT idprod
	FROM recetas_detalles
	inner join ingredientes on recetas_detalles.ingrediente = ingredientes.idingrediente
	inner join insumos_lista on insumos_lista.idinsumo = ingredientes.idinsumo
	inner join medidas on medidas.id_medida = insumos_lista.idmedida
	where
	recetas_detalles.idprod = productos.idprod_serial
	and coalesce(insumos_lista.idproducto,0) <> productos.idprod_serial
	limit 1
	) as receta,
	(select idproducto from agregado where agregado.idproducto = productos.idprod_serial limit 1) as agregado,
	(select idproducto from producto_impresora where producto_impresora.idproducto = productos.idprod_serial limit 1) as tieneimpre,
	(select tipoproducto from productos_tipo where productos.idtipoproducto = productos_tipo.idtipoproducto) as tipoproducto,
	(select productos_sucursales.precio as p1 from productos_sucursales where productos_sucursales.idproducto = productos.idprod_serial and activo_suc = 1 and productos_sucursales.idsucursal = 1 order by productos_sucursales.idsucursal asc limit 1) as p1,
	(select idinsumo from insumos_lista where idproducto = productos.idprod_serial) as idinsumo
	from productos 
	inner join categorias on productos.idcategoria = categorias.id_categoria 
	inner join sub_categorias on productos.idsubcate = sub_categorias.idsubcate 
	where 
	productos.borrado = 'N'
	and productos.idprod_serial = $idproducto
	limit 1
	"	;
	//echo $consulta;
	$prod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


// tipo de favoritos
$consulta="
SELECT tipofavorito, maxprod, maxdias
FROM tipofavorito
where 
idempresa = $idempresa
limit 1
";
$rsfav = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$tipofavorito=$rsfav->fields['tipofavorito'];
$maxprod=intval($rsfav->fields['maxprod']);
$maxdias=intval($rsfav->fields['maxdias']);

if($tipofavorito == 'F'){
	$favoritodesc="Favoritos Seleccionados.";
}else{
	$favoritodesc="Productos mas vendidos | Top $maxprod de los ultimos $maxdias dias.";
}

// busca si usa receta
$busca="Select * from preferencias where idempresa=$idempresa";
$rspref=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
$usa_receta=trim($rspref->fields['usa_receta']);
$usa_marca=trim($rspref->fields['usa_marca']);


//Categorias
$buscar="Select * from categorias 
where 
estado = 1
and (idempresa = $idempresa or borrable = 'N')
and id_categoria not in (SELECT idcategoria FROM categoria_ocultar where idempresa = $idempresa and mostrar = 'N')
 order by nombre ASC";
$rscate=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
//SubCategorias
$buscar="Select * from sub_categorias where 
(idempresa = $idempresa or idcategoria in (select id_categoria from categorias where especial = 'S'))
 order by descripcion ASC";
$rssubcate=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));


$buscar="Select * from preferencias_produccion limit 1";
$rscp=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$obligar_cpr=trim($rscp->fields['obligar_cpr']);


?>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
    <thead>
      <tr>

        <th  >Producto</th>
        <th >Precio Matriz</th>
        <th >Categoria</th>
        <th >Sub-Categoria</th>
        <th >Cod Producto</th>
        <th >Cod Articulo</th>
        <th >Codigo Barras</th>


        </tr>
        </thead>
        <tbody>
      <?php while (!$prod->EOF){ 
	  
	  $img="gfx/productos/prod_".$prod->fields['idprod_serial'].".jpg";	 
		if(!file_exists($img)){
			$img="gfx/productos/prod_0.jpg";	 
		}
			  
	  $pventa=intval($prod->fields['precio_venta']);
	  $pmin=intval($prod->fields['precio_min']);
	  $pmax=intval($prod->fields['precio_max']);
	  $idserial=intval($prod->fields['idprod_serial']);
	  
	  $buscar="Select idcentroprod from insumos_lista where idproducto=$idserial";
	  $rspcr=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$idcpr=intval($rspcr->fields['idcentroprod']);
		if ($idcpr > 0){
			$buscar="Select descripcion from produccion_centros where idcentroprod=$idcpr";
			$rsdes=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$descripcioncpr=trim($rsdes->fields['descripcion']);
		} else {
			$descripcioncpr="<span style='color:red'>SIN CPR</span>";
		}
	  if ($pventa>0){
		  	$tp=1;
	  } else {
		  if ($pmin>0){
			 $tp=2;
		  } else {
			 $tp=3;  
		  }
	  }
	  
	   
	  ?>
      <tr>


        <td height="27" align="left"><?php echo trim($prod->fields['descripcion']) ?></td>
        <td align="right"><?php echo formatomoneda($prod->fields['p1'],0) ?></td>
        <td align="center"><?php echo trim($prod->fields['categoria']) ?></td>
        <td align="center"><?php echo trim($prod->fields['subcategoria']) ?></td>
        <td align="center"><?php echo trim($prod->fields['idprod_serial']) ?></td>
        <td align="center"><?php echo trim($prod->fields['idinsumo']) ?></td>
        <td align="center"><?php echo trim($prod->fields['barcode']) ?></td>

        


      <?php $prod->MoveNext(); } ?>
      </tbody>
</table>
 </div>
 <hr />
 <?php 
 $consulta="
 select gest_depositos.descripcion, gest_depositos_stock_gral.disponible, sucursales.nombre
 from gest_depositos_stock_gral
 inner join gest_depositos on gest_depositos.iddeposito = gest_depositos_stock_gral.iddeposito
  inner join sucursales on gest_depositos.idsucursal = sucursales.idsucu
 where
 gest_depositos_stock_gral.idproducto = $idproducto
 order by gest_depositos_stock_gral.disponible desc, sucursales.nombre asc, gest_depositos.descripcion asc
 ";
 $rsprecio=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 ?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
    <thead>
      <tr>
		<th >Stock</th>
		<th  >Deposito</th>
		<th  >Sucursal</th>
        
        
  


        </tr>
        </thead>
        <tbody>
      <?php while (!$rsprecio->EOF){ 
	
	   
	  ?>
      <tr>
		<td align="right"><?php echo formatomoneda($rsprecio->fields['disponible'],4,'N'); ?></td>
		<td height="27" align="left"><?php echo antixss($rsprecio->fields['descripcion']); ?></td>
		<td height="27" align="left"><?php echo antixss($rsprecio->fields['nombre']); ?></td>
        
        
  

        


      <?php $rsprecio->MoveNext(); } ?>
      </tbody>
</table>
 
 <hr />
 <?php 
 $consulta="
 select sucursales.nombre, productos_sucursales.precio, productos_sucursales.activo_suc
 from productos_sucursales
 inner join sucursales on sucursales.idsucu = productos_sucursales.idsucursal
 where
 idproducto = $idproducto
 and sucursales.estado = 1
 order by sucursales.nombre asc
 ";
 $rsprecio=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 ?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
    <thead>
      <tr>

        <th  >Sucursal</th>
        <th >Precio</th>
        <th >Activo</th>


        </tr>
        </thead>
        <tbody>
      <?php while (!$rsprecio->EOF){ 
	
	   
	  ?>
      <tr>


        <td height="27" align="left"><?php echo trim($rsprecio->fields['nombre']); ?></td>
        <td align="right"><?php echo formatomoneda($rsprecio->fields['precio'],0); ?></td>
        <td align="center"><?php if($rsprecio->fields['activo_suc'] == 1){ echo "Activo"; }else{ echo "Inactivo"; } ?></td>

        


      <?php $rsprecio->MoveNext(); } ?>
      </tbody>
</table>
 </div>
    <div class="clearfix"></div>
    <br />


            
            
   
