<?php
require_once("class/class.php");

$con = new Login();
$con = $con->ConfiguracionPorId();

$tra = new Login();

if(isset($_POST["proceso"]) and $_POST["proceso"]=="login")
{
  $log = $tra->Logueo();
  exit;
}
elseif(isset($_POST["proceso"]) and $_POST["proceso"]=="recuperar")
{
  $reg = $tra->RecuperarPassword();
  exit;
}
elseif(isset($_POST["proceso"]) and $_POST["proceso"]=="msj_contact")
{
  $reg = $tra->EnviarMensaje();
  exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="">
  <meta name="author" content="">
  <title></title>
  <link href="template/css/bootstrap.min.css" rel="stylesheet">
  <link href="template/css/animate.min.css" rel="stylesheet"> 
  <link href="template/css/font-awesome.min.css" rel="stylesheet">
  <link href="template/css/lightbox.css" rel="stylesheet">
  <link href="template/css/main.css" rel="stylesheet">
  <script src="template/js/all.min.js"></script>
  <link id="css-preset" href="template/css/presets/preset1.css" rel="stylesheet">
  <link href="template/css/responsive.css" rel="stylesheet">
  <!--<script src="template/js/588d62cb43.js" crossorigin="anonymous"></script>-->
  <script src="https://kit.fontawesome.com/588d62cb43.js" crossorigin="anonymous"></script>
  <!-- script jquery -->
  <script src="assets/script/jquery.min.js"></script> 
  <script type="text/javascript" src="assets/script/titulos.js"></script>
  <script type="text/javascript" src="assets/script/jquery.mask.js"></script>
  <script type="text/javascript" src="assets/script/mask.js"></script>
  <script type="text/javascript" src="assets/script/script2.js"></script>
  <script type="text/javascript" src="assets/script/validation.min.js"></script>
  <script type="text/javascript" src="assets/script/script.js"></script>
  <!-- script jquery -->

  <!--[if lt IE 9]>
    <script src="template/js/html5shiv.js"></script>
    <script src="template/js/respond.min.js"></script>
  <![endif]-->
  
  
  <link href='http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700' rel='stylesheet' type='text/css'>
  <link rel="icon" type="image/png" sizes="16x16" href="assets/images/favicon.png">
</head><!--/head-->

<body>

  <!--.preloader-->
  <div class="preloader"> <i class="fa fa-circle-o-notch fa-spin"></i></div>
  <!--/.preloader-->

  <!--############################## MODAL PARA FORMULARIO LOGIN ######################################-->
<!-- sample modal content -->
<div id="myModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header bg-info">
                    <h4 class="modal-title text-white" id="myModalLabel"><i class="fa fa-align-justify"></i> Inicio de Sesión / Recuperar Password</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                </div>

            <div class="modal-body"><!-- modal-body ! -->

              <div id="loginform"><!-- loginform ! -->

                <form class="form form-material" name="formlogin" id="formlogin" action="">

                  <div id="login">
                  <!-- error will be shown here ! -->
                  </div>

                  <div class="row">
                    <div class="col-md-12">
                      <div class="form-group has-feedback">
                        <label class="control-label">Ingrese su Usuario: <span class="symbol required"></span></label>
                        <input type="hidden" name="proceso" value="login"/>
                        <input type="text" class="form-control" placeholder="Ingrese su Usuario" name="usuario" id="usuario" onKeyUp="this.value=this.value.toUpperCase();" autocomplete="off" required="" aria-required="true"> 
                        <i class="fa fa-user form-control-feedback"></i>                
                      </div>
                    </div>
                  </div>

                  <div class="row">
                    <div class="col-lg-12">
                      <div class="form-group has-feedback2">
                        <div class="campo">
                          <label class="control-label">Ingrese su Password: <a class="symbol required"></a></label>
                          <input class="form-control" type="password" placeholder="Ingrese su Password" name="password" id="txtPassword" onKeyUp="this.value=this.value.toUpperCase();" autocomplete="off" required="" aria-required="true"><span id="show_password" class="fa fa-eye icon" onclick="MostrarPassword()"></span>
                        </div>
                        <i class="fa fa-key form-control-feedback2"></i> 
                      </div>
                    </div>
                  </div>

                  <div class="row">
                    <div class="col-lg-12">
                      <div class="form-group has-feedback">
                          <label class="control-label">Seleccione Sucursal: </label>
                          <i class="fa fa-bars form-control-feedback"></i>
                          <select name="codsucursal" id="codsucursal" class="form-control" required="" aria-required="true">
                          <option value="<?php echo encrypt("0"); ?>"> -- SELECCIONE -- </option>
                          <?php
                          $sucursal = new Login();
                          $sucursal = $sucursal->ListarSucursales();
                          if($sucursal==""){ 
                            echo "";
                          } else {
                          for($i=0;$i<sizeof($sucursal);$i++){
                          ?>
                          <option style="color:#000;font-weight:bold;" value="<?php echo encrypt($sucursal[$i]['codsucursal']); ?>"><?php echo $sucursal[$i]['nomsucursal']; ?></option> 
                          <?php } } ?>
                        </select>
                      </div>
                    </div>
                  </div>

                  <div class="row">
                    <div class="col-lg-12">
                      <div class="form-group has-feedback">
                          <label class="control-label">Seleccione Tipo Ingreso: <a class="symbol required"></a></label>
                          <i class="fa fa-bars form-control-feedback"></i>
                          <select name="tipo" id="tipo" class="form-control" required="" aria-required="true">
                            <option value=""> -- SELECCIONE -- </option>
                            <option style="color:#000;font-weight:bold;" value="<?php echo encrypt("1"); ?>">ADMINISTRACIÓN</option> 
                            <option style="color:#000;font-weight:bold;" value="<?php echo encrypt("2"); ?>">ESPECIALISTA</option>
                            <option style="color:#000;font-weight:bold;" value="<?php echo encrypt("3"); ?>">PACIENTE</option>
                          </select>
                      </div>
                    </div>
                  </div>

                  <div class="row">
                    <div class="col-lg-12">
                      <a href="javascript:void(0)" id="to-recover" class="text-dark pull-right"><i class="fa fa-lock"></i> Olvidaste tu Contraseña?</a>        
                    </div>
                  </div>

                  <div class="modal-footer m-t-20">
                    <div class="col-md-6">
                      <button type="submit" name="btn-login" id="btn-login" class="btn btn-info btn-lg btn-block waves-effect waves-light" data-toggle="tooltip" data-placement="top" title="" data-original-title="Iniciar Sesión"><span class="fa fa-sign-in"></span> Acceder</button>
                    </div>
                    <div class="col-md-6">
                      <button type="button" class="btn btn-danger btn-lg btn-block waves-effect waves-light" data-dismiss="modal" onclick="document.getElementById('usuario').value = '',
                      document.getElementById('txtPassword').value = '',
                      document.getElementById('codsucursal').value = '<?php echo encrypt("0"); ?>',
                      document.getElementById('tipo').value = ''"><span class="fa fa-times-circle"></span> Cerrar</button>
                    </div>
                  </div>

                </form>

              </div><!-- loginform ! -->


              <div id="recoverform" style="display: none;"><!-- recoverform ! -->

                <form class="form form-material" name="formrecover" id="formrecover" action="">

                <div id="recover">
                  <!-- error will be shown here ! -->
                </div>

                  <div class="row">
                    <div class="col-md-12 m-t-5">
                      <div class="form-group has-feedback">
                        <label class="control-label">Correo Electrónico: <span class="symbol required"></span></label>
                        <input type="hidden" name="proceso" value="recuperar"/>
                        <input type="text" class="form-control" name="email" id="email" onKeyUp="this.value=this.value.toUpperCase();" placeholder="Ingrese su Correo Electronico" autocomplete="off" required="" aria-required="true"/> 
                        <i class="fa fa-envelope-o form-control-feedback"></i>                            
                      </div>
                    </div>
                  </div>

                  <div class="row">
                    <div class="col-lg-12">
                      <div class="form-group has-feedback">
                          <label class="control-label">Seleccione Tipo Ingreso: <a class="symbol required"></a></label>
                          <i class="fa fa-bars form-control-feedback"></i>
                          <select name="tipo" id="tipo" class="form-control" required="" aria-required="true">
                            <option value=""> -- SELECCIONE -- </option>
                            <option style="color:#000;font-weight:bold;" value="<?php echo encrypt("4"); ?>">ADMINISTRACIÓN</option> 
                            <option style="color:#000;font-weight:bold;" value="<?php echo encrypt("5"); ?>">ESPECIALISTA</option>
                            <option style="color:#000;font-weight:bold;" value="<?php echo encrypt("6"); ?>">PACIENTE</option>
                          </select>
                      </div>
                    </div>
                  </div>

                  <div class="row">
                    <div class="col-lg-12">
                      <a href="javascript:void(0)" id="to-login" class="text-dark pull-right"><i class="fa fa-arrow-circle-left"></i> Acceder al Sistema</a> <br>       
                    </div>
                  </div>


                  <div class="modal-footer m-t-20">
                    <div class="col-md-6">
                      <button type="submit" name="btn-recuperar" id="btn-recuperar" class="btn btn-info btn-lg btn-block waves-effect waves-light" data-toggle="tooltip" data-placement="top" title="" data-original-title="Recuperar Password"><span class="fa fa-check-square-o"></span> Recuperar Password</button>
                    </div>
                    <div class="col-md-6">
                      <button type="button" class="btn btn-danger btn-lg btn-block waves-effect waves-light" data-dismiss="modal" onclick="document.getElementById('email').value = '',
                      document.getElementById('tipo').value = ''"><span class="fa fa-times-circle"></span> Cerrar</button>
                    </div>
                  </div>

                </form>

              </div><!-- recoverform ! -->



            </div><!-- modal-body ! -->

        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
<!--############################## MODAL PARA FORMULARIO LOGIN ######################################-->

  <header id="home">
    <div id="home-slider" class="carousel slide carousel-fade" data-ride="carousel">
      <div class="carousel-inner">
        <div class="item active" style="background-image: url(template/images/slider/1.jpg)">
          <div class="caption">
            <h1 class="animated fadeInLeftBig">Bienvenido a <span><?php echo $con[0]['nomsucursal']; ?></span></h1>
            <p class="animated fadeInRightBig">Centro Odontologico Especializado</p>
            <a data-scroll class="btn btn-start animated fadeInUpBig" href="#about-us">Comencemos</a>
          </div>
        </div>
        <div class="item" style="background-image: url(template/images/slider/2.jpg)">
          <div class="caption">
            <h1 class="animated fadeInLeftBig">Nunca fue tan facil con <span><?php echo $con[0]['nomsucursal']; ?></span></h1>
            <p class="animated fadeInRightBig">Tú tratamiento garantizado con nuestros</p>
            <a data-scroll class="btn btn-start animated fadeInUpBig" href="#team">Profesionales</a>
          </div>
        </div>
        <div class="item" style="background-image: url(template/images/slider/3.jpg)">
          <div class="caption">
            <h1 class="animated fadeInLeftBig">No lo dudes <span>No pierdas esta oportunidad</span></h1>
            <p class="animated fadeInRightBig">Has realidad la sonrisa de tus sueños</p>
            <a data-scroll class="btn btn-start animated fadeInUpBig" href="#services">Vamos</a>
          </div>
        </div>
      </div>
      <a class="left-control" href="#home-slider" data-slide="prev"><i class="fa fa-angle-left"></i></a>
      <a class="right-control" href="#home-slider" data-slide="next"><i class="fa fa-angle-right"></i></a>

      <a id="tohash" href="#services"><i class="fa fa-angle-down"></i></a>

    </div><!--/#home-slider-->
    <div class="main-nav">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="index">
            <h1><?php if (file_exists("fotos/logo_principal.png")){
                echo "<img src='fotos/logo_principal.png' width='230' alt='Logo Principal' class='img-responsive'>"; 
                    } else {
                echo "<img src='' alt='Logo Principal' class='img-responsive'>"; 
            } ?></h1>
          </a>                    
        </div>
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav navbar-right">                 
            <li class="scroll active"><a href="#home"><i class="fa fa-bank"></i> Inicio</a></li>
            <li class="scroll"><a href="#services"><i class="fa fa-bars"></i> Servicios</a></li> 
            <li class="scroll"><a href="#about-us"><i class="fa fa-asterisk"></i> Nosotros</a></li>                     
            <li class="scroll"><a href="#portfolio"><i class="fa fa-clipboard"></i> Portafolio</a></li>
            <li class="scroll"><a href="#team"><i class="fa fa-user-md"></i> Especialistas</a></li>
            <li class="scroll"><a href="#contact"><i class="fa fa-envelope"></i> Contacto</a></li>
            <li class="scroll" data-placement="left" data-original-title="" data-href="#" data-toggle="modal" data-target="#myModal" data-backdrop="static" data-keyboard="false" ><a style="cursor: pointer;"><i class="fa fa-power-off"></i>  Login</a></li>  
          </ul>
        </div>
      </div>
    </div><!--/#main-nav-->
 </header><!--/#home-->


  <section id="services">
    <div class="container">
      <div class="heading wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="300ms">
        <div class="row">
          <div class="text-center col-sm-8 col-sm-offset-2">
            <h2>Nuestros Servicios</h2>
            <p>Contamos la mayor aproximada variabilidad de tratamientos odontológicos</p>
          </div>
        </div> 
      </div>
      <div class="text-center our-services">
        <div class="row">
          <div class="col-sm-4 wow fadeInDown" data-wow-duration="1000ms" data-wow-delay="300ms">
            <div class="service-icon">
              <i class="fas fa-teeth-open"></i>
            </div>
            <div class="service-info">
              <h3>Estética</h3>
              <p align="justify">Los tratamientos más comunes son las carillas dentales y el blanqueamiento dental. A parte de estos procedimientos, dentro de la estética dental también se engloban aquellas técnicas de rehabilitación oral necesarias para mejorar la sonrisa.</p>
            </div>
          </div>
          <div class="col-sm-4 wow fadeInDown" data-wow-duration="1000ms" data-wow-delay="450ms">
            <div class="service-icon">
              <i class="fa fa-tooth"></i>
            </div>
            <div class="service-info">
              <h3>Endodoncia</h3>
              <p align="justify">Es extirpación total de la pulpa o nervio del diente. Se trata de un procedimiento de limpieza del sistema de conductos radiculares en el que se eliminan bacterias y tejido necrótico para dejar el conducto lo más aséptico posible. Se realiza en diferentes fase.</p>
            </div>
          </div>
          <div class="col-sm-4 wow fadeInDown" data-wow-duration="1000ms" data-wow-delay="550ms">
            <div class="service-icon">
              <i class="fas fa-teeth"></i>
            </div>
            <div class="service-info">
              <h3>Ortodoncia</h3>
              <p align="justify">Se encarga de la corrección de los dientes y huesos posicionados incorrectamente. Los dientes en mala posición y los que no muerden correctamente unos contra otro son difíciles de mantener limpios, corren riesgos de pérdida precoz debido a caries y enfermedades periodontales.</p>
            </div>
          </div>
          <div class="col-sm-4 wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="650ms">
            <div class="service-icon">
              <i class="fas fa-hand-holding-medical"></i>
            </div>
            <div class="service-info">
              <h3>Rehabilitación Oral</h3>
              <p align="justify">El objetivo es devolver la función estética y armonía oral mediante prótesis dentales de pérdidas de dientes, grandes destrucciones o de solucionar problemas estéticos, siempre buscando una oclusión y función correcta.</p>
            </div>
          </div>
          <div class="col-sm-4 wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="750ms">
            <div class="service-icon">
              <i class="fas fa-tooth"></i>
            </div>
            <div class="service-info">
              <h3>Implantológia</h3>
              <p align="justify">Los implantes dentales son pequeño tornillos de titanio u otros materiales biocompatibles (que no generan rechazo por parte del sistema inmunológico de nuestro organismo) que cumplen con la función de las raíces naturales de los dientes que hemos perdido.</p>
            </div>
          </div>
          <div class="col-sm-4 wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="850ms">
            <div class="service-icon">
              <i class="fas fa-child"></i>
            </div>
            <div class="service-info">
              <h3>Odontopediatria</h3>
              <p align="justify">El objetivo es evitar que los niños padezcan problemas más graves en la edad adulta. Durante su infancia, padres o tutores, con la ayuda del dentista, son responsables de transmitir al pequeño unos correctos hábitos de higiene para asegurar un estado bucodental saludable en el futuro.</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section><!--/#services-->
  <section id="about-us" class="parallax">
    <div class="container">
      <div class="row">
        <div class="col-sm-6">
          <div class="about-info wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="300ms">
            <h2>Acerca de Nosotros</h2>
            <p> Somos un Centro odontológico Especializado que cuenta con diversos especilistas que garantizan el tratamiento que se lleve,motivo por el cual tenemos gran acojida en el departamento de Puno como tambien nuestro concepto es:</p>
             <H3>Misión</H3>
             <p> <i>Nuestra mision como centro odontologico especializado es brindarte el mejor servicio que ocupan todo nuestro personal para tu tranquilidad y satifaccion en la culminacion de tratamientos cuya protección de salud nos ha sido confiada</i></p>
             <H3>Visión</H3>
             <p> <i>Ser el sistema de atención odontologico integral líder en la macro region sur y posteriormente del pais, con la más avanzada tecnología en manos de un equipo integrado por odontólogos especializados, asistentes y administrativos comprometidos con la mejora continua  que busca que sus pacientes sonrían sanamente..</i></p>

             <p> Por todo ello te ofrecemos:</p>
          
          </div>
        </div>
        <div class="col-sm-6">
          <div class="our-skills wow fadeInDown" data-wow-duration="1000ms" data-wow-delay="300ms">
            <div class="single-skill wow fadeInDown" data-wow-duration="1000ms" data-wow-delay="300ms">
              <p class="lead">Profesionales de primer nivel</p>
              <div class="progress">
                <div class="progress-bar progress-bar-primary six-sec-ease-in-out" role="progressbar"  aria-valuetransitiongoal="100">100%</div>
              </div>
            </div>
            <div class="single-skill wow fadeInDown" data-wow-duration="1000ms" data-wow-delay="400ms">
              <p class="lead">Varabilidad de Servicios</p>
              <div class="progress">
                <div class="progress-bar progress-bar-primary six-sec-ease-in-out" role="progressbar"  aria-valuetransitiongoal="90">90%</div>
              </div>
            </div>
            <div class="single-skill wow fadeInDown" data-wow-duration="1000ms" data-wow-delay="500ms">
              <p class="lead">Materiles y tecnológia avanzada </p>
              <div class="progress">
                <div class="progress-bar progress-bar-primary six-sec-ease-in-out" role="progressbar"  aria-valuetransitiongoal="95">95%</div>
              </div>
            </div>
            <div class="single-skill wow fadeInDown" data-wow-duration="1000ms" data-wow-delay="600ms">
              <p class="lead">Seguridad y Garantia</p>
              <div class="progress">
                <div class="progress-bar progress-bar-primary six-sec-ease-in-out" role="progressbar"  aria-valuetransitiongoal="100">100%</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section><!--/#about-us-->


  <section id="portfolio"><!--/#portfolio-->
    <div class="container">
      <div class="row">
        <div class="heading text-center col-sm-8 col-sm-offset-2 wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="300ms">
          <h2>Nuestro Portafolio</h2>
          <p><i>"Experiencias reflejas en imagenes"</i></p>
        </div>
      </div> 
    </div>

    <div class="container-fluid">
      <div class="row">

    <?php
    $directory="template/images/portfolio/";
    if (is_dir($directory)) {
      $dirint = dir($directory);
        while (($archivo = $dirint->read()) !== false){

      if ($archivo != "." && $archivo != ".." && substr_count($archivo , ".jpg")==1 || substr_count($archivo , ".JPG")==1 ){ ?>

        <div class="col-sm-3">
          <div class="folio-item wow fadeInLeftBig" data-wow-duration="1000ms" data-wow-delay="800ms">
            <div class="folio-image">
              <img class="img-responsive" src="<?php echo $directory."/".$archivo; ?>" alt="">
            </div>
            <div class="overlay">
              <div class="overlay-content">
                <div class="overlay-text">
                  <div class="folio-info">
                    <h3></h3>
                    <p>Diseño, Fotografía</p>
                  </div>
                  <div class="folio-overview">
                    <span class="folio-expand"><a href="<?php echo $directory."/".$archivo; ?>" data-lightbox="portfolio"><i class="fa fa-search-plus"></i></a></span>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

      <?php }
              }
      $dirint->close();
      } else { } ?>
        
      </div>
    </div>
    <div id="portfolio-single-wrap">
      <div id="portfolio-single">
      </div>
    </div><!-- /#portfolio-single-wrap -->
  </section><!--/#portfolio-->


  <section id="team" class="ftco-section"><!--/#especialistas-->
      <div class="container">
      	<div class="row justify-content-center mb-5 pb-5">
          <div class="col-md-12 text-center heading-section ftco-animate">
            <h2 class="mb-3">Nuestro Equipo</h2>
            <p>Contamos con los mejores especialistas en Odontologia para su Seguridad y Confianza.</p>
          </div>
        </div>
        <div class="row">
        <?php 
        $esp = new Login();
        $esp = $esp->ListarEspecialistasWeb();

        if($esp==""){   

        } else {

        $img= 1;
        for($i=0;$i<sizeof($esp);$i++){  
        ?> 
        	<div class="col-lg-3 col-md-6 d-flex mb-sm-4 ftco-animate">
        		<div class="staff">
      				<div>
      				<?php if (file_exists("fotos/".$esp[$i]['codespecialista'].".jpg")){
                        echo "<img src='fotos/".$esp[$i]['codespecialista'].".jpg?' class='img mb-4'>"; 
                    } else {
                        echo "<img src='fotos/avatar.png' class='img mb-4'>"; 
                    } ?>
                    </div>
      				<div class="info text-center">
      					<h3><a href="#"><?php echo $esp[$i]['nomespecialista']; ?></a></h3>
      					<span class="position"><abbr title="<?php echo $esp[$i]['gruposnombres'] == "" ? "" : $esp[$i]['gruposnombres']; ?>"><?php echo $esp[$i]['especialidad']; ?></abbr></span>
      					<div class="text">
	        				<p><?php echo $esp[$i]['tlfespecialista']; ?></p>
	        				<ul class="ftco-social">
			              <li class="ftco-animate"><a href="<?php echo $esp[$i]['twitter'] == '' ? "#" : $esp[$i]['twitter']; ?>"><span class="fa fa-twitter"></span></a></li>
			              <li class="ftco-animate"><a href="<?php echo $esp[$i]['facebook'] == '' ? "#" : $esp[$i]['facebook']; ?>"><span class="fa fa-facebook"></span></a></li>
			              <li class="ftco-animate"><a href="<?php echo $esp[$i]['instagram'] == '' ? "#" : $esp[$i]['instagram']; ?>"><span class="fa fa-instagram"></span></a></li>
			              <li class="ftco-animate"><a href="<?php echo $esp[$i]['google'] == '' ? "#" : $esp[$i]['google']; ?>"><span class="fa fa-google-plus"></span></a></li>
			            </ul>
	        			</div>
      				</div>
        		</div>
        	</div>
        <?php } } ?>
        </div>
      </div>
    </section><!--/#especialistas-->


  <section id="features" class="parallax">
    <div class="container">
      <div class="row count">
        <div class="col-sm-5 col-xs-6 wow fadeInLeft" data-wow-duration="1000ms" data-wow-delay="300ms">
          <i class="fa fa-user"></i>
          <h3 class="timer">4000</h3>
          <p>Pacientes Felices</p>
        </div>
        <div class="col-sm-2 col-xs-6 wow fadeInLeft" data-wow-duration="1000ms" data-wow-delay="500ms">
          <i class="fa fa-desktop"></i>
          <h3 class="timer">200</h3>                    
          <p>Visitas recientes</p>
        </div> 
    
        <div class="col-sm-4 col-xs-6 wow fadeInLeft" data-wow-duration="1000ms" data-wow-delay="900ms">
          <i class="fa fa-comment-o"></i>                    
          <h3>24/7</h3>
          <p>Soporte</p>
        </div>                 
      </div>
    </div>
  </section><!--/#features-->


  <section id="contact">
    <div id="google-map" class="wow fadeIn" data-latitude="52.365629" data-longitude="4.871331" data-wow-duration="1000ms" data-wow-delay="400ms"></div>
    <div id="contact-us" class="parallax">
      <div class="container">
        <div class="row">
          <div class="heading text-center col-sm-8 col-sm-offset-2 wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="300ms">
            <h2>Formulario de Contacto</h2>
            <p>Envianos un mensaje, ingresando los datos solicitados en el siguiente formulario.</p>
          </div>
        </div>
        <div class="contact-form wow fadeIn" data-wow-duration="1000ms" data-wow-delay="600ms">
          <div class="row">
            <div class="col-sm-6">
              <!--<form id="main-contact-form" name="contact-form" method="post" action="#">-->
              	<form name="forcontact" id="formcontact" action="">

                <div id="msj_contact">
                <!-- error will be shown here ! -->
                </div>

                <div class="row  wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="300ms">
                  <div class="col-sm-6">
                    <div class="form-group">
                      <input type="hidden" name="proceso" value="msj_contact"/>
                      <input type="text" name="name" id="name" class="form-control" placeholder="Ingrese su Nombre" onKeyUp="this.value=this.value.toUpperCase();"  autocomplete="off" required="" aria-required="true">
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-group">
                      <input type="text" name="phone" id="phone" class="form-control phone-inputmask" placeholder="Ingrese su Nº de Telefono" onKeyUp="this.value=this.value.toUpperCase();"  autocomplete="off" required="" aria-required="true">
                    </div>
                  </div>
                </div>

                <div class="row">
                  <div class="col-sm-6">
                    <div class="form-group">
                      <input type="text" name="email" id="email" class="form-control" placeholder="Ingrese su Email" onKeyUp="this.value=this.value.toUpperCase();"  autocomplete="off" required="" aria-required="true">
                    </div>
                  </div>

                  <div class="col-sm-6">
                    <div class="form-group">
                      <input type="text" name="subject" id="subject" class="form-control" placeholder="Ingrese Asunto" onKeyUp="this.value=this.value.toUpperCase();"  autocomplete="off" required="" aria-required="true">
                    </div>
                  </div>
                </div>

                <div class="form-group">
                  <textarea name="message" id="message" class="form-control" rows="4" placeholder="Ingrese Mensaje" onKeyUp="this.value=this.value.toUpperCase();"  autocomplete="off" required="" aria-required="true"></textarea>
                </div> 

                <div class="form-group">
                  <button type="submit" name="btn-contact" id="btn-contact" class="btn-submit btn-lg btn-block waves-effect waves-light" data-toggle="tooltip" data-placement="top" title="" data-original-title="Haga clic aquí para Enviar Mensaje"><span class="fa fa-send"></span> Enviar Mensaje</button>
                </div>
              </form>   
            </div>
            <div class="col-sm-6">
              <div class="contact-info wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="300ms">
                <p>Contactamos a nosotros y te responderemos en menos de 24 horas.</p>
                <ul class="address">
                  <li><i class="fa fa-map-marker"></i> <span> Direccion:</span> <?php echo $departamento = ($con[0]['id_departamento'] == '0' ? "" : $con[0]['departamento'])." ".$provincia = ($con[0]['id_provincia'] == '0' ? "" : $con[0]['provincia'])." ".$con[0]['direcsucursal']; ?> </li>
                  <li><i class="fa fa-phone"></i> <span> Celular:</span> <?php echo $con[0]['tlfsucursal']; ?> </li>
                  <li><i class="fa fa-envelope"></i> <span> Email:</span><a href="mailto:<?php echo $con[0]['correosucursal']; ?>"><?php echo $con[0]['correosucursal']; ?></a></li>
                  <li><i class="fa fa-globe"></i> <span> Website:</span> <a href="#"><?php echo $con[0]['pagina_web']; ?></a></li>
                </ul>
              </div>                            
            </div>
          </div>
        </div>
      </div>
    </div>        
  </section><!--/#contact-->


  <footer id="footer">
    <div class="footer-top wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="300ms">
      <div class="container text-center">
        <div class="footer-logo">
          <a href="index"><?php if (file_exists("fotos/logo_principal.png")){
                echo "<img src='fotos/logo_principal.png' alt='Logo Principal' class='img-responsive'>"; 
                    } else {
                echo "<img src='' alt='Logo Principal' class='img-responsive'>"; 
            } ?></a>
        </div>
        <div class="social-icons">
          <ul>
            <li><a class="envelope" href="#"><i class="fa fa-envelope"></i></a></li>
            <li><a class="twitter" href="#"><i class="fa fa-twitter"></i></a></li> 
            <li><a class="dribbble" href="#"><i class="fa fa-dribbble"></i></a></li>
            <li><a class="facebook" href="#"><i class="fa fa-facebook"></i></a></li>
            <li><a class="linkedin" href="#"><i class="fa fa-linkedin"></i></a></li>
            <li><a class="tumblr" href="#"><i class="fa fa-tumblr-square"></i></a></li>
          </ul>
        </div>
      </div>
    </div>
    <div class="footer-bottom">
      <div class="container">
        <div class="row">
          <div class="col-sm-6">
            <i class="fa fa-copyright"></i> <span class="current-year"></span>.
          </div>
          <div class="col-sm-6">
            <p class="pull-right"><?php echo $con[0]['nomsucursal']; ?></p>
          </div>
        </div>
      </div>
    </div>
  </footer>

  <!-- jQuery -->
  <script src="assets/js/jquery.js"></script>
  <script type="text/javascript" src="template/js/password.js"></script>
  <!-- Custom Theme JavaScript -->
  <script type="text/javascript" src="template/js/custom.js"></script>
  <!-- jQuery -->
  <script type="text/javascript" src="template/js/bootstrap.min.js"></script>
  <!---->
  <script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true"></script>
  <script type="text/javascript" src="template/js/jquery.inview.min.js"></script>
  <script type="text/javascript" src="template/js/wow.min.js"></script>
  <script type="text/javascript" src="template/js/mousescroll.js"></script>
  <script type="text/javascript" src="template/js/smoothscroll.js"></script>
  <script type="text/javascript" src="template/js/jquery.countTo.js"></script>
  <script type="text/javascript" src="template/js/lightbox.min.js"></script>
  <script type="text/javascript" src="template/js/main.js"></script>
 
  <!-- jQuery -->
  <script src="assets/plugins/noty/packaged/jquery.noty.packaged.min.js"></script>

</body>
</html>