<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="16";
$submodulo="76";
require_once("includes/rsusuario.php"); 

echo "Inicio ".date("Y-m-d H:i:s")."<br />";

// busca si existe el producto descuento debe estar borrado
$consulta="
select idprod_serial from productos where idtipoproducto = 8 limit 1
";
$rsdesc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idproducto_descuento=intval($rsdesc->fields['idprod_serial']);
// si no existe crea
if($idproducto_descuento == 0){	
	$valido='N';
	$errores.='- No existe el articulo descuento, ingrese a productos y se creara automaticamente.'.$saltolinea;
	echo $errores;exit;
}

$consulta="
SELECT descneto, idventa, sucursal
FROM ventas 
where 
descneto > 0
and (select idventa from ventas_detalles where ventas_detalles.idventa = ventas.idventa and idprod = $idproducto_descuento) is null
order by idventa desc
";
$rsv=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



while(!$rsv->EOF){
	
	$idventa=intval($rsv->fields['idventa']);
	$idsucursal=intval($rsv->fields['sucursal']);
	$descuento_sobre_factura=floatval($rsv->fields['descneto']);
	
	if($idventa == 0){
		echo "No envio idventa";exit;	
	}
	if($descuento_sobre_factura == 0){
		echo "No envio descuento";exit;	
	}
	if($idsucursal == 0){
		echo "No envio sucursal";exit;	
	}
	
	// prorratear descuento
	
	$descuento_negativo=$descuento_sobre_factura*-1;
	
	// insertar 1 registro en ventas detalles
	$consulta="
	INSERT INTO ventas_detalles
	(
	pventa, cantidad, subtotal, idventa, idemp, sucursal, idprod, pchar, 
	retirado_por, costo, subtotal_costo, utilidad, idtipoiva, iva, base_imponible,
	registrado_el, descuento, subtotal_sindesc, descuento_porc, subtotal_monto_iva,
	idprod_mitad1, idprod_mitad2, existencia, serialcostos,
	subtotal_monto_iva_excluido_diplomatico, iva_excluido_diplomatico,
	subtotal_anterior_diplomatico, pventa_anterior_diplomatico,
	pventa_monto_iva_anterior, cortesia, rechazo, idmotivorecha,
	idventatmp
	)	    
	VALUES 
	(
	$descuento_negativo, 1, $descuento_negativo, $idventa, 1, $idsucursal, $idproducto_descuento, NULL,
	NULL, 0, 0, $descuento_negativo, 0, 0, 0,
	'$ahora', 0, $descuento_negativo, 0, 0,
	NULL, NULL, 0, 0,
	0, NULL,
	0, 0,
	0, NULL, NULL, NULL,
	NULL
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	select idventadet from ventas_detalles where idventa = $idventa order by idventadet desc limit 1 
	";
	$rsvdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idventadet=$rsvdet->fields['idventadet'];

	$parametros_array=array(
		'idventa' => $idventa,
		'descuento' => $descuento_sobre_factura,
	
	);
	$res=prorratear_descuento_impuesto($parametros_array);
	//print_r($res);exit;
	// insertar en ventas detalles impuesto
	
	foreach($res as $key => $value){
		$iva_porc=$key;
		
		$monto_iva=$value['monto_iva'];
		$monto_col=$value['monto_columna'];
		$gravadoml=$monto_col-$monto_iva;
		if($iva_porc == 0){
			$exento='S';
		}else{
			$exento='N';	
		}
		if(floatval($monto_col) <> 0){
			$consulta="
			INSERT INTO ventas_detalles_impuesto
			(idventadet, idventa, idproducto, idtipoiva, iva_porc_col, monto_col, gravadoml,
			 ivaml, exento) 
			VALUES 
			($idventadet, $idventa, $idproducto_descuento, 4, $iva_porc, $monto_col, $gravadoml,
			 $monto_iva,  '$exento')
			";
			//echo $consulta;exit;
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
	
	}
	
	echo "Aplicado idventa: ".$idventa."<br />";


	
$rsv->MoveNext(); } 

echo "Final ".date("Y-m-d H:i:s")."<br />";
			
?>