<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="16";
$submodulo="76";
require_once("includes/rsusuario.php"); 

//error_reporting(E_ALL);
set_time_limit(1000);




function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}



if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';


if(($_GET['cj']) > 0){
	$idcaja=intval($_GET['cj']);
	$filtrocaja.=" and ventas.idcaja = $idcaja";
	
}
if(($_GET['suc']) > 0){
	$idsuc=intval($_GET['suc']);
	$filtrocaja.=" and ventas.sucursal = $idsuc";
	
}
if(intval($_GET['idprod_serial']) > 0){
	$idprod_serial=intval($_GET['idprod_serial']);
	$filtrocaja.=" and (select idprod from ventas_detalles where idventa = ventas.idventa and idprod = $idprod_serial limit 1) > 0  ";
	
}

$consulta="
select idventa, factura as 'Factura', 
REPLACE(COALESCE(totalcobrar,0),'.',',') as 'Total Venta', 
fecha as 'Fecha', 
REPLACE(COALESCE((select sum(subtotal_costo) from ventas_detalles where idventa = ventas.idventa),0),'.',',') as costo,
REPLACE(COALESCE((select sum(subtotal_costo)-(sum(subtotal_costo)-(sum(subtotal_costo)/(1+iva/100))) from ventas_detalles where idventa =  ventas.idventa),0),'.',',') as costo_sininva,
REPLACE(COALESCE((select sum(subtotal) from ventas_detalles where idventa = ventas.idventa),0),'.',',') as venta,
REPLACE(COALESCE((select sum(utilidad) from ventas_detalles where idventa = ventas.idventa),0),'.',',') as margen,
REPLACE(COALESCE(round((((select sum(utilidad) from ventas_detalles where idventa = ventas.idventa)/(select sum(subtotal) from ventas_detalles where idventa = ventas.idventa))*100),2),0),'.',',') as 'Porcentaje Margen'
from ventas 
where 
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
$addcate
$addsubcate
and ventas.estado <> 6
and ventas.idempresa = $idempresa
$filtrocaja
order by fecha desc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 //	CONCAT('\"',factura,'\"') as Factura,


 $impreso=date("d/m/Y H:i:s");



$datos="";


	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$datos.=limpiacsv($value).';';
		}
		$datos.=$saltolinea;
	$rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=ventas_cos_pf_'.$impreso.'.csv');
	
echo $datos;
exit;



exit;

/*

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';


if(($_GET['cj']) > 0){
	$idcaja=intval($_GET['cj']);
	$filtrocaja.=" and ventas.idcaja = $idcaja";
	
}
if(($_GET['suc']) > 0){
	$idsuc=intval($_GET['suc']);
	$filtrocaja.=" and ventas.sucursal = $idsuc";
	
}
if(intval($_GET['idprod_serial']) > 0){
	$idprod_serial=intval($_GET['idprod_serial']);
	$filtrocaja.=" and (select idprod from ventas_detalles where idventa = ventas.idventa and idprod = $idprod_serial limit 1) > 0  ";
	
}



$consulta="
select idventa, factura as 'Factura', totalcobrar as 'Total Venta', fecha as 'Fecha', 
REPLACE(COALESCE((select sum(subtotal_costo) from ventas_detalles where idventa = ventas.idventa),0),'.',',') as costo,
REPLACE(COALESCE((select sum(subtotal_costo)-(sum(subtotal_costo)-(sum(subtotal_costo)/(1+iva/100))) from ventas_detalles where idventa =  ventas.idventa),0),'.',',') as costo_sininva,
REPLACE(COALESCE((select sum(subtotal) from ventas_detalles where idventa = ventas.idventa),0),'.',',') as venta,
REPLACE(COALESCE((select sum(utilidad) from ventas_detalles where idventa = ventas.idventa),0),'.',',') as margen,
REPLACE(COALESCE(round((((select sum(utilidad) from ventas_detalles where idventa = ventas.idventa)/(select sum(subtotal) from ventas_detalles where idventa = ventas.idventa))*100),2),0),'.',',') as 'Porcentaje Margen'
from ventas 
where 
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
$addcate
$addsubcate
and ventas.estado <> 6
and ventas.idempresa = $idempresa
$filtrocaja
order by fecha desc
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$tr=$rs->RecordCount();





require_once("../clases/spout-master/src/Spout/Autoloader/autoload.php");

use Box\Spout\Writer\Common\Creator\WriterEntityFactory;
use Box\Spout\Common\Entity\Row;




$bus=1;


	
if ($tr > 0){
	//hay resultado, y dependiendodel tipo, le metemos
	


	// crear objeto para escribir
	$writer = WriterEntityFactory::createXLSXWriter();

	
	// nombre archivo
	$current=date("YmdHis");
	$ile="lventas_hec_$current.xlsx".
	$fileName=$ile;
	
	// tipo de output archivo en servidor o navegador
	//$writer->openToFile($filePath); // write data to a file or to a PHP stream
	$writer->openToBrowser($fileName); // stream data directly to the browser
	
	
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	$col=0;
	$colspan=0;
	$i=0;
	foreach($array as $key=>$value){
		$excelobj_cab[$i] = $key;
		$i++;
	}
	//reset($array);

	$rowFromValues = WriterEntityFactory::createRowFromArray($excelobj_cab);
	$writer->addRow($rowFromValues);
	
	//print_r($excelobj);exit;
	
	
	//CONSTRUYE DETALLE
	$i=0;
	while (!$rs->EOF){
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$excelobj[$i] = $value;
			$i++;	
		}
		$rowFromValues = WriterEntityFactory::createRowFromArray($excelobj);
		$writer->addRow($rowFromValues);
	
	
		$rs->MoveNext();
	}
	
	
	
	$writer->close();
	
}else{
	echo "No hay registros para el periodo seleccionado: <strong>".mesespanol($mes)." ".$ano."</strong>";
	exit;
}

*/
?>