<?php
require_once("includes/conexion.php");
//require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="45";
$submodulo="7";

require_once("includes/rsusuario.php"); 


$ser=intval($_GET['id']);
if($ser == 0){
	header("location: bancos.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from cuentas 
where 
ser = $ser
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idbanco=intval($rs->fields['idbanco']);
$ser=intval($rs->fields['ser']);
if($ser == 0){
	header("location: bancos.php");
	exit;	
}




if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// busca si hay otra cuenta de caja 
	$consulta="
	select idbanco from cuentas where ser <> $ser and caja = 'S' and estado <> 6
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idbancoex=intval($rsex->fields['idbanco']);
	if($idbancoex == 0){
		$errores.="- No se puede borrar por que debe haber al menos 1 cuenta de caja en el sistema para movimientos en efectivo.<br />";
		$valido="N";
	}


	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update cuentas
		set
			estado = 6,
			actualizado_por=$idusu,
			actualizado_el='$ahora'

		where
			ser = $ser
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: bancos_det.php?id=".$idbanco);
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());








?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Borrar Cuenta</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cuenta # *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="cuentanum" id="cuentanum" value="<?php  if(isset($_POST['cuentanum'])){ echo htmlentities($_POST['cuentanum']); }else{ echo htmlentities($rs->fields['cuentanum']); }?>" placeholder="Cuentanum" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Saldo inicial </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="saldo_inicial" id="saldo_inicial" value="<?php  if(isset($_POST['saldo_inicial'])){ echo floatval($_POST['saldo_inicial']); }else{ echo floatval($rs->fields['saldo_inicial']); }?>" placeholder="Saldo inicial" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Tipocuenta </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['tipocuenta'])){ 
	$value_selected=htmlentities($_POST['tipocuenta']); 
}else{
	$value_selected=$rs->fields['tipocuenta'];
}
// opciones
$opciones=array(
	'CAJA DE AHORRO' => 1,
	'CUENTA CORRIENTE' => 2,

);
// parametros
$parametros_array=array(
	'nombre_campo' => 'tipocuenta',
	'id_campo' => 'tipocuenta',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' disabled ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Denominacion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="denominacion" id="denominacion" value="<?php  if(isset($_POST['denominacion'])){ echo htmlentities($_POST['denominacion']); }else{ echo htmlentities($rs->fields['denominacion']); }?>" placeholder="Denominacion" class="form-control"  />                    
	</div>
</div>





<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='bancos_det.php?id=<?php echo $idbanco ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />




                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
