<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="44";
$submodulo="663";
$dirsup="S";
require_once("../includes/rsusuario.php"); 



if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$nombre_marca=$_POST['nombre_marca'];
	$estado=1;
	$muestra_reportes='S';
	$idlistaprecio=$_POST['idlistaprecio'];
	$registrado_por=$idusu;
			
	$registrado_el=$ahora;
			



	$parametros_array=array(
		"nombre_marca" => $nombre_marca,
		"estado" => $estado,
		"muestra_reportes" => $muestra_reportes,
		"idlistaprecio" => $idlistaprecio,
		"registrado_por" => $registrado_por,
		"registrado_el" => $registrado_el,
		"borrado_por" => $borrado_por,
		"borrado_el" => $borrado_el
	);

	// si todo es correcto actualiza
	if($valido == "S"){
		$res=dark_kitchen_add($parametros_array);
		if ($res["valido"]=="S") {
			header("location: dark_kitchen.php");
			exit;
		}else{
			$errores.=$res["errores"];
		}
		
	}else{
		$errores.=$res["errores"];
	}


}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

// se puede mover esta funcion al archivo funciones_dark_kitchen.php y realizar un require_once
function dark_kitchen_add($parametros_array){
	global $conexion;
	global $saltolinea;

	// validaciones basicas
	$valido="S";
	$errores="";
	
    
	$nombre_marca=antisqlinyeccion($parametros_array['nombre_marca'],"text");
	$estado=antisqlinyeccion($parametros_array['estado'],"int");
	$muestra_reportes=antisqlinyeccion($parametros_array['muestra_reportes'],"text");
	$idlistaprecio=antisqlinyeccion($parametros_array['idlistaprecio'],"int");
	$registrado_por=antisqlinyeccion($parametros_array['registrado_por'],"int");
	$registrado_el=antisqlinyeccion($parametros_array['registrado_el'],"text");
	
	if(trim($parametros_array['nombre_marca']) == ''){
		$valido="N";
		$errores.=" - El campo nombre_marca no puede estar vacio.<br />";	
	}
	if(trim($parametros_array['muestra_reportes']) == ''){
		$valido="N";
		$errores.=" - El campo muestra_reportes no puede estar vacio.<br />";	
	}
/* 
idlistaprecio 
	if(intval($parametros_array['idlistaprecio']) == 0){
		$valido="N";
		$errores.=" - El campo idlistaprecio no puede ser cero o nulo.<br />";	
	}
*/
/* 
borrado_por 
*/
/* 
borrado_el 
*/
	

	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into dark_kitchen
		(nombre_marca, estado, muestra_reportes, idlistaprecio, registrado_por, registrado_el)
		values
		($nombre_marca, $estado, $muestra_reportes, $idlistaprecio, $registrado_por, $registrado_el)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
	}


	return array("errores"=>$errores,"valido"=>$valido);
}


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Dark Kitchen</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


					  
					  
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre marca *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="nombre_marca" id="nombre_marca" value="<?php  if(isset($_POST['nombre_marca'])){ echo htmlentities($_POST['nombre_marca']); }else{ echo htmlentities($rs->fields['nombre_marca']); }?>" placeholder="Nombre marca" class="form-control" required="required" />                    
	</div>
</div>



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Lista precio </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php
// consulta
$consulta="
SELECT idlistaprecio, lista_precio
FROM lista_precios_venta
where
estado = 1
and idlistaprecio > 1
order by lista_precio asc
 ";
/*
$opciones_extra=array(
	'PROCESO MANUAL' => 'PM'
);
*/

// valor seleccionado
if(isset($_POST['idlistaprecio'])){ 
	$value_selected=htmlentities($_POST['idlistaprecio']); 
}else{
	$value_selected='';
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idlistaprecio',
	'id_campo' => 'idlistaprecio',
	
	'nombre_campo_bd' => 'lista_precio',
	'id_campo_bd' => 'idlistaprecio',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'NORMAL',
	'pricampo_value' => '1',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'N',
	//'opciones_extra' => $opciones_extra,

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='dark_kitchen.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />				  
					  
					  
					  
					  
					  
					  
					  
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
