<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}

$whereadd="";
$idcpr=intval($_GET['idcentroprod']);
if($idcpr > 0){
	$whereadd.="
	and produccion_orden_new_detalles.idcpr = $idcpr
	";
}
$idagrupacionprod=intval($_GET['idagrupacionprod']);
if($idagrupacionprod > 0){
	$whereadd.="
	and insumos_lista.idagrupacionprod = $idagrupacionprod
	";
}

if($idcpr > 0){
	
		
	$consulta="
	select iddeposito ,
	(select descripcion from gest_depositos where iddeposito = produccion_centros.iddeposito) as deposito
	from produccion_centros 
	where 
	idcentroprod = $idcpr
	";
	$rsdep=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
	
	$iddeposito=$rsdep->fields['iddeposito'];
	//iner join produccion_centros on produccion_centros.idcentroprod = produccion_orden_new_detalles.idcpr
	
	
	// pedidos a produccion
	$consulta="
	SELECT insumos_lista.idinsumo, insumos_lista.descripcion, 
	(
	SELECT
	sum(pondet.cantidad_producir)
	FROM produccion_orden_new poncab
	inner join produccion_orden_new_detalles pondet on pondet.idordengral = poncab.idordengral
	where
	poncab.estado = 1
	and pondet.idinsumo = insumos_lista.idinsumo
	and poncab.tipo = 1
	and (date(pondet.fecha_producir) BETWEEN '$desde' and '$hasta') 
	) as cant_clie,
	(
	SELECT
	sum(pondet.cantidad_producir)
	FROM produccion_orden_new poncab
	inner join produccion_orden_new_detalles pondet on pondet.idordengral = poncab.idordengral
	where
	poncab.estado = 1
	and pondet.idinsumo = insumos_lista.idinsumo
	and poncab.tipo = 2
	and (date(pondet.fecha_producir) BETWEEN '$desde' and '$hasta') 
	) as cant_interno,
	(
	select sum(gest_depositos_stock_gral.disponible) 
	from gest_depositos_stock_gral 
	where 
	gest_depositos_stock_gral.iddeposito = $iddeposito
	and gest_depositos_stock_gral.idproducto = insumos_lista.idinsumo
	) as stock_actual
	FROM produccion_orden_new 
	inner join produccion_orden_new_detalles on produccion_orden_new_detalles.idordengral = produccion_orden_new.idordengral
	inner join insumos_lista on insumos_lista.idinsumo = produccion_orden_new_detalles.idinsumo
	
	where
	produccion_orden_new.estado = 1
	and (date(produccion_orden_new_detalles.fecha_producir) BETWEEN '$desde' and '$hasta' ) 
	$whereadd
	group by insumos_lista.idinsumo, insumos_lista.descripcion
	";
	$rs=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));

}

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Demanda de Produccion</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
   
                  <div class="x_content">
           
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Centro Produccion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idcentroprod, descripcion
FROM produccion_centros
where
estado = 1
order by descripcion asc
 ";

// valor seleccionado
if(isset($_GET['idcentroprod'])){ 
	$value_selected=htmlentities($_GET['idcentroprod']); 
}else{
	$value_selected=htmlentities($rs->fields['idcentroprod']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idcentroprod',
	'id_campo' => 'idcentroprod',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idcentroprod',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array); 
?>
	</div>
</div>



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Agrupacion Produccion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
    <?php 
// consulta
$consulta="
Select idagrupacionprod,  agrupacion_prod
from produccion_agrupacion 
where 
estado <> 6 
order by agrupacion_prod asc
";

// valor seleccionado
if(isset($_GET['idagrupacionprod'])){ 
	$value_selected=htmlentities($_GET['idagrupacionprod']); 
}else{
	$value_selected=htmlentities($rs->fields['idagrupacionprod']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idagrupacionprod',
	'id_campo' => 'idagrupacionprod',
	
	'nombre_campo_bd' => 'agrupacion_prod',
	'id_campo_bd' => 'idagrupacionprod',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>

</form>
<div class="clearfix"></div>
<br /><br />
<?php if($idcpr > 0){ ?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Producto</th>
            <th align="center">Stock Ideal<br />(<?php echo $rsdep->fields['deposito'] ?>)</th>
			<th align="center">Cantidad Pedidos Internos</th>
			<th align="center">Cantidad Pedidos Clientes</th>
            <th >Total Pedidos<br /> (Necesidad Urgente)</th>
            <th >Necesidad <br />(con Stock Ideal)</th>
            <th align="center">Stock Actual<br />(<?php echo $rsdep->fields['deposito'] ?>)</th>
            <th align="center">Diferencia a producir<br />(p/ pedidos)</th>
            <th align="center">Diferencia a producir<br />(p/ stock ideal)</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ 


$necesidad_pedidos_urg=$rs->fields['cant_interno']+$rs->fields['cant_clie'];
$necesidad_con_stock_ideal=$necesidad_pedidos_urg+$rs->fields['stock_ideal'];
$stock_actual=$rs->fields['stock_actual'];
$dif_producir_para_pedidos=$necesidad_pedidos_urg-$stock_actual;
$dif_producir_para_stock_ideal=$necesidad_con_stock_ideal-$stock_actual;
?>
		<tr>

			<td align="center"><?php echo antixss($rs->fields['descripcion']); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['stock_ideal'],4,'N'); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['cant_interno'],4,'N'); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['cant_clie'],4,'N'); ?></td>
            <td align="center"><?php echo formatomoneda($necesidad_pedidos_urg,4,'N'); ?></td>
            <td align="center"><?php echo formatomoneda($necesidad_con_stock_ideal,4,'N'); ?></td>
            <td align="center"><?php echo formatomoneda($stock_actual,4,'N'); ?></td>
            <td align="center"><?php echo formatomoneda($dif_producir_para_pedidos,4,'N'); ?></td>
            <td align="center"><?php echo formatomoneda($dif_producir_para_stock_ideal,4,'N'); ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<?php } ?>

<div class="clearfix"></div>
<br /><br />




                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
