<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="26";
$submodulo="330";
require_once("includes/rsusuario.php"); 


$idcliente=intval($_GET['id']);
if($idcliente == 0){
	header("location: detalle_quita.php");
	exit;
}

$consulta="
select * 
from cliente 
where 
estado = 1
and idcliente = $idcliente
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcliente=intval($rs->fields['idcliente']);
if($idcliente == 0){
	header("location: detalle_quita.php");
	exit;
}





/*
// consulta para realizar quitas a soporte reemplazar solamente idoperacion, y ambas fechas de vencimiento, ningun otro campo
INSERT INTO `detalle_quita`( `idoperacion`, `nro_cuota`, `estado`, `monto_quita`, `registrado_por`, `registrado_el`, `borrado_por`, `borrado_el`) 
select detalle.idoperacion, detalle.nro_cuota, 1, detalle.saldo_cuota, 1, NOW(), NULL, NULL
from detalle
inner join operacion on operacion.idoperacion = detalle.idoperacion
inner join operacion_clase on operacion.idoperacion_clase = operacion_clase.idoperacion_clase
WHERE
operacion.idcliente = 88
and detalle.vencimiento >= '2020-06-01'
and detalle.vencimiento <= '2020-06-31'
 and detalle.facturado_cuota = 0 
 and detalle.cobra_cuota = 0 
 and detalle.saldo_cuota > 0
and operacion_clase.mensual = 'S';

update detalle SET quita_cuota = COALESCE(
(select sum(detalle_quita.monto_quita) 
from detalle_quita 
where 
detalle_quita.estado = 1 
and detalle_quita.idoperacion = detalle.idoperacion 
and detalle_quita.nro_cuota = detalle.nro_cuota
),0);

update detalle set saldo_cuota = monto_cuota-cobra_cuota-quita_cuota;

// consulta para refinanciar en proceso, trae las cuotas de implementacion para cambiar a mano las fechas a febrero y marzo 2021
// solo modificar fechas y idcliente
SELECT * 
FROM `detalle` 
inner join operacion on operacion.idoperacion = detalle.idoperacion
inner join operacion_clase on operacion.idoperacion_clase = operacion_clase.idoperacion_clase
WHERE
operacion.idcliente = 66
 and detalle.vencimiento >= '2020-03-01' 
 and detalle.vencimiento <= '2020-04-31' 
 and detalle.facturado_cuota = 0 
 and detalle.cobra_cuota = 0 
 and detalle.saldo_cuota > 0
 and operacion_clase.mensual = 'N'
ORDER BY `detalle`.`nro_cuota` ASC

// falta crear los updates
*/

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function exonerar(iddetalle){
	if(window.confirm("Se perdonara el saldo de esta cuota al cliente, esta accion no se puede deshacer, esta seguro?")){
		document.location.href='detalle_quita_add_exo.php?id='+iddetalle;
	}
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Agregar Exoneracion</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<p><a href="detalle_quita_add.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Codigo Cliente</th>
			<th align="center">Ruc</th>
			<th align="center">Razon social</th>
			<th align="center">Nombre Fantasia</th>
			<th align="center">Nombre</th>
			<th align="center">Apellido</th>
			<th align="center">Documento</th>

		</tr>
	  </thead>
	  <tbody>
<?php 
if($rs->fields['idcliente'] > 0){
while(!$rs->EOF){ ?>
		<tr>

			<td align="center">AX<?php echo intval($rs->fields['idcliente']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['ruc']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['fantasia']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['nombre']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['apellido']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['documento']);  ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst();

}
?>
	  </tbody>
    </table>
</div>
<hr />

<?php 

$consulta="
SELECT YEAR(detalle.vencimiento) as ano, MONTH(detalle.vencimiento) as mes, 
min(DAY(detalle.vencimiento)) as diavence,
count(detalle.idoperacion) as totalop, sum(detalle.monto_cuota) as cuota, sum(detalle.saldo_cuota) as saldo ,
max(detalle.atraso) as atraso
FROM operacion 
inner join detalle on operacion.idoperacion = detalle.idoperacion 
where 
operacion.idcliente = $idcliente 
and operacion.estado = 1 
and detalle.saldo_cuota > 0
group by YEAR(detalle.vencimiento), MONTH(detalle.vencimiento) 
order by YEAR(detalle.vencimiento) asc, MONTH(detalle.vencimiento) asc
limit 12
";
$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<p><strong>Estado de Cuenta Consolidado:</strong></p>
<br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
<thead>
  <tr>
    <th>Vencimiento</th>

    <th>Monto</th>
    <th>Saldo</th>
    <th>Atraso</th>
    <th>Cant Op</th>
  </tr>
  </thead>
  <tbody>
  <?php while (!$rsdet->EOF){?>
  <tr>
    <td align="left"><?php echo $rsdet->fields['diavence']; ?> <?php echo mesespanol($rsdet->fields['mes']).' '.$rsdet->fields['ano'];?></td>
    <td align="center"><?php echo formatomoneda($rsdet->fields['cuota']);?></td>
    <td align="center"><?php echo formatomoneda($rsdet->fields['saldo']);?></td>
    <td align="center" <?php  if($rsdet->fields['atraso'] > 0){?>style="color:#FF0000;"<?php } ?>><?php if($rsdet->fields['atraso'] > 0){ echo formatomoneda($rsdet->fields['atraso']); }else{ echo 0; } ?></td>
        <td align="center"><?php echo formatomoneda($rsdet->fields['totalop']);?></td>
  </tr>
  <?php $rsdet->MoveNext();} ?>
</tbody>
</table>
</div>
<br />


<?php 

$consulta="
SELECT detalle.iddetalle, detalle.vencimiento,  detalle.monto_cuota, detalle.saldo_cuota, detalle.atraso as atraso,
operacion_clase.operacion_clase as operacion_clase, operacion.observacion as observacion,
(select sucursal from sucursal_cliente where idsucursal_clie = operacion.idsucursal_clie) as sucursal_clie,
operacion_clase.mensual
FROM operacion 
inner join detalle on operacion.idoperacion = detalle.idoperacion
inner join operacion_clase on operacion_clase.idoperacion_clase = operacion.idoperacion_clase 
where 
operacion.idcliente = $idcliente 
and operacion.estado = 1 
and detalle.saldo_cuota > 0
order by detalle.vencimiento asc
limit 24
";
$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<p><strong>Estado de Cuenta Detallado:</strong></p>
<br />
<div class="table-responsive">
<table width="100%" class="table table-bordered jambo_table bulk_action">
<thead>
  <tr>
   <th></th>
    <th>Vencimiento</th>
	<th>Concepto</th>
    <th>Monto</th>
    <th>Saldo</th>
    <th>Atraso</th>
  </tr>
  </thead>
  <tbody>
  <?php while (!$rsdet->EOF){?>
  <tr>
			<td>
				<?php if($rsdet->fields['mensual'] == 'S'){ ?>
				<div class="btn-group">
					<a href="javascript:exonerar(<?php echo $rsdet->fields['iddetalle']; ?>);" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
				</div>
                <?php } ?>

			</td>
    <td align="left"><?php echo date("d/m/Y",strtotime($rsdet->fields['vencimiento'])); ?></td>
    <td align="center"><?php echo antixss($rsdet->fields['operacion_clase']);  ?><?php if(trim($rsdet->fields['sucursal_clie']) != ''){ echo "<br />".antixss($rsdet->fields['sucursal_clie']); } ?><?php if(trim($rsdet->fields['observacion']) != ''){ echo "<br />".antixss($rsdet->fields['observacion']); } ?></td>
    <td align="center"><?php echo formatomoneda($rsdet->fields['monto_cuota']);?></td>
    <td align="center"><?php echo formatomoneda($rsdet->fields['saldo_cuota']);?></td>
    <td align="center" <?php  if($rsdet->fields['atraso'] > 0){?>style="color:#FF0000;"<?php } ?>><?php if($rsdet->fields['atraso'] > 0){ echo formatomoneda($rsdet->fields['atraso']); }else{ echo 0; } ?></td>
  </tr>
  <?php $rsdet->MoveNext();} ?>
</tbody>
</table>
</div>
<br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
