<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="26";
$submodulo="330";
require_once("includes/rsusuario.php"); 






$iddetalle=intval($_GET['id']);
if($iddetalle == 0){
	header("location: detalle_quita.php");
	exit;
}

$consulta="
select detalle.idoperacion, detalle.nro_cuota, operacion.estado, detalle.saldo_cuota, detalle.facturado_cuota, detalle.cobra_cuota, 
operacion_clase.mensual,
(
select idventa from factura_recurrente where nro_cuota = detalle.nro_cuota and idoperacion = detalle.idoperacion order by idventa desc limit 1
) as idventa
from detalle
inner join operacion on operacion.idoperacion = detalle.idoperacion
inner join operacion_clase on operacion.idoperacion_clase = operacion_clase.idoperacion_clase
WHERE
detalle.iddetalle = $iddetalle 
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$estado=$rs->fields['estado'];
$saldo_cuota=$rs->fields['saldo_cuota'];
$facturado_cuota=$rs->fields['facturado_cuota'];
$cobra_cuota=$rs->fields['cobra_cuota'];
$mensual=$rs->fields['mensual'];
$idventa=$rs->fields['idventa'];

// si ya se facturo
if($idventa > 0){
	$consulta="
	select saldo_activo from cuentas_clientes where idventa = $idventa
	";
	$rsv=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$saldo_activo_factura=$rsv->fields['saldo_activo'];
}
// validaciones
if($mensual != 'S'){
	echo 'No se puede exonerar por que el tipo de operacion no es mensual';
	exit;
}
if($saldo_cuota <= 0){
	echo 'No se puede exonerar por que la cuota ya no tiene saldo';
	exit;
}
if($facturado_cuota > 0){
	if($saldo_activo_factura > 0){
		echo 'No se puede exonerar por que la cuota ya se facturo y su factura aun tiene saldo, aplique una NC a la factura antes de realizar la quita, idventa: '.$idventa;
		exit;
	}
}
if($cobra_cuota > 0){
	echo 'No se puede exonerar por que la cuota ya tiene pagos aplicados';
	exit;
}
if($estado != 1){
	echo 'No se puede exonerar por que el estado de la operacion no es activo';
	exit;
}

$consulta="
SELECT detalle.iddetalle, detalle.vencimiento,  detalle.monto_cuota, detalle.saldo_cuota, detalle.atraso as atraso,
operacion_clase.operacion_clase as operacion_clase, operacion.observacion as observacion,
(select sucursal from sucursal_cliente where idsucursal_clie = operacion.idsucursal_clie) as sucursal_clie,
operacion_clase.mensual, operacion.idcliente
FROM operacion 
inner join detalle on operacion.idoperacion = detalle.idoperacion
inner join operacion_clase on operacion_clase.idoperacion_clase = operacion.idoperacion_clase 
where 
detalle.iddetalle = $iddetalle 
and operacion.estado = 1 
and detalle.saldo_cuota > 0
order by detalle.vencimiento asc
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$iddetalle=intval($rs->fields['iddetalle']);
$idcliente=intval($rs->fields['idcliente']);
if($iddetalle == 0){
	header("location: detalle_quita.php");
	exit;
}





$consulta="
INSERT INTO `detalle_quita`
( `idoperacion`, `nro_cuota`, `estado`, `monto_quita`, `registrado_por`, `registrado_el`, `borrado_por`, `borrado_el`) 
select detalle.idoperacion, detalle.nro_cuota, 1, detalle.saldo_cuota, $idusu, '$ahora', NULL, NULL
from detalle
inner join operacion on operacion.idoperacion = detalle.idoperacion
inner join operacion_clase on operacion.idoperacion_clase = operacion_clase.idoperacion_clase
WHERE
detalle.iddetalle = $iddetalle 

 and detalle.cobra_cuota = 0 
 and detalle.saldo_cuota > 0
and operacion_clase.mensual = 'S'
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


$consulta="
update detalle 
SET 
quita_cuota = COALESCE(
(select sum(detalle_quita.monto_quita) 
from detalle_quita 
where 
detalle_quita.estado = 1 
and detalle_quita.idoperacion = detalle.idoperacion 
and detalle_quita.nro_cuota = detalle.nro_cuota
),0)
where
detalle.iddetalle = $iddetalle 
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
update detalle 
set 
saldo_cuota = monto_cuota-cobra_cuota-quita_cuota
where
detalle.iddetalle = $iddetalle 
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

header("location: detalle_quita_add_add.php?id=".$idcliente);
exit;


?>