<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
require_once("includes/funciones_electronica.php");

// /home/servid20/scripts/factura_electronica01.sh

// automentar el timpo de ejecucion del script
set_time_limit(0);
// para evitar el error 500 por falta de memoria
//ini_set('memory_limit', '-1');
// DOCUMENTOS POR VEZ
$LIMITE_TANDA=10; // 5 se se ejecuta cada 1 minuto son 7200 documentos por dia


$fecha_72horas_atras = new DateTime(); 
$fecha_72horas_atras->modify('-720 hour'); 
$hace_72horas_atras=$fecha_72horas_atras->format('Y-m-d H:i:s');

$consulta="
select facturador_electronico,fechahora_inicio_electro from preferencias limit 1
";
$rsemp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$facturador_electronico=$rsemp->fields['facturador_electronico'];
	
// funciones para factura electronica
if($facturador_electronico == 'S'){
	// envio documento
	require_once('facturaElectronica/ActualizaMedianteCDC.php');

	$slot_datos=slot_vigente();
	$slot_firma=trim($slot_datos['nombre_slot']);    //'80052292_test';   // nombre del slot con que se dio de alta la firma digital en el servidor
	
	if($slot_firma == ''){
		echo "No esta cargado el slot de la firma electronica.";
		exit;
	}
	
	// Fecha hora Implementacion facturacion electronica
	$fechahora_inicio_electro=$rsemp->fields['fechahora_inicio_electro']; // traer de la base de datos
	
	

	
	
	

}else{
	echo "No es un facturador electronico.";
	exit;
}

/*
and estado_set = 4
and fecha_comprobante >= '$hace_72horas_atras'
AND nro_lote is not null
and cdc is not null
and cod_error_documento = 1002
*/

// ALTER TABLE {[BASE]}.`documentos_electronicos_emitidos` ADD `cdc_consultado` CHAR(1) NULL DEFAULT 'N' AFTER `dfeemide`, ADD INDEX (`cdc_consultado`);

/* 
actualizar masivamente todos los arobados como consultados
update `documentos_electronicos_emitidos` set cdc_consultado = 'S' where estado_set = 3;
update `documentos_electronicos_emitidos` 
set cdc_consultado = 'S'
where 
estado = 6
and idventa is not null
and idventa in (
    select de.idventa 
    from documentos_electronicos_emitidos de 
    where 
    de.idventa is not null 
    and de.estado_set = 3
    and de.estado = 1
    and de.idventa = documentos_electronicos_emitidos.idventa
    and de.iddocumentoemitido <> documentos_electronicos_emitidos.iddocumentoemitido
)  

*/
/*
and idventa is not null
and idventa not in (select idventa from documentos_electronicos_emitidos where estado = 1 and estado_set = 3)


and
*/
// PASO 1, TRAER TODOS LOS DOCUMENTOS CON ERROR DE DUPLICIDAD
echo "<hr />INICIO PASO 4 - ".date("d/m/Y H:i:s")." - TRAER TODOS LOS DOCUMENTOS CON ERROR DE DUPLICIDAD<br />";
$consulta="
select cdc, max(fecha_comprobante) as fecha_comprobante, max(iddocumentoemitido) as iddocumentoemitido, idventa
from documentos_electronicos_emitidos
where
 cdc is not null
/*
and cdc_consultado = 'N'
and estado = 6
*/
and estado_set <> 3
and numero_comprobante = '0080010000590'
group by cdc
order by max(fecha_comprobante) asc
limit $LIMITE_TANDA
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$idventa_acum="";
while(!$rs->EOF){
	$idventa=intval($rs->fields['idventa']);
	$iddocumentoemitido=intval($rs->fields['iddocumentoemitido']);
	$cdc=$rs->fields['cdc'];
	if($iddocumentoemitido == 0){
		echo "El documento que intentas enviar ya no existe o ya fue reenviado.";
		exit;
	}
	
	// genera objeto
	//$obj_electro = new ActualizaMedianteCDC();
	// envia el cdc
	//$res=$obj_electro->iniciar($slot_firma, $cdc);
	
	// GENERAR DOCUMENTO ELECTRONICO
	$parametros_array=array(
		'cdc' => $cdc,
		'iddocumentoemitido' => $iddocumentoemitido
	);
	$res=actualiza_estado_documento_electronico_cdc($parametros_array);
	print_r($res);
	echo $cdc.'<br />';
	
	// acumula idventa
	//$idventa_acum.=$idventa.',';

$rs->MoveNext(); }

echo "<hr />FINAL DEL PROCESO - ".date("d/m/Y H:i:s")."<br />";
?>
