<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");


date("Y-m-d H:i:s").' - '.'INICIO<BR />';

echo date("Y-m-d H:i:s").' - '."Eliminando Documentos duplicados.<br />";


//  VENTAS DUPLICADAS
$consulta="
select *, (select iddocumentoemitido from documentos_electronicos_emitidos where estado = 1 and estado_set = 3 and idventa = dup.idventa limit 1) as aprobado,
(select max(iddocumentoemitido) from documentos_electronicos_emitidos where estado = 1 and cod_error_documento = 1002 and idventa = dup.idventa limit 1) as duplicado,
(select max(iddocumentoemitido) from documentos_electronicos_emitidos where estado = 1 and idventa = dup.idventa limit 1) as ult_emitido
from (
SELECT idventa, count(*) as total 
    FROM `documentos_electronicos_emitidos` 
    where 
    estado = 1 
	and idventa is not null
	and idventa > 0
    group by idventa 
    order by count(*) desc
) dup
WHERE
total > 1;
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

while(!$rs->EOF){
	$iddocumentoemitido_aprobado=intval($rs->fields['aprobado']);
	$iddocumentoemitido_duplicado=intval($rs->fields['duplicado']);
	$iddocumentoemitido_ultimo=intval($rs->fields['ult_emitido']);
	$idventa=intval($rs->fields['idventa']);
	$total=intval($rs->fields['total']);
	echo $idventa.' - '.$total."<br />";
	// si existe un documento aprobado para el mismo idventa
	if($iddocumentoemitido_aprobado > 0){
		// si existe poner estado 6 a todos los demas idventa
		$consulta="
		update documentos_electronicos_emitidos
		set
		estado = 6
		where
		idventa = $idventa
		and iddocumentoemitido <> $iddocumentoemitido_aprobado
		and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	}
	// si no hay aprobados para ese idventa
	if($iddocumentoemitido_aprobado == 0){
		// busca si hay documenetos duplicados segun la set
		if($iddocumentoemitido_duplicado > 0){
			// si existe poner estado 6 a todos los demas idventa
			$consulta="
			update documentos_electronicos_emitidos
			set
			estado = 6
			where
			idventa = $idventa
			and iddocumentoemitido <> $iddocumentoemitido_duplicado
			and estado = 1
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
		
	}
	
	// si no hay aprobados para ese idventa
	if($iddocumentoemitido_aprobado == 0){
		//  si tampoco hay documenetos duplicados segun la set
		if($iddocumentoemitido_duplicado == 0){
			// poner estado 6 a todos los demas idventa
			$consulta="
			update documentos_electronicos_emitidos
			set
			estado = 6
			where
			idventa = $idventa
			and iddocumentoemitido <> $iddocumentoemitido_ultimo
			and estado = 1
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
	}
	
$rs->MoveNext(); }


//  NOTA CREDITO DUPLICADAS
$consulta="
select *, (select iddocumentoemitido from documentos_electronicos_emitidos where estado = 1 and estado_set = 3 and idnotacredito = dup.idnotacredito limit 1) as aprobado,
(select max(iddocumentoemitido) from documentos_electronicos_emitidos where estado = 1 and cod_error_documento = 1002 and idnotacredito = dup.idnotacredito limit 1) as duplicado,
(select max(iddocumentoemitido) from documentos_electronicos_emitidos where estado = 1 and idnotacredito = dup.idnotacredito limit 1) as ult_emitido
from (
SELECT idnotacredito, count(*) as total 
    FROM `documentos_electronicos_emitidos` 
    where 
    estado = 1 
	and idnotacredito is not null
	and idnotacredito > 0
    group by idnotacredito 
    order by count(*) desc
) dup
WHERE
total > 1;
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

while(!$rs->EOF){
	$iddocumentoemitido_aprobado=intval($rs->fields['aprobado']);
	$iddocumentoemitido_duplicado=intval($rs->fields['duplicado']);
	$iddocumentoemitido_ultimo=intval($rs->fields['ult_emitido']);
	$idnotacredito=intval($rs->fields['idnotacredito']);
	$total=intval($rs->fields['total']);
	echo $idnotacredito.' - '.$total."<br />";
	// si existe un documento aprobado para el mismo idnotacredito
	if($iddocumentoemitido_aprobado > 0){
		// si existe poner estado 6 a todos los demas idnotacredito
		$consulta="
		update documentos_electronicos_emitidos
		set
		estado = 6
		where
		idnotacredito = $idnotacredito
		and iddocumentoemitido <> $iddocumentoemitido_aprobado
		and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	}
	// si no hay aprobados para ese idnotacredito
	if($iddocumentoemitido_aprobado == 0){
		// busca si hay documenetos duplicados segun la set
		if($iddocumentoemitido_duplicado > 0){
			// si existe poner estado 6 a todos los demas idnotacredito
			$consulta="
			update documentos_electronicos_emitidos
			set
			estado = 6
			where
			idnotacredito = $idnotacredito
			and iddocumentoemitido <> $iddocumentoemitido_duplicado
			and estado = 1
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
		
	}
	
	// si no hay aprobados para ese idnotacredito
	if($iddocumentoemitido_aprobado == 0){
		//  si tampoco hay documenetos duplicados segun la set
		if($iddocumentoemitido_duplicado == 0){
			// poner estado 6 a todos los demas idnotacredito
			$consulta="
			update documentos_electronicos_emitidos
			set
			estado = 6
			where
			idnotacredito = $idnotacredito
			and iddocumentoemitido <> $iddocumentoemitido_ultimo
			and estado = 1
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
	}
	
$rs->MoveNext(); }


echo date("Y-m-d H:i:s").' - '."Resetea consultas de los ultimos 30 dias a Documentos duplicados para buscar por CDC los anulados.<br />";

$fecha_horas_atras = new DateTime(); 
$fecha_horas_atras->modify('-720 hour');  // 720 horas son 30 dias  120 son 5 dias
$hace_horas_atras=$fecha_horas_atras->format('Y-m-d H:i:s');

$consulta="
UPDATE
    documentos_electronicos_emitidos
SET
    cdc_consultado = 'N'
WHERE
documentos_electronicos_emitidos.estado = 6
AND documentos_electronicos_emitidos.idventa is not null
and documentos_electronicos_emitidos.idventa IN (
    SELECT
        idventa
    FROM
        (
        SELECT
            de.idventa
        FROM
            documentos_electronicos_emitidos de
        WHERE
            de.cod_error_documento = '1002' 
            AND DATE(de.fecha_comprobante) >= '$hace_horas_atras' 
            AND de.idventa IS NOT NULL
            AND de.idventa > 0
        GROUP BY
            de.idventa
    ) dup
);
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));




// busca documentos aprobados que tengan otros documentos emitidos no aprobados
echo date("Y-m-d H:i:s").' - '."Elimina los demas documentos con estado borrado de los que ya fueron aprobados.<br />";
$consulta="
WITH temp_ids AS (
    SELECT idventa, iddocumentoemitido
    FROM documentos_electronicos_emitidos 
    WHERE 
	estado = 6
    and idventa is not null
)
SELECT deprin.iddocumentoemitido as iddocumentoemitido_apro, deprin.idventa, t.iddocumentoemitido as iddocumentoemitido_del
FROM documentos_electronicos_emitidos deprin
inner JOIN temp_ids t ON deprin.idventa = t.idventa
WHERE 
deprin.estado_set = 3
AND deprin.estado = 1
AND deprin.idventa IS NOT NULL
AND deprin.iddocumentoemitido <> t.iddocumentoemitido
order by deprin.idventa asc
LIMIT 100000;
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$i=0;
while(!$rs->EOF){
	$idventa=intval($rs->fields['idventa']);
	$iddocumentoemitido_apro=intval($rs->fields['iddocumentoemitido_apro']);
	$iddocumentoemitido_del=intval($rs->fields['iddocumentoemitido_del']);
	$consulta="
	delete from documentos_electronicos_emitidos 
	where 
	iddocumentoemitido <> $iddocumentoemitido_apro
	and iddocumentoemitido = $iddocumentoemitido_del
	and idventa = $idventa
	and estado = 6
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$i++;
$rs->MoveNext(); }
echo date("Y-m-d H:i:s").' - '.'Total DE VE Eliminados: '.$i.'<br />';

// nota credito
$consulta="
WITH temp_ids AS (
	SELECT idnotacredito, iddocumentoemitido
	FROM documentos_electronicos_emitidos 
	WHERE 
	estado = 6
	and idnotacredito is not null
)
SELECT deprin.iddocumentoemitido as iddocumentoemitido_apro, deprin.idnotacredito, t.iddocumentoemitido as iddocumentoemitido_del
FROM documentos_electronicos_emitidos deprin
inner JOIN temp_ids t ON deprin.idnotacredito = t.idnotacredito
WHERE 
deprin.estado_set = 3
AND deprin.estado = 1
AND deprin.idnotacredito IS NOT NULL
AND deprin.iddocumentoemitido <> t.iddocumentoemitido
order by deprin.idnotacredito asc
LIMIT 100000;
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$i=0;
while(!$rs->EOF){
	$idnotacredito=intval($rs->fields['idnotacredito']);
	$iddocumentoemitido_apro=intval($rs->fields['iddocumentoemitido_apro']);
	$iddocumentoemitido_del=intval($rs->fields['iddocumentoemitido_del']);
	$consulta="
	delete from documentos_electronicos_emitidos 
	where 
	iddocumentoemitido <> $iddocumentoemitido_apro
	and iddocumentoemitido = $iddocumentoemitido_del
	and idnotacredito = $idnotacredito
	and estado = 6
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$i++;
$rs->MoveNext(); }
//echo date("Y-m-d H:i:s").' - '.'Total DE Eliminados: '.$i.'<br />';
$i=0;
echo date("Y-m-d H:i:s").' - '.'Total DE NC Eliminados: '.$i.'<br />';

// elimina logs de documentos aprobados, retroactivo en teoria no deberia haber por el trigger
/*echo "Elimina log de documentos aprobados.<br />";
$consulta="
DELETE FROM `documentos_electronicos_log`
WHERE idventa IN (
    SELECT idventa 
    FROM (
        SELECT dlog.idventa
        FROM `documentos_electronicos_log` dlog
        JOIN `documentos_electronicos_emitidos` e
        ON dlog.idventa = e.idventa
        WHERE 
        e.estado_set = 3 
        AND e.estado = 1 
        AND dlog.idventa IS NOT NULL
        LIMIT 100000
    ) AS subquery
);


DELETE FROM `documentos_electronicos_log`
WHERE idnotacredito IN (
    SELECT idnotacredito 
    FROM (
        SELECT dlog.idnotacredito
        FROM `documentos_electronicos_log` dlog
        JOIN `documentos_electronicos_emitidos` e
        ON dlog.idnotacredito = e.idnotacredito
        WHERE 
        e.estado_set = 3 
        AND e.estado = 1 
        AND dlog.idnotacredito IS NOT NULL
        LIMIT 100000
    ) AS subquery
);

DELETE FROM `documentos_electronicos_log`
WHERE idnotaremision IN (
    SELECT idnotaremision 
    FROM (
        SELECT dlog.idnotaremision
        FROM `documentos_electronicos_log` dlog
        JOIN `documentos_electronicos_emitidos` e
        ON dlog.idnotaremision = e.idnotaremision
        WHERE 
        e.estado_set = 3 
        AND e.estado = 1 
        AND dlog.idnotaremision IS NOT NULL
        LIMIT 100000
    ) AS subquery
);

DELETE FROM `documentos_electronicos_log`
WHERE idautofactura IN (
    SELECT idautofactura 
    FROM (
        SELECT dlog.idautofactura
        FROM `documentos_electronicos_log` dlog
        JOIN `documentos_electronicos_emitidos` e
        ON dlog.idautofactura = e.idautofactura
        WHERE 
        e.estado_set = 3 
        AND e.estado = 1 
        AND dlog.idautofactura IS NOT NULL
        LIMIT 100000
    ) AS subquery
);

DELETE FROM `documentos_electronicos_log`
WHERE idnotadebito IN (
    SELECT idnotadebito 
    FROM (
        SELECT dlog.idnotadebito
        FROM `documentos_electronicos_log` dlog
        JOIN `documentos_electronicos_emitidos` e
        ON dlog.idnotadebito = e.idnotadebito
        WHERE 
        e.estado_set = 3 
        AND e.estado = 1 
        AND dlog.idnotadebito IS NOT NULL
        LIMIT 100000
    ) AS subquery
);
";
//$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
*/



echo date("Y-m-d H:i:s").' - '."LISTO";


?>