<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
require_once("includes/rs_carrito.php");

$id=intval($_GET['id']);
if($id == 0){
	header("location: productos.php");
	exit;	
}


	$consulta="
	select agrega_sinstock from personalizacion_web where estado = 1 limit 1
	";
	$rsprefweb = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$agrega_sinstock=$rsprefweb->fields['agrega_sinstock'];
	
	// si no se permite agregar sin stock en el carrito
	if($agrega_sinstock == 'N'){
		
		$consulta="
		select iddeposito from gest_depositos where tiposala = 2 and idsucursal = 1 order by iddeposito asc limit 1
		";
		$rsdepo=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$iddeposito=intval($rsdepo->fields['iddeposito']);
		
		$select_add.="
		(
		select sum(gest_depositos_stock_gral.disponible)
		from insumos_lista
		inner join gest_depositos_stock_gral on insumos_lista.idinsumo = gest_depositos_stock_gral.idproducto
		where 
		productos.idprod_serial = insumos_lista.idproducto
		and gest_depositos_stock_gral.iddeposito = $iddeposito
		) as disponible_stock,
		";
	}

// productos
	$consulta="
	Select 
	$select_add
	productos.*, categorias.nombre as categoria, sub_categorias.descripcion as subcategoria,
	(select idprod from recetas_detalles where recetas_detalles.idprod = productos.idprod_serial limit 1) as receta,
	(select idproducto from agregado where agregado.idproducto = productos.idprod_serial limit 1) as agregado,
	(select idproducto from producto_impresora where producto_impresora.idproducto = productos.idprod_serial limit 1) as tieneimpre,
	(select marca from marca where marca.idmarca = productos.idmarca and idempresa = $idempresa) as marca,
		(select idproducto from web_carrito_det where id_ses = '$session_id' and idproducto = productos.idprod_serial limit 1) as en_carrito,
	(select idinsumo from insumos_lista where idproducto = productos.idprod_serial) as idinsumo,
	(select precio from productos_sucursales where idproducto = productos.idprod_serial and idsucursal = 1) as p1,
	medidas.nombre_singular as medida,
		(
		select oferta_detalles.precio_oferta 
		from oferta 
		inner join oferta_detalles on oferta.idoferta = oferta_detalles.idoferta
		where 
		oferta_detalles.idproducto = productos.idprod_serial 
		and productos.idempresa = $idempresa 
		and oferta.idempresa = $idempresa
		and oferta_detalles.idempresa = $idempresa
		and oferta.inicio <= '$ahorad'
		and oferta.fin >= '$ahorad'
		and oferta.estado = 3
		) as precio_oferta
	from productos 
	inner join categorias on productos.idcategoria = categorias.id_categoria 
	inner join sub_categorias on productos.idsubcate = sub_categorias.idsubcate 
	inner join medidas on medidas.id_medida = productos.idmedida
	where 
	productos.borrado = 'N'
	and productos.web_muestra = 'S'
	and productos.idtipoproducto in (1,2,4)
	and productos.idprod_serial = $id
	and productos.idempresa = $idempresa
	order by combo desc, combinado desc, productos.descripcion asc
	limit 1
	";
	//echo $consulta;exit;
	$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$disponible=$rsprod->fields['disponible_stock'];
	//echo $disponible;exit;
	
	// crea imagen
$id=$rsprod->fields['idprod_serial'];
$img="$RUTA_IMG/wprod_".$id.".jpg";	 
if(!file_exists($img)){
	$img="$RUTA_IMG/wprod_0.jpg";
}
if($rsprod->fields['precio_oferta'] > 0){ 
	$precio=$rsprod->fields['precio_oferta'];
}else{
	$precio=$rsprod->fields['p1'];
}
$precio=formatomoneda($precio,0);
// por defecto
$accion_boton='carro_add('.$rsprod->fields['idprod_serial'].',1,this);';
// segun tipo
if($rsprod->fields['idtipoproducto'] == 2){ // combo
	$accion_boton='apretar_combo('.$rsprod->fields['idprod_serial'].',1,this);';
}
if($rsprod->fields['idtipoproducto'] == 4){ // combinado extendido
	$accion_boton='apretar_combinado('.$rsprod->fields['idprod_serial'].',1,this);';
	$precio="Variable";
}
?>


	<section>
		<div class="container">
			<div class="row" style="background-color: #fff; ">
				<br><br>

				<!-- MENU LATERAL -->
<?php require_once("includes/menu_lateral.php"); ?>
				<!-- /MENU LATERAL -->

				<!--PRODUCTOS-->
				<div class="col-sm-9 padding-right"> 


						<div class="breadcrumbs">
							<ol class="breadcrumb">
							  <li ><a href="index.php">Portada</a></li>
							  <li ><a href="productos.php?cat=<?php echo $rsprod->fields['idcategoria'];?>"><?php echo $rsprod->fields['categoria'];?></a></li>
                              <li ><a href="productos.php?subcat=<?php echo $rsprod->fields['idsubcate'];?>"><?php echo $rsprod->fields['subcategoria'];?></a></li>
							  <li class="active"> <b><?php echo $rsprod->fields['descripcion'];?></b></li>
							</ol>
						</div><!--/breadcrums-->
						
					<div class="product-details"><!--product-details-->
<?php if($_GET['ag'] == 's'){ ?>
                    	<div class="col-sm-offset-3 col-sm-7 text-center alert alert-success alert-dismissible" role="alert">
						  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
						  <strong>Producto agregado al carrito!!</strong> 
						</div>
<?php } ?>
						<div class="col-sm-7"  id="producto_box_<?php echo $rsprod->fields['idprod_serial']; ?>">
							<div class="view-product">
								<img class="img-responsive" src="<?php echo $img; ?>" alt="" />
							</div>
										<?php if($rsprod->fields['precio_oferta'] > 0){ ?>
                                        <img src="img/oferta.png" class="new" alt="" />
                                        <?php } ?>
										<?php if($rsprod->fields['web_nuevo'] == 'S' && $rsprod->fields['web_oferta'] != 'S'){ ?>
                                        <img src="img/nuevo.png" class="sale" alt="" />
                                        <?php } ?>
                                        <?php if($rsprod->fields['en_carrito'] > 0){ ?>
                                        <a href="carro.php" title="Ir al carrito" data-toggle="tooltip" data-placement="right"  data-original-title="Ir al carrito"><img src="img/agregado_car.png" class="cart_added" alt="Agregado al carrito" /></a>
                                        <?php } ?>
							<!--<div id="similar-product" class="carousel slide" data-ride="carousel">
								
								  <!-- Wrapper for slides -->
								 <!--   <div class="carousel-inner">
										<div class="item active">
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										</div>
										<div class="item">
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										</div>
										<div class="item">
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										</div>										
									</div>

								  <!-- Controls -->
								 <!-- <a class="left item-control" href="#similar-product" data-slide="prev">
									<i class="fa fa-angle-left"></i>
								  </a>
								  <a class="right item-control" href="#similar-product" data-slide="next">
									<i class="fa fa-angle-right"></i>
								  </a>
							</div>-->

						</div>
						<div class="col-sm-5">
							<div class="product-information"><!--/product-information-->
								<h2><?php echo $rsprod->fields['descripcion'];?></h2>
								<p>C&oacute;digo: <?php echo $rsprod->fields['idinsumo'];?></p>
                                <p>C&oacute;digo Barras: <?php echo $rsprod->fields['barcode'];?></p>

								<?php if($agrega_sinstock == 'N'){?>
									<?php if($disponible > 0){ ?>
                                    <p style="color:#090;">Stock Disponible: <?php echo formatomoneda($disponible,4,'N');?></p>
                                    <?php }else{ ?>
                                    <p style="color:#F00;">SIN STOCK</p>
                                    <?php } ?>
                                <?php } ?>
								<span>
									<span>Gs.<?php echo $precio;?></span>
                                     <p>por <?php echo $rsprod->fields['medida'];  ?></p>
								</span>
                               
								<p><?php echo $rsprod->fields['descripcion_larga'];?></p>


								<br>

									<a type="button" class="btn btn-fefault cart" 
									href="javascript:void(0);" onmouseup="<?php echo $accion_boton; ?>">
										<i class="fa fa-shopping-cart"></i>
										Agregar
									</a>

							</div><!--/product-information-->
						</div>
					</div><!--/product-details-->
					
	
				</div>
				<!--/PRODUCTOS-->
			</div>
		</div>
	</section>