<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
require_once("includes/rsusuario_padres.php"); 

$idventa=intval($_GET['tk']);


// venta
$consulta="
select * 
from ventas 
where
idventa = $idventa
and idempresa = $idempresa
and estado <> 6
";  
$rsv = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
if(intval($rsv->fields['idventa']) == 0){
	header("location: estado_cuenta.php");	
	exit;
}

$consulta="
select sum(ventas_detalles.cantidad) as cantidad, sum(ventas_detalles.subtotal) as subtotal, productos.descripcion as producto, productos.idprod_serial
from ventas_detalles 
inner join productos on productos.idprod_serial = ventas_detalles.idprod 
where
idventa = $idventa
and idempresa = $idempresa
group by productos.idprod_serial
order by productos.descripcion
";  
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
    <title><?php echo $empresa; ?></title>
<?php require_once("includes/head.php"); ?>
  </head>
  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <div class="col-md-3 left_col">
          <div class="left_col scroll-view">

            <div class="clearfix"></div>

            <!-- menu profile quick info -->
<?php require_once("includes/profile.php"); ?>
            <!-- /menu profile quick info -->

            <br />

            <!-- sidebar menu -->
<?php require_once("includes/menu_lat.php"); ?>
            <!-- /sidebar menu -->

            <!-- /menu footer buttons -->
<?php require_once("includes/menu_footer.php"); ?>
            <!-- /menu footer buttons -->
          </div>
        </div>

        <!-- top navigation -->
<?php require_once("includes/top_navigation.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
              <div class="title_left">
                <h3>Detalle del Ticket</h3>
              </div>

              <div class="title_right">
                <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-right top_search">
                  <!--<div class="input-group">
                    <input type="text" class="form-control" placeholder="Search for...">
                    <span class="input-group-btn">
                      <button class="btn btn-default" type="button">Go!</button>
                    </span>
                  </div>-->
                </div>
              </div>
            </div>

            <div class="clearfix"></div>

            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Ticket: <?php echo $idventa; ?></h2>
                    <!--<ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                      <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                        <ul class="dropdown-menu" role="menu">
                          <li><a href="#">Settings 1</a>
                          </li>
                          <li><a href="#">Settings 2</a>
                          </li>
                        </ul>
                      </li>
                      <li><a class="close-link"><i class="fa fa-close"></i></a>
                      </li>
                    </ul>-->
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                      
                      
                      
                      
                      
                      
                      
                        <div id="estado_c">
                        
   <strong>Fecha:</strong> <?php echo date("d/m/Y H:i",strtotime($rsv->fields['fecha']));?> hs.<br /><br />

<table width="100%" class="table table-striped jambo_table bulk_action">
		  <tr>
				<td  height="28" align="left" bgcolor="#FFFEC4"><strong>Producto</strong></td>
				<td  align="right" bgcolor="#FFFEC4"><strong>Cantidad</strong></td>
				<td  align="right" bgcolor="#FFFEC4"><strong>Monto</strong></td>
		  </tr>
	
			<?php 
			while(!$rs->EOF){
				$cantidad=$rs->fields['cantidad'];
				$subtotal=$rs->fields['subtotal'];
				$cantidad_acum+=$cantidad;
			?>
			
			<tr style="border-top: 1px solid #000;">
			  <td align="left" ><?php echo $rs->fields['producto'];?></td>
			  <td align="right"><?php echo formatomoneda($cantidad,4,'N');?></td>
			  <td align="right"><?php echo formatomoneda($subtotal,4,'N');?></td>
			</tr>
			
			<?php $rs->MoveNext();}?>
			<tr>
			  <td height="30" align="left" bgcolor="#DCDCDC"><strong>Totales:</strong></td>
			  <td height="30" align="right" bgcolor="#DCDCDC"><?php echo formatomoneda($cantidad_acum,4,'N');?></td>
			  <td height="30" align="right" bgcolor="#DCDCDC"><?php echo formatomoneda($rsv->fields['total_cobrado'],4,'N'); ?></td>
	      </tr>
		</table>
</div>   
                  <br /><br />
                      
                      
                      
                      
                      
                      
                      
                      
                      
                      
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
<?php require_once("includes/footer.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/final.php"); ?>
  </body>
</html>
