<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="521";
require_once("includes/rsusuario.php"); 


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(intval($_GET['cajero']) > 0){
	$cajero=intval($_GET['cajero']);
	$whereadd.=" and caja_super.cajero = $cajero ";
}

$consulta="
select caja_retiros.*, 
(select usuario from usuarios where caja_retiros.retirado_por = usuarios.idusu) as retirado_por,
(select usuario from usuarios where caja_super.cajero = usuarios.idusu) as cajero
from caja_retiros 
inner join caja_super on caja_super.idcaja = caja_retiros.idcaja
where 
 estado = 1 
and date(fecha_retiro) >= '$desde'
and date(fecha_retiro) <= '$hasta'
$whereadd
order by fecha_retiro asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


	



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Reporte de Entrega y Recepcion de Valores</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<a href="entrega_recep_reporte.php<?php echo parametros_url(); ?>" class="btn btn-sm btn-primary"><span class="fa fa-search"></span> Retiros</a>
<a href="entrega_recep_reporte_recep.php<?php echo parametros_url(); ?>" class="btn btn-sm btn-default"><span class="fa fa-search"></span> Recepcion</a>
					  
<hr />

<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Cajero * </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
<?php 
// consulta
$consulta="
SELECT idusu, usuario
FROM usuarios
where
estado = 1
order by usuario asc
 ";

// valor seleccionado
if(isset($_GET['cajero'])){ 
	$value_selected=htmlentities($_GET['cajero']); 
}else{
	//$value_selected=htmlentities($rs->fields['idusu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'cajero',
	'id_campo' => 'cajero',
	
	'nombre_campo_bd' => 'usuario',
	'id_campo_bd' => 'idusu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>


<div class="clearfix"></div>
<br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>


<br />
</form>
					  
	<strong>Retiro de Valores:</strong><br />

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
        	<th align="center">Codigo</th>
			<th align="center">Caja</th>
			<th align="center">Cajero</th>

			<th align="center">Monto</th>
			<th align="center">Fecha Retiro</th>
			<th align="center">Retirado por</th>
			<th align="center">Obs</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){
$total_acum+=$rs->fields['monto_retirado'];	  
?>
		<tr>
        
			<td align="center"><?php echo antixss($rs->fields['regserialretira']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['idcaja']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['cajero']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_retirado']);  ?></td>
			<td align="center"><?php if($rs->fields['fecha_retiro'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_retiro'])); }  ?></td>

			<td align="center"><?php echo antixss($rs->fields['retirado_por']); ?></td>

			<td align="center"><?php echo antixss($rs->fields['obs']); ?></td>

		</tr>
<?php 
	$total_acum+=$rs->fields['monto_retirado'];	  
	$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
	  <tfoot>

		<tr>
        
			<td align="left">Totales:</td>
			<td align="center"></td>
			<td align="center"></td>
			<td align="right"><?php echo formatomoneda($total_acum);  ?></td>
			<td align="center"></td>

			<td align="center"></td>

			<td align="center"></td>

		</tr>

	  </tfoot>
    </table>
</div>
<br />

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
