<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="26";
$submodulo="329";
require_once("includes/rsusuario.php");


$idcliente=intval($_GET['id']);

$consulta="
select * 
from cliente 
where 
estado = 1
and idcliente = $idcliente
limit 50
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


 

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Estado de cuenta recurrente</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<p><a href="estado_cuenta_recurrente.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Codigo Cliente</th>
			<th align="center">Ruc</th>
			<th align="center">Razon social</th>
			<th align="center">Nombre Fantasia</th>
			<th align="center">Nombre</th>
			<th align="center">Apellido</th>
			<th align="center">Documento</th>

		</tr>
	  </thead>
	  <tbody>
<?php 
if($rs->fields['idcliente'] > 0){
while(!$rs->EOF){ ?>
		<tr>

			<td align="center">AX<?php echo intval($rs->fields['idcliente']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['ruc']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['fantasia']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['nombre']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['apellido']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['documento']);  ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst();

}
?>
	  </tbody>
    </table>
</div>
<hr />

<?php 

$consulta="
SELECT YEAR(detalle.vencimiento) as ano, MONTH(detalle.vencimiento) as mes, 
min(DAY(detalle.vencimiento)) as diavence,
count(detalle.idoperacion) as totalop, sum(detalle.monto_cuota) as cuota, sum(detalle.saldo_cuota) as saldo ,
max(detalle.atraso) as atraso
FROM operacion 
inner join detalle on operacion.idoperacion = detalle.idoperacion 
where 
operacion.idcliente = $idcliente 
and operacion.estado = 1 
and detalle.saldo_cuota > 0
group by YEAR(detalle.vencimiento), MONTH(detalle.vencimiento) 
order by YEAR(detalle.vencimiento) asc, MONTH(detalle.vencimiento) asc
limit 24
";
$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<p><strong>Estado de Cuenta consolidado:</strong></p>
<br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
<thead>
  <tr>
    <th>Mes/A&ntilde;o</th>

    <th>Monto</th>
    <th>Saldo</th>
    <th>Atraso</th>
    <th>Cant Op</th>
  </tr>
  </thead>
  <tbody>
  <?php while (!$rsdet->EOF){?>
  <tr>
    <td align="left"><?php echo $rsdet->fields['diavence']; ?> <?php echo mesespanol($rsdet->fields['mes']).' '.$rsdet->fields['ano'];?></td>
    <td align="center"><?php echo formatomoneda($rsdet->fields['cuota']);?></td>
    <td align="center"><?php echo formatomoneda($rsdet->fields['saldo']);?></td>
    <td align="center" <?php  if($rsdet->fields['atraso'] > 0){?>style="color:#FF0000;"<?php } ?>><?php if($rsdet->fields['atraso'] > 0){ echo formatomoneda($rsdet->fields['atraso']); }else{ echo 0; } ?></td>
        <td align="center"><?php echo formatomoneda($rsdet->fields['totalop']);?></td>
  </tr>
  <?php $rsdet->MoveNext();} ?>
</tbody>
</table>
</div>
<hr />
<?php 

$consulta="
select *, 
(select factura from cuentas_clientes inner join ventas on ventas.idventa = cuentas_clientes.idventa where idcta = cuentas_clientes_pagos.idcuenta) as factura,
(select deuda_global from cuentas_clientes where idcta = cuentas_clientes_pagos.idcuenta) as deuda_global,
(select saldo_activo from cuentas_clientes where idcta = cuentas_clientes_pagos.idcuenta) as saldo_activo,
(select usuario from usuarios where cuentas_clientes_pagos.registrado_por = usuarios.idusu) as registrado_por,
(select ventas.fecha from ventas inner join cuentas_clientes on cuentas_clientes.idventa =  ventas.idventa 
where
cuentas_clientes.idcta = cuentas_clientes_pagos.idcuenta) as fecha_venta
from cuentas_clientes_pagos 
inner join cuentas_clientes_pagos_cab on cuentas_clientes_pagos_cab.idcuentaclientepagcab = cuentas_clientes_pagos.idcuentaclientepagcab
where 
 cuentas_clientes_pagos_cab.estado <> 6
 and cuentas_clientes_pagos_cab.idcliente = $idcliente
order by idregserial desc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>


<p><strong>Pagos Registrados:</strong></p>
<br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
            <th align="center">Recibo</th>
            <th align="center">Fecha Recibo</th>
			<th align="center">Factura</th>
            <th align="center">Fecha Factura</th>
			<th align="center">Monto Factura</th>
			<th align="center">Monto abonado</th>
			<th align="center">Saldo Factura</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
            <td align="center"><?php echo antixss($rs->fields['recibo']); ?></td>
            <td align="center"><?php echo date("d/m/Y",strtotime($rs->fields['fecha_pago'])); ?></td>
			<td align="center"><?php echo antixss($rs->fields['factura']); ?></td>
            <td align="center"><?php echo date("d/m/Y",strtotime($rs->fields['fecha_venta'])); ?></td>

			<td align="right"><?php echo formatomoneda($rs->fields['deuda_global']);  ?></td>
            <td align="right"><?php echo formatomoneda($rs->fields['monto_abonado']);  ?></td>
            <td align="right"><?php echo formatomoneda($rs->fields['saldo_activo']);  ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />



<br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 

            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
