<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="10";
$submodulo="690";
require_once("includes/rsusuario.php"); 

$idestadocita=intval($_GET['id']);
if($idestadocita == 0){
	header("location: agenda_citas_estados.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select *
from agenda_citas_estados 
where 
idestadocita = $idestadocita
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idestadocita=intval($rs->fields['idestadocita']);
if($idestadocita == 0){
	header("location: agenda_citas_estados.php");
	exit;	
}

// se puede mover esta funcion al archivo funciones_agenda_citas_estados.php y realizar un require_once
function agenda_citas_estados_delete($parametros_array){
	global $conexion;
	global $saltolinea;

	// validaciones basicas
	$valido="S";
	$errores="";
	
	
	$idestadocita = antisqlinyeccion($parametros_array['idestadocita'],"int");
	$ahora = antisqlinyeccion($parametros_array['ahora'],"text");
	$idusu = antisqlinyeccion($parametros_array['idusu'],"int");
	
	
	

	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update agenda_citas_estados
		set
			estado = 6,
			borrado_por = $idusu,
			borrado_el = $ahora
		where
			idestadocita = $idestadocita
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
	}


	return array("error"=>$errores,"valido"=>$valido);
}



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	$estado_cita=antisqlinyeccion($_POST['estado_cita'],"text");
	$color=antisqlinyeccion($_POST['color'],"text");
	$orden=antisqlinyeccion($_POST['orden'],"int");


	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	$parametros_array=array(
		"idestadocita" => $idestadocita,
		"ahora" => $ahora,
		"idusu" => $idusu

	);

	// si todo es correcto actualiza
	if($valido == "S"){
		$res=agenda_citas_estados_delete($parametros_array);
		if ($res["valido"]=="S") {
			header("location: estados_agendamientos.php");
			exit;
		}else{
			$errores.=$res["errores"];
		}
		
	}

}


// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Eliminar estado agendamiento</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

                    <?php if(trim($errores) != ""){ ?>
                    <div class="alert alert-danger alert-dismissible fade in" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
                    </button>
                    <strong>Errores:</strong><br /><?php echo $errores; ?>
                    </div>
                    <?php } ?>
                    <form id="form1" name="form1" method="post" action="">

                    <div class="col-md-6 col-sm-6 form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Idestadocita *</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                        <input type="text" name="idestadocita" id="idestadocita" value="<?php  if(isset($_POST['idestadocita'])){ echo htmlentities($_POST['idestadocita']); }else{ echo htmlentities($rs->fields['idestadocita']); }?>" placeholder="Idestadocita" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
                        </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Estado cita *</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                        <input type="text" name="estado_cita" id="estado_cita" value="<?php  if(isset($_POST['estado_cita'])){ echo htmlentities($_POST['estado_cita']); }else{ echo htmlentities($rs->fields['estado_cita']); }?>" placeholder="Estado cita" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
                        </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Color </label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                        <input type="text" name="color" id="color" value="<?php  if(isset($_POST['color'])){ echo htmlentities($_POST['color']); }else{ echo htmlentities($rs->fields['color']); }?>" placeholder="Color" class="form-control"  readonly="readonly" disabled="disabled" />                    
                        </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Orden *</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                        <input type="text" name="orden" id="orden" value="<?php  if(isset($_POST['orden'])){ echo htmlentities($_POST['orden']); }else{ echo htmlentities($rs->fields['orden']); }?>" placeholder="Orden" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
                        </div>
                    </div>

                    <div class="clearfix"></div>
                    <br />

                        <div class="form-group">
                            <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
                        <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
                        <button type="button" class="btn btn-primary" onMouseUp="document.location.href='estados_agendamientos.php'"><span class="fa fa-ban"></span> Cancelar</button>
                            </div>
                        </div>


                    <input type="hidden" name="MM_update" value="form1" />
                    <input type="hidden" name="form_control" value="<?php echo antixss($_SESSION['form_control']); ?>">
                    <br />
                    </form>
                    <div class="clearfix"></div>
                    <br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
