<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="39";
$submodulo="566";
require_once("includes/rsusuario.php"); 


// automentar el timpo de ejecucion del script
//set_time_limit(0);
// para evitar el error 500 por falta de memoria
//ini_set('memory_limit', '-1');

// para mostrar errores por ejemplo el de falta de memoria en vez de mostarr un error 500 y no saber el problema
/*ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
*/
//echo 'a';exit;

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
	$url_add.='&desde='.$desde;
	$url_add.='&hasta='.$hasta;
}
// sobre escribe tambien obligartorio filtrar por fecha para evitar traer muchos registros
$whereadd="
	and date(documentos_electronicos_log.registrado_el) >= '$desde' 
	and date(documentos_electronicos_log.registrado_el) <= '$hasta' 
";


if(intval($_GET['idventa']) > 0){ 
	//sobreescribe todos los filtroos
	$whereadd="";
	
	$idventa=antisqlinyeccion(trim($_GET['idventa']),"text");
	$whereadd.=" and documentos_electronicos_log.idventa = $idventa ";
	$url_add.='&idventa='.antixss($idventa);
}
$consulta="
select count(idlog) as total
from documentos_electronicos_log 
inner join documentos_electronicos_servicios on documentos_electronicos_servicios.idservicio = documentos_electronicos_log.idservicio
where 
 idlog is not null
$whereadd
";
$rstotal=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$num_total_registros=intval($rstotal->fields['total']);
/*if($num_total_registros == 0){
	$num_total_registros=1;
}*/

/******** PAGINACION **********/
$nropagina = intval($_GET["pagina"]);
//Limito la busqueda
$TAMANO_PAGINA = 100;
//examino la página a mostrar y el inicio del registro a mostrar
if ($nropagina == 0) {
   $inicio = 0;
   $nropagina = 1;
} else {
   $inicio = ($nropagina - 1) * $TAMANO_PAGINA;
}
//calculo el total de páginas
$total_paginas = ceil($num_total_registros / $TAMANO_PAGINA);

// volver a consultar pero agregar los limites
$limite=" 
Limit $inicio, $TAMANO_PAGINA
";
//echo $consulta;exit;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
/******** PAGINACION **********/

$consulta="
select *
from documentos_electronicos_log 
inner join documentos_electronicos_servicios on documentos_electronicos_servicios.idservicio = documentos_electronicos_log.idservicio
where 
documentos_electronicos_log.idlog is not null
$whereadd
order by documentos_electronicos_log.idlog desc
$limite
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Documentos Electronicos Emitidos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
				  

<form id="form1" name="form1" method="get" action="">



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idventa </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idventa" id="idventa" value="<?php  if(isset($_GET['idventa'])){ echo htmlentities($_GET['idventa']);  } ?>" placeholder="idventa" class="form-control"  />                    
	</div>
</div>


<div class="clearfix"></div>
<br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>

<input type="hidden" name="MM_search" value="form1" />
<br />
</form>        
<div class="clearfix"></div>
  <hr />

    <ul class="pagination">
<?php 
//$rs_prod->MoveFirst();
	
if($url_add != ''){
	$url="factura_electronica_emitidos_log.php?sf=n".$url_add;
}else{
	$url="factura_electronica_emitidos_log.php?sf=s";	
}
if ($total_paginas > 1) {
		//echo '<a href="'.$url.'?pagina='.($pagina-1).'"><img src="images/izq.gif" border="0"></a>';
		if ($nropagina != 1){
			echo '<li><a href="'.$url.'&pagina='.($nropagina-1).'">&laquo;</a></li>';
		}
		for ($i=1;$i<=$total_paginas;$i++) {
			if ($nropagina == $i){
            	//si muestro el índice de la página actual, no coloco enlace
	            //echo $pagina;
				echo '<li class="active" style="background-color:#FE980F; color:#FFF;"><a href="'.$url.'">'.$nropagina.'</a></li>';
			}else{
        	    //si el índice no corresponde con la página mostrada actualmente,
            	//coloco el enlace para ir a esa página
	           // echo '  <a href="'.$url.'?pagina='.$i.'">'.$i.'</a>  ';
				echo '<li><a href="'.$url.'&pagina='.$i.'">'.$i.'</a></li>';
			}

		}
		if ($nropagina != $total_paginas){
        	//echo '<a href="'.$url.'?pagina='.($pagina+1).'"><img src="images/der.gif" border="0"></a>';
			echo '<li><a href="'.$url.'&pagina='.($nropagina+1).'">&raquo;</a></li>';
		}
}
?>
    </ul>
    <div class="clearfix"></div>
    <br />

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Idlog</th>
			<th align="center">Json enviado</th>
			<th align="center">Json respuesta</th>
			<th align="center">Registrado el</th>
			<th align="center">Idservicio</th>
			<th align="center">Idventa</th>
			<th align="center">Idnotacredito</th>
			<th align="center">Idnotaremision</th>
			<th align="center">Idautofactura</th>
			<th align="center">Idnotadebito</th>
			<th align="center">Idtranlog</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo antixss($rs->fields['idlog']); ?></td>
			<td align="center"><textarea><?php echo antixss($rs->fields['json_enviado']); ?></textarea></td>
			<td align="center"><textarea><?php echo antixss($rs->fields['json_respuesta']); ?></textarea></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['servicio']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idventa']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idnotacredito']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idnotaremision']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idautofactura']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idnotadebito']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['idtranlog']); ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />


<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
