<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="25";
$submodulo="359";
require_once("includes/rsusuario.php"); 


require_once("includes/funciones_carrito.php");

$parametros_array=array("estado_pedido" => 'C', "idusu" => $idusu, "idsucursal" => $idsucursal);
$carrito_detalles=carrito_muestra($parametros_array);

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	// recibe parametros
	$idproducto=antisqlinyeccion($_POST['idprod_serial'],"int");
	$concepto=antisqlinyeccion($_POST['concepto'],"text");
	$monto=antisqlinyeccion($_POST['monto'],"float");

	
	if(intval($_POST['idprod_serial']) == 0){
		$valido="N";
		$errores.=" - El campo producto no puede estar vacio.<br />";	
	}
	if(trim($_POST['concepto']) == ''){
		$valido="N";
		$errores.=" - El campo concepto no puede estar vacio.<br />";	
	}
	if(floatval($_POST['monto']) == 0){
		$valido="N";
		$errores.=" - El campo monto no puede estar vacio.<br />";	
	}
	


	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		INSERT INTO tmp_ventares
		(idproducto, idtipoproducto, cantidad, precio, fechahora, usuario, registrado, idsucursal, idempresa, 
		receta_cambiada, borrado, combinado, idprod_mitad1, idprod_mitad2,subtotal,observacion) 
		VALUES 
		($idproducto, 7,1,$monto,'$ahora',$idusu,'N', $idsucursal,1,
		'N','N','N',NULL,NULL,$monto,$concepto)
		;
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: facturar_regalia.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());









?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function borrar_item(idventatmp,idprod,txt){
			var parametros = {
                "idventatmp" : idventatmp
			};
	if(window.confirm("Esta seguro que desea borrar '"+txt+"'?")){	
			$.ajax({
					data:  parametros,
					url:   'carrito_borra.php',
					type:  'post',
					beforeSend: function () {
							$("#carrito").html("Actualizando Carrito...");
					},
					success:  function (response) {
							document.location.href='facturar_regalia.php';
					}
			});
	}
}
function borrar(idprod,txt){
			var parametros = {
                "prod" : idprod
			};
	if(window.confirm("Esta seguro que desea borrar '"+txt+"'?")){	
			$.ajax({
					data:  parametros,
					url:   'carrito_borra.php',
					type:  'post',
					beforeSend: function () {
							$("#carrito").html("Actualizando Carrito...");
					},
					success:  function (response) {
							document.location.href='facturar_regalia.php';
							
					}
			});
	}
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Facturar Regalia</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">




<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Producto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idprod_serial, descripcion
FROM productos
where
borrado = 'N'
and idtipoproducto = 7
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idprod_serial'])){ 
	$value_selected=htmlentities($_POST['idprod_serial']); 
}else{
	$value_selected=htmlentities($rs->fields['idprod_serial']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idprod_serial',
	'id_campo' => 'idprod_serial',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idprod_serial',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);


?>                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Concepto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="concepto" id="concepto" value="<?php  if(isset($_POST['concepto'])){ echo htmlentities($_POST['concepto']);   } ?>" placeholder="concepto" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Monto Facturar</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="number" name="monto" id="monto" value="<?php  if(isset($_POST['monto'])){ echo htmlentities($_POST['monto']); }else{ echo htmlentities($rs->fields['monto']); }?>" placeholder="Monto" class="form-control"  />                    
	</div>
</div>



<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-plus"></span> Agregar</button>

        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />

<div class="table-responsive">
<table width="100%" class="table table-bordered jambo_table bulk_action" border="1">
    <thead>
        <tr>
            <th  >Producto</th>
            <th  >Cantidad</th>
            <th  >P.U.</th>
            <th  >Subtotal</th>
            <th  >Acciones</th>

        </tr>
    </thead>
    <tbody>
<?php foreach($carrito_detalles as $carrito_detalle){

if($carrito_detalle['idtipoproducto'] != 5){
?>
        <tr>
            <td align="left"><?php echo  $carrito_detalle['descripcion'];
			if(trim($carrito_detalle['observacion']) != ''){
				echo  "<br />&nbsp;&nbsp;( ! ) OBS: ".$carrito_detalle['observacion'];
			}
			//print_r($carrito_detalle['agregados']);
			
			
			// combinado extendido
			$combinados=$carrito_detalle['combinado'];
			$ic=1;
			foreach($combinados as $combinado){
				echo "<br />&nbsp;&nbsp;> Parte $ic: ".Capitalizar($combinado['descripcion']);
				$ic++;
			}
			// combo
			$combos=$carrito_detalle['combo'];
			$ic=1;
			foreach($combos as $combo){
				echo "<br />&nbsp;&nbsp;> ".formatomoneda($combo['cantidad'])." x ".Capitalizar($combo['descripcion']);
				$ic++;
			}
			// combinado viejo
			$combinado_vs=$carrito_detalle['combinado_v'];
			$ic=1;
			foreach($combinado_vs as $combinado_v){
				echo "<br />&nbsp;&nbsp;> Parte $ic: ".Capitalizar($combinado_v['descripcion']);
				$ic++;
			}
			
			
			
			// agregados
			$carrito_agregados=$carrito_detalle['agregados'];
			$iag=1;
			foreach($carrito_agregados as $carrito_agregado){
				echo "<br />&nbsp;&nbsp;&nbsp;(+) ".trim($carrito_agregado['alias'],36)."<br />";
				echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gs. ".formatomoneda($carrito_agregado['precio_adicional'])."";
				$iag++;
			}
			// sacados
			$carrito_sacados=$carrito_detalle['sacados'];
			$iag=1;
			foreach($carrito_sacados as $carrito_sacado){
				echo "<br />&nbsp;&nbsp;&nbsp;(-) SIN ".trim($carrito_sacado['alias'],36)."";
				$iag++;
			}
			

	
			$totalacum+=$carrito_detalle['subtotal_con_extras'];
			
			$estilo_entrada="";
			$estilo_fondo="";
			if($carrito_detalle['tipo_plato'] == 'E'){
				$estilo_entrada=' style="background-color:#82E9FF;" ';
			}
			if($carrito_detalle['tipo_plato'] == 'F'){
				$estilo_fondo=' style="background-color:#82E9FF;" ';
			}
			
			
			if($carrito_detalle['idventatmp'] > 0){
				$tipo_borra='onClick="borrar_item('.$carrito_detalle['idventatmp'].','.$carrito_detalle['idproducto'].',\''.Capitalizar(str_replace("'","",$carrito_detalle['descripcion'])).'\');"';
				$tipo_personaliza='editareceta.php?idvt='.$carrito_detalle['idventatmp'];
				$accion_entrada='onclick="marcarplato_item('.$carrito_detalle['idventatmp'].',\'E\');"';
				$accion_fondo='onclick="marcarplato_item('.$carrito_detalle['idventatmp'].',\'F\');"';
			}else{
				$tipo_borra='onClick="borrar('.$carrito_detalle['idproducto'].',\''.Capitalizar(str_replace("'","",$des)).'\');"';
				$tipo_personaliza='editareceta.php?id='.$carrito_detalle['idproducto'];
				$accion_entrada='onclick="marcarplato('.$carrito_detalle['idproducto'].',\'E\');"';
				$accion_fondo='onclick="marcarplato('.$carrito_detalle['idproducto'].',\'F\');"';
			}
			
			
			 ?></td>
            <td align="center"><?php   if($carrito_detalle['idmedida'] != 4 && $carrito_detalle['idtipoproducto'] == 1){?><a href="cantidad_cambia.php?id=<?php echo $carrito_detalle['idproducto']; ?>" title="Editar Cantidad"><?php } ?><?php echo  formatomoneda($carrito_detalle['cantidad'],4,'N'); ?><?php  if($carrito_detalle['idmedida'] != 4 && $carrito_detalle['idtipoproducto'] == 1){?></a><?php } ?></td>
            <td align="right"><?php echo  formatomoneda($carrito_detalle['precio_unitario_con_extras'],2,'N'); ?></td>
            <td align="right"><?php echo  formatomoneda($carrito_detalle['subtotal_con_extras'],2,'N'); ?></td>
            <td align="right">
			<input type="button" name="button2" id="button10" value="Borrar"  class="boton" <?php echo $tipo_borra; ?>  /></td>

        </tr>
<?php } // if($carrito_detalle['idtipoproducto'] != 5){ ?>
<?php } ?>
    <tr>
      <td height="50" colspan="5"><strong>Total: <?php echo formatomoneda($totalacum,0); ?></strong></td>
    </tr>
    </tbody>
</table>
</div>
<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" onClick="document.location.href='gest_ventas_resto_caja.php'" ><span class="fa fa-check-square-o"></span> Facturar</button>

        </div>
    </div>
    
<div class="clearfix"></div>
<br /><br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
