<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="336";
require_once("includes/rsusuario.php");





//-------------------------------------------------------------------------------------------------
//************************************ AGREGAR DE A UNA CUENTA ************************************
//-------------------------------------------------------------------------------------------------
if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	

	// recibe parametros
	$idventa=antisqlinyeccion(intval($_POST['idventa']),"int");
	//$monto_abonar=antisqlinyeccion($_POST['monto_abonar'],"float");
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$estado=1;



	if(intval($_POST['idventa']) == 0){
		$valido="N";
		$errores.=" - El campo idventa no puede ser cero o nulo.<br />";	
	}
	/*if(floatval($_POST['monto_abonar']) <= 0){
		$valido="N";
		$errores.=" - El campo monto_abonar no puede ser cero o negativo.<br />";	
	}*/
	
	
	// valida que no supere el saldo de la cuenta
	$consulta="
	select totalcobrar, idcliente, tipo_venta
	from ventas 
	where 
	ventas.estado <> 6
	and ventas.idventa = $idventa
	limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idcliente=intval($rs->fields['idcliente']);
	$tipo_venta=intval($rs->fields['tipo_venta']);
	
	
	/*if(floatval($_POST['monto_abonar']) > $rs->fields['saldo_cuota']){
		$valido="N";
		$errores.=" - El campo monto_abonar no puede superar el saldo de la cuota.<br />";	
	}
	if(floatval($_POST['monto_abonar']) > $rs->fields['facturado_cuota_saldo']){
		$valido="N";
		$errores.=" - El campo monto_abonar no puede superar el saldo pendiente de facturar.<br />";	
	}
	if($rs->fields['totalcobrar'] <= 0){
		$valido="N";
		$errores.=" - No se puede facturar una venta con monto cero.<br />";	
	}
	if($rs->fields['totalventa'] <= 0){
		$valido="N";
		$errores.=" - No se puede abonar una deuda facturada completamente.<br />";	
	}*/
	
	// busca si ya hay alguna venta en el carrito
	$consulta="
	select ventas.tipo_venta, ventas.idventa
	from carrito_facturar_tk 
	inner join ventas on ventas.idventa = carrito_facturar_tk.idventa
	where
    carrito_facturar_tk.registrado_por = $idusu
	and carrito_facturar_tk.idcliente = $idcliente
	and carrito_facturar_tk.estado = 1
	limit 1
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$tipo_venta_car=intval($rsex->fields['tipo_venta']);
	$idventa_car=intval($rsex->fields['idventa']);
	// si existen ventas en el carrito
	if($idventa_car > 0){
		// si la condicion es diferente a la  venta del carrioto
		if($tipo_venta != $tipo_venta_car){
			$valido="N";
			$errores.=" - Existen ventas en el carrito con una condicion diferente a la que deseas agregar, deben ser todas contado o todas a credito.<br />";	
		}
	}
	
	$consulta="
	select idcarritofacturartk 
	from carrito_facturar_tk 
	where
	idventa = $idventa
    and registrado_por = $idusu
	and idcliente = $idcliente
	and estado = 1
	limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idcarritofacturartk=intval($rs->fields['idcarritofacturartk']);
	if($idcarritofacturartk > 0){
		$valido="N";
		$errores.=" - Ya agregaste esta venta, editala o agrega otra.<br />";		
	}

	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		
		insert into carrito_facturar_tk
		(idventa,  idcliente, registrado_por, registrado_el, estado)
		values
		($idventa, $idcliente, $registrado_por, $registrado_el, $estado)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		
	}
	
	// genera array con los datos
	$arr = array(
	'valido' => $valido,
	'errores' => $errores
	);
	
	//print_r($arr);
	
	// convierte a formato json
	$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
	
	// devuelve la respuesta formateada
	echo $respuesta;


}
//-------------------------------------------------------------------------------------------------
//***************************************** AGREGAR TODAS *****************************************
//-------------------------------------------------------------------------------------------------
if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'TODAS'){

	// validaciones basicas
	$valido="S";
	$errores="";
	

	// recibe parametros
	$idcliente=antisqlinyeccion($_POST['idcliente'],"int");
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$estado=1;


	if(intval($_POST['idcliente']) == 0){
		$valido="N";
		$errores.=" - El campo idcliente no puede ser cero o nulo.<br />";	
	}



	// si todo es correcto inserta
	if($valido == "S"){



		//***********//  INICIO FILTROS CONSULTAS //*********** //
		
		if(trim($_REQUEST['desde']) == '' or trim($_REQUEST['hasta']) == ''){
			$desde=date("Y-m-d");
			$hasta=date("Y-m-d");
		}else{
			$desde=date("Y-m-d",strtotime($_REQUEST['desde']));
			$hasta=date("Y-m-d",strtotime($_REQUEST['hasta']));	
		}
		if(trim($_REQUEST['hdesde']) == '' or trim($_REQUEST['hhasta']) == ''){
			$hdesde="00:00";
			$hhasta="23:59";
		}else{
			$hdesde=date("H:i",strtotime($_REQUEST['hdesde']));
			$hhasta=date("H:i",strtotime($_REQUEST['hhasta']));	
		}
		$desde_completo=$desde." ".$hdesde.':00';
		$hasta_completo=$hasta." ".$hhasta.':59';
		
		if(($_REQUEST['cj']) > 0){
			$idcaja=intval($_REQUEST['cj']);
			$whereadd.=" and ventas.idcaja = $idcaja";
			
		}
		if(($_REQUEST['idsucu']) > 0){
			$idsuc=intval($_REQUEST['idsucu']);
			$whereadd.=" and ventas.sucursal = $idsuc";
			
		}
		if(($_REQUEST['idcliente']) > 0){
			$idcliente=intval($_REQUEST['idcliente']);
			$whereadd.=" and ventas.idcliente = $idcliente";
			
		}
		
		if(trim($_REQUEST['idsucu']) == 'ss'){
			
			$consulta="
			select idsucu 
			from sucursales 
			where 
			estado = 1 
			and matriz = 'N'
			";
			$rssucufil=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$sucu_or_add="and ( ".$saltolinea;
			$i=0;
			while(!$rssucufil->EOF){
				$i++;
				$idsuc=intval($rssucufil->fields['idsucu']);
				if($i == 1){
					$sucu_or_add.=" ventas.sucursal = $idsuc ".$saltolinea;
				}else{
					$sucu_or_add.=" or ventas.sucursal = $idsuc ".$saltolinea;	
				}
			$rssucufil->MoveNext(); }
			$sucu_or_add.=" ) ".$saltolinea;
			$whereadd=$sucu_or_add;
			
		}
		
		if(($_REQUEST['factura']) != ''){
			$factura=antisqlinyeccion($_REQUEST['factura'],"text");
			$whereadd.=" and ventas.factura = $factura";
			
		}
		if(($_REQUEST['idventa']) > 0){
			$idventa=intval($_REQUEST['idventa']);
			$whereadd.=" and ventas.idventa = $idventa";
			
		}
		if(($_REQUEST['idproducto']) > 0){
			$idproducto=intval($_REQUEST['idproducto']);
			$whereadd.=" and (select ventas_detalles.idprod from ventas_detalles where idventa = ventas.idventa and ventas_detalles.idprod = $idproducto limit 1) = $idproducto";
			
		}
		if(intval($_REQUEST['tipo_venta']) > 0){
			$tipo_venta=antisqlinyeccion($_REQUEST['tipo_venta'],"int");
			$whereadd.=" and ventas.tipo_venta = $tipo_venta";

		}
		if(intval($_REQUEST['estado']) == 6){
			$whereadd.=" and estado = 6 ";
		}else{
			$whereadd.=" and estado <> 6 ";
		}

		//***********//  FIN FILTROS CONSULTAS //*********** //

		$consulta="
		insert into carrito_facturar_tk
		(idventa,  idcliente, registrado_por, registrado_el, estado)
		select ventas.idventa, ventas.idcliente, $idusu, '$ahora', 1
		from ventas 
		where 
		 estado <> 6
		 and date(ventas.fecha) >= '$desde'
		 and date(ventas.fecha) <= '$hasta'
		and idcliente = $idcliente 
		and factura is null 
		and idventaprinc is null
		and idventa not in (
			select idventa
			from carrito_facturar_tk
			where 
			carrito_facturar_tk.registrado_por = $idusu
			and carrito_facturar_tk.idcliente = $idcliente
			and carrito_facturar_tk.estado = 1
		)
		$whereadd
		order by fecha asc
		";
		//echo $consulta;
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		
	}
	
	// genera array con los datos
	$arr = array(
	'valido' => $valido,
	'errores' => $errores
	);
	
	//print_r($arr);
	
	// convierte a formato json
	$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
	
	// devuelve la respuesta formateada
	echo $respuesta;


}


?>