<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="25";
$submodulo="485";
require_once("includes/rsusuario.php"); 
		


require_once("includes/funciones_carrito.php");

$parametros_array=array("estado_pedido" => 'C', "idusu" => $idusu, "idsucursal" => $idsucursal);
$carrito_detalles=carrito_muestra($parametros_array);

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$idfranquicia=antisqlinyeccion($_POST['idfranquicia'],"int");
	$idventa=antisqlinyeccion($_POST['idventa'],"int");
	$monto_ventas_aplicables=antisqlinyeccion($_POST['monto_ventas_aplicables'],"float");
	$monto_ventas_total=antisqlinyeccion($_POST['monto_ventas_total'],"float");
	$monto_periodo=antisqlinyeccion($_POST['monto_periodo'],"float");
	$monto_facturado=antisqlinyeccion($_POST['monto_facturado'],"float");
	$periodo_desde=antisqlinyeccion($_POST['periodo_desde'],"text");
	$periodo_hasta=antisqlinyeccion($_POST['periodo_hasta'],"text");
	$estado=1;
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$observacion=antisqlinyeccion($_POST['observacion'],"text");


	// recibe parametros
	$idproducto=antisqlinyeccion($_POST['idprod_serial'],"int");
	$concepto=antisqlinyeccion($_POST['concepto'],"text");
	$monto=antisqlinyeccion($_POST['monto'],"float");

	

/* 
idventa 
	if(intval($_POST['idventa']) == 0){
		$valido="N";
		$errores.=" - El campo idventa no puede ser cero o nulo.<br />";	
	}
*/
	if(floatval($_POST['monto_ventas_aplicables']) <= 0){
		$valido="N";
		$errores.=" - El campo monto_ventas_aplicables no puede ser cero o negativo.<br />";	
	}
	if(floatval($_POST['monto_ventas_total']) <= 0){
		$valido="N";
		$errores.=" - El campo monto_ventas_total no puede ser cero o negativo.<br />";	
	}
	if(floatval($_POST['monto_periodo']) <= 0){
		$valido="N";
		$errores.=" - El campo monto_periodo no puede ser cero o negativo.<br />";	
	}
	if(floatval($_POST['monto_facturado']) <= 0){
		$valido="N";
		$errores.=" - El campo monto_facturado no puede ser cero o negativo.<br />";	
	}
	if(trim($_POST['periodo_desde']) == ''){
		$valido="N";
		$errores.=" - El campo periodo_desde no puede estar vacio.<br />";	
	}
	if(trim($_POST['periodo_hasta']) == ''){
		$valido="N";
		$errores.=" - El campo periodo_hasta no puede estar vacio.<br />";	
	}
	
	if(intval($_POST['idprod_serial']) == 0){
		$valido="N";
		$errores.=" - El campo producto no puede estar vacio.<br />";	
	}
	if(trim($_POST['concepto']) == ''){
		$valido="N";
		$errores.=" - El campo concepto no puede estar vacio.<br />";	
	}


	if(intval($_POST['idfranquicia']) == 0){
		$valido="N";
		$errores.=" - El campo idfranquicia no puede ser cero o nulo.<br />";	
	}
/* 
observacion 
	if(trim($_POST['observacion']) == ''){
		$valido="N";
		$errores.=" - El campo observacion no puede estar vacio.<br />";	
	}
*/


	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into facturas_regalia
		(idfranquicia, idventa, monto_ventas_aplicables, monto_ventas_total, monto_periodo, monto_facturado, periodo_desde, periodo_hasta, estado, registrado_por, registrado_el, observacion)
		values
		($idfranquicia, NULL, $monto_ventas_aplicables, $monto_ventas_total, $monto_periodo, $monto_facturado, $periodo_desde, $periodo_hasta, 1, $registrado_por, $registrado_el, $observacion)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="select max(idfacturaregalia) as idfacturaregalia from facturas_regalia where registrado_por=$registrado_por";
		$rsreg=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idfacturaregalia=intval($rsreg->fields['idfacturaregalia']);
		
		$consulta="
		INSERT INTO tmp_ventares
		(idproducto, idtipoproducto, cantidad, precio, fechahora, usuario, registrado, idsucursal, idempresa, 
		receta_cambiada, borrado, combinado, idprod_mitad1, idprod_mitad2,subtotal,observacion) 
		VALUES 
		($idproducto, 7,1,$monto_facturado,'$ahora',$idusu,'N', $idsucursal,1,
		'N','N','N',NULL,NULL,$monto_facturado,$concepto)
		;
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// obtiene el id de regalia
		$_SESSION['idfacturaregalia'] = $idfacturaregalia;

		
		
		header("location: gest_ventas_resto_caja.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());
?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>

function seleccionar_franquicia(){
	$('#modal_ventana').modal('show');
	$("#modal_titulo").html('Buscar Periodo');
	//$("#modal_cuerpo").html('Cargando...');

	var direccionurl='facturas_regalia_modal.php';	
	var parametros = {
	  "MM_insert" : "form1"
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#modal_cuerpo").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(xhr.status === 200){
				$("#modal_cuerpo").html(response);
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});
}

function buscar_periodo(){
	$('#modal_ventana').modal('show');
	$("#modal_titulo").html('Buscar Periodo');
	var html_cuerpo=$("#modal_cuerpo").html();
	//$("#modal_cuerpo").html('Cargando...');
	
	var idfranquicia = $("#idfranquicia_pop").val();
	var periodo_desde = $("#periodo_desde_pop").val();
	var periodo_hasta = $("#periodo_hasta_pop").val();

	var direccionurl='ws/ws_franq_regalias_read.php';	
	var parametros = {
	  "idfranquicia" : idfranquicia,
	  "desde" : periodo_desde,
	  "hasta" : periodo_hasta
	}; // "monto_ventas_aplicables":36232500,"monto_ventas_total":"38292500.0000","monto_regalia":3623250
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#modal_cuerpo").html('Cargando...');				
		},				
		success:  function (response, textStatus, xhr) {
			//alert(response);
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				if(obj.valido == 'S'){
					$("#modal_cuerpo").html(html_cuerpo);
					// hacer algo
					$("#idfranquicia").val(obj.idfranquicia);
					$("#periodo_desde").val(obj.periodo_desde);
					$("#periodo_hasta").val(obj.periodo_hasta);
					$("#monto_ventas_aplicables").val(obj.monto_ventas_aplicables);
					$("#monto_ventas_total").val(obj.monto_ventas_total);
					$("#monto_periodo").val(obj.monto_periodo);
					$("#monto_facturado").val(obj.monto_facturado);
					$('#modal_ventana').modal('hide');
				}else{
					alert('Errores: '+obj.errores);	
					$("#error_box_msg").html(nl2br(obj.errores));
					$("#error_box").show();
				}
			}else{
				alert(response);	
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});
}
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Facturar Regalia</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Franquicia *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idfranquicia" id="idfranquicia" value="<?php  if(isset($_POST['idfranquicia'])){ echo intval($_POST['idfranquicia']); }else{ echo intval($rs->fields['idfranquicia']); }?>" placeholder="Idfranquicia" class="form-control" required="required" readonly onClick="seleccionar_franquicia();" style="cursor:pointer;" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Observacion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="observacion" id="observacion" value="<?php  if(isset($_POST['observacion'])){ echo htmlentities($_POST['observacion']); }else{ echo htmlentities($rs->fields['observacion']); }?>" placeholder="Observacion" class="form-control"  />                    
	</div>
</div>
	
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Periodo desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="periodo_desde" id="periodo_desde" value="<?php  if(isset($_POST['periodo_desde'])){ echo htmlentities($_POST['periodo_desde']); }else{ echo htmlentities($rs->fields['periodo_desde']); }?>" placeholder="Periodo desde" class="form-control" required="required" readonly />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Periodo hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="periodo_hasta" id="periodo_hasta" value="<?php  if(isset($_POST['periodo_hasta'])){ echo htmlentities($_POST['periodo_hasta']); }else{ echo htmlentities($rs->fields['periodo_hasta']); }?>" placeholder="Periodo hasta" class="form-control" required="required" readonly />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Monto Ventas Total *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="monto_ventas_total" id="monto_ventas_total" value="<?php  if(isset($_POST['monto_ventas_total'])){ echo floatval($_POST['monto_ventas_total']); }else{ echo floatval($rs->fields['monto_ventas_total']); }?>" placeholder="Monto Ventas Total" class="form-control" required="required" readonly />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Monto Ventas Aplicable  *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="monto_ventas_aplicables" id="monto_ventas_aplicables" value="<?php  if(isset($_POST['monto_ventas_aplicables'])){ echo floatval($_POST['monto_ventas_aplicables']); }else{ echo floatval($rs->fields['monto_ventas_aplicables']); }?>" placeholder="Monto Ventas Aplicablle" class="form-control" required="required" readonly />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Monto periodo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="monto_periodo" id="monto_periodo" value="<?php  if(isset($_POST['monto_periodo'])){ echo floatval($_POST['monto_periodo']); }else{ echo floatval($rs->fields['monto_periodo']); }?>" placeholder="Monto periodo" class="form-control" required="required" readonly />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Monto facturado *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="monto_facturado" id="monto_facturado" value="<?php  if(isset($_POST['monto_facturado'])){ echo floatval($_POST['monto_facturado']); }else{ echo floatval($rs->fields['monto_facturado']); }?>" placeholder="Monto facturado" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Producto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idprod_serial, descripcion
FROM productos
where
borrado = 'N'
and idtipoproducto = 7
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idprod_serial'])){ 
	$value_selected=htmlentities($_POST['idprod_serial']); 
}else{
	$value_selected=htmlentities($rs->fields['idprod_serial']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idprod_serial',
	'id_campo' => 'idprod_serial',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idprod_serial',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);


?>                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Concepto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="concepto" id="concepto" value="<?php  if(isset($_POST['concepto'])){ echo htmlentities($_POST['concepto']);   } ?>" placeholder="concepto" class="form-control" required />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='facturas_regalia.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
