<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="363";
require_once("includes/rsusuario.php"); 




$idforma=intval($_GET['id']);
if($idforma == 0){
	header("location: formas_pago.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from formas_pago 
where 
idforma = $idforma
and estado = 1
and idforma = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idforma=intval($rs->fields['idforma']);
$descripcion_bd=strtoupper(trim($rs->fields['descripcion']));
if($idforma == 0){
	header("location: formas_pago.php");
	exit;	
}

$usa_banco=trim($rs->fields['usa_banco']);
$todos_editables="N";
if($idforma > 9){
	$todos_editables="S";
}

if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$estado=1;
	$porcentaje_comi=antisqlinyeccion($_POST['comi'],"int");														



	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update formas_pago
		set
			por_comision =  $porcentaje_comi								
		where
			idforma = $idforma
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		header("location: formas_pago.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());





?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Formas de Pago</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>

<?php 
if($todos_editables == 'S'){
	$atributoinput=" required ";	
}else{
	$atributoinput=" disabled ";	
}

?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Descripcion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="descripcion" id="descripcion" value="<?php  if(isset($_POST['descripcion'])){ echo htmlentities($_POST['descripcion']); }else{ echo htmlentities($rs->fields['descripcion']); }?>" placeholder="Descripcion" class="form-control" <?php echo $atributoinput; ?> />                    
	</div>
</div>
	
<div class="col-md-6 col-sm-6 form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Porc. desc propina*</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
    <input type="text" name="comi" id="comi" value="<?php  if(isset($_POST['comi'])){ echo antixss($_POST['comi']); }else{ echo antixss($rs->fields['por_comision']); }?>" placeholder="% Comision" class="form-control" />                    
    </div>
</div>
<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='formas_pago.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />
<strong>AVISOS:</strong><br /> 
<strong>Atajos:</strong> Solamente se mostraran hasta 5 atajos en ventas, si define mas no se mostraran algunos.<br /> 
<strong>Integra POS:</strong> Se debe activar tambien por sucursal en gestion > sucursales > editar<br /> 
<div class="clearfix"></div>
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
