<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="25";
$submodulo="227";
require_once("includes/rsusuario.php"); 

		
if($rsco->fields['master_franq'] != 'S'){
	echo "Este local no es master franquicia";
	exit;	
}
/* franquicias que probablemente esten cerradas
select idfranquicia, nombre_franquicia, estado,maxfechaventa,ultsincro_ven   from (
select *,
(select razon_social from franquiciado where idfranquiciado = franquicia.idfranquiciado) as franquiciado,
(SELECT fecha_fin FROM sincronizacion_clientes where finalizo_ok = 'S' and idfranquicia = franquicia.idfranquicia and idsincronizacion_tipo = 2 order by fecha_fin desc limit 1) as ultsincro_ven,
(select max(fecha) from ventas_franq where idfranquicia = franquicia.idfranquicia) as maxfechaventa,
(select nombre_region from franq_regiones where idregionfranq = franquicia.idregionfranq) as nombre_region
from franquicia 
where 
 estado = 1 
order by idfranquicia asc
    ) fran
    where maxfechaventa < '2024-04-01'
    and date(ultsincro_ven) < '2024-05-17'
    order by  maxfechaventa asc;
*/
/*
$consulta="
select *,
(select usuario from usuarios where franquicia.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where franquicia.borrado_por = usuarios.idusu) as borrado_por,
(select razon_social from franquiciado where idfranquiciado = franquicia.idfranquiciado) as franquiciado,
(select max(fecha) from ventas_franq where idfranquicia = franquicia.idfranquicia) as maxfechaventa,
(SELECT fecha_fin FROM sincronizacion_clientes where finalizo_ok = 'S' and idfranquicia = franquicia.idfranquicia and idsincronizacion_tipo = 1 order by fecha_fin desc limit 1) as ultsincro_prod,
(SELECT fecha_fin FROM sincronizacion_clientes where finalizo_ok = 'S' and idfranquicia = franquicia.idfranquicia and idsincronizacion_tipo = 2 order by fecha_fin desc limit 1) as ultsincro_ven,
(SELECT fecha_fin FROM sincronizacion_clientes where finalizo_ok = 'S' and idfranquicia = franquicia.idfranquicia and idsincronizacion_tipo = 3 order by fecha_fin desc limit 1) as ultsincro_man,
(select max(idventa_fran) from ventas_franq where idfranquicia = franquicia.idfranquicia) as maxidv,
(select nombre_region from franq_regiones where idregionfranq = franquicia.idregionfranq) as nombre_region
from franquicia 
where 
 estado = 1 
order by idfranquicia asc
";*/
$consulta="
SELECT 
    f.*, 
    u1.usuario AS registrado_por,
    u2.usuario AS borrado_por,
    fr.razon_social AS franquiciado,
    vf.maxfechaventa,
    sc1.fecha_fin AS ultsincro_prod,
    sc2.fecha_fin AS ultsincro_ven,
    sc3.fecha_fin AS ultsincro_man,
    vf.maxidv,
    r.nombre_region
FROM 
    franquicia f
LEFT JOIN 
    usuarios u1 ON f.registrado_por = u1.idusu
LEFT JOIN 
    usuarios u2 ON f.borrado_por = u2.idusu
LEFT JOIN 
    franquiciado fr ON f.idfranquiciado = fr.idfranquiciado
LEFT JOIN 
    (SELECT idfranquicia, MAX(fecha) AS maxfechaventa, MAX(idventa_fran) AS maxidv
     FROM ventas_franq
     GROUP BY idfranquicia) vf ON f.idfranquicia = vf.idfranquicia
LEFT JOIN 
    (SELECT idfranquicia, MAX(fecha_fin) AS fecha_fin
     FROM sincronizacion_clientes
     WHERE finalizo_ok = 'S' AND idsincronizacion_tipo = 1
     GROUP BY idfranquicia) sc1 ON f.idfranquicia = sc1.idfranquicia
LEFT JOIN 
    (SELECT idfranquicia, MAX(fecha_fin) AS fecha_fin
     FROM sincronizacion_clientes
     WHERE finalizo_ok = 'S' AND idsincronizacion_tipo = 2
     GROUP BY idfranquicia) sc2 ON f.idfranquicia = sc2.idfranquicia
LEFT JOIN 
    (SELECT idfranquicia, MAX(fecha_fin) AS fecha_fin
     FROM sincronizacion_clientes
     WHERE finalizo_ok = 'S' AND idsincronizacion_tipo = 3
     GROUP BY idfranquicia) sc3 ON f.idfranquicia = sc3.idfranquicia
LEFT JOIN 
    franq_regiones r ON f.idregionfranq = r.idregionfranq
WHERE 
    f.estado = 1
ORDER BY 
    f.idfranquicia ASC;
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Franquicias</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<p>
<a href="franquicia_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a>
<a href="franquicias_sync_productos.php" target="_blank" class="btn btn-sm btn-default"><span class="fa fa-refresh"></span> Sincronizar Productos</a>
<a href="franquicias_sync_ventas.php?iu=<?php echo  $idusu; ?>" target="_blank"  class="btn btn-sm btn-default"><span class="fa fa-refresh"></span> Sincronizar Ventas</a>
<a href="franquicias_sync_manuales.php" target="_blank"  class="btn btn-sm btn-default"><span class="fa fa-refresh"></span> Sincronizar Manuales</a>
</p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Idfranquicia</th>
			<th align="center">Nombre franquicia</th>
			<th align="center">Franquiciado</th>
            <th align="center">Region</th>
			<th align="center">Direccion</th>
			<th align="center">Telefono</th>
			<th align="center">Fecha apertura</th>
			<th align="center">Ult Venta</th>
            <th align="center">Ult Sinc Ventas</th>
            <th align="center">Ult Sinc Productos</th>
            <th align="center">Ult Sinc Manuales</th>
		</tr>
	  </thead>
	  <tbody>
<?php
$i=0;
 while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="franquicia_det.php?id=<?php echo $rs->fields['idfranquicia']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>
					<a href="franquicia_edit.php?id=<?php echo $rs->fields['idfranquicia']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
					<a href="franquicia_del.php?id=<?php echo $rs->fields['idfranquicia']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
                    <?php if(trim($rs->fields['url_franquicia']) != ''){ ?>
                    <a href="<?php echo strtolower($rs->fields['url_franquicia']); ?>" target="_blank" class="btn btn-sm btn-default" title="Abrir" data-toggle="tooltip" data-placement="right"  data-original-title="Abrir"><span class="fa fa-link"></span></a>
                    <a href="<?php echo strtolower($rs->fields['url_franquicia']); ?>ws/ws_productos_read.php" target="_blank" class="btn btn-sm btn-default" title="Sincronizar Productos" data-toggle="tooltip" data-placement="right"  data-original-title="Sincronizar Productos"><span class="fa fa-refresh"></span> P</a>
                    <a href="ws/ws_ventas_read.php?idfranquicia=<?php echo $rs->fields['idfranquicia']; ?>&idv=<?php echo intval($rs->fields['maxidv']); ?>"  target="_blank"  class="btn btn-sm btn-default" title="Sincronizar Ventas" data-toggle="tooltip" data-placement="right"  data-original-title="Sincronizar Ventas"><span class="fa fa-refresh"></span> V</a>
                    <?php } ?>
				</div>

			</td>
			<td align="center"><?php echo intval($rs->fields['idfranquicia']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['nombre_franquicia']); ?><?php 
				  $sincro_activa='S';
				  $motivo_sincro="";
	
				  if($rs->fields['sincronizacion_activa'] != 'S'){
					 $sincro_activa='N'; 
					 $motivo_sincro="Sincronizacion Inactiva";
				  }
			  	  if(trim($rs->fields['url_franquicia']) == ''){
					 $sincro_activa='N'; 
					 $motivo_sincro="Falta URL";
				  }
				  if($sincro_activa != 'S'){ ?><br /><button  class="btn btn-sm btn-danger" title="<?php echo $motivo_sincro; ?>" data-toggle="tooltip" data-placement="right"  data-original-title="<?php echo $motivo_sincro; ?>"><span class="fa fa-times"></span> <?php echo $motivo_sincro; ?></button><?php }else{ ?><br /><button  class="btn btn-sm btn-success" title="<?php echo $motivo_sincro; ?>" data-toggle="tooltip" data-placement="right"  data-original-title="<?php echo $motivo_sincro; ?>"><span class="fa fa-check-square-o"></span> Sincro Activa<?php } ?></td>
 
			<td align="center"><?php echo antixss($rs->fields['franquiciado']); ?></td>
           <td align="center"><?php echo antixss($rs->fields['nombre_region']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['direccion']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['telefono']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_apertura'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_apertura'])); } ?></td>
			<td align="center"><?php 
if ($rs->fields['maxfechaventa'] != "") {
    $ultimaVenta = strtotime($rs->fields['maxfechaventa']);
    $ahora = time();
    $diferenciaHoras = ($ahora - $ultimaVenta) / 3600; // Convertir diferencia en segundos a horas

    if ($diferenciaHoras > 24) {
        echo '<span style="color: red;">' . date("d/m/Y H:i:s", $ultimaVenta) . '</span>';
    } else {
        echo date("d/m/Y H:i:s", $ultimaVenta);
    }
} 
?></td>
			<td align="center"><?php 
if ($rs->fields['ultsincro_ven'] != "") {
    $ultsincro_ven = strtotime($rs->fields['ultsincro_ven']);
    $ahora = time();
    $diferenciaHoras = ($ahora - $ultsincro_ven) / 3600; // Convertir diferencia en segundos a horas

    if ($diferenciaHoras > 24) {
        echo '<span style="color: red;">' . date("d/m/Y H:i:s", $ultsincro_ven) . '</span>';
    } else {
        echo date("d/m/Y H:i:s", $ultsincro_ven);
    }
} 
?></td>
			<td align="center"><?php if($rs->fields['ultsincro_prod'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['ultsincro_prod'])); } ?></td>
            <td align="center"><?php if($rs->fields['ultsincro_man'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['ultsincro_man'])); } ?></td>
            
		</tr>
<?php $i++; $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
<strong>Total: </strong><?php echo formatomoneda($i); ?>
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 

		
<?php 
$consulta="
select *,
    u1.usuario AS registrado_por,
    u2.usuario AS borrado_por
from franquicia f
LEFT JOIN 
    usuarios u1 ON f.registrado_por = u1.idusu
LEFT JOIN 
    usuarios u2 ON f.borrado_por = u2.idusu
where 
f.estado = 6 
order by f.idfranquicia asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Franquicias Borradas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                  
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Idfranquicia</th>
			<th align="center">Idfranquiciado</th>
			<th align="center">Nombre franquicia</th>
			<th align="center">Estado</th>
			<th align="center">Direccion</th>
			<th align="center">Telefono</th>
			<th align="center">Fecha apertura</th>
			<th align="center">Iddepartamento</th>
			<th align="center">Idciudad</th>
			<th align="center">Idbarrio</th>
			<th align="center">Latitud</th>
			<th align="center">Longitud</th>
			<th align="center">Fecha ultmigra</th>
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>
			<th align="center">Borrado por</th>
			<th align="center">Borrado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php 
$i=0;
while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="franquicia_res.php?id=<?php echo $rs->fields['idfranquicia']; ?>" class="btn btn-sm btn-default" title="Restaurar" data-toggle="tooltip" data-placement="right"  data-original-title="Restaurar"><span class="fa fa-recycle"></span></a>
				</div>

			</td>
			<td align="center"><?php echo intval($rs->fields['idfranquicia']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idfranquiciado']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['nombre_franquicia']); ?></td>
			<td align="center"><?php echo intval($rs->fields['estado']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['direccion']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['telefono']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_apertura'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_apertura'])); } ?></td>
			<td align="center"><?php echo intval($rs->fields['iddepartamento']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idciudad']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idbarrio']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['latitud']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['longitud']);  ?></td>
			<td align="center"><?php if($rs->fields['fecha_ultmigra'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_ultmigra'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['borrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['borrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['borrado_el'])); }  ?></td>
		</tr>
<?php $i++; $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
<strong>Total: </strong><?php echo formatomoneda($i); ?>
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 


            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
