<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="25";
$submodulo="228";
require_once("includes/rsusuario.php"); 

	
$idfranquiciado=intval($_GET['id']);
if($idfranquiciado == 0){
	header("location: franquiciado.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from franquiciado 
where 
idfranquiciado = $idfranquiciado
and estado = 6
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idfranquiciado=intval($rs->fields['idfranquiciado']);
if($idfranquiciado == 0){
	header("location: franquiciado.php");
	exit;	
}


if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	$razon_social=antisqlinyeccion($_POST['razon_social'],"text");
	$ruc=antisqlinyeccion($_POST['ruc'],"text");
	$telefono=antisqlinyeccion($_POST['telefono'],"text");
	$direccion=antisqlinyeccion($_POST['direccion'],"text");
	$comentario=antisqlinyeccion($_POST['comentario'],"text");
	$total_franquicias=antisqlinyeccion($_POST['total_franquicias'],"int");
	$estado=antisqlinyeccion($_POST['estado'],"int");
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$borrado_por=antisqlinyeccion($_POST['borrado_por'],"int");
	$borrado_el=antisqlinyeccion($_POST['borrado_el'],"text");


	// validaciones basicas
	$valido="S";
	$errores="";


	
	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update franquiciado
		set
			estado = 1
		where
			idfranquiciado = $idfranquiciado
			and estado = 6
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update franquiciado
		set
		total_franquicias=COALESCE((select count(*) as total from franquicia where idfranquiciado = franquiciado.idfranquiciado and estado <> 6),0)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: franquiciado.php");
		exit;
		
	}

}


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Editar Franquiciado</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idfranquiciado *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idfranquiciado" id="idfranquiciado" value="<?php  if(isset($_POST['idfranquiciado'])){ echo htmlentities($_POST['idfranquiciado']); }else{ echo htmlentities($rs->fields['idfranquiciado']); }?>" placeholder="Idfranquiciado" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Razon social </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="razon_social" id="razon_social" value="<?php  if(isset($_POST['razon_social'])){ echo htmlentities($_POST['razon_social']); }else{ echo htmlentities($rs->fields['razon_social']); }?>" placeholder="Razon social" class="form-control"  readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Ruc </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="ruc" id="ruc" value="<?php  if(isset($_POST['ruc'])){ echo htmlentities($_POST['ruc']); }else{ echo htmlentities($rs->fields['ruc']); }?>" placeholder="Ruc" class="form-control"  readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Telefono </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="telefono" id="telefono" value="<?php  if(isset($_POST['telefono'])){ echo htmlentities($_POST['telefono']); }else{ echo htmlentities($rs->fields['telefono']); }?>" placeholder="Telefono" class="form-control"  readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Direccion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="direccion" id="direccion" value="<?php  if(isset($_POST['direccion'])){ echo htmlentities($_POST['direccion']); }else{ echo htmlentities($rs->fields['direccion']); }?>" placeholder="Direccion" class="form-control"  readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Comentario </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="comentario" id="comentario" value="<?php  if(isset($_POST['comentario'])){ echo htmlentities($_POST['comentario']); }else{ echo htmlentities($rs->fields['comentario']); }?>" placeholder="Comentario" class="form-control"  readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Total franquicias *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="total_franquicias" id="total_franquicias" value="<?php  if(isset($_POST['total_franquicias'])){ echo htmlentities($_POST['total_franquicias']); }else{ echo htmlentities($rs->fields['total_franquicias']); }?>" placeholder="Total franquicias" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Estado *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="estado" id="estado" value="<?php  if(isset($_POST['estado'])){ echo htmlentities($_POST['estado']); }else{ echo htmlentities($rs->fields['estado']); }?>" placeholder="Estado" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Borrado por </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="borrado_por" id="borrado_por" value="<?php  if(isset($_POST['borrado_por'])){ echo htmlentities($_POST['borrado_por']); }else{ echo htmlentities($rs->fields['borrado_por']); }?>" placeholder="Borrado por" class="form-control"  readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Borrado el </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="datetime" name="borrado_el" id="borrado_el" value="<?php  if(isset($_POST['borrado_el'])){ echo htmlentities($_POST['borrado_el']); }else{ echo htmlentities($rs->fields['borrado_el']); }?>" placeholder="Borrado el" class="form-control"  readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-recycle"></span> Restaurar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='franquiciado.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />

<br />
</form>
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
