<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="266";
require_once("includes/rsusuario.php"); 


$compra_desde=date("Y-m-d");
$compra_hasta=date("Y-m-d");

if(isset($_GET['desde']) && trim($_GET['desde']) != ''){
	$compra_desde=date("Y-m-d",strtotime($_GET['desde']));
	$compra_hasta=date("Y-m-d",strtotime($_GET['hasta']));
}
$desde=$compra_desde;
$hasta=$compra_hasta;

if(intval($_GET['idproveedor']) > 0){
	$idproveedor=intval($_GET['idproveedor']);
	$whereadd.=" and facturas_proveedores.id_proveedor = $idproveedor ";	
}
if(intval($_GET['idconcepto']) > 0){
	$idconcepto=intval($_GET['idconcepto']);
	$whereadd.=" and gastos_lista.idconcepto = $idconcepto ";	
}



if(isset($_GET['desde']) && trim($_GET['desde']) != ''){

	$consulta="
	SELECT *,
	(select proveedores.nombre from proveedores where proveedores.idproveedor = facturas_proveedores.id_proveedor) as proveedor,
	(select usuario from usuarios where facturas_proveedores.usuario_carga = usuarios.idusu) as registrado_por
	FROM facturas_proveedores
	where
	facturas_proveedores.fecha_compra >= '$compra_desde'
	and facturas_proveedores.fecha_compra <= '$compra_hasta'
	and facturas_proveedores.estado <> 6
	$whereadd
	and idgasto > 0
	order by facturas_proveedores.fecha_compra asc
	limit 1000
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

}

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Gastos por Proveedor</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php 
$refemenu='desc';
require_once("includes/menu_gastos.php");

?>
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="get" action="">

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Gastos Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="compra_desde" value="<?php  echo htmlentities($compra_desde); ?>" placeholder="Compras Desde" class="form-control" required />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Gastos Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="compra_hasta" value="<?php   echo htmlentities($compra_hasta); ?>" placeholder="Compras Hasta" class="form-control" required />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Proveedor *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idproveedor, nombre
FROM proveedores
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_GET['idproveedor'])){ 
	$value_selected=htmlentities($_GET['idproveedor']); 
}else{
	//$value_selected=htmlentities($rs->fields['idproveedor']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idproveedor',
	'id_campo' => 'idproveedor',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idproveedor',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Generar</button>

        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><hr /><br />

<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Nombres</th>

		</tr>
	  </thead>
	  <tbody>

		<tr>
			<td>
				
				<div class="btn-group">
					<a href="gastos_desc_csv.php<?php echo parametros_url(); ?>" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar"><span class="fa fa-file-excel-o"></span></a>

				</div>

			</td>
			<td align="center">Facturas de Gastos</td>


		</tr>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="gastos_det_desc_csv.php<?php echo parametros_url(); ?>" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar"><span class="fa fa-file-excel-o"></span></a>

				</div>

			</td>
			<td align="center">Detalle de Gastos</td>


		</tr>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="gastos_desc_csv.php<?php echo parametros_url(); ?>&anul=s" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar"><span class="fa fa-file-excel-o"></span></a>

				</div>

			</td>
			<td align="center">Gastos Anulados</td>


		</tr>

	  </tbody>
    </table>
</div>
<br />





                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
