<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="262";
require_once("includes/rsusuario.php"); 


$idgasto=intval($_GET['id']);
if($idgasto == 0){
    header("location: gastos_lista.php");
    exit;    
}

// consulta a la tabla    
$consulta="
select * 
from gastos_lista 
where 
idgasto = $idgasto
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idgasto=intval($rs->fields['idgasto']);
if($idgasto == 0){
    header("location: gastos_lista.php");
    exit;    
}





if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

    // validaciones basicas
    $valido="S";
    $errores="";
    
    // control de formularios, seguridad para evitar doble envio y ataques via bots
    if($_SESSION['form_control'] != $_POST['form_control']){
        $errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
        $valido="N";
    }
    if(trim($_POST['form_control']) == ''){
        $errores.="- Control del formularios no activado.<br />";
        $valido="N";
    }
    $_SESSION['form_control'] = md5(rand());
    // control de formularios, seguridad para evitar doble envio y ataques via bots
    

    // recibe parametros
    //$idgasto=antisqlinyeccion($_POST['idgasto'],"text");
    $descripcion=antisqlinyeccion($_POST['descripcion'],"text");
    $idconcepto=antisqlinyeccion($_POST['idconcepto'],"int");
    $idserieun=antisqlinyeccion($_POST['idserieun'],"int");
    $estado=1;
    $idtipoiva=antisqlinyeccion($_POST['idtipoiva'],"int");
    $registrado_por=$idusu;
    $registrado_el=antisqlinyeccion($ahora,"text");
    $editado_por=antisqlinyeccion('',"int");
    $editado_el=antisqlinyeccion('',"text");
    $permite_ceroynegativo=antisqlinyeccion($_POST['permite_ceroynegativo'],"text");




    /*if(trim($_POST['idgasto']) == ''){
        $valido="N";
        $errores.=" - El campo idgasto no puede estar vacio.<br />";    
    }*/
    if(trim($_POST['descripcion']) == ''){
        $valido="N";
        $errores.=" - El campo descripcion no puede estar vacio.<br />";    
    }
    if(intval($_POST['idconcepto']) == 0){
        $valido="N";
        $errores.=" - El campo idconcepto no puede ser cero o nulo.<br />";    
    }
    if(intval($_POST['idtipoiva']) == 0){
        $valido="N";
        $errores.=" - El campo iva no puede estar vacio.<br />";    
    }
    
    
/* 
registrado_por 
*/
/* 
registrado_el 
*/
/* 
borrado_por 
*/
/* 
borrado_el 
*/
/* 
editado_por 
    if(intval($_POST['editado_por']) == 0){
        $valido="N";
        $errores.=" - El campo editado_por no puede ser cero o nulo.<br />";    
    }
*/
/* 
editado_el 
    if(trim($_POST['editado_el']) == ''){
        $valido="N";
        $errores.=" - El campo editado_el no puede estar vacio.<br />";    
    }
*/
    
    $consulta="
    select * from gastos_lista where descripcion = $descripcion and idgasto <> $idgasto and estado <> 6 limit 1
    ";
    $rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
    if(intval($rsex->fields['idgasto']) > 0){
        $valido="N";
        $errores.=" - Ya existe otro gasto con el mismo nombre.<br />";    
    }
    
    
    $consulta="
    SELECT iva_porc FROM tipo_iva where idtipoiva = $idtipoiva
    ";
    $rsiva=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
    $iva_porc=floatval($rsiva->fields['iva_porc']);

    // si todo es correcto inserta
    if($valido == "S"){
        
        $consulta="
        update gastos_lista
        set
            descripcion=$descripcion,
            idconcepto=$idconcepto,
            iva_porc=$iva_porc,
            idtipoiva = $idtipoiva,
            permite_ceroynegativo=$permite_ceroynegativo,
            editado_por=$editado_por,
            editado_el=$editado_el,
            idplancuentadet = $idserieun
        where
            idgasto = $idgasto
        ";
        $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
        
        header("location: gastos_lista.php");
        exit;
        
    }

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());





?><!DOCTYPE html>
<html lang="en">
  <head>
    <?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
            
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Gastos lista</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Descripcion *</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
    <input type="text" name="descripcion" id="descripcion" value="<?php  if(isset($_POST['descripcion'])){ echo htmlentities($_POST['descripcion']); }else{ echo htmlentities($rs->fields['descripcion']); }?>" placeholder="Descripcion" class="form-control" required />                    
    </div>
</div>

<div class="form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Idconcepto *</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idconcepto, descripcion
FROM cn_conceptos
where
estado = 1
AND borrable = 'S'
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idconcepto'])){ 
    $value_selected=htmlentities($_POST['idconcepto']); 
}else{
    $value_selected=htmlentities($rs->fields['idconcepto']);
}

// parametros
$parametros_array=array(
    'nombre_campo' => 'idconcepto',
    'id_campo' => 'idconcepto',
    
    'nombre_campo_bd' => 'descripcion',
    'id_campo_bd' => 'idconcepto',
    
    'value_selected' => $value_selected,
    
    'pricampo_name' => 'Seleccionar...',
    'pricampo_value' => '',
    'style_input' => 'class="form-control"', 
    'acciones' => ' required="required" ',
    'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
    </div>
</div>
<?php if($contable==1) {?>
<div class="form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Vincular plan de cuenta*</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idserieun, descripcion
FROM cn_plancuentas_detalles
where
estado = 1
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idserieun'])){ 
    $value_selected=htmlentities($_POST['idserieun']); 
}else{
    $value_selected=htmlentities($rs->fields['idplancuentadet']);
}

// parametros
$parametros_array=array(
    'nombre_campo' => 'idserieun',
    'id_campo' => 'idserieun',
    
    'nombre_campo_bd' => 'descripcion',
    'id_campo_bd' => 'idserieun',
    
    'value_selected' => $value_selected,
    
    'pricampo_name' => 'Seleccionar...',
    'pricampo_value' => '',
    'style_input' => 'class="form-control"', 
    'acciones' => ' required="required" ',
    'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
    </div>
</div>
<?php }?>

<div class="form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">IVA *</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
<?php 

$idtipoiva_compra_pred=$rsco->fields['idtipoiva_compra_pred'];

// consulta
$consulta="
SELECT idtipoiva, iva_describe
FROM tipo_iva
where
estado = 1
and hab_compra = 'S'
order by iva_describe asc
 ";

// valor seleccionado
if(isset($_POST['idtipoiva'])){ 
    $value_selected=htmlentities($_POST['idtipoiva']); 
}else{
    $value_selected=htmlentities($rs->fields['idtipoiva']);
}

// parametros
$parametros_array=array(
    'nombre_campo' => 'idtipoiva',
    'id_campo' => 'idtipoiva',
    
    'nombre_campo_bd' => 'iva_describe',
    'id_campo_bd' => 'idtipoiva',
    
    'value_selected' => $value_selected,
    
    'pricampo_name' => 'Seleccionar...',
    'pricampo_value' => '',
    'style_input' => 'class="form-control"', 
    'acciones' => ' required="required" ',
    'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>                
    </div>
</div>

<div class="form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Permite cero y negativo *</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
    <select name="permite_ceroynegativo" id="permite_ceroynegativo" class="form-control" required>
       <option value="S" <?php if($rs->fields['permite_ceroynegativo']=='S'){?> selected="selected" <?php } ?>>SI</option>
       <option value="N" <?php if($rs->fields['permite_ceroynegativo']=='N'){?> selected="selected" <?php } ?>>NO</option>
    </select>
    </div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
       <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
       <button type="button" class="btn btn-primary" onMouseUp="document.location.href='gastos_lista.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>