<?php
/*-------------------------------
26/08/2024: Para multi Monedas
30/08/24: Se sube a todos Nuevo script
03/09: Se sube a todos
----------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo = "1";
$submodulo = "2";
require_once("includes/rsusuario.php");

$revertir = intval($_POST['revertir']);
$idcaja = intval($_POST['idcaja']);
$idmoneda_aplicar = intval($_POST['idmoneda']);

// Obtenemos el valor de rendondea para saber que tipo de formula de cotizacion usa el cliente
$consulta = "SELECT redondea FROM preferencias_cotizacion";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
$redondea = trim($rs->fields['redondea']);
$formula = '';

//verificamos la cotizacion para esa
if ($idcaja > 0 && $idmoneda_aplicar > 0) {
	$ahorad = date("Y-m-d");
	$buscar = "
	select cotizaciones.cotizacion from cotizaciones
	inner join tipo_moneda on tipo_moneda.idtipo=cotizaciones.tipo_moneda
	where cotizaciones.estado = 1 and date(cotizaciones.fecha) = '$ahorad' and tipo_moneda.idmoneda=$idmoneda_aplicar order by cotizaciones.fecha DESC LIMIT 1";
	$rscot = $conexion->Execute($buscar) or die(errorpg($conexion, $buscar));
	$cotizacion = floatval($rscot->fields['cotizacion']);
	if ($cotizacion == 0) {
		echo "Error: La cotizacion seleccionada no ha sido cargada o ha sido eliminada. No se permite aplicar el cambio.Verifique e intente nuevamente";
		exit;
	}
	//echo "$cotizacion PASA";exit;
	//Vemos si hay articulos en el carrito pendientes
	$consulta = "
	select tmp_ventares.*, productos.descripcion, sum(cantidad) as total, sum(precio) as totalprecio, sum(subtotal) as subtotal,
	(select recetas_detalles.idreceta from recetas_detalles where recetas_detalles.idprod = tmp_ventares.idproducto limit 1) as tienereceta, 
	(select agregado.idproducto from agregado WHERE agregado.idproducto = tmp_ventares.idproducto limit 1) as tieneagregado,
	tmp_ventares.idtipoproducto, tmp_ventares.idprod_mitad2, tmp_ventares.idprod_mitad1,
	(select muestra_grupo_combo from productos WHERE productos.idprod_serial = tmp_ventares.idproducto limit 1) as muestra_grupo_combo
	from tmp_ventares 
	inner join productos on tmp_ventares.idproducto = productos.idprod_serial
	where 
	registrado = 'N'
	and idmesa = 0
	and tmp_ventares.usuario = $idusu
	and tmp_ventares.borrado = 'N'
	and tmp_ventares.finalizado = 'N'
	and tmp_ventares.idsucursal = $idsucursal
	and tmp_ventares.idempresa = $idempresa
	and tmp_ventares.idtipoproducto not in (2,3,4)

	and (
		select tmp_ventares_agregado.idventatmp 
		from tmp_ventares_agregado 
		WHERE 
		tmp_ventares_agregado.idventatmp = tmp_ventares.idventatmp
		limit 1
	) is null
	and (
		select tmp_ventares_sacado.idventatmp 
		from tmp_ventares_sacado 
		WHERE 
		tmp_ventares_sacado.idventatmp = tmp_ventares.idventatmp
		limit 1
	) is null
	and tmp_ventares.observacion is null
	and tmp_ventares.desconsolida_forzar is null

	group by descripcion, receta_cambiada
	order by tmp_ventares.idventatmp desc
";
	$rscontrola_carrito = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
	$total_en_carrito = $rscontrola_carrito->RecordCount();
	if ($total_en_carrito > 0) {

		// Realizamos la formula de cotizacion dependiendo de la parametrizacion seleccionada
		if ($redondea == 'S') {
			$formula = "CEIL((subtotal / $cotizacion) * 2) / 2";
		} elseif ($redondea == 'N') {
			$formula = "(subtotal / $cotizacion)";
		}

		//Updateamos
		$update = "
		Update 
			tmp_ventares set idmoneda=$idmoneda_aplicar,cotizacion=$cotizacion,subtotal_otra_moneda=$formula
		where 
			registrado = 'N'
			and idmesa = 0
			and tmp_ventares.usuario = $idusu
			and tmp_ventares.borrado = 'N'
			and tmp_ventares.finalizado = 'N'
			and tmp_ventares.idsucursal = $idsucursal
			and tmp_ventares.idempresa = $idempresa";
		$conexion->Execute($update) or die(errorpg($conexion, $update));
	}

	$_SESSION['idmoneda'] = $idmoneda_aplicar;
	// echo "OK";
	exit;
}
if ($revertir == 1) {
	//Updateamos
	$update = "Update tmp_ventares set idmoneda=NULL,cotizacion=NULL,subtotal_otra_moneda=NULL
		where 
		registrado = 'N'
		and idmesa = 0
		and tmp_ventares.usuario = $idusu
		and tmp_ventares.borrado = 'N'
		and tmp_ventares.finalizado = 'N'
		and tmp_ventares.idsucursal = $idsucursal
		and tmp_ventares.idempresa = $idempresa
		";
	$conexion->Execute($update) or die(errorpg($conexion, $update));
	$_SESSION['idmoneda'] = "";
	// echo "OK";
	exit;
}
