<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="80";
require_once("includes/rsusuario.php"); 


require_once("includes/funciones_stock.php");

$insertado='N';

set_time_limit(0);


$consulta="
select permite_verdetalle, obliga_concepto, idconcepto_inicial, idconcepto_final from preferencias_inventario limit 1
";
$rsprefinv=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idconcepto_inicial=intval($rsprefinv->fields['idconcepto_inicial']);
$idconcepto_final=intval($rsprefinv->fields['idconcepto_final']);
$obliga_concepto=trim($rsprefinv->fields['obliga_concepto']);

//Post para generar cabecera inicial
$idinventario=intval($_GET['inv']);
$eliminar=intval($_GET['el']);
if ($idinventario==0){
?>
    <div align="center"><strong>Error al obtener id de inventario</strong>
    	
   </div>
<?php 
	exit;
} else {
		if ($eliminar > 0){
			
			$delete="
			Delete from 
			inventario_detalles 
			where 
			unicose=$eliminar 
			and idinventario in (
									select idinventario 
									from inventario 
									where 
									idinventario = $idinventario 
									and idempresa = $idempresa 
									and (inventario.estado = 2 or inventario.estado = 1) 
								)
			";
			$conexion->Execute($delete) or die(errorpg($conexion,$delete));
			header("Location: gest_control_lista.php?inv=$idinventario");
			exit;
		}
	$buscar="
	Select idinventario,fecha_inicio,inventario.estado,usuario,iddeposito
	from inventario 
	inner join usuarios on usuarios.idusu=inventario.iniciado_por
	 where 
	idinventario=$idinventario 
	and inventario.idempresa = $idempresa";
	$rsinv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$fecha_inicio=$rsinv->fields['fecha_inicio'];
	$iddeposito=$rsinv->fields['iddeposito'];
	if(intval($rsinv->fields['idinventario']) == 0){
		header("location: gest_controlar_stock.php");
		exit;	
	}
	
	
	$estado=intval($rsinv->fields['estado']);
	$inve=intval($rsinv->fields['estado']);
	
	$buscar="
	Select * from 
	gest_depositos 
	where 
	idempresa = $idempresa
	order by iddeposito asc";
	$rsd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	
	//Si existen productos en el inventario, mostramos una ventanita para que se edite en otra pagina
	$buscar="
	Select inventario_detalles.unicose,idinsumo,inventario_detalles.descripcion,cantidad_contada,
	gest_depositos.descripcion as nombredepto,usuario,lote,vto,unicose,
			(
			select sum(disponible) as cantidad_teorica 
			from gest_depositos_stock_gral
			 where idempresa = $idempresa 
			 and idproducto = inventario_detalles.idinsumo
			 and iddeposito = gest_depositos.iddeposito
			 ) as cantidad_teorica,
			 (
			select sum(venta_receta.cantidad) as venta
			from venta_receta 
			inner join ventas on ventas.idventa = venta_receta.idventa
			where 
			venta_receta.idinsumo = inventario_detalles.idinsumo  
			and date(ventas.fecha) >= '$fecha_inicio'
			and (select iddeposito from gest_depositos where idsucursal = ventas.sucursal and tiposala = 2) = $iddeposito
			and ventas.estado <> 6
			) as venta
	from inventario_detalles
	inner join usuarios on usuarios.idusu=inventario_detalles.idusu
	inner join gest_depositos on gest_depositos.iddeposito=inventario_detalles.ubicacion
	 where 
	 idinventario=$idinventario
	 and idinventario in (
	 						select idinventario 
							from inventario 
							where 
							idinventario=$idinventario 
							and idempresa = $idempresa 
							and (inventario.estado = 2 or inventario.estado = 1)
						)
	 and gest_depositos.idempresa = $idempresa
	 order by inventario_detalles.descripcion asc
	 ";
	// echo $buscar;
	$rsdeta=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$totaldeta=$rsdeta->RecordCount();
	if(intval($totaldeta) == 0){
		header("location: gest_controlar_stock.php");
		exit;	
	}

}

if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){
	
	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	$cerrar=intval($_GET['inv']);
	
	if (intval($cerrar) <= 0){
		$valido="N";
		$errores.="- No se indico la tanda de inventario a cerrar.";
	}
	
	
	if ( !(isset($_GET['inv']) && intval($_GET['inv']) > 0 && $totaldeta > 0 && $idinventario > 0) ){
		$valido="N";
		$errores.="- No se enviaron todos los parametros necesarios.";
	}
	
	
	
	if ($valido == 'S'){
		
		
		// datos del inventario
		$consulta="
		SELECT *,
		(select tiposala from gest_depositos where iddeposito = inventario.iddeposito) as tiposala
		FROM inventario
		where 
		idinventario=$cerrar
		and idempresa = $idempresa
		and estado <> 3
		";
		$rsinvdat=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$tipodeposito=$rsinvdat->fields['tiposala'];
		$fechainicio=$rsinvdat->fields['fecha_inicio'];
		$iddeposito=$rsinvdat->fields['iddeposito'];
		$omitevent=substr(htmlentities($_POST['omitevent']),0,1);
		$idconcepto_inventario=$rsinvdat->fields['idconcepto'];
		
		$consulta="
		select idsucursal from gest_depositos where iddeposito = $iddeposito limit 1
		";
		$rsinvsuc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idsucursal_dep=$rsinvsuc->fields['idsucursal'];
		
		// lista completa de insumos del deposito
		$consulta="
		select *,
				(
				select sum(disponible) as cantidad_teorica 
				from gest_depositos_stock_gral
				 where idempresa = $idempresa 
				 and idproducto = insumos_lista.idinsumo
				 and iddeposito = $iddeposito
				 ) as cantidad_teorica,
				(
				select sum(venta_receta.cantidad) as venta
				from venta_receta 
				inner join ventas on ventas.idventa = venta_receta.idventa
				where 
				venta_receta.idinsumo = insumos_lista.idinsumo  
				and date(ventas.fecha) >= '$fechainicio'
				and (select iddeposito from gest_depositos where idsucursal = ventas.sucursal  and tiposala = 2) = $iddeposito
				and ventas.estado <> 6
				) as venta
		from insumos_lista 
		where 
		idempresa = $idempresa
		";
		//echo $consulta;
		$rsinsucomp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		// carga insumos no contados
		$consulta="
		INSERT INTO inventario_detalles
		(
		idinventario, idinsumo, descripcion, cantidad_contada, cantidad_sistema, diferencia, 
		precio_venta, precio_costo, idusu, ubicacion, lote, vto, fechahora
		) 
		select $cerrar, idinsumo, descripcion, 0, 0, 0, 
		0, 0, $idusu, $iddeposito, NULL, NULL, '$ahora'
		from insumos_lista
		where 
		estado = 'A'
		and idinsumo not in (select idinsumo from inventario_detalles where idinventario = $cerrar)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// CARGA cantidades teoricasd
		$consulta="
		update inventario_detalles 
		set 
		cantidad_sistema = COALESCE((
				select sum(disponible) as cantidad_teorica 
				from gest_depositos_stock_gral
				 where 
				 idempresa = $idempresa 
				 and idproducto = inventario_detalles.idinsumo
				 and iddeposito = $iddeposito
				 ),0)
		where
		idinventario=$cerrar
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		while (!$rsinsucomp->EOF){
			
			 $idinsumo=$rsinsucomp->fields['idinsumo'];
			 
			// detalle del inventario
			$buscar="
			Select *
			from inventario_detalles 
			where 
			idinventario=$cerrar 
			and inventario_detalles.idinsumo = $idinsumo
			and idinventario in (select idinventario from inventario where idempresa = $idempresa and idinventario=$cerrar) ";
			$rsdetinv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		
	
			$dispo=floatval($rsdetinv->fields['cantidad_contada']);	
			$nombre_insumo=$rsinsucomp->fields['descripcion']; 
			$venta=floatval($rsinsucomp->fields['venta']);
			$venta=0;
			$cantidad_contada=floatval($rsdetinv->fields['cantidad_contada']);
			$cantidad_teorica=floatval($rsinsucomp->fields['cantidad_teorica']);
			// si no se inventario ese insumo cerar
			if(trim($rsdetinv->fields['cantidad_contada']) == ''){				
				$dispo=0;
				$cantidad_contada=0;
			}
			if(trim($rsinsucomp->fields['venta']) == ''){
				$venta=0;	
			}
			if(trim($rsinsucomp->fields['cantidad_teorica']) == ''){
				$cantidad_teorica=0;	
			}
			
			// calculos
			$cantidad_teorica_cv=$cantidad_teorica+$venta;
			$diferencia=$cantidad_contada-$cantidad_teorica;
			$diferencia_cv=$cantidad_contada-$cantidad_teorica_cv;
			if($omitevent == 'N'){
				$diferencia=$diferencia_cv;	
			}
			
	
			// descontar si es menor a cero, si es igual a 0 no debe hacer nada
			if($diferencia < 0){
				$cantidad_descontar=$diferencia*-1;
				descontar_stock_general($idinsumo,$cantidad_descontar,$iddeposito);
				descuenta_stock_inv($idinsumo,$cantidad_descontar,$iddeposito);
				movimientos_stock($idinsumo,$cantidad_descontar,$iddeposito,5,'-',$cerrar,$fechainicio);
			}
			// agregar si es mayor a cero, si es igual a 0 no debe hacer nada
			if($diferencia > 0){
				$cantidad_aumentar=$diferencia;
				aumentar_stock_general($idinsumo,$cantidad_aumentar,$iddeposito);
				aumentar_stock($idinsumo,$cantidad_aumentar,0,$iddeposito);
				movimientos_stock($idinsumo,$cantidad_aumentar,$iddeposito,5,'+',$cerrar,$fechainicio);
			}
			
	
		
			$rsinsucomp->MoveNext();
		}
		
		// busca los insumos no inventariados y los cera
		
		
		$consulta="
		update inventario_detalles
		set 
		diferencia = COALESCE(cantidad_contada,0)-COALESCE(cantidad_sistema,0),
		precio_venta = COALESCE((
						select 
						productos_sucursales.precio 
						from productos_sucursales 
						inner join productos on productos.idprod_serial = productos_sucursales.idproducto
						inner join insumos_lista on insumos_lista.idproducto = productos.idprod_serial
						where 
						productos_sucursales.idsucursal = $idsucursal_dep
						AND insumos_lista.idinsumo = inventario_detalles.idinsumo
						limit 1
						),0),
		precio_costo = COALESCE((
						select costo 
						from insumos_lista 
						where 
						idinsumo = inventario_detalles.idinsumo
						),0)
		where
		idinventario = $cerrar
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
		
		
		// si es inicial o final
		/**if($idconcepto_inventario == $idconcepto_inicial){
			$calc_err=" (sum(precio_costo*cantidad_contada)*-1) ";
		}else{
			$calc_err=" sum(precio_costo*cantidad_contada) ";	
		}*/
		// inventario inicial
		$consulta="
		INSERT INTO cn_conceptos_mov
		(idconcepto, codrefer, fecha_comprobante, registrado_el, registrado_por, estado, idconceptomovtipo, year_comprobante,
		 monto_comprobante, iva_comprobante) 
		select idconcepto_inicial, idinventario,  fecha_concepto_inicial, '$ahora', $idusu, 1, 4, YEAR(fecha_concepto_inicial), 
		COALESCE((select (sum(precio_costo*cantidad_contada)*-1) as total from inventario_detalles where inventario_detalles.idinventario = inventario.idinventario),0),0
		from inventario 
		where
		 idinventario=$cerrar
		 and idconcepto_inicial is not null
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		// inventario final
		$consulta="
		INSERT INTO cn_conceptos_mov
		(idconcepto, codrefer, fecha_comprobante, registrado_el, registrado_por, estado, idconceptomovtipo, year_comprobante,
		 monto_comprobante, iva_comprobante) 
		select idconcepto_final, idinventario,  fecha_concepto_final, '$ahora', $idusu, 1, 4, YEAR(fecha_concepto_final), 
		COALESCE((select sum(precio_costo*cantidad_contada) as total from inventario_detalles where inventario_detalles.idinventario = inventario.idinventario),0),0
		from inventario 
		where
		 idinventario=$cerrar
		 and idconcepto_final is not null
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		// marca como cerrado
		$update="
		Update inventario 
		set 
		estado=3, 
		fecha_final = fecha_inicio,
		final_registrado_el='$ahora',
		finalizado_por=$idusu 
		where 
		idinventario=$cerrar
		and idempresa = $idempresa
		and estado <> 3
		"	;
		$conexion->Execute($update) or die(errorpg($conexion,$update));
	
	
	
	
			
		header("location: gest_controlar_stock.php");
		exit;
			
	}
	


	
}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<link rel="stylesheet" type="text/css" href="css/magnific-popup.css" />
<?php require("includes/head.php"); ?>
<script>
function seleccionar(){
	var idpsele=(document.getElementById('producto').value);
	var cod=document.getElementById('codprod').value;
	var errores='';
	if ((cod=='') && (idpsele=='0')){
		errores='Debe seleccionar producto, o bien, ingresar codigo a buscar';
		alertar('ATENCION: Algo salio mal.',errores,'error','Lo entiendo!');
	} else {
		var parametros="idpsel="+idpsele+'&cp='+cod;
		enlace='gest_ajuste_ppal.php';
		OpenPage(enlace,parametros,'POST','principal','pred');
		setTimeout(function(){ abrecos(idpsele,cod); }, 500);
	}
	
}
function abrecos(idpsele,cod){
	
		var parametros="idpsel="+idpsele+'&cp='+cod+'&clase=1';
		enlace='gest_ajuste_secu.php';
		OpenPage(enlace,parametros,'POST','costos','pred');

	
	
}
//Agregar productos al stock
function agregar(posicion,serial){
	var idp=document.getElementById('ocpp').value;
	var posi=parseFloat(serial);
	//id unico a dar de alta
	var can=(document.getElementById('cantidad_'+posicion).value)
	can=parseFloat(can);	
	if ((can > 0) && (posi > 0)){
		var parametros='unico='+posi+'&cantidad='+can+'&idp='+idp+'&tipo=1&clase=2';
		enlace='gest_ajuste_secu.php';
		//damos de baja en costos y depositos
		OpenPage(enlace,parametros,'POST','costos','pred');
		//damos de baja en principal
		
		
	} else {
		
			alertar('ATENCION: Algo salio mal.','Debe indicar cantidad a ser agregada','error','Lo entiendo!');
	}
	
}
function chau(posicion,serial){
	var idp=document.getElementById('ocpp').value;
	var posi=parseFloat(serial);
	//id unico a dar de baja
	var can=(document.getElementById('cantidad_'+posicion).value)
	can=parseFloat(can);	
	if ((can > 0) && (posi > 0)){
		var parametros='unico='+posi+'&cantidad='+can+'&idp='+idp+'&tipo=1';
		enlace='gest_ajuste_secu.php';
		//damos de baja en costos y depositos
		OpenPage(enlace,parametros,'POST','costos','pred');
		//damos de baja en principal
		
		
	} else {
		
			alertar('ATENCION: Algo salio mal.','Debe indicar cantidad a eliminar','error','Lo entiendo!');
	}
}
function alertar(titulo,error,tipo,boton){
	swal({   title: titulo,   text: error,   type: tipo,   confirmButtonText: boton });
	}
function cerrar_inventario(){
	if(window.confirm("Se finalizara el inventario, esta accion no se puede deshacer, esta seguro?")){
		document.getElementById('btn_cerrar').style.display='none';
		document.getElementById('finalizar').style.display='';
		document.getElementById('forminv').submit();
	}
}
</script>

<script src="js/sweetalert.min.js"></script>
<link rel="stylesheet" type="text/css" href="css/sweetalert.css">

</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	
		<div class="cuerpo">
            <div align="center">
                <?php require_once("includes/menuarriba.php");?>
            </div>
			<div class="clear"></div><!-- clear1 -->
		  <div class="colcompleto" id="contenedor">
          
<?php if(trim($errores) != ""){ ?>
<br />
<br />
<div class="mensaje" style="border:1px solid #F00; background-color:#FFC; font-size:12px; padding:10px; margin:10px auto; width:500px; text-align:center;">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true"></span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<br />
<br />
<?php } ?>
          
          
          <div class="resumenmini"><br />
          ATENCION: Los productos inventariados pueden ser eliminados mientras el inventario siga en curso o Activo.
          <br />
          <span class="resaltarojomini">El inventario numero <?php echo $inve?> se encuentra <?php if ($estado==1){?> ACTIVO / EN CURSO <?php } else { ?> CERRADO / INACTIVO <?php } ?>
          </span><br /><br />
                  <form action="gest_control_lista.php?inv=<?php echo intval($_GET['inv']); ?>" method="post" id="forminv">
                 <!-- Omitir Ventas:<br />-->
                  <select name="omitevent" id="omitevent" style="visibility:hidden;">
                    <option value="N" >NO</option>
                    <option value="S" selected="selected">SI</option>
                  
                  </select><br />IMPORTANTE:<br />
                  1) No deben haber movimientos de stock entre el inicio y el final de este inventario. (compras,ventas,traslados,ajustes,conteos,anulaciones,etc.).<br />
                  2) Todos los insumos/productos de este deposito que no se inventarien se asumira que existe 0 en existencia.<br />
                  <br /><br />
                  <p align="center">
					  <input id="btn_borrar" type="button" value="Borrar Todo" onMouseUp="document.location.href='gest_control_lista_borrar_todo.php?inv=<?php echo $idinventario
	; ?>'" style="display:;" /> 
					  <input id="btn_cerrar" type="button" value="Seguir Cargando" onMouseUp="document.location.href='gest_controlar_stock.php?dep=<?php echo $iddeposito; ?>'" style="display:;" /> 
                  <input id="btn_cerrar" type="button" value="Finalizar Inventario" onMouseUp="cerrar_inventario();" style="display:;" />
                  <div id="finalizar" style="display:none;">Finalizando Inventario...</div>
                    <input type="hidden" name="MM_update" id="MM_update" value="form1" />
                    <input type="hidden" name="inv" value="<?php echo intval($_GET['inv']); ?>" />
                      <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
                  </p>
            <br /></form>
          </div>
          <br />
   			<div align="center">
   					  <span class="resaltaditomenor"> Productos Registrados</span></div>
                          <table width="990" class="tablaconborde">
                              <tr>
                                  <td align="center" bgcolor="#EDEDED"><strong>Cod / Producto</strong></td>
                                  <td align="center" bgcolor="#EDEDED"><strong>Ubicaci&oacute;n</strong></td>
                                  <td align="center" bgcolor="#EDEDED"><strong>Cantidad<br />Teorica</strong></td>
                                <td align="center" bgcolor="#EDEDED"><strong>Cantidad<br />
                                    Contabilizada</strong></td>
                                  <td align="center" bgcolor="#F8FFCC"><strong>Diferencia</strong></td>
                                 <!-- <td align="center" bgcolor="#EDEDED"><strong>Ventas Pos Inv.</strong></td>
                                  <td align="center" bgcolor="#EDEDED"><strong>Cant. Teorica. c/ vent.</strong></td>
                                        <td align="center" bgcolor="#F8FFCC"><strong>Diferencia c/ venta</strong></td>
                                        <td align="center" bgcolor="#EDEDED"><strong>Real al Cierre</strong></td>-->
                                  <td align="center" bgcolor="#EDEDED"><strong>Acci&oacute;n</strong></td>
                            </tr>
                            <?php while (!$rsdeta->EOF){
								
								$cantidad_contada=$rsdeta->fields['cantidad_contada'];
								$cantidad_teorica=$rsdeta->fields['cantidad_teorica'];
								$venta=$rsdeta->fields['venta'];
								$cantidad_teorica_cv=$rsdeta->fields['cantidad_teorica']+$venta;
								$diferencia=$cantidad_contada-$cantidad_teorica;
								$diferencia_cv=$cantidad_contada-$cantidad_teorica_cv;
								$cantidad_contada_acum+=$cantidad_contada;
								?>
                              <tr>
                                <td align="center"><?php echo $rsdeta->fields['idinsumo']?> / <?php echo $rsdeta->fields['descripcion']?></td>
                                      
                                <td align="center"><?php echo $rsdeta->fields['nombredepto']?></td>
                                <td align="center"><?php echo formatomoneda($cantidad_teorica,4,'N');?></td>
                                <td align="center"><?php echo formatomoneda($cantidad_contada,4,'N');?></td>
                                <td align="center" <?php if($diferencia < 0){?>style="color:#FF0000;"<?php } ?>><?php echo formatomoneda($diferencia,4,'N');?></td>
                                <!--<td align="center"><?php echo formatomoneda($venta,4,'N');?></td>
                                <td align="center"><?php echo formatomoneda($cantidad_teorica_cv,4,'N');?></td>
                                <td align="center" <?php if($diferencia_cv < 0){?>style="color:#FF0000;"<?php } ?>><?php echo formatomoneda($diferencia_cv,4,'N');?></td>
                                <td align="center"><?php echo formatomoneda($cantidad_contada-$venta,4,'N');?></td>-->
                                <td align="center"><a href="#pop1" onMouseUp="asignardt(<?php echo $rsdeta->fields['unicose'] ?>);"><img src="img/1476042796_office-05.png" width="24" height="24" /></a>&nbsp;&nbsp;<a href="gest_control_lista.php?el=<?php echo $rsdeta->fields['unicose']?>&inv=<?php echo $idinventario?>"><img src="img/1476042730_office-67.png" width="32" height="32" alt=""/></a></td>
                              </tr>
                              <?php $rsdeta->MoveNext();}?>

                          </table>
                          <p>&nbsp;</p>
                          <p>&nbsp;</p>
                          <p align="center">Total Cantidad Contabilizada: <?php echo $cantidad_contada_acum; ?></p>
   				  </div>
    			
        
		</div> 


   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->

            
<div id="pop1" class="mfp-hide" style="background-color:#F9F7F7; width:800px; height:auto; margin-left:auto; margin-right:auto;">
</div>
<script>
function registrar_cambio_cant(unicose){
	var cantidad_modif = $("#cantidad_modif").val();
	 var parametros = {
                "id"         : unicose,
				"MM_update"  : "form1",
				"cantidad"   : cantidad_modif,
        };
       $.ajax({
                data:  parametros,
                url:   'gest_control_lista_editcant.php',
                type:  'post',
                beforeSend: function () {
                        $("#pop1").html("<br /><br /><br />Registrando...<br /><br /><br />");
                },
                success:  function (response) {
						//$("#pop1").html(response);
						if(response == 'OK'){
							//cabeza();
							document.location.href='gest_control_lista.php?inv=<?php echo $idinventario ?>';
						}else{
							$("#pop1").html(response);
						}
                }
        });
}
function asignardt(cual){
	
	 var parametros = {
                "id" : cual
        };
       $.ajax({
                data:  parametros,
                url:   'gest_control_lista_editcant.php',
                type:  'post',
                beforeSend: function () {
                        $("#pop1").html("Cargando...");
                },
                success:  function (response) {
						popupasigna();
						$("#pop1").html(response);
                }
        });
	
}
function popupasigna(){
		 $(function mag() {
			$.magnificPopup.open({
                items: {
                    src: '#pop1',
                },
                type:'inline',
                midClick: false,
                closeOnBgClick: true
            });
        });		
}

$(function mag() {
	$('a[href="#login-popup"]').magnificPopup({
		type:'inline',
		midClick: false,
		closeOnBgClick: false
	});
	
}); 


</script>
<script src="js/jquery.magnific-popup.min.js"></script>
            
    
	<?php require("includes/pie.php"); ?>
    
    
</body>
</html>