<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="80";
require_once("includes/rsusuario.php"); 



// valida que el estado sea 1 pendiente no finalizado

// valida que no tenga detalles cargados sino exige borrar

$idinventario=intval($_GET['inv']);
if($idinventario == 0){
	header("location: gest_controlar_stock.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select *
from inventario 
where 
idinventario = $idinventario
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idinventario=intval($rs->fields['idinventario']);
if($idinventario == 0){
	header("location: gest_controlar_stock.php");
	exit;	
}


if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){




	// validaciones basicas
	$valido="S";
	$errores="";
	
	
	$consulta="
	select * from inventario_detalles where idinventario = $idinventario
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if($rs->fields['unicose'] > 0){
		$valido="N";
		$errores.=" - Existen productos cargados en este inventario, borrelos antes de borrar el inventario.<br />";
	}

	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		delete from inventario
		where
			idinventario = $idinventario
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: gest_controlar_stock.php");
		exit;
		
	}

}

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Borrar inventario no finalizado</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Inventario Num *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idinventario" id="fecha_inicio" value="<?php  if(isset($_POST['idinventario'])){ echo htmlentities($_POST['idinventario']); }else{ echo htmlentities($rs->fields['idinventario']); }?>" placeholder="idinventario" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha inicio *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="fecha_inicio" id="fecha_inicio" value="<?php  if(isset($_POST['fecha_inicio'])){ echo htmlentities($_POST['fecha_inicio']); }else{ echo htmlentities($rs->fields['fecha_inicio']); }?>" placeholder="Fecha inicio" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
	</div>
</div>


<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Deposito *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="fecha_inicio" id="fecha_inicio" value="<?php  if(isset($_POST['fecha_inicio'])){ echo htmlentities($_POST['fecha_inicio']); }else{ echo htmlentities($rs->fields['fecha_inicio']); }?>" placeholder="Fecha inicio" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='gest_controlar_stock.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />

<br />
</form>





                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
