<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="63";
require_once("includes/rsusuario.php"); 

require_once("includes/funciones_articulos.php");


$consulta="
update insumos_lista set idproducto = NULL where idproducto = 0;
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));






if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){



	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	$consulta="
	select idinsumo
	from insumos_lista 
	where 
	estado = 'A'
	and idproducto is null
	order by idinsumo asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// recorre y mete en un array para validar posteriormente
	$i=0;
	while(!$rs->EOF){
		
		$idinsumo=intval($rs->fields['idinsumo']);
		$parametros_array_glob[$i]['idinsumo']=$idinsumo;
		$parametros_array_glob[$i]['borrado_por']=$idusu;
		$parametros_array_glob[$i]['borrado_el']=$ahora;
		
		$i++;
	
	$rs->MoveNext(); }


	// recorre y valida 
	foreach($parametros_array_glob as $parametros_array){
		$res=borrar_insumo_valida($parametros_array);
		if($res['valido'] != 'S'){
			$errores.=nl2br($res['errores']);
			$valido=$res['valido'];
		}
		
	}
	reset($parametros_array_glob);
	
	if($soporte == 1){
		$errores.="- El soporte no puede eliminar, debe ser el cliente quien lo haga con su usuario.<br />";
		$valido="N";
	}

	// si todo es correcto actualiza
	if($valido == "S"){
		
		foreach($parametros_array_glob as $parametros_array){
			$res=borrar_insumo_registra($parametros_array);
		}
		
		header("location: gest_insumos.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

$consulta="
select count(idinsumo) as total from insumos_lista where estado = 'A'
";
$rstotprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$total_productos=intval($rstotprod->fields['total']);



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Borrar Masivamente todos los Articulos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<H3>Se borraran TODOS los Articulos del sistema, esta accion no se puede deshacer, esta seguro?</H3>
<p>Luego de hacer click en el boton borrar no quedara ningun producto, receta ni nada vinculado a estos Articulos en el sistema.</p>
Total Articulos a Borrar: <?php  echo formatomoneda($total_productos); ?><br />
<div class="clearfix"></div>
<br />
<br /><br />
<div class="col-md-6 col-sm-6 form-group">

	<div class="col-md-12 col-sm-12 col-xs-12">
	<input type="checkbox" name="acepto" id="acepto" value="ski" data-parsley-mincheck="2" required class="flat" value='S' />
	Acepto todas las consecuencias que puedan derivar de esta accion.
	</div>
</div>


<div class="clearfix"></div>
<br /><br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='insumos_lista.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>


  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>

<br /><br /><br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
