<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="63";
require_once("includes/rsusuario.php"); 

//Vemos si posee activo el sistema contable o no
$consulta="Select usa_concepto, master_franq,contabilidad from preferencias limit 1";
$rspref=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
$usa_concepto=$rspref->fields['usa_concepto'];
$master_franq=$rspref->fields['master_franq'];
$contabilidad=intval($rspref->fields['contabilidad']);
//echo $contabilidad;exit;

//Categorias
$buscar="Select * from categorias where idempresa = $idempresa order by nombre ASC";
$rscate2=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
//Unidades
$buscar="Select * from medidas order by nombre ASC";
$rsmed2=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));


$idinsu=intval($_GET['id']);
if($idinsu == 0){
	header("location: insumos_lista.php");
	exit;
}
$buscar="
select *,
(select nombre from categorias where id_categoria = insumos_lista.idcategoria ) as categoria,
(select descripcion from sub_categorias where idsubcate = insumos_lista.idsubcate ) as subcategoria,
(select nombre from grupo_insumos where idgrupoinsu = insumos_lista.idgrupoinsu ) as grupo_stock,
(select nombre from proveedores where idproveedor = insumos_lista.idproveedor ) as proveedor,
(select nombre from medidas where id_medida = insumos_lista.idmedida ) as medida,
(select descripcion from productos where idprod_serial = insumos_lista.idproducto) as producto,
idtipoiva as idtipoiva_compra
from insumos_lista 
where 
 estado = 'A' 
 and idinsumo=$idinsu 
limit 1
 ";
$rsconecta=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idinsu=intval($rsconecta->fields['idinsumo']);
$idproducto=intval($rsconecta->fields['idproducto']);
$idcpr=intval($rsconecta->fields['idcentroprod']);

if($idinsu == 0){
	header("location: insumos_lista.php");
	exit;	
}


$buscar="Select * from grupo_insumos where idempresa=$idempresa and estado=1 order by nombre asc";
$gr1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

//var parametros='idi='+id+'&desc='+descripcion+'&pr='+produce+'&tipoiva='+tipoiva;	
/*if($_POST['edita'] == 's'){

	//print_r($_POST);
	// obtiene variables
	$descripcion=antisqlinyeccion($_POST['desc'],"text");
	$produce=antisqlinyeccion($_POST['pr'],"text");
	$tipoiva=antisqlinyeccion($_POST['tipoiva'],"int");
	$gr=intval($_POST['gr']);
	$consulta="
	update insumos_lista 
	set 
	descripcion = $descripcion,
	produccion = $produce,
	tipoiva = $tipoiva,
	idgrupoinsu=$gr
	where
	idinsumo=$idinsu
	and idempresa = $idempresa
	";	
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	//echo '<h1>Editado Correctamente!</h1> <meta http-equiv="refresh" content="0; url=gest_insumos.php"> ';
	header("location: gest_insumos.php");
	exit;
	
}*/
	
if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	$idinsumo=antisqlinyeccion($idinsu,"int");
	$descripcion=antisqlinyeccion($_POST['descripcion'],"text");
	$idcategoria=antisqlinyeccion('',"int");
	$idsubcate=antisqlinyeccion('',"int");
	$idmedida=antisqlinyeccion($_POST['idmedida'],"int");
	$produccion=antisqlinyeccion(1,"int");
	$costo=antisqlinyeccion(0,"text");
	$idtipoiva_compra=antisqlinyeccion($_POST['idtipoiva_compra'],"int");
	$paquete=antisqlinyeccion($_POST['paquete'],"text");
	$cant_paquete=antisqlinyeccion($_POST['cant_paquete'],"float");
	$idgrupoinsu=antisqlinyeccion($_POST['idgrupoinsu'],"int");
	$ajuste=antisqlinyeccion($_POST['ajuste'],"text");
	//$idproducto=antisqlinyeccion($_POST['idproducto'],"int");
	$mueve_stock=antisqlinyeccion('S',"text");
	$hab_compra=antisqlinyeccion($_POST['hab_compra'],"int");
	$hab_invent=antisqlinyeccion($_POST['hab_invent'],"int");
	$idconcepto=antisqlinyeccion($_POST['idconcepto'],"int");
	$aplica_regalia=antisqlinyeccion($_POST['aplica_regalia'],"text");
	$solo_conversion=antisqlinyeccion($_POST['solo_conversion'],"int");
	$respeta_precio_sugerido=antisqlinyeccion(substr($_POST['respeta_precio_sugerido'],0,1),"text");
	$idproveedor=antisqlinyeccion($_POST['idproveedor'],"int");
	$acepta_devolucion=antisqlinyeccion($_POST['acepta_devolucion'],"text");
	//$acuerdo_comercial=antisqlinyeccion($_POST['acuerdo_comercial'],"int");
	$idcategoria=antisqlinyeccion($_POST['idcategoria'],"int");
	$idsubcate=antisqlinyeccion($_POST['idsubcate'],"int");
	$cuentacontable=antisqlinyeccion($_POST['cuentacont'],"int");
	$centroprod=intval($_POST['cpr']);
	$idagrupacionprod=antisqlinyeccion($_POST['idagrupacionprod'],"int");
	$rendimiento_porc=antisqlinyeccion($_POST['rendimiento_porc'],"float");
	//print_r($_POST);

	// validaciones basicas
	$valido="S";
	$errores="";

	if(intval($idinsu) == 0){
		$valido="N";
		$errores.=" - El campo idinsumo no puede ser cero o nulo.<br />";	
	}

	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(trim($_POST['descripcion']) == ''){
		$valido="N";
		$errores.=" - El campo descripcion no puede estar vacio.<br />";	
	}
	if($master_franq == 'S'){
		if(trim($_POST['aplica_regalia']) != 'N' && trim($_POST['aplica_regalia']) != 'S'){
			$valido="N";
			$errores.=" - El campo aplica regalia no puede estar vacio.<br />";	
		} 
		
	}else{
		$aplica_regalia=antisqlinyeccion('S',"text");
	}



	/*if(intval($_POST['produccion']) == 0){
		$valido="N";
		$errores.=" - El campo produccion no puede ser cero o nulo.<br />";	
	}*/
	if(intval($_POST['idtipoiva_compra']) == 0){
		$valido="N";
		$errores.=" - El campo iva compra no puede estar vacio.<br />";	
	}
	/*if(trim($_POST['mueve_stock']) != 'S' && trim($_POST['mueve_stock']) != 'N'){
		$valido="N";
		$errores.=" - Debe indicar si mueve stock.<br />";	
	}*/
	if(trim($_POST['hab_compra']) != '1' && trim($_POST['hab_compra']) != '0'){
		$valido="N";
		$errores.=" - Debe indicar si se habilita la compra.<br />";	
	}
	if(trim($_POST['hab_invent']) != '1' && trim($_POST['hab_invent']) != '0'){
		$valido="N";
		$errores.=" - Debe indicar si se habilita el inventario.<br />";	
	}
	/*if(trim($_POST['acuerdo_comercial']) != '1' && trim($_POST['acuerdo_comercial']) != '0'){
		$valido="N";
		$errores.=" - Debe indicar si existe un acuerdo comercial con el proveedor.<br />";	
	}*/
	if($_POST['hab_compra'] > 0){
		if(intval($_POST['solo_conversion']) == 0){
			if(intval($_POST['hab_invent']) == 0){
				$valido="N";
				$errores.=" - Cuando se habilita compra tambien debe habilitarse inventario.<br />";
			}
		}
	}
	if(intval($_POST['solo_conversion']) > 0){
		if(intval($_POST['hab_invent']) > 0){
			$valido="N";
			$errores.=" - Cuando es un producto de conversion no debe habilitarse inventario.<br />";
		}
	}
	if($_POST['respeta_precio_sugerido'] != 'S' && $_POST['respeta_precio_sugerido'] != 'N'){
		$valido="N";
		$errores.=" - Debe indicar si se respeta o no precio sugerido.<br />";
	}

/*
	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(trim($_POST['paquete']) == ''){
		$valido="N";
		$errores.=" - El campo paquete no puede estar vacio.<br />";	
	}
*/

/*
	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(floatval($_POST['cant_paquete']) <= 0){
		$valido="N";
		$errores.=" - El campo cant_paquete no puede ser cero o negativo.<br />";	
	}
*/



	if(intval($_POST['idgrupoinsu']) == 0){
		$valido="N";
		$errores.=" - El campo idgrupoinsu no puede ser cero o nulo.<br />";	
	}
	
	// conversiones
	if(trim($_POST['mueve_stock']) != 'N'){
		$mueve_stock=antisqlinyeccion('S',"text");
	}
	
	// iva compra
	$consulta="
	select * 
	from tipo_iva
	where 
	idtipoiva = $idtipoiva_compra
	";
	$rsiva=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$tipoiva_compra=$rsiva->fields['iva_porc'];
	$idtipoiva_compra=$rsiva->fields['idtipoiva'];
	
	// si es un producto
	if($idproducto > 0){
		
		$consulta="
		select idtipoiva, idtipoproducto from productos where idprod_serial = $idproducto limit 1;
		";
		$rsp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idtipoiva=intval($rsp->fields['idtipoiva']);
		$idtipoproducto=intval($rsp->fields['idtipoproducto']);
		
		// iva venta
		$consulta="
		select * 
		from tipo_iva
		where 
		idtipoiva = $idtipoiva
		";
		$rsiva=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$tipoiva=$rsiva->fields['iva_porc'];
		$idtipoiva=$rsiva->fields['idtipoiva'];
		$iguala_compra_venta=$rsiva->fields['iguala_compra_venta'];
		

		
		if($iguala_compra_venta == 'S'){
			if($idtipoiva <> $idtipoiva_compra){
				$valido="N";
				$errores.="-El iva compra y venta debe ser el mismo para el tipo de iva venta seleccionado.<br />";
			}
		}
		// si el tipo de producto no es un producto normal
		if($idtipoproducto > 1){
			if(intval($_POST['hab_invent']) > 0){
				$valido="N";
				$errores.="- No se puede habilitar inventario para este tipo de producto.<br />";
			}
			if(intval($_POST['hab_compra']) > 0){
				$valido="N";
				$errores.="- No se puede habilitar compra para este tipo de producto.<br />";
			}

		}

		

		
	}
	
	
	
	
	// valida que no exista otro insumo vinculado a este producto
	/*if(intval($_POST['idproducto']) > 0){
		// busca si esta vinculado a otro insumo que no sea el actual
		$consulta="
		select * 
		from insumos_lista
		 where 
		idinsumo <> $idinsumo
		and idproducto = $idproducto
		";
		$rsvin=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		if(intval($rsvin->fields['idproducto']) > 0){
			$valido="N";
			$errores.=" - El producto que intentas vincular ya se encuentra vinculado a otro insumo.<br />";
		}
		
		
	}*/
	if($usa_concepto == 'S'){
		if(intval($_POST['idconcepto']) == 0){
			$errores.="* Debe indicar el concepto del articulo.<br />";
			$valido='N';
		}	
	}else{
		$idconcepto=antisqlinyeccion('',"int");
	}	
	
	if($contabilidad == 1){
		if(trim($_POST['hab_compra']) == '1'){
			if(intval($_POST['cuentacont']) == 0){
				$valido="N";
				$errores.="- Debe indicar la cuenta contable para compras del producto, cuando el producto esta habilitado para compras.<br />";
			}
		}
	}
	
	if(floatval($_POST['rendimiento_porc']) <= 0){
		$valido="N";
		$errores.=" - El campo rendimiento no puede ser cero o negativo.<br />";	
	}
	if(floatval($_POST['rendimiento_porc']) > 100){
		$valido="N";
		$errores.=" - El campo rendimiento no puede ser mayor a 100.<br />";	
	}

	
	// conversiones
	$solo_conversion=intval($_POST['solo_conversion']);
	// para que convierta a null y no cargar la BD con ceros
	if($solo_conversion == 0){
		$solo_conversion="";
	}else{
		// si es solo conversion no habilita inventario
		$hab_compra=1;
		$hab_invent=0;
	}
	$solo_conversion=antisqlinyeccion($solo_conversion,"int");


	// si todo es correcto actualiza
	if($valido == "S"){
		
		
		// busca si existe en el log
		$consulta="
		select * from insumos_lista_log where idinsumo = $idinsu limit 1;
		";
		$rsinsulog=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		// si no existe crea
		if(intval($rsinsulog->fields['idinsumo']) == 0){	
			$consulta="
			insert into insumos_lista_log 
			(idinsumo, idproducto, descripcion, idconcepto, idcategoria, idsubcate, idmarcaprod, idmedida, produccion, costo, tipoiva, mueve_stock, paquete, cant_paquete, estado, idempresa, idgrupoinsu, ajuste, fechahora, hab_compra, hab_invent, borrado_el, borrado_por, idproveedor, aplica_regalia, solo_conversion, respeta_precio_sugerido, idprodexterno,
			log_registrado_el,log_registrado_por, acepta_devolucion,idplancuentadet,idcentroprod,idagrupacionprod,
			rendimiento_porc
			)
			select
			idinsumo, idproducto, descripcion, idconcepto, idcategoria, idsubcate, idmarcaprod, idmedida, produccion, costo, tipoiva, mueve_stock, paquete, cant_paquete, estado, idempresa, idgrupoinsu, ajuste, fechahora, hab_compra, hab_invent, borrado_el, borrado_por, idproveedor, aplica_regalia, solo_conversion, respeta_precio_sugerido, idprodexterno,
			fechahora, 0, acepta_devolucion,idplancuentadet,idcentroprod,idagrupacionprod,
			rendimiento_porc
			from insumos_lista
			where 
			idinsumo = $idinsu
			limit 1;
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
		
		
		
		
		$consulta="
		update insumos_lista
		set
			descripcion=$descripcion,
			produccion=$produccion,
			idtipoiva=$idtipoiva_compra,
			tipoiva=$tipoiva_compra,
			mueve_stock=$mueve_stock,
			paquete=$paquete,
			cant_paquete=$cant_paquete,
			estado='A',
			idgrupoinsu=$idgrupoinsu,
			ajuste='N', 
			hab_compra=$hab_compra,
			hab_invent=$hab_invent,
			idconcepto=$idconcepto,
			aplica_regalia=$aplica_regalia,
			solo_conversion=$solo_conversion,
			respeta_precio_sugerido=$respeta_precio_sugerido,
			idproveedor=$idproveedor,
			acepta_devolucion = $acepta_devolucion,
			idcategoria=$idcategoria,
			idsubcate=$idsubcate,
			idcentroprod=$centroprod,
			idplancuentadet=$cuentacontable,
			idagrupacionprod=$idagrupacionprod,
			rendimiento_porc=$rendimiento_porc
		where
			idempresa=$idempresa
			and idinsumo = $idinsu
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// inserta en el log luego de actualizar
		$consulta="
		insert into insumos_lista_log 
		(idinsumo, idproducto, descripcion, idconcepto, idcategoria, idsubcate, idmarcaprod, idmedida, produccion, costo, tipoiva, mueve_stock, paquete, cant_paquete, estado, idempresa, idgrupoinsu, ajuste, fechahora, hab_compra, hab_invent, borrado_el, borrado_por, idproveedor, aplica_regalia, solo_conversion, respeta_precio_sugerido, idprodexterno,
		log_registrado_el,log_registrado_por, acepta_devolucion,idplancuentadet,idcentroprod,idagrupacionprod,
		rendimiento_porc
		)
		select
		idinsumo, idproducto, descripcion, idconcepto, idcategoria, idsubcate, idmarcaprod, idmedida, produccion, costo, tipoiva, mueve_stock, paquete, cant_paquete, estado, idempresa, idgrupoinsu, ajuste, fechahora, hab_compra, hab_invent, borrado_el, borrado_por, idproveedor, aplica_regalia, solo_conversion, respeta_precio_sugerido, idprodexterno,
		'$ahora',$idusu, $acepta_devolucion,idplancuentadet,idcentroprod,idagrupacionprod,
		rendimiento_porc
		from insumos_lista
		where 
		idinsumo = $idinsu
		limit 1;
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		// si tiene vinculado un producto
		if($idproducto > 0){
			$consulta="
			update productos
			set 
			descripcion = $descripcion, 
			tipoiva=$tipoiva,
			idcategoria = $idcategoria,
			idsubcate = $idsubcate
			where
			idprod_serial = $idproducto
			and idempresa = $idempresa
			and idprod_serial in (select idproducto from insumos_lista where idinsumo = $idinsumo)
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
		
		// si es solo conversion
		if($solo_conversion == 1){
			// desactiva para la venta
			$consulta="
			update productos_sucursales set activo_suc = 0 where idproducto = $idproducto
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
		}
		
		//Si varió el articulo contable, actualizamos segun corresponda
		
		
		if ($contabilidad==1){
			$idcuentacontable=intval($_POST['cuentacont']);
			//echo $idcuentacontable;exit;
			if ($idcuentacontable > 0){
				$buscar="Select idsercuenta,trim(cuenta)as cuentacont from cn_articulos_vinculados 
				inner join cn_plancuentas_detalles on cn_plancuentas_detalles.idserieun=cn_articulos_vinculados.idsercuenta
				where cn_articulos_vinculados.idinsumo=$idinsumo ";
				$rscon1=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
				$actual=trim($rscon1->fields['cuentacont']);
				//echo $actual;exit;
				if ($actual !=$idcuentacontable){
				
					$buscar="Select * from cn_plancuentas_detalles where cuenta=$idcuentacontable and estado <> 6";
					$rsvv=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
					$idplan=intval($rsvv->fields['idplan']);
					$idsercuenta=intval($rsvv->fields['idserieun']);
				
				
					//actualizamos
					if ($actual!=''){
						$update="update cn_articulos_vinculados set idsercuenta=$idsercuenta,idplancuenta=$idplan where idinsumo=$idinsumo ";
						$conexion->Execute($update) or die(errorpg($conexion,$update));
					} else {
							//insertar
						$insertar="Insert into cn_articulos_vinculados
						(idinsumo,idplancuenta,idsercuenta,vinculado_el,vinculado_por) 
						values 
						($idinsumo,$idplan,$idsercuenta,current_timestamp,$idusu)";
						$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
					}
					
				}
				
				
			}
			
		}
		
		
		
		
		header("location: gest_insumos.php");
		exit;
		
	}

}
$buscar="
Select * 
from productos 
where 
idempresa=$idempresa 
and borrado = 'N' 
and idprod_serial not in (select idproducto from insumos_lista where idinsumo <> $idinsu and idproducto is not null and idempresa=$idempresa)
order by descripcion asc";
//echo $buscar;
$gr2=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$rsminip=$rsconecta;

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function subcategorias(idcategoria){
	var direccionurl='subcate_new.php';	
	var parametros = {
	  "idcategoria" : idcategoria
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#subcatebox").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(xhr.status === 200){
				$("#subcatebox").html(response);
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
}
function tipo_producto(idtipoproducto){
	//producto
	if(idtipoproducto == 1){	

	}
	// combo
	if(idtipoproducto == 2){	
	
	}
	// combinado
	if(idtipoproducto == 3){	
		$("#div_combinado_tipoprecio").show();
	}
	// combinado extendido
	if(idtipoproducto == 4){	
		$("#div_combinado_minitem").show();
		$("#div_combinado_maxitem").show();
		$("#div_combinado_tipoprecio").show();	
	}else{
		$("#div_combinado_minitem").hide();
		$("#div_combinado_maxitem").hide();
		if(idtipoproducto != 3){
			$("#div_combinado_tipoprecio").hide();	
		}
	}
	// agregado
	if(idtipoproducto == 5){	
	
	}
	// delivery
	if(idtipoproducto == 6){	
	
	}	
	// servicio
	if(idtipoproducto == 7){	
	
	}	
	
	
}
function alerta_modal(titulo,mensaje){
	$('#dialogobox').modal('show');
	$("#myModalLabel").html(titulo);
	$("#modal_cuerpo").html(mensaje);

	
}
function ventana_categoria(){
	var direccionurl='categoria_prod_add.php';	
	var parametros = {
	  "add"        : 'N'
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#myModalLabel").html('Agregar Categoria');	
			$("#modal_cuerpo").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			$("#modal_cuerpo").html(response);	
			$('#dialogobox').modal('show');
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
function ventana_subcategoria(){
	var direccionurl='subcategoria_prod_add.php';	
	var parametros = {
	  "add"        : 'N'
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#myModalLabel").html('Agregar Sub-Categoria');	
			$("#modal_cuerpo").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			$("#modal_cuerpo").html(response);	
			$('#dialogobox').modal('show');
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
function agregar_categoria(){
	var direccionurl='categoria_prod_add.php';
	var categoria = $("#categoria").val();	
	var parametros = {
	  "add"        : 'S',
	  "categoria"  : categoria
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#myModalLabel").html('Agregar Categoria');	
			$("#modal_cuerpo").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				recargar_categoria(obj.idcategoria);
				$("#modal_cuerpo").html('');
				$('#dialogobox').modal('hide');

			}else{
				$("#modal_cuerpo").html(response);	
			}

		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
function agregar_subcategoria(){
	var direccionurl='subcategoria_prod_add.php';
	var categoria = $("#categoria").val();	
	var subcategoria = $("#subcategoria").val();
	var parametros = {
	  "add"        : 'S',
	  "categoria"  : categoria,
	  "subcategoria"  : subcategoria
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#myModalLabel").html('Agregar Sub-Categoria');	
			$("#modal_cuerpo").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				recargar_categoria(obj.idcategoria);
				recargar_subcategoria(obj.idcategoria,obj.idsubcategoria);
				$("#modal_cuerpo").html('');
				$('#dialogobox').modal('hide');

			}else{
				$("#modal_cuerpo").html(response);	
			}

		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
function recargar_categoria(idcategoria){
	var direccionurl='cate_new.php';
	var parametros = {
	  "idcategoria" : idcategoria,
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {	
			$("#categoriabox").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			$("#categoriabox").html(response);	
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
function recargar_subcategoria(idcategoria,idsubcategoria){
	var direccionurl='subcate_new.php';
	var parametros = {
	  "idcategoria" : idcategoria,
	  "idsubcate" : idsubcategoria,
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {	
			$("#subcatebox").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			$("#subcatebox").html(response);	
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Editar Articulo</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Codigo Articulo</th>
			<th align="center">Articulo</th>
            <th align="center">Producto Vinculado</th>
			<th align="center">Medida</th>
			<th align="center">Ult. Costo</th>
			<th align="center">IVA %</th>

			<th align="center">Proveedor</th>
		</tr>
	  </thead>
	  <tbody>
<?php 
$rs=$rsconecta;
?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idinsumo']); ?></td>

			<td align="center"><?php echo antixss($rs->fields['descripcion']); ?></td>
			<td align="center">
            <?php if($rsconecta->fields['idproducto'] > 0){ ?>
			<?php echo antixss($rs->fields['producto']); ?> 
            &nbsp;<a href="gest_eliminar_productos.php?id=<?php echo $rsconecta->fields['idproducto']; ?>"><img src="img/borrar.png" width="20" height="20" alt="" title="Eliminar Producto Definitivamente" /></a><br />
            <a href="producto_precio_asigna.php?id=<?php echo $rsconecta->fields['idproducto']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span> Precio por Sucursal</a>
            <?php }else{ ?>
            No es un producto <a href="gest_insumos_convert.php?id=<?php echo $rsconecta->fields['idinsumo'] ?>" class="btn btn-sm btn-default"><span class="fa fa-cogs"></span> Convertir</a>
            <?php } ?>
            </td>
			<td align="center"><?php echo antixss($rs->fields['medida']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['costo']);  ?></td>
			<td align="center"><?php echo intval($rs->fields['tipoiva']); ?>%</td>
			<td align="center"><?php echo antixss($rs->fields['proveedor']); ?></td>
		</tr>

	  </tbody>
    </table>
</div>
<hr />



<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Articulo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="descripcion" id="descripcion" value="<?php  if(isset($_POST['descripcion'])){ echo htmlentities($_POST['descripcion']); }else{ echo htmlentities($rs->fields['descripcion']); }?>" placeholder="Descripcion" class="form-control"  required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Grupo Stock *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<?php 
// consulta
$consulta="
SELECT idgrupoinsu, nombre
FROM grupo_insumos
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_POST['idgrupoinsu'])){ 
	$value_selected=htmlentities($_POST['idgrupoinsu']); 
}else{
	$value_selected=htmlentities($rsconecta->fields['idgrupoinsu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idgrupoinsu',
	'id_campo' => 'idgrupoinsu',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idgrupoinsu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => ''

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Proveedor *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idproveedor, nombre
FROM proveedores
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_POST['idproveedor'])){ 
	$value_selected=htmlentities($_POST['idproveedor']); 
}else{
	$value_selected=htmlentities($rsconecta->fields['idproveedor']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idproveedor',
	'id_campo' => 'idproveedor',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idproveedor',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => ' class="form-control" ', 
	'acciones' => ' ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">IVA Compra *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
    // consulta
    $consulta="
    SELECT idtipoiva, iva_porc, iva_describe
    FROM tipo_iva
    where
    estado = 1
	and hab_compra = 'S'
    order by iva_porc desc
     ";
    
    // valor seleccionado
    if(isset($_POST['idtipoiva_compra'])){ 
        $value_selected=htmlentities($_POST['idtipoiva_compra']); 
    }else{
        $value_selected=$rsconecta->fields['idtipoiva_compra'];
    }
    
    // parametros
    $parametros_array=array(
        'nombre_campo' => 'idtipoiva_compra',
        'id_campo' => 'idtipoiva_compra',
        
        'nombre_campo_bd' => 'iva_describe',
        'id_campo_bd' => 'idtipoiva',
        
        'value_selected' => $value_selected,
        
        'pricampo_name' => 'Seleccionar...',
        'pricampo_value' => '',
        'style_input' => 'class="form-control"', 
        'acciones' => ' required="required" ',
        'autosel_1registro' => 'S'
    
    );
    
    // construye campo
    echo campo_select($consulta,$parametros_array);
    
    ?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Habilita Compra *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<select name="hab_compra" id="hab_compra" class="form-control"  title="Habilita Compra" required >
       <option value="" selected="selected">Seleccionar</option>
       <option value="1" <?php if ($rsconecta->fields['hab_compra']==1){?> selected="selected" <?php } ?>>SI</option>
       <option value="0" <?php if ($rsconecta->fields['hab_compra']!=1){?> selected="selected" <?php } ?>>NO</option>
       </select>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Habilita Inventario *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<select name="hab_invent" id="hab_invent" class="form-control" title="Habilita Inventario" required="required">
       <option value="" selected="selected">Seleccionar</option>
       <option value="1" <?php if ($rsconecta->fields['hab_invent']==1){?> selected="selected" <?php } ?>>SI</option>
       <option value="0" <?php if ($rsconecta->fields['hab_invent']!=1){?> selected="selected" <?php } ?>>NO</option>
     </select>
	</div>
</div>



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"><a href="javascript:void(0);" onClick="ventana_categoria();" class="btn btn-sm btn-default" title="Agregar" data-toggle="tooltip" data-placement="right"  data-original-title="Agregar"><span class="fa fa-plus"></span></a> Categoria * </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
<?php 
require_once("cate_new.php");

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"><a href="javascript:void(0);" onClick="ventana_subcategoria();" class="btn btn-sm btn-default" title="Agregar" data-toggle="tooltip" data-placement="right"  data-original-title="Agregar"><span class="fa fa-plus"></span></a> Subcategoria *</label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="subcatebox">
<?php 
require_once("subcate_new.php");

?>
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Solo Conversion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<select name="solo_conversion" id="solo_conversion" class="form-control" title="Solo Conversion" required="required">
       <option value="" selected="selected">Seleccionar</option>
       <option value="1" <?php if (intval($rsconecta->fields['solo_conversion'])==1){?> selected="selected" <?php } ?>>SI</option>
       <option value="0" <?php if (intval($rsconecta->fields['solo_conversion'])==0){?> selected="selected" <?php } ?>>NO</option>
     </select>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Respeta precio sugerido *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<select name="respeta_precio_sugerido" id="respeta_precio_sugerido" class="form-control" title="Respeta precio sugerido" required="required">
       <option value="" selected="selected">Seleccionar</option>
       <option value="S" <?php if (trim($rsconecta->fields['respeta_precio_sugerido'])=='S'){?> selected="selected" <?php } ?>>SI</option>
       <option value="N" <?php if (trim($rsconecta->fields['respeta_precio_sugerido'])=='N'){?> selected="selected" <?php } ?>>NO</option>
     </select>
	</div>
</div>
<?php if($master_franq == 'S'){ ?>
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Aplica Regalia *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<select name="aplica_regalia" id="aplica_regalia" class="form-control" title="Aplica Regalia" required="required">
       <option value="" selected="selected">Seleccionar</option>
       <option value="S" <?php if ($rsconecta->fields['aplica_regalia']=='S'){?> selected="selected" <?php } ?>>SI</option>
       <option value="N" <?php if ($rsconecta->fields['aplica_regalia']!='S'){?> selected="selected" <?php } ?>>NO</option>
     </select>
	</div>
</div>
<?php } ?>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Acepta Devolucion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<select name="acepta_devolucion" id="acepta_devolucion" class="form-control" title="Acepta devolucion">
       <option value="" selected="selected">Seleccionar...</option>
       <option value="S" <?php if($rsconecta->fields['acepta_devolucion']=='S'){?> selected="selected" <?php } ?>>SI</option>
       <option value="N" <?php if($rsconecta->fields['acepta_devolucion']=='N'){?> selected="selected" <?php } ?>>NO</option>
     </select>
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Medida *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="medida" id="medida" class="form-control" value="<?php if(isset($_POST['medida'])){ echo htmlentities($_POST['medida']); }else{ echo $rsconecta->fields['medida']; } ?>" placeholder="medida" readonly style="cursor:pointer;" onClick="document.location.href='gest_insumos_edit_medida.php?id=<?php echo intval($_GET['id']); ?>'"   />
	</div>
</div>



<?php if($usa_concepto == 'S'){ ?>
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Concepto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idconcepto, descripcion
FROM cn_conceptos
where
estado = 1
and borrable = 'S'
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idconcepto'])){ 
	$value_selected=htmlentities($_POST['idconcepto']); 
}else{
	$value_selected=htmlentities($rsconecta->fields['idconcepto']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idconcepto',
	'id_campo' => 'idconcepto',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idconcepto',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => ' class="form-control" ', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>
<?php } ?>

<?php 
$contabilidad=intval($rsco->fields['contabilidad']);
if ($contabilidad==1){
?>
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cuenta Contable (Compra) *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 

// consulta
$consulta="
SELECT idserieun as cuenta, descripcion
FROM cn_plancuentas_detalles
where 
estado<>6 
and asentable='S' 
order by descripcion asc
 ";

//Buscamos si el insumo existe para auto select
/*$buscar="Select idsercuenta,trim(cuenta)as cuentacont from cn_articulos_vinculados 
inner join cn_plancuentas_detalles on cn_plancuentas_detalles.idserieun=cn_articulos_vinculados.idsercuenta
where cn_articulos_vinculados.idinsumo=$idinsu ";
$rscon1=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));*/
//echo $buscar;


// valor seleccionado
if(isset($_POST['cuentacont'])){ 
	$value_selected=htmlentities($_POST['cuentacont']); 
}else{
	$value_selected=htmlentities($rsconecta->fields['idplancuentadet']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'cuentacont',
	'id_campo' => 'cuentacont',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'cuenta',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>
<?php } ?>
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Paquete </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="paquete" id="paquete" class="form-control" value="<?php if(isset($_POST['paquete'])){ echo htmlentities($_POST['paquete']); }else{ echo $rsconecta->fields['paquete']; } ?>" placeholder="paquete"  />
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cantidad por Paquete </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="cant_paquete" id="cant_paquete" class="form-control" value="<?php if(isset($_POST['cant_paquete'])){ echo htmlentities($_POST['cant_paquete']); }else{ echo floatval($rsconecta->fields['cant_paquete']); } ?>" placeholder="cant_paquete"  />
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Centro Produccion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
    <?php 
// consulta
$consulta="
Select idcentroprod,  descripcion
from produccion_centros 
where 
estado <> 6 
order by descripcion asc
";

// valor seleccionado
if(isset($_POST['cpr'])){ 
	$value_selected=htmlentities($_POST['cpr']); 
}else{
	$value_selected=htmlentities($rsconecta->fields['idcentroprod']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'cpr',
	'id_campo' => 'cpr',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idcentroprod',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">% Rendimiento *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="rendimiento_porc" id="rendimiento_porc" value="<?php  if(isset($_POST['rendimiento_porc'])){ echo floatval($_POST['rendimiento_porc']); }else{ echo floatval($rs->fields['rendimiento_porc']); } ?>" placeholder="Rendimiento %" class="form-control" required />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Agrupacion Produccion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
    <?php 
// consulta
$consulta="
Select idagrupacionprod,  agrupacion_prod
from produccion_agrupacion 
where 
estado <> 6 
order by agrupacion_prod asc
";

// valor seleccionado
if(isset($_POST['idagrupacionprod'])){ 
	$value_selected=htmlentities($_POST['idagrupacionprod']); 
}else{
	$value_selected=htmlentities($rs->fields['idagrupacionprod']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idagrupacionprod',
	'id_campo' => 'idagrupacionprod',
	
	'nombre_campo_bd' => 'agrupacion_prod',
	'id_campo_bd' => 'idagrupacionprod',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>


<br />
<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='insumos_lista.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>


  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br /><br />




                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->
        
        
        <!-- POPUP DE MODAL OCULTO -->
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="dialogobox">
                    <div class="modal-dialog modal-lg">
                      <div class="modal-content">

                        <div class="modal-header">
                          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
                          </button>
                          <h4 class="modal-title" id="myModalLabel">Titulo</h4>
                        </div>
                        <div class="modal-body" id="modal_cuerpo">
						...
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                          
                        </div>

                      </div>
                    </div>
                  </div>

                      
                  </div>
                </div>
              </div>
              
              
              
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
