<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="232";
require_once("includes/rsusuario.php"); 




$script_nota_cliente="http://localhost/impresorweb/ladoclientenota_mas.php";




function nc_autoimpresor($idnc){
	global $conexion;
	global $ahora;
	global $idempresa;
	global $saltolinea;



	$consulta="
	select * from empresas where idempresa = $idempresa
	";
	$rsemp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$razon_social_empresa=trim($rsemp->fields['razon_social']);
	$ruc_empresa=trim($rsemp->fields['ruc']).'-'.trim($rsemp->fields['dv']);
	$direccion_empresa=trim($rsemp->fields['direccion']);
	$nombrefanta=trim($rsemp->fields['empresa']);



	$buscar="
	select *,(select sum(subtotal) as total from nota_credito_cuerpo where nota_credito_cuerpo.idnotacred=nota_credito_cabeza.idnotacred) as tnc
	from nota_credito_cabeza
	
	where 

	idnotacred=$idnc
	and nota_credito_cabeza.estado <> 6 
	limit 1
	";
	$rsni=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	$fechanota=date("d/m/Y",strtotime($rsni->fields['fecha_nota']));
	
	$total_factura=floatval($rsni->fields['tnc']);
	$idtandatimbrado=intval($rsni->fields['idtandatimbrado']);
	$razon_social=trim($rsni->fields['razon_social']);
	$ruc=trim($rsni->fields['ruc']);
	$notanum=trim($rsni->fields['numero']);
	if($notanum == ''){
		echo "NC no generada";
		exit;
	}
	$fechahora=date("d/m/Y H:i",strtotime($rsv->fields['fecha']));
	$idsucursal=intval($rsv->fields['idsucursal']);
	// numeros a letras
	require_once("includes/num2letra.php"); 

	
	//$total_nc=$rsv->fields['total_venta']-$descuento; // incluido el descuento
	$total_nc_txt=strtoupper(num2letras(floatval($total_factura)));
	// solo sucursal que no es casa matriz por eso idsucu > 0
	$consulta="
	SELECT * 
	FROM sucursales 
	where 
	idempresa = $idempresa 
	and idsucu = $idsucursal
	and idsucu > 1
	";
	//echo $consulta;
	$rssuc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	if($idtandatimbrado > 0){
		$ahorad=date("Y-m-d",strtotime($ahora));
		
		
		$buscar="Select * from tmp_timbrado where idtandatimbrado=$idtandatimbrado
		and hasta >= '$ahorad'
		and desde <= '$ahorad'
		";
		$rstimbrado=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

		
		$timbrado=trim($rstimbrado->fields['numero']);
		$valido_desde=date("d/m/Y",strtotime($rstimbrado->fields['desde']));
		$valido_hasta=date("d/m/Y",strtotime($rstimbrado->fields['hasta']));
		$idtanda=intval($rstimbrado->fields['idtandatimbrado']);
		if($idtanda == 0){
			echo "Timbrado vencido o inexistente.";
			exit;
		}

	}else{
		
		echo "No hay timbrado activo.";	
		exit;
	}

	$consulta="
	Select descripcion as producto,cantidad,precio,subtotal
	from 
	nota_credito_cuerpo
	where idnotacred=$idnc
	
	";
	$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	

	// tipos de iva de la factura actual
	$consulta="
	select  iva_porc, sum(subtotal) as subtotal_poriva, (sum(subtotal)-(sum(subtotal)/(1+iva_porc/100))) as subtotal_monto_iva,
	0 as descneto10,
	0 as descnetoiva10
	from nota_credito_cuerpo 
	where 
	idnotacred = $idnc
	group by iva_porc 
	order by iva_porc desc
	";
	//echo $consulta;
	$rsivaporc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	// conversiones
	
	$factura="";
	$factura.=$saltolinea.$saltolinea;
	$factura.=texto_tk(trim($nombrefanta),40,'S').$saltolinea;
	$factura.=texto_tk(trim($razon_social_empresa),40,'S').$saltolinea;
	$factura.=texto_tk("RUC: ".trim($ruc_empresa),40,'S').$saltolinea;
	$factura.='C Matriz: '.trim($direccion_empresa).$saltolinea;
	if($rssuc->fields['idsucu'] > 0){
		$factura.='Sucursal: '.trim($rssuc->fields['nombre']).$saltolinea;
		$factura.=trim($rssuc->fields['direccion']).$saltolinea;
	}
	$factura.='----------------------------------------'.$saltolinea;
	$factura.="TIMBRADO         : ".$timbrado.$saltolinea;
	$factura.="Inicio Vigencia  : ".$valido_desde.$saltolinea;
	$factura.="Fin Vigencia     : ".$valido_hasta.$saltolinea;
	$factura.='Nro: '.$notanum.' - Fecha: '.$fechanota.$saltolinea;
	$factura.=texto_tk("NOTA DE CREDITO",40,'S').$saltolinea;
	$factura.=texto_tk("IVA INCLUIDO",40,'S').$saltolinea;
	$factura.='----------------------------------------'.$saltolinea;
	$factura.='CI / RUC : '.$ruc.$saltolinea;
	$factura.='Cliente  : '.$razon_social.$saltolinea;
	$factura.='----------------------------------------'.$saltolinea;
	$factura.='Cant    Descripcion'.$saltolinea;
	$factura.='P.U.              P.T.             Tasa%'.$saltolinea;
	$factura.='----------------------------------------'.$saltolinea;
	while(!$rsdet->EOF){
		$factura.=agregaespacio(formatomoneda($rsdet->fields['cantidad'],4,'N'),8).agregaespacio($rsdet->fields['producto'],32).$saltolinea;
		$factura.=agregaespacio(formatomoneda($rsdet->fields['precio'],4,'N'),18).agregaespacio(formatomoneda($rsdet->fields['subtotal'],4,'N'),17).agregaespacio(formatomoneda(10,4,'N'),5).$saltolinea;
	$rsdet->MoveNext(); } 
	
	$factura.='----------------------------------------'.$saltolinea;
	$factura.='Total  GS: '.formatomoneda($total_factura,4,'N').$saltolinea;
	$factura.=$total_factura_txt.$saltolinea;
	$factura.='----------------------------------------'.$saltolinea;
	while(!$rsivaporc->EOF){
		if($rsivaporc->fields['iva_porc'] > 0){
			$factura.='Total Grav. '.agregaespacio($rsivaporc->fields['iva_porc'].'%',3).' : '.formatomoneda($rsivaporc->fields['subtotal_poriva']-$rsivaporc->fields['descneto10'],4,'N').$saltolinea;
		}else{
			$factura.='Total Excenta   : '.formatomoneda($rsivaporc->fields['subtotal_poriva'],4,'N').$saltolinea;
		}
	$rsivaporc->MoveNext(); }
	$rsivaporc->MoveFirst(); 
	$factura.='----------------------------------------'.$saltolinea;
	$factura.='Liquidacion del I.V.A.'.$saltolinea;
	while(!$rsivaporc->EOF){
		if($rsivaporc->fields['iva_porc'] > 0){
			$subtotal_monto_iva_acum+=$rsivaporc->fields['subtotal_monto_iva']-$rsivaporc->fields['descnetoiva10'];
			$factura.=''.agregaespacio($rsivaporc->fields['iva_porc'].'%',3).' : '.formatomoneda($rsivaporc->fields['subtotal_monto_iva']-$rsivaporc->fields['descnetoiva10'],0,'N').$saltolinea;
		}
	$rsivaporc->MoveNext(); }
	//$factura.='Total I.V.A. : '.formatomoneda($total_factura/11,0,'N').$saltolinea;
	$factura.='Total I.V.A. : '.formatomoneda($subtotal_monto_iva_acum,0,'N').$saltolinea;
	$factura.='----------------------------------------'.$saltolinea;
	$factura.='Original: Cliente'.$saltolinea;
	$factura.='Duplicado: Archivo Tributario'.$saltolinea;
	$factura.=$saltolinea.$saltolinea.$saltolinea;

	return $factura;
		
}


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}

if(intval($_GET['cdesde']) > 0 && intval($_GET['chasta']) > 0){
	$cdesde=intval($_GET['cdesde']);
	$chasta=intval($_GET['chasta']);
	$whereadd="
	and idnotacred >= $cdesde
	and idnotacred <= $chasta
	";
}

$consulta="
select * 
from nota_credito_cabeza 
where 
fecha_nota >= '$desde'
and fecha_nota <= '$hasta'
and estado <> 6
$whereadd
order by fecha_nota asc
limit 500
";
//echo $consulta;

$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

while(!$rs->EOF){
	
	$ncimp=intval($rs->fields['idnotacred']);
	
	if ($ncimp > 0){
		
		//imprimir
		$nota_auto=nc_autoimpresor($ncimp);
		$nota_auto_mas.=$nota_auto.$saltolinea.'<cortar></cortar>'.$saltolinea;
	}

$rs->MoveNext(); }

$rs->MoveFirst();


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Impresion Masiva de notas de credito</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<form id="form1" name="form1" method="get" action="">

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control  has-feedback-left" required />                    
    <span class="fa fa-calendar-o form-control-feedback left" aria-hidden="true"></span>
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control  has-feedback-left" required />                    
    <span class="fa fa-calendar-o form-control-feedback left" aria-hidden="true"></span>
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Codigo Desde </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="cdesde" id="cdesde" value="<?php  echo $cdesde; ?>" placeholder="Codigo Desde" class="form-control "  />                    
    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Codigo Hasta </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="chasta" id="chasta" value="<?php  echo $chasta; ?>" placeholder="Codigo Hasta" class="form-control "  />                    
    
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Filtrar</button>
        </div>
    </div>


<br />
</form>



<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th align="center">Idnotacred</th>
            <th align="center">Nota Numero</th>
			<th align="center">Fecha nota</th>
			<th align="center">Timbrado</th>
			<th align="center">Razon social</th>
			<th align="center">Ruc</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo antixss($rs->fields['idnotacred']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['numero']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_nota'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_nota'])); } ?></td>
			<td align="center"><?php echo intval($rs->fields['timbrado']); ?></td>

			<td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['ruc']); ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />

<div class="clearfix"></div>
<br />
    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="button" class="btn btn-primary" onMouseUp="imprimir_nota_auto();"><span class="fa fa-check-square-o"></span> Imprimir Todo</button>

        </div>
    </div>
<br /><br />

         <textarea name="texto_nota" id="texto_nota" style="display: none"><?php echo $nota_auto_mas; ?></textarea>
         <div id="impresion_box"></div>

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
<script>
function pedir_permiso(){
}

<!----------------IMPRESION DE FC AUTOIMPRESOR---------------->
function imprimir_nota_auto(){
	
	var texto = $("#texto_nota").val();
	//alert(texto);
	var parametros = {
			"tk" : texto,
			'fac': 'S'
	};
	$.ajax({
			data:  parametros,
			url:   '<?php echo $script_nota_cliente; ?>',
			type:  'post',
			dataType: 'html',
			beforeSend: function () {
					$("#impresion_box").html("Enviando Impresion...");
			},
			crossDomain: true,
			success:  function (response) {
					//$("#impresion_box").html(response);	
					//si impresion es correcta marcar
					//var str = response;
					//var res = str.substr(0, 18);
					//alert(res);
						$("#impresion_box").html(response);	
					
					
					
					// si no es correcta avisar para entrar al modulo de reimpresiones donde se pone la ultima impresion correcta y desde ahi se marca como no impreso todas las que le siguen
					
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if(jqXHR.status == 404){
					alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
				}else if(jqXHR.status == 0){
					alert('Se ha rechazado la conexión.');
				}else{
					alert(jqXHR.status+' '+errorThrown);
				}
			}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});


}	
		
		
		</script>
  </body>
</html>
