<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="30";
require_once("includes/rsusuario.php"); 

function nombremes($mes){
 setlocale(LC_TIME, 'spanish');  
 $nombre=strftime("%B",mktime(0, 0, 0, $mes, 1, 2000)); 
 return $nombre;
} 
if(trim($_POST['desde']) == '' or trim($_POST['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_POST['desde']));
	$hasta=date("Y-m-d",strtotime($_POST['hasta']));	
	
}
$deex=explode("-",$desde);
$haex=explode("-",$hasta);
$anodesde=intval($deex[0]);
$mesdesde=intval($deex[1]);

$anohasta=intval($haex[0]);
$meshasta=intval($haex[1]);


//Traemos las ventas segun rango de fechas
$buscar="Select SUM(total_venta) as totalvendido,sum(total_cobrado) as cobradogs,sum(descneto) as descuento from ventas
where date(fecha) between '$desde' and '$hasta'";
$rsvt=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$totalventa=($rsvt->fields['totalvendido']);
$totalcobrado=($rsvt->fields['cobradogs']);
$totaldescuento=($rsvt->fields['descuento']);
$totalcobrar=($totalventa);
//buscamos los pagos de esas ventas
$consolidado=$totalcobrado;


//Ventas del Mes seleccionado
$buscar="Select SUM(total_venta) as totalvendido,sum(total_cobrado) as cobradogs,sum(descneto) as descuento from ventas
where MONTH(fecha) between $mesdesde and $meshasta and YEAR(fecha) between $anodesde and $anohasta";
$rsvtm=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$totalventames=($rsvtm->fields['totalvendido']);
$totaldescmes=($rsvtm->fields['descuento']);
$totalcobradomes=($rsvtm->fields['cobradogs']);
$netocobrarmes=$totalventames-$totalcobradomes;
$consolidadomes=$totalcobradomes;
?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<!-------------<link rel="stylesheet" href="css/bootstrap.css" type="text/css" media="screen" /> ---------->
<link rel="stylesheet" href="css/magnific-popup.css" type="text/css" media="screen" /> 
<?php require("includes/head.php"); ?>
<script>
	
	
	function alertar(titulo,error,tipo,boton){
	swal({   title: titulo,   text: error,   type: tipo,   confirmButtonText: boton });
	}
	
</script>

<script src="js/sweetalert.min.js"></script>
 <link rel="stylesheet" type="text/css" href="css/sweetalert.css">

</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="clear"></div>
<div class="cuerpo">
 <div align="center">
 <?php require_once("includes/menuarriba.php");?>
</div>

<div class="colcompleto" id="contenedor">
 	<!-- SECCION DONDE COMIENZA TODO -->
    <br /><br />
        <div align="center">
            <table width="120" border="0">
                <tbody>
                   <tr>
                       <td width="62"><a href="gest_ventas.php"><img src="img/homeblue.png" width="64" height="64" title="Regresar"/></a></td>
                      
                   </tr>
                </tbody>
            </table>
        </div>
        <div class="divstd">
          <span class="resaltaditomenor">Resumen de Ventas</span>
        </div>
        <div class="resumenmini">
          <form id="form1" name="form1" method="post" action="gest_resumen_ventas.php">
                  <label for="desde"><strong>Desde:</strong></label>
                  <input type="date" name="desde" id="desde" value="<?php echo $desde; ?>" />
                  <strong>  Hasta:</strong>
                  <input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>"  />
                  <input type="submit" name="button" id="button" value="Filtrar" />
          </form>
    </div>
    
    
    <br />
    
    <div class="resumenmini"><strong><br/><?php echo $desde.' / '.$hasta?> </strong><br/><a href="gest_detalle_ventas.php"><img src="img/buscar.png" width="32" height="32"  /></a>
    <br/>
    	<table width="500" border="1">
          <tbody>
            <tr>
            	<td colspan="4" bgcolor="#DDDDDD"></td>
            
            </tr>
            <tr>
              <td height="20" align="center" bgcolor="#DDDDDD"><strong>Total Venta Gs: </strong></td>
              <td align="center" bgcolor="#DDDDDD"><strong>Total Descuentos Gs: </strong></td>
              <td align="center" bgcolor="#DDDDDD"><strong>Neto a Cobrar Gs: </strong></td>
              <td align="center" bgcolor="#DDDDDD"><span class="resaltarojomini">Cobrado  Gs: </span></td>
              
            </tr>
            <tr>
              <td height="20" align="right"><strong><?php echo formatomoneda($totalventa,2); ?></strong></td>
              <td align="right"><strong><?php echo formatomoneda($totaldescuento,2); ?></strong></td>
              <td align="right"><strong><?php echo formatomoneda($totalcobrar,2); ?></strong></td>
              <td align="right"><strong><?php echo formatomoneda($consolidado,2); ?></strong></td>
       
            </tr>
          </tbody>
        </table>
		<hr /><br />
    	<div class="divstd">
          <span class="resaltaditomenor">Resumen de Ventas Mensual
          <br /><?php 
		  if ($mesdesde==$meshasta){
		  	echo capitalizar(nombremes($mesdesde)).' '.$anodesde;	
		  } else {
			 echo capitalizar(nombremes($mesdesde)).$anodesde.' / '.capitalizar(nombremes($meshasta)).$anohasta;
		  }
			?>
          </span>
          <br />
          <table width="500" border="1">
          <tbody>
            
            <tr>
              <td height="20" align="center" bgcolor="#DDDDDD"><strong>Total Venta Gs: </strong></td>
              <td align="center" bgcolor="#DDDDDD"><strong>Total Descuentos Gs: </strong></td>
              <td align="center" bgcolor="#DDDDDD"><strong>Neto a Cobrar Gs: </strong></td>
              <td align="center" bgcolor="#DDDDDD"><span class="resaltarojomini">Cobrado a la fecha Gs: </span></td>
              
            </tr>
            <tr>
              <td height="20" align="right"><strong><?php echo formatomoneda($totalventames,2); ?></strong></td>
              <td align="right"><strong><?php echo formatomoneda($totaldescmes,2); ?></strong></td>
              <td align="right"><strong><?php echo formatomoneda($netocobrarmes,2); ?></strong></td>
              <td align="right"><strong><?php echo formatomoneda($consolidadomes,2); ?></strong></td>
       
            </tr>
          </tbody>
        </table>
       
        </div>
    </div>
    <hr />
    <br /><br />
     <br />
            <div align="center">
             	<strong>Ventas (Cantidad)</strong><br />(Top 20)<br />
                <img src="gest_graf_cant.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta ?>" />
            </div>
</div> <!-- contenedor -->
  <script>
  
        $(function mag() {
            $('a[href="#login-popup"]').magnificPopup({
                type:'inline',
                midClick: false,
                closeOnBgClick: false
            });
            
        }); 
 
 		function buscar(cual){
			var texto=cual.trim();
			var parametros='texto='+texto;
			OpenPage('buscaprod.php',parametros,'POST','encontrados','pred');
			
			
		}
    </script>
	<script src="js/jquery.magnific-popup.min.js"></script>

   <div class="clear"></div><!-- clear1 -->
</div> <!-- cuerpo -->
<div class="clear"></div><!-- clear2 -->
<?php require("includes/pie.php"); ?>
</body>
</html>


 