<?php 
/*----------------------------------
12/02/2023 se agrega cta interna
para orden de pago
16/05/2024
Revision de funcionamiento
20/05 Se agregan datos necesarios para registro de movimiento
22/05/2024: Se sube a todos los clientes
----------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="31";
require_once("includes/rsusuario.php"); 
 if(intval($idtransaccion==0)){
	 $idtransaccion=intval($_POST['idtransaccion']);
	  //echo $idtransaccion;exit;
 }

$buscar="select * from preferencias where idempresa=$idempresa";
//echo $buscar;
$rstc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$usa_cta_int=trim($rstc->fields['usa_cta_interna']); 

$consulta="
SELECT permite_iva_manual FROM preferencias_compras limit 1
";
$rspcom=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$permite_iva_manual=trim($rspcom->fields['permite_iva_manual']); 

 
 //Listamos los productos en detalle
$consulta="
Select * , (
select productos.barcode 
from productos 
inner join insumos_lista on insumos_lista.idproducto = productos.idprod_serial
where
tmpcompradeta.idprod = insumos_lista.idinsumo
) as barcode,
(
select costo 
from insumos_lista 
where 
idinsumo = tmpcompradeta.idprod
) as ultcosto
from tmpcompradeta 
where idt=$idtransaccion 
and idemp=$idempresa 
order by  idregcc desc
limit 1
";
//echo $consulta;
$rsdetult=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 
 ?><?php if ($tdet > 0){?>
  <hr />
 Ultimo Cargado: <?php echo $rsdetult->fields['pchar']; ?> [<?php echo $rsdetult->fields['idprod']?>] - <?php echo $rsdetult->fields['barcode']?><br />
 <?php if($rsdetult->fields['costo'] != $rsdetult->fields['ultcosto']){ ?>
 <span style="color:#F00;">COSTO CAMBIADO! Costo Factura: <?php echo formatomoneda($rsdetult->fields['costo'],4,'N'); ?> | Costo Anterior: <?php echo formatomoneda($rsdetult->fields['ultcosto'],4,'N'); ?></span><br />
 <?php } ?>
 <br />
 
    	<span class="resaltaazul">Productos comprados</span>
        <table width="1140" border="1" class="tablaconborde">
  <tbody>
    <tr>
      <td  align="center" bgcolor="#F8FFCC"><strong>Cod Prod</strong></td>
      <td  align="center" bgcolor="#F8FFCC"><strong>Cod Barra</strong></td>
      <td  align="center" bgcolor="#F8FFCC"><strong>Producto</strong></td>
      <td  align="center" bgcolor="#F8FFCC"><strong>Cantidad</strong></td>
      <td align="center" bgcolor="#F8FFCC"><strong>P.U.</strong></td>
      <td  align="center" bgcolor="#F8FFCC"><strong>Sub Total</strong></td>
      <td  align="center" bgcolor="#F8FFCC"><strong>IVA</strong></td>
      <td  align="center" bgcolor="#F8FFCC"><strong>Acci&oacute;n</strong></td>
      </tr>
      <?php 
	  	$t=0;
		$tiva10=0;
		$tiva5=0;
		$texenta=0;
		$tventa10=0;
		$tventa5=0;
	  	while (!$rsdet->EOF){
			$cant=($rsdet->fields['cantidad']);
			$costo=$rsdet->fields['costo'];
			$subt=floatval($rsdet->fields['subtotal']);
		  	$t=$t+$subt;
			$iva=intval($rsdet->fields['iva']);
			$cant_acum+=$cant;
			$subt_acum+=floatval($subt);
			
			if ($iva==5){
				$tm=($subt/21);
			
				$xp=explode('.',$tm);
				$entero=$xp[0];
				$v=substr($xp[1],0,1);
				//Compraramos si el primer caracter es smayor a 5
				if (intval($v > 5)){
					$entero=$entero+1;
				} else {
					$entero=$entero;
				}
				$ivaf=$entero;
				$tiva5=$tiva5+$ivaf;	
				
				$tventa5=$tventa5+$subt;
			}
			if ($iva==10){
				$tm=($subt/11);
			
				$xp=explode('.',$tm);
				$entero=$xp[0];
				$v=substr($xp[1],0,1);
				//Compraramos si el primer caracter es smayor a 5
				if (intval($v > 5)){
					$entero=$entero+1;
				} else {
					$entero=$entero;
				}
				$ivaf=$entero;
				$tiva10=$tiva10+$ivaf;	
				
				$tventa10=$tventa10+$subt;
			}
			
			$costo_factura=$rsdet->fields['costo'];
			$costo_ultimo=$rsdet->fields['ultcosto'];
		  ?>
        <tr>
          <td align="center"><strong><?php echo $rsdet->fields['idprod']?></strong></td>
          <td align="center"><strong><?php echo $rsdet->fields['barcode']?></strong></td>
          <td height="34"><strong><?php echo $rsdet->fields['pchar']?></strong></td>
          <td align="center"><?php echo formatomoneda($rsdet->fields['cantidad'],4,'N')?></td>
          <td align="center"><?php echo formatomoneda($costo_factura,4,'N')?><?php if($costo_factura != $costo_ultimo){ ?> <span style="color:#F00;" title="Ultimo Costo fue: <?php echo formatomoneda($costo_ultimo,4,'N'); ?>">(*)</span><?php } ?></td>
           <td align="center"><?php echo formatomoneda($rsdet->fields['subtotal'],4,'N')?></td>
           <td align="center"><?php echo antixss($rsdet->fields['tipo_iva']); /*if($permite_iva_manual == 'S'){*/ ?><a href="tmpcompradetaimp_manual.php?idtrandet=<?php echo $rsdet->fields['idregcc']?>" ><img src="img/1476042796_office-05.png" width="24" height="24" /></a><?php /*}*/ ?></td>
          <td align="center"><a href="#pop1" onMouseUp="asignardt(<?php echo $rsdet->fields['idregcc']?>);"><img src="img/1476042796_office-05.png" width="24" height="24" /></a>&nbsp;&nbsp;<a href="#" onclick="eliminar(<?php echo $rsdet->fields['idregcc']?>)"><img src="img/no.PNG" width="16" height="16" title="Eliminar"/></a>
         
          </td>
        </tr>
        <?php 
		$rsdet->MoveNext();
		}
		//update de la cabecera
		$update="update tmpcompras set totalcompra=$t where idtran=$idtransaccion and idempresa = $idempresa";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		//echo $update;
		
		$buscar="select sum(subtotal) as totaldetalles from tmpcompradeta where idt=$idtransaccion  ";
		$rscontroldetalles=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$totaldetalles=intval($rscontroldetalles->fields['totaldetalles']);
		
		?>
        <tr>
          <td height="34" bgcolor="#D8D8D8"><strong>Totales</strong></td>
          <td bgcolor="#D8D8D8">&nbsp;</td>
          <td  bgcolor="#D8D8D8"></td>
          <td align="center" bgcolor="#D8D8D8"><strong><?php echo formatomoneda($cant_acum,4,'N'); ?></strong></td>
          <td align="center" bgcolor="#D8D8D8">&nbsp;</td>
          <td align="center" bgcolor="#D8D8D8"><strong><?php echo formatomoneda($subt_acum,4,'N')?></strong></td>
          <td align="center" bgcolor="#D8D8D8">&nbsp;</td>
          <td align="center" bgcolor="#D8D8D8">&nbsp;</td>
        </tr>

        <form id="deletar" name="deletar" action="gest_reg_compras_resto_det.php?id=<?php echo $idtransaccion ?>" method="post"> 
         	<input type="hidden" name="regse" id="regse" value="" />
            <input type="hidden" name="ida" id="ida" value="1" />
        </form> 
 
</table><br />
<?php 
$consulta="
select * from tmpcompras where idtran=$idtransaccion
";
$rscompracab=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$vencimiento=$rscompracab->fields['vencimiento'];
$totalcompra=$rscompracab->fields['totalcompra'];
$monto_factura=floatval($rscompracab->fields['monto_factura']);
$subt_acum=floatval($subt_acum);
$tipocompra=intval($rscompracab->fields['tipocompra']);
if($monto_factura < 0){
	$monto_factura=0;	
}
$diferencia=$monto_factura-$totaldetalles;
/*
$monto_factura=abs($monto_factura);
$subt_acum=abs($subt_acum);
$diferencia=abs(floatval($monto_factura-$subt_acum));
var_dump($monto_factura);
var_dump($subt_acum);
var_dump($diferencia);
*/
?>
<table width="500" border="1" class="tablaconborde">
  <tr bgcolor="#F8FFCC">
    <td><strong>Total Factura</strong></td>
    <td><strong>Total Detalle</strong></td>
    <td><strong>Diferencia</strong></td>
	<?php if($diferencia != 0){ ?><td><strong>Ajustar</strong></td><?php } ?>
  </tr>
  <tr>
    <td align="right"><?php echo ($monto_factura); ?></td>
    <td align="right"><?php echo ($subt_acum); ?></td>
    <td align="right"><?php echo $diferencia; ?></td>
	<?php if($diferencia != 0){ ?><td align="center"><a href="compras_ajuste_auto.php?id=<?php echo intval($_GET['id']);  ?>">[Ajustar]</a></td><?php } ?>
  </tr>
</table>
<br />

<?php



// si es a credito
 if($rscompracab->fields['tipocompra'] == 2){
	 
	$consulta="
	select * from tmpcompravenc where idtran=$idtransaccion
	"; 
	$rstieneven=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$totalvenc=intval($rstieneven->RecordCount());
	
	if(intval($rstieneven->fields['idtran']) == 0){
		$consulta="
		INSERT INTO tmpcompravenc
		 ( idtran, vencimiento, monto_cuota) 
		 VALUES 
		 ($idtransaccion,'$vencimiento',$monto_factura);
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
	}
	if($totalvenc == 1 && intval($rstieneven->fields['idtran']) > 0){
		
		$consulta="
		update tmpcompravenc
		set
		vencimiento = '$vencimiento',
		monto_cuota = $monto_factura
		where
		idtran=$idtransaccion
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	}
	 
	 
	$consulta="
	select * from tmpcompravenc where idtran=$idtransaccion order by vencimiento asc
	"; 
	$rsvenccomp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	 
	  ?>
<span class="resaltaazul">Dias de Credito</span><br />
<table width="600" border="1" class="tablaconborde">
  <tr>
  	<td bgcolor="#F8FFCC"><strong>Cuota</strong></td>
    <td bgcolor="#F8FFCC"><strong>Vencimiento</strong></td>
    <td bgcolor="#F8FFCC"><strong>Monto</strong></td>
  </tr>
  <?php
  $cuo=0;
  $totalcuo=0;
   while(!$rsvenccomp->EOF){
	   $cuo++;
	   $totalcuo+=$rsvenccomp->fields['monto_cuota'];
	    ?>
  <tr>
    <td align="center"><?php echo $cuo; ?></td>
    <td align="center"><?php echo date("d/m/Y",strtotime($rsvenccomp->fields['vencimiento'])); ?></td>
    <td align="right"><?php echo formatomoneda($rsvenccomp->fields['monto_cuota'],4,'N'); ?></td>
  </tr>
<?php $rsvenccomp->MoveNext(); }?>
  <tr bgcolor="#CCCCCC" >
    <td align="center"> </td>
    <td align="center"> </td>
    <td align="right"><strong><?php echo formatomoneda($totalcuo,4,'N'); ?></strong></td>
  </tr>
</table><br />
<p><a href="gest_reg_compras_venc.php?idtran=<?php echo $idtransaccion; ?>">[Personalizar]</a></p>
<br />
  <br />
  
  <?php } ?>
  

 
  
  <?php if($usa_cta_int=='S' && $tipocompra==1){ ?>

<div id="gfr" style="width:700px;"  border="1" class="tablaconborde">
   <span class="resaltaazul">Orden pago / Cuenta interna</span><hr />
  *) Aqu&iacute; puede generar una OP autom&aacute;tica para compras al CONTADO.<br />
  *) Si la forma de pago no figura en el listado, dir&iacute;jase al men&uacute;<span style="color:red;">< gestion->formas de pago ></span>, establezca la propiedad  usar Banco/op en SI.
  "<div id="erroreslab" style="display:none;color:red;font-weight:bold;"></div>
<?php 
//$buscar="Select * from bancos where muestra_propio='S' order by nombre asc";
$buscar="Select * from cuentas where estado=1 order by denominacion asc";
$rslista1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$buscar="Select * from formas_pago  where usa_banco='S' and estado <> 6 order by descripcion asc";
$rslista2=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
 ?>
 <table width="95%">
	<tr>
		<td bgcolor="#F8FFCC">Cuenta movimiento</td>
		<td bgcolor="#F8FFCC">Medio  Pago</td>
		<td bgcolor="#F8FFCC" colspan="2">Monto abonado</td>
		
	<tr>
	<tr>
		<td>
		<select name="listacuentas" id="listacuentas">
			<option value="" selected>Seleccionar</option>
			<?php while (!$rslista1->EOF){ ?>
				<option value="<?php echo $rslista1->fields['idcuenta'] ?>"><?php echo $rslista1->fields['denominacion']." CTA:[".$rslista1->fields['cuentanum']."]"  ?></option>
			<?php  $rslista1->MoveNext();} ?>
		</select>
		</td>
		<td>
		<select name="listapagos" id="listapagos" onchange="seleccion(this.value)">
			<option value="" selected>Seleccionar</option>
			<?php while (!$rslista2->EOF){ ?>
				<option value="<?php echo $rslista2->fields['idforma'] ?>"><?php echo $rslista2->fields['descripcion']?></option>
			<?php  $rslista2->MoveNext();} ?>
		</select>
		</td>
		<td colspan='2'><input type text name="monto_abonado" id="monto_abonado" value="" /></td>
		
	</tr>
	<tr id="adicionales_tit" style="display:none;">
		<td bgcolor="#F8FFCC">Numero transferencia / Cheque</td>
		<td bgcolor="#F8FFCC">Vencimiento(solo para pagos diferidos)</td>
		<td bgcolor="#F8FFCC" colspan="2">Banco de plaza</td>
		
	<tr>
	<tr id="adicionales_fpag" style="display:none;">
		<td>
			<input type="text" name="numero_chq" id="numero_chq" />
		</td>
		<td>
			<input type="date" name="vto_chq" id="vo_chq" />
		</td>
		<td>
		
			<select name="idb_fpago" id="idb_fpago">
				<option value="" selected="selected">Seleccionar</option>
				<?php $buscar="select idbanco,nombre from bancos where caja='N' and estado <> 6 order by nombre ASC";
				$rslb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				while(!$rslb->EOF){ ?>
				<option value="<?php echo $rslb->fields['idbanco']; ?>"><?php echo $rslb->fields['nombre']; ?></option>
				<?php $rslb->MoveNext(); }
				?>
			</select>
		</td>
	</tr>
	<tr id="adicionales_tit2" style="display:none;">
		<td bgcolor="#F8FFCC" colspan="2">Orden de</td>
	
		<td bgcolor="#F8FFCC" >Boleta Num</td>
		
	<tr>
	<tr id="adicionales_fpag_orden_boleta" style="display:none;">
		<td colspan="2">
			<textarea name="orden_de" id="orden_de" placeholder="Opcional: Solo si aplica" style="width:95%;"></textarea>
			
		</td>
		<td>
			<textarea name="boletanumero" id="boletanumero" placeholder="Opcional: Solo si aplica" style="width:95%;"></textarea>
			
		</td>
	</tr>
	<tr> 
		<td colspan="2"><textarea name="obs" id="obs" placeholder="Indique  otros valores / comentarios /etc (opcional)" style="width:95%;"></textarea></td>
		<td colspan="2"><a href="javascript:void(0);" onclick="agregar_cuenta();">[Agregar]</a></td>
	</tr>
</table>
<br />
<hr />
<div id="carrito_fpago">
<?php require_once("compras_carrito_lista.php"); ?>
</div>


</div>
<hr />
<?php } ?>
  
  
  
  
<br />
  <span class="resaltaazul">Resumen Final</span><br />

<div class="resumenmini">
  <br />
    <table width="90%" border="1">
      <tbody>
        <tr>
          <td align="center" bgcolor="#F8FFCC"><strong>Total Compra</strong></td>
          <td align="center" bgcolor="#F8FFCC"><strong>Sumatoria Cantidades</strong></td>
        </tr>
        <tr>
          <td align="center"><span class="resaltarojomini" style="font-size:20px;"><span class="resaltarojomini" style="font-size:20px;">Gs. </strong></span><?php echo formatomoneda($t,4,'N') ?></span></td>
          <td align="center"><span class="resaltarojomini" style="font-size:20px;"><?php echo formatomoneda($cant_acum,4,'N') ?></span></td>
        </tr>
      </tbody>
    </table>

  <br /><hr /><br />
<?php 		
$consulta="
select iva_porc_col as iva_porc, sum(monto_col) as subtotal_poriva, sum(ivaml) as subtotal_monto_iva
from tmpcompradetaimp 
where 
idtran = $idtransaccion
group by iva_porc_col
order by iva_porc_col desc
";
//echo $consulta;
$rsivaporc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
  ?>
  
  <strong>Sub Totales por IVA</strong><br />
<table width="90%" border="1" style="border-collapse:collapse;">
  <tr style="background-color:#CCC;  font-weight:bold;">
    <td><strong>IVA %</strong></td>
    <td><strong>Monto</strong></td>

  </tr>
<?php while(!$rsivaporc->EOF){?>
  <tr>
    <td><?php 
	if($rsivaporc->fields['iva_porc'] > 0){ 
		echo agregaespacio(floatval($rsivaporc->fields['iva_porc']).'%',3);
	}else{
		echo "Exento";
	}
	?></td>
    <td><?php echo formatomoneda($rsivaporc->fields['subtotal_poriva'],0,'N'); ?></td>

  </tr>
<?php $rsivaporc->MoveNext(); }  ?>
</table>
<?php 	
$rsivaporc->MoveFirst(); 


?>
    

  </p>
<br /><hr /><br />
  
    <strong>Liquidacion del IVA</strong><br />
<table width="90%" border="1" style="border-collapse:collapse;">
  <tr style="background-color:#CCC; font-weight:bold;">
    <td><strong>IVA %</strong></td>
    <td><strong>Monto</strong></td>

  </tr>
<?php while(!$rsivaporc->EOF){?>
  <tr>
    <td><?php 
	if($rsivaporc->fields['iva_porc'] > 0){ 
		echo agregaespacio(floatval($rsivaporc->fields['iva_porc']).'%',3);
	}else{
		echo "Exento";
	}
	?></td>
    <td><?php echo formatomoneda($rsivaporc->fields['subtotal_monto_iva'],0,'N'); ?></td>

  </tr>
<?php $rsivaporc->MoveNext(); }  ?>
</table>

  <br />  
  <hr />

  <br />
  
  <?php
	
	$seguir='S';
	if($usa_cta_int=='S' && $tipocompra==1){
		$total_compra=floatval($totaldetalles);
		$buscar="Select sum(monto_abonado) as total from compras_pagos_formas where idtransaccion=$idtransaccion and estado <> 6";
		$rsres=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$montocargado=floatval($rsres->fields['total']);
		if ($montocargado!=$total_compra){
			$seguir='N';
			$mostrar="<span class=\"resaltarojomini\" style=\"font-size:14px;\">El monto de la orden de pago automatica (".formatomoneda($montocargado)."), es inferior al total de la compra (".formatomoneda($total_compra)."). No se puede finalizar.<br />Verifique los montos abonados y luego finalice la compra.</span>";
		}
	}
  ?>
  
  
  <?php if ($seguir=='S'){ ?>
  <input type="button" id="rpc" onclick="cerrar()" value="Finalizar Compra" />
  <?php } else { ?>
  
  <?php echo $mostrar; 
  
  }?>
  <form id="registracompra" action="gest_reg_compras_resto_det.php?id=<?php echo $idtransaccion ?>" method="post">
	<input type="hidden" name="iva10" id="iva10" value="<?php echo $tiva10 ?>"/>
    <input type="hidden" name="iva5" id="iva5" value="<?php echo $tiva5 ?>"/>
	<input type="hidden" name="tran" id="tran" value="<?php echo $idtransaccion ?>"/>
    <input type="hidden" name="totcomp" id="totcomp" value="<?php echo $t; ?>">
</form>
 <form id="chaucompra"   action="gest_reg_compras_resto_det.php?id=<?php echo $idtransaccion ?>" method="post">
 	<input type="hidden" name="chau" id="chau" value="<?php echo $idtransaccion ?>"/>
 
 </form><br />
</div>


    
    <?php } ?>

    <br /><br />