<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="30";
$submodulo="358";
require_once("includes/rsusuario.php"); 

// funciones para stock
require_once("includes/funciones_stock.php");

$inicodet=intval($_GET['id']);

if($inicodet > 0){
	$consulta="
	select *
	from gift_card_detalles 
	inner join gift_card on gift_card.idgc=gift_card_detalles.idgc
	where 
	 gift_card.estado = 1
	 and gift_card_detalles.estado = 1
	 and  inicodet = $inicodet
	order by numerogc asc
	limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idgc=intval($rs->fields['idgc']);
	if(intval($rs->fields['inicodet']) == 0){
		header("location: gift_card_canje.php");
		exit;	
	}

}else{
	header("location: gift_card_canje.php");
	exit;	
}

// comprobar existencia de deposito del tipo salon de ventas
$consulta="
SELECT * 
FROM gest_depositos
where
tiposala = 2
and idempresa = $idempresa
and idsucursal = $idsucursal
and estado = 1
";
//echo $consulta;
$rsdep = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$iddeposito=intval($rsdep->fields['iddeposito']);
if($iddeposito == 0){
	$errores.="No existe deposito de ventas asignado a la sucursal actual.";
	$valido="N";
}

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	//$idcliente=antisqlinyeccion($_POST['idcliente'],"int");
	//$ruc=antisqlinyeccion($_POST['ruc'],"text");
	//$razon_social=antisqlinyeccion($_POST['razon_social'],"int");
	$cedula=antisqlinyeccion($_POST['cedula'],"int");
	$nombres=antisqlinyeccion($_POST['nombres'],"text");
	$apellidos=antisqlinyeccion($_POST['apellidos'],"text");
	$estado=1;
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$celular=antisqlinyeccion($_POST['celular'],"text");
	$direccion=antisqlinyeccion($_POST['direccion'],"text");
	$fechanac=antisqlinyeccion($_POST['fechanac'],"text");

	$ruc=antisqlinyeccion($_POST['cedula'].'-'.calcular_ruc($_POST['cedula']),"text");
	$razon_social=antisqlinyeccion(trim($_POST['nombres']).' '.trim($_POST['apellidos']),"text");
	

	$consulta="
	select gift_card_detalles.estado
	from gift_card_detalles 
	inner join gift_card on gift_card.idgc=gift_card_detalles.idgc
	where 
	inicodet = $inicodet
	limit 1
	";
	$rsg=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if($rsg->fields['estado'] == 3){
		$valido="N";
		$errores.=" - El gift card seleccionado ya fue retirado.<br />";	
	}
	if($rsg->fields['estado'] == 6){
		$valido="N";
		$errores.=" - El gift card seleccionado ya no esta vigente.<br />";	
	}
	


	if(intval($_POST['fechanac']) == 0){
		$valido="N";
		$errores.=" - El campo fecha nacimiento no puede ser cero o nulo.<br />";	
	}
	if(intval($_POST['cedula']) == 0){
		$valido="N";
		$errores.=" - El campo cedula no puede ser cero o nulo.<br />";	
	}
	if(trim($_POST['nombres']) == ''){
		$valido="N";
		$errores.=" - El campo nombres no puede estar vacio.<br />";	
	}
	if(trim($_POST['apellidos']) == ''){
		$valido="N";
		$errores.=" - El campo apellidos no puede estar vacio.<br />";	
	}
	if(trim($_POST['celular']) == ''){
		$valido="N";
		$errores.=" - El campo celular no puede estar vacio.<br />";	
	}
	if(trim($_POST['direccion']) == ''){
		$valido="N";
		$errores.=" - El campo direccion no puede estar vacio.<br />";	
	}
	if(trim($_POST['cedula']) == '44444401'){
		$valido="N";
		$errores.=" - El dato cedula es incorrecto.<br />";	
	}


	// si todo es correcto inserta
	if($valido == "S"){
		
		// busca si ya es cliente por ruc
		$consulta="
		select idcliente from cliente where estado <> 6 and ruc = $ruc order by idcliente asc limit 1
		";
		$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idcliente=intval($rscli->fields['idcliente']);
		// si no encuentra por ruc busca por cedula
		if($idcliente == 0){
			// busca si ya es cliente por cedula (ruc generico)
			$consulta="
			select idcliente from cliente where estado <> 6 and documento = $cedula order by idcliente asc limit 1
			";
			$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idcliente=intval($rscli->fields['idcliente']);
		}
	
		// si no existe inserta
		if($idcliente == 0){
			$consulta="
			insert into cliente
			(idempresa,  nombre, apellido, nombre_corto, idtipdoc, documento, ruc, telefono, 
			celular, email, direccion, comentario, fechanac, tipocliente, 
			razon_social, fantasia,  estado,  registrado_el, registrado_por,  sucursal, 
			diplomatico, carnet_diplomatico)
			values
			(1,  $nombres, $apellidos, NULL, 1, $cedula, $ruc, NULL, 
			$celular, NULL, $direccion, NULL, $fechanac, 1, 
			$razon_social, NULL, 1,  '$ahora', $idusu,  $idsucursal, 
			NULL, NULL)
			";
			
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			// busca el id insertado
			$consulta="
			select idcliente from cliente where estado <> 6 and registrado_por = $idusu order by idcliente desc limit 1
			";
			$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idcliente=intval($rscli->fields['idcliente']);
			
		// si existe actualiza
		}else{
			$consulta="
			update cliente 
			set
			celular = $celular,
			direccion = $direccion,
			fechanac = $fechanac
			where
			idcliente = $idcliente
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
		}

		
		// inserta como cliente gift card
		$consulta="
		insert into gift_card_clientes
		(idcliente, ruc, razon_social, cedula, nombres, apellidos, estado, registrado_por, registrado_el, celular, direccion, fechanac)
		values
		($idcliente, $ruc, $razon_social, $cedula, $nombres, $apellidos, $estado, $registrado_por, $registrado_el, $celular, $direccion, $fechanac)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// busca el id insertado
		$consulta="
		select max(idclientegif) as idclientegif from gift_card_clientes where registrado_por = $registrado_por
		";
		$rsclig=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idclientegif=intval($rsclig->fields['idclientegif']);
		

		
		//productos a descontar del stock
		$consulta="
		select *, 
		(select idinsumo from insumos_lista where insumos_lista.idproducto = productos.idprod_serial) as idinsumo
		from productos 
		inner join gift_card_productos on gift_card_productos.idproducto = productos.idprod_serial
		where 
		 gift_card_productos.inicodet = $inicodet
		order by descripcion asc
		";
		$rsp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		while(!$rsp->EOF){
			$idinsumo=$rsp->fields['idinsumo'];
			$idproducto=$rsp->fields['idprod_serial'];
			$cantidad=1;
			
		
			// mueve stock
			descontar_stock_general($idinsumo,$cantidad,$iddeposito);
			$costo_insumo_utilizado=descuenta_stock_vent($idinsumo,$cantidad,$iddeposito);
			movimientos_stock($idinsumo,$cantidad,$iddeposito,18,'-',$inicodet,$ahora);
			// costo unitario promedio de los insumos utilizados
			$costo_insumo_unitario=round($costo_insumo_utilizado/$cantidad,4);
			
			$consulta="
			INSERT INTO `gift_card_detalles_productos`
			(`inicodet`, `idgc`, `idinsumo`, `idproducto`, `cantidad`, `costo_unitario`, `costo_total`)
			 VALUES 
			($inicodet,$idgc,$idinsumo,$idproducto,$cantidad,$costo_insumo_unitario,$costo_insumo_utilizado)
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

		$rsp->MoveNext(); }
		
		
		// marca gift card como retirado
		$consulta="
		update gift_card_detalles
		set
		estado = 3,
		idcliente = $idcliente,
		idclientegif = $idclientegif,
		retirado_el = '$ahora',
		responsable_entrega = $idusu,
		retirado_sucursal = $idsucursal,
		retirado_deposito = $iddeposito
		where
		inicodet = $inicodet
		and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		header("location: gift_card_canje_det_reg.php?id=".$inicodet);
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Canje de Gift Card</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<?php if($inicodet > 0){ ?>

<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Id</th>
			<th align="center">Numero Gift Card</th>
			<th align="center">Estado</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idgc']); ?></td>
			<td align="center"><?php echo intval($rs->fields['numerogc']); ?></td>
			<td align="center"><?php 
			if($rs->fields['estado'] == 1){ 
				echo "Activo"; 
			}else if($rs->fields['estado'] == 2){ 
				echo "Canjeado"; 
			}else{ 
				echo "Anulado";
			}  
			?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<hr />
<?php 
/*
insert into  `gift_card_productos` (inicodet, idproducto, idgc)
select gift_card_detalles.inicodet, 1, gift_card_detalles.idgc
from gift_card_detalles
WHERE
gift_card_detalles.idgc = 1
*/
?>

<?php 
		
$consulta="
select *,
(select idinsumo from insumos_lista where insumos_lista.idproducto = productos.idprod_serial) as idinsumo
from productos 
inner join gift_card_productos on gift_card_productos.idproducto = productos.idprod_serial
where 
 gift_card_productos.inicodet = $inicodet
order by descripcion asc
";
$rsp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>
<strong>Productos a Retirar:</strong>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Codigo</th>
			<th align="center">Codigo Barras</th>
			<th align="center">Producto</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rsp->EOF){ ?>
		<tr>


			<td align="center"><?php echo antixss($rsp->fields['idinsumo']); ?></td>

			<td align="center"><?php echo antixss($rsp->fields['barcode']); ?></td>

			<td align="center"><?php echo antixss($rsp->fields['descripcion']); ?></td>
		</tr>
<?php $rsp->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>


<hr />

<form id="form1" name="form1" method="post" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cedula </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="cedula" id="cedula" value="<?php  if(isset($_POST['cedula'])){ echo intval($_POST['cedula']); }else{ echo intval($rs->fields['cedula']); }?>" placeholder="Cedula" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fechanac </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="fechanac" id="fechanac" value="<?php  if(isset($_POST['fechanac'])){ echo htmlentities($_POST['fechanac']); }else{ echo htmlentities($rs->fields['fechanac']); }?>" placeholder="Fechanac" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Nombres </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="nombres" id="nombres" value="<?php  if(isset($_POST['nombres'])){ echo htmlentities($_POST['nombres']); }else{ echo htmlentities($rs->fields['nombres']); }?>" placeholder="Nombres" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Apellidos </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="apellidos" id="apellidos" value="<?php  if(isset($_POST['apellidos'])){ echo htmlentities($_POST['apellidos']); }else{ echo htmlentities($rs->fields['apellidos']); }?>" placeholder="Apellidos" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Celular </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="celular" id="celular" value="<?php  if(isset($_POST['celular'])){ echo htmlentities($_POST['celular']); }else{ echo htmlentities($rs->fields['celular']); }?>" placeholder="Celular" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Direccion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="direccion" id="direccion" value="<?php  if(isset($_POST['direccion'])){ echo htmlentities($_POST['direccion']); }else{ echo htmlentities($rs->fields['direccion']); }?>" placeholder="Direccion" class="form-control"  />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='gift_card_canje.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


<?php } ?>

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
