<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="30";
$submodulo="358";
require_once("includes/rsusuario.php"); 

$inicodet=intval($_GET['id']);

if($inicodet > 0){
	$consulta="
	select *
	from gift_card_detalles 
	inner join gift_card on gift_card.idgc=gift_card_detalles.idgc
	where 
	 gift_card.estado = 1
	 and gift_card_detalles.estado = 3
	 and  inicodet = $inicodet
	order by numerogc asc
	limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idclientegif=intval($rs->fields['idclientegif']);
	if(intval($rs->fields['inicodet']) == 0){
		header("location: gift_card_canje.php");
		exit;	
	}

}else{
	header("location: gift_card_canje.php");
	exit;	
}



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Canje de Gift Card</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
 <p><a href="gift_card_canje.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />
<h1>Registro Exitoso!</h1>

Puede entregar el beneficio al cliente.

<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Id</th>
			<th align="center">Numero Gift Card</th>
			<th align="center">Estado</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idgc']); ?></td>
			<td align="center"><?php echo intval($rs->fields['numerogc']); ?></td>
			<td align="center"><?php 
			if($rs->fields['estado'] == 1){ 
				echo "Activo"; 
			}else if($rs->fields['estado'] == 2){ 
				echo "Canjeado"; 
			}else{ 
				echo "Anulado";
			}  
			?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<hr />
<?php 
/*
insert into  `gift_card_productos` (inicodet, idproducto, idgc)
select gift_card_detalles.inicodet, 1, gift_card_detalles.idgc
from gift_card_detalles
WHERE
gift_card_detalles.idgc = 1
*/
?>

<?php 
		
$consulta="
select *,
(select idinsumo from insumos_lista where insumos_lista.idproducto = productos.idprod_serial) as idinsumo
from productos 
inner join gift_card_productos on gift_card_productos.idproducto = productos.idprod_serial
where 
 gift_card_productos.inicodet = $inicodet
order by descripcion asc
";
$rsp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>
<strong>Productos a Retirar:</strong>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Codigo</th>
			<th align="center">Codigo Barras</th>
			<th align="center">Producto</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rsp->EOF){ ?>
		<tr>


			<td align="center"><?php echo antixss($rsp->fields['idinsumo']); ?></td>

			<td align="center"><?php echo antixss($rsp->fields['barcode']); ?></td>

			<td align="center"><?php echo antixss($rsp->fields['descripcion']); ?></td>
		</tr>
<?php $rsp->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>


<hr />
<?php 

$consulta="
select * from gift_card_clientes where idclientegif = $idclientegif
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cedula </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="cedula" id="cedula" value="<?php  if(isset($_POST['cedula'])){ echo intval($_POST['cedula']); }else{ echo intval($rs->fields['cedula']); }?>" placeholder="Cedula" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fechanac </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="date" name="fechanac" id="fechanac" value="<?php  if(isset($_POST['fechanac'])){ echo htmlentities($_POST['fechanac']); }else{ echo htmlentities($rs->fields['fechanac']); }?>" placeholder="Fechanac" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Nombres </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="nombres" id="nombres" value="<?php  if(isset($_POST['nombres'])){ echo htmlentities($_POST['nombres']); }else{ echo htmlentities($rs->fields['nombres']); }?>" placeholder="Nombres" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Apellidos </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="apellidos" id="apellidos" value="<?php  if(isset($_POST['apellidos'])){ echo htmlentities($_POST['apellidos']); }else{ echo htmlentities($rs->fields['apellidos']); }?>" placeholder="Apellidos" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Celular </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="celular" id="celular" value="<?php  if(isset($_POST['celular'])){ echo htmlentities($_POST['celular']); }else{ echo htmlentities($rs->fields['celular']); }?>" placeholder="Celular" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Direccion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="direccion" id="direccion" value="<?php  if(isset($_POST['direccion'])){ echo htmlentities($_POST['direccion']); }else{ echo htmlentities($rs->fields['direccion']); }?>" placeholder="Direccion" class="form-control"  />                    
	</div>
</div>


<div class="clearfix"></div>
<br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
