<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="81";
require_once("includes/rsusuario.php"); 

// si envio bandera para agregar
if($_POST['add'] == 'S'){

	// validaciones basicas
	$valido="S";
	$errores="";
	

	// recibe parametros
	$grupo=antisqlinyeccion($_POST['grupo'],"text");
	
	if(trim($_POST['grupo']) == NULL){
		$valido="N";
		$errores.=" - Debe indicar el nombre del grupo.<br />";	
	}
	
	
	$consulta="
	select * from grupo_insumos where nombre = $grupo   and estado = 1 limit 1
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if($rsex->fields['idgrupoinsu'] > 0){
		$valido="N";
		$errores.=" - Ya existe otro grupo con el mismo nombre.<br />";		
	}


	// si todo es correcto inserta
	if($valido == "S"){
		

		$consulta="
		insert into grupo_insumos
		( nombre, idempresa, estado)
		values
		( $grupo, 1, 1)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		select idgrupoinsu from grupo_insumos where estado = 1 order by idgrupoinsu desc limit 1
		";
		$rsins=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idgrupoinsu=intval($rsins->fields['idgrupoinsu']);
		
		$res=array(
			'valido' => $valido,
			'errroes' => $errores,
			'idgrupoinsu' => intval($idgrupoinsu)
			
		);
		
		// convierte a formato json
		$respuesta=json_encode($res, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
		
		// devuelve la respuesta formateada
		echo $respuesta;
		exit;
		
	}
	


}



$buscar="
SELECT * 
FROM grupo_insumos
where 
grupo_insumos.estado = 1
order by idgrupoinsu desc
limit 10
"	;
$prod=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

?>


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre Grupo  </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="gruinsu" id="gruinsu" value="" placeholder="Grupo Insumo" class="form-control"  />                    

	</div>
</div>

 <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
<button type="button" class="btn btn-success" onmouseup="agregar_grupostock();" ><span class="fa fa-check-square-o"></span> Agregar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />

<div class="clearfix"></div>


<hr />
<strong>Ultimos 10 Agregadas:</strong>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
    <thead>
      <tr>
	  <th>Codigo</th>
        <th>Grupo</th>
        <th></th>

        </tr>
        </thead>
        <tbody>
      <?php while (!$prod->EOF){ 
	  

	  
	  
	  ?>
      <tr>
	  <td align="center"><?php echo trim($prod->fields['idgrupoinsu']) ?></td>
        <td align="center"><?php echo trim($prod->fields['nombre']) ?></td>
      <td align="center"></td>
        </tr>
      <?php $prod->MoveNext();
      } ?>
      </tbody>
</table>
</div>