<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="14";
$submodulo="41";
require_once("includes/rsusuario.php"); 

$idhab=intval($_GET['id']);
if($idhab == 0){
	header("location: hot_adm_habitaciones.php");
	exit;
}

$consulta="
select * 
from ht_habitaciones 
inner join ht_tipohab on ht_tipohab.idtipohab = ht_habitaciones.tipohab
where 
ht_habitaciones.idempresa = $idempresa
and ht_habitaciones.idhab = $idhab
order by ht_habitaciones.piso asc, ht_habitaciones.numero asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idhab=intval($rs->fields['idhab']);
if($idhab == 0){
	header("location: hot_adm_habitaciones.php");
	exit;
}
if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	$numero=antisqlinyeccion($_POST['numero'],"int");
	$piso=antisqlinyeccion($_POST['piso'],"int");
	$tipohab=antisqlinyeccion($_POST['tipohab'],"int");
	$descripcion=antisqlinyeccion('x',"text");
	$estado=antisqlinyeccion(1,"int");
	$precioalquiler=antisqlinyeccion($_POST['precioalquiler'],"float");
	$adicional_persona=antisqlinyeccion($_POST['adicional_persona'],"int");
	$adicional_nino=antisqlinyeccion($_POST['adicional_nino'],"int");


	// validaciones basicas
	$valido="S";
	$errores="";


	if(intval($_POST['numero']) == 0){
		$valido="N";
		$errores.=" - El campo numero no puede ser cero o nulo.<br />";	
	}
	if(intval($_POST['piso']) == 0){
		$valido="N";
		$errores.=" - El campo piso no puede ser cero o nulo.<br />";	
	}
	if(intval($_POST['tipohab']) == 0){
		$valido="N";
		$errores.=" - El campo tipohab no puede ser cero o nulo.<br />";	
	}
	/*if(trim($_POST['descripcion']) == ''){
		$valido="N";
		$errores.=" - El campo descripcion no puede estar vacio.<br />";	
	}*/
	/*if(intval($_POST['estado']) == 0){
		$valido="N";
		$errores.=" - El campo estado no puede ser cero o nulo.<br />";	
	}*/
	if(floatval($_POST['precioalquiler']) <= 0){
		$valido="N";
		$errores.=" - El campo precioalquiler no puede ser cero o negativo.<br />";	
	}
	if(intval($_POST['adicional_persona']) == 0){
		$valido="N";
		$errores.=" - El campo adicional_persona no puede ser cero o nulo.<br />";	
	}
	if(trim($_POST['adicional_nino']) == ''){
		$valido="N";
		$errores.=" - El campo adicional_nino no puede estar vacio, ponga 0 si no aplica.<br />";	
	}
	
	// validar que no exista el numero
	$consulta="
	select ht_habitaciones.numero, ht_habitaciones.idhab
	from ht_habitaciones 
	inner join ht_tipohab on ht_tipohab.idtipohab = ht_habitaciones.tipohab
	where 
	ht_habitaciones.numero = $numero
	and ht_habitaciones.idhab <> $idhab
	and ht_habitaciones.idempresa = $idempresa
	order by ht_habitaciones.piso asc, ht_habitaciones.numero asc
	";
	$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idhabex=intval($rs->fields['idhab']);
	if($idhabex > 0){
		$valido="N";
		$errores.=" - Ya existe otra habitacion con este numero, favor cambielo.<br />";
	}


	// si todo es correcto actualiza
	if($valido == "S"){
		$consulta="
		update ht_habitaciones
		set
			piso=$piso,
			numero=$numero,
			tipohab=$tipohab,
			descripcion=$descripcion,
			estado=$estado,
			precioalquiler=$precioalquiler,
			adicional_persona=$adicional_persona,
			adicional_nino=$adicional_nino,
			idempresa=$idempresa
		where
			idempresa=$idempresa
			and idhab=$idhab
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		//echo $consulta;
		//exit;
		header("location: hot_adm_habitaciones.php");
		exit;
		
	}

}

$consulta="
select * 
from ht_habitaciones 
inner join ht_tipohab on ht_tipohab.idtipohab = ht_habitaciones.tipohab
where 
ht_habitaciones.idempresa = $idempresa
and ht_habitaciones.idhab = $idhab
order by ht_habitaciones.piso asc, ht_habitaciones.numero asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<?php require("includes/head.php"); ?>
<script src="js/sweetalert.min.js"></script>
 <link rel="stylesheet" type="text/css" href="css/sweetalert.css">
</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="clear"></div>

<div class="cuerpo">
 <div align="center" >
 <?php require_once("includes/menuarriba.php");?>
</div>

<div class="colcompleto" id="contenedor">
 	<!-- SECCION DONDE COMIENZA TODO -->  
    <br />
 			<div class="divstd">
            <a href="hot_adm_habitaciones.php">
                <img src="img/homeblue.png" height="64" width="64" /></a><br />
			</div>
    <div class="resumenmini">
   	<strong>Editar Habitaci&oacute;n</strong> </div>
  <br />

<p align="center">&nbsp;</p>
<?php if(trim($errores) != ""){ ?>
	<div class="mensaje" style="border:1px solid #F00; background-color:#FFC; font-size:12px; padding:10px; margin:10px auto; width:500px; text-align:center;"><strong>Errores:</strong> <br /><?php echo $errores; ?></div><br />
<?php } ?>	
<form id="form1" name="form1" method="post" action="">
<table width="400" border="1" class="tablaconborde" align="center">
  <tbody>

	<tr>
	  <td align="center">* N&uacute;mero</td>
	  <td width="130" align="left"><input type="text" name="numero" id="numero" value="<?php if($_POST['numero'] != ''){ echo htmlentities($_POST['numero']);  }else{ echo htmlentities($rs->fields['numero']); } ?>" placeholder="numero" required="required" /></td>
	  </tr>

	<tr>
		<td align="center">* Piso</td>
		<td width="130" align="left"><input type="text" name="piso" id="piso" value="<?php if($_POST['piso'] != ''){ echo htmlentities($_POST['piso']);  }else{ echo htmlentities($rs->fields['piso']); } ?>" placeholder="piso" required="required" /></td>
	</tr>

	<tr>
		<td align="center"> * Tipo habitaci&oacute;n</td>
		<td width="130" align="left"><?php 
//Tipos de habitaciones
$buscar="Select * from ht_tipohab where estado=1 and idempresa=$idempresa order by describehab asc";
$rsht=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$ttph=$rsht->Recordcount();
		?>
              <?php if($ttph > 0){?>
              <select name="tipohab" id="tipohab"  required="required">
                <option value="0">Seleccionar</option>
                <?php while (!$rsht->EOF){?>
                <option value="<?php echo $rsht->fields['idtipohab']?>" <?php 
					if($_POST['tipohab'] != ''){ 
						if($_POST['tipohab'] == $rsht->fields['idtipohab']){
							echo 'selected="selected"';
						}
					}else{ 
						if($rs->fields['tipohab'] == $rsht->fields['idtipohab']){
							echo 'selected="selected"';
						}
				} 
				?> ><?php echo $rsht->fields['describehab']?></option>
                <?php $rsht->MoveNext();}?>
              </select>
              <?php } else {?>
              
              <span class="resaltarojomini">Defina los tipos de habitaciones antes de proseguir</span>
              <?php }?>
        </td>
	</tr>

	<tr>
	  <td align="center">* Precio Alquiler x noche</td>
	  <td width="130" align="left"><input type="text" name="precioalquiler" id="precioalquiler" value="<?php if($_POST['precioalquiler'] != ''){ echo htmlentities($_POST['precioalquiler']);  }else{ echo htmlentities($rs->fields['precioalquiler']); } ?>" placeholder="precioalquiler" required="required" /></td>
	  </tr>

	<tr>
		<td align="center">* Adicional Adulto</td>
		<td width="130" align="left"><input type="text" name="adicional_persona" id="adicional_persona" value="<?php if($_POST['adicional_persona'] != ''){ echo htmlentities($_POST['adicional_persona']); }else{ echo htmlentities($rs->fields['adicional_persona']); } ?>" placeholder="adicional_persona" required="required" /></td>
	</tr>

	<tr>
		<td align="center">* Adicional Ni&ntilde;o</td>
		<td width="130" align="left"><input type="text" name="adicional_nino" id="adicional_nino" value="<?php if($_POST['adicional_nino'] != ''){ echo htmlentities($_POST['adicional_nino']); }else{ echo htmlentities($rs->fields['adicional_nino']); } ?>" placeholder="adicional_nino" required="required" /></td>
	</tr>

  </tbody>
</table>
<br />
<p align="center">
  <input type="submit" name="button" id="button" value="Registrar" />
  <input type="hidden" name="MM_update" value="form1" />
  <input type="button" name="button2" id="button2" value="Volver" onmouseup="document.location.href='hot_adm_habitaciones_edit.php';" />
</p>
<br />
</form>
<p align="center">&nbsp;</p>
<p align="center">&nbsp;

</p>
     
   
</div> 
<!-- contenedor -->



   <div class="clear"></div><!-- clear1 -->
</div> <!-- cuerpo -->
<div class="clear"></div><!-- clear2 -->
<?php require("includes/pie.php"); ?>
</body>
</html>