<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="16";
$submodulo="76";
require_once("includes/rsusuario.php"); 

/*
	SELECT 
	
	idcargoshabitacion, idrubrohot, fecha, monto, registrado_por, registrado_el, observacion, idhabitacion, idventa, idempresa, idsucursal, estado 	
	FROM hot_cargos_habitacion 
	WHERE 1
*/

$idhabitacion=intval($_GET['idhab']);

if($idhabitacion > 0){
	
	// trae el codigo unico de ocupacion de la habitacion que esta activa, ocupada
	$consulta="
	select * 
	from ht_hab_ocupadas 
	where 
	idhabitacion = $idhabitacion 
	and estado = 1
	";
	$rsocu=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idhabitacion=intval($rsocu->fields['idhabitacion']);
	$idunico_ocupacion=intval($rsocu->fields['idunico']);
	if($idhabitacion > 0){
		
		// trae los cargos de la habitacion no abonados
		$consulta="
		select hot_rubro_hotel.rubrohot, count(idcargoshabitacion) as cantidad, sum(monto) as total
		from hot_cargos_habitacion
		inner join hot_rubro_hotel on hot_rubro_hotel.idrubrohot = hot_cargos_habitacion.idrubrohot
		where
		hot_cargos_habitacion.estado <> 6
		and abonado = 'N'
		and idempresa = $idempresa
		and idsucursal = $idsucursal
		and idhabitacion = $idhabitacion
		and hot_cargos_habitacion.idunico_ocupacion = $idunico_ocupacion
		GROUP BY hot_rubro_hotel.rubrohot
		ORDER BY hot_rubro_hotel.rubrohot ASC
		";
		$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
}




?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<link rel="stylesheet" type="text/css" href="css/magnific-popup.css" />
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	<div class="clear"></div>
		<div class="cuerpo">
			<div class="colcompleto" id="contenedor">
      <br /><br />
   <div align="center">
    		<table width="70" border="0">
          <tbody>
            <tr>
              <td width="62"><a href="index.php"><img src="img/homeblue.png" width="64" height="64" title="Regresar"/></a></td>
            </tr>
          </tbody>
        </table>
    </div>
      <div class="divstd">
    		<span class="resaltaditomenor">
    			Check Out<br />
    		</span>
 		</div>
<br /><hr /><br />
<form id="form1" name="form1" method="get" action="">

<p align="center">Habitacion: <?php 
		// consulta
		$consulta="select *,  CONCAT(describehab,' ',numero) as nombrehab
		from ht_habitaciones 
		inner join ht_tipohab on ht_tipohab.idtipohab = ht_habitaciones.tipohab
		where 
		ht_habitaciones.idempresa = $idempresa
		order by ht_habitaciones.piso asc, ht_habitaciones.numero asc
";
		
		// valor seleccionado
		if(isset($_GET['idhab'])){ 
			$value_selected=htmlentities($_GET['idhab']); 
		}else{ 
			$value_selected=htmlentities($rs->fields['idhab']);
		}
		
		// parametros
		$parametros_array=array(
		'nombre_campo' => 'idhab',
		'id_campo' => 'idhab',
		
		'nombre_campo_bd' => 'nombrehab',
		'id_campo_bd' => 'idhab',
		
		'value_selected' => $value_selected,
		
		'pricampo_name' => 'Seleccionar...',
		'pricampo_value' => ''
		);
		
		// construye campo
		echo campo_select($consulta,$parametros_array);
		
		?>
<input type="submit" value="buscar" /></p>
</form>
<br /><hr /><br />
<?php if($idhabitacion > 0){?>
<br />
<table width="900" border="1">
  <thead>
    <tr>
      <td align="center" bgcolor="#F8FFCC"><strong>Rubro</strong></td>
      <td align="center" bgcolor="#F8FFCC"><strong>Cantidad</strong></td>
      <td align="center" bgcolor="#F8FFCC"><strong>Monto Total</strong></td>
    </tr>
  </thead>
  <tbody>
<?php 
$cantacum=0;
$totacum=0;
while(!$rs->EOF){ ?>
    <tr>
      <td align="left"><?php echo $rs->fields['rubrohot'];?></td>
      <td align="center"><?php echo formatomoneda($rs->fields['cantidad']);?></td>
      <td align="right"><?php echo formatomoneda($rs->fields['total']);?></td>
    </tr>
<?php 
$cantacum+=$rs->fields['cantidad'];
$totacum+=$rs->fields['total'];
$rs->MoveNext(); }


?>
    <tr>
      <td align="left" bgcolor="#EEEEEE"><strong>Total</strong></td>
      <td align="center" bgcolor="#EEEEEE"><?php echo formatomoneda($cantacum); ?></td>
      <td align="right" bgcolor="#EEEEEE"><?php echo formatomoneda($totacum); ?></td>
    </tr>
  </tbody>
</table>
<p><br />
  <?php
$consulta="
SELECT * 
FROM hot_rubro_hotel_grupo
where 
estado = 1
order by rubrohotgrupo asc
";
$rsgru=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>
</p>
<p>&nbsp;</p>
<?php while(!$rsgru->EOF){

$idrubrohotgrupo=$rsgru->fields['idrubrohotgrupo'];

		// trae los cargos de la habitacion no abonados
		$consulta="
		select hot_rubro_hotel.rubrohot, hot_cargos_habitacion.fecha, hot_cargos_habitacion.monto, hot_cargos_habitacion.registrado_por, hot_cargos_habitacion.observacion
		from hot_cargos_habitacion
		inner join hot_rubro_hotel on hot_rubro_hotel.idrubrohot = hot_cargos_habitacion.idrubrohot
		where
		hot_cargos_habitacion.estado <> 6
		and abonado = 'N'
		and idempresa = $idempresa
		and idsucursal = $idsucursal
		and idhabitacion = $idhabitacion
		and hot_cargos_habitacion.idunico_ocupacion = $idunico_ocupacion
		and hot_rubro_hotel.idrubrohotgrupo = $idrubrohotgrupo
		ORDER BY hot_cargos_habitacion.fecha ASC
		";
		$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
?>
<table width="900" border="1">
  <tbody>
    <tr>
      <td colspan="7" align="left" bgcolor="#CCC"><strong>GRUPO:</strong> <?php echo $rsgru->fields['rubrohotgrupo']; ?></td>
      </tr>
    <tr>
      <td align="center" bgcolor="#F8FFCC"><strong>Fecha</strong></td>
      <td align="center" bgcolor="#F8FFCC"><strong>Rubro</strong></td>
      <td align="center" bgcolor="#F8FFCC"><strong>Monto</strong></td>
      <td align="center" bgcolor="#F8FFCC"><strong>Usuario</strong></td>
      <td align="center" bgcolor="#F8FFCC"><strong>Observacion</strong></td>
      <td align="center" bgcolor="#F8FFCC"><strong>Hora</strong></td>
      <td align="center" bgcolor="#F8FFCC"><strong>Habitacion</strong></td>
    </tr>
<?php 
$montoacum=0;
while(!$rsdet->EOF){?>
    <tr>
      <td align="center"><?php echo date("d/m/Y",strtotime($rsdet->fields['fecha'])); ?></td>
      <td align="left"><?php echo $rsdet->fields['rubrohot']; ?></td>
      <td align="right"><?php echo formatomoneda($rsdet->fields['monto']); ?></td>
      <td align="center"><?php echo $rsdet->fields['registrado_por']; ?></td>
      <td align="center"><?php echo $rsdet->fields['observacion']; ?></td>
      <td align="center"><?php echo date("H:i",strtotime($rsdet->fields['fecha'])); ?></td>
      <td align="center"><?php echo $rsdet->fields['idhabitacion']; ?></td>
    </tr>
<?php 
$montoacum+=$rsdet->fields['monto'];
$rsdet->MoveNext(); }  ?>
    <tr>
      <td colspan="2" align="left" bgcolor="#EEEEEE"><strong>Total</strong></td>
      <td align="right" bgcolor="#EEEEEE"><strong><?php echo formatomoneda($montoacum); ?></strong></td>
      <td colspan="4" align="center" bgcolor="#EEEEEE">&nbsp;</td>
      </tr>
  </tbody>
</table>
<br />
<?php $rsgru->MoveNext(); } ?>
<table width="900" border="1">
  <tbody>
    <tr>
      <td colspan="5" bgcolor="#CCCCCC"><strong>Depositos / Anticipos</strong></td>
      </tr>
    <tr>
      <td align="center" bgcolor="#F8FFCC"><strong>Fecha</strong></td>
      <td align="center" bgcolor="#F8FFCC"><strong>Forma de Pago</strong></td>
      <td align="center" bgcolor="#F8FFCC"><strong>Comprobante</strong></td>
      <td align="center" bgcolor="#F8FFCC"><strong>Usuario</strong></td>
      <td align="center" bgcolor="#F8FFCC"><strong>Monto</strong></td>
      </tr>
    <tr>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      </tr>
    <tr>
      <td colspan="4" bgcolor="#EEEEEE"><strong>Total</strong></td>
      <td bgcolor="#EEEEEE">&nbsp;</td>
    </tr>
  </tbody>
</table>
<br />

<?php } ?>
<br />
<br /><br /><br />


		  </div> <!-- contenedor -->
   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
	<?php require("includes/pie.php"); ?>
</body>
</html>