<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";

require_once("includes/rsusuario.php"); 

require_once("includes/funciones_cocina.php");

$idimpresoratk=intval($_GET['imp']);
if($idimpresoratk == 0){
	header("location: impresora_selecciona_cocinado.php");
	exit;
}
// buscar impresora si pertenece
$consulta="SELECT * FROM impresoratk where idempresa = $idempresa and idimpresoratk = $idimpresoratk and idsucursal = $idsucursal and borrado = 'N'";
$rsimp = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$pie_pagina=$rsimp->fields['pie_pagina'];
$defaultprnt="http://localhost/impresorweb/ladocliente.php";
$nombre_impresora=$rsimp->fields['descripcion'];
$script_impresora=trim($rsimp->fields['script']);
if(trim($script_impresora) == ''){
	$script_impresora=$defaultprnt;	
}

if(intval($rsimp->fields['idimpresoratk']) == 0){
	header("location: impresora_selecciona.php");
	exit;
}
// tipo de impresor
$impresor_tip="PANT";
$redir_impr="impresor_ticket_cocinado.php";




$texto_ped="";
$texto_prod="";
$onload="imprime_cliente();";

$fecha_hace_24_horas = date("Y-m-d H:i:s", strtotime("-24 hours"));

// para optimizar primero busca si hay alguno no cocinado
$consulta="
SELECT idestadococinacablog
FROM estados_cocina_cab_log
WHERE 
	impreso_cocinado = 'N'
	and estado = 1
	AND registrado_el >= '$fecha_hace_24_horas'
LIMIT 1
";
$rscab=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idestadococinacablog=intval($rscab->fields['idestadococinacablog']);
// si no encuentra nada pendiente
if($idestadococinacablog == 0){
	echo "<title>PANT IMP $nombre_impresora</title>No queda nada pendiente por imprimir de los marcados como cocinados en la pantalla.";
	echo '<meta http-equiv="refresh" content="4;URL=\''.$redir_impr.'?imp='.$idimpresoratk.'\'" />';
	exit;	
}

// si encuentra trae los datos
if($idestadococinacablog > 0){
	
	// datos del detalle del pedido para ver si cumple todos los filtros
	$consulta="
	WITH estados_cocina_log_filt AS (
		SELECT idventatmp
		FROM estados_cocina_log
		WHERE 
			idestadococinacablog = $idestadococinacablog
	),
	tmp_ventares_filt AS (
		SELECT idtmpventares_cab, idproducto, idtipoproducto, sum(cantidad) as cantidad
		FROM tmp_ventares
		WHERE 
			borrado = 'N'
			and finalizado = 'S'
			and idtmpventaresagregado is null
			and tmp_ventares.idsucursal = $idsucursal
			AND idventatmp IN (SELECT idventatmp FROM estados_cocina_log_filt)
			group by idtmpventares_cab, idproducto, idtipoproducto
	),
	productos_filt AS (
		SELECT *
		FROM productos
		WHERE 
			idprod_serial IN (SELECT idproducto FROM tmp_ventares_filt)
	),
	tmp_ventares_cab_filt AS (
		SELECT idtmpventares_cab, idcanal
		FROM tmp_ventares_cab
		WHERE 
			estado <> 6
			and finalizado = 'S'
			AND idtmpventares_cab IN (SELECT idtmpventares_cab FROM tmp_ventares_filt)
	)
	SELECT 
		tmp_ventares_cab_filt.idtmpventares_cab, 
		tmp_ventares_cab_filt.idcanal,
		tmp_ventares_filt.idtmpventares_cab, 
		tmp_ventares_filt.idproducto, 
		tmp_ventares_filt.idtipoproducto, 
		tmp_ventares_filt.cantidad
	FROM tmp_ventares_filt
	inner join tmp_ventares_cab_filt on tmp_ventares_cab_filt.idtmpventares_cab = tmp_ventares_filt.idtmpventares_cab
	limit 1
	";
	$rsdetped=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// si no hay ningun dato con los filtros del detalle
	if(intval($rsdetped->fields['idtmpventares_cab']) == 0){
	
		// anula la cabecera por ejemplo si el pedido ya se migro al tmp_ventares_bak no va a figurar
		$consulta="
		update estados_cocina_cab_log
		set 
		estado = 6,
		anulado_el = '$ahora'
		WHERE
		idestadococinacablog = $idestadococinacablog
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		echo "<script> document.location.href='impresor_ticket_cocinado.php?imp=$imp'; </script>";
		exit;
	
	}
	
	// datos entrada
	$parametros_array['idimpresoratk'] = $idimpresoratk;
	$parametros_array['idpedido'] = $rsdetped->fields['idtmpventares_cab'];
	$parametros_array['idestadococinacablog'] = $idestadococinacablog;
	$parametros_array['impresor_tip'] = 'PANT';

	$res=comanda_cocina_consolidado($parametros_array);
	//print_r($res);
	if($res['valido'] == 'S'){
		$texto=$res['ticket'];
	}else{
		echo $res['errores'];exit;
	}


}

?><!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Imprimir</title>
<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript">
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
function imprime_cliente(){
		//alert('a');
		var texto = document.getElementById("texto").value;
		//alert(texto);
        var parametros = {
                "tk"             : texto,
                "duplic_control" : 'S',
                "idpedido"       : '<?php echo $idestadococinacablog; ?>',
                "fecha_imp"      : '<?php echo date("Y-m-d H:i:s"); ?>'
        };
       $.ajax({
                data:  parametros,
                url:   '<?php echo $script_impresora; ?>',
                type:  'post',
				dataType: 'html',
                beforeSend: function () {
                        $("#impresion_box").html("Enviando Impresion...");
                },
				crossDomain: true,
                success:  function (response) {
					//alert(response);
					// impresor local nuevo
					if(IsJsonString(response)){
						var obj = jQuery.parseJSON(response);
						// si se imprimio
						if(obj.impreso == 'S'){
							marca_impreso('<?php echo $idestadococinacablog; ?>');
						}else{
							/* 
							Si es una impresion duplicada 
							(ya se imprimio pero por algun motivo no se marco) 
							normalmente si hay refresh externo y 
							se refresco antes que javascript logre enviar la orden 
							de marcar como impreso
							*/
							if(obj.duplicado == 'S'){
								$("#impresion_box").html(obj.errores);
								marca_impreso('<?php echo $idestadococinacablog; ?>');
							}else{
								$("#impresion_box").html(obj.errores);
							}
							
						}
					// impresor local viejo
					}else{
						//si impresion es correcta marcar
						var str = response;
						var res = str.substr(0, 18);
				   
						if(res == 'Impresion Correcta'){
							marca_impreso('<?php echo $idestadococinacablog; ?>');
						}else{
							$("#impresion_box").html(response);
						}
					}
																																												
	  
                }
        });
	
}
function marca_impreso(idestadococinacablog){
 		var parametros = {
                "idestadococinacablog"  : idestadococinacablog
        };
      $.ajax({
                data:  parametros,
                url:   'impresion_marca_cocina_pant.php',
                type:  'post',
                beforeSend: function () {
                        $("#impresion_box").html("Marcando com Impreso...");
                },
                success:  function (response) {
						//$("#impresion_box").html(response);
						document.location.href='impresor_ticket_cocinado.php?imp=<?php echo $idimpresoratk; ?>';
						// $("#impresion_box").html(response);
                }
        });
}
</script>
</head>
<!--onLoad="imprime_cliente()"-->
<body bgcolor="#CCCCCC" onLoad="imprime_cliente()">
<div style="width:290px; border:1px solid; margin:0px auto; background-color:#FFFFFF; padding:5px; text-align:center; min-height:50px;" id="impresion_box">
<p align="center"><input type="button" value="imprimir" style="padding:10px;" onClick="imprime_cliente();"></p>
</div><br />
<div style="width:290px; border:1px solid; margin:0px auto; background-color:#FFFFFF; padding:5px;">
<textarea readonly id="texto" style="display:; width:310px; height:500px;"><?php echo $texto; ?></textarea>
<pre>
<?php //echo $texto; ?>
</pre>
</div>
</body>
</html>


