<?php 
function validar_pedido_web($parametros_array){
	global $conexion;
	global $ahora;
	
	$valido="S";
	$errores='';

	$idusu=$parametros_array['idusu'];
	$idsucursal=$parametros_array['idsucursal'];
	$idwebpedido=$parametros_array['idwebpedido'];
	$idempresa=1;
	$idatc=$parametros_array['idatc']; // opcional solo si es mesa
	
	$consulta="
	select * 
	from web_pedidos
	where
	idwebpedido = $idwebpedido
	and idempresa = $idempresa
	and estado = 1
	order by fechahora desc
	limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idwebpedido=$rs->fields['idwebpedido'];
	$id=intval($idwebpedido);
	


	// si ingreso el campo ruc
	if(trim($ruc) != ''){

		// si no mando razon social pero mando ruc
		if(trim($razon_social) == ''){
			$razon_social=substr(trim($nombres.' '.$apellidos),0,150);
			$razon_social_ins=antisqlinyeccion($razon_social,"text");
		}


		// busca por ruc si existe en cliente
		$consulta="
		select * from cliente where ruc = $ruc_ins and estado <> 6  order by idcliente asc limit 1
		";
		$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idcliente=intval($rscli->fields['idcliente']);



		// sino existe valida para insertar
		if($idcliente == 0){

			$parametros_array=array(
				'idclientetipo' => 1,
				'ruc' => trim($ruc),
				'razon_social' => trim($razon_social),
				'documento' => '',
				'fantasia' => '',
				'nombre' => $nombres,
				'apellido' => $apellidos,


				'idvendedor' => '',
				'sexo' => '',

				'nombre_corto' => '',
				'idtipdoc' => 1,

				'telefono' => '',
				'celular' => '',
				'email' => '',
				'direccion' => '',
				'comentario' => '',
				'fechanac' => '',

				'ruc_especial' => 'N',
				'idsucursal' => $idsucursal,
				'idusu' => $idusu,

			);

			//print_r($parametros_array);exit;
			$res=validar_cliente($parametros_array);													 
			if($res['valido'] != 'S'){
				$valido=$res['valido'];
				$errores.=$res['errores'];	

				// genera array con los datos
				/*$arr = array(
					'valido' => $valido,
					'errores' => $errores
				);
				// convierte a formato json
				$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
				// devuelve la respuesta formateada
				echo $respuesta;
				exit;*/
			}else{
				$res=registrar_cliente($parametros_array);
				$idcliente=$res['idcliente'];
				$consulta="
				select * from cliente where idcliente = $idcliente
				";
				$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
				$idcliente=intval($rscli->fields['idcliente']);
			}

		} // if($idcliente == 0){



	}else{ // if(trim($rs->fields['ruc']) != ''){
		// si no envio ruc ni razon social
		$consulta="
		select * from cliente where borrable = 'N' order by idcliente asc limit 1
		";
		$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
		$idcliente=intval($rscli->fields['idcliente']);	
		$razon_social=$rscli->fields['razon_social'];
		$ruc=$rscli->fields['ruc'];
		$ruc_ins=antisqlinyeccion($ruc,"text");
		$razon_social_ins=antisqlinyeccion($razon_social,"text");
	} // if(trim($rs->fields['ruc']) != ''){
	
	$res=array(
		'valido' => $valido,
		'errores' => $errores
	);
	
	return $res;
	
	
}

function aceptar_pedido_web($parametros_array){
	
	
	global $conexion;
	global $ahora;

	$idusu=$parametros_array['idusu'];
	$idsucursal=$parametros_array['idsucursal'];
	$idwebpedido=$parametros_array['idwebpedido'];
	$idatc=intval($parametros_array['idatc']); // opcional solo si es mesa
	// opcionales, reemplaza a la bd si se envia
	$ruc_p=$parametros_array['ruc'];
	$razon_social_p=$parametros_array['razon_social'];
	$observacion_p=$parametros_array['observacion'];
	$idproddel_p=$parametros_array['idproddel'];
	$idapp=antisqlinyeccion($parametros_array['idapp'],"int");
	$elimina_auto=trim($parametros_array['elimina_auto']);  // se usa para mesa smart para que no salga en la lista de web pedidos
	
	$consulta="SELECT usa_tarjetadelivery 
	FROM preferencias_caja limit 1 ";
	$rsprefcaj=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$usa_tarjeta_delivery=trim($rsprefcaj->fields['usa_tarjetadelivery']);

	
	$idempresa=1;
	
	$consulta="
	select * 
	from web_pedidos
	where
	idwebpedido = $idwebpedido
	and idempresa = $idempresa
	and estado = 1
	order by fechahora desc
	limit 1
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idwebpedido=$rs->fields['idwebpedido'];
	$id=intval($idwebpedido);

	// datos cabecera
	$direccion=substr(trim($rs->fields['direccion']),0,80);
	$direccion_ins=antisqlinyeccion($direccion,"text");
	$telefono=substr(solonumeros($rs->fields['telefono']),0,18);
	$ruc=substr(trim($rs->fields['ruc']),0,10);
	$ruc_ins=antisqlinyeccion($ruc,"text");
	$razon_social=substr(trim($rs->fields['razon_social']),0,150);
	$razon_social_ins=antisqlinyeccion($razon_social,"text");
	$nomape=trim($rs->fields['nomape']);
	$nomape_ar=explode(" ",$nomape);
	$nombres=substr(trim($nomape_ar[0]),0,150);
	$apellidos=substr(trim($nomape_ar[1].' '.$nomape_ar[2].' '.$nomape_ar[3].' '.$nomape_ar[4].' '.$nomape_ar[5].' '.$nomape_ar[6]),0,150);
	if(trim($apellidos) == ''){
		$apellidos='.';
	}
	$nomape=substr(trim($nombres.' '.$apellidos),0,50);
	$nomape_ins=antisqlinyeccion($nomape,"text");
	$nombres_ins=antisqlinyeccion($nombres,"text");
	$apellidos_ins=antisqlinyeccion($apellidos,"text");
	$observacion=substr(trim($rs->fields['comentarios']),0,250);
	$observacion_ins=antisqlinyeccion($observacion,"text");
	$formapagoweb=trim($rs->fields['formapago']);
	$idcanalweb=intval($rs->fields['idcanalweb']);
	// si mando para corregir ruc 
	if(trim($ruc_p) != ''){
		$ruc=substr(trim(trim($ruc_p)),0,10);
		$ruc_ins=antisqlinyeccion($ruc,"text");

	}
	// si mando para corregir razon social 
	if(trim($razon_social_p) != ''){
		$razon_social=substr(trim($razon_social_p),0,150);
		$razon_social_ins=antisqlinyeccion($razon_social,"text");
	}
	// si mando para corregir observacion 
	if(trim($observacion_p) != ''){
		$observacion=substr(trim($observacion_p),0,250);
		$observacion_ins=antisqlinyeccion($observacion,"text");
	}

	$consulta="
	select * 
	from web_pedidos_det
	inner join productos on productos.idprod_serial = web_pedidos_det.idproducto
	where
	web_pedidos_det.idwebpedido = $idwebpedido
	and web_pedidos_det.idempresa = $idempresa
	and productos.idempresa = $idempresa
	and combinado = 'N'
	order by web_pedidos_det.fechahora desc
	limit 1000
	";
	$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	/*if(intval($idsucu_p) > 0){
		$idsucursal=intval($idsucu_p);
	}
	*/

	// si ingreso el campo ruc
	if(trim($ruc) != ''){

		// si no mando razon social pero mando ruc
		if(trim($razon_social) == ''){
			$razon_social=substr(trim($nombres.' '.$apellidos),0,150);
			$razon_social_ins=antisqlinyeccion($razon_social,"text");
		}


		// busca por ruc si existe en cliente
		$consulta="
		select * from cliente where ruc = $ruc_ins and estado <> 6  order by idcliente asc limit 1
		";
		$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idcliente=intval($rscli->fields['idcliente']);



		// sino existe valida para insertar
		if($idcliente == 0){

			$parametros_array=array(
				'idclientetipo' => 1,
				'ruc' => trim($ruc),
				'razon_social' => trim($razon_social),
				'documento' => '',
				'fantasia' => '',
				'nombre' => $nombres,
				'apellido' => $apellidos,


				'idvendedor' => '',
				'sexo' => '',

				'nombre_corto' => '',
				'idtipdoc' => 1,

				'telefono' => '',
				'celular' => '',
				'email' => '',
				'direccion' => '',
				'comentario' => '',
				'fechanac' => '',

				'ruc_especial' => 'N',
				'idsucursal' => $idsucursal,
				'idusu' => $idusu,

			);

			//print_r($parametros_array);exit;
			$res=validar_cliente($parametros_array);													 
			if($res['valido'] != 'S'){
				$valido=$res['valido'];
				$errores.=$res['errores'];	

				// genera array con los datos
				$arr = array(
					'valido' => $valido,
					'errores' => $errores
				);
				// convierte a formato json
				$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
				// devuelve la respuesta formateada
				echo $respuesta;
				exit;
			}else{
				$res=registrar_cliente($parametros_array);
				$idcliente=$res['idcliente'];
				$consulta="
				select * from cliente where idcliente = $idcliente
				";
				$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
				$idcliente=intval($rscli->fields['idcliente']);
			}

		} // if($idcliente == 0){



	}else{ // if(trim($rs->fields['ruc']) != ''){
		// si no envio ruc ni razon social
		$consulta="
		select * from cliente where borrable = 'N' order by idcliente asc limit 1
		";
		$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
		$idcliente=intval($rscli->fields['idcliente']);	
		$razon_social=$rscli->fields['razon_social'];
		$ruc=$rscli->fields['ruc'];
		$ruc_ins=antisqlinyeccion($ruc,"text");
		$razon_social_ins=antisqlinyeccion($razon_social,"text");
	} // if(trim($rs->fields['ruc']) != ''){



	$idcanal=1;
	if($idcanalweb > 0){
		$idcanal=$idcanalweb;
	}
	$es_delivery=$rs->fields['delivery'];
	// si es un delivery
	if($rs->fields['delivery'] == 'S'){
		$idcanal=3;


		// busca en cliente delivery por telefono
		$consulta="
		select * 
		from cliente_delivery 
		where 
		telefono = $telefono
		and estado = 1
		and web = 'S' 
		order by idclientedel desc 
		limit 1
		";
		$rsdel=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idclientedel=intval($rsdel->fields['idclientedel']);

		// si no existe crea
		if($idclientedel == 0){

			$nombres_ins=antisqlinyeccion($nombres,"text");
			$apellidos_ins=antisqlinyeccion($apellidos,"text");
			// cliente delivery
			$consulta="
			insert into cliente_delivery
			(idcliente, nombres, apellidos, telefono, fec_ultactualizacion, creado_por, creado_el, idempresa, web)
			values
			($idcliente, $nombres_ins, $apellidos_ins,  $telefono, '$ahora', $idusu, '$ahora', 1, 'S')
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			// busca el cliente insertado
			$consulta="
			select * 
			from cliente_delivery
			where
			creado_por = $idusu
			and web = 'S'
			order by idclientedel desc
			limit 1
			";
			$rsdelcli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idclientedel=intval($rsdelcli->fields['idclientedel']);

			// busca si hay domicilio web
			$consulta="
			select * 
			from cliente_delivery_dom
			where 
			idclientedel = $idclientedel
			and web = 'S'
			limit 1
			";
			$rsdeldom=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$iddomicilio=intval($rsdeldom->fields['iddomicilio']);

			// crea el domicilio
			if($iddomicilio == 0){

				// crea el domicilio
				$consulta="
				insert into cliente_delivery_dom
				(direccion, referencia, nombre_domicilio, idclientedel, creado_el, creado_por, ultactu_el, ultactu_por, idempresa,idzonadel,
				latitud, longitud, web)
				values
				($direccion_ins, '', 'WEB', $idclientedel, '$ahora', $idusu, '$ahora', $idusu, 1,0,
				NULL,NULL, 'S')
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

				$consulta="
				select iddomicilio from cliente_delivery_dom where creado_por = $idusu order by iddomicilio desc limit 1;
				";
				$rsdom=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$iddomicilio=$rsdom->fields['iddomicilio'];

			}else{
				// si hay actualiza
				$consulta="
				update cliente_delivery_dom
				set
				direccion = $direccion_ins,
				ultactu_el = '$ahora',
				ultactu_por = $idusu
				where
				iddomicilio = $iddomicilio
				and idclientedel = $idclientedel
				and web = 'S'
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


			} //if($iddomicilio == 0){

		}else{

			// si existe actualiza
			$consulta="
			update cliente_delivery
			set 
			nombres = $nombres_ins,
			apellidos = $apellidos_ins,
			fec_ultactualizacion='$ahora'
			where
			idclientedel = $idclientedel
			and web = 'S' 
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

			// busca si hay domicilio web
			$consulta="
			select * 
			from cliente_delivery_dom
			where 
			idclientedel = $idclientedel
			and web = 'S'
			limit 1
			";
			$rsdeldom=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$iddomicilio=intval($rsdeldom->fields['iddomicilio']);

			// si no existe
			if($iddomicilio == 0){
				// crea el domicilio
				$consulta="
				insert into cliente_delivery_dom
				(direccion, referencia, nombre_domicilio, idclientedel, creado_el, creado_por, ultactu_el, ultactu_por, idempresa,idzonadel,
				latitud, longitud, web)
				values
				($direccion_ins, '', 'WEB', $idclientedel, '$ahora', $idusu, '$ahora', $idusu, 1,0,
				NULL,NULL, 'S')
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

				$consulta="
				select iddomicilio from cliente_delivery_dom where creado_por = $idusu order by iddomicilio desc limit 1;
				";
				$rsdom=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$iddomicilio=$rsdom->fields['iddomicilio'];

			}else{
				// actualiza el domicilio
				$consulta="
				update cliente_delivery_dom
				set
				direccion = $direccion_ins,
				ultactu_el = '$ahora',
				ultactu_por = $idusu
				where
				iddomicilio = $iddomicilio
				and idclientedel = $idclientedel
				and web = 'S'
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			}




		} // if($idclientedel == 0){


	}else{ // if($rs->fields['delivery'] == 'S'){
		$idclientedel="NULL";
		$iddomicilio="NULL";
		$chapa="";
	}
	// si es mesa
	$idmesa="0";
	if(intval($idatc) > 0){
		$idcanal=4;
		$consulta="
		select idmesa from mesas_atc where idatc = $idatc limit 1
		";
		$rsmesa=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idmesa=$rsmesa->fields['idmesa'];
	}

	$consulta="
	select idforma from formas_pago where qr = 'S' limit 1
	";
	$rsfp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idformapagoqr=intval($rsfp->fields['idforma']);

	// por defecto
	$idformapago=1;
	// para saer si lleva pos
	if($formapagoweb == 'EF'){
		$llevapos="'N'";
		$idformapago=1;
	}else if($formapagoweb == 'QR'){
		$llevapos="'S'";
		$idformapago=$idformapagoqr;
	}else if($formapagoweb == 'TC'){
		$llevapos="'S'";
		$idformapago=2;
	}else{
		$llevapos="'S'";
		$idformapago=2;
	}
	// si no es delivery
	if($idcanal != 3){
		$delivery_zona=0;
	}else{
		$delivery_zona=1;
	}

	// crea la cabecera del pedido
	$consulta="
	INSERT INTO tmp_ventares_cab
	(razon_social, ruc, chapa, observacion, monto, idusu, fechahora, idsucursal, idempresa,idcanal,delivery,idmesa,
	telefono,delivery_zona,direccion,llevapos,cambio,observacion_delivery,delivery_costo,iddomicilio,idclientedel,
	nombre_deliv,apellido_deliv,idatc,notificado,idclienteped,idapp) 
	VALUES 
	($razon_social_ins, $ruc_ins, $nomape_ins, $observacion_ins, 0, $idusu, '$ahora', $idsucursal, 1,$idcanal,'$es_delivery',$idmesa,
	$telefono,$delivery_zona,$direccion_ins,$llevapos,0,NULL,0,$iddomicilio,$idclientedel,
	$nombres_ins,$apellidos_ins,$idatc,'N',$idcliente,$idapp)
	";
	//echo $idclientedel;
	//echo $consulta;exit;
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// buscar ultimo id insertado
	$consulta="
	select idtmpventares_cab
	from tmp_ventares_cab
	where
	idusu = $idusu
	and idsucursal = $idsucursal
	order by idtmpventares_cab desc
	limit 1
	";
	$rscab = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idtmpventares_cab=$rscab->fields['idtmpventares_cab'];


	$consulta="
	INSERT INTO tmp_ventares_cab_fpag
	(idtmpventares_cab, idformapago, estado,monto_forma) 
	VALUES 
	($idtmpventares_cab,$idformapago,1,0)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


	// si hay algo en el carrito lo borra
	$consulta="
	select * 
	from tmp_ventares 
	where
	usuario = $idusu
	and finalizado = 'N'
	and registrado = 'N'
	and idsucursal = $idsucursal
	and idempresa = $idempresa
	and borrado = 'N'
	;
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// recorre borra
	while(!$rs->EOF){

		$idventatmp=$rs->fields['idventatmp'];
		$idtmpventaresagregado=intval($rs->fields['idtmpventaresagregado']);

		// borra los detalles que contienen ese producto
		$consulta="
		update tmp_ventares
		set borrado = 'S'
		where
		idventatmp = $idventatmp
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

		// borra los agregados relacionados al idventatmp principal
		$consulta="
		update tmp_ventares
		set 
		borrado = 'S'
		where
		idventatmp_princ_delagregado = $idventatmp
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

		// borra los agregados de la tabla de agregados
		$consulta="
		delete from tmp_ventares_agregado
		where
		idventatmp = $idventatmp
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

		if($idtmpventaresagregado > 0){
			$consulta="
			delete from tmp_ventares_agregado
			where
			idtmpventaresagregado = $idtmpventaresagregado
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}


	$rs->MoveNext(); }



	while(!$rsdet->EOF){
		$excluye="N";
		$idproducto=$rsdet->fields['idprod_serial'];
		$idtipoproducto=$rsdet->fields['idtipoproducto'];
		$cantidad=$rsdet->fields['cantidad'];
		$precio=$rsdet->fields['precio'];
		$receta_cambiada="'N'";
		$combinado=$rsdet->fields['combinado'];
		$subtotal=$precio*$cantidad;
		$idprod_mitad1=$rsdet->fields['idprod_1'];
		$idprod_mitad2=$rsdet->fields['idprod_2'];
		$idwebpedido_det=$rsdet->fields['idwebpedido_det'];
		$observacion=antisqlinyeccion($rsdet->fields['observacion'],"text");


		// SI OMITE PRECIO DE LA WEB Y ACTUALIZA 
		if($omite_precio_web == 'S'){
			if($idtipoproducto == 1){
				$consulta="
				select precio 
				from productos_listaprecios 
				where 
				idlistaprecio = 1 
				and idsucursal = 1
				and estado = 1
				and idproducto = $idproducto
				";
				$rsprecio=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$precio=$rsprecio->fields['precio'];
				$subtotal=$precio*$cantidad;
			}
		}


		if($idprod_mitad1 > 0 && $idprod_mitad2 > 0){
			$combinado="S";	
		}else{
			if($combinado == 'S'){
				$excluye="S";
			}
		}
		// combo
		if($idtipoproducto == 2){
			$combo="S";	
		}else{
			$combo="N";	
		}

		if($excluye == 'N'){
			// convertir en pedido
			$consulta="
			INSERT INTO tmp_ventares
			(idproducto, idtipoproducto, cantidad, precio, fechahora, usuario, finalizado, registrado, idsucursal, idempresa, receta_cambiada, borrado, combo, combinado, idprod_mitad1, idprod_mitad2,subtotal, idtmpventares_cab,
			observacion) 
			VALUES 
			($idproducto, $idtipoproducto,$cantidad,$precio, '$ahora',$idusu, 'S', 'N', $idsucursal, $idempresa, $receta_cambiada, 'N', '$combo', '$combinado', NULL, NULL,$subtotal, $idtmpventares_cab,
			$observacion)
			;
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$consulta="
			select max(idventatmp) as idventatmp from tmp_ventares where usuario = $idusu
			";
			$rstmp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idventatmp=$rstmp->fields['idventatmp'];
			// combo
			if($idtipoproducto == 2){
				$consulta="
				select * 
				from tmp_combos_listas_ecom_ped
				where
				idwebpedido = $idwebpedido
				and idwebpedido_det = $idwebpedido_det
				";
				$rscombo=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				while(!$rscombo->EOF){
					$idlistacombo=$rscombo->fields['idlistacombo'];
					$idproducto=$rscombo->fields['idproducto'];
					$consulta="
					INSERT INTO tmp_combos_listas
					(idlistacombo, idventatmp, idproducto, idempresa, idsucursal, idusuario, registrado_el) 
					VALUES 
					($idlistacombo,$idventatmp, $idproducto, 1, 1, $idusu, '$ahora')
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$rscombo->MoveNext(); }



			}
			// combinado
			if($idtipoproducto == 4){
				$consulta="
				select * 
				from tmp_combinado_listas_ecom_ped
				where
				idwebpedido = $idwebpedido
				and idwebpedido_det = $idwebpedido_det
				";
				$rscombo=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				while(!$rscombo->EOF){
					$idproducto_partes=$rscombo->fields['idproducto_partes'];
					$idproducto_principal=$rscombo->fields['idproducto_principal'];
					$consulta="
					INSERT INTO tmp_combinado_listas
					(idventatmp, idproducto_partes, idproducto_principal, idempresa, idsucursal, idusuario, registrado_el) 
					VALUES 
					($idventatmp, $idproducto_partes, $idproducto_principal, 1, 1, $idusu, '$ahora')
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$rscombo->MoveNext(); }



			}


		}


	$rsdet->MoveNext(); }


	if(intval($idproddel_p) > 0){

		$idproducto=intval($idproddel_p);
		$consulta="
		select precio 
		from productos_listaprecios 
		where 
		idlistaprecio = 1 
		and idsucursal = $idsucursal
		and estado = 1
		and idproducto = $idproducto
		";
		$rsprecio=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$precio=floatval($rsprecio->fields['precio']);
		$cantidad=1;
		$subtotal=floatval($precio*$cantidad);

		//agrega el producto delivery si corresponde 
		$consulta="
		INSERT INTO tmp_ventares
		(idproducto, idtipoproducto, cantidad, precio, fechahora, usuario, finalizado, registrado, idsucursal, idempresa, receta_cambiada, borrado, combo, combinado, idprod_mitad1, idprod_mitad2,subtotal, idtmpventares_cab) 
		VALUES 
		($idproducto, 6,$cantidad,$precio, '$ahora',$idusu, 'S', 'N', $idsucursal, $idempresa, 'N', 'N', 'N', 'N', NULL, NULL,$subtotal, $idtmpventares_cab)
		;
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	}
	
	// TARJETA DELIVERY
	if($idcanal == 3){
		if($usa_tarjetadelivery == 'S'){
			// busca la primera tarjeta libre
			$consulta="
			select numero_tarjeta,idtarjetadelivery,tarjeta_delivery.idestadotarjetadel
			from tarjeta_delivery
			inner join tarjeta_delivery_estados on tarjeta_delivery_estados.idestadotarjetadel=tarjeta_delivery.idestadotarjetadel
			where tarjeta_delivery.idestadotarjetadel=1
			and idsucursal_tarj = $idsucursal 
			order by numero_tarjeta ASC 
			limit 1
			";
			$rstar=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idtarjetadelivery=intval($rstar->fields['idtarjetadelivery']);
			// cambia estado a ocupado
			$update="update tarjeta_delivery set idestadotarjetadel=2, idpedido_ult=$idtmpventares_cab where idtarjetadelivery=$idtarjetadelivery";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
			// inserta en movimientos
			$insertar="Insert into tarjeta_delivery_movimientos 
			(idtarjetadelivery,idpedido,reservado_el,reservado_por,estado)
			values
			($idtarjetadelivery,$idtmpventares_cab,'$ahora',$idusu,1)";
			$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
			
			$consulta="
			update tmp_ventares_cab
			set 
				idtarjetadelivery = $idtarjetadelivery
			where
				idtmpventares_cab = $idtmpventares_cab
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
	}

	// marcar como finalizado en DETALLE
	$consulta="
	update tmp_ventares
	set 
	finalizado = 'S',
	idmesa=$idmesa
	where
	idtmpventares_cab = $idtmpventares_cab
	and borrado = 'N'
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	// marcar como finalizado en cabecera
	$consulta="
	update tmp_ventares_cab
	set 
	finalizado = 'S',
	monto = (select sum(subtotal) from tmp_ventares where idtmpventares_cab = $idtmpventares_cab and borrado = 'N'),
	idwebpedido = $idwebpedido
	where
	idtmpventares_cab = $idtmpventares_cab
	and idsucursal = $idsucursal
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	//$_SESSION['idwebpedido'] = $idwebpedido;

	$consulta="
	select idclienteped from tmp_ventares_cab where idtmpventares_cab = $idtmpventares_cab limit 1
	";
	$rsfin=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idcliente=$rsfin->fields['idclienteped'];

	$consulta="
	update web_pedidos
	set 
	aceptado = 'S',
	aceptado_por = $idusu,
	aceptado_el = '$ahora',
	finalizado = 'S'
	where
	idwebpedido = $idwebpedido
	and estado = 1
	and aceptado = 'N'
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
	if($elimina_auto == 'S'){
		$consulta="
		update web_pedidos
		set 
		estado = 6
		where
		idwebpedido = $idwebpedido
		and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	}
	

	
	$array_res=array(
		'idtmpventares_cab' => $idtmpventares_cab,
		'idcliente' => $idcliente
	);
	
	
	return $array_res;
	
}


function calcula_lista_combo($parametros_array){
	global $conexion;
	
	$idlistacombo=intval($parametros_array['idlistacombo']);
	$idsucursal=intval($parametros_array['idsucursal']);
	$idusu=intval($parametros_array['idusu']);
	$idmesa=intval($parametros_array['idmesa']);
	if($idmesa > 0){
		$whereadd.='';
	}
	
	
	$consulta="
	select 
		combos_listas.permite_cantidad_menor, 
		combos_listas.cantidad as cantidad_orig,
		combos_listas.cantidad as cantidad,
		CASE WHEN  
			combos_listas.permite_cantidad_menor = 'S'
		THEN
			1
		ELSE
			combos_listas.cantidad
		END as cantidad_obliga,
		(
			select count(*) 
			from combos_listas_det 
			inner join productos on productos.idprod_serial = combos_listas_det.idproducto
			where 
			combos_listas_det.idlistacombo = $idlistacombo 
			and productos.borrado = 'N'
			and combos_listas_det.estado = 1
		) as total_productos,
		(
			select sum(cant_real) as total
			from tmp_combos_listas
			where
			tmp_combos_listas.idsucursal = $idsucursal
			and tmp_combos_listas.idusuario = $idusu
			and tmp_combos_listas.idlistacombo = $idlistacombo 
			and tmp_combos_listas.idventatmp is null
		) as total_prod_agregados
	from combos_listas 
	inner join productos on productos.idprod_serial = combos_listas.idproducto
	where 
	combos_listas.idlistacombo = $idlistacombo 
	and combos_listas.estado = 1
	and productos.borrado = 'N'
	limit 1
	";
	$rscombo=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// genera array con los datos
	$res = array(
		'incluye' => floatval($rscombo->fields['cantidad']), // cantidad original
		'cantidad_obliga' => floatval($rscombo->fields['cantidad_obliga']), // cantidad obligatoria
		'cantidad_max' => floatval($rscombo->fields['cantidad_orig']), // cantidad maxima
		'agregado' => floatval($rscombo->fields['total_prod_agregados']),
		'faltan' => floatval($rscombo->fields['cantidad'])-floatval($rscombo->fields['total_prod_agregados']),
		'total_opciones' => floatval($rscombo->fields['total_productos']),
		'permite_cantidad_menor' => trim($rscombo->fields['permite_cantidad_menor']),
	);
	
	return $res;
}

function valida_agregar_prod_lista_combo($parametros_array){
	global $conexion;
	global $saltolinea; 
	
	$valido='S';
	$errores='';
	$accion='';
	
	//print_r($parametros_array);exit;
	
	$idlistacombo=intval($parametros_array['idlistacombo']);
	$idproducto=intval($parametros_array['idproducto']);  // producto a agregar a la lista
	$cantidad_agregar=floatval($parametros_array['cantidad_agregar']);
	$idsucursal=intval($parametros_array['idsucursal']);
	$idusu=intval($parametros_array['idusu']);
	$idmesa=intval($parametros_array['idmesa']);
	if($idmesa > 0){
		$whereadd.='';
	}
	if($cantidad_agregar < 1){
		$valido='N';
		$errores='- La cantidad no puede ser menor a 1.'.$saltolinea;
	}
	if($cantidad_agregar > 1000){
		$valido='N';
		$errores='- La cantidad no puede ser un numero tan grande.'.$saltolinea;
	}	
	
	
	// valida que exista la lista
	$consulta="
	select idlistacombo, nombre, cantidad  from combos_listas where idlistacombo = $idlistacombo and estado = 1
	";
	$rscombo=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idlistacombo=intval($rscombo->fields['idlistacombo']);
	$cantidadmax=intval($rscombo->fields['cantidad']);
	$nombre_lista=antixss($rscombo->fields['nombre']);
	if($idlistacombo == 0){
		$valido='N';
		$errores='- Lista no existe o fue borrada.'.$saltolinea;
	}

	
	// valida que el producto forme parte de la lista
	$consulta="
	select productos.idprod_serial
	from productos 
	inner join combos_listas_det on productos.idprod_serial = combos_listas_det.idproducto
	where 
	productos.combo <> 'S'
	and productos.borrado = 'N'
	and combos_listas_det.idlistacombo = $idlistacombo
	and combos_listas_det.idproducto = $idproducto
	and combos_listas_det.estado = 1
	order by productos.descripcion asc
	limit 1
	";
	$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idprod_serial_ex=intval($rsprod->fields['idprod_serial']);
	if($idprod_serial_ex == 0){
		// consulta producto
		$consulta="
		select descripcion  from productos where idprod_serial = $idproducto limit 1
		";
		$rsprod_name=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$producto_nombre=antixss($rsprod_name->fields['descripcion']);
		$valido='N';
		$errores='- El producto "'.$producto_nombre.'" no forma parte de la lista "'.$nombre_lista.'".'.$saltolinea;
	}
	
	// busca los valores de la lista
	$parametros_array_calc_combo=array(
		'idlistacombo' => $idlistacombo,
		'idusu' => $idusu,
		'idsucursal' => $idsucursal
	);
	$res_lista=calcula_lista_combo($parametros_array_calc_combo);
	$incluye=floatval($res_lista['incluye']); // cantidad original
	$cantidad_obliga=floatval($res_lista['cantidad_obliga']); // cantidad cantidad obligatoria
	$cantidad_max=floatval($res_lista['cantidad_max']); // cantidad maxima
	$agregado=floatval($res_lista['agregado']);
	$faltan=floatval($res_lista['faltan']);
	$permite_cantidad_menor=$res_lista['permite_cantidad_menor'];
	
	// validar que con la nueva cantidad no superara el maximo
	$prox_cantidad=floatval($agregado+$cantidad_agregar);	
	if($agregado > 0){
		if($prox_cantidad > $cantidadmax){
			$valido='N';
			$errores='- La cantidad que ingresaste ('.$cantidad_agregar.') sumada a la que ya tenias ('.$agregado.') totalizando ('.$prox_cantidad.'), supera la cantidad permitida ('.$cantidadmax.') para esta lista.'.$saltolinea;
			$accion='MAX';
		}
	}else{
		if($prox_cantidad > $cantidadmax){
			$valido='N';
			$errores='- La cantidad que ingresaste ('.$cantidad_agregar.') supera la cantidad permitida ('.$cantidadmax.') para esta lista.'.$saltolinea;
			$accion='MAX';
		}
	}
	
	// Si ya se completo la cantidad
	if($prox_cantidad == $cantidadmax){
		$accion='LISTO';
	}
	
	$res = array(
		'valido' => $valido,
		'errores' => $errores,
		'accion' => $accion,
		'incluye' => floatval($res_lista['incluye']),
		'cantidad_obliga' => floatval($res_lista['cantidad_obliga']),
		'cantidad_max' => floatval($res_lista['cantidad_max']),
		'agregado' => floatval($res_lista['agregado']),
		'faltan' => floatval($res_lista['faltan']),
		'total_opciones' => floatval($res_lista['total_opciones']),
		
	);
	
	return $res;
}
function registra_agregar_prod_lista_combo($parametros_array){
	global $conexion;
	global $ahora;
	
	$idlistacombo=intval($parametros_array['idlistacombo']);
	$idproducto=intval($parametros_array['idproducto']);  // producto a agregar a la lista
	$cantidad_agregar=floatval($parametros_array['cantidad_agregar']);
	$idsucursal=intval($parametros_array['idsucursal']);
	$idusu=intval($parametros_array['idusu']);
	$idmesa=intval($parametros_array['idmesa']);
	if($idmesa > 0){
		$whereadd.='';
	}
	if($cantidad_agregar < 1){
		$cantidad_agregar=1;
	}
	if($cantidad_agregar > 1000){
		$cantidad_agregar=1;
	}
	
	// insertar en tabla temporal
	$consulta="
	INSERT INTO tmp_combos_listas
	(idlistacombo, idventatmp, idproducto, cant_real, idempresa, idsucursal, idusuario, registrado_el)
	VALUES
	($idlistacombo,NULL,$idproducto, $cantidad_agregar, 1,$idsucursal,$idusu,'$ahora')
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	return $res;
}




?>