<?php
require_once("../proveedores/preferencias_proveedores.php");
function validar_proveedor($parametros_array){
	global $conexion;
	global $ahora;
	global $saltolinea;
	global $proveedores_importacion;
	global $proveedores_agente_retencion;
	global $proveedores_sin_factura;
	global $proveedores_acuerdos_comerciales_archivo;

	// validaciones basicas
	$valido="S";
	$errores="";
	$idempresa=$_SESSION['idempresa'];
	$ruc = $parametros_array['ruc'];//*
	$nombre = $parametros_array['nombre'];//*
	$diasvence = ($parametros_array['diasvence']);//*
	$incrementa = $parametros_array['incrementa'];//*
	$acuerdo_comercial = $parametros_array['acuerdo_comercial'];
	$acuerdo_comercial_coment = $parametros_array['acuerdo_comercial_coment'];
	$archivo=$parametros_array['archivo_acuerdo_comercial'];
	$telefono = $parametros_array['telefono'];
	$email = $parametros_array['email'];

	$idtipo_origen= $parametros_array['idtipo_origen'];
	$idtipo_servicio = $parametros_array['idtipo_servicio'];
	$idproveedor=$parametros_array['idproveedor'];
	$persona=$parametros_array['persona'];
	$acuerdo_comercial_desde=$parametros_array['acuerdo_comercial_desde'];
	$acuerdo_comercial_hasta=$parametros_array['acuerdo_comercial_hasta'];

	$consulta="SELECT idtipo_origen FROM tipo_origen WHERE UPPER(tipo)='LOCAL'";
	$rs_guarani=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$id_tipo_origen_local =intval( $rs_guarani->fields["idtipo_origen"]);
	$idtipo_origen= $parametros_array['idtipo_origen'];
	$form_completo=$parametros_array['form_completo'];	
	
	

	if(strlen($ruc) < 4){
		$valido="N";
		$errores.=" - El RUC no puede tener menos de 4 caracteres.<br> ".$saltolinea;
	}
	if(trim($ruc)== "" || ($ruc)== "NULL"){
		$valido="N";
		$errores.=" - El RUC no puede estar vacío.<br>".$saltolinea;
	}
	$consulta="
	SELECT idproveedor FROM proveedores WHERE ruc=$ruc 
	";
	//echo $consulta;
	$rsc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(intval($rsc->fields['idproveedor']) > 0){
		$valido="N";
		$errores.=" - El RUC ya existe.<br>".$saltolinea;
	}
	
	if($diasvence === ''){
		$valido="N";
		$errores.=" - $diasvence El campo dias de credito no puede estar vacio.<br />";	
	}

	if(strlen($nombre)  < 4){
		$valido="N";
		$errores.=" - No se envio ninguna Razon Social o es menor a 4 caracteres.<br>".$saltolinea;
	}
	$consulta="
	select * from proveedores where estado = 1 and nombre = $nombre limit 1;
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if(intval($rsex->fields['idproveedor']) > 0){
		$valido="N";
		$errores.=" - Ya existe otro proveedor registrado con la misma razon social.<br />";	
	}
	
	if((trim($incrementa) == "" || $incrementa == "NULL") && $proveedores_sin_factura=="S"){
		$valido="N";
		$errores.=" - Sin Factura no puede estar vacío.<br>".$saltolinea;
	}
	if($proveedores_sin_factura=="N" && ((trim($persona) == "" || $persona == "NULL"))){
		$valido="N";
		$errores.=" - El campo Persona, debe ser completado indicando si es persona física o jurídica..<br>".$saltolinea;
	}
	if($proveedores_acuerdos_comerciales_archivo=="S"){
		$tamanoMaximo = 900 * 1024;
		$acuerdo_comercial=str_replace("'","",$acuerdo_comercial);
		$dest_file =$parametros_array["dest_file"];
		if(($archivo['name'] != 'NULL' && $archivo['name'] != '')){
			$extension=end(explode('.',$archivo['name']));
			if ($archivo['size'] >= $tamanoMaximo){
						$valido="N";
						$errores.="El archivo .pdf,.jpg o .jpeg no puede pesar mas de 900KB peso actual=".($archivo['size']/1024)."KB.<br />";
					}
			$type=str_replace("'","",$archivo['type']);
			if ($type != "application/pdf" && $extension  != "jpg" && $extension  != "jpeg" ) {
				$valido="N";
						$errores.="- El archivo debe ser .pdf,.jpg o .jpeg.</br>";
			}
		}
		if(($archivo['name'] != 'NULL' || $archivo['name'] != '' || $archivo['name'] != "") && $acuerdo_comercial != 'N'){
			$valido="N";
			
			$errores.=" -   El campo Acuerdo Comercial debe ser si, cuando hay un archivo del acuerdo comercial sobre el acuerdo.<br />";	
		}
		if(($acuerdo_comercial_desde == 'NULL' or $acuerdo_comercial_desde == '') && $acuerdo_comercial == 'S'){
			$valido="N";
			$errores.=" - El campo Acuerdo Comercial Fecha Desde debe ser completado al marcar <strong>Acuerdo Comercial</strong> = SI .<br />";	
		}
		if(($acuerdo_comercial_hasta == 'NULL' or $acuerdo_comercial_hasta == '') && $acuerdo_comercial == 'S'){
			$valido="N";
			$errores.=" - El campo Acuerdo Comercial Fecha Hasta debe ser completado al marcar <strong>Acuerdo Comercial</strong> = SI .<br />";	
		}

		if (isset($dest_file) && file_exists($dest_file)) {
			$valido="N";
			$errores.=" - El archivo ya existe ".$dest_file.".</br>";
		}
	}

		
		$acuerdo_comercial=str_replace("'","",$acuerdo_comercial);
		if(($acuerdo_comercial_coment != 'NULL' && $acuerdo_comercial_coment != '') && $acuerdo_comercial != 'S'){
			$valido="N";
			$errores.=" - El campo Acuerdo Comercial debe ser si, cuando hay un detalle sobre el acuerdo.<br />";	
		}


	if(trim($nombre) == "" || $nombre == "NULL"){
		$valido="N";
		$errores.=" - Razon Social no puede estar vacío.<br>".$saltolinea;
	}
	if($proveedores_importacion == "S"){
		if($idtipo_origen=="NULL"){
			$valido="N";
            $errores.=" - El Origen no puede estar vacío.<br>".$saltolinea;
		}
	}
	
	
	
	$res=array(
		'valido' => $valido,
		'errores' => $errores
	);
	
	return $res;
	
}
function agregar_proveedor($parametros_array){
	
	global $conexion;
	global $ahora;
	global $idusu;
	global $saltolinea;
	global $proveedores_importacion;
	global $proveedores_agente_retencion;
	global $proveedores_sin_factura;
	
	$ruc = $parametros_array['ruc'];//*
	$nombre = $parametros_array['nombre'];//*
	$fantasia = $parametros_array['fantasia'];//*
	$diasvence = intval($parametros_array['diasvence']);//*
	$dias_entrega = intval($parametros_array['dias_entrega']);
	$incrementa = $parametros_array['incrementa'];//*
	$acuerdo_comercial = $parametros_array['acuerdo_comercial'];
	$acuerdo_comercial_coment = $parametros_array['acuerdo_comercial_coment'];
	$telefono = $parametros_array['telefono'];
	$email = $parametros_array['email'];
	$idmoneda = $parametros_array['idmoneda'];
	$idempresa=$parametros_array['idempresa'];
	$idtipocompra = $parametros_array['idtipocompra'];
	$idpais = $parametros_array['idpais'];
	$agente_retencion = $parametros_array['agente_retencion'];
	$idtipo_servicio = $parametros_array['idtipo_servicio'];
	$idproveedor = select_max_id_suma_uno("proveedores","idproveedor")["idproveedor"];
	$idtipo_servicio = $parametros_array['idtipo_servicio'];
	$direccion=$parametros_array['direccion'];
	$sucursal=$parametros_array['sucursal'];
	$comentarios=$parametros_array['comentarios'];
	$web=$parametros_array['web'];
	$contacto=$parametros_array['contacto'];
	$area=$parametros_array['area'];
	$email_conta=$parametros_array['email_conta'];
	$cuenta_cte_mercaderia=$parametros_array['cuenta_cte_mercaderia'];
	$cuenta_cte_deuda = $parametros_array['cuenta_cte_deuda'];
	$archivo=$parametros_array['archivo_acuerdo_comercial'];
	$ac_desde=$parametros_array['acuerdo_comercial_desde'];
	$ac_hasta=$parametros_array['acuerdo_comercial_hasta'];
	$persona=$parametros_array['persona'];
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");

	
	$consulta="SELECT idtipo_origen FROM tipo_origen WHERE UPPER(tipo)='LOCAL'";
	$rs_guarani=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$id_tipo_origen_local =intval( $rs_guarani->fields["idtipo_origen"]);
	$idtipo_origen= $parametros_array['idtipo_origen'];
	$form_completo=$parametros_array['form_completo'];	
	
	// $archivo_cargado = 0;
	$dest_file=null;
	if($proveedores_importacion =="N"){
		$idtipo_origen = $id_tipo_origen_local;
	}
	if($proveedores_agente_retencion=="N"){
		$agente_retencion="'N'";
	}
	if($proveedores_sin_factura == "N"){
		$incrementa="'N'";
	}else{
		$persona=0;
	}
	
	if ( $archivo['name'] != "" ) {
		if (is_dir("../gfx/proveedores/acuerdos_comercial")){
			
		} else {
			//creamos
				mkdir("../gfx/proveedores","0777");
				mkdir("../gfx/proveedores/acuerdos_comercial","0777");
			
		}
		$source_file = $archivo['tmp_name'];
		$dest_file =$parametros_array["dest_file"];
		$directorio=$parametros_array["directorio"];
		if (!is_dir($directorio)) {
			mkdir($directorio, 0777);
		}
		
		
	}

	

	// busca en tabla de conversioens si hay el producto sino iguala
	// $consulta="";
	// if($agente_retencion != "NULL"  ){
	
	if($form_completo==1){
			$consulta="
			insert into proveedores
			(idproveedor,idempresa, ruc, nombre, estado, diasvence, dias_entrega, incrementa, acuerdo_comercial, idpais, agente_retencion, idtipo_servicio, tipocompra, email, acuerdo_comercial_coment, telefono, idmoneda, fantasia, direccion, sucursal, comentarios, web, contacto, area, email_conta,idtipo_origen,cuenta_cte_mercaderia,cuenta_cte_deuda,ac_archivo,registrado_por,registrado_el,ac_desde,ac_hasta,persona) 
			values
			($idproveedor,$idempresa, $ruc, $nombre, 1, $diasvence, $dias_entrega, $incrementa, $acuerdo_comercial, $idpais, $agente_retencion, $idtipo_servicio, $idtipocompra, $email, $acuerdo_comercial_coment, $telefono, $idmoneda, $fantasia, $direccion, $sucursal, $comentarios, $web, $contacto, $area, $email_conta,$idtipo_origen,$cuenta_cte_mercaderia,$cuenta_cte_deuda,'$dest_file',$registrado_por,$registrado_el,$ac_desde,$ac_hasta,$persona)
			";

	}else{
		$consulta="
		INSERT INTO proveedores 
		(idproveedor, idempresa, ruc, nombre,estado,diasvence,incrementa,acuerdo_comercial,idpais,agente_retencion,idtipo_servicio,tipocompra,email,acuerdo_comercial_coment,telefono,idmoneda,fantasia,idtipo_origen,cuenta_cte_mercaderia,cuenta_cte_deuda,registrado_por,registrado_el) VALUES 
		($idproveedor,$idempresa, $ruc, $nombre,1,$diasvence, $incrementa,$acuerdo_comercial,$idpais,$agente_retencion,$idtipo_servicio,$idtipocompra,$email,$acuerdo_comercial_coment,$telefono,$idmoneda,$fantasia,$idtipo_origen,$cuenta_cte_mercaderia,$cuenta_cte_deuda,$registrado_por,$registrado_el);
		";
		//boorable obligatorio defecto s si no se manda 
	}
	if($dest_file!="" and $dest_file != "NULL" and $dest_file != null){

		if (!file_exists($dest_file)) {
			move_uploaded_file( $source_file, $dest_file ) or die ("Error!!");
			// $archivo_cargado = 1;
		}
		
	}
		
		

	// }else{
	// 	$consulta="
	// 	INSERT INTO proveedores (idproveedor, idempresa, ruc, nombre,estado,diasvence,incrementa,acuerdo_comercial,idpais,tipocompra,email,acuerdo_comercial_coment,telefono,idmoneda,fantasia) VALUES 
	// 	($idproveedor,$idempresa, $ruc, $nombre,1,$diasvence, $incrementa,$acuerdo_comercial,$idpais,$idtipocompra,$email,$acuerdo_comercial_coment,$telefono,$idmoneda,$fantasia);
	// 	";
	// }
	
	//echo $consulta;
	$rsc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$res=array(
		'idproveedor' => $idproveedor
	);
	return $res;
	
	
	
}
function update_proveedor($parametros_array){
	
	global $conexion;
	global $ahora;
	global $saltolinea;
	global $idusu;
	global $proveedores_importacion;
	global $proveedores_agente_retencion;
	global $proveedores_sin_factura;
	
	$ruc = $parametros_array['ruc'];//*
	$nombre = $parametros_array['nombre'];//*
	$fantasia = $parametros_array['fantasia'];//*
	$diasvence = intval($parametros_array['diasvence']);//*
	$dias_entrega = intval($parametros_array['dias_entrega']);
	$incrementa = $parametros_array['incrementa'];//*
	$acuerdo_comercial = $parametros_array['acuerdo_comercial'];
	$acuerdo_comercial_coment = $parametros_array['acuerdo_comercial_coment'];
	$telefono = $parametros_array['telefono'];
	$email = $parametros_array['email'];
	$idmoneda = $parametros_array['idmoneda'];
	$idempresa=$parametros_array['idempresa'];
	$idtipocompra = $parametros_array['idtipocompra'];
	$idpais = $parametros_array['idpais'];
	$agente_retencion = $parametros_array['agente_retencion'];
	$idtipo_servicio = $parametros_array['idtipo_servicio'];
	$idproveedor = $parametros_array['idproveedor'];
	$idtipo_servicio = $parametros_array['idtipo_servicio'];
	$direccion=$parametros_array['direccion'];
	$sucursal=$parametros_array['sucursal'];
	$comentarios=$parametros_array['comentarios'];
	$web=$parametros_array['web'];
	$contacto=$parametros_array['contacto'];
	$area=$parametros_array['area'];
	$email_conta=$parametros_array['email_conta'];
	$cuenta_cte_mercaderia=$parametros_array['cuenta_cte_mercaderia'];
	$cuenta_cte_deuda = $parametros_array['cuenta_cte_deuda'];
	$archivo=$parametros_array['archivo_acuerdo_comercial'];
	$actualizado_por=$idusu;
	$actualizado_el=antisqlinyeccion($ahora,"text");
	$ac_desde=$parametros_array['acuerdo_comercial_desde'];
	$ac_hasta=$parametros_array['acuerdo_comercial_hasta'];
	$persona=$parametros_array['persona'];

	
	$consulta="SELECT idtipo_origen FROM tipo_origen WHERE UPPER(tipo)='LOCAL'";
	$rs_guarani=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$id_tipo_origen_local =intval( $rs_guarani->fields["idtipo_origen"]);
	$idtipo_origen= $parametros_array['idtipo_origen'];
	$form_completo=$parametros_array['form_completo'];	
	
	// $archivo_cargado = 0;
	$dest_file="NULL";
	if($proveedores_importacion =="N"){
		$idtipo_origen = $id_tipo_origen_local;
	}
	if($proveedores_agente_retencion=="N"){
		$agente_retencion="'N'";
	}
	if($proveedores_sin_factura == "N"){
		$incrementa="'N'";
	}
	$dest_file=null;
	if (  $archivo['name'] != "" ) {
		if (is_dir("../gfx/proveedores/acuerdos_comercial")){
            
        } else {
            //creamos
             mkdir("../gfx/proveedores","0777");
             mkdir("../gfx/proveedores/acuerdos_comercial","0777");
            
        }
		$source_file = $archivo['tmp_name'];
        $dest_file =$parametros_array["dest_file"];
        $directorio=$parametros_array["directorio"];
		if (!is_dir($directorio)) {
			mkdir($directorio, 0777);
		}
		
		
	}

	// busca en tabla de conversioens si hay el producto sino iguala
	// $consulta="";
	// if($agente_retencion != "NULL"  ){
		if($form_completo==1 && $dest_file != null){
			$consulta="
			update proveedores
			set
				ruc=$ruc,
				nombre=$nombre,
				direccion=$direccion,
				comentarios=$comentarios,
				idtipo_servicio=$idtipo_servicio,
				cuenta_cte_mercaderia=$cuenta_cte_mercaderia,
				cuenta_cte_deuda=$cuenta_cte_deuda,
				tipocompra=$idtipocompra,
				idmoneda=$idmoneda,
				fantasia=$fantasia,
				idtipo_origen=$idtipo_origen,
				web=$web,
				idpais=$idpais,
				agente_retencion=$agente_retencion,
				telefono=$telefono,
				email=$email,
				contacto=$contacto,
				area=$area,
				email_conta=$email_conta,
				diasvence=$diasvence,
				dias_entrega=$dias_entrega,
				incrementa=$incrementa,
				acuerdo_comercial=$acuerdo_comercial,
				acuerdo_comercial_coment=$acuerdo_comercial_coment,
				ac_archivo='$dest_file',
				actualizado_por=$actualizado_por,
				actualizado_el=$actualizado_el,
				ac_desde=$ac_desde,
				ac_hasta=$ac_hasta,
				persona=$persona
			where
				idproveedor = $idproveedor
				and estado = 1
			";

		}
		if($form_completo==1 && $dest_file == null){
			$consulta="
			update proveedores
			set
				ruc=$ruc,
				nombre=$nombre,
				direccion=$direccion,
				comentarios=$comentarios,
				idtipo_servicio=$idtipo_servicio,
				cuenta_cte_mercaderia=$cuenta_cte_mercaderia,
				cuenta_cte_deuda=$cuenta_cte_deuda,
				tipocompra=$idtipocompra,
				idmoneda=$idmoneda,
				fantasia=$fantasia,
				idtipo_origen=$idtipo_origen,
				web=$web,
				idpais=$idpais,
				agente_retencion=$agente_retencion,
				telefono=$telefono,
				email=$email,
				contacto=$contacto,
				area=$area,
				email_conta=$email_conta,
				diasvence=$diasvence,
				dias_entrega=$dias_entrega,
				incrementa=$incrementa,
				acuerdo_comercial=$acuerdo_comercial,
				acuerdo_comercial_coment=$acuerdo_comercial_coment,
				actualizado_por=$actualizado_por,
				actualizado_el=$actualizado_el,
				ac_desde=$ac_desde,
				ac_hasta=$ac_hasta,
				persona=$persona
			where
				idproveedor = $idproveedor
				and estado = 1
			";
		}

		if($dest_file!="" and $dest_file != "NULL" and $dest_file != null){

			if (!file_exists($dest_file)) {
				$r = json_encode($archivo);
				move_uploaded_file( $source_file, $dest_file ) or die ("Error!! al mover  $dest_file   desde $source_file  el siguiente archivo $r");
				// $archivo_cargado = 1;
			}
			
		}
		
		

	// }else{
	// 	$consulta="
	// 	INSERT INTO proveedores (idproveedor, idempresa, ruc, nombre,estado,diasvence,incrementa,acuerdo_comercial,idpais,tipocompra,email,acuerdo_comercial_coment,telefono,idmoneda,fantasia) VALUES 
	// 	($idproveedor,$idempresa, $ruc, $nombre,1,$diasvence, $incrementa,$acuerdo_comercial,$idpais,$idtipocompra,$email,$acuerdo_comercial_coment,$telefono,$idmoneda,$fantasia);
	// 	";
	// }
	
	//echo $consulta;
	$rsc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$res=array(
		'idproveedor' => $idproveedor
	);
	return $res;
}
?>