<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="140";
require_once("includes/rsusuario.php"); 


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
$whereadd="
and fecha_final >= '$desde'
and fecha_final <= '$hasta'
";
//if($_GET['stock'] == 'on'){
	//$whereadd.=$saltolinea."and afecta_stock = 'S'";	
//}
if($_GET['deposito'] > 0){
	$dep=intval($_GET['deposito']);
	$whereadd.=$saltolinea."and iddeposito = $dep";	
}


$consulta="
select *,
(select descripcion from gest_depositos where iddeposito = conteo.iddeposito)  as deposito,
(select estadoconteo from estado_conteo where idestadoconteo = conteo.estado ) as estadoconteo,
(
	SELECT GROUP_CONCAT(grupo_insumos.nombre) AS grupos 
	from conteo_grupos 
	inner join grupo_insumos on grupo_insumos.idgrupoinsu = conteo_grupos.idgrupoinsu
	where 
	conteo_grupos.idconteo = conteo.idconteo
) as grupos
from conteo
where
estado <> 6
$whereadd
order by idconteo desc
limit 100
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Informe de Conteo Stock</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php 
$refemenu='tand';
require_once("includes/menu_conteo.php"); ?>
 <form id="form1" name="form1" method="get" action="">
 
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha finalizacion desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
		<input type="date" name="desde" id="desde" value="<?php  if(isset($_GET['desde'])){ echo htmlentities($_GET['desde']); }else{ echo $desde; } ?>" placeholder="desde" class="form-control" required="required" />
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha finalizacion hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
		<input type="date" name="hasta" id="hasta" value="<?php  if(isset($_GET['hasta'])){ echo htmlentities($_GET['hasta']); }else{ echo $hasta; } ?>" placeholder="hasta" class="form-control" required="required" />
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Deposito *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
$buscar="
Select iddeposito,descripcion,tiposala,color,direccion,usuario
from gest_depositos 
inner join usuarios on usuarios.idusu=gest_depositos.idencargado 
where 
gest_depositos.tiposala <> 3
AND gest_depositos.estado <> 6
order by descripcion ASC
";
$rsdep=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
 ?>
              <select name="deposito" id="deposito" class="form-control">
                    <option value="">TODOS</option>
          			<?php while (!$rsdep->EOF){?>
                		<option value="<?php echo $rsdep->fields['iddeposito']?>" <?php if($rsdep->fields['iddeposito'] == $dep){ ?> selected="selected" <?php } ?>><?php echo $rsdep->fields['descripcion']?></option>
         			 <?php $rsdep->MoveNext();} ?>
                    </select>	
	</div>
</div>



<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>
	   
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
      <br /><hr />



<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
    <tr>
      <th></th>
      <th># Conteo</th>
      <th>Deposito</th>
      <th>Grupos</th>
      <th>Iniciado</th>
      <th>Modificado</th>
      <th>Finalizado</th>
      <th>Afecta Stock</th>
      <th>Estado</th>

      </tr>
      </thead>
      <tbody>
<?php
$i=1;
 while (!$rs->EOF){ ?>
    <tr>
      <td>
<?php
$idconteo=$rs->fields['idconteo'];
$mostrarbtn="N"; 

if($rs->fields['estado'] == 3){ 
	$mostrarbtn="S";
	$link="inf_conteo_stock_reporte.php?id=".$idconteo;
	$txtbtn="Reporte";
	$iconbtn="search";
	$tipoboton="default";
}
if($mostrarbtn == 'S'){
?>
				<div class="btn-group">
					<a href="<?php echo $link; ?>" class="btn btn-sm btn-<?php echo $tipoboton; ?>" title="<?php echo $txtbtn; ?>" data-toggle="tooltip" data-placement="right"  data-original-title="<?php echo $txtbtn; ?>"><span class="fa fa-<?php echo $iconbtn; ?>"></span> <?php echo $txtbtn; ?></a>
				</div>
<?php } ?></td>
    
      <td align="center"><?php echo $rs->fields['idconteo']; ?></td>
      <td align="center"><?php echo $rs->fields['deposito']; ?></td>
      <td align="center"><?php echo $rs->fields['grupos']; ?></td>
      <td align="center"><?php echo date("d/m/Y H:i:s",strtotime($rs->fields['inicio_registrado_el'])); ?></td>
      <td align="center"><?php if($rs->fields['ult_modif'] != ''){ echo date("d/m/Y",strtotime($rs->fields['ult_modif'])); } ?></td>
      <td align="center"><?php if($rs->fields['final_registrado_el'] != ''){ echo date("d/m/Y H:i:s",strtotime($rs->fields['final_registrado_el'])); } ?></td>
      <td align="center"><?php if($rs->fields['afecta_stock'] == 'S'){ echo "SI"; }else{ echo "NO"; } ?></td>
      <td align="center"><?php echo $rs->fields['estadoconteo']; ?></td>
  </tr>
<?php $i++; $rs->MoveNext(); } ?>
  </tbody>
</table>
</div>


<div class="clearfix"></div>
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
