<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="47";
require_once("includes/rsusuario.php"); 

$buscar="Select sum(total_venta) as totalvendido from ventas 
WHERE tipo_venta=2 and estado<>6 and estado <>3";
$rsventa1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$globalvendido=floatval($rsventa1->fields['totalvendido']);

//solo id y suma total
$buscar="Select idcliente,sum(total_venta) as total
from ventas where tipo_venta=2 and estado <>6 and estado <>3 group by idcliente";

//Con datos del cliente
$buscar="
Select ventas.idcliente,nombre,apellido,razon_social,ruc,documento,celular,sum(total_venta) as total from ventas
inner join cliente on cliente.idcliente=ventas.idcliente
where tipo_venta=2 and ventas.estado <>6 and ventas.estado <>3 
 group by ventas.idcliente order by razon_social asc
";
$rsd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tcred=$rsd->RecordCount();


if (isset($_POST['idcliente']) && (intval($_POST['idcliente']) >0)){
	$idc=intval($_POST['idcliente']);
	
	$buscar="select razon_social,ruc,documento,celular,direccion,telefono from cliente where idcliente=$idc";
	$rscc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	
	//Listamos las cuentas de ese cliente
	$buscar="Select idcta,deuda_global,saldo_activo,cuentas_clientes.registrado_por,usuario,ventas.fecha,cuentas_clientes.idventa 
	from cuentas_clientes
	inner join usuarios
	on usuarios.idusu=cuentas_clientes.registrado_por 
	inner join ventas on ventas.idventa=cuentas_clientes.idventa
	where cuentas_clientes.idcliente=$idc and cuentas_clientes.estado<3";
	$rsdetalle=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	$td=$rsdetalle->RecordCount();
	
	
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<?php require("includes/head.php"); ?>
<script>
function seleccionar(cliente){
	document.getElementById('idcliente').value=cliente;
	document.getElementById('envc').submit();
	
	
}
function alertar(titulo,error,tipo,boton){
	swal({   title: titulo,   text: error,   type: tipo,   confirmButtonText: boton });
	}
</script>
<script src="js/sweetalert.min.js"></script>
 <link rel="stylesheet" href="css/magnific-popup.css">
<script src="js/jquery.magnific-popup.min.js"></script>
<link rel="stylesheet" type="text/css" href="css/sweetalert.css">
<script>
function asignar(cuenta){
	
		var parametros='idc='+cuenta;
		OpenPage('gest_detadeuda.php',parametros,'POST','pop1','pred');
		setTimeout(function(){ popupasigna(); }, 200);
	
	}
 function popupasigna(){
		$(function mag() {
            $('a[href="#pop1"]').magnificPopup({
                type:'inline',
                midClick: false,
                closeOnBgClick: true
            });
            
        });	
	}
</script>
    
</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="clear"></div>
<div class="cuerpo">
 <div align="center" >
 <?php require_once("includes/menuarriba.php");?>
</div>
<div class="colcompleto" id="contenedor">
    <div class="divstd">
    	<span class="resaltaditomenor">
    		Cuentas a Cr&eacute;dito Activas</span>
    </div>
    <br />
    <div align="center">
                <a href="index.php">
                    <img src="img/homeblue.png" width="64" height="64" title="Regresar" style="cursor:pointer" />
                </a>
                <br />
                <br />
                <div class="resumenmini">
                    <h1>
                        <strong>Total de Ventas a cr&eacute;dito Gs:</strong> 
                        <span class="resaltarojomini"><?php echo formatomoneda($globalvendido);?></span>
                    </h1>
                </div><br />
				<hr />
                <div align="center">
                <?php if ($tcred > 0){?>
                <table width="461">
                	<tr style="color:#FFFFFF">
                    	<td width="176" align="center" bgcolor="#221A3D"><strong>Cliente</strong></td>
                        <td width="72" align="center" bgcolor="#221A3D"><strong>Documento</strong></td>
                        <td width="50" align="center" bgcolor="#221A3D"><strong>Celular</strong></td>
                        <td width="64" align="center" bgcolor="#221A3D"><strong>N&uacute;mero de Cuentas</strong></td>
                        <td width="57" align="center" bgcolor="#221A3D"><strong>Deuda Global Gs</strong></td>
                        <td width="14" align="center" bgcolor="#221A3D">&nbsp;</td>
                    </tr>
              		<?php while (!$rsd->EOF){
						$clie=$rsd->fields['razon_social'];
						$docu=intval($rsd->fields['documento']);
						if ($docu==0){
							$docu=$rsd->fields['ruc'];
						}
						$idcliente=intval($rsd->fields['idcliente']);
						$buscar="Select count(*) as cantidad from ventas where tipo_venta=2 and idcliente=$idcliente";
						$rstot=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
						
						$cantidad=$rstot->fields['cantidad'];
						
					?>
                    <tr>
                    	<td height="28"><?php echo $clie ?></td>
                        <td align="center"><?php echo ($docu) ?></td>
                        <td align="center"><?php echo $rsd->fields['celular']?></td>
                        <td align="center">
						<?php if ($cantidad > 10){ 
							echo "<span class='resaltarojomini'>".formatomoneda($cantidad)."</span>"; 
						} else { 
							if ($cantidad > 5 and $cantidad < 10){
								 echo "<span class='resaltaverdemini'>".formatomoneda($cantidad)."</span>";
							} else {  
								echo formatomoneda($cantidad); 
							}
						}
						?>
                        </td>
                        <td align="center"><?php  echo formatomoneda($rsd->fields['total']) ?></td>
                        <td align="center"><a href="javascript:void(0);" onclick="seleccionar(<?php echo $rsd->fields['idcliente']?>)"><img src="img/buscar16.png" width="16" height="16" /></a></td>
                    </tr>
                    <?php $rsd->MoveNext();} ?>
                    <tr>
                    	<td colspan="7">
                       		 <form id="envc" action="inf_cuentasxcred.php" method="post">
                        	<input type="hidden" name="idcliente" id="idcliente" value="" />
                           </form>
                        </td>
                    </tr>
                </table>
                
                <?php } ?>
                
                
            </div>
    </div>
    <br />
    <hr />
    <?php if ($td>0){?>
    <div align="center" id="res"><br />
    <div class="resumenmini">
    	<span class="resaltaditomenor">
			<?php echo $rscc->fields['razon_social']?> - <?php echo $rscc->fields['documento'].' /  RUC '.$rscc->fields['ruc'] ?>
        </span><br />
       <strong> <?php echo trim($rscc->fields['direccion']);?> - 
		<?php echo trim($rscc->fields['celular']);?> 
		<?php 
		if ($rscc->fields['telefono']!=''){ 
				echo $rscc->fields['telefono'];
			 } 
		?></strong>
    </div>
    <br /><br />
    	<table width="569" height="85" class="tablalinda3">
       	  <tr>
             <td width="80" align="center" bgcolor="#B4FF8C"><strong>Fecha Venta</strong></td>
            <td width="86" align="center" bgcolor="#B4FF8C"><strong>Monto Venta</strong></td>
            <td width="90" align="center" bgcolor="#B4FF8C"><strong>Ultimo pago</strong></td>
            <td width="90" align="center" bgcolor="#B4FF8C"><strong>Total Cobrado (a la fecha)</strong></td>
            <td width="79" align="center" bgcolor="#B4FF8C"><strong>Saldo Activo GS</strong></td>
            <td width="104" align="center" bgcolor="#B4FF8C"><strong>Vendedor</strong></td>
            <td bgcolor="#B4FF8C"></td>
          </tr>
          <?php 
		  		$sumaglobal=0;
		  		while(!$rsdetalle->EOF){
			 	 $idcuenta=intval($rsdetalle->fields['idcta']);
				//Total cobrado a la fecha  
				$buscar="Select  sum(totalgs) as totalcobrado,max(date(fecha_pago)) as mayorpago
				from cuentas_clientes_pagos where idcuenta=$idcuenta and estado=1";
				//echo $buscar.'<br />';
			 	$rstocob=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			  	$totalcobrado=floatval($rstocob->fields['totalcobrado']);
				$sumaglobal=$sumaglobal+$totalcobrado;
				if ($rstocob->fields['mayorpago']!=''){
					$lastpago=$rstocob->fields['mayorpago'];
				} else {
					$lastpago='';
					
				}
			?>
             <tr>
             	<td height="23" align="left"><?php echo $rsdetalle->fields['fecha']?></td>
                <td align="center"><?php echo formatomoneda($rsdetalle->fields['deuda_global'],2)?></td>
                <td align="center"><?php echo $lastpago?></td>
               
                <td align="right"><?php echo formatomoneda($totalcobrado,2)?></td>
                 <td align="right"><?php echo formatomoneda($rsdetalle->fields['saldo_activo'],2)?></td>
                <td align="center"><?php echo $rsdetalle->fields['usuario']?></td>
                <td><a href="#pop1" onMouseUp="asignar(<?php echo $idcuenta ?>)"><img src="img/buscar16.png" width="16" height="16" /></a></td>
             </tr>
          <?php $rsdetalle->MoveNext();}?>
          <tr>
          	<td height="26" colspan="4" align="right"><strong>Global Cobrado GS:</strong><span class="resaltarojomini"><?php echo formatomoneda($sumaglobal,2);?></span>
            </td>
            <td></td>
            <td></td>
            <td></td>
          </tr>
    	</table>
    </div>
     <div id="pop1" class="mfp-hide" style="background-color:#F9F7F7; width:600px; height:auto; margin-left:auto; margin-right:auto;">
        
 	</div>
    <?php } ?>
</div> </div>
<!-- contenedor -->
 	 
   <div class="clear"></div><!-- clear1 -->
</div> <!-- cuerpo -->
<div class="clear"></div><!-- clear2 -->
<?php require("includes/pie.php"); ?>
</body>
</html>


