<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="201";
require_once("includes/rsusuario.php"); 



function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}


$idclienteagrupa=intval($_GET['id']);
if($idclienteagrupa == 0){
	header("location: inf_estado_cuentas_credito_agrup.php");
	exit;	
}



$consulta="
select 
(
select cliente_agrupacion.agrupacion
from cliente_agrupacion_det
inner join cliente_agrupacion ON cliente_agrupacion.idclienteagrupa = cliente_agrupacion_det.idclienteagrupa
where
cliente_agrupacion.estado <> 6
and cliente_agrupacion_det.estado <> 6
and cliente_agrupacion_det.idclienteagrupa = $idclienteagrupa
limit 1
) as agrupacion, 
cuentas_clientes.idventa,  
CONCAT((select CONCAT(SUBSTRING(REPLACE(ventas.factura,'-',''), 1, 3),'-',SUBSTRING(REPLACE(ventas.factura,'-',''), 4, 3),'-',SUBSTRING(REPLACE(ventas.factura,'-',''), 7, 7)) from ventas where idventa = cuentas_clientes.idventa),'') as factura,
(select date(fecha) from ventas where idventa = cuentas_clientes.idventa) as fecha_factura,
REPLACE(COALESCE(cuentas_clientes.deuda_global,0),'.',',') as deuda_global,
REPLACE(COALESCE(cuentas_clientes.saldo_activo,0),'.',',') as saldo_activo,
(select razon_social from ventas where idventa = cuentas_clientes.idventa) as razon_social,
(select ruc from ventas where idventa = cuentas_clientes.idventa) as ruc,
date(cuentas_clientes.ultimo_pago) as ultimo_pago,
(select sucursales.nombre from ventas inner join sucursales on sucursales.idsucu = ventas.sucursal where idventa = cuentas_clientes.idventa) as sucursal_venta
from cuentas_clientes 
where 
cuentas_clientes.saldo_activo > 0 
and cuentas_clientes.estado <> 6

and cuentas_clientes.idcliente in (
		select idcliente
		from cliente_agrupacion_det
		inner join cliente_agrupacion ON cliente_agrupacion.idclienteagrupa = cliente_agrupacion_det.idclienteagrupa
		where
		cliente_agrupacion.estado <> 6
		and cliente_agrupacion_det.estado <> 6
		and cliente_agrupacion_det.idclienteagrupa = $idclienteagrupa
	)

$whereadd
order by idcta asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 //	CONCAT('\"',factura,'\"') as Factura,


 $impreso=date("d/m/Y H:i:s");



$datos="";


	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$datos.=limpiacsv($value).';';
		}
		$datos.=$saltolinea;
	$rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=deudasclientes_fac_'.$impreso.'.csv');
	
echo $datos;
exit;

?>