<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="201";
require_once("includes/rsusuario.php"); 

$whereadd="";

function limpiacsv($txt){
    global $saltolinea;
    $txt=trim($txt);
    $txt=str_replace(";",",",$txt);
    $txt=str_replace($saltolinea,"",$txt);
    return $txt;
}

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
    $desde=date("Y-m-").'01';
    $hasta=date("Y-m-d");
    $whereadd.=" 
    and date(ventas.fecha) >= '$desde'
    and date(ventas.fecha) <= '$hasta'
    ";
}else{
    $desde=date("Y-m-d",strtotime($_GET['desde']));
    $hasta=date("Y-m-d",strtotime($_GET['hasta']));  
    $whereadd.=" 
    and date(ventas.fecha) >= '$desde'
    and date(ventas.fecha) <= '$hasta'
    ";  
}


/*$consulta="
select fechacompra as fecha_compra, facturacompra as factura_compra, 
CASE WHEN tipocompra = 1 THEN 'CONTADO' ELSE 'CREDITO' END AS condicion_compra, 
REPLACE(total,'.',',') as total_factura,
proveedores.idproveedor, proveedores.nombre as proveedor
from compras
inner join proveedores on proveedores.idproveedor = compras.idproveedor 
where
compras.estado <> 6
and compras.fechacompra >= '$desde'
and compras.fechacompra <= '$hasta'
order by fechacompra asc
";*/
$consulta="
select 
cuentas_clientes.idventa,  
CONCAT((select CONCAT(SUBSTRING(REPLACE(ventas.factura,'-',''), 1, 3),'-',SUBSTRING(REPLACE(ventas.factura,'-',''), 4, 3),'-',SUBSTRING(REPLACE(ventas.factura,'-',''), 7, 7)) from ventas where idventa = cuentas_clientes.idventa),'') as factura,
(select date(fecha) from ventas where idventa = cuentas_clientes.idventa) as fecha_factura,
(select date(prox_vencimiento) from ventas where idventa = cuentas_clientes.idventa) as prox_vencimiento,
 DATEDIFF(NOW(), cuentas_clientes.prox_vencimiento) AS dias_atraso,
REPLACE(COALESCE(cuentas_clientes.deuda_global,0),'.',',') as deuda_global,
REPLACE(COALESCE(cuentas_clientes.saldo_activo,0),'.',',') as saldo_activo,
(select razon_social from ventas where idventa = cuentas_clientes.idventa) as razon_social,
(select ruc from ventas where idventa = cuentas_clientes.idventa) as ruc,
(select fantasia from ventas inner join cliente on cliente.idcliente = ventas.idcliente where idventa = cuentas_clientes.idventa) as fantasia,
date(cuentas_clientes.ultimo_pago) as ultimo_pago,
(select sucursales.nombre from ventas inner join sucursales on sucursales.idsucu = ventas.sucursal where idventa = cuentas_clientes.idventa) as sucursal_venta,
(select sucursal from sucursal_cliente where idsucursal_clie = ventas.idsucursal_clie) as sucursal_cliente,
vendedor.idvendedor,
CONCAT(vendedor.nombres, ' ', vendedor.apellidos) as vendedor
from cuentas_clientes 
inner join ventas on ventas.idventa = cuentas_clientes.idventa
left join vendedor on vendedor.idvendedor = ventas.vendedor
where 
cuentas_clientes.saldo_activo > 0 
and cuentas_clientes.estado <> 6
and ventas.estado <> 6
$whereadd
order by idcta asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 //    CONCAT('\"',factura,'\"') as Factura,


 $impreso=date("d/m/Y H:i:s");



$datos="";


    // asigna los datos de la consulta a una variable
    $array=$rs->fields;
    
    // CONSTRUYE CABECERA
    $array=$rs->fields;
    foreach($array as $key=>$value){
        $i++;
        $datos.=limpiacsv($key).';';
    }
    reset($array);
    $datos.=$saltolinea;
    
    //CONSTRUYE CUERPO
    $ante=0;
    $fila=1;
    while (!$rs->EOF){
        $fila++;
        $array=$rs->fields;
        $i=0;
        foreach($array as $key=>$value){
            $i++;
            $datos.=limpiacsv($value).';';
        }
        $datos.=$saltolinea;
    $rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=deudasclientes_fac_'.$impreso.'.csv');
    
echo $datos;
exit;

?>