<?php
/*---------------------------------------------

02/02/2022

--------------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';





?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Vencimiento de cobros</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
						
						<form id="form1" name="form1" method="get" action="">

							<div class="col-md-6 col-sm-6 form-group">
								<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
								<div class="col-md-9 col-sm-9 col-xs-12">
								<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

								</div>
							</div>

							<div class="col-md-6 col-sm-6 form-group">
								<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
								<div class="col-md-9 col-sm-9 col-xs-12">
								<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

								</div>
							</div>
							<div class="clearfix"></div>
							<br />


								<div class="form-group">
									<div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
								   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

									</div>
								</div>
						</form>



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            <?php if (isset($_GET['desde']) && isset($_GET['hasta'])){ 
				$buscar="Select idcta,nombre,apellido,documento,ruc,razon_social,deuda_global,saldo_activo,cuentas_clientes.registrado_el,
				(select usuario from usuarios where idusu=cuentas_clientes.registrado_por) as quien,
				(select sucursal from sucursal_cliente where idsucursal_clie=cuentas_clientes.idsucursal_clie)as sucucliente
				from cuentas_clientes
				inner join cliente on cliente.idcliente=cuentas_clientes.idcliente
				where saldo_activo > 0 and cuentas_clientes.estado =1
				and idcta in
				(select distinct(idcta) as idcta from cuentas_clientes_det where vencimiento between '$desde' and '$hasta' and estado <> 3 and estado <> 6)
				order by razon_social asc
				";
				$rs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				//echo $buscar;
			
			?>
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Listado de Cuentas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
						<div class="table-responsive">
							<table width="100%" class="table table-bordered jambo_table bulk_action">
							  <thead>
								<tr>
									<th align="center">Id cuenta</th>
									<th align="center">Cliente</th>
									<th align="center">RUC</th>
									<th align="center">Deuda  Gs</th>
									<th align="center">Saldo Activo Gs</th>
									<th align="center">Registrado el</th>
									<th align="center">Registrado Por</th>
								</tr>
								</thead>
								<tbody>
									
										<?php while (!$rs->EOF){ 
										$suma=$suma+$rs->fields['saldo_activo'];
										$idcuenta=intval($rs->fields['idcta']);
										$buscar="select * from cuentas_clientes_det where estado <> 3 and estado <> 6 and idcta=$idcuenta order by vencimiento asc";
										$rs1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
										?>
										<tr style="background-color:#CDCDCD;">
											<td><?php echo formatomoneda($rs->fields['idcta']); ?></td>
											<td><?php echo ($rs->fields['razon_social']); ?></td>
											<td><?php echo ($rs->fields['ruc']); ?></td>
											<td align="right"><?php echo formatomoneda($rs->fields['deuda_global']); ?></td>
											<td align="right"><?php echo formatomoneda($rs->fields['saldo_activo']); ?></td>
											<td><?php echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); ?></td>
											<td><?php echo ($rs->fields['quien']); ?></td>
										</tr>
										<?php while (!$rs1->EOF){ 
											$suma1=$suma1+$rs->fields['saldo_activo'];
										?>
										<tr>
											<td></td>
											<td>Cuota: <?php echo formatomoneda($rs1->fields['nro_cuota']); ?></td>
											<td>Vencimiento: <?php echo date("d/m/Y",strtotime($rs1->fields['vencimiento'])); ?></td>
											<td><span style="color:#900C3F">Saldo cuota: <?php echo formatomoneda($rs1->fields['saldo_cuota']); ?></span></td>
										</tr>
											<?php $rs1->MoveNext();} ?>
										<?php $rs->MoveNext();} ?>
										<tr>
											<td colspan="7" align="center"><strong>Total por cobrar Gs: <?php echo formatomoneda($suma1); ?></strong></td>
										</tr>
								</tbody>
							</table>
						</div>

                  </div>
                </div>
              </div>
            </div>
            
            <?php } ?>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
