<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="238";
require_once("includes/rsusuario.php");
if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde='00:00';
	$hhasta='23:59';
}else{
	$hdesde=htmlentities($_GET['hdesde']);
	$hhasta=htmlentities($_GET['hhasta']);
}

if(trim($_GET['mostrar']) == 'A'){
	$whereadd=" and nota_credito_cabeza.estado = 6  ";
}else{
	$whereadd=" and nota_credito_cabeza.estado <> 6  ";
}


//Traemos datos para NC<br />
	$buscar="
	Select
	timbrado,idcajaaplicar,numero,fecha_nota,idnotacred,razon_social,nota_credito_cabeza.registrado_el,nota_credito_cabeza.estado,
	ruc,timb_valido_hasta as vtotimbrado,
	(select sum(subtotal) as t from nota_credito_cuerpo where idnotacred=nota_credito_cabeza.idnotacred) as totalnc,
	(select factura from nota_credito_cuerpo where idnotacred=nota_credito_cabeza.idnotacred limit 1) as facturaaplicar,

	CASE WHEN
		(select idnotacred from nota_credito_cuerpo_impuesto where idnotacred = nota_credito_cabeza.idnotacred limit 1) > 0
	THEN
		REPLACE(ROUND(COALESCE((select sum(monto_col) from nota_credito_cuerpo_impuesto where idnotacred = nota_credito_cabeza.idnotacred and nota_credito_cuerpo_impuesto.iva_porc_col = 10),0),0),'.',',')
	ELSE
		REPLACE(ROUND(COALESCE((Select sum(subtotal) as subtotal from nota_credito_cuerpo where idnotacred=nota_credito_cabeza.idnotacred and iva_porc=10),0),0),'.',',')
	END as gravadas_10,

	CASE WHEN
		(select idnotacred from nota_credito_cuerpo_impuesto where idnotacred = nota_credito_cabeza.idnotacred limit 1) > 0
	THEN
		REPLACE(ROUND(COALESCE((select sum(monto_col) from nota_credito_cuerpo_impuesto where idnotacred = nota_credito_cabeza.idnotacred and nota_credito_cuerpo_impuesto.iva_porc_col = 5),0),0),'.',',')
	ELSE
		REPLACE(ROUND(COALESCE((Select sum(subtotal) as subtotal from nota_credito_cuerpo where idnotacred=nota_credito_cabeza.idnotacred and iva_porc=5),0),0),'.',',')
	END as gravadas_05,

	CASE WHEN
		(select idnotacred from nota_credito_cuerpo_impuesto where idnotacred = nota_credito_cabeza.idnotacred limit 1) > 0
	THEN
		REPLACE(ROUND(COALESCE((select sum(monto_col) from nota_credito_cuerpo_impuesto where idnotacred = nota_credito_cabeza.idnotacred and nota_credito_cuerpo_impuesto.iva_porc_col = 0),0),0),'.',',')
	ELSE
		REPLACE(ROUND(COALESCE((Select sum(subtotal) as subtotal from nota_credito_cuerpo where idnotacred=nota_credito_cabeza.idnotacred and iva_porc=0),0),0),'.',',')
	END as gravadas_00


	from nota_credito_cabeza
	where
	date(fecha_nota) between '$desde' and '$hasta'
	$whereadd
	order by numero asc";
	$rs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	//echo $buscar;
	$tnotas=intval($rs->RecordCount());

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>

            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Informe de Nota de Crédito Cliente</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
										  <form id="form1" name="form1" method="get" action="">
													<div class="x_content">
													<div class="col-md-6 col-sm-6 form-group">
															<label class="control-label col-md-3 col-sm-3 col-xs-12"> Fecha Desde *</label>
															<div class="col-md-9 col-sm-9 col-xs-12">
																<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Fecha apertura" class="form-control" required />
															</div>
													</div>

																<div class="col-md-6 col-sm-6 form-group">
																	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Fecha Hasta *</label>
																	<div class="col-md-9 col-sm-6 col-xs-12">
																	<input type="date" name="hasta" id="hasta" value="<?php  echo $hasta; ?>" placeholder="Fecha apertura" class="form-control" required />
																	</div>
																</div>

															  <div class="x_content">

															<div class="col-md-6 col-sm-6 form-group">
																	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Mostrar *</label>
																	<div class="col-md-9 col-sm-9 col-xs-12">
																		<?php

																		// valor seleccionado
																		if(isset($_GET['mostrar'])){
																			$value_selected=htmlentities($_GET['mostrar']);
																		}else{
																			$value_selected='V';
																		}
																		// opciones
																		$opciones=array(
																			'Vigentes' => 'V',
																			'Anulados' => 'A'
																		);
																		// parametros
																		$parametros_array=array(
																			'nombre_campo' => 'mostrar',
																			'id_campo' => 'mostrar',

																			'value_selected' => $value_selected,

																			'pricampo_name' => 'Seleccionar...',
																			'pricampo_value' => '',
																			'style_input' => 'class="form-control"',
																			'acciones' => ' required="required" ',
																			'autosel_1registro' => 'S',
																			'opciones' => $opciones

																		);

																	// construye campo
																	echo campo_select_sinbd($parametros_array);
																									?>
																	</div>

																</div>


										  </div>
															<div class="clearfix"></div>

															<br />

															    <div class="form-group">
															        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
																   <button type="submit" class="btn btn-default" ><span class="fa fa-check-square-o"></span> Filtrar</button>

															        </div>
															    </div>
																				</form>





															                  </div>
															                </div>
															              </div>
															            </div>
															            <!-- SECCION -->
													<?php if (isset($_GET['desde'])){ ?>
										            <!-- SECCION -->
										            <div class="row">
										              <div class="col-md-12 col-sm-12 col-xs-12">
										                <div class="x_panel">
										                  <div class="x_title">
										                  <h2 >Resumen de Notas de Crédito Clientes</h2>
										                    <ul class="nav navbar-right panel_toolbox">
										                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
										                      </li>
										                    </ul>
										                    <div class="clearfix"></div>
										                  </div>
																<hr />
																<div class="col-md-12">
																	<div class="table-responsive">
																		<table width="100%" class="table table-bordered jambo_table bulk_action">
																		  <thead>
																				<th align="center">Id Nota Crédito </th>
																				<th align="center">Fecha Emisión </th>
																				<th align="center">Timbrado </th>
																				<th align="center">Timbrado Vencimiento</th>
																				<th align="center">Ruc</th>
																				<th align="center">Cliente </th>
																				<th align="center">Gravado 10</th>
																				<th align="center">Gravado 5</th>
																				<th align="center">Exento </th>
																				<th align="center">Total </th>

																			</tr>
																		  </thead>

																		  <tbody>
																	<?php while(!$rs->EOF){

																	$totalgeneral=$totalgeneral+floatval($rs->fields['totalnc']);

																	?>
																			<tr>

																				<td align="center"><?php echo antixss($rs->fields['idnotacred']); ?></td>
																				<td align="center"><?php if($rs->fields['fecha_nota'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_nota'])); }  ?></td>
																				<td align="center"><?php echo antixss($rs->fields['timbrado']); ?></td>
																				<td align="center"><?php if($rs->fields['vtotimbrado'] != ""){ echo date("d/m/Y",strtotime($rs->fields['vtotimbrado'])); }  ?></td>
																				<td align="left"><?php echo antixss($rs->fields['ruc']); ?></td>
																				<td align="center"><?php echo antixss($rs->fields['razon_social']);  ?></td>
																				<td align="right"><?php echo formatomoneda($rs->fields['gravadas_10']);  ?></td>
																				<td align="right"><?php echo formatomoneda($rs->fields['gravadas_05']);  ?></td>
																				<td align="right"><?php echo formatomoneda($rs->fields['gravadas_00']);  ?></td>
																				<td align="right"><?php echo formatomoneda($rs->fields['totalnc']);  ?></td>


		</tr>
	<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>

	<tr style= " color:blue ">
<td colspan="12" align="right"><strong> Total: <?php echo formatomoneda($totalgeneral,0,'N'); ?></strong> </td>

</tr>
	<tr>
<td colspan="12" align="center">
 <a href="javascript:void(0);" onClick="generar_xls()">
 <img src="img/xls3.png" width="40px;" height="40px;" />
</a>
	 </td>

	</tr>

																		  </tbody>
																		</table>
																	</div>
																</div>

																<br />





								</div>
			</div>
</div>
</div>

 <?php } ?>

		 </div>
	  </div>
	<script>
function generar_xls(){
var enlace='';
var df=$("#desde").val();
var hf=$("#hasta").val();
var m=$("#mostrar").val();


enlace="inf_nc_cliente_xls.php?&desde="+df+"&hasta="+hf+"&mostrar="+m+"";
	window.open(enlace,"_blank");
		}

</script>
		 <!-- /page content -->

		<!-- footer content -->
<?php require_once("includes/pie_gen.php"); ?>
	<!-- /footer content -->
	</div>
	</div>
	<?php require_once("includes/footer_gen.php"); ?>
</body>
	</html>
