<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="54";
require_once("includes/rsusuario.php"); 

function nombremes($mes){
 setlocale(LC_TIME, 'spanish');  
 $nombre=strftime("%B",mktime(0, 0, 0, $mes, 1, 2000)); 
 return $nombre;
} 
if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
	
}
$whereadd='';

$whereadd.="
and date(fecha) between '$desde' and '$hasta' 
";






// debe estar ultimo ya que sobre escribe todo lo de arriba
if(intval($_GET['ocnum']) > 0){
	$ocnum=intval($_GET['ocnum']);
	$whereadd="
	and compras_ordenes.ocnum = $ocnum
	";
}


$buscar="
Select fecha,ocnum,usuario,tipocompra,nombre,fecha_entrega,compras_ordenes.estado
 from compras_ordenes 
 inner join proveedores on proveedores.idproveedor=compras_ordenes.idproveedor 
 inner join usuarios on usuarios.idusu=compras_ordenes.generado_por 
 where 
 compras_ordenes.estado <> 6
 $whereadd
 order by fecha desc
 ";
$rsh=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$tc=$rsh->RecordCount();


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Informe de Ordenes de Compra</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Orden Num *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="ocnum" id="ocnum" value="<?php echo $ocnum; ?>" placeholder="Orden Num" class="form-control"  />                    

	</div>
</div>

<div class="clearfix"></div>
<br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>


<br />
</form>        
<div class="clearfix"></div>
  <hr /><br /> 
  <?php if ($tc>0){?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
        	<tr>
				<th></th>
				<th>OC Num</th>
            	<th>Fecha</th>
                <th>Proveedor</th>
                <th>Tipo Compra</th>
                <th>Estado</th>
                <th>Fecha Entrega</th>
                <th>Registrado por</th>
          </tr>
	  </thead>
	  <tbody>
          	<?php while (!$rsh->EOF){?>
        	<tr>
                <td align="right">
					<a href="inf_ocdetallev2.php?idoc=<?php echo $rsh->fields['ocnum']; ?>" target="_blank" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>
					<a href="inf_ordenes_compras_pdf.php?idoc=<?php echo $rsh->fields['ocnum']; ?>" target="_blank" class="btn btn-sm btn-default" title="PDF" data-toggle="tooltip" data-placement="right"  data-original-title="PDF"><span class="fa fa-file-pdf-o"></span></a>
                
					
                </td>
                <td align="right"><?php echo formatomoneda($rsh->fields['ocnum']);?></td>
            	<td height="20" align="center"><?php echo date("d/m/Y",strtotime($rsh->fields['fecha']));?></td>
            	<td><?php echo trim($rsh->fields['nombre']);?></td>

                <td align="center"><?php if ($rsh->fields['tipocompra']==1){ echo 'CONT'; } else { echo 'CRED'; }?></td>
                <td align="center"><?php if ($rsh->fields['estado']==1){ echo 'ABIERTO'; } else { if ($rsh->fields['estado']==2){ echo 'EFECTUADA'; } else { echo 'CANCELADA'; }}?></td>
                <td align="center"><?php echo date("d/m/Y",strtotime($rsh->fields['fecha_entrega']));?></td>
                <td align="right"><?php echo trim($rsh->fields['usuario']);?></td>
            </tr>
        	<?php $rsh->MoveNext();}?>
	  </tbody>

    </table>
</div>
<br />
     <?php 
	 	} else {
		 	if (isset($_POST['desde'])){
				echo "<div align='center'><span class='resaltarojomini'>No hemos ubicado ordenes en el rango de fechas ingresado.</span>";
				
			}
		?>
     
     
     <?php } ?>

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
