<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="302";
require_once("includes/rsusuario.php"); 



function cant_dias_rango($fechaini,$fechafin,$formato='L-D'){
	$starDate = new DateTime($fechaini);
	$endDate = new DateTime($fechafin);
	$interval = $starDate->diff($endDate);
	//var_dump($interval);
	//$numberOfDays = $interval->format('%d days');
	$numberOfDays = $interval->days+1; // se suma 1 para que incluya el dia de inicio
	//echo $numberOfDays;
	//echo $numberOfDays;
	//$interval = date_diff($starDate, $endDate);
	//for($i = 1; $i <= $numberOfDays; $i++){
	for($i = 1; $i <= $numberOfDays; $i++){	
		$diasem=$starDate->format('N');
		//echo $starDate->format('d/m/Y').'-';
		//echo $diasem.'<br />';
		switch ($diasem) {
			case 1:
				$lunes++;
				break;
			case 2:
				$martes++;
				break;
			case 3:
				$miercoles++;
				break;
			case 4:
				$jueves++;
				break;
			case 5:
				$viernes++;
				break;
			case 6:
				$sabado++;
				break;
			case 7:
				$domingo++;
				break;
		}
		 
		 $starDate->modify("+1 days");
					
	}
	// cantidad dias
	if($formato == 'L-D'){
		$arr=array(
			'1' => $lunes,
			'2' => $martes,
			'3' => $miercoles,
			'4' => $jueves,
			'5' => $viernes,
			'6' => $sabado,
			'7' => $domingo
		);
	}
	if($formato == 'D-S'){
		$arr=array(
			'1' => $domingo,
			'2' => $lunes,
			'3' => $martes,
			'4' => $miercoles,
			'5' => $jueves,
			'6' => $viernes,
			'7' => $sabado
		);
	}
	
	return $arr;
}
/*
if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';*/
if(trim($_GET['mes']) == '' or trim($_GET['ano']) == ''){
	$mes=date("m");
	$ano=date("Y");
}else{
	$mes=intval($_GET['mes']);
	$ano=intval($_GET['ano']);
}
$ultdiames=ultimoDiaMes($mes,$ano);
$desde=date("Y-m-d",strtotime($ano.'-'.$mes.'-01'));
$hasta=date("Y-m-d",strtotime($ano.'-'.$mes.'-'.$ultdiames));	


if(intval($_GET['idcategoria']) > 0){
	$cate=intval($_GET['idcategoria']);
	$addcate=" and productos.idcategoria=$cate" ;
}
if(intval($_GET['idsubcate']) > 0){
	$subcate=intval($_GET['idsubcate']);
	$addsubcate=" and productos.idsubcate=$subcate" ;
}
if(($_GET['cj']) > 0){
	$idcaja=intval($_GET['cj']);
	$filtrocaja=" and ventas.idcaja = $idcaja";
	
}
if(($_GET['suc']) > 0){
	$idsuc=intval($_GET['suc']);
	$filtrocaja=" and ventas.sucursal = $idsuc";
	
}
if(trim($_GET['suc']) == 'ss'){
	
	$consulta="
	select idsucu 
	from sucursales 
	where 
	estado = 1 
	and matriz = 'N'
	";
	$rssucufil=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$sucu_or_add="and ( ".$saltolinea;
	$i=0;
	while(!$rssucufil->EOF){
		$i++;
		$idsuc=intval($rssucufil->fields['idsucu']);
		if($i == 1){
			$sucu_or_add.=" ventas.sucursal = $idsuc ".$saltolinea;
		}else{
			$sucu_or_add.=" or ventas.sucursal = $idsuc ".$saltolinea;	
		}
	$rssucufil->MoveNext(); }
	$sucu_or_add.=" ) ".$saltolinea;
	$filtrocaja=$sucu_or_add;
	
}
if(($_GET['operador']) > 0){
	$operador_pedido=intval($_GET['operador']);
	$filtrocaja=" and ventas.operador_pedido = $operador_pedido ";
	
}
if(($_GET['cajero']) > 0){
	$cajero=intval($_GET['cajero']);
	$filtrocaja=" and ventas.registrado_por = $cajero";
	
}



// mysql DAYOFWEEK() 1=Sunday, 2=Monday, 3=Tuesday, 4=Wednesday, 5=Thursday, 6=Friday, 7=Saturday.



$consulta="
SELECT productos.idprod_serial, productos.descripcion, DAY(fecha) as dia, sum(ventas_detalles.subtotal) as monto, sum(ventas_detalles.cantidad) as cantidad
FROM `ventas`
inner join ventas_detalles on ventas_detalles.idventa = ventas.idventa 
inner join productos on productos.idprod_serial = ventas_detalles.idprod
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
$addcate
$addsubcate
and ventas.estado <> 6
and ventas.excluye_repven = 0
and ventas.idempresa = $idempresa
$filtrocaja
group by DAY(fecha), productos.idprod_serial, productos.descripcion
order by productos.descripcion asc
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$array_prod=array();
while(!$rs->EOF){
	$idprod=$rs->fields['idprod_serial'];
	$dia=$rs->fields['dia'];
	$array_prod[$idprod][$dia]['cant'] =  $rs->fields['cantidad'];
	//$array_prod[$idprod][$dia]['monto'] =  $rs->fields['monto'];
$rs->MoveNext(); }
//$rs->MoveFirst();
//print_r($array_prod);exit;

// para recorrer los productos
$consulta="
select idprod_serial, descripcion
from 
(
$consulta
 ) as prod
 group by idprod_serial, descripcion
 order by descripcion asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function subcategorias(idcategoria){
	var direccionurl='subcate_inf.php';	
	var parametros = {
	  "idcategoria" : idcategoria
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#subcatebox").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(xhr.status === 200){
				$("#subcatebox").html(response);
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
}

</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Venta de Productos por Dia</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php 
$refemenu="proddia";
require_once("includes/menu_venta_graf.php"); ?>
<div class="clearfix"></div>
<hr />
					  

<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Mes *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="mes" id="mes" value="<?php  echo $mes; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Ano *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="ano" id="ano" value="<?php echo $ano; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Categoria * </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
<?php 
require_once("cate_inf.php");

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Subcategoria *</label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="subcatebox">
<?php 
require_once("subcate_inf.php");

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Sucursal * </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
<?php 
	  
	  
//lista de sucursales
$buscar="select * from sucursales where  estado = 1 order by nombre asc";
$rsfd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

	  
	  
	  ?><select name="suc" id="suc" class="form-control" >
        <option value="0" <?php if(intval($_GET['suc']) == 0){?>selected="selected"<?php }?>>TODOS</option>
        <option value="ss" <?php if($_GET['suc'] == 'ss'){?>selected="selected"<?php }?> >SOLO SUCURSALES</option>
       <?php while (!$rsfd->EOF){?>
        <option value="<?php echo $rsfd->fields['idsucu']?>" <?php if($rsfd->fields['idsucu']==intval($_GET['suc'])){?>selected="selected"<?php }?>><?php echo $rsfd->fields['nombre']?></option>
    
         <?php $rsfd->MoveNext();}?>
    </select>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Operador * </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
<?php 
// consulta
$consulta="
SELECT idusu, usuario
FROM usuarios
where
estado = 1
order by usuario asc
 ";

// valor seleccionado
if(isset($_GET['operador'])){ 
	$value_selected=htmlentities($_GET['operador']); 
}else{
	//$value_selected=htmlentities($rs->fields['idusu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'operador',
	'id_campo' => 'operador',
	
	'nombre_campo_bd' => 'usuario',
	'id_campo_bd' => 'idusu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Cajero * </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
<?php 
// consulta
$consulta="
SELECT idusu, usuario
FROM usuarios
where
estado = 1
order by usuario asc
 ";

// valor seleccionado
if(isset($_GET['cajero'])){ 
	$value_selected=htmlentities($_GET['cajero']); 
}else{
	//$value_selected=htmlentities($rs->fields['idusu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'cajero',
	'id_campo' => 'cajero',
	
	'nombre_campo_bd' => 'usuario',
	'id_campo_bd' => 'idusu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>

	

<div class="clearfix"></div>
<br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>


<br />
</form> 
					  
					  <div class="clearfix"></div>
<hr />
					  
<?php 
				  
if(intval($_GET['diasemana']) > 0){ ?>
<?php if($_GET['dividir'] == 's'){ ?>
Hay <strong><?php echo $cant_dias_esedia; ?></strong> dias <strong><?php echo $diasemana_ar[$diasemana]; ?></strong> en el rango de fechas seleccionado, los resultados se muestran divididos entre <strong><?php echo $cant_dias_esedia; ?></strong>.<br /><br />
<?php } ?>
<?php } ?>
<a href="inf_productos_dia_csv.php<?php echo parametros_url(); ?>" class="btn btn-sm btn-default"><span class="fa fa-file-excel-o"></span> Descargar CSV</a>
<div class="table-responsive">
	<table width="100%" class="table table-bordered jambo_table bulk_action">
		<thead>
			<tr>
			  <td>Producto</td>
			<?php  for($i=1;$i<=31;$i++){  ?>
			  <td><?php echo agregacero($i,2); ?></td>
			<?php } ?>
			</tr>
		</thead>
		<tbody>
	<?php while(!$rs->EOF){ 

	$idprod=$rs->fields['idprod_serial'];
	?>
		<tr>
		  <td align="left"><?php echo $rs->fields['descripcion']; ?></td>
		<?php for($i=1;$i<=31;$i++){ 
			$cantidad=$array_prod[$idprod][$i]['cant'];
			if($_GET['dividir'] == 's'){
				$cantidad=$cantidad/$cant_dias_esedia;
			}

			?>
		  <td align="right"><?php echo formatomoneda($cantidad,4,'N'); ?></td>
		<?php } ?>
		</tr>
	<?php $rs->MoveNext(); } ?>
	  </tbody>
	</table>
</div>



<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
