<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente

//Vemos si hubo POST buscar
if (isset($_POST['factura'])){
	
	$factura=antisqlinyeccion($_POST['factura'],'text');
	$idprov=intval($_POST['proveedor']);
	$add1='';
	if (($factura !='') &&($factura !='NULL')){
		$add1=" where facturacompra=$factura";
		if ($idprov>0){
			$add1=$add1." and compras.idproveedor=$idprov ";
		}
	} else {
		$add1=$add1." where compras.idproveedor=$idprov ";
		
	}
	$buscar="Select idcompra,fechacompra,nombre,total,facturacompra,tipocompra from compras
	inner join proveedores on proveedores.idproveedor=compras.idproveedor 
	 $add1 and proveedores.idempresa=$idempresa order by fechacompra desc";
	$rscompras=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tcompras=$rscompras->RecordCount();
	
}

//Total de compras por mes (last 12)
$buscar="select extract(month from fechacompra)as mes,extract(year from fechacompra)as anocomp, SUM(total) as totcompra from compras group by mes order by mes asc";
$rscomp=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

//Total de compras por mes x tipo
$buscar="SELECT extract(month from fechacompra)as mes,extract(year from fechacompra)as anocomp,sum(total) as totalgral,
 ( select sum(total) as tcontado from compras WHERE tipocompra=1 and extract(month from fechacompra)= mes and extract(year from fechacompra)= anocomp) as tcontado, 
 ( select sum(total) as tcontado from compras WHERE tipocompra=2 and extract(month from fechacompra)= mes and extract(year from fechacompra)= anocomp) as tcred 
 from compras GROUP by mes";
$rscomp1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));






//Proveedor
$buscar="Select * from proveedores  order by nombre ASC";
$rsprov=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<?php require("includes/head.php"); ?>
<script>
function alertar(titulo,error,tipo,boton){
	swal({   title: titulo,   text: error,   type: tipo,   confirmButtonText: boton });
	}
</script>
<script src="js/sweetalert.min.js"></script>
<link rel="stylesheet" type="text/css" href="css/sweetalert.css">
<script>
	function buscar(){
		var errores='';
		var factu=document.getElementById('factura').value;
		var prov=document.getElementById('proveedor').value;
		if (factu==''){
			if (prov=='0'){
				errores=errores+'Debe indicar numero de factura, o bien seleccionar un proveedor de la lista. \n';
			} else {
				document.getElementById('formb').submit();	
			}
		} else {
			document.getElementById('formb').submit();	
		
		}
		if (errores !=''){
			alertar('ATENCION: Algo sali mal.',errores,'error','Lo entiendo!');
		}
	}
function abrir(que){
	if (que!=''){
		var parametros="idc="+que;
		enlace='gest_lista_detalles.php';
		OpenPage(enlace,parametros,'POST','resultado','pred');
	}
}
function filtrar(cual){
	var emp=<?php echo $idempresa?>;
	if (cual==1){
		//filtro normal
		var desde=document.getElementById('desde').value;
		var hasta=document.getElementById('hasta').value;
		var proveedor=document.getElementById('proveedor').value;
		var parametros='d='+desde+'&h='+hasta+'&idp='+proveedor+'&tp=1'+'&mt=0&empresa='+emp;
		OpenPage('inf_compras_mini.php',parametros,'POST','resultado','pred');
	}
	if (cual==2){
			var parametros='mt=0&empresa='+emp;
			OpenPage('inf_compras_mini.php',parametros,'POST','resultado','pred');
		
		
	}
}
function reporte(cual){
	
	document.getElementById('clase').value=parseInt(cual);
	document.getElementById('formular').submit();
	
}
</script>
</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="clear"></div>
<div class="cuerpo">
 
<div class="colcompleto" id="contenedor">
    <div class="divstd">
    	
   	  <span class="resaltaditomenor">
    		Movimiento Diario</span>
    </div>
    <br />
    	
    <div align="center">
	   <br />
    
   		 <table width="298" border="0">
              <tbody>
              <tr>
                <td width="146" height="33" align="center" style="border-left:groove; border-top:groove"><strong>Desde</strong></td>
                <td width="241" align="center"  style="border-top:groove; "><strong>Hasta</strong></td>
                              </tr>
                <tr>
                  <td height="46" style="border-left:groove; border-bottom:groove"><input type="date" name="desde" id="desde" value="" /></td>
                  <td style="border-bottom:groove; "><input type="date" name="hasta" id="hasta" value="" /></td>
                  
                  
                </tr>
                <tr>
                	<td height="46" colspan="2" align="center">
                    	<input type="button" name="filtrar" onclick="filtrar(1)" value="Filtrar"  />
                    </td>
                </tr>
              </tbody>
            </table>

	</div>
    <hr />
     <div id="resultado"></div>
   
   
</div> 
<!-- contenedor -->
 	 
   <div class="clear"></div><!-- clear1 -->
</div> <!-- cuerpo -->
<div class="clear"></div><!-- clear2 -->
<?php require("includes/pie.php"); ?>
</body>
</html>


