<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="143";
require_once("includes/rsusuario.php"); 

ini_set('memory_limit','128M');

$historico="N";
if(strtolower($_GET['his']) == 's'){
	$historico="S";
}


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	//$desde=date("Y-m-").'01';
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));		
}

if($_GET['idgrupoinsu'] > 0){
	$grupo=intval($_GET['idgrupoinsu']);
	$whereadd.=" and insumos_lista.idgrupoinsu = $grupo ";
}
if($_GET['iddeposito'] > 0){
	$deposito=intval($_GET['iddeposito']);
	$whereadd.=" and stock_movimientos.iddeposito = $deposito ";
}
if($_GET['idtipomov'] > 0){
	$idtipomov=intval($_GET['idtipomov']);
	$whereadd.=" and stock_movimientos.tipomov = $idtipomov ";
}
if($_GET['idinsumo'] > 0){
	$idinsumo=intval($_GET['idinsumo']);
	$whereadd.=" and stock_movimientos.idinsumo = $idinsumo ";
}


if(trim($_GET['desde']) != ''){
	$consulta="
	SELECT 
	stock_movimientos.idstockmov as idstockmov_pk,
	gest_depositos.descripcion as deposito, 
	stock_tipomov.tipomov,  
	insumos_lista.idinsumo as cod_articulo, 
	insumos_lista.descripcion as articulo,
	(select barcode from productos where idprod_serial = insumos_lista.idproducto) as codbar,
	REPLACE(COALESCE(stock_movimientos.cantidad_sistema_ant,0),'.',',')  as cantidad_anterior,
	REPLACE(COALESCE(CONCAT(stock_movimientos.sumaoresta,\"\",stock_movimientos.cantidad),0),'.',',')   as cantidad_movimiento,
	REPLACE(COALESCE(stock_movimientos.cantidad_sistema,0),'.',',')  as cantidad_sistema,
	stock_movimientos.fechahora as fechahoramov,
	stock_movimientos.fecha_comprobante as fecha_comprobante,
	stock_movimientos.codrefer as codrefer,
	(select usuario from usuarios where usuarios.idusu = stock_movimientos.idusu) as usuario
	FROM stock_movimientos
	inner join stock_tipomov on stock_tipomov.idtipomov = stock_movimientos.tipomov
	inner join insumos_lista on insumos_lista.idinsumo = stock_movimientos.idinsumo
	inner join gest_depositos on gest_depositos.iddeposito = stock_movimientos.iddeposito
	WHERE
	stock_movimientos.fecha_sin_hora >= '$desde'
	and stock_movimientos.fecha_sin_hora <= '$hasta'
	and insumos_lista.hab_invent = 1
	$whereadd
	
	";
	
	if($historico == 'S'){
		
		$consulta.="
		UNION ALL 
		
		SELECT 
		stock_movimientos_bak.idstockmov as idstockmov_pk,
		gest_depositos.descripcion as deposito, 
		stock_tipomov.tipomov,  
		insumos_lista.idinsumo as cod_articulo, 
		insumos_lista.descripcion as articulo,
		(select barcode from productos where idprod_serial = insumos_lista.idproducto) as codbar,
		REPLACE(COALESCE(stock_movimientos_bak.cantidad_sistema_ant,0),'.',',')  as cantidad_anterior,
		REPLACE(COALESCE(CONCAT(stock_movimientos_bak.sumaoresta,\"\",stock_movimientos_bak.cantidad),0),'.',',')   as cantidad_movimiento,
		REPLACE(COALESCE(stock_movimientos_bak.cantidad_sistema,0),'.',',')  as cantidad_sistema,
		stock_movimientos_bak.fechahora as fechahoramov,
		stock_movimientos_bak.fecha_comprobante as fecha_comprobante,
		stock_movimientos_bak.codrefer as codrefer,
		(select usuario from usuarios where usuarios.idusu = stock_movimientos_bak.idusu) as usuario
		FROM stock_movimientos_bak
		inner join stock_tipomov on stock_tipomov.idtipomov = stock_movimientos_bak.tipomov
		inner join insumos_lista on insumos_lista.idinsumo = stock_movimientos_bak.idinsumo
		inner join gest_depositos on gest_depositos.iddeposito = stock_movimientos_bak.iddeposito
		WHERE
		stock_movimientos_bak.fecha_sin_hora >= '$desde'
		and stock_movimientos_bak.fecha_sin_hora <= '$hasta'
		and insumos_lista.hab_invent = 1
		$whereadd2
		
		";
	
	}
	
	$consulta.="
	order by fechahoramov desc, idstockmov_pk desc 
	limit 100000
	";
	//echo $consulta;
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

}else{
	
	echo "No se enviaron paraetros."; exit;
}



// asigna los datos de la consulta a una variable
$array=$rs->fields;

// CONSTRUYE CABECERA
foreach($array as $key=>$value){
	$i++;
	$datos.=limpiacsv($key).';';
}
reset($array);
$datos.=$saltolinea;





$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=inf_stock_mov_'.$impreso.'.csv');
	
	
// imprime cabecera
echo $datos;


//CONSTRUYE CUERPO
$fila=1;
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		echo limpiacsv($value).';';
	}
	echo $saltolinea;
$rs->MoveNext(); }


exit; 


?>
