<?php
set_time_limit(0);
ini_set('memory_limit','512M');
require_once("includes/conexion.php");
require_once("includes/funciones.php");

// Modulo y submodulo respectivamente
$modulo="23";
$submodulo="291";
require_once  '../clases/mpdf/vendor/autoload.php';
require_once("includes/rsusuario.php"); 

$hoy=date("Y-m-d");
$d=date("Y-m-d",strtotime($_REQUEST['d']));
$h=date("Y-m-d",strtotime($_REQUEST['h']));


if ($d!=''){
	$desde=antisqlinyeccion($d,'text');
	$hasta=antisqlinyeccion($h,'text');
	
	$buscar="select descripcion,count(idproductolista) as cantidad 
	from viandas_pedidos_lista_componentes
	inner join productos
	on productos.idprod_serial=viandas_pedidos_lista_componentes.idproductolista
	where viandas_pedidos_lista_componentes.esta=1 and idvianda in
	(select idvianda from viandas_pedidos_lista where estado=1 and fecha_para between $desde and $hasta)
	group by idproductolista
	order by descripcion asc
	";
	//echo $buscar;
	$rs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tvi=$rs->RecordCount();

	

$html='';
$html.="
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
<html xmlns=\"http://www.w3.org/1999/xhtml\">
<head>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />
<title>Consolidado Pedidos</title>

</head>
<body bgcolor=\"#FFFFFF\">
	
	<div class=\"clear\"></div>
		<div class=\"cuerpo\">
			<div align=\"center\">
     
			 
				<div align=\"center\"><img src=\"gfx/empresas/emp_1.png\" width=\"150\" height=\"90\" alt=\"\"/></div>
				";
				
					$html.="<br />
                <br />
				<div align=\"center\" style=\"float:left; margin-left:auto;margin-right:auto; width:70%;\">
              <table width=\"100%\">
                	<tr>
                	  <td height=\"43\" colspan=\"2\" align=\"center\" bgcolor=\"#F7F7F7\"><strong>Pedidos de Empresas<br />Desde: ".date("d/m/Y",strtotime($d))."&nbsp;&nbsp; Hasta: ".date("d/m/Y",strtotime($h))."</strong><br /></td>
               	  </tr>
                	<tr>
                    	<td height=\"30\" align=\"center\" bgcolor=\"#F7F7F7\"><strong>Descripcion</strong></td>
                        <td align=\"center\" bgcolor=\"#F7F7F7\"><strong>Cantidad</strong></td>
                        
                  </tr>";
				  
                	while (!$rs->EOF){
						$html.="
                	<tr>
                    	<td height=\"28\">".$rs->fields['descripcion']."</td>
                        <td align=\"center\">".formatomoneda($rs->fields['cantidad'])."</td>
                        
                    </tr>";
					$rs->MoveNext();
					}
					$html.="
                </table>
                </div>
				
				";
				
				
			$html.="	
		  </div>
   		<div class=\"clear\"></div>
	</div> 
	
	
</body>
</html>";

$pie="E-kar&uacute; | Software gastron&oacute;mico. Generado el".date("d/m/Y H:i:s")."  | Generado por $cajero";
$mpdf = new mPDF('','Legal-P', 0, 0, 0, 0, 0, 0);
//$mpdf = new mPDF('','A4',55,'dejavusans');
//$mpdf = new mPDF('c','A4','100','',32,25,27,25,16,13);
$mini=date('dmYHis');
$mpdf->SetDisplayMode('fullpage');
$mpdf->SetFooter("$pie" . "\n\n\n" . 'Pag: {PAGENO}');
$mpdf->use_kwt = true; 
//$mpdf->shrink_tables_to_fit = 1;
$mpdf->shrink_tables_to_fit = 1;
// Write some HTML code:
$mpdf->WriteHTML($html);
// Output a PDF file directly to the browser
//si no se usa el tributo I, no permite usar el nombre indicado y los archivos no sedescargan nunca!!
$mpdf->Output('pedidos_consolidados_viandas'.$mini.'.pdf','I');

}
?>
