<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="518";
require_once("includes/rsusuario.php"); 

require_once("includes/funciones_carrito.php");

$idatc=intval($_GET['id']);
if($idatc == 0){
	header("location: informe_atc.php");
	exit;	
}



$consulta="
select idatc, fecha_inicio as apertura_mesa, sucursales.nombre as sucursal, mesas.numero_mesa, salon.nombre as salon,
CASE WHEN
	mesas_atc.estado = 1
THEN 
	'ABIERTO'
ELSE
	'CERRADO'
END as estado_txt
from mesas_atc 
inner join sucursales on sucursales.idsucu = mesas_atc.idsucursal
inner join mesas on mesas.idmesa = mesas_atc.idmesa
inner join salon on salon.idsalon = mesas.idsalon
where
mesas_atc.estado <> 6
and idatc = $idatc
order by idatc asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idatc=intval($rs->fields['idatc']);
if($idatc == 0){
	header("location: informe_atc.php");
	exit;	
}


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Informe de Ocupacion de mesas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<p><a href="informe_atc.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">idtc</th>
			<th align="center">Apertura</th>
			<th align="center">Sucursal</th>
			<th align="center">Salon</th>
			<th align="center">Numero Mesa</th>
			<th align="center">Estado</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idatc']); ?></td>
			<td align="center"><?php if($rs->fields['apertura_mesa'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['apertura_mesa'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['sucursal']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['salon']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['numero_mesa']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['estado_txt']); ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />		  
<?php 
$consulta="
select *, (select numero_mesa from mesas where mesas.idmesa = tmp_ventares_cab.idmesa) as numero_mesa,
(select usuario from usuarios where idusu = tmp_ventares_cab.idusu) as operador
from tmp_ventares_cab
where
tmp_ventares_cab.finalizado = 'S'
and tmp_ventares_cab.estado <> 6
and tmp_ventares_cab.idatc = $idatc
order by tmp_ventares_cab.fechahora asc
";
//echo $consulta;
//exit;
$rsmesa=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$tcuerpo=$rsmesa->RecordCount();
$numero_mesa=$rsmesa->fields['numero_mesa'];					  
					  
?>					  
 <?php while(!$rsmesa->EOF){?>

<div class="table-responsive">
<table width="100%" class="table table-bordered jambo_table bulk_action">
	<thead>
  <tr>
    <td align="center" ><strong>Pedido</strong></td>
    <td align="center" ><strong>Fecha/Hora</strong></td>
    <td align="center" ><strong>Operador</strong></td>
    
    </tr>
		</thead>
	<tbody>
  <tr align="center">
    <td height="30" style="font-size:16px;"><?php echo $rsmesa->fields['idtmpventares_cab']; ?></td>
    <td><?php echo date("d/m/Y H:i:s",strtotime($rsmesa->fields['fechahora'])); ?></td>
    <td><?php echo $rsmesa->fields['operador']; ?></td>
    </tr>
  <tr>
    <td colspan="3">
<?php 
$idtmpventares_cab=$rsmesa->fields['idtmpventares_cab'];
$parametros_array=array("estado_pedido" => 'R', "idpedido" => $idtmpventares_cab);
$carrito_detalles=carrito_muestra($parametros_array);

?>    

<div class="table-responsive">
<table width="100%" class="table table-bordered jambo_table bulk_action" border="1">
    <thead>
        <tr>
            <th  >Producto</th>
            <th  >Cantidad</th>
            <th  >P.U.</th>
            <th  >Subtotal</th>


        </tr>
    </thead>
    <tbody>
<?php foreach($carrito_detalles as $carrito_detalle){

if($carrito_detalle['idtipoproducto'] != 5){
?>
        <tr>
            <td align="left"><?php echo  $carrito_detalle['descripcion'];
			if(trim($carrito_detalle['observacion']) != ''){
				echo  "<br />&nbsp;&nbsp;( ! ) OBS: ".$carrito_detalle['observacion'];
			}
			//print_r($carrito_detalle['agregados']);
			
			
			// combinado extendido
			$combinados=$carrito_detalle['combinado'];
			$ic=1;
			foreach($combinados as $combinado){
				echo "<br />&nbsp;&nbsp;> Parte $ic: ".Capitalizar($combinado['descripcion']);
				$ic++;
			}
			// combo
			$combos=$carrito_detalle['combo'];
			$ic=1;
			foreach($combos as $combo){
				echo "<br />&nbsp;&nbsp;> ".formatomoneda($combo['cantidad'])." x ".Capitalizar($combo['descripcion']);
				$ic++;
			}
			// combinado viejo
			$combinado_vs=$carrito_detalle['combinado_v'];
			$ic=1;
			foreach($combinado_vs as $combinado_v){
				echo "<br />&nbsp;&nbsp;> Parte $ic: ".Capitalizar($combinado_v['descripcion']);
				$ic++;
			}
			
			
			
			// agregados
			$carrito_agregados=$carrito_detalle['agregados'];
			$iag=1;
			foreach($carrito_agregados as $carrito_agregado){
				echo "<br />&nbsp;&nbsp;&nbsp;(+) ".formatomoneda($carrito_agregado['cantidad']).' x '.trim($carrito_agregado['alias'],36)."<br />";
				echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gs. ".formatomoneda($carrito_agregado['precio_adicional'])."";
				$iag++;
			}
			// sacados
			$carrito_sacados=$carrito_detalle['sacados'];
			$iag=1;
			foreach($carrito_sacados as $carrito_sacado){
				echo "<br />&nbsp;&nbsp;&nbsp;(-) SIN ".trim($carrito_sacado['alias'],36)."";
				$iag++;
			}
			

	
			$totalacum+=$carrito_detalle['subtotal_con_extras'];
			
			$estilo_entrada="";
			$estilo_fondo="";
			if($carrito_detalle['tipo_plato'] == 'E'){
				$estilo_entrada=' style="background-color:#82E9FF;" ';
			}
			if($carrito_detalle['tipo_plato'] == 'F'){
				$estilo_fondo=' style="background-color:#82E9FF;" ';
			}
			
			
			if($carrito_detalle['idventatmp'] > 0){
				$tipo_borra='onClick="borrar_item('.$carrito_detalle['idventatmp'].','.$carrito_detalle['idproducto'].',\''.Capitalizar(str_replace("'","",$carrito_detalle['descripcion'])).'\');"';
				$tipo_personaliza='editareceta.php?idvt='.$carrito_detalle['idventatmp'];
				$accion_entrada='onclick="marcarplato_item('.$carrito_detalle['idventatmp'].',\'E\');"';
				$accion_fondo='onclick="marcarplato_item('.$carrito_detalle['idventatmp'].',\'F\');"';
			}else{
				$tipo_borra='onClick="borrar('.$carrito_detalle['idproducto'].',\''.Capitalizar(str_replace("'","",$des)).'\');"';
				$tipo_personaliza='editareceta.php?id='.$carrito_detalle['idproducto'];
				$accion_entrada='onclick="marcarplato('.$carrito_detalle['idproducto'].',\'E\');"';
				$accion_fondo='onclick="marcarplato('.$carrito_detalle['idproducto'].',\'F\');"';
			}
			
			
			 ?></td>
            <td align="center"><?php   if($carrito_detalle['idmedida'] != 4 && $carrito_detalle['idtipoproducto'] == 1){?><a href="cantidad_cambia.php?id=<?php echo $carrito_detalle['idproducto']; ?>" title="Editar Cantidad"><?php } ?><?php echo  formatomoneda($carrito_detalle['cantidad'],4,'N'); ?><?php  if($carrito_detalle['idmedida'] != 4 && $carrito_detalle['idtipoproducto'] == 1){?></a><?php } ?></td>
            <td align="right"><?php echo  formatomoneda($carrito_detalle['precio_unitario_con_extras'],2,'N'); ?></td>
            <td align="right"><?php echo  formatomoneda($carrito_detalle['subtotal_con_extras'],2,'N'); ?></td>


        </tr>
<?php } // if($carrito_detalle['idtipoproducto'] != 5){ ?>
<?php } ?>
    <tr>
      <td height="50" colspan="5"><strong>Total: <?php echo formatomoneda($totalacum,0); ?></strong></td>
    </tr>
    </tbody>
</table>
</div>
<br />
    
    </td>
    </tr>
		</tbody>
</table>
</div>


  <?php $rsmesa->MoveNext(); }?>
  <br /><br /><br />
					  

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
