<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="467";
require_once("includes/rsusuario.php"); 

$idcaja=intval($_GET['id']);
if($idcaja == 0){
	header("location: informe_caja_new.php");
	exit;	
}

if($idusu != 2 && $idusu != 3){
	$whereadd2="
	and cajero <> 3
	and cajero <> 2
	";
}
if($soporte <> 1){
	$whereadd2.="
	and cajero not in (select idusu from usuarios where soporte = 1)
	";
}
$consulta="
select * , (select usuario from usuarios where idusu = caja_super.cajero) as cajero_usu,
(select nombre from sucursales where idempresa = $idempresa and idsucu = caja_super.sucursal) as sucursal
from caja_super
where
estado_caja <> 6
and idcaja = $idcaja
$whereadd2
order by caja_super.estado_caja asc, fecha_apertura desc
$limit
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcaja=intval($rs->fields['idcaja']);
$idcaja_compartida=intval($rs->fields['idcaja_compartida']);
$rendido=intval($rs->fields['rendido']);
if($idcaja == 0){
	header("location: informe_caja_new.php");
	exit;	
}
if($idcaja_compartida > 0){
	$consulta="
	select *, (select usuario from usuarios where idusu = caja_super.cajero) as cajero_prin
	from caja_super
	where
	idcaja = $idcaja_compartida
	";
	$rscajprin = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$cajero_prin=antixss($rscajprin->fields['cajero_prin']);
}

// recalcular caja
recalcular_caja($idcaja);
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


// cajas secundarias
$consulta="
SELECT caja_super.*, usuarios.usuario as cajero_sec
FROM `caja_super` 
inner join usuarios on usuarios.idusu = caja_super.cajero
WHERE 
idcaja_compartida = $idcaja
and estado_caja <> 6
";
$rscajsec = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcaja_secundaria=intval($rscajsec->fields['idcaja']);




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Informe de Caja</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php 
$refemenu="hor";
require_once("includes/menu_cajanew.php");

?>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
      <thead>
            <tr align="center" valign="middle">
        
              <th>Idcaja</th>
              <th>Sucursal</th>
              <th>Apertura</th>
              <th>Cierre</th>
              <th>Estado</th>
              <th>Cajero</th>
              <th>Monto Apertura</th>
              <th>Monto al cierre</th>
              <th>Sobrante</th>
              <th>Faltante</th>
              


            </tr>
    </thead>    
	<tbody>
<?php 


$estado=$rs->fields['estado_caja'];
if($estado==1){
	$estadocaja="Abierta";
}else if($estado==3){
	$estadocaja="Cerrada";
}else{
	$estadocaja="Indeterminada";	
}
?>
            <tr align="center" valign="middle">
      
              <td><?php echo $rs->fields['idcaja']; ?></td>
              <td align="left"><?php echo $rs->fields['sucursal']; ?></td>
              <td><?php echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_apertura'])); ?></td>
              <td><?php if($rs->fields['fecha_cierre'] != ''){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_cierre'])); } ?></td>
              <td><?php echo $estadocaja?></td>
              <td><?php echo capitalizar($rs->fields['cajero_usu']); ?></td>
              <td align="right"><?php echo formatomoneda($rs->fields['monto_apertura']); ?></td>
              <td><?php if($estado==3){ echo formatomoneda($rs->fields['monto_cierre']); }else{ echo "Caja Abierta"; }  ?></td>
              <td align="right"><?php if($estado==3){ echo formatomoneda($rs->fields['sobrante']); }else{ echo "Caja Abierta"; }  ?></td>
              <td align="right" style="color:#FF0000;"><?php if($estado==3){  echo formatomoneda($rs->fields['faltante']); }else{ echo "Caja Abierta"; } ?></td>
  
            </tr>

      </tbody>
    </table>
</div>


<hr />
<?php
$consulta = "
SELECT 
    fp.descripcion AS formapago, 
    cs.monto_apertura, 
    COALESCE(ingresos.total, 0) AS ingresos_sys_monto, 
    COALESCE(egresos.total, 0) AS egresos_sys_monto, 
    (COALESCE(ingresos.total, 0) - COALESCE(egresos.total, 0)) AS total_sys_monto, 
    COALESCE(prop_afecta.total, 0) AS propina_afecta_caja_monto, 
    COALESCE(prop_no_afecta.total, 0) AS propina_no_afecta_caja_monto, 
    (COALESCE(cs.monto_apertura, 0) + (COALESCE(ingresos.total, 0) - COALESCE(egresos.total, 0)) - COALESCE(prop_afecta.total, 0) + COALESCE(prop_no_afecta.total, 0)) AS total_teorico, 
    COALESCE(declarado.total, 0) AS declarado_cajero_monto, 
    (COALESCE(declarado.total, 0) - (COALESCE(cs.monto_apertura, 0) + (COALESCE(ingresos.total, 0) - COALESCE(egresos.total, 0)) - COALESCE(prop_afecta.total, 0) + COALESCE(prop_no_afecta.total, 0)) ) AS diferencia
FROM formas_pago fp
-- Monto de apertura
LEFT JOIN (
    SELECT 1 AS idformapago, monto_apertura
    FROM caja_super
    WHERE idcaja = $idcaja
) cs ON fp.idforma = cs.idformapago
-- Ingresos por forma de pago
LEFT JOIN (
    SELECT gest_pagos_det.idformapago, SUM(gest_pagos_det.monto_pago_det) AS total
    FROM gest_pagos
    INNER JOIN gest_pagos_det ON gest_pagos_det.idpago = gest_pagos.idpago
    WHERE gest_pagos.estado <> 6
    AND gest_pagos.idcaja = $idcaja
    AND tipomovdinero = 'E'
    GROUP BY gest_pagos_det.idformapago
) ingresos ON fp.idforma = ingresos.idformapago
-- Egresos por forma de pago
LEFT JOIN (
    SELECT gest_pagos_det.idformapago, SUM(gest_pagos_det.monto_pago_det) AS total
    FROM gest_pagos
    INNER JOIN gest_pagos_det ON gest_pagos_det.idpago = gest_pagos.idpago
    WHERE gest_pagos.estado <> 6
    AND gest_pagos.idcaja = $idcaja
    AND tipomovdinero = 'S'
    GROUP BY gest_pagos_det.idformapago
) egresos ON fp.idforma = egresos.idformapago
-- Propinas que afectan la caja
LEFT JOIN (
    SELECT mesas_atc_propinas.mediopago AS idformapago, SUM(monto_propina) AS total
    FROM mesas_atc_propinas
    INNER JOIN ventas ON ventas.idatc = mesas_atc_propinas.idatc
    WHERE mesas_atc_propinas.idcaja = $idcaja
    AND afecta_caja = 'S'
    AND ventas.estado <> 6
    GROUP BY mesas_atc_propinas.mediopago
) prop_afecta ON fp.idforma = prop_afecta.idformapago
-- Propinas que no afectan la caja
LEFT JOIN (
    SELECT mesas_atc_propinas.mediopago AS idformapago, SUM(monto_propina) AS total
    FROM mesas_atc_propinas
    INNER JOIN ventas ON ventas.idatc = mesas_atc_propinas.idatc
    WHERE mesas_atc_propinas.idcaja = $idcaja
    AND afecta_caja = 'N'
    AND ventas.estado <> 6
    GROUP BY mesas_atc_propinas.mediopago
) prop_no_afecta ON fp.idforma = prop_no_afecta.idformapago
-- Totales declarados por el cajero
LEFT JOIN (
    SELECT caja_arqueo_fpagos.idformapago, SUM(caja_arqueo_fpagos.monto) AS total
    FROM caja_arqueo_fpagos
    WHERE caja_arqueo_fpagos.idcaja = $idcaja
    AND caja_arqueo_fpagos.estado <> 6
    GROUP BY caja_arqueo_fpagos.idformapago
) declarado ON fp.idforma = declarado.idformapago
WHERE 
    
    (
		cs.monto_apertura IS NOT NULL 
        OR COALESCE(ingresos.total, 0) > 0 
        OR COALESCE(egresos.total, 0) > 0 
        OR COALESCE(prop_afecta.total, 0) > 0 
        OR COALESCE(prop_no_afecta.total, 0) > 0 
        OR COALESCE(declarado.total, 0) > 0
    )
ORDER BY fp.descripcion ASC;
";

$rs = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
?>
<strong>Balance Horizontal con Propinas:</strong>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
        <thead>
            <tr>
                <th align="center">Forma Pago</th>
                <th align="center">Monto Apertura</th>
                <th align="center">(+)Ingresos Sist Monto</th>
                <th align="center">(-)Egresos Sist Monto</th>
                <th align="center">(=)Total Sist Monto
				<br />
				(Aper+Ing-Egr)
				</th>
                <th align="center">(-)Propina Afecta Caja Monto</th>
                <th align="center">(+)Propina NO Afecta Caja Monto</th>
                <th align="center">(=)Total Teórico</th>
                <th align="center">Declarado Cajero Monto</th>
                <th align="center">Diferencia				<br />
				(Declarado-Teorico)</th>
            </tr>
        </thead>
        <tbody>
<?php 

// Inicializamos las variables para acumular los totales
$total_monto_apertura = 0;
$total_ingresos_sys_monto = 0;
$total_egresos_sys_monto = 0;
$total_total_sys_monto = 0;
$total_propina_afecta_caja_monto = 0;
$total_propina_no_afecta_caja_monto = 0;
$total_total_teorico = 0;
$total_declarado_cajero_monto = 0;
$total_diferencia = 0;

while (!$rs->EOF) { 





    // Sumar los valores a las variables de totales
    $total_monto_apertura += $rs->fields['monto_apertura'];
    $total_ingresos_sys_monto += $rs->fields['ingresos_sys_monto'];
    $total_egresos_sys_monto += $rs->fields['egresos_sys_monto'];
    $total_total_sys_monto += $rs->fields['total_sys_monto'];
    $total_propina_afecta_caja_monto += $rs->fields['propina_afecta_caja_monto'];
    $total_propina_no_afecta_caja_monto += $rs->fields['propina_no_afecta_caja_monto'];
    $total_total_teorico += $rs->fields['total_teorico'];
    $total_declarado_cajero_monto += $rs->fields['declarado_cajero_monto'];
    $total_diferencia += $rs->fields['diferencia'];
?>
        <tr>
            <td align="center"><?php echo antixss($rs->fields['formapago']); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['monto_apertura'], 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['ingresos_sys_monto'], 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['egresos_sys_monto'], 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['total_sys_monto'], 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['propina_afecta_caja_monto'], 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['propina_no_afecta_caja_monto'], 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['total_teorico'], 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['declarado_cajero_monto'], 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['diferencia'], 2, 'N'); ?></td>
        </tr>
<?php 
    $rs->MoveNext(); 
} 
?>
      </tbody>
	  <tfoot>
  <tr>
            <td align="center"><strong>Total</strong></td>
            <td align="center"><?php echo formatomoneda($total_monto_apertura, 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($total_ingresos_sys_monto, 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($total_egresos_sys_monto, 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($total_total_sys_monto, 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($total_propina_afecta_caja_monto, 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($total_propina_no_afecta_caja_monto, 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($total_total_teorico, 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($total_declarado_cajero_monto, 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($total_diferencia, 2, 'N'); ?></td>
        </tr>
	</tfoot>
    </table>
</div>
<br />

Obs: las propinas que no afectan caja se muestran en este reporte pero no afectan el calculo de faltante o sobrantes ya que se asume que no ingresaron en caja, sino que se entrego al mozo.


<hr />
<strong>Balance Horizontal sin tomar en cuenta Propinas:</strong>

<?php
$consulta = "
SELECT 
    fp.descripcion AS formapago, 
    cs.monto_apertura, 
    COALESCE(ingresos.total, 0) AS ingresos_sys_monto, 
    COALESCE(egresos.total, 0) AS egresos_sys_monto, 
    (COALESCE(ingresos.total, 0) - COALESCE(egresos.total, 0)) AS total_sys_monto, 

    (COALESCE(cs.monto_apertura, 0) + (COALESCE(ingresos.total, 0) - COALESCE(egresos.total, 0)) ) AS total_teorico, 
    COALESCE(declarado.total, 0) AS declarado_cajero_monto, 
    (COALESCE(declarado.total, 0) - (COALESCE(cs.monto_apertura, 0) + (COALESCE(ingresos.total, 0) - COALESCE(egresos.total, 0)) ) ) AS diferencia
FROM formas_pago fp
-- Monto de apertura
LEFT JOIN (
    SELECT 1 AS idformapago, monto_apertura
    FROM caja_super
    WHERE idcaja = $idcaja
) cs ON fp.idforma = cs.idformapago
-- Ingresos por forma de pago
LEFT JOIN (
    SELECT gest_pagos_det.idformapago, SUM(gest_pagos_det.monto_pago_det) AS total
    FROM gest_pagos
    INNER JOIN gest_pagos_det ON gest_pagos_det.idpago = gest_pagos.idpago
    WHERE gest_pagos.estado <> 6
    AND gest_pagos.idcaja = $idcaja
    AND tipomovdinero = 'E'
    GROUP BY gest_pagos_det.idformapago
) ingresos ON fp.idforma = ingresos.idformapago
-- Egresos por forma de pago
LEFT JOIN (
    SELECT gest_pagos_det.idformapago, SUM(gest_pagos_det.monto_pago_det) AS total
    FROM gest_pagos
    INNER JOIN gest_pagos_det ON gest_pagos_det.idpago = gest_pagos.idpago
    WHERE gest_pagos.estado <> 6
    AND gest_pagos.idcaja = $idcaja
    AND tipomovdinero = 'S'
    GROUP BY gest_pagos_det.idformapago
) egresos ON fp.idforma = egresos.idformapago

-- Totales declarados por el cajero
LEFT JOIN (
    SELECT caja_arqueo_fpagos.idformapago, SUM(caja_arqueo_fpagos.monto) AS total
    FROM caja_arqueo_fpagos
    WHERE caja_arqueo_fpagos.idcaja = $idcaja
    AND caja_arqueo_fpagos.estado <> 6
    GROUP BY caja_arqueo_fpagos.idformapago
) declarado ON fp.idforma = declarado.idformapago
WHERE 
    
    (
		cs.monto_apertura IS NOT NULL 
        OR COALESCE(ingresos.total, 0) > 0 
        OR COALESCE(egresos.total, 0) > 0 

        OR COALESCE(declarado.total, 0) > 0
    )
ORDER BY fp.descripcion ASC;
";

$rs = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
?>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
        <thead>
            <tr>
                <th align="center">Forma Pago</th>
                <th align="center">Monto Apertura</th>
                <th align="center">(+)Ingresos Sist Monto</th>
                <th align="center">(-)Egresos Sist Monto</th>
                <th align="center">(=)Total Sist Monto
				<br />
				(Aper+Ing-Egr)
				</th>

                <th align="center">(=)Total Teórico</th>
                <th align="center">Declarado Cajero Monto</th>
                <th align="center">Diferencia				<br />
				(Declarado-Teorico)</th>
            </tr>
        </thead>
        <tbody>
<?php 

// Inicializamos las variables para acumular los totales
$total_monto_apertura = 0;
$total_ingresos_sys_monto = 0;
$total_egresos_sys_monto = 0;
$total_total_sys_monto = 0;
$total_propina_afecta_caja_monto = 0;
$total_propina_no_afecta_caja_monto = 0;
$total_total_teorico = 0;
$total_declarado_cajero_monto = 0;
$total_diferencia = 0;

while (!$rs->EOF) { 





    // Sumar los valores a las variables de totales
    $total_monto_apertura += $rs->fields['monto_apertura'];
    $total_ingresos_sys_monto += $rs->fields['ingresos_sys_monto'];
    $total_egresos_sys_monto += $rs->fields['egresos_sys_monto'];
    $total_total_sys_monto += $rs->fields['total_sys_monto'];
    $total_propina_afecta_caja_monto += $rs->fields['propina_afecta_caja_monto'];
    $total_propina_no_afecta_caja_monto += $rs->fields['propina_no_afecta_caja_monto'];
    $total_total_teorico += $rs->fields['total_teorico'];
    $total_declarado_cajero_monto += $rs->fields['declarado_cajero_monto'];
    $total_diferencia += $rs->fields['diferencia'];
?>
        <tr>
            <td align="center"><?php echo antixss($rs->fields['formapago']); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['monto_apertura'], 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['ingresos_sys_monto'], 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['egresos_sys_monto'], 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['total_sys_monto'], 2, 'N'); ?></td>

            <td align="center"><?php echo formatomoneda($rs->fields['total_teorico'], 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['declarado_cajero_monto'], 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['diferencia'], 2, 'N'); ?></td>
        </tr>
<?php 
    $rs->MoveNext(); 
} 
?>
      </tbody>
	  <tfoot>
  <tr>
            <td align="center"><strong>Total</strong></td>
            <td align="center"><?php echo formatomoneda($total_monto_apertura, 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($total_ingresos_sys_monto, 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($total_egresos_sys_monto, 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($total_total_sys_monto, 2, 'N'); ?></td>

            <td align="center"><?php echo formatomoneda($total_total_teorico, 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($total_declarado_cajero_monto, 2, 'N'); ?></td>
            <td align="center"><?php echo formatomoneda($total_diferencia, 2, 'N'); ?></td>
        </tr>
	</tfoot>
    </table>
</div>
<br />




<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
