<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="467";
require_once("includes/rsusuario.php"); 

require_once("includes/funciones_caja.php");
/*
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
*/

$idcaja=intval($_GET['id']);
if($idcaja == 0){
	echo "- No se indico la caja.";
	exit;
}


$consulta="SELECT * FROM preferencias_caja WHERE  idempresa = $idempresa ";
$rsprefcaj=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$mail_cierrecaja=trim($rsprefcaj->fields['mail_cierrecaja']);
$mails_cierre_caja_csv=trim($rsprefcaj->fields['mails_cierre_caja_csv']);

if($mail_cierrecaja == 'S'){
	if(trim($mails_cierre_caja_csv) == ''){
		echo "No se cargaron los correos para el cierre de caja, cargar en: gestion > preferencias ventas.";
		exit;
	}
}




if($mail_cierrecaja == 'S'){



	require_once('../clases/mpdf/vendor/autoload.php');
	require_once("includes/funciones_mail.php");



	// INICIO CREAR PDF
	$parametros_array=array(
		'idcaja' => $idcaja
	);
	$res=caja_pdf($parametros_array);
	$html=$res['html'];
	//echo $html;exit;

	$mpdf = new mPDF('','Legal-P', 0, 0, 0, 0, 0, 0);
	//$mpdf = new mPDF('','A4',55,'dejavusans');
	//$mpdf = new mPDF('c','A4','100','',32,25,27,25,16,13);
	$mini=date('dmYHis');
	$mpdf->SetDisplayMode('fullpage');
	$mpdf->use_kwt = true; 
	//$mpdf->shrink_tables_to_fit = 1;
	$mpdf->shrink_tables_to_fit = 2.5;
	// Write some HTML code:
	$mpdf->WriteHTML($html);

	$directorio_pdf='gfx/cajas/';
	$archivopdf='caja_'.$idcaja.'_'.date("Ymdhis").'.pdf';
	$ruta_archivo=$directorio_pdf.$archivopdf;

	// crear directoio si no existe
	if(!file_exists($directorio_pdf)){
		mkdir($directorio_pdf, 0777);
	}

	// Output a PDF file directly to the browser
	//si no se usa el tributo I, no permite usar el nombre indicado y los archivos no sedescargan nunca!!
	//$mpdf->Output('movimiento_caja_arqueo'.$mini.'.pdf','I');
	$mpdf->Output($ruta_archivo,'F'); // guardar archivo en el servidor

	// FIN CREAR PDF
	//echo date("YmdHis");exit;

	/*$con_parametros_array=array(
		'username' => 'sistema@innovasys.com.py',
		'password' => 'mMIuwJGsKBQ-',
		'host' => 'mail.innovasys.com.py',
		'port' => '587',
		'from' => 'sistema@servidor.com.py',
	);*/
	
	$consulta="
	SELECT sucursales.nombre as sucursal, usuarios.usuario as cajero
	FROM `caja_super`
	inner join sucursales on sucursales.idsucu = caja_super.sucursal 
	inner join usuarios on usuarios.idusu = caja_super.cajero
	where
	idcaja = $idcaja
	";
	$rssuc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$nombresucursal=$rssuc->fields['sucursal'];
	$cajero=$rssuc->fields['cajero'];

	// parametros para enviar correo
	$parametros_array=array(
		'fromName' => 'SISTEMA - '.$nombreempresa,
		'subject' => 'CIERRE DE CAJA NRO. '.$idcaja." - ".antixss($nombresucursal)." - ".antixss($cajero),
		'body' => 'CIERRE DE CAJA ENVIADO EN ADJUNTO.', // FALTA ADJUNTAR ARCHIVO
		'correos_csv' => $mails_cierre_caja_csv,
		'adjunto' => $ruta_archivo,
		'con_especial' => 'N', // S para enviar parametros especiales de correo
		'con_parametros' => $con_parametros_array

	);
	// enviar correo
	$res=enviar_email($parametros_array);

	// si existe el archivo
	if(file_exists($ruta_archivo)){
		unlink($ruta_archivo); // lo elimina
	} 
	


	// si no envio el correo
	if($res['valido'] != 'S'){

		echo 'EL MAIL DE CIERRE DE CAJA NO SE PUDO ENVIAR!<BR /><HR /><BR />';
		echo antixss($res['errores']);
		/*echo '<BR /><HR /><BR />';
		echo "<a href='caja_cerrar_imprime_nuevo.php?ori=$idtipocaja'>[Imprimir Ticket Cierre]</a>";
		echo '<BR />';*/
		exit;
	}else{
		echo "Mail Enviado!<br />Enviado a: ".antixss($mails_cierre_caja_csv);
		exit;
	}

}

?>
