<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="77";
require_once("includes/rsusuario.php"); 
$idcaja=intval($_GET['id']);
$idventa=intval($_GET['v']);

$consulta="
select *, (select sum(descneto) from ventas where ventas.idcaja = caja_super.idcaja and estado <> 6) as descuento
from caja_super 
inner join usuarios on caja_super.cajero = usuarios.idusu
where
caja_super.sucursal in (SELECT idsucu FROM sucursales where idempresa = $idempresa)
and caja_super.idcaja = $idcaja
limit 1
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
if(intval($rs->fields['idcaja']) == 0){
	header("location: informe_caja.php");	
	exit;
}
// venta
$consulta="
select * , (select descripcion from formas_pago where idforma = ventas.formapago) as formapago
from ventas 
where
idcaja = $idcaja
and idventa = $idventa
and idempresa = $idempresa
";  
$rsv = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

if(intval($rsv->fields['idventa']) == 0){
	header("location: informe_caja.php");	
	exit;
}

$consulta="
select sum(ventas_detalles.cantidad) as cantidad, sum(ventas_detalles.subtotal) as subtotal, productos.descripcion as producto, productos.idprod_serial
from ventas_detalles 
inner join productos on productos.idprod_serial = ventas_detalles.idprod 
where
idventa = $idventa
and idempresa = $idempresa
group by productos.idprod_serial
order by productos.descripcion
";  
$rsvd = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<script src="js/sweetalert.min.js"></script>
 <link rel="stylesheet" type="text/css" href="css/sweetalert.css">
<?php require("includes/head.php"); ?>
 <link rel="stylesheet" type="text/css" href="css/tablesorter.css">
<script src="js/jquery.tablesorter.min.js" type="text/javascript"></script> 
<script>
/*$(document).ready(function(){ 
        $("#myTable").tablesorter(); 
});  */   

   $(document).ready(function () {
        jQuery.tablesorter.addParser({
            id: "fancyNumber",
            is: function (s) {
                return /^[0-9]?[0-9,\.]*$/.test(s);
            },
            format: function (s) {
                 var s = parseFloat(s.replace(/[.]/g, '').replace(',', '.'));
                return (isNaN(s)) ? 0 : s;
            },
            type: "numeric"
        });

        $(".tablesorter").tablesorter({
            headers: { 
			0: { sorter: false },
			1: { sorter: 'fancyNumber'},
			2: { sorter: 'fancyNumber'},
			},
            widgets: ['zebra']
        });
    }); 
</script>
</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="clear"></div>
<div class="cuerpo">
 	<div align="center" >
 		<?php require_once("includes/menuarriba.php");?>
	</div>
    <div class="colcompleto" id="contenedor">
        <!-- SECCION DONDE COMIENZA TODO -->
   <div align="center">
    		<table width="70" border="0">
          <tbody>
            <tr>
              <td width="62"><a href="informe_caja_det.php?id=<?php echo $idcaja; ?>"><img src="img/homeblue.png" width="64" height="64" title="Regresar"/></a></td>
            </tr>
          </tbody>
        </table>
    </div>
      <div class="divstd">
    		<span class="resaltaditomenor">
    			Informe de Ticket<br />
    		</span>
 		</div>

<h1 align="center">Ventas de la Caja:</h1><br />
	<p align="center">&nbsp;</p>
	<br /> 
<table width="900" border="1">
  <thead>
    <tr>
      <th align="center" bgcolor="#F8FFCC"><strong>Fecha</strong></th>
      <th align="center" bgcolor="#F8FFCC">Cod</th>
      <th align="center" bgcolor="#F8FFCC">Total Venta</th>

      <th align="center" bgcolor="#F8FFCC"><strong>- Descuentos</strong></th>
      <th align="center" bgcolor="#F8FFCC"><strong>= Total Cobrado</strong></th>
      </tr>
  </thead>
  <tbody>
<?php //while (!$rsv->EOF){	
$tventaacum+=$rsv->fields['total_venta'];
$tdeliveryacum+=$rsv->fields['otrosgs'];
$tdescuentoacum+=$rsv->fields['descneto'];
$tcobradoacum+=$rsv->fields['total_cobrado'];

?>
    <tr>
      <td align="center"><?php echo date("d/m/Y H:i:s",strtotime($rsv->fields['fecha'])); ?></td>
      <td align="center"><?php echo $rsv->fields['idventa']; ?></td>
      <td align="right"><?php echo formatomoneda($rsv->fields['total_venta']); ?></td>
      <td align="right"><?php echo formatomoneda($rsv->fields['descneto']); ?></td>
      <td align="right"><?php echo formatomoneda($rsv->fields['total_cobrado']); ?></td>
      </tr>
<?php //$rsv->MoveNext(); } ?>
    <tr>
      <td align="center" bgcolor="#F8FFCC"><strong>Totales:</strong></td>
      <td align="right" bgcolor="#F8FFCC">&nbsp;</td>
      <td align="right" bgcolor="#F8FFCC"><strong><?php echo formatomoneda($tventaacum); ?></strong></td>

      <td align="right" bgcolor="#F8FFCC"><strong><?php echo formatomoneda($tdescuentoacum); ?></strong></td>
      <td align="right" bgcolor="#F8FFCC"><strong style="color:#1A8400;"><?php echo formatomoneda($tcobradoacum); ?></strong></td>
      </tr>
  </tbody>
</table>
      <p>&nbsp;</p>
      <p>&nbsp;</p>
      <p><br />     
        
        
       <p align="center"> Detalle:</p>
      <p align="center">&nbsp;</p>
       <table width="900" border="1">
         <tbody>
           <tr>
             <td align="center" bgcolor="#F8FFCC">Producto</td>
             <td align="center" bgcolor="#F8FFCC">Cantidad</td>
             <td align="center" bgcolor="#F8FFCC">Monto</td>
           </tr>
<?php while (!$rsvd->EOF){	


?>
           <tr>
             <td align="center"><?php echo $rsvd->fields['producto']; ?></td>
             <td align="center"><?php echo formatomoneda($rsvd->fields['cantidad'],4,'N'); ?></td>
             <td align="center"><?php echo formatomoneda($rsvd->fields['subtotal']); ?></td>
           </tr>
<?php $rsvd->MoveNext(); } ?>
         </tbody>
      </table>
       <p align="center">&nbsp;</p>
       <p align="center">
       Formas de Pago:
      </p>
      <?php /* if($rsv->fields['idcanal'] == 4){  // mesa  
	  $consulta="
	  SELECT * , (select descripcion from formas_pago where idforma = mesas_cobros_deta.idformapago) as formapago
	  FROM mesas_cobros_deta
	  where
	  estadopago <> 6
	  and idventa = $idventa
	  ";
	  $rsfp = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	  
	  ?>
       <table width="400" border="1">
         <tbody>
           <tr>
             <td align="center" bgcolor="#F8FFCC">Forma Pago</td>
             <td align="center" bgcolor="#F8FFCC">Monto</td>
           </tr>
<?php while (!$rsfp->EOF){	


?>
           <tr>
             <td align="center"><?php echo $rsfp->fields['formapago']; ?></td>
             <td align="center"><?php echo formatomoneda($rsfp->fields['montoabonado']); ?></td>
           </tr>
<?php $rsfp->MoveNext(); } ?>
         </tbody>
      </table>      
	  <?php }else{ ?>
       <table width="400" border="1">
         <tbody>
           <tr>
             <td align="center" bgcolor="#F8FFCC">Forma Pago</td>
             <td align="center" bgcolor="#F8FFCC">Monto</td>
           </tr>
           <tr>
             <td align="center"><?php echo $rsv->fields['formapago']; ?></td>
             <td align="center"><?php echo formatomoneda($rsv->fields['totalcobrar']); ?></td>
           </tr>
         </tbody>
      </table>      
      <?php }*/ ?>
<?php 
$consulta="
select *, (select descripcion from formas_pago where idforma = gest_pagos_det.idformapago) as medio_pago
from gest_pagos 
inner join gest_pagos_det on gest_pagos_det.idpago = gest_pagos.idpago
where 
 estado = 1 
 and idventa = $idventa
order by idcliente asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<div class="table-responsive">
    <table width="400" border="1">
	  <thead>
		<tr>
			<th></th>
			<th align="center" bgcolor="#F8FFCC">Medio pago</th>
			<th align="center" bgcolor="#F8FFCC">Total cobrado</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="venta_edit_fpag_det_edit.php?id=<?php echo $rs->fields['idpagodet']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
				</div>

			</td>
			<td align="left"><?php echo antixss($rs->fields['medio_pago']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_pago_det']);  ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />


      
<br /><br /><br />
  </div> <!-- contenedor -->
  <div class="clear"></div><!-- clear1 -->
</div> <!-- cuerpo -->
<div class="clear"></div><!-- clear2 -->
<?php require("includes/pie.php"); ?>
</body>
</html>