<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="467";
require_once("includes/rsusuario.php"); 

require_once  '../clases/mpdf/vendor/autoload.php';




$clase=intval($_REQUEST['tipo']);
if ($clase==0){
	$clase="I";
} else {
	$clase="F";//aca va F para descaargaa I para antalla
}
if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}


$whereadd='';

if(intval($_GET['idinsumo']) > 0){
	$idinsumo=intval($_GET['idinsumo']);
	$whereadd.=" and compras_detalles.codprod  = $idinsumo ";	
}
if(intval($_GET['idsucu']) > 0){
	$idsucu=intval($_GET['idsucu']);
	$whereadd.=" and compras.sucursal  = $idsucu ";	
}

if(intval($_GET['iddeposito']) > 0){
	$iddeposito=intval($_GET['iddeposito']);
	$whereadd.=" and gest_depositos_compras.iddeposito  = $iddeposito ";	
}

$buscar="Select *, cuentas_empresa.estado as estado_cuenta,
	(select descripcion from insumos_lista where insumos_lista.idinsumo = compras_detalles.codprod) as insumo
	from cuentas_empresa
	inner join proveedores on proveedores.idproveedor=cuentas_empresa.idproveedor
	inner join compras on compras.idcompra = cuentas_empresa.idcompra
	inner join gest_depositos_compras on gest_depositos_compras.idcompra = compras.idcompra
	inner join compras_detalles on compras_detalles.idcompra = compras.idcompra
	where 
	(select ajuste from insumos_lista where insumos_lista.idinsumo = compras_detalles.codprod) = 'N'
	AND compras.fechacompra >= '$desde'
	AND compras.fechacompra <= '$hasta'

	and cuentas_empresa.estado <> 6
	$whereadd
	order by 
	(select descripcion from insumos_lista where insumos_lista.idinsumo = compras_detalles.codprod) asc,  
	cuentas_empresa.fechacompra asc,
	proveedores.nombre asc
";

$rs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tr=$rs->RecordCount();

$img="gfx/empresas/emp_".$idempresa.".png";	 
if(!file_exists($img)){
	$img="gfx/empresas/emp_0.png";
}	

$html.='<!DOCTYPE html>
<html lang="en">
  <head>
  
<style>
table{
	border:1px solid #000;
	border-collapse:collapse;
}
td{
	border:1px solid #000;
}
th{
	border:1px solid #000;
}
</style>
  </head>

  <body class="nav-md">
    <div class="container body" style="padding:10px;">
      <div class="main_container">


            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    
   
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<table width="100%" border="0" style="border:0px;">
  <tr>
    <td align="center" style="border:0px;"><img src="'.$img.'" height="80" alt="" /></td>
    <td  style="border:0px;"><h3>'.$nombreempresa.'</h3><br /><h3>Compras por Productos</h3></td>
  </tr>
</table>
';
				


$html.="

<div style=\"width:80%;margin-left:auto;margin-right:auto;\">
	<div class=\"table-responsive\">
    <table width=\"100%\" class=\"table table-bordered jambo_table bulk_action\">
          <thead>
			<tr>
			<th align=\"center\" colspan=\"7\" >Desde: ".date("d/m/Y",strtotime($desde))." |  Hasta: ".date("d/m/Y",strtotime($hasta))."</th>
			</tr>
            <tr>
              <th align=\"center\" >Proveedor</th>
              <th align=\"center\" ><strong>Fecha Compra</strong></th>
              <th align=\"center\"  >Factura</th>
              <th align=\"center\"  >Cantidad</th>
              <th align=\"center\"  >Precio de Costo</th>
              <th align=\"center\"  ><strong>Importe Total</strong></th>
              <th align=\"center\"  >Estado Cuenta</th>
            </tr>
            </thead>
            <tbody>
 ";

        $ant = "";
        $sumacantidad = 0;
        $sumacosto = 0;
        $subtotallinea = 0;

        while (!$rs->EOF) { 
            // Cuando cambia el producto, mostramos los subtotales del anterior producto
            if ($ant != "" && $ant != $rs->fields['codprod']) {
                //$promedio = ($subtotallinea / $sumacantidad);
				$promedio = ($sumacosto / $sumacantidad);
               
                $html.='<tr>
                    <td colspan=\"3\" align=\"right\">Subtotales</td>
                    <td align=\"right\"><span style=\"color:black; font-size:12px;\"><strong>'.formatomoneda($sumacantidad, 4, 'N').'</strong></span></td>
                    <td align=\"right\"><span style=\"color:black; font-size:12px;\"><strong>'.formatomoneda($sumacosto, 4, 'N').'</strong></span></td>
                    <td align=\"center\" colspan=\"2\"><span style=\"color:black; font-size:12px;\">Promedio: &nbsp;'.formatomoneda($promedio, 4, 'N').'</strong></span></td>
                </tr>';
        
                // Resetear acumuladores
                $sumacantidad = 0;
                $subtotallinea = 0;
                $sumacosto = 0;
            }

            // Mostrar el título del nuevo producto si ha cambiado
            if ($ant != $rs->fields['codprod']) {
                $html.='
                <tr>
                    <td colspan=\"7\" align=\"left\" bgcolor=\"#CCCCCC\"><strong>'.$rs->fields['codprod'].' - '.$rs->fields['insumo'].'</strong></td>
                </tr>
                ';
            }

            // Acumular valores
            $sumacantidad += floatval($rs->fields['cantidad']);
            $sumacosto += floatval($rs->fields['costo']);
            $subtotallinea += floatval($rs->fields['subtotal']);

            // Mostrar los datos de la compra
           $html.='
            <tr>
                <td align=\"left\">'.$rs->fields['nombre'].'</td>
                <td align=\"center\">'.date("d/m/Y", strtotime($rs->fields['fechacompra'])).'</td>
                <td align=\"right\">'.$rs->fields['facturacompra'].'</td>
                <td align=\"right\">'.formatomoneda($rs->fields['cantidad'], 4, 'N').'</td>
                <td align=\"right\">'.formatomoneda($rs->fields['costo']).'</td>
                <td align=\"right\">'.formatomoneda($rs->fields['subtotal']).'</td>
                <td align=\"right\">';
                    
                    if ($rs->fields['estado_cuenta'] == 1) { 
                        $html.="Activo"; 
                    } else if ($rs->fields['estado_cuenta'] == 3) { 
                        $html.="Cancelado";
                    } else {
                        $html.="SIN DATO";	  
                    }
            $html.='   
                </td>
            </tr>';
            

            // Actualizar el valor de `$ant`
            $ant = $rs->fields['codprod'];

            // Mover al siguiente registro
            $rs->MoveNext();
        }

        // Mostrar subtotales para el último producto
        if ($sumacantidad > 0) {
            //$promedio = ($subtotallinea / $sumacantidad);
			$promedio = ($sumacosto / $sumacantidad);
           $html.='
            <tr>
                <td colspan=\"3\" align=\"right\">Subtotales</td>
                <td align=\"right\"><span style=\"color:black; font-size:12px;\"><strong>'.formatomoneda($sumacantidad, 4, 'N').'</strong></span></td>
                <td align=\"right\"><span style=\"color:black; font-size:12px;\"><strong>'.formatomoneda($sumacosto, 4, 'N').'</strong></span></td>
                <td align=\"center\" colspan=\"2\"><span style=\"color:black; font-size:12px;\">Promedio: &nbsp;'.formatomoneda($promedio, 4, 'N').'</strong></span></td>
            </tr>
			';
            
        }
        
		   

$html.="
</tbody>
</table>
</div>
</div>
";

  

$html.='
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
  </body>
</html>
';

//echo $html;exit;

$mpdf = new mPDF('','Legal-P', 0, 0, 0, 0, 0, 0);
//$mpdf = new mPDF('','A4',55,'dejavusans');
//$mpdf = new mPDF('c','A4','100','',32,25,27,25,16,13);
$mini=date('dmYHis');
$mpdf->SetDisplayMode('fullpage');
$mpdf->use_kwt = true; 
//$mpdf->shrink_tables_to_fit = 1;
$mpdf->shrink_tables_to_fit = 2.5;
$mpdf->showWatermarkText = false;
// Write some HTML code:
$mpdf->WriteHTML($html);
// Output a PDF file directly to the browser
//si no se usa el tributo I, no permite usar el nombre indicado y los archivos no sedescargan nunca!!
$mpdf->Output('movimiento_caja_arqueo'.$mini.'.pdf','I');

?>