<?php
/*----------------------------------
16/07/2024: Se sube a todos los clientes
----------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 

function tiempotrans($fechaInicio,$fechaFinal){
	// Calcula la diferencia en segundos
	$diferenciaSegundos = strtotime($fechaFinal) - strtotime($fechaInicio);
	// Convierte la diferencia en horas, minutos y segundos
	$horas = floor($diferenciaSegundos / 3600);
	$minutos = floor(($diferenciaSegundos % 3600) / 60);
	$segundos = $diferenciaSegundos % 60;

	// Formatea el resultado
	$resultado = "$horas horas, $minutos minutos y $segundos segundos";

	// Formatea el resultado
	//$resultado = "$horas horas con $minutos minutos";
	return $resultado;	
	
}
if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
	$addventa=" and date(fechahora_estado) between '$desde' and '$hasta' ";
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
	$addventa=" and date(fechahora_estado) between '$desde' and '$hasta' ";
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

if(($_GET['idpedido']) > 0){
	$idpedido=intval($_GET['idpedido']);
	$filtrocaja=" and pedidos_tiempo_transcurridos.idtmpventares_cab = $idpedido";
	
}



//Traemos los datos de la tabla

$buscar="Select distinct(idtmpventares_cab) as idpedido,
(select fechahora_estado from pedidos_tiempo_transcurridos where idtmpventares_cab=idpedido and idestadopedido=1 order by fechahora_estado asc limit 1) as fecha_tomado,
(select fechahora_estado from pedidos_tiempo_transcurridos where idtmpventares_cab=idpedido and idestadopedido=3 order by fechahora_estado asc limit 1) as fecha_cocinado,
(select fechahora_estado from pedidos_tiempo_transcurridos where idtmpventares_cab=idpedido and idestadopedido=4 order by fechahora_estado asc limit 1) as fecha_retirado,
(select fechahora_estado from pedidos_tiempo_transcurridos where idtmpventares_cab=idpedido and idestadopedido=5 order by fechahora_estado asc limit 1) as fecha_ruta,
(select fechahora_estado from pedidos_tiempo_transcurridos where idtmpventares_cab=idpedido and idestadopedido=6 order by fechahora_estado asc limit 1) as fecha_entregado_cliente
 from pedidos_tiempo_transcurridos where estado=1 
$filtrocaja
$addventa
 order by idtmpventares_cab DESC";
$rs=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Reporte sobre tiempos trascurridos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
							<form id="ggd" action="" method="get">
								<div class="col-md-6 col-sm-6 form-group">
									<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde </label>
									<div class="col-md-9 col-sm-9 col-xs-12">
									<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control"  />                    

									</div>
								</div>

								<div class="col-md-6 col-sm-6 form-group">
									<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta </label>
									<div class="col-md-9 col-sm-9 col-xs-12">
									<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control"  />                    

									</div>
								</div>
								<div class="col-md-6 col-sm-6 form-group">
									<label class="control-label col-md-3 col-sm-3 col-xs-12">Idpedido </label>
									<div class="col-md-9 col-sm-9 col-xs-12">
									<input type="number" name="idpedido" id="idpedido" value="<?php echo $idpedido; ?>" placeholder="Id pedido" class="form-control"  />                    

									</div>
								</div>
								
								
								<div class="clearfix"></div>
								
								
								
							<br />


								<div class="form-group">
									<div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
								   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

									</div>
								</div>



							</form>
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
             <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Tiempos trascurridos encontraados</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
						<?php while(!$rs->EOF){
						$idpedido=intval($rs->fields['idpedido']);
						//Calcular el tiemp global en tre la toma del pedido hasta la entregado
						if($rs->fields['fecha_tomado']!='' &&  $rs->fields['fecha_entregado_cliente']!=''){
							$global=tiempotrans($rs->fields['fecha_tomado'], $rs->fields['fecha_entregado_cliente']);
							$ex=explode(",",$global);
							//echo $ex[0];
							$rr=str_replace("horas","",$ex[0]);
							if(intval($rr) >0){
								//echo $rr;exit;
								$estilo="background-color:red;color:white;font-weight:bold;";
							} else {
								//No hay horas, son minutos, verificaamos si pasamos los 30 minutos
								$ex=explode("y",$ex[1]);
								$rr1=str_replace("minutos","",$ex[0]);
								if($rr1 > 30){
									$estilo="background-color:yellow;color:black;font-weight:bold;";
								} else {
									
									$estilo="";
								}
								
							}
						} else {
							$global="--No disponible. Falto un paso.";
							$estilo="";
						}
						
						//Toma del pedido
						$fecha_tomado_pedido=date("d-m-Y H:i:s",strtotime($rs->fields['fecha_tomado']));
						
						
						//Pedido marcado como cocinado
						$fecha_cocinado_pedido=date("d-m-Y H:i:s",strtotime($rs->fields['fecha_cocinado']));
						$tiempo_cocina=tiempotrans($rs->fields['fecha_tomado'], $rs->fields['fecha_cocinado']);
						if($rs->fields['fecha_cocinado']!=''){
							$ex=explode(",",$tiempo_cocina);
							$rr=str_replace("horas","",$ex[0]);
							
							if(intval($rr) >0){
								$estilo_cocinado="style='background-color:red;color:white;font-weight:bold;'";
							} else {
								//minutos
								$ex=explode("y",$ex[1]);
								$rr1=str_replace("minutos","",$ex[0]);
								//echo $rr1;exit;
								if($rr1 > 30){
									$estilo_cocinado="background-color:yellow;color:black;font-weight:bold;";
								} else {
									
									$estilo_cocinado="";
								}
							
							}
						} else {
							//$global="--No disponible. Falto un paso.";
							$estilo_cocinado="";
						}
						//Pedido entregado al raider
						$fecha_retirado_pedido=date("d-m-Y H:i:s",strtotime($rs->fields['fecha_retirado']));
						$tiempo_retirado=tiempotrans($rs->fields['fecha_cocinado'], $rs->fields['fecha_retirado']);
						if($rs->fields['fecha_retirado']!=''){
							$ex=explode(",",$tiempo_retirado);
							$rr=str_replace("horas","",$ex[0]);
							if(intval($rr) >0){
								$estilo_retirado="style='background-color:red;color:white;font-weight:bold;'";
							} else {
								//minutos
								$ex=explode("y",$ex[1]);
								$rr1=str_replace("minutos","",$ex[0]);
								//echo $rr1;exit;
								if($rr1 > 30){
									$estilo_retirado="background-color:yellow;color:black;font-weight:bold;";
								} else {
									
									$estilo_retirado="";
								}
							}
						} else {
							//$global="--No disponible. Falto un paso.";
							$estilo_retirado="";
						}
						//Raider/motorista sale del local
						$fecha_ruta_pedido=date("d-m-Y H:i:s",strtotime($rs->fields['fecha_ruta']));
						$tiempo_salida=tiempotrans($rs->fields['fecha_retirado'], $rs->fields['fecha_ruta']);
						if($rs->fields['fecha_ruta']!=''){
							$ex=explode(",",$tiempo_salida);
							$rr=str_replace("horas","",$ex[0]);
							if(intval($rr) >0){
								$estilo_retirado_salida="style='background-color:red;color:white;font-weight:bold;'";
							} else {
								//minutos
								$ex=explode("y",$ex[1]);
								$rr1=str_replace("minutos","",$ex[0]);
								//echo $rr1;exit;
								if($rr1 > 30){
									$estilo_retirado_salida="background-color:yellow;color:black;font-weight:bold;";
								} else {
									
									$estilo_retirado_salida="";
								}
							
							}
						} else {
							//$global="--No disponible. Falto un paso.";
							$estilo_retirado_salida="";
						}
						
						//Pedido llega al cliente
						$fecha_entregado_pedido=date("d-m-Y H:i:s",strtotime($rs->fields['fecha_entregado_cliente']));
						$tiempo_llegada=tiempotrans($rs->fields['fecha_ruta'], $rs->fields['fecha_entregado_cliente']);
						if($rs->fields['fecha_entregado_cliente']!=''){
							$ex=explode(",",$tiempo_llegada);
							$rr=str_replace("horas","",$ex[0]);
							if(intval($rr) >0){
								$estilo_llegada="style='background-color:red;color:white;font-weight:bold;'";
							} else {
								
								$ex=explode("y",$ex[1]);
								$rr1=str_replace("minutos","",$ex[0]);
								//echo $rr1;exit;
								if($rr1 > 30){
									$estilo_llegada="background-color:yellow;color:black;font-weight:bold;";
								} else {
									
									$estilo_llegada="";
								}
								
								
								
							}
						} else {
							//$global="--No disponible. Falto un paso.";
							$estilo_llegada="";
						}
						
						
						
						?>
						<div class="col-md-4" style="-webkit-box-shadow: 3px 3px 5px 0px rgba(0,0,0,0.75);-moz-box-shadow: 3px 3px 5px 0px rgba(0,0,0,0.75);box-shadow: 3px 3px 5px 0px rgba(0,0,0,0.75);">
							<div class="col-md-12" style="text-align:center;">
								<h2>Pedido N&deg;<?php echo $idpedido; ?><a href="javascript:void(0);" onclick="mostrar(<?php echo $idpedido; ?>);">&nbsp;[<span class="fa fa-folder" id="ped_letra_<?php echo $idpedido; ?>">+</span>]</a></h2>
								<span style="<?php echo $estilo; ?>"><span class="fa fa-clock-o"></span>&nbsp; <?php echo $global;?></span>
							</div>
							
							<div style="display:none;" class="col-md-12" id="pedido_<?php echo $idpedido; ?>">
								<ul class="list-unstyled timeline">
									<li>
									
										<div class="block">
											<div class="tags">
												<a href="" class="tag">
												<span>1</span>
												</a>
											</div>
											<div class="block_content">
												<h2 class="title">
													<?php echo $fecha_tomado_pedido; ?>
												</h2>
												<div class="byline">
												<!--<span>13 hours ago</span> by <a>Jane Smith</a>-->
												</div>
												<p class="excerpt">El pedido ha sido ingresado al sistema</a>
												</p>
											</div>
										</div>
									</li>
									<?php if($rs->fields['fecha_cocinado']!=''){?>
										<li>
										
											<div class="block">
												<div class="tags">
													<a href="" class="tag" <?php echo $estilo_cocinado; ?>>
													<span>2 </span>
													</a>
												</div>
												<div class="block_content">
													<h2 class="title">
														<?php echo $fecha_cocinado_pedido; ?>
													</h2>
													<div class="byline">
													<!--<span>13 hours ago</span> by <a>Jane Smith</a>-->
													</div>
													<p class="excerpt">El pedido ha sido preparado en: <?php echo $tiempo_cocina; ?></a>
													</p>
												</div>
											</div>
										</li>
									
									<?php } ?>
									<?php if($rs->fields['fecha_retirado']!=''){?>
										<li>
										
											<div class="block">
												<div class="tags" >
													<a href="" class="tag" <?php echo $estilo_retirado; ?>>
													<span>3 </span>
													</a>
												</div>
												<div class="block_content">
													<h2 class="title">
														<?php echo $fecha_retirado_pedido; ?>
													</h2>
													<div class="byline">
													<!--<span>13 hours ago</span> by <a>Jane Smith</a>-->
													</div>
													<p class="excerpt">El pedido ha sido entregado al motorista. Trans: <?php echo $tiempo_retirado; ?></a>
													</p>
												</div>
											</div>
										</li>
									
									<?php } ?>
									<?php if($rs->fields['fecha_ruta']!=''){?>
										<li>
										
											<div class="block">
												<div class="tags">
													<a href="" class="tag" <?php echo $estilo_retirado_salida; ?>>
													<span>4 </span>
													</a>
												</div>
												<div class="block_content">
													<h2 class="title">
														<?php echo $fecha_ruta_pedido; ?>
													</h2>
													<div class="byline">
													<!--<span>13 hours ago</span> by <a>Jane Smith</a>-->
													</div>
													<p class="excerpt">Pedido en transito. Transc:<?php echo $tiempo_salida;?> </a>
													
													</p>
												</div>
											</div>
										</li>
									
									
									<?php } ?>
									<?php if($rs->fields['fecha_entregado_cliente']!=''){?>
										<li>
										
											<div class="block">
												<div class="tags">
													<a href="" class="tag" <?php echo $estilo_llegada;?>>
													<span>5 </span>
													</a>
												</div>
												<div class="block_content">
													<h2 class="title">
														<?php echo $fecha_entregado_pedido; ?>
													</h2>
													<div class="byline">
													<!--<span>13 hours ago</span> by <a>Jane Smith</a>-->
													</div>
													<p class="excerpt">Pedido entregado al cliente <?php echo $tiempo_llegada;?></a>
													</p>
												</div>
											</div>
										</li>
									
									<?php } ?>
								</ul>
							
							</div>

						</div>	
						<?php $rs->MoveNext();} ?>

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
          </div>
        </div>
        <!-- /page content -->
		<script>
			function mostrar(idpedido){
				if (!$('#pedido_'+idpedido).is(':visible')){
				   $('#pedido_'+idpedido).show();
				   $('#ped_letra_'+idpedido).html("-");
				} else { 
				     $('#pedido_'+idpedido).hide();
				   $('#ped_letra_'+idpedido).html("+");
				}
				
				
			}
		
		
		</script>
        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
