<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="75";
require_once("includes/rsusuario.php"); 




$consulta="
select 
date(fecha) as fecha, count(ventas.idventa) as cantidad, sum(ventas.total_cobrado) as total
from ventas 
where
ventas.estado <> 6
and ventas.sucursal = $idsucursal
and date(fecha) >= date('$ahora'-INTERVAL 30 DAY)
group by date(fecha)
order by date(fecha) asc
limit 30
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$productos="";
$precios="";
$cantidad="";	
while (!$rs->EOF){ 
	$productos.=date("d/m",strtotime($rs->fields['fecha'])).",";
	$cantidad.=$rs->fields['cantidad'].",";
	$totalvendido.=$rs->fields['total'].",";	
$rs->MoveNext(); }
$productos=explode(",",trim($productos));
$totalvendido=explode(",",trim($totalvendido));
$cantidad=explode(",",trim($cantidad));	
array_pop($productos);
array_pop($totalvendido);
array_pop($cantidad);
/*
print_r($totalvendido);
exit;
*/

require_once 'jpgraph/jpgraph.php';
require_once ('jpgraph/jpgraph_line.php');
require_once ('jpgraph/jpgraph_scatter.php');


$datay1 = $totalvendido;
//$datay2 = $cantidad;

// Setup the graph
$graph = new Graph(700,600,'auto');

$graph->SetScale("textlin");

$theme_class= new UniversalTheme;
$graph->SetTheme($theme_class);

$graph->title->Set("Ventas por Dia (Ultimos 30 dias)");

$graph->SetBox(false);
$graph->ygrid->SetFill(false);
$graph->yaxis->HideLine(false);
$graph->yaxis->HideTicks(false,false);
$graph->yaxis->HideZeroLabel();


$graph->xaxis->SetTickLabels($productos);
// Create the plot
$p1 = new LinePlot($datay1);
$graph->Add($p1);

//$p2 = new LinePlot($datay2);
//$graph->Add($p2);

// Use an image of favourite car as marker
//$p1->mark->SetType(MARK_IMG,'new1.gif',0.8);
$p1->SetColor('#000');
$p1->value->SetFormat('%d');
$p1->value->Show();
$p1->value->SetColor('#666');

//$p2->mark->SetType(MARK_IMG,'new2.gif',0.8);
/*$p2->SetColor('#ddaa99');
$p2->value->SetFormat('%d');
$p2->value->Show();
$p2->value->SetColor('#55bbdd');
*/

$graph->Stroke();

?>