<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="75";
require_once("includes/rsusuario.php"); 



//corregir retroactivo, ventas contado sin pagos
$consulta="
INSERT INTO `gest_pagos`
(
  `idcaja`, `idtipocajamov`, `tipomovdinero`, `idcliente`, `fecha`, `medio_pago`, `total_cobrado`, `chequenum`, `banco`, `factura`,
 `recibo`, `tickete`, `estado`, `ruc`, `tipo_pago`, `idempresa`, `sucursal`, `efectivo`, `codtransfer`, `montotransfer`, `montocheque`, 
 `cajero`, `fechareal`, `idventa`, `anulado_el`, `anulado_por`, `montovale`, `idpedido`, `idmesa`, `montotarjeta`, `idnotacred`,
 `monto_notacred`, `numtarjeta`, `tipotarjeta`, `vueltogs`, `delivery`, `rendido`, `fec_rendido`, `obs`, `reimpresofc`, 
 `idcuentaclientepagcab`
)

select idcaja, 1, 'E', ventas.idcliente, ventas.fecha, ventas.formapago, ventas.totalcobrar, NULL, NULL, ventas.factura, 
NULL, NULL, ventas.estado, ventas.ruc, 1, 1, ventas.sucursal, 0,0,0,0,
ventas.registrado_por, fecha, idventa,  NULL,  NULL, 0, ventas.idpedido, ventas.idmesa, 0, NULL,
0,0,1,0, 0, 'S', ventas.fecha,  NULL,  NULL,
 NULL
from ventas 
where estado <> 6 
and finalizo_correcto = 'S' 
and tipo_venta = 1 
and idventa not in (select idventa from gest_pagos where estado <> 6 and idventa is not null)
and totalcobrar > 0
and ventas.idtipotran = 1
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$consulta="
INSERT INTO `gest_pagos_det`
(`idpago`, `monto_pago_det`, `idformapago`) 
select idpago, gest_pagos.total_cobrado, gest_pagos.medio_pago
from gest_pagos 
where 
estado <> 6 
and idpago not in (select idpago from  gest_pagos_det where idpago is not null);
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$consulta="
update gest_pagos_det set idformapago = 1 where idformapago = 0;
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
    $desde=date("Y-m-").'01';
    $hasta=date("Y-m-d");
}else{
    $desde=date("Y-m-d",strtotime($_GET['desde']));
    $hasta=date("Y-m-d",strtotime($_GET['hasta']));    
}

if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
    $hdesde="00:00";
    $hhasta="23:59";
}else{
    $hdesde=date("H:i",strtotime($_GET['hdesde']));
    $hhasta=date("H:i",strtotime($_GET['hhasta']));    
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

if(($_GET['suc']) > 0){
    $idsuc=intval($_GET['suc']);
    $filtrocaja=" and ventas.sucursal = $idsuc";
    
}
if(trim($_GET['suc']) == 'ss'){
    
    $consulta="
    select idsucu 
    from sucursales 
    where 
    estado = 1 
    and matriz = 'N'
    ";
    $rssucufil=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
    $sucu_or_add="and ( ".$saltolinea;
    $i=0;
    while(!$rssucufil->EOF){
        $i++;
        $idsuc=intval($rssucufil->fields['idsucu']);
        if($i == 1){
            $sucu_or_add.=" ventas.sucursal = $idsuc ".$saltolinea;
        }else{
            $sucu_or_add.=" or ventas.sucursal = $idsuc ".$saltolinea;    
        }
    $rssucufil->MoveNext(); }
    $sucu_or_add.=" ) ".$saltolinea;
    $filtrocaja=$sucu_or_add;
    
}

if(intval($_GET['suc']) == 0){ //Cuando selecciona todos, debe mostrar tambien detalladas las sucursales
    
    $consulta="
    select idsucu 
    from sucursales 
    where 
    estado = 1
    ";
    $rssucufil=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
    $sucu_or_add="and ( ".$saltolinea;
    $i=0;
    while(!$rssucufil->EOF){
        $i++;
        $idsuc=intval($rssucufil->fields['idsucu']);
        if($i == 1){
            $sucu_or_add.=" ventas.sucursal = $idsuc ".$saltolinea;
        }else{
            $sucu_or_add.=" or ventas.sucursal = $idsuc ".$saltolinea;    
        }
    $rssucufil->MoveNext(); }
    $sucu_or_add.=" ) ".$saltolinea;
    $filtrocaja_sucursales=$sucu_or_add;
    
}

if(intval($_GET['idtipotran']) > 0){
    $idtipotran=intval($_GET['idtipotran']);
    $filtrocaja.=" and ventas.idtipotran  = $idtipotran ";
	$filtrocaja_sucursales.=" and ventas.idtipotran  = $idtipotran ";
}

$consulta="
select formas_pago.descripcion as canal, count(ventas.idventa) as cantidad, sum(gest_pagos_det.monto_pago_det) as total
from  gest_pagos
inner join gest_pagos_det on gest_pagos_det.idpago = gest_pagos.idpago
inner join ventas on ventas.idventa = gest_pagos.idventa

inner join formas_pago on formas_pago.idforma = gest_pagos_det.idformapago
where
date(ventas.fecha) >= '$desde_completo' 
and date(ventas.fecha) <= '$hasta_completo' 
and ventas.estado <> 6
and gest_pagos.estado <> 6
and ventas.excluye_repven = 0
and ventas.idempresa = $idempresa
$filtrocaja
and formas_pago.idforma <> 7
and formas_pago.idforma <> 8
group by formas_pago.descripcion
order by sum(gest_pagos_det.monto_pago_det) desc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta_por_sucursales = "
SELECT 
    formas_pago.descripcion AS canal, 
    COUNT(ventas.idventa) AS cantidad, 
    SUM(gest_pagos_det.monto_pago_det) AS total,
    sucursales.nombre AS sucursal_nombre,
    ventas.sucursal
FROM gest_pagos
INNER JOIN gest_pagos_det ON gest_pagos_det.idpago = gest_pagos.idpago
INNER JOIN ventas ON ventas.idventa = gest_pagos.idventa
INNER JOIN formas_pago ON formas_pago.idforma = gest_pagos_det.idformapago
INNER JOIN sucursales ON sucursales.idsucu = ventas.sucursal
WHERE
    DATE(ventas.fecha) BETWEEN '$desde_completo' AND '$hasta_completo'
    AND ventas.estado <> 6
    AND gest_pagos.estado <> 6
    AND ventas.excluye_repven = 0
    AND ventas.idempresa = $idempresa
    $filtrocaja_sucursales
    AND formas_pago.idforma NOT IN (7, 8)
GROUP BY sucursales.idsucu, formas_pago.descripcion
ORDER BY sucursales.nombre, SUM(gest_pagos_det.monto_pago_det) DESC
";
$rs_sucursales = $conexion->Execute($consulta_por_sucursales) or die(errorpg($conexion, $consulta_por_sucursales));

$consulta="
select sum(ventas.total_venta) as total
from ventas 
where
date(ventas.fecha) >= '$desde_completo' 
and date(ventas.fecha) <= '$hasta_completo' 
and ventas.estado <> 6
and ventas.excluye_repven = 0
and ventas.idtipotran <> 2
$filtrocaja
";
$rs2 = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


$consulta="
select sum(otrosgs) as monto_delivery, sum(descneto) as monto_descuento
from ventas 
where
date(ventas.fecha) >= '$desde_completo' 
and date(ventas.fecha) <= '$hasta_completo' 
and ventas.estado <> 6
and ventas.excluye_repven = 0
and tipo_venta = 1
and ventas.idempresa = $idempresa
and ventas.idtipotran <> 2
$filtrocaja
";
$rs3 = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$descuento=$rs3->fields['monto_descuento'];
$total_venta=$rs2->fields['total'];
$totalcondesc=$total_venta-$descuento;


$consulta="
select sum(ventas.totalcobrar) as total
from ventas 
where
date(ventas.fecha) >= '$desde_completo' 
and date(ventas.fecha) <= '$hasta_completo' 
and ventas.estado <> 6
and ventas.excluye_repven = 0
and ventas.idempresa = $idempresa
and tipo_venta = 2
$filtrocaja
";
$rscred = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$totalcredito=$rscred->fields['total'];


?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<script src="js/sweetalert.min.js"></script>
 <link rel="stylesheet" type="text/css" href="css/sweetalert.css">
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="clear"></div>
<div class="cuerpo">
     <div align="center" >
         <?php require_once("includes/menuarriba.php");?>
    </div>
    <div class="colcompleto" id="contenedor">
        <!-- SECCION DONDE COMIENZA TODO -->
        <br /><br />
      <div class="divstd">
            <span class="resaltaditomenor">
                Informe de Ventas<br />
            </span>
         </div>

  <br />
<?php require_once("includes/menu_top_informes.php"); ?>
        <br />

<hr class="hr" /><br />
<form id="form1" name="form1" method="get" action="">
<table width="500" border="0">
  <tbody>
    <tr>
        <td><strong>Desde:</strong></td>
        <td>
            <input type="date" name="desde" id="desde" value="<?php echo $desde; ?>" /></td>
        <td><strong>Hasta:</strong></td>
        <td><input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" /></td>
        <td height="40" align="left"><strong>Hora Desde:</strong></td>
        <td ><input type="time" name="hdesde" id="hdesde" value="<?php echo $hdesde; ?>" /></td>
        <td align="left"><strong>Hora Hasta:</strong></td>
        <td id="minisub3"><input type="time" name="hhasta" id="hhasta" value="<?php echo $hhasta; ?>" /></td>
        <td><strong>Sucursal</strong></td>
        <td ><?php 
      
      
//lista de sucursales
$buscar="select * from sucursales where idempresa=$idempresa and estado = 1 order by nombre asc";
$rsfd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

      
      
      ?><select name="suc" id="suc">
                                <option value="0" <?php if(intval($_GET['suc']) == 0){?>selected="selected"<?php }?>>TODOS</option>
                                <option value="ss" <?php if($_GET['suc'] == 'ss'){?>selected="selected"<?php }?> >SOLO SUCURSALES</option>
                               <?php while (!$rsfd->EOF){?>
                                <option value="<?php echo $rsfd->fields['idsucu']?>" <?php if($rsfd->fields['idsucu']==intval($_GET['suc'])){?>selected="selected"<?php }?>><?php echo $rsfd->fields['nombre']?></option>
                            
                                 <?php $rsfd->MoveNext();}?>
                            </select></td>
<td >Tipo:</td>
       <td ><?php
// valor seleccionado
if(isset($_GET['idtipotran'])){ 
    $value_selected=htmlentities($_GET['idtipotran']); 
}else{
    $value_selected='S';
}
// opciones
$opciones=array(
    'VENTAS' => '1',
    'CONSUMOS' => '2'
);
// parametros
$parametros_array=array(
    'nombre_campo' => 'idtipotran',
    'id_campo' => 'idtipotran',
    
    'value_selected' => $value_selected,
    
    'pricampo_name' => 'TODAS',
    'pricampo_value' => '',
    'style_input' => 'class="form-control"', 
    'acciones' => '  ',
    'autosel_1registro' => 'S',
    'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?></td>
      <td align="center"><input type="submit" name="submit" id="submit" value="Generar Reporte" /></td>
    </tr>
  </tbody>
</table>
</form>
<br /><hr class="hr" /><br />
      <p align="center"><strong>Ventas por Forma de Pago:</strong></p>
      <p>&nbsp;</p>
        
        <table width="500" border="1" class="tablaconborde">
          <tbody>
            <tr>
              <td align="center" bgcolor="#F8FFCC"><strong>Categoria</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>TK Prom.</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>Ventas</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>Total</strong></td>
              <td align="center" bgcolor="#F8FFCC"><strong>%</strong></td>
            </tr>
           <?php  while (!$rs->EOF){ 
           $totalacum+=$rs->fields['total'];
           
           ?>
            <tr>
              <td align="left"><?php if(trim($rs->fields['canal']) == ''){ echo "Sin Datos"; }else{ echo $rs->fields['canal']; } ?></td>
              <td align="right">Gs. <?php echo formatomoneda(round(intval($rs->fields['total'])/intval($rs->fields['cantidad']),0)); ?></td>
              <td align="right"><?php echo formatomoneda($rs->fields['cantidad']); ?></td>
              <td align="right"><?php echo formatomoneda($rs->fields['total']); ?></td>
              <td align="right"><?php echo round(((intval($rs->fields['total'])/intval($rs2->fields['total']))*100),2); ?>%</td>
            </tr>
           <?php  $rs->MoveNext(); }  ?> 
          </tbody>
      </table>
        <p>&nbsp;</p>
       <!-- &nbsp;</p>
        <p align="center"><strong>Total Venta sin Descuentos:</strong>&nbsp;<?php echo formatomoneda($total_venta); ?><br />
                <strong>Total Descuentos:</strong>&nbsp;-<?php echo formatomoneda($descuento); ?><br />
         -->
         <p align="center">
         <strong>Total Contado:</strong>&nbsp;<?php echo formatomoneda($totalcondesc-$totalcredito); ?><br />
         <strong>Total a Credito:</strong>&nbsp;<?php echo formatomoneda($totalcredito); ?><br />
        <strong>Total Global:</strong>&nbsp;<?php echo formatomoneda($totalcondesc); ?><br />
        
        </p>
        <p align="center">&nbsp;</p>
        <p>&nbsp;</p>
           
        <?php if(intval($_GET['suc']) == 0){ ?>

        <hr class="hr" /><br />
        <p align="center"><strong>Desglose por sucursal:</strong></p>

        <!-- Botón para descargar en Excel -->
        <form action="informe_venta_fp_xls.php" method="post">
            <input type="hidden" name="datos_excel" value="<?php echo base64_encode(serialize($rs_sucursales->GetArray())); ?>">
            <button type="submit" style="display: block; margin: 0 auto; padding: 10px 15px; background-color: #28a745; color: white; border: none; cursor: pointer;">
                Descargar Excel
            </button>
        </form>

        <br>

        <?php 

            $sucursal_actual = ""; 
            $total_global = 0;
            $total_sucursales = [];

            // 🔹 PRIMERO: Calcular el total de cada sucursal
            $rs_sucursales->MoveFirst(); // Asegurar que el cursor está en el inicio

            while (!$rs_sucursales->EOF) {
                $sucursal = $rs_sucursales->fields['sucursal'];
                $total = intval($rs_sucursales->fields['total']);

                if (!isset($total_sucursales[$sucursal])) {
                    $total_sucursales[$sucursal] = 0;
                }

                $total_sucursales[$sucursal] += $total;
                $total_global += $total;

                $rs_sucursales->MoveNext();
            }

            // 🔹 SEGUNDO: Imprimir la tabla
            $rs_sucursales->MoveFirst(); // Volver al inicio para procesar datos

            while (!$rs_sucursales->EOF) { 
                if ($sucursal_actual != $rs_sucursales->fields['sucursal']) {
                    // Si hay una sucursal anterior, imprimir su total antes de cerrar la tabla
                    if ($sucursal_actual != "") { 
                        ?>
                        <tr>
                            <td colspan="3" align="right"><strong>Total Sucursal:</strong></td>
                            <td align="right"><strong><?php echo formatomoneda($total_sucursal); ?></strong></td>
                            <td align="right"><strong>100%</strong></td>
                        </tr>
                        </tbody>
                        </table><br><br>
                        <?php 
                    }
                    $sucursal_actual = $rs_sucursales->fields['sucursal'];
                    echo "<p align='center'><strong>Sucursal: ".$rs_sucursales->fields['sucursal_nombre']."</strong></p>";
                    ?>
                    <table width="500" border="1" class="tablaconborde">
                        <thead>
                            <tr>
                                <td align="center" bgcolor="#F8FFCC"><strong>Categoria</strong></td>
                                <td align="center" bgcolor="#F8FFCC"><strong>TK Prom.</strong></td>
                                <td align="center" bgcolor="#F8FFCC"><strong>Ventas</strong></td>
                                <td align="center" bgcolor="#F8FFCC"><strong>Total</strong></td>
                                <td align="center" bgcolor="#F8FFCC"><strong>%</strong></td>
                            </tr>
                        </thead>
                        <tbody>
                    <?php 

                    // Obtener el total de la sucursal actual
                    $total_sucursal = $total_sucursales[$sucursal_actual];

                } 
                ?>
                <tr>
                    <td><?php echo $rs_sucursales->fields['canal'] ?: "Sin Datos"; ?></td>
                    <td align="right">Gs. <?php echo formatomoneda(round($rs_sucursales->fields['total'] / $rs_sucursales->fields['cantidad'], 0)); ?></td>
                    <td align="right"><?php echo formatomoneda($rs_sucursales->fields['cantidad']); ?></td>
                    <td align="right"><?php echo formatomoneda($rs_sucursales->fields['total']); ?></td>
                    <td align="right"><?php echo round(($rs_sucursales->fields['total'] / $total_sucursal) * 100, 2); ?>%</td>
                </tr>
                <?php  
                $rs_sucursales->MoveNext(); 
            } 
            // Imprimir el total de la última sucursal
            ?>
            <tr>
                <td colspan="3" align="right"><strong>Total Sucursal:</strong></td>
                <td align="right"><strong><?php echo formatomoneda($total_sucursal); ?></strong></td>
                <td align="right"><strong>100%</strong></td>
            </tr>
            </tbody>
            </table><br><br>
            <?php 
        } ?>
        </div> <!-- contenedor -->

        <div class="clear"></div>
        <div style="clear: both; height: 50px;"></div>
        <?php 
        flush();
        ob_flush();
        require("includes/pie.php"); 
        ?>
    </div> <!-- cuerpo -->
</body>
</html>
