<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="302";
require_once("includes/rsusuario.php");  


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}

$idsucu=intval($_GET['idsucu']);

$condicion=intval($_GET['condicion']);



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>

            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Mix de Ventas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php 
$refemenu="desc";
require_once("includes/menu_venta_graf.php"); ?>
<div class="clearfix"></div>
<hr />

<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idsucu, nombre
FROM sucursales
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_GET['idsucu'])){ 
	$value_selected=htmlentities($_GET['idsucu']); 
}else{
	//$value_selected=htmlentities($rs->fields['idsucu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idsucu',
	'id_campo' => 'idsucu',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idsucu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Condicion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">

	<select name="condicion" id="condicion"  class="form-control">
		<option value="">Todos</option>
		<option value="1"<?php  if($_GET['condicion']==1){?> selected="selected" <?php } ?>>CONTADO</option>
		<option value="2"<?php  if($_GET['condicion']==2){?> selected="selected" <?php } ?>>CREDITO</option>
		
	
	</select>
	</div>
</div>

<div class="clearfix"></div>
<br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>


<br />
</form>        
<div class="clearfix"></div>
<br /><hr /><br />

<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Reporte</th>

		</tr>
	  </thead>
	  <tbody>

		<tr>
			<td>
				
				<div class="btn-group">
					<a href="informe_venta_graf_desc_cab_csv.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta; ?>&idsucu=<?php echo $idsucu;  ?>&condicion=<?php echo $condicion ?>" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar"><span class="fa fa-file-excel-o"></span></a>
					<a href="informe_venta_graf_desc_cab_csv_new.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta; ?>&idsucu=<?php echo $idsucu;  ?>&condicion=<?php echo $condicion ?>" class="btn btn-sm btn-default" title="Descargar Formato II" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar Formato II"><span class="fa fa-file-excel-o"></span></a>	
				</div>

			</td>
			<td align="center">Facturas de Venta</td>


		</tr>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="informe_venta_graf_desc_det_csv.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta; ?>&idsucu=<?php echo $idsucu;  ?>&condicion=<?php echo $condicion ?>" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar"><span class="fa fa-file-excel-o"></span></a>

				</div>

			</td>
			<td align="center">Detalles de Venta</td>


		</tr>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="informe_venta_graf_desc_det_adh_csv.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta; ?>&idsucu=<?php echo $idsucu;  ?>&condicion=<?php echo $condicion ?>" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar"><span class="fa fa-file-excel-o"></span></a>

				</div>

			</td>
			<td align="center">Detalles de Venta c/ Adherente</td>


		</tr>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="informe_venta_graf_desc_mixglob_csv.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta; ?>&idsucu=<?php echo $idsucu;  ?>&condicion=<?php echo $condicion ?>" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar"><span class="fa fa-file-excel-o"></span></a>

				</div>

			</td>
			<td align="center">Mix de Ventas Global</td>


		</tr>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="informe_venta_graf_desc_mix_csv.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta; ?>&idsucu=<?php echo $idsucu;  ?>&condicion=<?php echo $condicion ?>" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar"><span class="fa fa-file-excel-o"></span></a>

				</div>

			</td>
			<td align="center">Mix de Ventas por Local</td>


		</tr>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="informe_venta_graf_desc_mixglob_mozo_csv.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta; ?>&idsucu=<?php echo $idsucu;  ?>&condicion=<?php echo $condicion ?>" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar"><span class="fa fa-file-excel-o"></span></a>

				</div>

			</td>
			<td align="center">Mix de Ventas por Operador que cargo el Producto</td>


		</tr>
        <tr>
			<td>
				
				<div class="btn-group">
					<a href="costos_ventas_csv.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta; ?>&idsucu=<?php echo $idsucu;  ?>&condicion=<?php echo $condicion ?>" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar"><span class="fa fa-file-excel-o"></span></a>

				</div>

			</td>
			<td align="center">Costos de Venta</td>


		</tr
		
        <tr>
			<td>
				<div class="btn-group">
					<a href="informe_venta_graf_desc_fpag_listaprecio_csv.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta; ?>&idsucu=<?php echo $idsucu;  ?>&condicion=<?php echo $condicion ?>" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar"><span class="fa fa-file-excel-o"></span></a>
				</div>
			</td>
			<td align="center">Formas de Pago<br />(Comparar columna "Monto forma pago" contra reporte de "ventas al contado" no ventas totales)</td>
		</tr>
		
		<tr>
			<td>
				<div class="btn-group">
					<a href="informe_venta_graf_desc_mixcombinado_csv.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta; ?>&idsucu=<?php echo $idsucu;  ?>&condicion=<?php echo $condicion ?>" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar"><span class="fa fa-file-excel-o"></span></a>

				</div>
			</td>
			<td align="center">Mix Combinados</td>
		</tr>
		
		<tr>
			<td>
				<div class="btn-group">
					<a href="informe_venta_graf_desc_mixcombo_csv.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta; ?>&idsucu=<?php echo $idsucu;  ?>&condicion=<?php echo $condicion ?>" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar"><span class="fa fa-file-excel-o"></span></a>

				</div>
			</td>
			<td align="center">Mix Combos</td>
		</tr>
		<tr>
			<td>
				<div class="btn-group">
					<a href="venta_categoria_sub_pdf.php?desde=<?php echo $desde ?>&hasta=<?php echo $hasta; ?>&idsucu=<?php echo $idsucu;  ?>&condicion=<?php echo $condicion ?>" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar" target="_blank"><span class="fa fa-file-pdf-o"></span></a>

				</div>
			</td>
			<td align="center">Ventas x Categorias</td>
		</tr>
		<tr>
			<td>
				<div class="btn-group">
					<a href="informe_venta_graf_desc_evo.php?idsucu=<?php echo $idsucu;  ?>&condicion=<?php echo $condicion ?>" class="btn btn-sm btn-default" title="Descargar" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar" target="_blank"><span class="fa fa-file-pdf-o"></span></a>
					&nbsp;
					<a href="ventas_categoria_xls.php?idsucu=<?php echo $idsucu;  ?>&condicion=<?php echo $condicion ?>" class="btn btn-sm btn-default" title="Descargar XLS" data-toggle="tooltip" data-placement="right"  data-original-title="Descargar" target="_blank"><span class="fa fa-file-excel-o"></span></a>
				</div>
			</td>
			<td align="center">Evolucion Mensual</td>
		</tr>
	  </tbody>
    </table>
</div>
<br />
  



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
