<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");


set_time_limit(0);
//error_reporting (E_ALL);

function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	return utf8_decode($txt);
}

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
$idsucu=intval($_GET['idsucu']);
if($idsucu > 0){
	$whereadd=" and ventas.sucursal = $idsucu ";	
}


$buscar="
select ventas_detalles.idventa, ventas.fecha as 'Fecha Hora', 
	CASE WHEN 
		LENGTH(ventas.factura) = 13
	THEN
		CONCAT(SUBSTRING(ventas.factura,1,3),'-',SUBSTRING(ventas.factura,4,3),'-',SUBSTRING(ventas.factura,7,7))
	ELSE
		ventas.factura
	END as Factura,
	CASE WHEN 
		tipo_venta = 1
	THEN 
		'CONTADO'
	ELSE
		'CREDITO'
	END as Condicion_Venta,
(select idinsumo from insumos_lista where idproducto = productos.idprod_serial) as Codart,
ventas_detalles.idprod as Codprod,
productos.idprodexterno as Codext,
productos.barcode as Codbarra,
(select descripcion from productos where idprod_serial = ventas_detalles.idprod) as Producto,
(
select categorias.nombre 
from categorias 
inner join productos on productos.idcategoria = categorias.id_categoria 
where 
idprod_serial = ventas_detalles.idprod
) as Categoria,
(
select sub_categorias.descripcion 
from sub_categorias
inner join productos on productos.idsubcate = sub_categorias.idsubcate 
where 
idprod_serial = ventas_detalles.idprod
) as 'Sub Categoria',
(select nombre from sucursales where sucursales.idsucu = ventas.sucursal) as Sucursal,
(select descripcion from gest_depositos where iddeposito = ventas.iddeposito) as Deposito,
REPLACE(pventa,'.',',') as 'Precio Unitario', 
REPLACE(cantidad,'.',',') as Cantidad, 
REPLACE(subtotal,'.',',') as Subtotal,
REPLACE(costo,'.',',') as Costo_unitario,
REPLACE(subtotal_costo,'.',',') as Subtotal_costo,

REPLACE(CASE WHEN 
	(select idventa from ventas_detalles_impuesto where idventa = ventas.idventa limit 1) > 0
THEN
 	(Select sum(gravadoml) as subtotal from ventas_detalles_impuesto where idventadet=ventas_detalles.idventadet and iva_porc_col=0)
ELSE
	(Select sum(subtotal) as subtotal from ventas_detalles where idventadet=ventas_detalles.idventadet and iva=0)
END,'.',',') as exenta,
REPLACE((Select sum(gravadoml) as subtotal from ventas_detalles_impuesto where idventadet=ventas_detalles.idventadet and iva_porc_col > 0),'.',',') as gravadas,
REPLACE((Select sum(ivaml) as subtotal from ventas_detalles_impuesto where idventadet=ventas_detalles.idventadet),'.',',') as ivaml,

REPLACE(productos.cantidad_referencial,'.',',') as cantidad_referencial_unit,
REPLACE(ventas_detalles.cantidad*productos.cantidad_referencial,'.',',')  as cantidad_referencial_total,
(select nombre from medidas where id_medida = productos.idmedida_referencial) as medida_referencial,

(select usuario from usuarios where idusu = ventas.operador_pedido) as Operador,
(select usuario from usuarios where idusu = ventas.registrado_por) as Cajero,
CONCAT(ventas.ruchacienda,'-',ventas.dv) as ruc,
(select documento from cliente where idcliente = ventas.idcliente)  as documento,
ventas.razon_social,
(
select proveedores.nombre 
from proveedores 
inner join insumos_lista on insumos_lista.idproveedor = proveedores.idproveedor
inner join productos on productos.idprod_serial = insumos_lista.idproducto
where
productos.idprod_serial = ventas_detalles.idprod
) as proveedor,
	CONCAT(ELT(WEEKDAY(fecha)+1, 
    'Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sabado', 'Domingo')) AS dia_semana,
(select canal from canal where idcanal = ventas.idcanal) as canal,
(select canal_venta from canal_venta where idcanalventa = ventas.idcanalventa) as canal_venta,
(select motorista from motoristas where idmotorista = ventas.idmotorista) as motorista,
(select numero_mesa from mesas where idmesa = ventas.idmesa) as mesa,
(select salon.nombre from mesas inner join salon on salon.idsalon = mesas.idsalon where idmesa = ventas.idmesa) as salon,
CASE WHEN
ventas_detalles.idlistaprecio IS NULL
THEN
	'NORMAL'
ELSE
	(select lista_precios_venta.lista_precio from lista_precios_venta where idlistaprecio = ventas_detalles.idlistaprecio) 
END as lista_precio
FROM ventas_detalles
inner join ventas on ventas.idventa = ventas_detalles.idventa
inner join productos on productos.idprod_serial = ventas_detalles.idprod
WHERE 
ventas.estado <> 6
$whereadd
ORDER by ventas.fecha asc, ventas.factura asc
limit 10
";
//echo $buscar;//and ventas.idventa in( 96488,96489,96490,96491,96492,96493)
$rs = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

//$rs=$rsvdet;

$datos="";


	

//generando nombres de columna para excel
//$Cantidad_de_columnas_a_crear=$rs->_numOfFields;  // obtiene la cantidad de columnas



	// asigna los datos de la consulta a una variable
	//$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	echo "<table border='1'>";
	echo "<thead>";
	echo "<tr>";
	foreach($array as $key=>$value){
		$i++;
		echo "<td>";
		echo limpiacsv($key);
		echo "</td>";
	}
	echo "</tr>";
	echo "</thead>";
	reset($array);
	$datos.=$saltolinea;





$impreso=date("d/m/Y H:i:s");
/*
header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=venta_detalle_'.$impreso.'.csv');
	
echo $datos;
*/

//CONSTRUYE CUERPO
//$ante=0;
$fila=1;
echo "<tbody>";
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	echo "<tr>";
	foreach($array as $key=>$value){
		$i++;
		echo "<td>";
		echo limpiacsv($value).'';
		echo "</td>";
	}
	echo "</tr>";
$rs->MoveNext(); }
echo "</tbody>";
echo "</table>";

exit; 		
?>