<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="302";
require_once("includes/rsusuario.php"); 



if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(($_GET['suc']) > 0){
	$idsuc=intval($_GET['suc']);
	$filtrocaja=" and ventas.sucursal = $idsuc";
	
}

$vermargen="S";
if($vermargen == 'S'){
	/*$consulta="
	update ventas 
	set 
	costo_total_ven = 
			COALESCE(
				(
					SELECT sum(ventas_detalles.subtotal_costo) 
					from ventas_detalles 
					where 
					idventa = ventas.idventa
				)
			,0)

	";*/
	$consulta="
	UPDATE ventas
	JOIN (
		SELECT idventa, SUM(subtotal_costo) AS total_costo
		FROM ventas_detalles
		GROUP BY idventa
	) AS detalles ON ventas.idventa = detalles.idventa
	SET ventas.costo_total_ven = COALESCE(detalles.total_costo, 0)
	WHERE 
	date(ventas.fecha) >= '$desde' 
	and date(ventas.fecha) <= '$hasta' 
	and ventas.estado <> 6
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
}

/*(
select  
sum(ventas_detalles.subtotal_costo) 
from ventas_detalles, ventas vv
where 
vv.idventa = ventas_detalles.idventa
and date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.estado <> 6
and vv.sucursal = ventas.sucursal 
) as costo_total*/

$consulta="
select 
ventas.sucursal, count(ventas.sucursal) as cantidad, sum(ventas.totalcobrar) as total, 
(select sucursales.nombre from sucursales where sucursales.idsucu = ventas.sucursal) as canal,
sum(ventas.costo_total_ven) as costo_total

from ventas 
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.estado <> 6
and ventas.excluye_repven = 0
group by ventas.sucursal
order by sum(ventas.total_cobrado) desc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
select sum(ventas.total_cobrado) as total
from ventas 
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.estado <> 6
and ventas.excluye_repven = 0
";
$rs2 = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
select sum(otrosgs) as monto_delivery, sum(descneto) as monto_descuento
from ventas 
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.estado <> 6
and ventas.excluye_repven = 0
and ventas.idempresa = $idempresa
$filtrocaja
";
$rs3 = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$descuento=$rs3->fields['monto_descuento'];
$total_venta=$rs2->fields['total'];
$totalcondesc=$total_venta-$descuento;




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>

            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Margen por Sucursal</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php 
$refemenu="suc";
require_once("includes/menu_venta_graf.php"); ?>
<div class="clearfix"></div>
<hr />
<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>


<div class="clearfix"></div>
<br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>


<br />
</form>     
  <hr />
  
   
 <div class="col-md-6">          
                <p class="text-muted font-13 m-b-30">
                      Share x Sucursal</p>  
 <canvas id="chartjs-2"  height="250" width="300" ></canvas>
 </div> 
 
 
 
 
 
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Grilla de Datos - M&aacute;rgenes</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

 <p ><strong>Distrubucion x sucursal</strong></p>
    
        
<div class="table-responsive">
    <table width="94%" class="table table-bordered jambo_table bulk_action">
           <tbody>
            <tr>
              <td align="center"><strong>Sucursal</strong></td>
              <td align="center" ><strong>TK Prom.</strong></td>
              <td align="center" ><strong>Ventas</strong></td>
              <td align="center"><strong>Venta Total</strong></td>
              <?php if($vermargen == 'S'){ ?>
              <td align="center" ><strong>Costo Total</strong></td>
              <td align="center" ><strong>Margen</strong></td>
              <td align="center" ><strong>% Margen</strong></td>
              <?php } ?>
              <td align="center"><strong>% Share</strong></td>
            </tr>
           <?php  while (!$rs->EOF){ 

			
		   $cantidad=$rs->fields['cantidad'];
		   $costo=$rs->fields['costo_total'];
		   $venta=$rs->fields['total'];
		   $costo_prom=$costo/$cantidad;
		   $venta_prom=$venta/$cantidad;
		   $margen_prom=$venta_prom-$costo_prom;
		   $margen=$rs->fields['total']-$rs->fields['costo_total'];
		   $margen_porc=(($venta-$costo)/$venta)*100;
		   
   		   $cantidad_acum+=$cantidad;
   		   $costo_total_acum+=$costo;
		   $venta_total_acum+=$venta;
		   $margen_acum+=$margen;
		   $margen_porc_tot=(($venta_total_acum-$costo_total_acum)/$venta_total_acum)*100;
		   
		   

			
		   ?>
            <tr>
              <td align="left"><?php if(trim($rs->fields['canal']) == ''){ echo "Sin Datos"; }else{ echo $rs->fields['canal']; } ?></td>
              <td align="right">Gs. <?php echo formatomoneda(round(intval($rs->fields['total'])/intval($rs->fields['cantidad']),0)); ?></td>
              <td align="right"><?php echo formatomoneda($rs->fields['cantidad']); ?></td>
              <td align="right"><?php echo formatomoneda($rs->fields['total']); ?></td>
              <?php if($vermargen == 'S'){ ?>
              <td align="right"><?php echo formatomoneda($costo); ?></td>
              <td align="right"><?php echo formatomoneda($margen); ?></td>
              <td align="right"><?php echo formatomoneda($margen_porc,2,'N'); ?>%</td>
              <?php } ?>
              <td align="right"><?php echo round(((intval($rs->fields['total'])/intval($rs2->fields['total']))*100),2); ?>%</td>
            </tr>
           <?php  $rs->MoveNext(); }  ?> 
            <tr>
              <td align="left">Totales</td>
              <td align="right"></td>
              <td align="right"><?php echo formatomoneda($cantidad_acum); ?></td>
              <td align="right"><?php echo formatomoneda($venta_total_acum); ?></td>
              <?php if($vermargen == 'S'){ ?>
              <td align="right"><?php echo formatomoneda($costo_total_acum); ?></td>
              <td align="right"><?php echo formatomoneda($margen_acum); ?></td>
              <td align="right"><?php echo formatomoneda($margen_porc_tot,2,'N'); ?>%</td>
              <?php } ?>
              <td align="right">100%</td>
            </tr>
          </tbody>
      </table>
</div>


     
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
<?php 
$data_tot="";
$data_prod="";
$rs->MoveFirst();
$dlabel="";
while(!$rs->EOF){
	$tv=round(((intval($rs->fields['total'])/intval($rs2->fields['total']))*100),2);
	$data_prod.='"'.antixss(str_replace(",","",trim($rs->fields['canal']))).' ->'.$tv.' %"'.', '.$saltolinea;
	$data_tot.=round(((intval($rs->fields['total'])/intval($rs2->fields['total']))*100),2).', ';
	$dlabel=trim($rs->fields['canal']).' ';
$rs->MoveNext(); } //$rschartcant->MoveFirst();
$data_prod=substr(trim($data_prod),0,-1);
$data_tot=substr(trim($data_tot),0,-1);
$dlabel="";
?>		  
 
<script>
new Chart(document.getElementById("chartjs-2"), {
    "type": "horizontalBar",
    "data": {
        "labels": [<?php echo $data_prod ?>],
        "datasets": [{
            "label": "",
            "data": [<?php echo $data_tot ?>],
            "fill": false,
            "backgroundColor": ["rgba(255, 99, 132, 0.2)", "rgba(255, 159, 64, 0.2)", "rgba(75, 192, 192, 0.2)", "rgba(255, 205, 86, 0.2)", "rgba(54, 162, 235, 0.2)", "rgba(153, 102, 255, 0.2)", "rgba(201, 203, 207, 0.2)"],
            "borderColor": ["rgb(255, 99, 132)", "rgb(255, 159, 64)", "rgb(255, 205, 86)", "rgb(75, 192, 192)", "rgb(54, 162, 235)", "rgb(153, 102, 255)", "rgb(201, 203, 207)"],
            "borderWidth": 1
        }]
    },
    "options": {
        "scales": {
            "xAxes": [{
                "ticks": {
                    "beginAtZero": true
                }
            }],
			"yAxes": [{
                "ticks": {
                    "mirror": true
                }
            }]
			
        }

    }//de options
});
</script>
  </body>
</html>
