<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="302";
require_once("includes/rsusuario.php"); 


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

if(intval($_GET['idcategoria']) > 0){
	$cate=intval($_GET['idcategoria']);
	$addcate=" and productos.idcategoria=$cate" ;
}
if(intval($_GET['idsubcate']) > 0){
	$subcate=intval($_GET['idsubcate']);
	$addsubcate=" and productos.idsubcate=$subcate" ;
}
if(($_GET['cj']) > 0){
	$idcaja=intval($_GET['cj']);
	$filtrocaja=" and ventas.idcaja = $idcaja";
	
}
if(($_GET['suc']) > 0){
	$idsuc=intval($_GET['suc']);
	$filtrocaja=" and ventas.sucursal = $idsuc";
	
}
if(trim($_GET['suc']) == 'ss'){
	
	$consulta="
	select idsucu 
	from sucursales 
	where 
	estado = 1 
	and matriz = 'N'
	";
	$rssucufil=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$sucu_or_add="and ( ".$saltolinea;
	$i=0;
	while(!$rssucufil->EOF){
		$i++;
		$idsuc=intval($rssucufil->fields['idsucu']);
		if($i == 1){
			$sucu_or_add.=" ventas.sucursal = $idsuc ".$saltolinea;
		}else{
			$sucu_or_add.=" or ventas.sucursal = $idsuc ".$saltolinea;	
		}
	$rssucufil->MoveNext(); }
	$sucu_or_add.=" ) ".$saltolinea;
	$filtrocaja=$sucu_or_add;
	
}
if(($_GET['operador']) > 0){
	$operador_pedido=intval($_GET['operador']);
	$filtrocaja=" and ventas.operador_pedido = $operador_pedido ";
	
}
if(($_GET['operador_prod']) > 0){
	$operador_prod=intval($_GET['operador_prod']);
	$filtrocaja=" and ventas_detalles.idoperador_carga = $operador_prod ";
	
}
if(($_GET['cajero']) > 0){
	$cajero=intval($_GET['cajero']);
	$filtrocaja=" and ventas.registrado_por = $cajero";
	
}

// actualizaciones
$consulta="update ventas_detalles set idoperador_carga = (select usuario from tmp_ventares where idventatmp = ventas_detalles.idventatmp) where idoperador_carga is null;";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$consulta="update ventas_detalles set idoperador_carga = (select usuario from tmp_ventares_bak where idventatmp = ventas_detalles.idventatmp) where idoperador_carga is null;";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));




$consulta="
select
COALESCE(usuarios.usuario,'SIN ASIGNAR') AS operador, 
productos.descripcion as producto, sum(ventas_detalles.cantidad) as cantidad, sum(ventas_detalles.subtotal) as subtotal
from ventas 
inner join ventas_detalles on ventas.idventa = ventas_detalles.idventa
inner join productos on productos.idprod_serial = ventas_detalles.idprod
left join usuarios on usuarios.idusu = ventas_detalles.idoperador_carga
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
$addcate
$addsubcate
and ventas.estado <> 6
and ventas.excluye_repven = 0
$filtrocaja
group by usuarios.usuario, productos.descripcion  
ORDER BY COALESCE(usuarios.usuario,'SIN ASIGNAR')  asc
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function subcategorias(idcategoria){
	var direccionurl='subcate_inf.php';	
	var parametros = {
	  "idcategoria" : idcategoria
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#subcatebox").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(xhr.status === 200){
				$("#subcatebox").html(response);
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});
}

</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>

            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Mix de Ventas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php 
$refemenu="prodop";
require_once("includes/menu_venta_graf.php"); ?>
<div class="clearfix"></div>
<hr />

<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Categoria * </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
<?php 
require_once("cate_inf.php");

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Subcategoria *</label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="subcatebox">
<?php 
require_once("subcate_inf.php");

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Sucursal * </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
<?php 
	  
	  
//lista de sucursales
$buscar="select * from sucursales where  estado = 1 order by nombre asc";
$rsfd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

	  
	  
	  ?><select name="suc" id="suc" class="form-control" >
        <option value="0" <?php if(intval($_GET['suc']) == 0){?>selected="selected"<?php }?>>TODOS</option>
        <option value="ss" <?php if($_GET['suc'] == 'ss'){?>selected="selected"<?php }?> >SOLO SUCURSALES</option>
       <?php while (!$rsfd->EOF){?>
        <option value="<?php echo $rsfd->fields['idsucu']?>" <?php if($rsfd->fields['idsucu']==intval($_GET['suc'])){?>selected="selected"<?php }?>><?php echo $rsfd->fields['nombre']?></option>
    
         <?php $rsfd->MoveNext();}?>
    </select>
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Cajero * </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
<?php 
// consulta
$consulta="
SELECT idusu, usuario
FROM usuarios
where
estado = 1
order by usuario asc
 ";

// valor seleccionado
if(isset($_GET['cajero'])){ 
	$value_selected=htmlentities($_GET['cajero']); 
}else{
	//$value_selected=htmlentities($rs->fields['idusu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'cajero',
	'id_campo' => 'cajero',
	
	'nombre_campo_bd' => 'usuario',
	'id_campo_bd' => 'idusu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Operador Pedido * </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
<?php 
// consulta
$consulta="
SELECT idusu, usuario
FROM usuarios
where
estado = 1
order by usuario asc
 ";

// valor seleccionado
if(isset($_GET['operador'])){ 
	$value_selected=htmlentities($_GET['operador']); 
}else{
	//$value_selected=htmlentities($rs->fields['idusu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'operador',
	'id_campo' => 'operador',
	
	'nombre_campo_bd' => 'usuario',
	'id_campo_bd' => 'idusu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Operador Producto * </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
<?php 
// consulta
$consulta="
SELECT idusu, usuario
FROM usuarios
where
estado = 1
order by usuario asc
 ";

// valor seleccionado
if(isset($_GET['operador_prod'])){ 
	$value_selected=htmlentities($_GET['operador_prod']); 
}else{
	//$value_selected=htmlentities($rs->fields['idusu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'operador_prod',
	'id_campo' => 'operador_prod',
	
	'nombre_campo_bd' => 'usuario',
	'id_campo_bd' => 'idusu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>



<div class="clearfix"></div>
<br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>


<br />
</form>        
<div class="clearfix"></div>
  <hr /><br /> 
 
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th align="center">Operador</th>
			<th align="center">Producto</th>
			<th align="center">Cantidad</th>
			<th align="center">Total</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td align="left"><?php echo antixss($rs->fields['operador']); ?></td>
			<td align="left"><?php echo antixss($rs->fields['producto']); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['cantidad'],'4','N'); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['subtotal'],'4','N'); ?></td>
		</tr>
<?php 
$cantidad_acum+=$rs->fields['cantidad'];				   
$total_acum+=$rs->fields['subtotal'];
$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
	  <tfoot>
		<tr>
			<td align="left" colspan="2">Totales</td>
			<td align="center"><?php echo formatomoneda($cantidad_acum,'4','N'); ?></td>
			<td align="right"><?php echo formatomoneda($total_acum,'4','N'); ?></td>
		</tr>
	  </tfoot>
    </table>
</div>
<br />

 
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>

  </body>
</html>
