<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="302";
require_once("includes/rsusuario.php"); 

if(intval($_GET['id']) == 0){
	header("location: informe_venta_graf_vend.php");
	exit;
}
if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';


if(($_GET['cj']) > 0){
	$idcaja=intval($_GET['cj']);
	$filtrocaja.=" and ventas.idcaja = $idcaja";
	
}
if(intval($_GET['suc']) > 0){
	$idsuc=intval($_GET['suc']);
	$filtrocaja.=" and ventas.sucursal = $idsuc";
	
}
if(trim($_GET['suc']) == 'ss'){
	
	$consulta="
	select idsucu 
	from sucursales 
	where 
	estado = 1 
	and matriz = 'N'
	";
	$rssucufil=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$sucu_or_add="and ( ".$saltolinea;
	$i=0;
	while(!$rssucufil->EOF){
		$i++;
		$idsuc=intval($rssucufil->fields['idsucu']);
		if($i == 1){
			$sucu_or_add.=" ventas.sucursal = $idsuc ".$saltolinea;
		}else{
			$sucu_or_add.=" or ventas.sucursal = $idsuc ".$saltolinea;	
		}
	$rssucufil->MoveNext(); }
	$sucu_or_add.=" ) ".$saltolinea;
	$filtrocaja.=$sucu_or_add;
	
}
if(($_GET['operador']) > 0){
	$operador_pedido=intval($_GET['operador']);
	$filtrocaja.=" and ventas.operador_pedido = $operador_pedido ";
	
}
if(($_GET['cajero']) > 0){
	$cajero=intval($_GET['cajero']);
	$filtrocaja.=" and ventas.registrado_por = $cajero";
	
}


if(($_GET['id']) > 0){
	$idvendedor=intval($_GET['id']);
	$filtrocaja.=" and ventas.vendedor = $idvendedor";
	$whereadd.=$filtrocaja;
}


$consulta="
select vendedor.idvendedor, CONCAT(vendedor.nombres,vendedor.apellidos) as vendedor, count(ventas.idventa) as cantidad, sum(ventas.totalcobrar) as subtotal
from ventas 
inner join vendedor on vendedor.idvendedor = ventas.vendedor
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
$addcate
$addsubcate
and ventas.estado <> 6
and ventas.excluye_repven = 0
$filtrocaja
group by vendedor.idvendedor
order by sum(ventas.totalcobrar) desc
limit 50
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function subcategorias(idcategoria){
	var direccionurl='subcate_inf.php';	
	var parametros = {
	  "idcategoria" : idcategoria
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#subcatebox").html('Cargando...');				
		},
		success:  function (response, textStatus, xhr) {
			if(xhr.status === 200){
				$("#subcatebox").html(response);
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
}

</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>

            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Ventas del Vendedor Detallado</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<p><a href="informe_venta_graf_vend.php?desde=<?php echo htmlentities($_GET['desde']); ?>&hasta=<?php echo htmlentities($_GET['hasta']); ?>&suc=<?php echo intval($_GET['suc']); ?>" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />
 
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
        
        	<th align="center">Codigo</th>
			<th align="center">Vendedor</th>
			<th align="center">Cantidad</th>
			<th align="center">Total</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

        	<td align="center"><?php echo antixss($rs->fields['idvendedor']); ?></td>
			<td align="left"><?php echo antixss($rs->fields['vendedor']); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['cantidad'],'4','N'); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['subtotal'],'4','N'); ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />

<?php 
if(intval($_GET['id']) > 0){
	$consulta="
	select *,
	(select sucursales.nombre from sucursales where sucursales.idsucu = ventas.sucursal) as sucursal,
	CASE WHEN tipo_venta = 1 then 'CONTADO' ELSE 'CREDITO' END as condicion,
	(select canal from canal where canal.idcanal = ventas.idcanal) as canal
	from ventas 
	where 
	 ventas.estado <> 6
	 and date(ventas.fecha) >= '$desde'
	 and date(ventas.fecha) <= '$hasta'
	 and ventas.excluye_repven = 0
	$whereadd
	order by fecha asc
	limit 10000
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>

<hr />

<a href="informe_venta_graf_vend_det_csv.php<?php echo parametros_url(); ?>" class="btn btn-sm btn-default"><span class="fa fa-file-excel-o"></span> Descargar CSV</a>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Idventa</th>
			<th align="center">Fecha</th>
			<th align="center">Factura</th>
			<th align="center">Condicion</th>
			<th align="center">Sucursal</th>
			<th align="center">Total sin Desc</th>
			<th align="center">Descneto</th>
			<th align="center">Total venta</th>
			<th align="center">Razon social</th>
			<th align="center">Ruc</th>
			<th align="center">Canal</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="informe_venta_graf_det.php?id=<?php echo $rs->fields['idventa']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>
				</div>

			</td>
			<td align="center"><?php echo antixss($rs->fields['idventa']); ?></td>
			<td align="center"><?php if($rs->fields['fecha'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['factura']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['condicion']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['sucursal']); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['total_venta']); ?></td>
			<td align="center"><?php echo intval($rs->fields['descneto']); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['totalcobrar']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['ruc']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['canal']); ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
 <?php } ?>




 
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            


            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>

  </body>
</html>
