<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="302";
require_once("includes/rsusuario.php"); 
//exit;

function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

if(intval($_GET['id']) == 0){
	header("location: informe_venta_graf_vend.php");
	exit;
}
if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';


if(intval($_GET['cj']) > 0){
	$idcaja=intval($_GET['cj']);
	$filtrocaja.=" and ventas.idcaja = $idcaja";
	
}
if(intval($_GET['suc']) > 0){
	$idsuc=intval($_GET['suc']);
	$filtrocaja.=" and ventas.sucursal = $idsuc";
	
}
if(trim($_GET['suc']) == 'ss'){
	
	$consulta="
	select idsucu 
	from sucursales 
	where 
	estado = 1 
	and matriz = 'N'
	";
	$rssucufil=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$sucu_or_add="and ( ".$saltolinea;
	$i=0;
	while(!$rssucufil->EOF){
		$i++;
		$idsuc=intval($rssucufil->fields['idsucu']);
		if($i == 1){
			$sucu_or_add.=" ventas.sucursal = $idsuc ".$saltolinea;
		}else{
			$sucu_or_add.=" or ventas.sucursal = $idsuc ".$saltolinea;	
		}
	$rssucufil->MoveNext(); }
	$sucu_or_add.=" ) ".$saltolinea;
	$filtrocaja.=$sucu_or_add;
	
}
if(intval($_GET['operador']) > 0){
	$operador_pedido=intval($_GET['operador']);
	$filtrocaja.=" and ventas.operador_pedido = $operador_pedido ";
	
}
if(intval($_GET['cajero']) > 0){
	$cajero=intval($_GET['cajero']);
	$filtrocaja.=" and ventas.registrado_por = $cajero";
	
}


if(intval($_GET['id']) > 0){
	$idvendedor=intval($_GET['id']);
	$filtrocaja.=" and ventas.vendedor = $idvendedor";
	$whereadd.=$filtrocaja;
}

			
$consulta="
select 
ventas.idventa,
ventas.fecha,
ventas.factura,
CASE WHEN ventas.tipo_venta = 1 then 'CONTADO' ELSE 'CREDITO' END as condicion,
(select sucursales.nombre from sucursales where sucursales.idsucu = ventas.sucursal) as sucursal,
REPLACE(COALESCE(ventas.total_venta,0),'.',',') as total_venta_sin_descuento,
REPLACE(COALESCE(ventas.descneto,0),'.',',') as descuento,
REPLACE(COALESCE(ventas.totalcobrar,0),'.',',') as total_venta,
ventas.razon_social,
ventas.ruc,
(select canal from canal where canal.idcanal = ventas.idcanal) as canal,
CONCAT(vendedor.nombres,vendedor.apellidos) as vendedor
from ventas 
inner join vendedor on vendedor.idvendedor = ventas.vendedor
where 
 ventas.estado <> 6
 and date(ventas.fecha) >= '$desde'
 and date(ventas.fecha) <= '$hasta'
 and ventas.excluye_repven = 0
$whereadd
order by ventas.fecha asc
limit 100000
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 //	CONCAT('\"',factura,'\"') as Factura,


 $impreso=date("d/m/Y H:i:s");



$datos="";


// asigna los datos de la consulta a una variable
$array=$rs->fields;

// CONSTRUYE CABECERA
foreach($array as $key=>$value){
	$i++;
	$datos.=limpiacsv($key).';';
}
reset($array);
$datos.=$saltolinea;





$impreso=date("YmdHis");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=venta_detalle_'.$impreso.'.csv');
	
	
// imprime cabecera
echo $datos;


//CONSTRUYE CUERPO
$fila=1;
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		echo limpiacsv($value).';';
	}
	echo $saltolinea;
$rs->MoveNext(); }


exit; 

?>
