<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="141";
require_once("includes/rsusuario.php"); 

set_time_limit(0);


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	return $txt;
}



if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

if(intval($_GET['categorial']) > 0){
	$cate=intval($_GET['categorial']);
	$addcate=" and productos.idcategoria=$cate" ;
}
if(intval($_GET['subcategoria']) > 0){
	$subcate=intval($_GET['subcategoria']);
	$addsubcate=" and productos.idsubcate=$subcate" ;
}
if(($_GET['cj']) > 0){
	$idcaja=intval($_GET['cj']);
	$filtrocaja=" and ventas.idcaja = $idcaja";
	
}
if(intval($_GET['idproveedor']) > 0){
	$idproveedor=intval($_GET['idproveedor']);
	$join_add=" 
	
	inner join insumos_lista on insumos_lista.idproducto = productos.idprod_serial
	";
	$whereadd.=" and insumos_lista.idproveedor = $idproveedor";
}
if(intval($_GET['suc']) > 0){
	$idsuc=intval($_GET['suc']);
	$filtrocaja=" and ventas.sucursal = $idsuc";
	
}

if(intval($_GET['idtipotran']) > 0){
	$idtipotran=intval($_GET['idtipotran']);
	$filtrocaja.=" and ventas.idtipotran  = $idtipotran ";
}
if(trim($_GET['suc']) == 'ss'){
	
	
	// metodo mas eficiente para mysql
	$consulta="
	select idsucu 
	from sucursales 
	where 
	estado = 1 
	and matriz = 'N'
	";
	$rssucufil=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$sucu_or_add="and ( ".$saltolinea;
	$i=0;
	while(!$rssucufil->EOF){
		$i++;
		$idsuc=intval($rssucufil->fields['idsucu']);
		if($i == 1){
			$sucu_or_add.=" ventas.sucursal = $idsuc ".$saltolinea;
		}else{
			$sucu_or_add.=" or ventas.sucursal = $idsuc ".$saltolinea;	
		}
	$rssucufil->MoveNext(); }
	$sucu_or_add.=" ) ".$saltolinea;
	$filtrocaja=$sucu_or_add;
	// metodo menos eficiente para mysql
	//$filtrocaja=" and ventas.sucursal in (select idsucu from sucursales where estado = 1 and matriz = 'N') ";
	
}

$buscar="
select
(select idinsumo from insumos_lista where idproducto = ventas_detalles.idprod) as idinsumo,
productos.barcode as codbar,
productos.descripcion, 
round(sum(ventas_detalles.cantidad),0) as cantidad,
round((select costo from insumos_lista where idproducto = ventas_detalles.idprod),0) as ultimo_costo,
round(sum(ventas_detalles.subtotal_costo)/sum(ventas_detalles.cantidad),0) as costoprom,
round(sum(ventas_detalles.subtotal)/sum(ventas_detalles.cantidad),0) as venta_prom,
round((sum(ventas_detalles.subtotal)/sum(ventas_detalles.cantidad))-(sum(ventas_detalles.subtotal_costo)/sum(ventas_detalles.cantidad)),0) as margen_prom,
round(sum(ventas_detalles.subtotal_costo),0) as costo_total, 
round(sum(ventas_detalles.subtotal),0) as venta_total,
round(sum(ventas_detalles.subtotal)-sum(ventas_detalles.subtotal_costo),0) as margen_total,
round(((sum(ventas_detalles.subtotal)-sum(ventas_detalles.subtotal_costo))/sum(ventas_detalles.subtotal))*100,0) as margen_porc
from ventas 
inner join ventas_detalles on ventas.idventa = ventas_detalles.idventa
inner join productos on productos.idprod_serial = ventas_detalles.idprod
$join_add
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
$addcate
$addsubcate
and ventas.estado <> 6
and ventas.idempresa = $idempresa
$filtrocaja
$whereadd
group by productos.descripcion
order by sum(pventa) desc
";
//echo $buscar;exit;
$rsvdet = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$rs=$rsvdet;

$datos="";


	

//generando nombres de columna para excel
//$Cantidad_de_columnas_a_crear=$rs->_numOfFields;  // obtiene la cantidad de columnas



	// asigna los datos de la consulta a una variable
	$array=$rs->fields;
	
	// CONSTRUYE CABECERA
	$array=$rs->fields;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($key).';';
	}
	reset($array);
	$datos.=$saltolinea;
	
	//CONSTRUYE CUERPO
	$ante=0;
	$fila=1;
	while (!$rs->EOF){
		$fila++;
		$array=$rs->fields;
		$i=0;
		foreach($array as $key=>$value){
			$i++;
			$datos.=limpiacsv($value).';';
		}
		$datos.=$saltolinea;
	$rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=venta_margen_'.$impreso.'.csv');
	
echo $datos;
exit;
		
?>