<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="299";
require_once("includes/rsusuario.php"); 


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

if(($_GET['idsucu']) > 0){
	$idsuc=intval($_GET['idsucu']);
	$whereadd=" and ventas.sucursal = $idsuc";
	
}

$idproducto=intval($_GET['id']);

$consulta="
select productos.idprod_serial as idproducto,
(select idinsumo from insumos_lista where insumos_lista.idproducto = productos.idprod_serial) as idinsumo,
productos.descripcion, sum(ventas_detalles.cantidad) as cantidad, sum(ventas_detalles.subtotal) as total
from ventas 
inner join ventas_detalles on ventas.idventa = ventas_detalles.idventa
inner join productos on productos.idprod_serial = ventas_detalles.idprod
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
and ventas.estado <> 6
and ventas.excluye_repven = 0
and ventas.idempresa = $idempresa
$whereadd
and productos.idtipoproducto = 6
and productos.idprod_serial = $idproducto
group by productos.descripcion
order by sum(subtotal) desc
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Desglose de Ventas por Tipos de Delivery</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<p><a href="informe_venta_tipodelivery.php?desde=<?php echo $desde; ?>&hasta=<?php echo $hasta; ?>&idsucu=<?php echo htmlentities($_GET['idsucu']); ?>" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>

<hr />

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th align="center">Codigo</th>
			<th align="center">Articulo</th>
			<th align="center">Cantidad</th>
            <th align="center">Total Articulo</th>
			<th align="center">Total Factura</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ 


$idproducto=$rs->fields['idproducto'];
$consulta="
select sum(totalcobrar) as totalventas 
from ventas 
where
date(ventas.fecha) >= '$desde' 
and date(ventas.fecha) <= '$hasta' 
and ventas.fecha >= '$desde_completo' 
and ventas.fecha <= '$hasta_completo' 
and ventas.estado <> 6
and ventas.excluye_repven = 0
and ventas.idempresa = $idempresa
$whereadd
and idventa in (
	select ventas.idventa
	from ventas 
	inner join ventas_detalles on ventas.idventa = ventas_detalles.idventa
	inner join productos on productos.idprod_serial = ventas_detalles.idprod
	where
	date(ventas.fecha) >= '$desde' 
	and date(ventas.fecha) <= '$hasta' 
	and ventas.fecha >= '$desde_completo' 
	and ventas.fecha <= '$hasta_completo' 
	and ventas.estado <> 6
	and ventas.excluye_repven = 0
	and ventas.idempresa = $idempresa
	$whereadd
	and productos.idtipoproducto = 6
	and productos.idprod_serial = $idproducto
)
";
$rsv = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$cantidad_acum+=$rs->fields['cantidad'];
$total_acum+=$rs->fields['total'];
$total_ventas_acum+=$rsv->fields['totalventas'];
?>
		<tr>
			<td align="right"><?php echo antixss($rs->fields['idinsumo']);  ?></td>
			<td align="right"><?php echo antixss($rs->fields['descripcion']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['cantidad']);  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['total']);  ?></td>	
			<td align="right"><?php echo formatomoneda($rsv->fields['totalventas']);  ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
		<tr style="background-color:#CCC; font-weight:bold;">
			<td align="right">Totales: </td>
			<td align="right"></td>
			<td align="right"><?php echo formatomoneda($cantidad_acum);  ?></td>
			<td align="right"><?php echo formatomoneda($total_acum);  ?></td>	
			<td align="right"><?php echo formatomoneda($total_ventas_acum);  ?></td>
		</tr>
	  </tbody>
    </table>
</div>

<hr />



<?php 
	

	$consulta="
	select *,
	(select sucursales.nombre from sucursales where sucursales.idsucu = ventas.sucursal) as sucursal,
	CASE WHEN tipo_venta = 1 then 'CONTADO' ELSE 'CREDITO' END as condicion,
	(select canal from canal where canal.idcanal = ventas.idcanal) as canal,
	(select motorista from motoristas where idmotorista = ventas.idmotorista) as motorista,
	(select nombre_deliv from tmp_ventares_cab where idtmpventares_cab = ventas.idpedido) as nombre_deliv,
	(select apellido_deliv from tmp_ventares_cab where idtmpventares_cab = ventas.idpedido) as apellido_deliv
	from ventas 
	where 
	idventa in (
		select ventas.idventa
		from ventas 
		inner join ventas_detalles on ventas.idventa = ventas_detalles.idventa
		inner join productos on productos.idprod_serial = ventas_detalles.idprod
		where
		date(ventas.fecha) >= '$desde' 
		and date(ventas.fecha) <= '$hasta' 
		and ventas.fecha >= '$desde_completo' 
		and ventas.fecha <= '$hasta_completo' 
		and ventas.estado <> 6
		and ventas.excluye_repven = 0
		and ventas.idempresa = $idempresa
		$whereadd
		and productos.idtipoproducto = 6
		and productos.idprod_serial = $idproducto
		group by ventas.idventa
	)
	order by fecha asc
	limit 10000
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<strong>Desglose de Ventas:</strong>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Idventa</th>
			<th align="center">Fecha</th>
			<th align="center">Factura</th>
			<th align="center">Condicion</th>
			<th align="center">Sucursal</th>

			<th align="center">Total venta</th>
			<th align="center">Razon social</th>
			<th align="center">Ruc</th>
            <th align="center">Nombres y Apellidos</th>
			<th align="center">Canal</th>
            <th align="center">Motorista</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="informe_venta_tipodelivery_det_det.php?id=<?php echo $rs->fields['idventa']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>
				</div>

			</td>
			<td align="center"><?php echo antixss($rs->fields['idventa']); ?></td>
			<td align="center"><?php if($rs->fields['fecha'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['factura']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['condicion']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['sucursal']); ?></td>

			<td align="center"><?php echo formatomoneda($rs->fields['totalcobrar']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
			<td align="center"><?php echo intval($rs->fields['ruchacienda']).'-'.intval($rs->fields['dv']); ?></td>
            
            <td align="center"><?php echo antixss($rs->fields['nombre_deliv']); ?> <?php echo antixss($rs->fields['apellido_deliv']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['canal']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['motorista']); ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />


<br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
