<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="405";
require_once("includes/rsusuario.php"); 


$unicose=intval($_GET['id']);
if($unicose == 0){
	header("location: inventario_editval.php");
	exit;	
}

$consulta="
select *
from inventario_detalles 
where 
unicose = $unicose
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idinventario=intval($rs->fields['idinventario']);
if($idinventario == 0){
	header("location: inventario_editval.php");
	exit;	
}

$consulta="
select *
from inventario 
where 
 estado = 3
and idinventario = $idinventario
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idinventario=intval($rs->fields['idinventario']);
if($idinventario == 0){
	header("location: inventario_editval.php");
	exit;	
}


$idinventario_desde=intval($idinventario);

if($idinventario_desde > 0){
	
	$consulta="
	select *, insumos_lista.descripcion as articulo
	from inventario_detalles 
	inner join inventario on inventario.idinventario = inventario_detalles.idinventario
	inner join insumos_lista on insumos_lista.idinsumo = inventario_detalles.idinsumo
	where
	inventario.estado = 3
	and inventario.idinventario = $idinventario_desde
	and hab_invent = 1
	and unicose = $unicose
	order by inventario_detalles.diferencia asc
	";
	$rsinvent=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idinventario=intval($rsinvent->fields['idinventario']);
	if($idinventario == 0){
		header("location: inventario_editval.php");
		exit;	
	}
	
}



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$precio_costo=antisqlinyeccion($_POST['precio_costo'],"float");





	if(floatval($_POST['precio_costo']) <= 0){
		$valido="N";
		$errores.=" - El campo precio_costo no puede ser cero o negativo.<br />";	
	}


	// si todo es correcto actualiza
	if($valido == "S"){
		
		//busca si ya existe algun log de este registro
		$consulta="
		select unicose 
		from inventario_detalles_log 
		where 
		unicose = $unicose 
		limit 1
		";
		$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		// si no existe crea
		if(intval($rsex->fields['unicose']) == 0){
			$consulta="
			INSERT INTO inventario_detalles_log
			(
			unicose, idinventario, idinsumo, descripcion, cantidad_contada, cantidad_sistema, diferencia, precio_venta, precio_costo,
			 idusu, ubicacion, lote, vto, fechahora, log_registrado_por, log_registrado_el
			) 
			select 
			unicose, idinventario, idinsumo, descripcion, cantidad_contada, cantidad_sistema, diferencia, precio_venta, precio_costo,
			 idusu, ubicacion, lote, vto, fechahora, $idusu, '$ahora'
			from inventario_detalles
			where 
			unicose = $unicose
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
		

		
		$consulta="
		update inventario_detalles
		set
			precio_costo=$precio_costo
		where
			unicose = $unicose
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		// registra el log despues del cambio
		$consulta="
		INSERT INTO inventario_detalles_log
		(
		unicose, idinventario, idinsumo, descripcion, cantidad_contada, cantidad_sistema, diferencia, precio_venta, precio_costo,
		 idusu, ubicacion, lote, vto, fechahora, log_registrado_por, log_registrado_el
		) 
		select 
		unicose, idinventario, idinsumo, descripcion, cantidad_contada, cantidad_sistema, diferencia, precio_venta, precio_costo,
		 idusu, ubicacion, lote, vto, fechahora, $idusu, '$ahora'
		from inventario_detalles
		where 
		unicose = $unicose
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		header("location: inventario_editval_det.php?id=$idinventario");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Editando Valorizacion de inventario #<?php echo $idinventario ?></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">






<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

            <th align="center">Idinventario</th>
			<th align="center">Fecha inicio</th>
			<th align="center">Fecha final</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

            <td align="center"><?php echo intval($rs->fields['idinventario']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_inicio'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_inicio'])); } ?></td>
			<td align="center"><?php if($rs->fields['fecha_final'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_final'])); } ?></td>


		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />


<?php if($rsinvent->fields['idinventario'] > 0){ ?>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
          <tr>
            <th><strong>Cod Articulo</strong></th>
            <th><strong>Cod Barras</strong></th>
            <th><strong>Articulo</strong></th>
            <th><strong>Stock Teorico</strong></th>
            <th><strong>Cantidad Contada</strong></th>
            <th><strong>Diferencia</strong></th>
            <th><strong>Precio Costo</strong></th>
            <th><strong>Precio Venta</strong></th>
            <th><strong>Stock Valorizado PC</strong></th>
            <th><strong>Stock Valorizado PV</strong></th>
            <th><strong>Dif Valorizado PC</strong></th>
            <th><strong>Dif Valorizado PV</strong></th>

 		 </tr>
  	</thead>
    <tbody>
<?php //while(!$rsinvent->EOF){
	
	$valorizado_pc=$rsinvent->fields['precio_costo']*$rsinvent->fields['diferencia'];
	$valorizado_pv=$rsinvent->fields['precio_venta']*$rsinvent->fields['diferencia'];
	$valorizado_st_pc=$rsinvent->fields['precio_costo']*$rsinvent->fields['cantidad_contada'];
	$valorizado_st_pv=$rsinvent->fields['precio_venta']*$rsinvent->fields['cantidad_contada'];
	
	$cantidad_sistema_acum+=$rsinvent->fields['cantidad_sistema'];
	
	$cantidad_contada_acum+=$rsinvent->fields['cantidad_contada'];
	$diferencia_acum+=$rsinvent->fields['diferencia'];
	
	$valorizado_pc_acum+=$valorizado_pc;
	$valorizado_pv_acum+=$valorizado_pv;
	$valorizado_pc_st_acum+=$valorizado_st_pc;
	$valorizado_pv_st_acum+=$valorizado_st_pv;

	
	
	 ?>
     
      <tr>

        <td align="center"><?php echo $rsinvent->fields['idinsumo']; ?></td>
        <td align="center">&nbsp;</td>
        <td align="left"><?php echo antixss($rsinvent->fields['articulo']); ?></td>
        <td align="right"><?php echo formatomoneda($rsinvent->fields['cantidad_sistema'],4,'N'); ?></td>
        <td align="right"><?php echo formatomoneda($rsinvent->fields['cantidad_contada'],4,'N'); ?></td>
        <td align="right" bgcolor="#FFFFCC"><?php echo formatomoneda($rsinvent->fields['diferencia'],4,'N'); ?></td>
        <td align="right"><?php echo formatomoneda($rsinvent->fields['precio_costo'],4,'N'); ?></td>
        <td align="right"><?php echo formatomoneda($rsinvent->fields['precio_venta'],4,'N'); ?></td>
        <td align="right"><?php echo formatomoneda($valorizado_st_pc,4,'N'); ?></td>
        <td align="right"><?php echo formatomoneda($valorizado_st_pv,4,'N'); ?></td>
        <td align="right"><?php echo formatomoneda($valorizado_pc,4,'N'); ?></td>
        <td align="right"><?php echo formatomoneda($valorizado_pv,4,'N'); ?></td>
      </tr>
  
<?php //$rsinvent->MoveNext(); } ?>
	</tbody>
    <tfoot>
      <tr>
        <td><strong>Totales</strong></td>
        <td align="right">&nbsp;</td>
        <td align="right"></td>
        <td align="right"><strong><?php echo $cantidad_sistema_acum; ?></strong></td>
        <td align="right"><strong><?php echo $cantidad_contada_acum; ?></strong></td>
        <td align="right"><strong><?php echo $diferencia_acum; ?></strong></td>
        <td align="right"></td>
        <td align="right"></td>
        <td align="right"><strong><?php echo formatomoneda($valorizado_pc_st_acum,4,'N'); ?></strong></td>
        <td align="right"><strong><?php echo formatomoneda($valorizado_pv_st_acum,4,'N'); ?></strong></td>
        <td align="right"><strong><?php echo formatomoneda($valorizado_pc_acum,4,'N'); ?></strong></td>
        <td align="right"><strong><?php echo formatomoneda($valorizado_pv_acum,4,'N'); ?></strong></td>
      </tr>
  </tfoot>
</table>
</div>
<?php } ?>
<div class="clearfix"></div>
<hr />

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idinsumo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idinsumo" id="idinsumo" value="<?php   echo intval($rsinvent->fields['idinsumo']); ?>" placeholder="Idinsumo" class="form-control"  disabled />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Descripcion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="descripcion" id="descripcion" value="<?php  echo htmlentities($rsinvent->fields['articulo']); ?>" placeholder="Descripcion" class="form-control" disabled />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cantidad contada *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="cantidad_contada" id="cantidad_contada" value="<?php  if(isset($_POST['cantidad_contada'])){ echo floatval($_POST['cantidad_contada']); }else{ echo floatval($rsinvent->fields['cantidad_contada']); }?>" placeholder="Cantidad contada" class="form-control" disabled />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Precio costo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="precio_costo" id="precio_costo" value="<?php  if(isset($_POST['precio_costo'])){ echo floatval($_POST['precio_costo']); }else{ echo floatval($rsinvent->fields['precio_costo']); }?>" placeholder="Precio costo" class="form-control" required="required" />                    
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='inventario_editval_det.php?id=<?php echo $idinventario ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />

<div class="clearfix"></div>
<br /><br />




                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
