<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
require_once("includes/funciones_stock.php");
// Modulo y submodulo respectivamente
$modulo = "1";
$submodulo = "63";
require_once("includes/rsusuario.php");
$datos = 0;


if (trim($_GET['descripcion']) != '') {
	$descripcion = antisqlinyeccion($_GET['descripcion'], "like");
	$whereadd .= " and ind.descripcion like '%$descripcion%' ";
}


if (intval($_GET['idcab'] )== 0) {
	$errores = "- Error al procesar el inventario, no se envio ningun parametro.<br />";
	//echo $errores;
	header("location: inventario_visor_cab.php");
	exit;
}else{
	$irlcab =intval($_GET['idcab'] );
}

$consulta ="select iddeposito,idinventario,estado 
from tmp_carrito_cab_inventario_modi where irl = $irlcab and estado = 1 ";
$rscab=$conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
$iddeposito=intval($rscab->fields['iddeposito']);
$idinventario=intval($rscab->fields['idinventario']);
$idestado=intval($rscab->fields['estado']);
if ($idinventario == 0) {
	header("location: inventario_visor_cab.php");
	exit;
}

if ($idinventario> 0) {
	$whereadd = " and ind.idinventario = $idinventario ";
} else {
	$whereadd = " and ind.idinventario = 0";
}


if ($iddeposito> 0) {
	$whereadd .= " and inc.iddeposito = $iddeposito ";
	$wheredepo = " and iddeposito = $iddeposito ";
} else {
	$whereadd .= " and inc.iddeposito = 0";
	$wheredepo = " and iddeposito = 0 ";
}

if (isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1') {
	// validaciones basicas
	$valido = "S";
	$errores = "";

	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if ($_SESSION['form_control'] != $_POST['form_control']) {
		$errores .= "- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido = "N";
	}
	if (trim($_POST['form_control']) == '') {
		$errores .= "- Control del formularios no activado.<br />";
		$valido = "N";
	}
	$_SESSION['form_control'] = md5(rand());

	if(intval($idinventario) == 0){
		$errores .= "- No se recibio el idinventario.<br />";
		$valido = "N";
	}
	
	if(intval($irlcab) == 0){
		$errores .= "- No se recibio el idcab.<br />";
		$valido = "N";
	}
	$consulta="
	select * from inventario where idinventario = $idinventario and estado = 3 limit 1
	";
	$rsinv=$conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
	$idinventario=intval($rsinv->fields['idinventario']);
	$fecha_inventario=$rsinv->fields['fecha_inicio'];
	$iddeposito=intval($rsinv->fields['iddeposito']);
	if($idinventario == 0){
		$errores .= "- El inventario seleccionado no existe o no esta finalizado.<br />";
		$valido = "N";
	}


	// si todo es correcto actualiza
	if ($valido == "S") {


		$consulta="
		update inventario_detalles
		set
		cantidad_contada_orig = cantidad_contada,
		diferencia_orig = diferencia
		where
		cantidad_contada_orig is null
		and idinventario = $idinventario
		and idinventario in (select idinventario from inventario where idinventario = $idinventario and estado = 3)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion, $consulta));

		//Consultamos del carrito de inventario todo los que se modificaron
		$consulta = "
		select * from
		(
			select 
			idinventario,codigo,articulo,cant_modi,$idusu,irldet,irl,
			(select cantidad_contada from inventario_detalles where unicose = tmp_inventario_modi.irldet) as cant_actual,
			(select precio_costo from inventario_detalles where unicose = tmp_inventario_modi.irldet) as precio_costo
			from tmp_inventario_modi 
			where 
			idusu = $idusu 
			and idinventario = $idinventario
		) modificados
		where
		cant_modi <> cant_actual
		";
		$rs = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
		while (!$rs->EOF) {
			//Recorremos y obtenemos los datos
			$idinsumo=intval($rs->fields['codigo']);
			$cant_modi=doubleval($rs->fields['cant_modi']);
			$cant_actual=doubleval($rs->fields['cant_actual']);
			$descripcion=$rs->fields['articulo'];
			$unicoirl=intval($rs->fields['irldet']);
			$irlmodi = intval($rs->fields['irl']);
			$idinventario = intval($rs->fields['idinventario']);
			$costo_unitario = floatval($rs->fields['precio_costo']);
			//Consultamos en la base de datos si el producto ya fue modificado previamente con las validaciones del invenario y el codigo del isnumo
			$consulta2 = " select * from inventario_detalles_modi where idinventario = $idinventario and idinsumo = $idinsumo";
			$rs2 = $conexion->Execute($consulta2) or die(errorpg($conexion, $consulta2));
			$irl=intval($rs2->fields['unicoseinv']);
			//Verifica si ya existe en la base de datos si ya fue modificado anteriormente
			if($irl>0){
				//Si encuentra actualiza solo la cantidad
				$consulta3 = "update inventario_detalles_modi set cantidad_mod =$cant_modi where unicoseinv = $irl ";
				$rs3 = $conexion->Execute($consulta3) or die(errorpg($conexion, $consulta3));
				
				$tipo ="MOD";
			
			}else{
				//Si no encuentra inserta un nuevo registro
				$consulta4 ="insert into inventario_detalles_modi(idinventario,idinsumo,descripcion,cantidad_mod,idusu,unicoseinv)
				values($idinventario,$idinsumo,'$descripcion',$cant_modi,$idusu,$irlmodi)
				";
				$rs4 = $conexion->Execute($consulta4) or die(errorpg($conexion, $consulta4));	
				$tipo ="ADD";

			}

	
			// si es mayor a la actual aumentar
			if($cant_modi > $cant_actual){
				$cantidad_aumentar=$cant_modi-$cant_actual;
				aumentar_stock_general($idinsumo,$cantidad_aumentar,$iddeposito);
				aumentar_stock($idinsumo,$cantidad_aumentar,$costo_unitario,$iddeposito);
				movimientos_stock($idinsumo,$cantidad_aumentar,$iddeposito,23,'+',$idinventario,$fecha_inventario);
				//echo "entro";
			}
			// si es menor a la actual descontar stock
			if($cant_modi < $cant_actual){
				$cantidad_descontar=$cant_actual-$cant_modi;
				descontar_stock_general($idinsumo,$cantidad_descontar,$iddeposito);
				descuenta_stock_inv($idinsumo,$cantidad_descontar,$iddeposito);
				movimientos_stock($idinsumo,$cantidad_descontar,$iddeposito,23,'-',$idinventario,$fecha_inventario);
			}
			//echo $cant_modi;
			//echo "<br />";
			//echo $cant_actual;
			//exit;
			$consulta="
			update inventario_detalles
			set 
			cantidad_contada = $cant_modi
			where
			idinventario = $idinventario
			and unicose = $unicoirl
			";
			$conexion->Execute($consulta) or die(errorpg($conexion, $consulta));	
			$consulta="
			update inventario_detalles
			set 
			diferencia = COALESCE(cantidad_contada,0)-COALESCE(cantidad_sistema,0)
			where
			idinventario = $idinventario
			and unicose = $unicoirl
			";
			$conexion->Execute($consulta) or die(errorpg($conexion, $consulta));

			//Cargamos la Insercion en el log para auditoria.
			$consultalogadd ="insert into inventario_detalles_modi_log(
			idinventario,idinsumo,descripcion,cantidad_mod,idusu,unicoseinv,tipo)
			values($idinventario,$idinsumo,'$descripcion',$cant_modi,$idusu,$unicoirl,'$tipo')
			";
			$conexion->Execute($consultalogadd) or die(errorpg($conexion, $consultalogadd));	


 		$rs->MoveNext();
		}

		//Actualizamos el Carrito de la cabecera de inventarios seleccionados
		$actualizacarrito ="update tmp_carrito_cab_inventario_modi 
		set ucierre = $idusu, fcierre = now(),estado = 2 where irl = $irlcab 
			";
			$conexion->Execute($actualizacarrito) or die(errorpg($conexion, $actualizacarrito));		
		echo $actualizacarrito;
		header("location: inventario_visor_cab.php");
		exit;	

	}else{
		echo $errores;
	}
	
}else{




}

?>
<!DOCTYPE html>
<html lang="en">

<head>
	<?php require_once("includes/head_gen.php"); ?>
</head>
<script>
function update_carrito_inventario(idinsumo,irl,irlcab) {
		var cantidadmodificar = 0;
		var valor = document.getElementById("pdestino").value;
		var cantidadmodificar = document.getElementById("cantmodi_"+idinsumo).value;

			
		//if (cantidadmodificar<0) {
			var parametros = {
				"idinsumo": idinsumo,
				"irl": irl,
				"cant": cantidadmodificar
			};
			$.ajax({
				data: parametros,
				url: 'inventario_visor_actualiza.php',
				type: 'post',
				beforeSend: function() {},
				success: function(response) {
					//filtrar_listado(valor,irlcab);
					if(IsJsonString(response)){
						var obj = jQuery.parseJSON(response);
						if(obj.valido == 'S'){
							// hacer algo
							$("#modif_box_"+idinsumo).html(obj.nuevo_valor);
							actualizar_color(idinsumo);
						}else{
							alert('Errores: '+obj.errores);	
							$("#error_box_msg").html(nl2br(obj.errores));
							$("#error_box").show();
						}
					}else{
						alert(response);	
					}
					
				}
			});
		//} else {
		//	$("#modal_titulo").html("Atencion");
		//	$("#modal_cuerpo").html(nl2br("Atencion no puede ingresar una cantidad negativa"));
		//	$("#modal_ventana").modal("show");
		//}

	}
	function actualizar_color(idinsumo){
		
		document.getElementById("color1"+idinsumo).style.backgroundColor  = "Yellow";
		document.getElementById("color2"+idinsumo).style.backgroundColor  = "Yellow";
		document.getElementById("color3"+idinsumo).style.backgroundColor = "Yellow";
		document.getElementById("color4"+idinsumo).style.backgroundColor = "Yellow";
		document.getElementById("modif_box_"+idinsumo).style.backgroundColor = "Yellow";
		document.getElementById("color6"+idinsumo).style.backgroundColor = "Yellow";
		document.getElementById("color7"+idinsumo).style.backgroundColor = "Yellow";
		document.getElementById("color8"+idinsumo).style.backgroundColor= "Yellow";
	}
	function nl2br (str, is_xhtml) {
  var breakTag = (is_xhtml || typeof is_xhtml === 'undefined') ? '<br ' + '/>' : '<br>'; // Adjust comment to avoid issue on phpjs.org display

  return (str + '').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1' + breakTag + '$2');
}
function  filtrar_listado(valor,irlcab){
				var parametros = {
				   "buscar" : valor,
				   "idcab" : irlcab
				};
			   $.ajax({
				   data:  parametros,
				   url:   'inventario_visor_grilla.php',
				   type:  'post',
				   beforeSend: function () {
						   
				   },
				   success:  function (response) {
					   
					   $("#carrito_inventario").html(response);
				   
				   }
			   
				});
			   
		   }
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}

	</script>
<body class="nav-md">
	<div class="container body">
		<div class="main_container">
			<?php require_once("includes/menu_gen.php"); ?>

			<!-- top navigation -->
			<?php require_once("includes/menu_top_gen.php"); ?>
			<!-- /top navigation -->
			
			<!-- page content -->
			<div class="right_col" role="main">
				<div class="">
					<div class="page-title">
					</div>
					<div class="clearfix"></div>
					<?php require_once("includes/lic_gen.php"); ?>

					<!-- SECCION -->
					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_title">
									<h2>Visor Inventario</h2>
									<ul class="nav navbar-right panel_toolbox">
										<li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
										</li>
									</ul>
									<div class="clearfix"></div>
								</div>
								<div class="x_content">
								<p>
								<a href="inventario_visor_cab.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a>
								</p>	
								<label class="control-label col-md-3 col-sm-3 col-xs-12">Filtrar producto</label>
									
								<input type="text" name="pdestino" id="pdestino" value="" placeholder="" class="form-control" onkeyup="filtrar_listado(this.value,<?php echo $irlcab ?>);">                    

									<?php if (trim($errores) != "") { ?>
										<div class="alert alert-danger alert-dismissible fade in" role="alert">
											<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
											</button>
											<strong>Errores:</strong><br /><?php echo $errores; ?>
										</div>
									<?php } ?>
									<div class="clearfix"></div>
	
									Favor verifique que las cantidades modificados esten correctos, una vez finalizado ya <strong style="color:#F00">NO SE PODRA DESHACER</strong> esta accion.
									<div id="carrito_inventario"><?php require_once("inventario_visor_grilla.php"); ?></div>  
									<br />
								</div>
							</div>
						</div>
					</div>
					<!-- SECCION -->
					<form id="form1" name="form1" method="post" action="">
						<div class="clearfix"></div>
						<br />

						<div class="form-group">
							<div class="col-md-12 col-sm-12 col-xs-12 text-center">

								<button type="submit" class="btn btn-success"><span class="fa fa-check-square-o"></span> Guardar Cambios</button>
								<button type="button" class="btn btn-primary" onMouseUp="document.location.href='inventario_visor_cab.php'"><span class="fa fa-ban"></span> Cancelar</button>
							</div>
						</div>

						<input type="hidden" name="MM_update" value="form1" />
						<input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
						<br />
						<input type="hidden" name="MM_update" value="form1" />
						<input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
						<br />
					</form>
					<div class="clearfix"></div>
					<br />
					<br /><br /><br />
				</div>
			</div>

			<!-- /page content -->
        <!-- POPUP DE MODAL OCULTO -->
		<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->
			<!-- footer content -->
			<?php require_once("includes/pie_gen.php"); ?>
			<!-- /footer content -->
		</div>
	</div>
	<?php require_once("includes/footer_gen.php"); ?>
</body>

</html>