<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="25";
$submodulo="408";
require_once("includes/rsusuario.php"); 

if($rsco->fields['master_franq'] != 'S'){
	echo "Este local no es master franquicia";
	exit;	
}
$url_local=$rsco->fields['url_local'];


require_once("includes/upload.php");
require_once("includes/funcion_upload.php");

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$idmanualseccion=antisqlinyeccion($_POST['idmanualseccion'],"int");
	//$archivo_url_local=antisqlinyeccion($_POST['archivo_url_local'],"text");
	//$archivo_url_master=antisqlinyeccion($_POST['archivo_url_master'],"text");
	$titulo=antisqlinyeccion($_POST['titulo'],"text");
	$descripcion=antisqlinyeccion($_POST['descripcion'],"text");
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$estado=1;




	if(intval($_POST['idmanualseccion']) == 0){
		$valido="N";
		$errores.=" - El campo idmanualseccion no puede ser cero o nulo.<br />";	
	}
	if(trim($_POST['titulo']) == ''){
		$valido="N";
		$errores.=" - El campo titulo no puede estar vacio.<br />";	
	}
	if(trim($_POST['descripcion']) == ''){
		$valido="N";
		$errores.=" - El campo descripcion no puede estar vacio.<br />";	
	}



	// si todo es correcto inserta
	if($valido == "S"){
		
		

		$fupload = new Upload();
		
		// configuracion
		$fupload->setPath("gfx/manuales");
		$fupload->setMinSize(1); // KB
		$fupload->setMaxSize(50000); // KB  - 100000 kb = 100 mb - 50000 kb = 50 mb
		
		
		$exten=array('pdf','jpg','jpeg','png','bmp','gif');
		$extension = strtolower(substr($_FILES['archivo']['name'], strrpos($_FILES['archivo']['name'], '.')+1)); 
		$tiempo=date("YmdHis");
		
		$nombrearchivo='man_'.$tiempo.'.'.$extension;
		$nombrearchivo2='man_'.$tiempo;

		//print_r($_FILES);exit;
		$fupload->setFile("archivo",$nombrearchivo2);
		//$fupload->isImage(true);	
		$fupload->isPdf(true);
		
		
		//echo $nombrearchivo;exit;
		$fupload->save();
		
		$cargado = $fupload->isupload;
		$status = $fupload->message;
		
		// si se cargo
		if(!$cargado){
			$valido="N";
			$errores.=" - $status.<br />";	
			$dir_archivo="gfx/manuales/".$nombrearchivo;
			if(file_exists($dir_archivo)){
				unlink($dir_archivo);	
			}
		}
	}
		
	// si todo es correcto inserta
	if($valido == "S"){
		
		
		$archivo_url_local=antisqlinyeccion(trim($nombrearchivo),"textbox");
		$archivo_url_master=antisqlinyeccion(trim("https://".$url_local."/gfx/manuales/".$nombrearchivo),"textbox");
		
		// registra en la bd
		$consulta="
		insert into manual_archivos
		(idmanualseccion, archivo_url_local, archivo_url_master, titulo, descripcion, registrado_por, registrado_el, estado)
		values
		($idmanualseccion, $archivo_url_local, $archivo_url_master, $titulo, $descripcion, $registrado_por, $registrado_el, $estado)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: manual_archivos.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());






?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Manual Archivos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="" enctype="multipart/form-data">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Seccion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idmanualseccion, seccion
FROM manual_seccion
where
estado = 1
order by seccion asc
 ";

// valor seleccionado
if(isset($_POST['idmanualseccion'])){ 
	$value_selected=htmlentities($_POST['idmanualseccion']); 
}else{
	$value_selected=htmlentities($rs->fields['idmanualseccion']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idmanualseccion',
	'id_campo' => 'idmanualseccion',
	
	'nombre_campo_bd' => 'seccion',
	'id_campo_bd' => 'idmanualseccion',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>                   
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Titulo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="titulo" id="titulo" value="<?php  if(isset($_POST['titulo'])){ echo htmlentities($_POST['titulo']); }else{ echo htmlentities($rs->fields['titulo']); }?>" placeholder="Titulo" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Descripcion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="descripcion" id="descripcion" value="<?php  if(isset($_POST['descripcion'])){ echo htmlentities($_POST['descripcion']); }else{ echo htmlentities($rs->fields['descripcion']); }?>" placeholder="Descripcion" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Archivo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input name="archivo" type="file" accept=".pdf"> 
    <!--<input name="archivo" type="file" accept="image/*,.pdf"> -->
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='manual_archivos.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
