<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="10";
$submodulo="425";
require_once("includes/rsusuario.php"); 

// por defecto
$whereadd="";
$order=" order by nomape asc ";

// recibe variables
$nomape=antisqlinyeccion($_GET['nomape'],"text");
$documento=antisqlinyeccion($_GET['documento'],"int");
$ruc=antisqlinyeccion($_GET['ruc'],"text");
if($_GET['documento'] > 0){
	$whereadd.="
	and documento = $documento
	";
}
if(trim($_GET['ruc']) != ''){
	$whereadd.="
	and ruc = $ruc
	";
}
$v_nomape=trim($_GET['nomape']);
if ($v_nomape != ''){
	$no=antisqlinyeccion($v_nomape,'text');
	$no=str_replace("'","",$no);
	$len=strlen($no);
	// armar varios likes por cada palabra
	$v_nomape_ar=explode(" ",$v_nomape);
	foreach($v_nomape_ar as $palabra){
		$whereadd.=" and nomape like '%$palabra%' ";
	}
	$order="
	order by 
	CASE WHEN
		substring(nomape from 1 for $len) = '$ra'
	THEN
		0
	ELSE
		1
	END asc, 
	nomape asc
	";
}
$consulta="
select *,
(select usuario from usuarios where med_pacientes.registrado_por = usuarios.idusu) as registrado_por
from med_pacientes
where 
 estado = 1 
 $whereadd
$order
limit 100
";
//echo $consulta;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Pacientes</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<p><a href="med_paciente_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a></p>
<hr />
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="get" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Paciente </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="nomape" id="nomape" value="<?php  if(isset($_GET['nomape'])){ echo htmlentities($_GET['nomape']);  }?>" placeholder="Paciente" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Documento *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="number" name="documento" id="documento" value="<?php  if(isset($_GET['documento'])){ echo htmlentities($_GET['documento']); }?>" placeholder="Documento" class="form-control"   />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">RUC </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="ruc" id="ruc" value="<?php  if(isset($_GET['ruc'])){ echo htmlentities($_GET['ruc']);  }?>" placeholder="RUC" class="form-control"   />                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Buscar</button>

        </div>
    </div>

  <input type="hidden" name="MM_search" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<hr /><br />
            

<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Idpaciente</th>
			<th align="center">Nombres</th>
			<th align="center">Apellidos</th>
			<th align="center">Fecha nac</th>
			<th align="center">Documento</th>

			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">

					<a href="med_paciente_edit.php?id=<?php echo $rs->fields['idpaciente']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
					<a href="med_paciente_del.php?id=<?php echo $rs->fields['idpaciente']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
				</div>

			</td>
			<td align="center"><?php echo intval($rs->fields['idpaciente']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['nombres']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['apellidos']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_nac'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_nac'])); } ?></td>
			<td align="center"><?php echo intval($rs->fields['documento']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />





                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
