<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="460";
require_once("includes/rsusuario.php"); 



$consulta="
select *
from medidas 
where 
 estado = 1 
order by id_medida asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Medidas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">




<p><a href="medidas_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a></p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Id medida</th>
			<th align="center">Nombre Plural</th>
			<th align="center">Nombre Singular</th>
			<th align="center">Estado</th>
		</tr>
	  </thead>
	  <tbody>
<?php 
$medidas_protegidas=explode(",",",2,4,7");
while(!$rs->EOF){ ?>
		<tr>
			<td>
				<?php if(!in_array($rs->fields['id_medida'],$medidas_protegidas)){ ?>
				<div class="btn-group">
					<a href="medidas_edit.php?id=<?php echo $rs->fields['id_medida']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
					<a href="medidas_del.php?id=<?php echo $rs->fields['id_medida']; ?>" class="btn btn-sm btn-default" title="Desactivar" data-toggle="tooltip" data-placement="right"  data-original-title="Desactivar"><span class="fa fa-trash-o"></span></a>
				</div>
                <?php } ?>

			</td>
			<td align="center"><?php echo intval($rs->fields['id_medida']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['nombre']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['nombre_singular']); ?></td>
			<td align="center"><?php if(intval($rs->fields['estado']) == 1){ echo "Activo"; }else{ echo "Inactivo"; } ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
	  <tfoot>
		<tr>
			<td>Totales</td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
		</tr>
	  </tfoot>
    </table>
</div>
<br />
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
<?php 
$consulta="
select *
from medidas 
where 
 estado = 0 
order by id_medida asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Medidas Desactivadas</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Id medida</th>
			<th align="center">Nombre Plural</th>
			<th align="center">Nombre Singular</th>
			<th align="center">Estado</th>
		</tr>
	  </thead>
	  <tbody>
<?php 

while(!$rs->EOF){ ?>
		<tr>
			<td>
				<div class="btn-group">
					<a href="medidas_res.php?id=<?php echo $rs->fields['id_medida']; ?>" class="btn btn-sm btn-default" title="Restaurar" data-toggle="tooltip" data-placement="right"  data-original-title="Restaurar"><span class="fa fa-recycle"></span></a>
				</div>


			</td>
			<td align="center"><?php echo intval($rs->fields['id_medida']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['nombre']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['nombre_singular']); ?></td>
			<td align="center"><?php if(intval($rs->fields['estado']) == 1){ echo "Activo"; }else{ echo "Inactivo"; } ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
	  <tfoot>
		<tr>
			<td>Totales</td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
		</tr>
	  </tfoot>
    </table>
</div>
<br />
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
                        
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
