<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="216";
require_once("../includes/rsusuario.php"); 

$idcobser=intval($_POST['idcobser']);
$idatc=intval($_POST['idatc']);
$idatcdet=intval($_POST['idatcdet']);

$valido='S';
$errores='';

if(intval($idatc) == 0){
	echo "No se recibio el idatc.";
	exit;
}
if(intval($idatcdet) == 0){
	echo "No se recibio el idatcdet.";
	exit;
}
if(intval($idcobser) == 0){
	echo "No se recibio el idcobser.";
	exit;
}

// valida que este abierto el atc
$consulta="
select idatc from mesas_atc where idatc = $idatc and estado = 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idatc=intval($rs->fields['idatc']);
if($idatc == 0){
	$valido='N';
	$errores.="- El atc de la mesa ya no se encuentra abierto.".$saltolinea;
}

// valida que exista el atcdet
$consulta="
select idatcdet from mesas_atc_det where idatcdet = $idatcdet and estado = 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idatcdet=intval($rs->fields['idatcdet']);
if($idatcdet == 0){
	$valido='N';
	$errores.="- La subcuenta $idatcdet de la mesa no existe.".$saltolinea;
}


// valida que el pago sea valido
$consulta="
select idcobser from mesas_cobros_deta where idcobser = $idcobser and idatc = $idatc and estadopago = 1 and idventa is null
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcobser=intval($rs->fields['idcobser']);
if($idcobser == 0){
	$valido='N';
	$errores.="- El pago $idcobser de la mesa no existe o no corresponde a esta mesa atc: $idatc.".$saltolinea;
}

if($valido == 'S'){
	
	$consulta="
	update mesas_cobros_deta 
	set 
		idatcdet = $idatcdet 
	where
		estadopago = 1
		and idcobser = $idcobser 
		and idatc = $idatc
		and idatcdet is null
		and idventa is null
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
}


// genera array con los datos
$arr = array(
	'valido' => $valido,
	'errores' => $errores
);


// convierte a formato json
$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

// devuelve la respuesta formateada
echo $respuesta;
exit;

?>