<?php 
/*----------------------
01/11/2023: SOLO REV.
---------------------*/
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2"; 
require_once("../includes/rsusuario.php"); 

//print_r($_REQUEST);

$idmesa=intval($_REQUEST['idmesa']);
if($idmesa == 0){
	echo "No se envio la mesa.";
	exit;
}

$idprod=intval($_GET['idproducto']);
$idprod1=0;
$idprod2=0;
$total=0;
if($idprod > 0){
	$consulta="
	select tmp_ventares.*, productos.descripcion, cantidad
	from tmp_ventares 
	inner join productos on tmp_ventares.idproducto = productos.idprod_serial
	where 
	registrado = 'N'
	and tmp_ventares.usuario = $idusu
	and tmp_ventares.borrado = 'N'
	and tmp_ventares.finalizado = 'N'
	and tmp_ventares.idproducto = $idprod

	and tmp_ventares.idsucursal = $idsucursal
	";
	//echo $consulta;
	$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$total=$rs->RecordCount();
}
$idvt=intval($_GET['idventatmp']);
if($idvt > 0){
	$consulta="
	select tmp_ventares.*, productos.descripcion, cantidad
	from tmp_ventares 
	inner join productos on tmp_ventares.idproducto = productos.idprod_serial
	where 
	registrado = 'N'
	and tmp_ventares.usuario = $idusu
	and tmp_ventares.borrado = 'N'
	and tmp_ventares.finalizado = 'N'
	and tmp_ventares.idventatmp = $idvt

	and tmp_ventares.idsucursal = $idsucursal
	";
	//echo $consulta;
	$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idprod=$rs->fields['idproducto'];
	$idprod1=intval($rs->fields['idprod_mitad1']);
	$idprod2=intval($rs->fields['idprod_mitad2']);
	$combinado="N";
	if($idprod1 > 0 && $idprod2 > 0){
		$combinado="S";	
	}
}
if(intval($idprod) == 0 && intval($idvt) == 0){
	echo "Inexistente!";
	exit;
}

// para saber si existe mas de 1
	$consulta="
	select tmp_ventares.*, productos.descripcion, cantidad
	from tmp_ventares 
	inner join productos on tmp_ventares.idproducto = productos.idprod_serial
	where 
	registrado = 'N'
	and tmp_ventares.usuario = $idusu
	and tmp_ventares.borrado = 'N'
	and tmp_ventares.finalizado = 'N'
	and tmp_ventares.idproducto = $idprod
	and tmp_ventares.idempresa = $idempresa
	and tmp_ventares.idsucursal = $idsucursal
	";
	//echo $consulta;
	$rsex = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$totalex=$rsex->RecordCount();

// valores por defecto
$tamano_w="190";
$tamano_h="170";
$tamano_f="14";
$contador_w="20";
$contador_h="20";	
$contador_f="16";

?><!doctype html>
<html>
<head>
<title>Toma de Pedidos</title>

<style>
.lista_prod{
	font-size:14px;
}
.producto{
	width:<?php echo $tamano_w; ?>px; 
	height:<?php echo $tamano_h; ?>px; 
	border:1px solid #000000; 
	float:left; 
	text-align:center;	
	background-color:#FFF;
	font-size:<?php echo $tamano_f; ?>px;
}
.producto:active{
	/*background-color:#FF0000;*/
}

.contador{
	width:<?php echo $contador_w; ?>px;
	height:<?php echo $contador_h; ?>px;	
	position:absolute;
	font-size:<?php echo $contador_f; ?>px;
	font-weight:bold;
	border:1px solid #000000;
	background-color:#CCC;
	border-top:0px;
	border-left:0px;
}
</style>
</head>

<body>

<div class="cuerpo">
<?php if($total > 1){
$seleccionaing="S";
?>
<?php }else{ ?>
<?php 
if($combinado == 'S'){
	$whereadd="
	(recetas_detalles.idprod = $idprod or recetas_detalles.idprod = $idprod1 or recetas_detalles.idprod = $idprod2)
	and recetas_detalles.ingrediente not in 
	(
		select tmp_ventares_sacado.idingrediente
		from tmp_ventares_sacado
		where
		idventatmp = $idvt
		and tmp_ventares_sacado.idingrediente = recetas_detalles.ingrediente
		and tmp_ventares_sacado.idproducto = recetas_detalles.idprod
	)
	";
}else{
	$whereadd="
	recetas_detalles.idprod = $idprod
	and recetas_detalles.ingrediente not in 
	(
		select tmp_ventares_sacado.idingrediente
		from tmp_ventares_sacado
		where
		idventatmp = $idvt
		and tmp_ventares_sacado.idingrediente = recetas_detalles.ingrediente
		and tmp_ventares_sacado.idproducto = recetas_detalles.idprod
	)
	and recetas_detalles.sacar = 'S'
	";
}


$consulta="
SELECT recetas_detalles.idprod as idproducto, recetas_detalles.ingrediente as idingrediente, recetas_detalles.alias,  insumos_lista.descripcion, recetas_detalles.cantidad, medidas.nombre,
	(
	select count(idtmpventaressacado)
	from tmp_ventares_sacado
	where
	idventatmp = $idvt
	and tmp_ventares_sacado.idingrediente = recetas_detalles.ingrediente
	and tmp_ventares_sacado.idproducto = recetas_detalles.idprod
	) as total
FROM recetas_detalles
inner join ingredientes on ingredientes.idingrediente = recetas_detalles.ingrediente
inner join insumos_lista on insumos_lista.idinsumo=ingredientes.idinsumo
inner join medidas on insumos_lista.idmedida=medidas.id_medida
WHERE
$whereadd
and recetas_detalles.idempresa = $idempresa
and insumos_lista.idempresa= $idempresa
";
//echo $consulta;
$rsagregado = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?><?php 
$ac='e';
require_once("menu_ingredientes.php");
?><?php if(intval($rsagregado->fields['idproducto']) == 0){ ?>
<br /><br />
<h1 align="center">- No se cargaron excluidos permitidos para este producto.</h1>
<br /><br />
<?php } ?>
<br />
<?php  while (!$rsagregado->EOF){ 
$img="../gfx/productos/sacado.jpg";

 ?>
<div id="prod_<?php echo $rsagregado->fields['idproducto'].'_'.$rsagregado->fields['idingrediente']; ?>" class="producto" onClick="apretar_sacado('<?php echo $idvt; ?>','<?php echo $rsagregado->fields['idproducto'].'_'.$rsagregado->fields['idingrediente']; ?>',<?php echo $rsagregado->fields['idproducto']; ?>,<?php echo $rsagregado->fields['idingrediente']; ?>,0,0,<?php echo $idmesa; ?>);"><div class="contador" id="contador_<?php echo $rsagregado->fields['idproducto'].'_'.$rsagregado->fields['idingrediente']; ?>" ><?php echo intval($rsagregado->fields['total']); ?></div>
    <?php if(trim($rsagregado->fields['descripcion']) != ''){ ?><img src="<?php echo $img ?>" height="95" width="188" border="0" alt="<?php echo $rsagregado->fields['alias']; ?>" title="<?php echo $rsagregado->fields['alias']; ?>" /><br />SIN <?php echo $rsagregado->fields['alias']; ?><?php 
?><br /><?php } ?>
</div>
<?php  $rsagregado->MoveNext(); } ?>

  <?php } ?>
  <br />
<div class="clear" style="clear:both;"></div>
<br /><hr /><br />
</div>
<?php if($seleccionaing <> 'S'){ ?>
<div class="carrito" id="carrito_sacado">
<?php if($valido == "N"){ ?>
<div class="mensaje" style="border:1px solid #FF0000; background-color:#F8FFCC; width:600px; margin:0px auto; text-align:center;">
<strong>Errores:</strong><br />
<?php echo $errores; ?>
</div>
<?php } ?>
<?php require_once("carrito_grilla_sacado.php"); ?>
</div>
<div class="clear"></div>
<?php } ?>
<div class="clear"></div>
</div>
</body>
</html>