<?php 
/*----------------------
01/11/2023: SOLO REV.
---------------------*/
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="216";
require_once("../includes/rsusuario.php");

$valido="S";
$errores="";

if(intval($_POST['idventatmp']) == 0){
	$valido="N";
	$errores="- No se indico el codigo de venta.".$saltolinea;
}
if(floatval($_POST['precio_nuevo']) == 0){
	$valido="N";
	$errores="- No se indico el precio unitario nuevo.".$saltolinea;
}

$idvt=intval($_POST['idventatmp']);

	
if(isset($_POST['precio_nuevo']) && trim($_POST['precio_nuevo']) != ''){
	
	$consulta="
	select productos.precio_abierto, productos.precio_min, productos.precio_max
	from productos 
	inner join tmp_ventares on tmp_ventares.idproducto = productos.idprod_serial
	where
	tmp_ventares.idventatmp = $idvt
	limit 1
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	if($idvt > 0){
		if($rsex->fields['precio_abierto'] == 'S'){ 

			
			$precio_new=floatval($_POST['precio_nuevo']);
			$precio_min=floatval($rsex->fields['precio_min']);
			$precio_max=floatval($rsex->fields['precio_max']);
			
			
			$precio_new_txt=formatomoneda($precio_new,4,'N');
			$precio_min_txt=formatomoneda($precio_min,4,'N');
			$precio_max_txt=formatomoneda($precio_max,4,'N');
			
			if($precio_new < $precio_min){
				$valido="N";
				$errores.="- El precio unitario ($precio_new_txt) no puede ser menor al minimo ($precio_min_txt).".$saltolinea;
			}
			if($precio_new > $precio_max){
				$valido="N";
				$errores.="- El precio unitario ($precio_new_txt) no puede ser mayor al maximo ($precio_max_txt).".$saltolinea;
			}
			
			if($valido == 'S'){
		
		
				$precio_unitario=antisqlinyeccion($_POST['precio_nuevo'],"float");
				$consulta="
				update tmp_ventares
				set 
				precio = $precio_unitario,
				descuento = 0,
				subtotal = cantidad*$precio_unitario
				where
				idventatmp = $idvt
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

			
			}
		}else{
			$valido="N";
			$errores="- Este producto no admite el uso de precio abierto.".$saltolinea;
			//echo "- Este producto no admite el uso de precio abierto.";
			//exit;	
		}
	
	}
	
}

// genera array con los datos
$arr = array(
'valido' => $valido,
'errores' => $errores
);

// convierte a formato json
$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

// devuelve la respuesta formateada
echo $respuesta;

?>