<?php 
/*--------------------------
20/10/23: Ajustes varios
/*----------------------
01/11/2023: SOLO REV.
---------------------*/
---------------------------*/
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php");
//$pedidonum=intval($_POST['idpedido']);
$idmesa=intval($_POST['idmesa']);
$idatc=intval($_POST['idatc']);

//preferencias caja 
$buscar="Select * from preferencias_caja limit 1";
$rsprefecaja1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$permite_desc_factura=trim($rsprefecaja1->fields['permite_desc_factura']);



//echo $idmesa;
if ($idmesa > 0){
	
	$buscar="Select numero_mesa as numero from mesas where idmesa=$idmesa";
	$rsnume=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$nume=$rsnume->fields['numero'];
	//Formas - Medios de pago
	$buscar="
	select * from formas_pago where estado=1 and idforma <>  7 and idforma <> 8
	";
	$rsformas = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tot=$rsformas->RecordCount();
	//Consumo de la mesa
	
	$buscar="Select sum(subtotal) as tmesa from tmp_ventares
	where 
	tmp_ventares.idtmpventares_cab in ( 
										select idtmpventares_cab 
										from tmp_ventares_cab 
										where idsucursal = $idsucursal 
										and idempresa =  $idempresa	 
										and finalizado = 'S' 
										and registrado = 'N' 
										and idatc=$idatc 
										and estado = 1 
										)
	and tmp_ventares.borrado = 'N' 
	and tmp_ventares.idsucursal = $idsucursal 
	and tmp_ventares.idempresa = $idempresa

	
	";
	
	$tmesa=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	//Pagos parciales
	$buscar="Select sum(montoabonado) as tpago from mesas_cobros_deta where idatc=$idatc and estadopago=1 and idventa is NULL and idatc in (select idatc from tmp_ventares_cab where idatc=$idatc and idventa is NULL )";
	$tpago=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$total_cobros_cargados=floatval($tpago->fields['tpago']);
	//echo $total_cobros_cargados;exit;
	
	//descuentos por factura existentes
	$buscar="Select sum(monto_descuento) as montodesc,monto_descuento,porce_descu from mesas_descuentos_facturas where idatc=$idatc ";
	$descus=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	//echo $buscar;
	$porce=floatval($descus->fields['porce_descu']);
	$montod=floatval($descus->fields['monto_descuento']);
	
	//Descuentos sobre productos
	$buscar="Select sum(descuento) as tmesa from tmp_ventares
	where 
	tmp_ventares.idtmpventares_cab in ( 
										select idtmpventares_cab 
										from tmp_ventares_cab 
										where idsucursal = $idsucursal 
										and idempresa =  $idempresa	 
										and finalizado = 'S' 
										and registrado = 'N' 
										and idatc=$idatc 
										and estado = 1 
										)
	and tmp_ventares.borrado = 'N' 
	and tmp_ventares.idsucursal = $idsucursal 
	and tmp_ventares.idempresa = $idempresa

	
	";
	$tmesadesc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$descuento_productos=floatval($tmesadesc->fields['tmesa']);
	//echo $descuento_productos;exit;
	
	
//Ver si hay una lista de precio aplicada
$buscar="Select idlista_aplicada from mesas_atc where idatc=$idatc and idmesa=$idmesa";
$rslp = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$idlistaprecio=intval($rslp->fields['idlista_aplicada']);
//Cotizacion del dia si es que existe
$ahorad=date("Y-m-d");
	$consulta="
	select *,
			(
			select cotizaciones.cotizacion
			from cotizaciones
			where 
			cotizaciones.estado = 1 
			and date(cotizaciones.fecha) = '$ahorad'
			and tipo_moneda.idtipo = cotizaciones.tipo_moneda
			order by cotizaciones.fecha desc
			limit 1
			) as cotizacion
	from tipo_moneda 
	where
	estado = 1
	and borrable = 'S'
	and 
	(
		(
			borrable = 'N'
		) 
		or  
		(
			tipo_moneda.idtipo in 
			(
			select cotizaciones.tipo_moneda 
			from cotizaciones
			where 
			cotizaciones.estado = 1 
			and date(cotizaciones.fecha) = '$ahorad'
			)
		)
	)
	order by borrable ASC, descripcion asc
	";
$rsmoneda=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$tcot=$rsmoneda->RecordCount();
?>
<div class="table-responsive" id="formapago">
	<span class="fa fa-warning"></span>&nbsp; <strong>Si la venta es a cr&eacute;dito, solo ingrese monto de propina, en caso de ser cobrada; y luego, presione F9 para cerrar la mesa, indicando el medio de venta como CREDITO.</strong></span>
	<table class="table table-striped jambo_table bulk_action">
		  <thead>
			<tr>
				<th colspan="3">
				
				
					Consumo Total:&nbsp; <?php echo formatomoneda($tmesa->fields['tmesa']);?>
						
						<input type="hidden" name="ocidatcn" id="ocidatcn" value="<?php echo $idatc?> " />
						<input type="hidden" name="ocidmesan" id="ocidmesan" value="<?php echo $idmesa?> " />
				</th>
				<th colspan="3">
					Mesa N&deg; <?php echo $nume?> - Atc: <?php echo $idatc ?>
				</th>
			</tr>
			<tr>
			  <?php $rg=floatval($tmesa->fields['tmesa']-$tpago->fields['tpago']-$montod);?>
				<th colspan="6">
					<div style="text-align:center;">
						<input type="hidden" name="ocreal_monto" id="ocreal_monto" value="<?php echo $rg ?>"/>
						<span style="color:white;font-size:20px;font-weight:bold; background-color: #405467;">
							<span class="fa fa-money fa-1x"></span>&nbsp;Saldo Activo
							<span id="valorsaldo"><?php echo formatomoneda($rg) ?></span>
						</span>
				   <?php if ($tcot > 0){
							echo "<br />";
							$montototal=($rg);
							while(!$rsmoneda->EOF){
								$resu=$montototal/$rsmoneda->fields['cotizacion'];
								$linea="<span class='fa fa-star'></span>&nbsp;".$rsmoneda->fields['descripcion']." = ".formatomoneda($resu,2,'N')." | ";
								echo $linea;
								
							$rsmoneda->MoveNext(); 
							}
						}
						?>
					</div>
				</th>
		    </tr>
		  </thead>
		  </table>
		  <?php if ($permite_desc_factura=='S'){ ?>
		  <table class="table table-bordered">
		  <thead>
			<?php if($idlistaprecio>0){?>
				<tr>
					<th colspan="6">
						<div class="alert alert-warning alert-dismissible fade in" role="alert" >
							<strong><span class='fa fa-info-circle'></span>&nbsp;ATENCION: &nbsp; La cuenta ya posee una lista de precio aplicada. </strong>
						</div>
					</th>
				</tr>	
			<?php } ?>
			<tr>
				<th colspan="6"><div style="background-color:#EAEDED;font-size:14px;text-align:center;widht:100%;">Aplicar descuento sobre factura</div></th>
			</tr>
			<tr>
				<th colspan='2'> Porc. (%): </th>
				<th><input type="text" name="descuento_porc" size="10" class="form-control" id="descuento_porc" value="<?php echo $porce ?>" onKeyUp="calcula_desc2(this.value,0,'N',<?php echo $idatc ?>,<?php echo $idmesa ?>);" style="color:black" />
				<a href="javascript:void(0);" onclick="actualizar_descuento(<?php echo $idmesa ?>,<?php echo $idatc ?>);">[Aplicar]</a>
				</th>
				
				<th colspan='2'>Monto : </th>
				<th>
				  <input type="text" name="descuento" size="10" id="descuento" class="form-control" value="<?php echo $montod ?>" onKeyUp="calcula_desc_monti(this.value,<?php echo $idatc ?>,<?php echo $idmesa ?>);" style="color:black"/>
				  <a href="javascript:void(0);" onclick="actualizar_descuento(<?php echo $idmesa ?>,<?php echo $idatc ?>);">[Aplicar]</a>
				</th>
				
			 
			</tr>
			 </thead>
		</table>
			 <?php } ?>
			 
			 
			 
			 
			 
			 
			 
			 
		<table class="table table-striped jambo_table bulk_action">
		  
		  
			<tbody>
			  <tr>
					<td><strong>Monto Abonar</strong></td>
					<td ><input type="number" id="abonar" name="abonar" class="form-control" onKeyPress="borra_input('propinags');"  /> </td>
					<td align="right"><strong>Propina Gs			      </strong></td>
					<td colspan="<?php echo ($tot-2)?>"><input type="number" id="propinags" name="propinags"  class="form-control" onKeyPress="borra_input('abonar');"   /></td>
				</tr>
			<tr>
				<td>
					<strong>Medios de Pago</strong>
				</td>
				<td>
					<select name="mpago" id="mpago" class="form-control" onchange="forma_pago(this.value);">
				      <?php while (!$rsformas->EOF){?>
				      <option value="<?php echo $rsformas->fields['idforma'] ?>"><?php echo $rsformas->fields['descripcion']?></option>
				      <?php $rsformas->MoveNext();}?>
				     
			      </select>
				
				</td>
				<td ><strong>Adicionales</strong></td>
				<td colspan="1">
					<input type="number" id="otrosvalores" name="otrosvalores" class="form-control" placeholder="Voucher/transfer/otros"  /> 
				
				</td>
		    </tr>
			
			
		    <tr>
				<td colspan="4">
					<?php if($facturador_electronico == 'S'){ ?>
					<div class="clearfix"></div>
					<?php
					$consulta="
					select id, descripcion
					from 
					denominacion_tarjeta 
					where 
					id <> 99
					order by id asc
					";
					$rsdenotarj=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					?>
					<div class="col-md-6 col-sm-6 form-group" id="iddenominaciontarjeta_box" style="display: none;">
						<label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo Tarjeta</label>
						<div class="col-md-9 col-sm-9 col-xs-12">
					<select id="iddenominaciontarjeta" name="iddenominaciontarjeta" class="form-control">
						<option value="0" selected="selected" >Tipo Tarjeta</option>
						<?php 
						while (!$rsdenotarj->EOF){
						?>
						<option value="<?php echo $rsdenotarj->fields['id']?>" ><?php echo $rsdenotarj->fields['descripcion']?></option>
						<?php $rsdenotarj->MoveNext();} ?>
					</select>
						</div>
					</div>

					<?php 
					$buscar="Select * from bancos where caja = 'N' and muestra_cliente = 'S' order by nombre asc";
					$rsbanco=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
					?>
					<div class="col-md-6 col-sm-6 form-group" id="banco_box" style="display: none;">
						<label class="control-label col-md-3 col-sm-3 col-xs-12">Banco</label>
						<div class="col-md-9 col-sm-9 col-xs-12">
					<select id="banco" name="banco" class="form-control">
						<option value="0" selected="selected" >Seleccione Banco</option>
						<?php 
						while (!$rsbanco->EOF){
						?>
						<option value="<?php echo $rsbanco->fields['idbanco']?>" ><?php echo $rsbanco->fields['nombre']?></option>
						<?php $rsbanco->MoveNext();} ?>
					</select>
						</div>
					</div>

					<div class="col-md-6 col-sm-6 form-group" id="cheque_numero_box" style="display: none;">
						<label class="control-label col-md-3 col-sm-3 col-xs-12">Cheque Nro</label>
						<div class="col-md-9 col-sm-9 col-xs-12">
						<input type="text" name="cheque_numero" id="cheque_numero" value="" placeholder="cheque numero" class="form-control"  /> 
						</div>
					</div>

					<?php } // if($facturador_electronico == 'S'){ ?>
					<?php 
						$c=0;
						/*
					
		
							?>  
							<a href="javascript:void(0);" onClick="agregamedio(<?php echo $idatc?>,<?php echo $rsformas->fields['idforma'] ?>)" class="btn btn-app"><?php echo $rsformas->fields['descripcion']?></a>
					<?php 	*/ 
					?>	  
				</td >
			</tr>
		  </tbody>
		</table>
		<div class="alert alert-danger alert-dismissible fade in" role="alert" id="errorfpago" style="display: none">
			<span id="errormpagoh"></span>		
		</div>
		<hr />
		<div id="decuentosagregados"></div>
		<div id="pagosagregados"><?php require_once("ajx_mesacobro.php")?></div>
</div>
<?php } ?>