<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
require_once("./mesas_qr_funciones.php");
require_once("./mesas_preferencias.php");
require_once("rsusuario_mesa.php");

$errores = "";

$consulta="
SELECT 
`idmesaqrpref`, `btn_solicitarmesero`, `btn_pedircuenta`, `btn_verconsumo`, `btn_pedido`, `btn_pagar`,
`btn_califica`, `btn_premio`, `premio_titulo`, `premio_descripcion`
FROM mesas_qr_preferencias
where
idmesaqrpref = 1
";
$rsbtn=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$btn_solicitarmesero=$rsbtn->fields['btn_solicitarmesero'];
$btn_pedircuenta=$rsbtn->fields['btn_pedircuenta'];
$btn_verconsumo=$rsbtn->fields['btn_verconsumo'];
$btn_pedido=$rsbtn->fields['btn_pedido'];
$btn_pagar=$rsbtn->fields['btn_pagar'];
$btn_califica=$rsbtn->fields['btn_califica'];
$btn_premio=$rsbtn->fields['btn_premio'];
$premio_titulo=$rsbtn->fields['premio_titulo'];
$premio_descripcion=$rsbtn->fields['premio_descripcion'];




?>
<!-- BOTONERA INICIA -->


<div   class="rounded col-md-12 col-sm-12 col-xs-12">
	<div  class="boton-body" style="background-color:#000;color:#FFF;">
		Mesa: <?php echo antixss($rsmesa->fields['numero_mesa']); ?> - 
		Salon: <?php echo antixss($rsmesa->fields['salon']); ?>
	</div>
</div>
<div class="clearfix"></div>
<br />


<div class="cards">

<?php if($btn_solicitarmesero == 'S'){ ?>
    <div  id="mesero_box" class="boton-container <?php if($idpedido_mesero > 0){ echo "white_text"; }else{ echo "black_text";} ?>">
        <div id="mesero" onclick="mesero()" class="<?php if($idpedido_mesero > 0){ echo "activo"; }?> boton-body">
          <i class="fa fa-bell" id="mesero_ico"></i>
		  <i class="fa fa-spinner fa-pulse" id="mesero_ico_ref" style="display:none;"></i>
          <?php if($idpedido_mesero > 0){ ?>
              <h3 id="mesero_titulo" class="">Cancelar Mesero</h3>
              <p id="mesero_texto" class="">Presiona el Boton y cancelaras el llamado.</p>
            <?php }else{ ?>
              <h3 id="mesero_titulo" class="">Solicitar un mesero </h3>
              <p id="mesero_texto" class="">Presiona el Boton y un mesero se acercara en la brevedad.</p>
            <?php } ?>
          
        </div>
    </div>
<?php } ?>
<?php if($btn_pedircuenta == 'S'){ ?>
    <div id="pedir_cuenta_box" class="boton-container <?php if($idpedido_cuenta > 0){ echo "white_text"; }else{ echo "black_text";}?>">
        <div id="pedir_cuenta" onclick="pedir_cuenta_toggle()" class="<?php if($idpedido_cuenta > 0){ echo "activo"; }?> boton-body">
            <i class="fas fa-tags text-4xl text-blue-500 mb-4" id="pedircuenta_ico"></i>
		    <i class="fa fa-spinner fa-pulse" id="pedircuenta_ico_ref" style="display:none;"></i>
            

            <?php if($idpedido_cuenta > 0){ ?>
              <h3 id="pedir_cuenta_titulo" class="text-xl font-bold text-gray-800 mb-2">Cancelar Pedir Cuenta  </h3>
              <p  id="pedir_cuenta_texto" class="text-gray-600">Presiona el Boton y cancelara la solicitud de cuenta.</p>
            <?php }else{ ?>
              <h3 id="pedir_cuenta_titulo" class="text-xl font-bold text-gray-800 mb-2">Pedir Cuenta </h3>
              <p  id="pedir_cuenta_texto" class="text-gray-600">
              Presiona el Boton y un mesero se acercara en la brevedad posible, le traera la cuenta de la mesa y podra proporcionarle su ruc y razon social para la factura.
              </p>
            <?php } ?>

        </div>
    </div>
<?php } ?>
<?php if($btn_verconsumo == 'S'){ ?>
    <div class="boton-container">
        <div id="box_ver_pedidos" ><?php require_once("./mesas_qr_pedidos_grilla_bootstrap.php");?></div>
    </div>
<?php } ?>
<?php if($btn_pedido == 'S'){ ?>

	
    <div   class="boton-container white_text;" onclick="abrir_url('../mesas_qr_pedido/inicia_tanda.php?idatc=<?php echo $idatc; ?>');">
        <div  class="boton-body" >
          <i class="fa fa-shopping-cart "></i>
          <h3 id="realizar_pedido_titulo" class="">Hacer Pedido </h3>
          <p id="realizar_pedido_texto" class="">Solicitar productos para la mesa.</p>
        </div>
    </div>
<?php } ?>
<?php if($btn_pagar == 'S'){ ?>
    <div   class="boton-container white_text;" onclick="document.location.href='pagar_mesa.php'">
        <div  class="boton-body" >
          <i class="fa fa-credit-card "></i>
          <h3 id="pagar_cuenta_titulo" class="">Pagar Cuenta </h3>
          <p id="pagar_cuenta_texto" class="">Pagar la cuenta de la mesa online.</p>
        </div>
    </div>
<?php } ?>
<?php if($btn_califica == 'S'){ ?>
    <div   class="boton-container white_text;" onclick="document.location.href='calificar.php'">
        <div  class="boton-body" >
          <i class="fa fa-star "></i>
          <h3 id="pagar_cuenta_titulo" class="">Calificar Experiencia </h3>
          <p id="pagar_cuenta_texto" class="">Ayudanos a mejorar para ti.</p>
        </div>
    </div>
<?php } ?>
<?php if($btn_premio == 'S'){ ?>
    <div   class="boton-container white_text;" onclick="document.location.href='premio.php'">
        <div  class="boton-body" >
          <i class="fa fa-gift "></i>
          <h3 id="pagar_cuenta_titulo" class=""><?php echo antixss($premio_titulo); ?></h3>
          <p id="pagar_cuenta_texto" class=""><?php echo antixss($premio_descripcion); ?></p>
        </div>
    </div>
<?php } ?>

</div>
<hr />
<p align="center">Powered by: <br /><a href="https://restaurante.com.py/" target="_blank"><img src="../img/logo_carrito.png" height="30px;" /></a></p>

<br /><br />
<!-- BOTONERA FIN  -->
