<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="30";
$submodulo="637";
$dirsup="S";
require_once("../includes/rsusuario.php"); 



$idmesaqrpref=1;


// consulta a la tabla	
$consulta="
select * 
from mesas_qr_preferencias 	
where 
idmesaqrpref = $idmesaqrpref

limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idmesaqrpref=intval($rs->fields['idmesaqrpref']);
if($idmesaqrpref == 0){
	echo "No se encontro registros en la bd";
	exit;	
}




if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$premio_titulo=$_POST['premio_titulo'];
	$premio_descripcion=$_POST['premio_descripcion'];
	$idusu_pedido=$_POST['idusu_pedido'];



	$parametros_array=array(

		"premio_titulo" => $premio_titulo,
		"premio_descripcion" => $premio_descripcion,
		"idmesaqrpref" => $idmesaqrpref,
		"idusu_pedido" => $idusu_pedido,
	);

	// si todo es correcto actualiza
	if($valido == "S"){
		$res=mesas_qr_preferencias_edit($parametros_array);
		if ($res["valido"]=="S") {
			header("location: mesas_qr_preferencias.php?ok=s");
			exit;
		}else{
			$errores.=$res["errores"];
		}
		
	}else{
		$errores.=$res["errores"];
	}


}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

// se puede mover esta funcion al archivo funciones_mesas_qr_preferencias.php y realizar un require_once
function mesas_qr_preferencias_edit($parametros_array){
	global $conexion;
	global $saltolinea;

	// validaciones basicas
	$valido="S";
	$errores="";
	
    

	$premio_titulo=antisqlinyeccion($parametros_array['premio_titulo'],"textbox");
	$premio_descripcion=antisqlinyeccion($parametros_array['premio_descripcion'],"textbox");
	$idmesaqrpref=antisqlinyeccion($parametros_array['idmesaqrpref'],"int");
	$idusu_pedido=antisqlinyeccion($parametros_array['idusu_pedido'],"int");
	

	if(trim($parametros_array['premio_titulo']) == ''){
		$valido="N";
		$errores.=" - El campo premio_titulo no puede estar vacio.<br />";	
	}
	if(trim($parametros_array['premio_descripcion']) == ''){
		$valido="N";
		$errores.=" - El campo premio_descripcion no puede estar vacio.<br />";	
	}
	if(trim($parametros_array['idusu_pedido']) == ''){
		$valido="N";
		$errores.=" - El campo idusu_pedido no puede estar vacio.<br />";	
	}

	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update mesas_qr_preferencias
		set

			premio_titulo=$premio_titulo,
			premio_descripcion=$premio_descripcion,
			idusu_pedido=$idusu_pedido
		where
			idmesaqrpref = $idmesaqrpref

		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}


	return array("errores"=>$errores,"valido"=>$valido);
}



$botones_ar[0]['id'] = 'btn_solicitarmesero';
$botones_ar[0]['boton'] = 'Solicitar un Mesero';
$botones_ar[0]['descripcion'] = 'Llamara al mozo para que se acerque a la mesa.';
$botones_ar[0]['estado'] = trim($rs->fields['btn_solicitarmesero']);

$botones_ar[1]['id'] = 'btn_pedircuenta';
$botones_ar[1]['boton'] = 'Pedir Cuenta';
$botones_ar[1]['descripcion'] = 'El mozo llevara la cuenta a la mesa.';
$botones_ar[1]['estado'] = trim($rs->fields['btn_pedircuenta']);

$botones_ar[2]['id'] = 'btn_verconsumo';
$botones_ar[2]['boton'] = 'Ver Consumo';
$botones_ar[2]['descripcion'] = 'El cliente podra ver la cuenta en pantalla de su telefono.';
$botones_ar[2]['estado'] = trim($rs->fields['btn_verconsumo']);

$botones_ar[3]['id'] = 'btn_pedido';
$botones_ar[3]['boton'] = 'Hacer Pedido';
$botones_ar[3]['descripcion'] = 'El cliente podra cargar productos en la mesa.';
$botones_ar[3]['estado'] = trim($rs->fields['btn_pedido']);

$botones_ar[4]['id'] = 'btn_pagar';
$botones_ar[4]['boton'] = 'Pagar Cuenta';
$botones_ar[4]['descripcion'] = 'Pagar la cuenta de la mesa. <span style="color:red;">(*Requiere activar servicio vPOS de Bancard).</span>';
$botones_ar[4]['estado'] = trim($rs->fields['btn_pagar']);

$botones_ar[5]['id'] = 'btn_califica';
$botones_ar[5]['boton'] = 'Calificar Experiencia';
$botones_ar[5]['descripcion'] = 'Calificar el restaurante.';
$botones_ar[5]['estado'] = trim($rs->fields['btn_califica']);

$botones_ar[6]['id'] = 'btn_premio';
$botones_ar[6]['boton'] = 'Ganar Premio';
$botones_ar[6]['descripcion'] = 'Generar una base de datos de informacion del cliente a cambio de algun beneficio.';
$botones_ar[6]['estado'] = trim($rs->fields['btn_premio']);



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
			

            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Mesas Smart Preferencias</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



	<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

	


<div class="clearfix"></div>
<hr />
<?php
$disabled="";
if($_GET['ok'] == 's'){
	$disabled=" disabled ";
}
?>



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Premio titulo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input <?php echo $disabled; ?> type="text" name="premio_titulo" id="premio_titulo" value="<?php  if(isset($_POST['premio_titulo'])){ echo htmlentities($_POST['premio_titulo']); }else{ echo htmlentities($rs->fields['premio_titulo']); }?>" placeholder="Premio titulo" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Premio descripcion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input <?php echo $disabled; ?> type="text" name="premio_descripcion" id="premio_descripcion" value="<?php  if(isset($_POST['premio_descripcion'])){ echo htmlentities($_POST['premio_descripcion']); }else{ echo htmlentities($rs->fields['premio_descripcion']); }?>" placeholder="Premio descripcion" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Usuario para pedido *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<?php 
// consulta
$consulta="
SELECT idusu, usuario
FROM usuarios
where
estado = 1
and soporte = 0
order by usuario asc
 ";
// valor seleccionado
if(isset($_POST['idusu_pedido'])){ 
	$value_selected=htmlentities($_POST['idusu_pedido']); 
}else{
	$value_selected=htmlentities($rs->fields['idusu_pedido']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idusu_pedido',
	'id_campo' => 'idusu_pedido',
	
	'nombre_campo_bd' => 'usuario',
	'id_campo_bd' => 'idusu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$disabled,
	'autosel_1registro' => 'S',
	//'opciones_extra' => $opciones_extra,

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        <?php if($_GET['ok'] != 's'){ ?>
			<button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
		<?php }else{ ?>
			<button type="button" class="btn btn-default" onclick="document.location.href='mesas_qr_preferencias.php'"><span class="fa fa-edit"></span> Editar</button>
		<?php } ?>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />				  
					  
					  
					  
					  
					  
					  
					  
					  
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Botones</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
		  
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
      <tr>
        <th ></th>
		<th >Boton</th>
          <th >Descripcion</th>
    
        </tr>
		  </thead>
		<tbody>

      <?php $i=0; foreach($botones_ar as $botones){
	  ?>
      <tr>
        <td id="box_td_<?php echo $botones['id']; ?>">		
			<input name="<?php echo $botones['id']; ?>" id="box_<?php echo $botones['id']; ?>" type="checkbox" value="S" class="js-switch" onChange="registra_permiso('<?php echo $botones['id']; ?>');" <?php if(trim($botones['estado']) == 'S'){ echo "checked"; } ?>   />			
		</td>
          <td><?php echo $botones['boton']; ?></td>
          <td><?php echo $botones['descripcion']; ?></td>
        </tr>
      <?php $i++;  } ?>

			</tbody>
</table>
</div>			  
	<div class="clearfix"></div>
		  
					  
		
<hr />

<strong>Para activar el pago desde la mesa</strong><br />
<br />
Enviar un correo a: <br />
denis.dubarry@bancard.com.py<br />
<br />
Con el asunto: “Servicio vPOS”<br />
<br />
Y el texto: <br />
Solicito la activación y credenciales del servicio vPOS para integrar con el sistema e-Karú. <br />
<br />
Ruc: {aquí tu ruc}<br />
Razón social: {tu razón social}<br />
<br />
Gracias!
<br />
<br />				  
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            

            
            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>

<?php require_once("../includes/footer_gen.php"); ?>
<link href="../vendors/switchery/dist/switchery.min.css" rel="stylesheet">
<script src="../vendors/switchery/dist/switchery.min.js" type="text/javascript"></script>
<script>
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
function registra_permiso(id_btn){
	var direccionurl='mesas_qr_pref_btn_act.php';	
	//alert(direccion);
	var parametros = {
	  "id_btn"   : id_btn
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
				$("#box_td_"+id_btn).html('Cargando...');	
		},
		success:  function (response, textStatus, xhr) {
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				if(obj.valido == 'S'){
					$("#box_td_"+id_btn).html(obj.html_checkbox);
					var permitido = obj.permitido;
					var elem = $("#box_"+id_btn);
					//alert(elem);
					var idbox = "entrante";
					switchery_reactivar_uno(id_btn);
				}else{
					alert(obj.errores);
				}
			}else{
				alert(response);	
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});
	
}
function switchery_reactivar(){
	var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));
	elems.forEach(function(html) {
		var switchery = new Switchery(html);
	});
}
function switchery_reactivar_uno(idsubmodulo){
		var elems = document.querySelector('#box_'+idsubmodulo);
		var switchery = new Switchery(elems);

}
</script>
  </body>
</html>
