<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
require_once("./mesas_qr_funciones.php");
require_once("./mesas_preferencias.php");
require_once("../includes/funciones_carrito.php");
require_once("rsusuario_mesa.php");



$idatc = intval($_SESSION['idatc']);
$parametros_array=array(
    "id_atc" => $idatc
);
$rs_mesas_atc = verificar_atc($parametros_array);
$idatc = intval($rs_mesas_atc['idatc']);
if($idatc== 0){
    $data = array("success" => false,"error" => "Error: la mesa no esta activa.","logout" => true );
    echo json_encode($data);exit;

}
$parametros_array=array(
  "estado_pedido" => 'R', 
  "idatc" => $idatc
);
$carrito_detalles=carrito_muestra_mesa($parametros_array);
$totalacum=0;
foreach($carrito_detalles as $carrito_detalle){
	if($carrito_detalle['idtipoproducto'] != 5){
		$totalacum+=$carrito_detalle['subtotal_con_extras'];
	}
}

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen_mesas.php"); ?>  
  </head>

  <body class="nav-md">
    <nav class="navbar navbar-default">
      <div class="">
        <div class="navbar-header" style="display: flex;align-items: center;justify-content: space-evenly;">
          <a class="navbar-brand" style="padding:0;width: 15vw;min-width: 20px;display: flex;justify-content: center;align-items: center;height: auto;padding-bottom: 1rem;padding-top: 1rem;" href="#">
          <img class="resized-image img-responsive logo_image" src="<?php echo $logo;?>"  alt="Pay background" />
          </a>
          <div class="header_name" ><?php echo $nombreempresa; ?></div>
          <div style="width: 15vw;display: flex;justify-content: space-around;" onclick="salir()" style="cursor: pointer;"> <small class="fa fa-sign-out " style="cursor: pointer;"></small></div>
        </div>
        <div class="clearfix"></div>
      </div>
    </nav>
    <div class="container body">
      <div class="main_container">



        <!-- BOTONERA INICIA -->
        <div id="box_grilla_btn">

<div   class="rounded col-md-12 col-sm-12 col-xs-12">
	<div  class="boton-body" style="background-color:#000;color:#FFF;">
		Mesa: <?php echo antixss($rsmesa->fields['numero_mesa']); ?> - 
		Salon: <?php echo antixss($rsmesa->fields['salon']); ?>
	</div>
</div>
<div class="clearfix"></div>
<br />
<div   class="rounded col-md-12 col-sm-12 col-xs-12">
	<div  class="boton-body" style="background-color:#FFF;">
         <div class='line'></div>
<p align='left'><a href="dashboard_bootstrap.php"  class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />
<h3>Pagar Mesa</h3>


<h3>Monto: <?php echo formatomoneda($totalacum); ?></h3>
<hr />
<a href="#" class="btn btn-sm btn-default" title="Agregar" data-toggle="tooltip" data-placement="right"  data-original-title="Agregar"><span class="fa fa-plus"></span> </a>
<a href="#" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span> </a>
<a href="#" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash"></span> </a>
<br /><br />
<img src="tarjeta.jpg" />


<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" onclick="document.location.href='pagar_mesa_confirmado.php'" ><span class="fa fa-check"></span> Confirmar Pago</button>

        </div>
    </div>






<div class="clearfix"></div>
<br />

 

<br /><br />

<!--
<span class="fa fa-star checked"></span>
<span class="fa fa-star checked"></span>
<span class="fa fa-star checked"></span>
<span class="fa fa-star"></span>
<span class="fa fa-star"></span>
-->


	</div>
</div>
<div class="clearfix"></div>
<br />



        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
