<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
require_once("./mesas_qr_funciones.php");
require_once("./mesas_preferencias.php");
require_once("../includes/funciones_carrito.php");
require_once("rsusuario_mesa.php");


require_once("../vpos/funciones_vpos.php");

$idatc = intval($_SESSION['idatc']);
$parametros_array=array(
    "id_atc" => $idatc
);
$rs_mesas_atc = verificar_atc($parametros_array);
$idatc = intval($rs_mesas_atc['idatc']);
if($idatc== 0){
    $data = array("success" => false,"error" => "Error: la mesa no esta activa.","logout" => true );
    echo json_encode($data);exit;

}
/*$parametros_array=array(
  "estado_pedido" => 'R', 
  "idatc" => $idatc
);
$carrito_detalles=carrito_muestra_mesa($parametros_array);
$totalacum=0;
foreach($carrito_detalles as $carrito_detalle){
	if($carrito_detalle['idtipoproducto'] != 5){
		$totalacum+=$carrito_detalle['subtotal_con_extras'];
	}
}

*/



$consulta="
SELECT `idbancardvpos`, `clave_publica`, `clave_privada`, `estado`, `stage` 
FROM `bancard_vpos_preferencias`
limit 1
";
$rsprefvpos=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idbancardvpos=intval($rsprefvpos->fields['idbancardvpos']);
$stage=$rsprefvpos->fields['stage'];


$texto=json_encode($_REQUEST, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

if($_GET['qr'] == 'ok'){
	$pago_ok='S';
	$tipo_pago="QR";
	// regenera qr
	$consulta="
	update  pos_tmp
	set
	json_bancard_fijo = NULL,
	hook_alias_fijo = NULL
	where
	idatc = $idatc
	and estado = 1
	and idventa is null
	and idatc is not null
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
}

// si es un pago con vpos
$shop_process_id=antixss($_GET['shop_process_id']);
if($shop_process_id != ''){
	$tipo_pago="VPOS";
	// log de texto
	$parametros_array=array(
		'texto' => $texto,
		'log_txt' => 'S',
		'archivo' => 'return',
	);
	escribe_log_vpos($parametros_array);



	$ip_sql=antisqlinyeccion($_SERVER['REMOTE_ADDR'],"textbox");
	$shop_process_id_sql=antisqlinyeccion($shop_process_id,"textbox");
	$json_recibe_sql=antisqlinyeccion($texto,"textbox");
	// inserta el log
	$consulta="
	INSERT INTO 
	log_bancard_vpos
	(json_enviado, json_recibido, header_recibido, header_enviado, fechahora, ip, url, ambiente, shop_process_id, servicio) 
	VALUES 
	(NULL,$json_recibe_sql,NULL,NULL,'$ahora',$ip_sql,NULL,'$stage',$shop_process_id_sql, 'RETURN')
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// log insertado
	$consulta="
	select idlog 
	from log_bancard_vpos
	where
	shop_process_id = $shop_process_id_sql
	order by idlog desc
	limit 1
	";
	$rslogvpos=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idlog=intval($rslogvpos->fields['idlog']);


	// busca en la bd
	$consulta="
	select * 
	from bancard_vpos
	where
	shop_process_id = $shop_process_id_sql
	order by idbancardvpos desc
	limit 1
	";
	$rsvpos=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idbancardvpos=intval($rsvpos->fields['idbancardvpos']);
	$response_code=trim($rsvpos->fields['response_code']);

	if($response_code == '00' && $_GET['status'] == 'payment_success'){
		$pago_ok='S';
	}else{
		$pago_ok='N';
	}

	$idbancardvpos_sql=antisqlinyeccion($idbancardvpos,"int");
	// actualiza log
	$consulta="
	update log_bancard_vpos
	set 
	idbancardvpos=$idbancardvpos_sql
	where 
	idlog = $idlog
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


	if($_GET['status'] != 'payment_success'){
		// 1 pendiente, 2 confirmado y mostro en pantalla, 3 confirmado sin mostrar en pantalla, 4 rechazado, 6 anulado
		$consulta="
		update bancard_vpos
		set
			estado = 2
		where
			idbancardvpos = $idbancardvpos
			and estado = 3
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	}

}

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen_mesas.php"); ?>  
  </head>

  <body class="nav-md">
    <nav class="navbar navbar-default">
      <div class="">
        <div class="navbar-header" style="display: flex;align-items: center;justify-content: space-evenly;">
          <a class="navbar-brand" style="padding:0;width: 15vw;min-width: 20px;display: flex;justify-content: center;align-items: center;height: auto;padding-bottom: 1rem;padding-top: 1rem;" href="#">
          <img class="resized-image img-responsive logo_image" src="<?php echo $logo;?>"  alt="Pay background" />
          </a>
          <div class="header_name" ><?php echo $nombreempresa; ?></div>
          <div style="width: 15vw;display: flex;justify-content: space-around;" onclick="salir()" style="cursor: pointer;"> <small class="fa fa-sign-out " style="cursor: pointer;"></small></div>
        </div>
        <div class="clearfix"></div>
      </div>
    </nav>
    <div class="container body">
      <div class="main_container">



        <!-- BOTONERA INICIA -->
        <div id="box_grilla_btn">

<div   class="rounded col-md-12 col-sm-12 col-xs-12">
	<div  class="boton-body" style="background-color:#000;color:#FFF;">
		Mesa: <?php echo antixss($rsmesa->fields['numero_mesa']); ?> - 
		Salon: <?php echo antixss($rsmesa->fields['salon']); ?>
	</div>
</div>
<div class="clearfix"></div>
<br />
<div   class="rounded col-md-12 col-sm-12 col-xs-12">
	<div  class="boton-body" style="background-color:#FFF;">
         <div class='line'></div>
<p align='left'><a href="dashboard_bootstrap.php"  class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />
<?php if($pago_ok == 'S'){ ?>
<h3>Pago Confirmado!</h3>
<strong>Aguarde la confirmacion del mozo antes de retirarse.</strong><br />
Tipo Pago: <?php echo antixss($tipo_pago); ?><br />
<?php if($tipo_pago == 'VPOS'){ ?>
Fecha y Hora: <?php echo date("d/m/Y H:i:s",strtotime($rsvpos->fields['confirmado_el'])); ?><br />
Número de pedido: <?php echo antixss($_GET['shop_process_id']); ?><br />
Importe: <?php echo formatomoneda($rsvpos->fields['amount']); ?><br />
Descripción de la Respuesta: <?php echo antixss($rsvpos->fields['response_description']); ?><br />
<?php } ?>
<img src="pago-exitoso.png" />
<br />
<strong style="color:red;">IMPORTANTE:</strong><br />
Podrian haber productos sin abonar que el mozo aun no cargo a la mesa, favor espere la confirmacion del mozo o cajero antes de retirarse del local.<br />
<br />

<div class="clearfix"></div>
<br />
<!-- <a href="#" class="btn btn-sm btn-default"><span class="fa fa-download"></span> Descargar Factura</a>-->

<?php }else{ ?>
 <h3>No se pudo concretar la compra!</h3><br />
 
Fecha y Hora: <?php echo date("d/m/Y H:i:s",strtotime($rsvpos->fields['confirmado_el'])); ?><br />
Número de pedido: <?php echo antixss($_GET['shop_process_id']); ?><br />
Importe: <?php echo formatomoneda($rsvpos->fields['amount']); ?><br />
Descripción de la Respuesta: <?php echo antixss($rsvpos->fields['response_description']); ?><br />
<br />
<img src="pago-error.jpg" />



<div class="clearfix"></div>
<br />

<?php } ?>
<br /><br />

<!--
<span class="fa fa-star checked"></span>
<span class="fa fa-star checked"></span>
<span class="fa fa-star checked"></span>
<span class="fa fa-star"></span>
<span class="fa fa-star"></span>
-->


	</div>
</div>
<div class="clearfix"></div>
<br />



        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>