<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="479";
require_once("includes/rsusuario.php"); 

$consulta="
select monto_endeliverycaja from preferencias_caja limit 1
";
$rsprefcaja=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$monto_endeliverycaja=$rsprefcaja->fields['monto_endeliverycaja'];

function seg_a_hora($seg) { 
    $h = floor(($seg - ($d * 86400)) / 3600); 
    return $h;
 }
function seg_a_minuto($seg) { 
    $m = floor(($seg - ($d * 86400) - ($h * 3600)) / 60); 
    return $m;
 }
function seg_a_dhms($seg) { 
    $d = floor($seg / 86400); 
    $h = floor(($seg - ($d * 86400)) / 3600); 
    $m = floor(($seg - ($d * 86400) - ($h * 3600)) / 60); 
    $s = $seg % 60;
	if ($d > 0){
		$add1="$d Días,";
	}
	if ($h >0){
		$add2="$h hs,";
	}
	if ($m > 0){
		$add3="$m min,";
	}
	$texto="$add1 $add2 $add3 ".$s." seg.";
    return $texto;
 }


if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}

if($_GET['idestadodelivery'] > 0){
	$idestadodelivery=intval($_GET['idestadodelivery']);
	$whereadd.=" and tmp_ventares_cab.idestadodelivery  = $idestadodelivery ";
}

if(intval($_GET['telefono']) > 0){
	$telefono=antisqlinyeccion($_GET['telefono'],"int");
	$whereadd.=" and tmp_ventares_cab.telefono  = $telefono ";
}
if(trim($_GET['ruc']) != ''){
	$ruc=antisqlinyeccion($_GET['ruc'],"text");
	$whereadd.=" and tmp_ventares_cab.ruc  = $ruc ";
}
if(intval($_GET['idzonadel']) > 0){
	$idzonadel=antisqlinyeccion($_GET['idzonadel'],"int");
	$whereadd.=" and tmp_ventares_cab.idzonadel_costo_dom  = $idzonadel ";
}


// registrar la zona de delivery masivo
$consulta="
update tmp_ventares_cab
set
idzonadel_costo_dom = (
	select idzonadel 
	from cliente_delivery_dom 
	where 
	cliente_delivery_dom.iddomicilio = tmp_ventares_cab.iddomicilio
)
where
tmp_ventares_cab.estado <> 6
and tmp_ventares_cab.iddomicilio is not null
and tmp_ventares_cab.idzonadel_costo_dom is null
and tmp_ventares_cab.idcanal  = 3
and tmp_ventares_cab.idventa is not null
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	


$consulta="
select *,(select canal from canal where idcanal=tmp_ventares_cab.idcanal) as canalito,
	(
	select motorista 
	from ventas
	inner join motoristas on motoristas.idmotorista = ventas.idmotorista 
	where 
	ventas.idventa = tmp_ventares_cab.idventa
	) as motorista,
	delivery_estado.color,
	delivery_estado.estado_delivery,
	(
	select nombre
	from sucursales
	where
	idsucu = tmp_ventares_cab.idsucursal
	) as sucursal,
	(
	select usuario from usuarios where idusu = tmp_ventares_cab.idusu
	) as operador,
	TIME_TO_SEC(TIMEDIFF(now(),fechahora)) transcurridoseg,
	zonas_delivery.describezona as zonadelivery
from tmp_ventares_cab
left join delivery_estado on delivery_estado.idestadodelivery = tmp_ventares_cab.idestadodelivery and delivery_estado.muestra_al_motorista = 'S'
left join zonas_delivery on zonas_delivery.idzonadel = tmp_ventares_cab.idzonadel_costo_dom
where
tmp_ventares_cab.estado <> 6
and date(tmp_ventares_cab.fechahora) >= '$desde'
and date(tmp_ventares_cab.fechahora) <= '$hasta'
AND tmp_ventares_cab.fechahora >= DATE_SUB(NOW(), INTERVAL 24 HOUR)
and tmp_ventares_cab.idcanal  = 3
and tmp_ventares_cab.idventa is not null
and (
	select usuarios.idusu 
	from ventas
	inner join motoristas on motoristas.idmotorista = ventas.idmotorista 
	inner join usuarios on motoristas.idusu_asignado = usuarios.idusu 
	where 
	ventas.idventa = tmp_ventares_cab.idventa
	) = $idusu
$whereadd
order by tmp_ventares_cab.fechahora asc
limit 1000
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));








?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function filtra_deliv(idestadodelivery){
	document.location.href='estado_pedidos.php?idestadodelivery='+idestadodelivery;

}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">

            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Mis delivery asignados</h2>

                    <div class="clearfix"></div>
                  </div>
     
     
                  <div class="x_content">
     
<form id="form1" name="form1" method="get" action="">
             
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Estado </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idestadodelivery, estado_delivery
FROM delivery_estado
where
estado = 1
order by orden asc
 ";

// valor seleccionado
if(isset($_GET['idestadodelivery'])){ 
	$value_selected=htmlentities($_GET['idestadodelivery']); 
}else{
	$value_selected="";
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idestadodelivery',
	'id_campo' => 'idestadodelivery',
	
	'nombre_campo_bd' => 'estado_delivery',
	'id_campo_bd' => 'idestadodelivery',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
	</div>
</div>
	
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Tel&eacute;fono </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="telefono" id="telefono" value="<?php  if(isset($_GET['telefono'])){ echo htmlentities($_GET['telefono']);  } ?>" placeholder="Telefono" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Ruc *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="ruc" id="ruc" value="<?php  if(isset($_GET['ruc'])){ echo htmlentities($_GET['ruc']); }?>" placeholder="Ruc" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Zona *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<?php 
// consulta
$consulta="
SELECT idzonadel, describezona
FROM zonas_delivery
where
estado = 1
order by describezona asc
";


// valor seleccionado
if(isset($_GET['idzonadel'])){ 
	$value_selected=htmlentities($_GET['idzonadel']); 
}else{
	$value_selected='';
	//$value_selected=htmlentities($rs->fields['idzonadel']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idzonadel',
	'id_campo' => 'idzonadel',
	
	'nombre_campo_bd' => 'describezona',
	'id_campo_bd' => 'idzonadel',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODAS',
	'pricampo_value' => '', 
	'style_input' => 'class="form-control"', 
	'acciones' => ' ',
	'autosel_1registro' => 'S',
	//'opciones_extra' => $opciones_extra,

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>

  <input type="hidden" name="nc" value="<?php echo date("YmdHis"); ?>">
<br />

</form>

<div class="clearfix"></div>
<Hr />
<strong>Solo se muestran los pedidos hasta 24 horas de antiguedad</strong><br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
            <th align="center">Estado</th>
			<th align="center">Zona</th>
            <th align="center">Pedido #</th>
			<th align="center">Venta #</th>
            <th align="center">Fecha/Hora</th>

			<th align="center">Nombre y Apellido</th>
            <th align="center">Razon Social</th>
            <th align="center">RUC</th>
            <th align="center">Direccion</th>
            <th align="center">Telefono</th>
<?php if($monto_endeliverycaja == 'S'){ ?>
            <th align="center">Monto</th>
<?php } ?>
			<th align="center">Operador</th>
            <th align="center">Sucursal</th>
            <th align="center">Motorista</th>
			

		</tr>
	  </thead>
	  <tbody>
<?php 

$i=0;
while(!$rs->EOF){ 
if ($rs->fiels['idcanal']==1){
	//carry out
	$color=" style='background-color:#D1F5C9;' ";
} else {
	if ($rs->fiels['idcanal']==2){
		//cja
		$color=" style='background-color:#FFFFFF' ";
	} else {
		if ($rs->fiels['idcanal']==3){
			//delivery
			$color=" style='background-color:#C2C6C1' ";
		}
	}
}
$tsegundos=$rs->fields['transcurridoseg'];
$tiempo=seg_a_dhms($tsegundos);
$hora=intval(seg_a_hora($tsegundos));

$minuto=seg_a_minuto($tsegundos);



if($minuto <= 8 && $hora==0){

	$color="#9CFF6D";
}
if($minuto > 8 && $hora==0){

	$color="#F8FFCC";
}
if($minuto > 15 && $minuto <= 35 && $hora==0){

	$color="#FFAF60";
}
if($minuto > 35 && $minuto <= 50 && $hora==0){

	$color="#FFAAAA";
}	
if($minuto > 50 && $minuto <= 60){

	$color="#FFAAAA";
}	
if($hora >= 1 && $minuto > 60){

	$color="#FF7575";
}







?>
		<tr <?php echo "$color"; ?>>
			<td>
				
				<div class="btn-group">
					<a href="motorista_pedidos_detgen.php?id=<?php echo $rs->fields['idtmpventares_cab']; ?>&estado=<?php echo intval($_GET['estado']); ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>
                    <a href="motorista_pedidos_estgen.php?id=<?php echo $rs->fields['idtmpventares_cab']; ?>&estado=<?php echo intval($_GET['estado']); ?>" class="btn btn-sm btn-default" title="Cambiar Estado" data-toggle="tooltip" data-placement="right"  data-original-title="Cambiar Estado"><span class="fa fa-edit"></span></a>
				</div>

			</td>
            <td align="center" style="font-weight:bold;color:#FFF; background-color:<?php echo antixss($rs->fields['color']); ?>;"><?php echo antixss($rs->fields['estado_delivery']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['zonadelivery']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idtmpventares_cab']); ?></td>
            <td align="center"><?php if(intval($rs->fields['idventa']) > 0){ echo intval($rs->fields['idventa']); }else{ ?><span class="fa fa-clock-o"></span><?php } ?></td>
			<td align="center"><?php echo date("d/m/Y H:i:s",strtotime($rs->fields['fechahora'])); ?><br /><span style="background-color:<?php echo $color; ?>"><?php echo $tiempo ?></span></td>

			<td align="center"><?php echo antixss($rs->fields['nombre_deliv']." ".$rs->fields['apellido_deliv']); ?><?php if(trim($rs->fields['chapa']) != ''){ echo " | ".antixss($rs->fields['chapa']); } ?></td>
            <td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['ruc']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['direccion']); ?></td>
            <td align="center">0<?php echo antixss($rs->fields['telefono']); ?></td>
<?php if($monto_endeliverycaja == 'S'){ ?>
            <td align="center"><?php echo formatomoneda($rs->fields['monto']); ?></td>
<?php } ?>
			<td align="center"><?php echo antixss($rs->fields['operador']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['sucursal']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['motorista']); ?></td>
			
			

		</tr>
<?php 
$i++;
$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br /><br />
<p align="center"><strong>Total: <?php echo formatomoneda($i); ?></strong></p>

<br /><br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
