<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="609";
require_once("includes/rsusuario.php");


$idnotacred=intval($_GET['id']);
if($idnotacred == 0){
	header("location: nc_cliente_edita.php");
	exit;	
}


//Traemos datos para NC<br />
	$buscar="
	Select
	timbrado,idcajaaplicar,numero,fecha_nota,idnotacred,razon_social,nota_credito_cabeza.registrado_el,nota_credito_cabeza.estado,
	ruc,timb_valido_hasta as vtotimbrado,
	(select sum(subtotal) as t from nota_credito_cuerpo where idnotacred=nota_credito_cabeza.idnotacred) as totalnc,
	(select factura from nota_credito_cuerpo where idnotacred=nota_credito_cabeza.idnotacred limit 1) as facturaaplicar,

	CASE WHEN
		(select idnotacred from nota_credito_cuerpo_impuesto where idnotacred = nota_credito_cabeza.idnotacred limit 1) > 0
	THEN
		REPLACE(ROUND(COALESCE((select sum(monto_col) from nota_credito_cuerpo_impuesto where idnotacred = nota_credito_cabeza.idnotacred and nota_credito_cuerpo_impuesto.iva_porc_col = 10),0),0),'.',',')
	ELSE
		REPLACE(ROUND(COALESCE((Select sum(subtotal) as subtotal from nota_credito_cuerpo where idnotacred=nota_credito_cabeza.idnotacred and iva_porc=10),0),0),'.',',')
	END as gravadas_10,

	CASE WHEN
		(select idnotacred from nota_credito_cuerpo_impuesto where idnotacred = nota_credito_cabeza.idnotacred limit 1) > 0
	THEN
		REPLACE(ROUND(COALESCE((select sum(monto_col) from nota_credito_cuerpo_impuesto where idnotacred = nota_credito_cabeza.idnotacred and nota_credito_cuerpo_impuesto.iva_porc_col = 5),0),0),'.',',')
	ELSE
		REPLACE(ROUND(COALESCE((Select sum(subtotal) as subtotal from nota_credito_cuerpo where idnotacred=nota_credito_cabeza.idnotacred and iva_porc=5),0),0),'.',',')
	END as gravadas_05,

	CASE WHEN
		(select idnotacred from nota_credito_cuerpo_impuesto where idnotacred = nota_credito_cabeza.idnotacred limit 1) > 0
	THEN
		REPLACE(ROUND(COALESCE((select sum(monto_col) from nota_credito_cuerpo_impuesto where idnotacred = nota_credito_cabeza.idnotacred and nota_credito_cuerpo_impuesto.iva_porc_col = 0),0),0),'.',',')
	ELSE
		REPLACE(ROUND(COALESCE((Select sum(subtotal) as subtotal from nota_credito_cuerpo where idnotacred=nota_credito_cabeza.idnotacred and iva_porc=0),0),0),'.',',')
	END as gravadas_00


	from nota_credito_cabeza
	where
	nota_credito_cabeza.idnotacred = $idnotacred
    and nota_credito_cabeza.estado <> 6
	$whereadd
	order by numero asc
    ";
	$rs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
    $idcaja_old=intval($rs->fields['idcajaaplicar']);
	//echo $buscar;
	$tnotas=intval($rs->RecordCount());

    $idnotacred=intval($rs->fields['idnotacred']);
    if($idnotacred == 0){
        header("location: nc_cliente_edita.php");
        exit;	
    }
  
    



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

    // validaciones basicas
    $valido="S";
    $errores="";
    
    // control de formularios, seguridad para evitar doble envio y ataques via bots
    if($_SESSION['form_control'] != $_POST['form_control']){
        $errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
        $valido="N";
    }
    if(trim($_POST['form_control']) == ''){
        $errores.="- Control del formularios no activado.<br />";
        $valido="N";
    }
    $_SESSION['form_control'] = md5(rand());
    // control de formularios, seguridad para evitar doble envio y ataques via bots
    

    // recibe parametros
    $idcajaaplicar=antisqlinyeccion($_POST['idcajaaplicar'],"int");



    if(intval($_POST['idcajaaplicar']) == 0){
        $valido="N";
        $errores.=" - El campo idcaja aplicar no puede ser cero o nulo.<br />";	
    }
	// recibe parametros
	$idcaja_new=antisqlinyeccion($_POST['idcajaaplicar'],"int");


	// validaciones basicas
	
	if(intval($_POST['idcajaaplicar']) == $idcaja_old){
		$valido="N";
		$errores.=" - No cambiaste el idcaja.<br />";	
	}
	
	if(intval($idcaja_old) == 0){
		$valido="N";
		$errores.=" - No se encontro la caja antigua.<br />";	
	}
	
	// validar que no este rendida la caja antigua y que exista
	$consulta="
	select rendido, idcaja
	from caja_super 
	where 
	idcaja = $idcaja_old
	limit 1
	";
	$rscaj_old=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idcaja_old_val=intval($rscaj_old->fields['idcaja']);
	if(trim($rscaj_old->fields['rendido']) == 'S'){
		$valido="N";
		$errores.=" - La caja origen $idcaja_old ya fue rendida y no puede ser alterada.<br />";	
	}
	if($idcaja_old_val == 0){
		$valido="N";
		$errores.=" - La caja origen $idcaja_old no existe.<br />";
	}
	
	// validar que no este rendida la caja nueva y que exista
	$consulta="
	select rendido, idcaja
	from caja_super 
	where 
	idcaja = $idcaja_new
	limit 1
	";
	$rscaj_new=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idcaja_new_val=intval($rscaj_new->fields['idcaja']);
	if(trim($rscaj_new->fields['rendido']) == 'S'){
		$valido="N";
		$errores.=" - La caja destino $idcaja_new ya fue rendida y no puede ser alterada.<br />";	
	}
	if($idcaja_new_val == 0){
		$valido="N";
		$errores.=" - La caja origen $idcaja_new no existe.<br />";
	}
	



    // si todo es correcto actualiza
    if($valido == "S"){
        
        // registrar log
        $consulta="
        insert into nota_credito_cabeza_edita_log 
        (idnotacred, idcaja_old, idcaja_new, log_registrado_por , log_registrado_el)
        VALUES
        ($idnotacred, $idcaja_old, $idcaja_new, $idusu, '$ahora')
        ";
        $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
        
        $consulta="
        update nota_credito_cabeza
        set
            idcajaaplicar=$idcaja_new
        where
            idnotacred = $idnotacred
        ";
        $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

		$consulta="
		update gest_pagos 
		set 
		idcaja = $idcaja_new 
		where 
		idnotacred = $idnotacred
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


		// recalcular cajas
		recalcular_caja($idcaja_new);
		recalcular_caja($idcaja_old);
        
        header("location: nc_cliente_edita.php");
        exit;
        
    }

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>

      

<!-- SECCION -->
<div class="row">
<div class="col-md-12 col-sm-12 col-xs-12">
<div class="x_panel">
    <div class="x_title">
    <h2 >Notas de Crédito a Clientes</h2>
    <ul class="nav navbar-right panel_toolbox">
        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
        </li>
    </ul>
    <div class="clearfix"></div>
    </div>
        <br />
        <div class="col-md-12">


<br />


            <div class="table-responsive">
                <table width="100%" class="table table-bordered jambo_table bulk_action">
                    <thead>

                        <th align="center">Id Nota Crédito </th>
                        <th align="center">Idcaja </th>
                        <th align="center">Fecha Emisión </th>
                        <th align="center">Timbrado </th>
                        <th align="center">Timbrado Vencimiento</th>
                        <th align="center">Ruc</th>
                        <th align="center">Cliente </th>
                        <th align="center">Gravado 10</th>
                        <th align="center">Gravado 5</th>
                        <th align="center">Exento </th>
                        <th align="center">Total </th>

                    </tr>
                    </thead>

                    <tbody>
                <?php //while(!$rs->EOF){

                $totalgeneral=$totalgeneral+floatval($rs->fields['totalnc']);

                ?>
 
                        <td align="center"><?php echo antixss($rs->fields['idnotacred']); ?></td>
                        <td align="right"><?php echo formatomoneda($rs->fields['idcajaaplicar']);  ?></td>
                        <td align="center"><?php if($rs->fields['fecha_nota'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_nota'])); }  ?></td>
                        <td align="center"><?php echo antixss($rs->fields['timbrado']); ?></td>
                        <td align="center"><?php if($rs->fields['vtotimbrado'] != ""){ echo date("d/m/Y",strtotime($rs->fields['vtotimbrado'])); }  ?></td>
                        <td align="left"><?php echo antixss($rs->fields['ruc']); ?></td>
                        <td align="center"><?php echo antixss($rs->fields['razon_social']);  ?></td>
                        <td align="right"><?php echo formatomoneda($rs->fields['gravadas_10']);  ?></td>
                        <td align="right"><?php echo formatomoneda($rs->fields['gravadas_05']);  ?></td>
                        <td align="right"><?php echo formatomoneda($rs->fields['gravadas_00']);  ?></td>
                        <td align="right"><?php echo formatomoneda($rs->fields['totalnc']);  ?></td>


                    </tr>
                    <?php //$rs->MoveNext(); } //$rs->MoveFirst(); ?>




                    </tbody>
                </table>
            </div>
        </div>

        <div class="clearfix"></div>
        <?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>

<div class="alert alert-warning alert-dismissible fade in" role="alert">
<strong>CIUDADO!!!</strong><br />

Se recalcularan las cajas de origen y destino.
</div>

<div class="clearfix"></div>


<form id="form1" name="form1" method="post" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idcaja aplicar *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idcajaaplicar" id="idcajaaplicar" value="<?php  if(isset($_POST['idcajaaplicar'])){ echo intval($_POST['idcajaaplicar']); }else{ echo intval($rs->fields['idcajaaplicar']); }?>" placeholder="Idcajaaplicar" class="form-control" required="required" />                    
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='nc_cliente_edita.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />




            </div>
        </div>
    </div>
</div>



           
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Ultimos 50 Cambios</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php
$consulta="
select *,
(select usuario from usuarios where nota_credito_cabeza_edita_log.log_registrado_por = usuarios.idusu) as log_registrado_por
from nota_credito_cabeza_edita_log 
order by idnotacredlog desc
limit 50
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>


			<th align="center">Idnotacred</th>
			<th align="center">Idcaja anterior</th>
			<th align="center">Idcaja nueva</th>
			<th align="center">Log registrado por</th>
			<th align="center">Log registrado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idnotacred']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idcaja_old']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idcaja_new']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['log_registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['log_registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['log_registrado_el'])); }  ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            



		 </div>
	  </div>
	<script>
function generar_xls(){
var enlace='';
var df=$("#desde").val();
var hf=$("#hasta").val();
var m=$("#mostrar").val();


enlace="inf_nc_cliente_xls.php?&desde="+df+"&hasta="+hf+"&mostrar="+m+"";
	window.open(enlace,"_blank");
		}

</script>
		 <!-- /page content -->

		<!-- footer content -->
<?php require_once("includes/pie_gen.php"); ?>
	<!-- /footer content -->
	</div>
	</div>
	<?php require_once("includes/footer_gen.php"); ?>
</body>
	</html>
