<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="111";
require_once("../includes/rsusuario.php"); 


// busca si hay productos sin pantallas asignadas
$consulta="
select idventatmp
from tmp_ventares
where
tmp_ventares.cocinado = 'N'
and tmp_ventares.retirado = 'N'
and tmp_ventares.idsucursal = $idsucursal
and idproducto not in (
	select producto_pantalla.idproducto 
	from producto_pantalla
	inner join pantalla_cocina on pantalla_cocina.idpantallacocina = producto_pantalla.idpantalla
	where
	pantalla_cocina.idsucursal = $idsucursal
)
order by idventatmp asc
";
$rssinpant=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
// recorre y marca como cocinado y retirado si hay
while(!$rssinpant->EOF){
	// marcar todo como cocinado y retirado si no tiene pantalla asignada
	$idventatmp_sinpant=intval($rssinpant->fields['idventatmp']);
	$consulta="
	update tmp_ventares
	set 
	retirado = 'S', 
	cocinado = 'S' 
	WHERE 
	idventatmp = $idventatmp_sinpant
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$rssinpant->MoveNext(); }

// busca si hay alguna cabecera no marcada como cocinado pero que todo su detalle si se marco
$consulta="
select idtmpventares_cab 
from tmp_ventares_cab 
where 
tmp_ventares_cab.estado <> 6 
and tmp_ventares_cab.finalizado = 'S'
and tmp_ventares_cab.cocinado = 'N'
and tmp_ventares_cab.idsucursal = $idsucursal
and tmp_ventares_cab.idtmpventares_cab not in (
	select tmp_ventares.idtmpventares_cab 
	from tmp_ventares 
	where 
	cocinado = 'N'
	and tmp_ventares.idsucursal = $idsucursal
)
order by idtmpventares_cab asc
";
$rstodococ=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
// recorre y marca como cocinado y retirado si hay
while(!$rstodococ->EOF){
	// marcar todo como cocinado y retirado si no tiene pantalla asignada
	$idtmpventares_cab_todococ=intval($rstodococ->fields['idtmpventares_cab']);
	$consulta="
	update tmp_ventares_cab
	set 
	retirado = 'S', 
	cocinado = 'S' 
	WHERE 
	idtmpventares_cab = $idtmpventares_cab_todococ
	and tmp_ventares_cab.idsucursal = $idsucursal
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$rstodococ->MoveNext(); }

$buscar="
SELECT *, (now()-fechahora)/100 as transcurrido,
CASE WHEN 
	idcanal = 3
THEN
	CONCAT(tmp_ventares_cab.nombre_deliv,' ',tmp_ventares_cab.apellido_deliv)
ELSE
	tmp_ventares_cab.chapa
END as nombre
FROM tmp_ventares_cab
where
tmp_ventares_cab.idtmpventares_cab in (
SELECT  tmp_ventares.idtmpventares_cab
FROM tmp_ventares
inner join tmp_ventares_cab on  tmp_ventares.idtmpventares_cab = tmp_ventares_cab.idtmpventares_cab
where
tmp_ventares.finalizado = 'S'
and tmp_ventares.cocinado = 'N'
and tmp_ventares.retirado = 'N'
and tmp_ventares.borrado = 'N'
and tmp_ventares.idsucursal = $idsucursal
)
and tmp_ventares_cab.cocinado = 'N'
and tmp_ventares_cab.retirado = 'N'
and estado <> 6
and tmp_ventares_cab.idcanal <> 4
order by fechahora asc
limit 12
";
$rscoci = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tcoci=$rscoci->RecordCount();





?>
<?php if ($tcoci > 0){?>
<table width="100%">
  <tr style="font-size: 20px;">
	  <td width="32%" height="28" align="center"><strong>Pedido N&ordm;</strong></td>
	  <td width="68%" align="center"><strong>Nombre</strong></td>
	
  </tr>
  <?php while (!$rscoci->EOF){?>
  <tr>
	  <td height="33" align="center" style="font-size: 18px;"><?php echo $rscoci->fields['idtmpventares_cab']; ?></td>
	  <td align="center"><?php echo $rscoci->fields['nombre']; ?></td>
  </tr>
  <?php $rscoci->MoveNext();}?>
</table>
<?php } ?>