<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="78";
require_once("../includes/rsusuario.php"); 

function seg_a_hora($seg) { 
    $h = floor(($seg - ($d * 86400)) / 3600); 
    return $h;
 }
function seg_a_minuto($seg) { 
    $m = floor(($seg - ($d * 86400) - ($h * 3600)) / 60); 
    return $m;
 }
function seg_a_dhms($seg) { 
    $d = floor($seg / 86400); 
    $h = floor(($seg - ($d * 86400)) / 3600); 
    $m = floor(($seg - ($d * 86400) - ($h * 3600)) / 60); 
    $s = $seg % 60;
	if ($d > 0){
		$add1="$d Días,";
	}
	if ($h >0){
		$add2="$h hs,";
	}
	if ($m > 0){
		$add3="$m min,";
	}
	$texto="$add1 $add2 $add3 ".$s." seg.";
    return $texto;
 }

$consulta="
select * 
from pantalla_cocina 
where 
idempresa = $idempresa 
and idsucursal = $idsucursal
and borrado = 'N'
order by descripcion desc
";
$rscat = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$pantpred=$rscat->fields['idpantallacocina'];
$consolida=$rscat->fields['consolida'];

$idpantallacocina=intval($_REQUEST['pant']); 

if(intval($idpantallacocina) == 0){
	$idpantallacocina=$pantpred;
} 

require_once("../includes/funciones_carrito.php");



$consulta="
SELECT *,usuarios.usuario as mozo, TIME_TO_SEC(TIMEDIFF(now(),fechahora)) transcurridoseg,
(select canal.canal from canal where idcanal = tmp_ventares_cab.idcanal) as canal
FROM tmp_ventares_cab
inner join usuarios on usuarios.idusu=tmp_ventares_cab.idusu
where
tmp_ventares_cab.idtmpventares_cab in (
SELECT  tmp_ventares.idtmpventares_cab
FROM tmp_ventares
inner join tmp_ventares_cab on  tmp_ventares.idtmpventares_cab = tmp_ventares_cab.idtmpventares_cab

where
tmp_ventares.finalizado = 'S'
and tmp_ventares.cocinado = 'N'
and tmp_ventares.retirado = 'N'
and tmp_ventares.borrado = 'N'
and tmp_ventares.idsucursal = $idsucursal
and tmp_ventares.idempresa = $idempresa
and tmp_ventares.idproducto in (select idproducto from producto_pantalla where idpantalla = $idpantallacocina and idempresa = $idempresa)
)
and tmp_ventares_cab.cocinado = 'N'
and tmp_ventares_cab.retirado = 'N'
and tmp_ventares_cab.estado <> 6
order by fechahora asc
limit 20
";
$rsprod = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$tprod=$rsprod->RecordCount();

?>






<?php if(trim($errores) != ""){ ?>
		<div class="alert alert-danger alert-dismissible fade in" role="alert"><strong>Errores:</strong><br /><?php echo $errores; ?></div>
		<?php } ?>
		<?php 
	  //$tprod=0;
		if ($tprod > 0){
			while (!$rsprod->EOF){
				$tsegundos=$rsprod->fields['transcurridoseg'];
				$tiempo=seg_a_dhms($tsegundos);
				$hora=intval(seg_a_hora($tsegundos));

				$minuto=seg_a_minuto($tsegundos);



				if($minuto <= 8 && $hora==0){

					$color="#9CFF6D";
				}
				if($minuto > 8 && $hora==0){

					$color="#F8FFCC";
				}
				if($minuto > 15 && $minuto <= 35 && $hora==0){

					$color="#FFAF60";
				}
				if($minuto > 35 && $minuto <= 50 && $hora==0){

					$color="#FFAAAA";
				}	
				if($minuto > 50 && $minuto <= 60){

					$color="#FFAAAA";
				}	
				if($hora >= 1 && $minuto > 60){

					$color="#FF7575";
				}
				$idtmpventares_cab=$rsprod->fields['idtmpventares_cab'];
				$chapa=trim($rsprod->fields['chapa']);
				if($consolida == 'S'){
					$consulta="
					SELECT *, productos.descripcion, sum(cantidad) as total, sum(precio) as totalprecio, sum(subtotal) as subtotal,usuarios.usuario as mozo,
					(select recetas_detalles.idreceta from recetas_detalles where recetas_detalles.idprod = tmp_ventares.idproducto limit 1) as tienereceta, 
					(select agregado.idproducto from agregado WHERE agregado.idproducto = tmp_ventares.idproducto limit 1) as tieneagregado,
					tmp_ventares.observacion as observacion_prod 
					FROM tmp_ventares
					inner join tmp_ventares_cab on  tmp_ventares.idtmpventares_cab = tmp_ventares_cab.idtmpventares_cab
					inner join productos on productos.idprod_serial = tmp_ventares.idproducto
					inner join usuarios on usuarios.idusu=tmp_ventares.usuario
					where
					tmp_ventares.finalizado = 'S'
					and tmp_ventares.cocinado = 'N'
					and tmp_ventares.retirado = 'N'
					and tmp_ventares.borrado = 'N'
					and tmp_ventares.idproducto in  (select idproducto from producto_pantalla where idpantalla = $idpantallacocina and idempresa = $idempresa)
					and tmp_ventares.idsucursal = $idsucursal
					and tmp_ventares.idempresa = $idempresa
					and tmp_ventares.idtmpventares_cab = $idtmpventares_cab
					group by descripcion, receta_cambiada
					ORDER BY tmp_ventares.idventatmp asc
					";
					//echo $consulta;
					//exit;
					$rsproddeta = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					$idcanal=$rsproddeta->fields['idcanal'];
					
				}else{
					$consulta="
					SELECT *, 1 as total, usuarios.usuario as mozo,
					tmp_ventares.observacion as observacion_prod 
					FROM tmp_ventares
					inner join tmp_ventares_cab on  tmp_ventares.idtmpventares_cab = tmp_ventares_cab.idtmpventares_cab
					inner join productos on productos.idprod_serial = tmp_ventares.idproducto
					inner join usuarios on usuarios.idusu=tmp_ventares.usuario
					where
					tmp_ventares.finalizado = 'S'
					and tmp_ventares.cocinado = 'N'
					and tmp_ventares.retirado = 'N'
					and tmp_ventares.borrado = 'N'
					and tmp_ventares.idproducto in  (select idproducto from producto_pantalla where idpantalla = $idpantallacocina and idempresa = $idempresa)
					and tmp_ventares.idsucursal = $idsucursal
					and tmp_ventares.idempresa = $idempresa
					and tmp_ventares.idtmpventares_cab = $idtmpventares_cab
					ORDER BY tmp_ventares.idventatmp asc
					";
					//echo $consulta;
					//exit;
					$rsproddeta = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					$idcanal=$rsproddeta->fields['idcanal'];
				}
				
				// si tiene mesa buscar el numero
				$mesa=intval($rsprod->fields['idmesa']);
				if($mesa > 0){
					$consulta=" 
					select numero_mesa, nombre
					from mesas
					inner join salon on mesas.idsalon = salon.idsalon
					where 
					idmesa = $mesa
					";
					$rsmes= $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					$numeromesa=$rsmes->fields['numero_mesa'];
					$salon=$rsmes->fields['nombre'];
				}


				//datos para el div
				$linea1='';
				$idp=$rsprod->fields['idtmpventares_cab']; 
				$quien=$rsprod->fields['mozo']; 
				$mm=$idp;
				if ($mesa > 0){ $mm=$mm.' | Mesa '.$numeromesa; }
				if ($salon!=''){ $mm=$mm.' | Salon: '.str_replace("SALON","",$salon); }
				$fechaped=date("d/m/Y H:i",strtotime($rsprod->fields['fechahora'])).' | por '.$quien; 


		?>
			<!------------------------------DIV SELECTOR PEDIDOS------------------------------------------>

				<div class="col-md-55">  
					<div class="thumbnail"  style="min-height: 400px; <?php if($idcanal == 3){ ?>border:2px solid #909;<?php } ?>" id="pedido_<?php echo $idp; ?>">
						<div class="image view view-first" style="min-height: 300px; overflow-y: scroll">
							<strong>Pedido: <?php echo $mm;?></strong> | <?php echo $rsprod->fields['canal'] ?> <br />
							<strong>Fecha: <?php echo $fechaped;?></strong> <br />
                            <?php if($chapa != ''){ ?>
                            <strong>Nombre: <?php echo $chapa;?></strong> <br />
                            <?php } ?>
							<strong>Productos Solicitados</strong>
							<hr style="margin:2px;" />
							<div align="left">


								<?php
								$pedido="";
								while (!$rsproddeta->EOF){  
									$idventatmp=intval($rsproddeta->fields['idventatmp']);
									$idproducto=antisqlinyeccion($rsproddeta->fields['idproducto'],'text');
									$observacion_prod=$rsproddeta->fields['observacion_prod'];

									//agregados
									$consulta="
									select tmp_ventares_agregado.*
									from tmp_ventares_agregado
									where 
									idventatmp = $idventatmp
									order by alias desc
									";

									$rsag = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
									//eliminados
									$consulta="
									select tmp_ventares_sacado.*
									from tmp_ventares_sacado
									where 
									idventatmp = $idventatmp
									order by alias desc
									";
									$rssac = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

									//Si el prod es combinado

									if($rsproddeta->fields['combinado'] == 'S'){ 

										$prod_1=$rsproddeta->fields['idprod_mitad1'];
										$prod_2=$rsproddeta->fields['idprod_mitad2'];
										$consulta="
										select *
										from productos
										where 
										(idprod_serial = $prod_1 or idprod_serial = $prod_2)
										order by descripcion asc
										";
										$rspcom = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	

									}
									$pedido.=formatomoneda($rsproddeta->fields['total'],4,'N').' '.capitalizar($rsproddeta->fields['descripcion'])."<br />";			
									if(trim($observacion_prod) != ''){
										$pedido.='&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-exclamation"></i><strong>OBS:</strong> '.$observacion_prod."<br />";
									}

									$combi=trim($rsproddeta->fields['combinado']);
									$ag=$rsag->fields['alias'];
									$eli=trim($rssac->fields['alias']);
									$combides='';
									if($combi == 'S'){ 
										while (!$rspcom->EOF){
											$combides.="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i class='fa fa-arrow-right' aria-hidden='true'></i>&nbsp;".Capitalizar($rspcom->fields['descripcion']).'</br>';

										$rspcom->MoveNext(); } 	
										$pedido.="&nbsp;&nbsp;&nbsp;<i class='fa fa-adjust' aria-hidden='true'></i>&nbsp;Mitades seleccionadas<br />".$combides;
									}
									
									// busca si es un combo
									if($rsproddeta->fields['combo'] == 'S'){ 
										$consulta="
										select count(idprod) as total, descripcion, productos.idprod_serial 
										from tmp_combos_listas
										inner join productos on productos.idprod_serial = tmp_combos_listas.idproducto
										where
										tmp_combos_listas.idventatmp = $idventatmp
										and tmp_combos_listas.idempresa = $idempresa
										and productos.idempresa = $idempresa
										group by productos.idprod_serial 
										order by descripcion asc
										";
										//echo $consulta;exit;
										$rsgrupos=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
										
										while (!$rsgrupos->EOF){
											$pedido.=$saltolinea."&nbsp;&nbsp;&nbsp;<span class=\"letra_italica\">» ".$rsgrupos->fields['total'].' '.Capitalizar($rsgrupos->fields['descripcion'])."</span><br />";
										$rsgrupos->MoveNext(); } 
										
									}
									
									
									//Agregados
									$agdes="";
									if(trim($ag) != ''){
										 while (!$rsag->EOF){
											 $agdes.="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i class='fa fa-arrow-right' aria-hidden='true'></i>&nbsp;".Capitalizar($rsag->fields['alias']).'</br>';

											 $rsag->MoveNext(); 
										 }
											$pedido.="&nbsp;&nbsp;&nbsp;<i class='fa fa-plus' aria-hidden='true'></i>&nbsp;Agregar Extra de<br />".$agdes;
									}
									//Eliminados
									$agelim="";
									if($eli != ''){
										 while (!$rssac->EOF){
											 $agelim.="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i class='fa fa-arrow-right' aria-hidden='true'></i>&nbsp;".Capitalizar($rssac->fields['alias']).'</br>';

											$rssac->MoveNext();  
										 }
										$pedido.="&nbsp;&nbsp;&nbsp;<i class='fa fa-minus' aria-hidden='true'></i>&nbsp;Sacar del pedido <br />".$agelim;
									}

									$rsproddeta->MoveNext(); }




								?>

								<?php echo $pedido; ?>

								<strong>Observacion:</strong><br /><?php echo $rsprod->fields['observacion']; ?><br />
							</div>


						</div>
						<div class="caption" style="margin-top:0%;background-color: <?php echo $color?>">
							<p align="center"><?php echo $tiempo;?></p>
							<p align="center" style="margin-top: 5px;"><button type="button" class="btn btn-success btn-sm" onMouseUp="marca_cocinado_ped_cat(<?php echo $idp; ?>,<?php echo $idpantallacocina; ?>);">COCINADO</button></p>
						</div>


					</div>
				</div>

		<?php $rsprod->MoveNext(); }  ?>
			<!--------------------------------------------------------------------------------------->

	  <?php } else {?>
	  <div align="center" class="divvacio"><br /><br />
		  <span style="color: white; font-size: 1.6em;font-weight: bold; margin-top:2.5%;">
			Los cocineros est&aacute;n que arden!<br /><br />No quedan pedidos pendientes de preparaci&oacute;n
		  </span>
		 </div>
	  <?php } ?>