<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="84";
require_once("includes/rsusuario.php"); 

$id=intval($_GET['id']);

$consulta="
SELECT pantalla_cocina.*, sucursales.nombre as sucursal
FROM pantalla_cocina
inner join sucursales on pantalla_cocina.idsucursal = sucursales.idsucu
where
pantalla_cocina.idpantallacocina = $id
and pantalla_cocina.borrado = 'N'
";
$rsimp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$sucursalimp=$rsimp->fields['idsucursal'];
$idpantallacocina=intval($rsimp->fields['idpantallacocina']);
if(intval($rsimp->fields['idpantallacocina']) == 0){
	header("location: impresoras.php");	
	exit;
}




// filtros
if(isset($_GET['idcategoria']) && intval($_GET['idcategoria']) > 0){
	$idcategoria=intval($_GET['idcategoria']);
	$whereadd.=" and productos.idcategoria = $idcategoria ";
}
// filtros
if(isset($_GET['idsubcate']) && intval($_GET['idsubcate']) > 0){
	$idsubcate=intval($_GET['idsubcate']);
	$whereadd.=" and productos.idsubcate = $idsubcate ";
}

// buscar todos los productos que 
$buscar="
Select productos.*, categorias.nombre as categoria, sub_categorias.descripcion as subcategoria,
(
select idproducto 
from producto_pantalla 
where 
producto_pantalla.idproducto =  productos.idprod_serial 
and producto_pantalla.idpantalla = $id 
) as asignado

from productos 
inner join categorias on productos.idcategoria = categorias.id_categoria 
inner join sub_categorias on productos.idsubcate = sub_categorias.idsubcate 
where 
productos.borrado = 'N'
$whereadd
and productos.idprod_serial not in 
(
select idproducto 
from producto_pantalla 
inner join pantalla_cocina on pantalla_cocina.idpantallacocina = producto_pantalla.idpantalla
where 
producto_pantalla.idpantalla <> $id 
and pantalla_cocina.idsucursal = $sucursalimp
and pantalla_cocina.borrado = 'N'
)
and productos.idprod_serial in (
select idproducto from productos_sucursales where activo_suc = 1 and idsucursal = $sucursalimp
)
order by productos.descripcion asc
"	;
$prod=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
function registra_permiso(idproducto){
	var direccionurl='pantallas_productos_registra.php';	
	//alert(direccion);
	var parametros = {
	  "idpantalla"   : <?php echo $idpantallacocina; ?>,
	  "idproducto"  : idproducto,
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
				$("#box_td_"+idproducto).html('Cargando...');	
		},
		success:  function (response, textStatus, xhr) {
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				if(obj.valido == 'S'){
					$("#box_td_"+idproducto).html(obj.html_checkbox);
					var permitido = obj.permitido;
					var elem = $("#box_"+idproducto);
					//alert(elem);
					var idbox = "entrante";
					switchery_reactivar_uno(idproducto);
				}else{
					alert(obj.errores);
				}
			}else{
				alert(response);	
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
function switchery_reactivar(){
	var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));
	elems.forEach(function(html) {
		var switchery = new Switchery(html);
	});
}
function switchery_reactivar_uno(idproducto){
		var elems = document.querySelector('#box_'+idproducto);
		var switchery = new Switchery(elems);

}
function categorias(idcategoria){
	document.location.href='pantallas_asignar_prod.php?id=<?php echo $idpantallacocina; ?>&idcategoria='+idcategoria;
	
}
function subcategorias(idsubcate){
	document.location.href='pantallas_asignar_prod.php?id=<?php echo $idpantallacocina; ?>&idcategoria=<?php echo $idcategoria; ?>&idsubcate='+idsubcate;
	
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Asignar Productos a Pantalla</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<p>
	<a href="impresoras.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a>
	<a href="pantallas_log.php?idpantalla=<?php echo $idpantallacocina; ?>" class="btn btn-sm btn-default"><span class="fa fa-search"></span> Log</a>		
	<a href="pantallas_copia_imp.php?idpantalla=<?php echo $idpantallacocina; ?>" class="btn btn-sm btn-default"><span class="fa fa-files-o"></span> Copiar desde Impresora</a>		
</p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th align="center">Impresora</th>
			<th align="center">Sucursal</th>
		</tr>
	  </thead>
	  <tbody>
		<tr>
			<td align="center"><?php echo antixss($rsimp->fields['descripcion']); ?></td>
			<td align="center"><?php echo antixss($rsimp->fields['sucursal']); ?></td>
		</tr>

	  </tbody>

    </table>
</div>
<div class="clearfix"></div>
<hr />

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Categoria * </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
<?php 
require_once("cate_imp_list.php");

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Subcategoria *</label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="subcatebox">
<?php 

require_once("subcate_imp_list.php");

?>
	</div>
</div>
<div class="clearfix"></div>
<br />


<hr />
<a href="pantallas_productos_registra_all.php?idpantalla=<?php echo $idpantallacocina; ?>&accion=a&idcategoria=<?php echo $idcategoria; ?>&idsubcate=<?php echo $idsubcate; ?>" class="btn btn-sm btn-default"><span class="fa fa-toggle-on"></span> Marcar Todos</a>
<a href="pantallas_productos_registra_all.php?idpantalla=<?php echo $idpantallacocina; ?>&accion=b&idcategoria=<?php echo $idcategoria; ?>&idsubcate=<?php echo $idsubcate; ?>" class="btn btn-sm btn-default"><span class="fa fa-toggle-off"></span> Desmarcar Todos</a>
					  

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
      <tr>
        <td ></td>
        <td ><strong>Producto</strong></td>
        </tr>
		  </thead>
		<tbody>
      <?php $i=0; while (!$prod->EOF){ 
	  

			  
	  $pventa=intval($prod->fields['precio_venta']);
	  $pmin=intval($prod->fields['precio_min']);
	  $pmax=intval($prod->fields['precio_max']);
	  
	  if ($pventa>0){
		  	$tp=1;
	  } else {
		  if ($pmin>0){
			 $tp=2;
		  } else {
			 $tp=3;  
		  }
	  }
	  
	 $idproducto=$prod->fields['idprod_serial'];
	  ?>
      <tr>
        <td id="box_td_<?php echo $idproducto; ?>">		
			<input name="producto" id="box_<?php echo $idproducto; ?>" type="checkbox" value="S" class="js-switch" onChange="registra_permiso(<?php echo $idproducto; ?>);" <?php if(intval($prod->fields['asignado']) > 0){echo "checked"; } ?>   />
			
			
			
			
		</td>
        <td height="27" align="center"><?php echo trim($prod->fields['descripcion']) ?><br /></td>
        </tr>
      <?php $i++; $prod->MoveNext(); } ?>
			</tbody>
</table>
</div>			  
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
<link href="vendors/switchery/dist/switchery.min.css" rel="stylesheet">
<script src="vendors/switchery/dist/switchery.min.js" type="text/javascript"></script>
  </body>
</html>
