<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="11";
$submodulo="54";
require_once("includes/rsusuario.php"); 


require_once  '../clases/mpdf/vendor/autoload.php';


$nombre_archivo='archivo';
$nombre_archivo.='_'.date("YmdHis").'.pdf';

$img="gfx/empresas/emp_".$idempresa.".png";	 
if(!file_exists($img)){
	$img="gfx/empresas/emp_0.png";
}
$pie_pdf=$rsco->fields['nombre_sys'].' '.$rsco->fields['slogan_sys'];

$consulta="
select ventas.idventa, date(ventas.fecha) as fecha, ventas.factura, sucursales.nombre as sucursal
from ventas
inner join sucursales on sucursales.idsucu = ventas.sucursal
where
ventas.estado <> 6
order by date(ventas.fecha) asc, ventas.factura asc
limit 100
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

// asigna los datos de la consulta a una variable
$array=$rs->fields;
$html='';

// HTML PRINCIPAL INICIO
$html.='
<!DOCTYPE html>
<html lang="en">
	<head>
		<style>
		.tabla_pdf table{
			border:1px solid #000;
			border-collapse:collapse;
		}
		.tabla_pdf td{
			border:1px solid #000;
		}
		.tabla_pdf th{
			border:1px solid #000;
		}
		</style>
	</head>
	<body style="font-family: serif; font-size: 9pt;">
';

// MEMBRETE
$html.='<div align="center" style="margin:10px; text-align:center;">';
$html.='<br />
<div style="width:600px; border:1px solid #000000; height:82px; margin:0px auto;">
	<table width="600" style="margin:0px;">
		<tr>
			<td><img src="'.$img.'" height="80" alt=""/></td>
			<td><h3>'.$nombreempresa.'</h3></td>
		</tr>
	</table>
</div>
<br />';


// CONSTRUYE CABECERA
$html.='
<div class="tabla_pdf">
    <table width="100%"   border="1">
	  <thead>
		<tr style="background-color:#CCC; font-size:10px;">';
foreach($array as $key=>$value){	
	$html.='<th align="center">'.$key.'</th>';
}			
reset($array);	

		$html.='</tr>
	  </thead>
	  <tbody>';
	  
//CONSTRUYE CUERPO 
while (!$rs->EOF){
	$array=$rs->fields;
	$html.='<tr>';
		foreach($array as $key=>$value){
			$html.='<td align="center">'.$value.'</td>';
		}
	$html.='</tr>';
$rs->MoveNext(); }	

$html.='
	  </tbody>
    </table>
</div>
';

// HTML PRINCIPAL FINAL
$html.='<hr />
<span style="font-size: 7pt;">Generado con: '.$pie_pdf.'</span>
<br /><br />
  </body>
</html>
';


//echo $html;exit;

// CONFIGURACIONES
$mpdf = new mPDF('','Legal-P', 0, 0, 0, 0, 0, 0);
//$mpdf=new mPDF('utf-8', array(800,1280)); // ancho , alto
//$mpdf = new mPDF('','A4',55,'dejavusans');
//$mpdf = new mPDF('c','A4','100','',32,25,27,25,16,13);

// MARCA DE AGUA
$mpdf->SetWatermarkText('');
$mpdf->showWatermarkText = false;

$mpdf->SetDisplayMode('fullpage');
$mpdf->use_kwt = true; 
//$mpdf->shrink_tables_to_fit = 1;
$mpdf->shrink_tables_to_fit = 2.5;

// ESCRIBE EL HTML
$mpdf->WriteHTML($html);
$mpdf->showImageErrors = true; 



//si no se usa el tributo I, no permite usar el nombre indicado y los archivos no sedescargan nunca!!
$archivopdf=$nombre_archivo;
//$mpdf->Output($archivopdf,'I'); // mostrar en el navegador
$mpdf->Output($archivopdf,'D');  // // descargar directamente
//$mpdf->Output($archivopdf,'F'); // guardar archivo en el servidor

?>