<?php
/*-----------------------------------------
06/12/2022

------------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
//$submodulo="188";
$submodulo="2";
require_once("includes/rsusuario.php"); 


$consulta="
select * 
from pedidos_anticipados
where
retirado_el is null
and estado = 1
order by fecha_retiro asc, registrado_el asc
";

//$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){
	// recibe parametros
	//$idpedidoanticipa=antisqlinyeccion($_POST['idpedidoanticipa'],"int");
	$idcliente=antisqlinyeccion('',"int");
	$nombres=antisqlinyeccion($_POST['nombres'],"text");
	$apellidos=antisqlinyeccion($_POST['apellidos'],"text");
	$direccion_entrega=antisqlinyeccion($_POST['direccion_entrega'],"text");
	$telefono=antisqlinyeccion($_POST['telefono'],"text");
	$razon_social=antisqlinyeccion($_POST['razon_social'],"text");
	$ruc=antisqlinyeccion($_POST['ruc'],"text");
	$celular=antisqlinyeccion($_POST['celular'],"int");
	$fecha_retiro=antisqlinyeccion($_POST['fecha_retiro'],"text");
	$registrado_el=antisqlinyeccion(date("Y-m-d H:i:s"),"text");
	$registrado_por=antisqlinyeccion($idusu,"int");
	$anticipo_abonado=antisqlinyeccion($_POST['anticipo_abonado'],"text");
	$observaciones=antisqlinyeccion($_POST['observaciones'],"text");
	
	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots


/*
	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(intval($_POST['idcliente']) == 0){
		$valido="N";
		$errores.=" - El campo idcliente no puede ser cero o nulo.<br />";	
	}
*/

	if(trim($_POST['nombres']) == ''){
		$valido="N";
		$errores.=" - El campo nombres no puede estar vacio.<br />";	
	}
/*
	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(trim($_POST['apellidos']) == ''){
		$valido="N";
		$errores.=" - El campo apellidos no puede estar vacio.<br />";	
	}
*/

/*
	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(trim($_POST['direccion_entrega']) == ''){
		$valido="N";
		$errores.=" - El campo direccion_entrega no puede estar vacio.<br />";	
	}
*/

/*
	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(trim($_POST['telefono']) == ''){
		$valido="N";
		$errores.=" - El campo telefono no puede estar vacio.<br />";	
	}
*/

/*
	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(trim($_POST['razon_social']) == ''){
		$valido="N";
		$errores.=" - El campo razon_social no puede estar vacio.<br />";	
	}
*/

/*
	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(trim($_POST['ruc']) == ''){
		$valido="N";
		$errores.=" - El campo ruc no puede estar vacio.<br />";	
	}
*/

/*
	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(intval($_POST['celular']) == 0){
		$valido="N";
		$errores.=" - El campo celular no puede ser cero o nulo.<br />";	
	}
*/


	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(trim($_POST['fecha_retiro']) == ''){
		$valido="N";
		$errores.=" - El campo fecha_retiro no puede estar vacio.<br />";	
	}



/*
	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(trim($_POST['retiro_registrado_el']) == ''){
		$valido="N";
		$errores.=" - El campo retiro_registrado_el no puede estar vacio.<br />";	
	}
*/

/*
	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(intval($_POST['retiro_registrado_por']) == 0){
		$valido="N";
		$errores.=" - El campo retiro_registrado_por no puede ser cero o nulo.<br />";	
	}
*/

/*
	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(trim($_POST['retirado_el']) == ''){
		$valido="N";
		$errores.=" - El campo retirado_el no puede estar vacio.<br />";	
	}
*/



	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		insert into pedidos_anticipados
		(idcliente, nombres, apellidos, direccion_entrega, telefono, razon_social, ruc, celular, fecha_retiro, registrado_el, registrado_por, retiro_registrado_el, retiro_registrado_por, retirado_el,
		monto_total, anticipo_abonado, saldo, cantidad_productos, estado,observaciones)
		values
		($idcliente, $nombres, $apellidos, $direccion_entrega, $telefono, $razon_social, $ruc, $celular, $fecha_retiro, $registrado_el, $registrado_por, NULL, NULL, NULL, 0, 0, 0, 0, 1,$observaciones)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: pedidos_anticipados.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<?php require_once("includes/head_gen.php"); ?>
 
 <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@300;400;500;600&display=swap" rel="stylesheet">
 <link href="css/gen.css" rel="stylesheet">
 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />




</head>
<body class="nav-md">
    <div class="container body">
        <div class="main_container">
            <?php require_once("includes/menu_gen.php"); ?>

            <!-- top navigation -->
            <?php require_once("includes/menu_top_gen.php"); ?>
            <!-- /top navigation -->

            <!-- page content -->
            <div class="right_col" role="main">
                <div class="">
                    <div class="page-title"></div>
                    <div class="clearfix"></div>
                    <?php require_once("includes/lic_gen.php"); ?>
					<div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="x_panel" style="background-color: rgb(216, 216, 231); border-radius: 3px">
                                <div class="x_title">
                                    <h2>AGREGAR PEDIDO ANTICIPADO</h2>
                                    <ul class="nav navbar-right panel_toolbox">
                                       
                                            <a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                                        </li>
                                    </ul>
                                    <div class="clearfix"></div>
                                </div>
<br />
<p align="center">
</p>
<?php if(trim($errores) != ""){ ?>
	<div class="mensaje" style="border:1px solid #F00; background-color:#FFC; font-size:12px; padding:10px; margin:10px auto; width:500px; text-align:center;"><strong>Errores:</strong> <br /><?php echo $errores; ?></div><br />
<?php } ?>
<form id="form1" name="form1" method="post" action="">
<form action="" method="post" class="form-horizontal">
  <div class="col-md-6 col-sm-6 form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Nombres *</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
      <input type="text" name="nombres" id="nombres" value="<?php if(isset($_POST['nombres'])){ echo htmlentities($_POST['nombres']); }else{ echo htmlentities($rs->fields['nombres']); }?>" placeholder="Nombres" required="required" class="form-control" />
    </div>
  </div>

  <div class="col-md-6 col-sm-6 form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Apellidos *</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
      <input type="text" name="apellidos" id="apellidos" value="<?php if(isset($_POST['apellidos'])){ echo htmlentities($_POST['apellidos']); }else{ echo htmlentities($rs->fields['apellidos']); }?>" placeholder="Apellidos" class="form-control" />
    </div>
  </div>

  <div class="col-md-6 col-sm-6 form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Dirección Entrega *</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
      <input type="text" name="direccion_entrega" id="direccion_entrega" value="<?php if(isset($_POST['direccion_entrega'])){ echo htmlentities($_POST['direccion_entrega']); }else{ echo htmlentities($rs->fields['direccion_entrega']); }?>" placeholder="Direccion de entrega" class="form-control" />
    </div>
  </div>

  <div class="col-md-6 col-sm-6 form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Teléfono *</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
      <input type="text" name="telefono" id="telefono" value="<?php if(isset($_POST['telefono'])){ echo htmlentities($_POST['telefono']); }else{ echo htmlentities($rs->fields['telefono']); }?>" placeholder="Telefono" class="form-control" />
    </div>
  </div>

  <div class="col-md-6 col-sm-6 form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Celular *</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
      <input type="text" name="celular" id="celular" value="<?php if(isset($_POST['celular'])){ echo htmlentities($_POST['celular']); }else{ echo htmlentities($rs->fields['celular']); }?>" placeholder="Celular" class="form-control" />
    </div>
  </div>

  <div class="col-md-6 col-sm-6 form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Razón Social *</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
      <input type="text" name="razon_social" id="razon_social" value="<?php if(isset($_POST['razon_social'])){ echo htmlentities($_POST['razon_social']); }else{ echo htmlentities($rs->fields['razon_social']); }?>" placeholder="Razon social" class="form-control" />
    </div>
  </div>

  <div class="col-md-6 col-sm-6 form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">RUC *</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
      <input type="text" name="ruc" id="ruc" value="<?php if(isset($_POST['ruc'])){ echo htmlentities($_POST['ruc']); }else{ echo htmlentities($rs->fields['ruc']); }?>" placeholder="RUC" class="form-control" />
    </div>
  </div>

  <div class="col-md-6 col-sm-6 form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Observaciones *</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
      <textarea name="observaciones" id="observaciones" placeholder="Escribe tus comentarios" class="form-control"><?php if(isset($_POST['observaciones'])){ echo htmlentities($_POST['observaciones']); }else{ echo htmlentities($rs->fields['observaciones']); }?></textarea>
    </div>
  </div>

  <div class="col-md-6 col-sm-6 form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Entregar en Fecha *</label>
    <div class="col-md-9 col-sm-9 col-xs-12">
      <input type="datetime-local" name="fecha_retiro" id="fecha_retiro" value="<?php if(isset($_POST['fecha_retiro'])){ echo date('Y-m-d',strtotime($_POST['fecha_retiro'])).'T'.date('H:i',strtotime($_POST['fecha_retiro'])); }else{ echo date('Y-m-d').'T'.date('H:i'); }?>" placeholder="fecha_retiro" class="form-control" />
    </div>
  </div>
  <br/>
  <div class="clearfix"></div>
  <div class="form-group">
    <div class="col-md-12 col-sm-12 col-xs-12 text-center">
	<br/>
  <button type="submit" id="button" class="btn btn-sm btn-register btn-success">
    <span class="fa fa-check-square-o"></span> Registrar
  </button>
  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">

      <button type="button" class="btn btn-sm btn-cancel" onMouseUp="document.location.href='pedidos_anticipados.php'">
        <span class="fa fa-ban"></span> Cancelar
      </button>
    </div>
  </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
</form>

</form>
<br /><br />

          </div> <!-- contenedor -->
   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
    <div class="clear"></div>
    <?php require("includes/pie_gen.php"); ?>
	<?php require_once("includes/footer_gen.php"); ?>
</body>
</html>