<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");

// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="58";
require_once("includes/rsusuario.php"); 

//print_r($_POST);

// preferencias
$consulta="SELECT obligachapa, selmozo, tablet_sinfoto, atc_mesa, tablet_canal
 FROM preferencias 
limit 1
";
$rspref=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$obligachapa=trim($rspref->fields['obligachapa']);
$selmozo=trim($rspref->fields['selmozo']);
$tablet_sinfoto=trim($rspref->fields['tablet_sinfoto']);
$atc_mesa=trim($rspref->fields['atc_mesa']);
if(intval($_SESSION['canal']) == 0){
	$canal=intval($rspref->fields['tablet_canal']); // asigna canal
	$_SESSION['canal'] = $canal;
}


$consulta="SELECT sucursal_tablet FROM preferencias_caja limit 1 ";
$rsprefcaj=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$sucursal_tablet=trim($rsprefcaj->fields['sucursal_tablet']);

$consulta="
select * from cliente where borrable = 'N' and idempresa = $idempresa order by idcliente asc limit 1
";
$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$razon_social_pred=strtoupper(trim($rscli->fields['razon_social']));

//echo $canal;

//echo $tablet_sinfoto;

// valores por defecto
$tamano_w="190";
$tamano_h="170";
$tamano_f="14";
$contador_w="20";
$contador_h="20";	
$contador_f="16";
/* al 50%
	$tamano_w="95";
	$tamano_h="85";	
	$contador_w="12";
	$contador_h="12";	
	$contador_f="12";
*/
if($tablet_sinfoto == 'S'){
	$tamano_w=$tamano_w*0.4;
	$tamano_h=$tamano_h*0.4;
	$tamano_f=12;	
	$contador_w="12";
	$contador_h="12";	
	$contador_f="12";
}

$canal=1; // calle
if(intval($_GET['canal']) > 0){
	$_SESSION['canal'] = intval($_GET['canal']); // elije canal
}
if(intval($_SESSION['canal']) > 0){
	$canal=intval($_SESSION['canal']); // asigna canal
}
// forzar Canal
$canal=1;
$_SESSION['canal'] = $canal;
if($canal != 1){
	header("location: index.php?canal=1");
	exit;	
}
if(intval($_GET['canal']) > 0 && intval($_GET['canal']) != 1){
	header("location: index.php?canal=1");
	exit;
}
// forzar Canal

$busqueda=intval($_GET['bus']);

// tipo de favoritos
$consulta="
SELECT tipofavorito, maxprod, maxdias
FROM tipofavorito
where 
idempresa = $idempresa
limit 1
";
$rsfav = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$maxprod=intval($rsfav->fields['maxprod']);
$maxdias=intval($rsfav->fields['maxdias']);

// rellenar favorito si no se relleno hoy
$consulta="
select actualizado 
from favoritos 
where
idempresa = $idempresa 
and idsucursal = $idsucursal 
order by actualizado asc 
limit 1
";
$rsfav2 = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
// si aun no se lleno hoy para esta sucursal
if($rsfav2->fields['actualizado'] != date("Y-m-d")){
	// borra los favoritos de la tabla temporal
	$consulta="
	delete from favoritos 
	where 
	idempresa = $idempresa 
	and idsucursal = $idsucursal 
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// tipo favorito seleccionados
	if(strtoupper($rsfav->fields['tipofavorito']) == 'V'){
		// lista los productos favoritos
		$consulta="
		INSERT INTO favoritos (idproducto, idsucursal, idempresa, cantidad_venta, actualizado)
		select p.idprod_serial, $idsucursal, $idempresa, sum(ventas_detalles.cantidad), current_date
		from ventas 
		inner join ventas_detalles on ventas.idventa = ventas_detalles.idventa
		inner join productos p on p.idprod_serial = ventas_detalles.idprod
		inner join productos_sucursales on productos_sucursales.idproducto = p.idprod_serial
		where
		date(ventas.fecha) >= date_sub(date(NOW()), INTERVAL $maxdias DAY)
		and ventas.estado <> 6
		and ventas.sucursal = $idsucursal
		and p.idempresa = $idempresa
		and p.borrado = 'N'
		and productos_sucursales.idsucursal = $idsucursal 
		and productos_sucursales.idempresa = $idempresa
		and productos_sucursales.activo_suc = 1
		group by p.idprod_serial
		order by count(ventas_detalles.idprod) desc, p.descripcion asc
		limit $maxprod
		";
		$rsfavrell = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
	}else{
		
		// lista los productos favoritos
		$consulta="
		INSERT INTO favoritos (idproducto, idsucursal, idempresa, cantidad_venta, actualizado)
		SELECT idprod_serial, $idsucursal, $idempresa, 1, current_date
		from productos 
		where 
		borrado = 'N' 
		and productos.favorito = 'S'
		";
		$rsfavrell = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
	}
	
	
}


$whereadd="";
$cat=intval($_GET['cat']);
if($cat > 0){
	$whereadd.=" and idcategoria = $cat";
}else{
	if(strtoupper($rsfav->fields['tipofavorito']) == 'F'){
		$whereadd.=" and favorito = 'S'";
	}else{
		$whereadd.="
		and productos.idprod_serial in (
		select idproducto 
		from favoritos 
		where 
		idsucursal = $idsucursal 
		and idempresa = $idempresa
		)
		 ";	
	}
}
$t=intval($_GET['t']);
if($t > 0){
	$whereadd.=" and idsubcate = $t";
}


// productos
$consulta="
select *, productos_sucursales.precio as p1,
	(
	select 
	sum(cantidad) as total
	from tmp_ventares 
	where 
	tmp_ventares.registrado = 'N'
	and tmp_ventares.usuario = $idusu
	and tmp_ventares.borrado='N'
	and tmp_ventares.finalizado = 'N'
	and tmp_ventares.idproducto = productos.idprod_serial
	and tmp_ventares.idempresa = $idempresa
	and tmp_ventares.idsucursal = $idsucursal
	) as total
from productos 
inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial
where
productos.idprod_serial is not null
and productos.idempresa = $idempresa
and productos.borrado = 'N'

and productos_sucursales.idsucursal = $idsucursal 
and productos_sucursales.idempresa = $idempresa
and productos_sucursales.activo_suc = 1

$whereadd
order by productos.combinado desc, productos.descripcion asc
"; 
//echo $consulta;
$rsprod = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



// total productos en carrito
$consulta="
select count(*) as total
from tmp_ventares 
inner join productos on tmp_ventares.idproducto = productos.idprod_serial
where 
tmp_ventares.registrado = 'N'
and tmp_ventares.usuario = $idusu
and tmp_ventares.borrado = 'N'
and tmp_ventares.finalizado = 'N'
and tmp_ventares.idempresa = $idempresa
and tmp_ventares.idsucursal = $idsucursal
and productos.idempresa = $idempresa
and productos.borrado = 'N'
";
//echo $consulta;
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$totalprod=floatval($rs->fields['total']);

// monto total de productos en carrito
$consulta="
select sum(subtotal) as total_monto
from tmp_ventares 
inner join productos on tmp_ventares.idproducto = productos.idprod_serial
where 
tmp_ventares.registrado = 'N'
and tmp_ventares.usuario = $idusu
and tmp_ventares.borrado = 'N'
and tmp_ventares.finalizado = 'N'
and tmp_ventares.idempresa = $idempresa
and tmp_ventares.idsucursal = $idsucursal
and productos.idempresa = $idempresa
and productos.borrado = 'N'
";

$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$montototalprod=floatval($rs->fields['total_monto']);
// monto total agregados
$consulta="
SELECT sum(precio_adicional) as montototalagregados, count(idventatmp) as totalagregados
FROM 
tmp_ventares_agregado
where
idventatmp in (
select tmp_ventares.idventatmp
from tmp_ventares 
where 
registrado = 'N'
and tmp_ventares.usuario = $idusu
and tmp_ventares.borrado = 'N'
and tmp_ventares.finalizado = 'N'
and tmp_ventares.idempresa = $idempresa
and tmp_ventares.idsucursal = $idsucursal
)
";
$rsag = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$montototalag=floatval($rsag->fields['montototalagregados']);
$montototalag=0;
// productos mas agregados
$montototal=round($montototalprod+$montototalag);
//echo $montototal;
//exit;

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){
	// recibe parametros
	$razon_social=trim(strtoupper($_POST['razon_social']));
	$ruc=trim(strtoupper($_POST['ruc']));
	$chapa=trim(strtoupper($_POST['chapa']));
	$observacion=trim(strtoupper($_POST['observacion']));
	$iddomicilio=intval($_POST['iddomicilio']);
	$sucursaldir=intval($_POST['sucursaldir']);
	$idzonadel=intval($_POST['idzonadel']);
	$monto=$montototal;
	$mesa=trim($_POST['mesa']);
	$mozo=intval($_POST['mozo']);
	$idsolicitudcab=intval($_POST['idsolicitudcab']);
	$idsolicitud=intval($_POST['idsolicitud']);
	if($mozo == 0){
		$mozo=$idusu;	
	}
	if($selmozo != 'S'){
		$mozo=$idusu;	
	}
	if($sucursaldir == 0){
		$sucursaldir=$idsucursal;	
	}

	
	
	// conversiones
	$finalizado="S";
	if(intval($_SESSION['canal']) == 3){
		$delivery="S";
	}else{
		$delivery="N";	
	}
	if(trim($mesa) == ''){
		$mesa=0;	
	}
	// si no tiene canal asignado asigna el 1
	if(intval($_SESSION['canal']) == 0){
		$_SESSION['canal']=1;
		$canal=1;
	}
	// si el canal no es valido
	if(intval($_SESSION['canal']) == 2 or intval($_SESSION['canal']) > 4){
		$_SESSION['canal']=1;
		$canal=1;
	}
	
	// busca costo delivery si corresponde
	if(intval($_SESSION['canal']) == 3){
		$zona=antisqlinyeccion($_POST['zona'],"int");
		$consulta="
		Select idzona,descripcion,costoentrega
		from gest_zonas
		where 
		estado=1 
		and gest_zonas.idzona = $zona
		and gest_zonas.idempresa = $idempresa 
		and gest_zonas.idsucursal = $idsucursal
		order by descripcion asc
		";
		//$rsdelcos=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		//$costodelivery=intval($rsdelcos->fields['costoentrega']);
		$costodelivery=0;
	}
	
	
	// validaciones
	$valido="S";
	if($totalprod == 0){
		$errores.="- Debe agregar al menos 1 producto al carrito.<br />";
		$valido="N";
	}
	
	
	// validar canal calle
	if(intval($_SESSION['canal']) == 1){  // si es calle pide chapa
		if($obligachapa == 'S'){ 
			if($chapa == ''){
				$errores.="- Debe indicar el nombre o chapa.<br />";
				$valido="N";
			}
		}
	}
	// validar canal delivery
	if(intval($_SESSION['canal']) == 3){
		$delivery="S";
		if(intval($_POST['telefono']) == 0){
			$valido="N";
			$errores.="- Debe completar el telefono.<br />";
		}
		if(intval($_POST['zona']) == 0){
			$valido="N";
			$errores.="- Debe indicar la zona del delivery.<br />";
		}
		if(trim($_POST['direccion']) == ''){
			$valido="N";
			$errores.="- Debe completar la direccion de entrega.<br />";
		}
		if(trim($_POST['llevapos']) == ''){
			$valido="N";
			$errores.="- Debe indicar si lleva el POS o no.<br />";
		}
		if(trim($_POST['llevapos']) == 'N'){
			if(intval($_POST['cambio']) == 0){
				$valido="N";
				$errores.="- Si el pago es en efectivo debe indicar el cambio.<br />";
			}
		}
		if(!(intval($_POST['iddomicilio']) > 0)){
			if(trim($_POST['lugar']) == ''){
				$valido="N";
				$errores.="- Debe indicar el lugar.<br />";
			}
			$telefono=antisqlinyeccion($_POST['telefono'],"int");
			// busca si existe el cliente delivery
			$consulta="
			select * 
			from cliente_delivery
			where
			idclientedel is not null
			and estado = 1
			and telefono = $telefono
			and idempresa = $idempresa
			limit 1
			";
			$rsdel = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idclientedel=$rsdel->fields['idclientedel'];
			// si existe pero no envio domicilio
			if($idclientedel > 0){
				$nombre_domicilio=antisqlinyeccion($_POST['lugar'],"text");
				$consulta="
				SELECT * 
				FROM cliente_delivery_dom
				where
				idclientedel = $idclientedel
				and estado = 1
				and nombre_domicilio = $nombre_domicilio
				order by iddomicilio desc
				";
				$rsexdom = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$nombre_domicilio=htmlentities(trim($rsexdom->fields['nombre_domicilio']));
				if(intval($rsexdom->fields['iddomicilio']) > 0){
					$valido="N";
					$errores.="- Ya existe un domicilio con el nombre: $nombre_domicilio, favor seleccione otro.<br />";
				}
			}
		}
		/*if(trim($_POST['nombres']) == ''){
			$valido="N";
			$errores.="- Debe completar el nombre.<br />";
		}
		if(trim($_POST['apellidos']) == ''){
			$valido="N";
			$errores.="- Debe completar el apellido.<br />";
		}*/
	}
	// validar campos compartidos chapa y delivery
	if(intval($_SESSION['canal']) == 1 or intval($_SESSION['canal']) == 3){
		
		if(intval($idsolicitudcab) == 0){
			$errores.="- Debe indicar la solicitud.<br />";
			$valido="N";
		}
		if(intval($idsolicitudcab) > 0){
			$consulta="
			select solicitudes.idsolicitud, solicitudes.idsolicitudcab, cliente.ruc, cliente.razon_social, 
			solicitudes_cab.plazo, solicitudes_cab.monto, solicitudes.idcliente
			from solicitudes_cab
			inner join solicitudes on solicitudes_cab.idsolicitudcab = solicitudes.idsolicitudcab
			inner join cliente on cliente.idcliente = solicitudes.idcliente
			where
			solicitudes_cab.idsolicitudcab = $idsolicitudcab
			and solicitudes.idtiposolicitud = 1
			and estado_solicitud <> 6
			order by solicitudes.idtiposolicitud asc
			limit 1
			";
			//echo $consulta;exit;
			$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$monto_solicitud=$rs->fields['monto'];
			$ruc=$rs->fields['ruc'];
			$razon_social=$rs->fields['razon_social'];
			$plazo=$rs->fields['plazo'];
			$idsolicitudcab=$rs->fields['idsolicitudcab'];
			$idclienteped=$rs->fields['idcliente'];
			if(intval($idsolicitudcab) == 0){
				$errores.="- Solicitud inexistente o borrada.<br />";
				$valido="N";
			}
			if($montototal != $monto_solicitud){
				$monto_solicitud_txt=formatomoneda($monto_solicitud);
				$montototal_txt=formatomoneda($montototal);
				$errores.="- El monto de la solicitud ($monto_solicitud_txt) no coincide con el monto de productos cargados ($montototal_txt).<br />";
				$valido="N";
			}
		}
		
		/*if($razon_social == ''){
			$errores.="- Debe indicar la razon social.<br />";
			$valido="N";
		}
		if($ruc == ''){
			$errores.="- Debe indicar el ruc.<br />";
			$valido="N";
		}		*/	
	}
	// valida canal mesa
	if(intval($_SESSION['canal']) == 4){
		if(intval($_POST['mesa']) == 0){
			$valido="N";
			$errores.="- Debe indicar el numero de mesa.<br />";
		}
	}
	// total producto delivery en carrito
	$consulta="
	select count(*) as total_deliv
	from tmp_ventares 
	inner join productos on tmp_ventares.idproducto = productos.idprod_serial
	where 
	tmp_ventares.registrado = 'N'
	and tmp_ventares.usuario = $idusu
	and tmp_ventares.borrado = 'N'
	and tmp_ventares.finalizado = 'N'
	and tmp_ventares.idsucursal = $idsucursal
	and productos.idtipoproducto = 6
	";
	$rsdel = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$total_deliv=intval($rsdel->fields['total_deliv']);
	
	// si es delivery y no tiene cargado el producto delivery
	$canal=intval($_SESSION['canal']);
	if($canal == 3){
		if($rsco->fields['permite_delivery_sinitem'] != 'S'){
			if(intval($total_deliv) <= 0){
				$errores.="- Debe agregar el producto delivery.<br />";
				$valido="N";
			}
		}
	}
	// si tiene cargado el producto delivery y el canal no es delivery
	if($canal != 3){
		if($rsco->fields['permite_delivery_sinitem'] != 'S'){
			if(intval($total_deliv) > 0){
				$errores.="- Debe tomar los datos del delivery cuando se agrega este producto.<br />";
				$valido="N";
			}
		}
	}
	
	
	// limpia variables para insertar
	$razon_social=antisqlinyeccion($razon_social,"text");
	$ruc=antisqlinyeccion($ruc,"text");
	$chapa=antisqlinyeccion($chapa,"text");
	$observacion=antisqlinyeccion($observacion,"text");
	$monto=antisqlinyeccion($monto,"int");
	$fechahora=date("Y-m-d H:i:s");
	$fechahora=antisqlinyeccion($fechahora,"text");
	$delivery=antisqlinyeccion($delivery,"text");
	$finalizado=antisqlinyeccion($finalizado,"text");
	$mesa=antisqlinyeccion($mesa,"int");
	
	$telefono=antisqlinyeccion($_POST['telefono'],"int");
	$zona=antisqlinyeccion($_POST['zona'],"int");
	$direccion=antisqlinyeccion($_POST['direccion'],"text");
	$llevapos=antisqlinyeccion($_POST['llevapos'],"text");
	$cambio=antisqlinyeccion($_POST['cambio'],"int");
	$observacion_delivery=antisqlinyeccion($_POST['observacion_delivery'],"text");
	$delivery_costo=antisqlinyeccion($costodelivery,"int");
	$iddomicilio=antisqlinyeccion($_POST['iddomicilio'],"int");
	$idclientedel=antisqlinyeccion($_POST['idclientedel'],"int");
	$nombre_domicilio=antisqlinyeccion($_POST['lugar'],"text");
	$nombres=antisqlinyeccion($_POST['nombres'],"text");
	$apellidos=antisqlinyeccion($_POST['apellidos'],"text");
	
	//echo $chapa;exit;
	
	// conversiones
	if(intval($_SESSION['canal']) != 3){
		$iddomicilio="NULL";
		$idclientedel="NULL";
	}
	if(intval($_POST['iddomicilio']) == 0){
		$iddomicilio="NULL";
		$idclientedel="NULL";
	}
	
	if($valido == 'S'){
		
		// actualiza carrito
		$consulta="
		update tmp_ventares
		set 
		precio = (
			select precio 
			from productos_sucursales 
			where
			idproducto = tmp_ventares.idproducto
			and idsucursal = tmp_ventares.idsucursal
		)*((SELECT recargo/100 FROM recargo_plazo where plazo = $plazo and estado = 1)+1)
		where 
		registrado = 'N'
		and tmp_ventares.usuario = $idusu
		and tmp_ventares.borrado = 'N'
		and tmp_ventares.finalizado = 'N'
		and tmp_ventares.idsucursal = $idsucursal
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$consulta="
		update tmp_ventares
		set 
		subtotal = precio*cantidad
		where 
		registrado = 'N'
		and tmp_ventares.usuario = $idusu
		and tmp_ventares.borrado = 'N'
		and tmp_ventares.finalizado = 'N'
		and tmp_ventares.idsucursal = $idsucursal
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
		// si es canal delivery
		if(intval($_SESSION['canal']) == 3){
			// si no envio domicilio
			if(intval($_POST['iddomicilio']) == 0){
				// busca si existe en cliente delivery
				$consulta="
				select * from cliente_delivery where telefono = $telefono
				";
				$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				// si no existe
				if(intval($rsex->fields['idclientedel']) == 0){
					// si envio ruc
					if(trim($_POST['ruc']) != ''){
						// busca en clientes facturacion
						$consulta="
						select * from cliente where ruc = $ruc order by idcliente asc limit 1
						";
						$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
						$idcliente=intval($rscli->fields['idcliente']);
						// si no existe inserta
						if($idcliente == 0){
							$consulta="
							Insert into cliente 
							(idempresa,nombre,apellido,ruc,documento,direccion,celular,razon_social)
							values
							($idempresa,$nombres,$apellidos,$ruc,NULL,$direccion,$telefono,$razon_social)
							";
							$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
							// busca en clientes el que acabamos de insertar
							$consulta="
							select * from cliente where ruc = $ruc and idempresa = $idempresa order by idcliente asc limit 1
							";
							$rscli=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
							$idcliente=intval($rscli->fields['idcliente']);
						
						}
					}
					// inserta en cliente delivery
					$consulta="
					insert into cliente_delivery
					(idcliente, nombres, apellidos, telefono, fec_ultactualizacion, creado_por, creado_el, idempresa)
					values
					($idcliente, $nombres, $apellidos,  $telefono, '$ahora', $idusu, '$ahora', $idempresa)
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				}
				// vuelve a buscar luego de insertar
				$consulta="
				select * from cliente_delivery where telefono = $telefono
				";
				$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$idclientedel=$rsex->fields['idclientedel'];
				// si existe y no envio domicilio
				if(intval($rsex->fields['idclientedel']) > 0){
					// agrega domicilio
					$consulta="
					insert into cliente_delivery_dom
					(direccion, referencia, nombre_domicilio, idclientedel, creado_el, creado_por, 
					ultactu_el, ultactu_por, idempresa, idzonadel)
					values
					($direccion, '', $nombre_domicilio, $idclientedel, '$ahora', $idusu, 
					'$ahora', $idusu, $idempresa, $idzonadel)
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					
					// busca domicilio insertado
					$consulta="
					select * from cliente_delivery_dom where idclientedel = $idclientedel order by iddomicilio desc limit 1
					";
					$rsdm=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					$iddomicilio=$rsdm->fields['iddomicilio'];
				}
				
				
			}else{ // if(intval($_POST['iddomicilio']) == 0){
				$iddomicilio=intval($_POST['iddomicilio']);
				$consulta="
				update cliente_delivery_dom
				set 
				direccion = $direccion,
				idzonadel = $idzonadel
				where
				iddomicilio = $iddomicilio
				";	
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			}
			
			
		} // if(intval($_SESSION['canal']) == 3){
			
		$idatc=0;
		$idmesa_atc=0;
		if($atc_mesa == 'S'){
			if($mesa > 0){
				$consulta="
				select * from mesas_atc where estado = 1 and idmesa = $mesa order by idatc desc limit 1
				";
				$rsatc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$idatc=intval($rsatc->fields['idatc']);
				// si no hay atc de mesas activas
				if($idatc == 0){
					// genero un atc de mesa activa
					$consulta="
					INSERT INTO mesas_atc 
					(idmesa, fecha_inicio, cant_adultos, cant_ninos, cant_nopaga, idmozo, idgruporeserva, idgrupomesa, estado, fecha_pre_tickete, anulado_el, anulado_por, registrado_el, registrado_por, nombre_mesa) 
					VALUES 
					($mesa, current_timestamp, 0, 0, 0, $idusu, 0, 0, 1, NULL, NULL, NULL, CURRENT_TIMESTAMP, $idusu, $chapa);
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
					
					// busco el atc generado
					$consulta="
					select max(idatc) as idatc 
					from mesas_atc 
					where 
					registrado_por = $idusu
					and estado = 1 
					order by idatc desc 
					limit 1
					";
					$rsatc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
					$idatc=intval($rsatc->fields['idatc']);
					
					// actualizo el estado de mesa a abierto
					$consulta="
					update mesas set estado_mesa = 2 where idmesa = $mesa
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
					
					$idmesa_atc=$mesa;
				}else{
					$idatc=intval($rsatc->fields['idatc']);
					$idmesa_atc=$mesa;	
				}
			}else{
				// si el canal no es mesa
				$idmesa_atc=0;	
			}
			
			
		}
			
		
		// insertar cabecera temporal
		$consulta="
		INSERT INTO tmp_ventares_cab
		(razon_social, ruc, chapa, observacion, monto, idusu, fechahora, idsucursal, idempresa,idcanal,delivery,idmesa,
		telefono,delivery_zona,direccion,llevapos,cambio,observacion_delivery,delivery_costo,iddomicilio,idclientedel,nombre_deliv,apellido_deliv,idatc,idsolicitudcab,idclienteped) 
		VALUES 
		($razon_social, $ruc, $chapa, $observacion, $monto, $mozo, $fechahora, $sucursaldir, $idempresa,$canal,$delivery,$mesa,
		$telefono,$zona,$direccion,$llevapos,$cambio,$observacion_delivery,$delivery_costo,$iddomicilio,$idclientedel,$nombres,$apellidos,$idatc,$idsolicitudcab,$idclienteped)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		// buscar ultimo id insertado
		$consulta="
		select idtmpventares_cab
		from tmp_ventares_cab
		where
		idusu = $mozo
		and idsucursal = $sucursaldir
		order by idtmpventares_cab desc
		limit 1
		";
		$rscab = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idtmpventares_cab=$rscab->fields['idtmpventares_cab'];
		
		// asigna idmesa
		$consulta="
		update tmp_ventares
		set 
		idmesa = $idmesa_atc
		where
		usuario = $idusu
		and registrado = 'N'
		and borrado = 'N'
		and finalizado = 'N'
		and idsucursal = $sucursaldir
		and (idmesa is null or idmesa = 0)
		;
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// marcar como finalizado
		$consulta="
		update tmp_ventares
		set 
		finalizado = $finalizado,
		idtmpventares_cab = $idtmpventares_cab,
		usuario = $mozo,
		idsucursal=$sucursaldir
		where
		usuario = $idusu
		and registrado = 'N'
		and borrado = 'N'
		and finalizado = 'N'
		and idsucursal = $idsucursal
		;
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		

		
		// marcar como finalizado en cabecera
		$consulta="
		update tmp_ventares_cab
		set 
		finalizado = $finalizado,
		monto = (select sum(subtotal) from tmp_ventares where idtmpventares_cab = $idtmpventares_cab and borrado = 'N')
		where
		idtmpventares_cab = $idtmpventares_cab
		and idsucursal = $sucursaldir
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
		// redireccionar a pagina de registro
		header("location: carrito_registra.php?id=".$idtmpventares_cab);
		exit;
	}
}



?><!doctype html>
<html>
<head>
<title>Toma de Pedidos</title>
<?php require_once("includes/head.php"); ?>
<style>
.lista_prod{
	font-size:14px;
}
.producto{
	width:<?php echo $tamano_w; ?>px; 
	height:<?php echo $tamano_h; ?>px; 
	border:1px solid #000000; 
	float:left; 
	text-align:center;	
	background-color:#FFF;
	font-size:<?php echo $tamano_f; ?>px;
}
.producto:active{
	/*background-color:#FF0000;*/
}

.contador{
	width:<?php echo $contador_w; ?>px;
	height:<?php echo $contador_h; ?>px;	
	position:absolute;
	font-size:<?php echo $contador_f; ?>px;
	font-weight:bold;
	border:1px solid #000000;
	background-color:#CCC;
	border-top:0px;
	border-left:0px;
}
</style>
<script>
function apretar(id,prod1,prod2){
		///alert(id+'-'+prod1+'-'+prod2);
		mantiene_carrito();
		if(prod1 > 0){
			var precio = 0;
		}else{
			var html = document.getElementById("prod_"+id).innerHTML;
			var precio = document.getElementById("precio_"+id).value;	
		}
        var parametros = {
                "prod" : id,
				"cant" : 1,
                "precio" : precio,
				"prod_1" : prod1,
				"prod_2" : prod2
        };
       $.ajax({
                data:  parametros,
                url:   'carrito.php',
                type:  'post',
                beforeSend: function () {
						if(prod1 > 0){
							//$("#lista_prod").html("Registrando...");
						}else{
                        	$("#prod_"+id).html("Registrando...");
							$("#carrito").html("Actualizando Carrito...");
						}
                },
                success:  function (response) {
					//alert(response);
						if(prod1 > 0 && parseInt(response) > 0){
							$("#lista_prod").html("Registrando...");
							$("#carrito").html("Actualizando Carrito...");
							document.location.href='index.php?cat=<?php echo $cat; ?>';
						}else{
							$("#prod_"+id).html(html);
							$("#contador_"+id).html(response);
							actualiza_carrito();
						}
                }
        });
	
}
function apretar_pizza(id){
		mantiene_carrito();
		var html = document.getElementById("prod_"+id).innerHTML;
        var parametros = {
                "id" : id
        };
       $.ajax({
                data:  parametros,
                url:   'pizza.php',
                type:  'post',
                beforeSend: function () {
                        $("#prod_"+id).html("Cargando Opciones...");
						$("#lista_prod").html("Cargando Opciones...");
						//$("#carrito").html("Actualizando Carrito...");
                },
                success:  function (response) {
						$("#prod_"+id).html(html);
						$("#lista_prod").html(response);
						//$("#contador_"+id).html(response);
						//actualiza_carrito();
                }
        });
	
}
function marcar_pizza(id,idcomb){
	mantiene_carrito();
	prodmitad = document.getElementById('mitad_'+id);
	//alert(id);
	//alert(prodmitad.checked);
	if(prodmitad.checked){
		//prodmitad.checked='';
		$('#mitad_'+id)[0].checked = false;
		// si no queda ninguno sin marcar
		if($('input:checkbox:checked').length() == 0){
			document.getElementById('prod_1').value=0;
			document.getElementById('prod_2').value=0;
		}
		// si queda 1 sin marcar
		if($('input:checkbox:checked').length == 1){
			// busca cual es el que desmarco
			if(document.getElementById('prod_1').value == id){
				document.getElementById('prod_1').value=document.getElementById('prod_2').value;
				document.getElementById('prod_2').value=0;
			}
			if(document.getElementById('prod_2').value == id){
				document.getElementById('prod_2').value=0;
			}		
		}
	}else{
		//prodmitad.checked='checked';
		$('#mitad_'+id)[0].checked = true;
		if($('input:checkbox:checked').length == 1){
			document.getElementById('prod_1').value=id;
			//alert(producto1);
			//apretar(id,prod1=0,prod2=0);
		}
		if($('input:checkbox:checked').length == 2){
			document.getElementById('prod_2').value=id;
			apretar(idcomb,document.getElementById('prod_1').value,document.getElementById('prod_2').value);
		}
		if($('input:checkbox:checked').length > 2){	
			alert("Error! Solo puedes marcar 2 mitades.");
			$(".cajitasbox").each(function(){
                $(this).prop('checked',false);
				document.getElementById('prod_1').value=0;
				document.getElementById('prod_2').value=0;
            });
		}
	}
		
}
function actualiza_carrito(){
		mantiene_carrito();
        var parametros = {
                "act" : 'S'
        };
		$.ajax({
                data:  parametros,
                url:   'carrito_grilla.php',
                type:  'post',
                beforeSend: function () {
                        $("#carrito").html("Actualizando Carrito...");
                },
                success:  function (response) {
						$("#carrito").html(response);
                }
        });
}
function borrar(idprod,txt){
			mantiene_carrito();
			var parametros = {
                "prod" : idprod
			};
	//if(window.confirm("Esta seguro que desea borrar '"+txt+"'?")){	
			$.ajax({
					data:  parametros,
					url:   'carrito_borra.php',
					type:  'post',
					beforeSend: function () {
							$("#carrito").html("Actualizando Carrito...");
					},
					success:  function (response) {
							$("#carrito").html(response);
							// si existe el div de ese producto
							if ($("#contador_"+idprod).length > 0) {
								$("#contador_"+idprod).html(0);
							}
							
					}
			});
	//}
}
function valida_ruc(){
	var ruc = document.getElementById('ruc').value;
	if(ruc == ''){
		document.getElementById('ruc').value = '44444401-7';
	}
}
function valida_rz(){
	var raz = document.getElementById('razon_social').value;
	if(raz == ''){
		document.getElementById('razon_social').value = 'Consumidor Final';
	}
}
/*
$(window).scroll(function() {
   if($(window).scrollTop() + $(window).height() == $(document).height()) {
       enfocar('chapa');
	   //setTimeout(function(){document.getElementById('chapa').click()},50);
   }
});*/
function cambiar_canal(canal){
	mantiene_carrito();
	document.body.innerHTML='Cambiando de Canal...';
	document.location.href='index.php?canal='+canal;
}
function filtrar_pizza(subcat){
	mantiene_carrito();
	document.location.href='index.php?cat=2&t='+subcat;
}
function filtrar_lomito(subcat){
	mantiene_carrito();
	document.location.href='index.php?cat=1&t='+subcat;
}
function filtrar_subcat(cat,subcat){
	mantiene_carrito();
	document.location.href='index.php?cat='+cat+'&t='+subcat;
}
// manejar cookie
function setCookie(cname,cvalue,exdays) {
    var d = new Date();
    d.setTime(d.getTime() + (exdays*24*60*60*1000));
    var expires = "expires=" + d.toGMTString();
    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
}

function getCookie(cname) {
    var name = cname + "=";
    var decodedCookie = decodeURIComponent(document.cookie);
    var ca = decodedCookie.split(';');
    for(var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
            c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
            return c.substring(name.length, c.length);
        }
    }
    return "";
}

function checkCookie() {
    var user=getCookie("username");
    if (user != "") {
        alert("Welcome again " + user);
    } else {
       user = prompt("Please enter your name:","");
       if (user != "" && user != null) {
           setCookie("username", user, 30);
       }
    }
}
// manejar cookie

function mantiene_carrito(){
	// campos
	var v_chapa = $("#chapa").val();
	var v_ruc = $("#ruc").val();
	var v_razon_social = $("#razon_social").val();
	var v_delivery = $("#delivery").val();
	var v_telefono = $("#telefono").val();
	var v_direccion = $("#direccion").val();	
	var v_cambio = $("#cambio").val();
	var v_llevapos = $("#llevapos").val();	
	var v_zona = $("#zona").val();	
	var v_observacion_delivery = $("#observacion_delivery").val();	
	var v_mesa = $("#mesa").val();
	var v_observacion = $("#observacion").val();
	var v_mozo = $("#mozo").val();
	var v_nombres = $("#nombres").val();
	var v_apellidos = $("#apellidos").val();
	var v_idclientedel = $("#idclientedel").val();
	var v_iddomicilio = $("#iddomicilio").val();
	var v_lugar = $("#lugar").val();
	var v_sucursaldir = $("#sucursaldir").val();
	var v_idzonadel = $("#idzonadel").val();
	var v_idsolicitudcab = $("#idsolicitudcab").val();
	var v_idsolicitud = $("#idsolicitud").val();
	// crear cookie con datos
	if($("#chapa").length > 0){
		setCookie('chapa_cookie',v_chapa,2);
	}
	if($("#ruc").length > 0){
		setCookie('ruc_cookie',v_ruc,2);
	}
	if($("#razon_social").length > 0){
		setCookie('razon_social_cookie',v_razon_social,2);
	}
	if($("#delivery").length > 0){
		setCookie('delivery_cookie',v_delivery,2);
	}
	if($("#telefono").length > 0){
		setCookie('telefono_cookie',v_telefono,2);
	}
	if($("#direccion").length > 0){
		setCookie('direccion_cookie',v_direccion,2);
	}
	if($("#cambio").length > 0){
		setCookie('cambio_cookie',v_cambio,2);
	}
	if($("#llevapos").length > 0){
		setCookie('llevapos_cookie',v_llevapos,2);
	}
	if($("#zona").length > 0){
		setCookie('zona_cookie',v_zona,2);
	}
	if($("#observacion_delivery").length > 0){
		setCookie('observacion_delivery_cookie',v_observacion_delivery,2);
	}
	if($("#mesa").length > 0){
		setCookie('mesa_cookie',v_mesa,2);
	}
	if($("#observacion").length > 0){
		setCookie('observacion_cookie',v_observacion,2);
	}
	if($("#mozo").length > 0){
		setCookie('mozo_cookie',v_mozo,2);
	}
	if($("#nombres").length > 0){
		setCookie('nombres_cookie',v_nombres,2);
	}
	if($("#apellidos").length > 0){
		setCookie('apellidos_cookie',v_apellidos,2);
	}
	if($("#idclientedel").length > 0){
		setCookie('idclientedel_cookie',v_idclientedel,2);
	}
	if($("#iddomicilio").length > 0){
		setCookie('iddomicilio_cookie',v_iddomicilio,2);
	}
	if($("#sucursaldir").length > 0){
		setCookie('sucursaldir_cookie',v_sucursaldir,2);
	}
	if($("#idzonadel").length > 0){
		setCookie('idzonadel_cookie',v_idzonadel,2);
	}
	if($("#lugar").length > 0){
		setCookie('lugar_cookie',v_lugar,2);
	}
	if($("#idsolicitudcab").length > 0){
		setCookie('idsolicitudcab',v_idsolicitudcab,2);
	}
	if($("#idsolicitud").length > 0){
		setCookie('idsolicitud',v_idsolicitud,2);
	}
	
	// ruc y razon social por defecto si es vacio
	if(v_ruc == ''){
		$("#ruc").val('<?php echo $ruc_pred; ?>');
	}
	if(v_razon_social == ''){
		$("#razon_social").val('<?php echo $razon_social_pred; ?>');
	}
	if(v_lugar == ''){
		$("#lugar").val('CASA');
	}
	if(v_llevapos == 'S'){
		$("#cambio").val('');
		setCookie('cambio_cookie','',2);
	}

		
}
function apretar_combo(id){
		//var html = document.getElementById("prod_"+id).innerHTML;
		mantiene_carrito();
        var parametros = {
                "id" : id
        };
       $.ajax({
                data:  parametros,
                url:   'combo_ventas.php',
                type:  'post',
                beforeSend: function () {
                        //$("#prod_"+id).html("Cargando Opciones...");
						$("#lista_prod").html("Cargando Opciones...");
						$("#carrito").html("");
                },
                success:  function (response) {
						//$("#prod_"+id).html(html);
						$("#lista_prod").html(response);
                }
        });
	
}
function agrega_prod_grupo(idprod,idlista){
	var html = $("#prod_"+idprod+'_'+idlista).html();
	var cant = $('cant_'+idprod+'_'+idlista).val();
	var parametros = {
		"idlista" : idlista,
		"idprod" : idprod
	};
	$.ajax({
		data:  parametros,
		url:   'combo_ventas_add.php',
		type:  'post',
		beforeSend: function () {
			$("#prod_"+idprod+'_'+idlista).html("Cargando Opciones...");
		},
        success:  function (response) {
			if(response == 'MAX'){
				$("#grupo_"+idlista).html('Cantidad Maxima Alcanzada');
			}else if(response == 'LISTO'){
				$("#grupo_"+idlista).html('Listo!');
			}else{
				$("#prod_"+idprod+'_'+idlista).html(html);
				$("#contador_"+idprod+'_'+idlista).html(response);
			}
		}
	});
}
function reinicia_grupo(id,prod_princ){
		mantiene_carrito();
        var parametros = {
                "idlista" : id
        };
       $.ajax({
                data:  parametros,
                url:   'combo_ventas_del.php',
                type:  'post',
                beforeSend: function () {
					$("#lista_prod").html("Cargando Opciones...");
                },
                success:  function (response) {
					if(response == 'OK'){
						apretar_combo(prod_princ);
					}else{
						$("#lista_prod").html(response);
					}
                }
        });
}
function terminar_combo(idprod_princ,cat){
		mantiene_carrito();
		var html = $("#lista_prod").html();
        var parametros = {
                "idprod_princ" : idprod_princ
        };
       $.ajax({
                data:  parametros,
                url:   'combo_ventas_termina.php',
                type:  'post',
                beforeSend: function () {
					$("#lista_prod").html("Registrando...");
                },
                success:  function (response) {
					if(response == 'OK'){
						document.location.href='?cat='+cat;
					}else if(response == 'NOVALIDO'){
						$("#lista_prod").html(html);
						alert("Favor seleccione todos los productos antes de terminar.");
					}else{
						$("#lista_prod").html(response);
					}
                }
        });	
}
function apretar_combinado(prodprinc){
		//var html = document.getElementById("prod_"+id).innerHTML;
		mantiene_carrito();
        var parametros = {
                "prodprinc" : prodprinc
        };
       $.ajax({
                data:  parametros,
                url:   'combinado_ventas.php',
                type:  'post',
                beforeSend: function () {
                        //$("#prod_"+id).html("Cargando Opciones...");
						$("#lista_prod").html("Cargando Opciones...");
						//$("#carrito").html("Actualizando Carrito...");
                },
                success:  function (response) {
						//$("#prod_"+id).html(html);
						$("#lista_prod").html(response);
                }
        });
	
}
function agrega_prod_combinado(idproducto_principal,idproducto_partes){
	mantiene_carrito();
	var html = $("#prod_"+idproducto_principal+'_'+idproducto_partes).html();
	var cant = $('cant_'+idproducto_principal+'_'+idproducto_partes).val();
	var parametros = {
		"prodprinc" : idproducto_principal,
		"prodpart" : idproducto_partes
	};
	$.ajax({
		data:  parametros,
		url:   'combinado_ventas_add.php',
		type:  'post',
		beforeSend: function () {
			//$("#prod_"+idprod+'_'+idlista).html("Cargando Opciones...");
		},
        success:  function (response) {
			//alert(response);
			if(response == 'MAX'){
				$("#grupo_"+idproducto_principal).html('Cantidad Maxima Alcanzada');
			}else if(response == 'LISTO'){
				$("#grupo_"+idproducto_principal).html('Listo!');
			}else{
				$("#prod_"+idproducto_principal+'_'+idproducto_partes).html(html);
				$("#contador_"+idproducto_principal+'_'+idproducto_partes).html(response);
			}
		}
	});
}
function reinicia_combinado(idproducto_principal){
		mantiene_carrito();
        var parametros = {
                "prodprinc" : idproducto_principal
        };
       $.ajax({
                data:  parametros,
                url:   'combinado_ventas_del.php',
                type:  'post',
                beforeSend: function () {
					//$("#lista_prod").html("Cargando Opciones...");
                },
                success:  function (response) {
					if(response == 'OK'){
						apretar_combinado(idproducto_principal);
					}else{
						$("#lista_prod").html(response);
					}
                }
        });
}
function terminar_combinado(prodprinc,cat){
		mantiene_carrito();
		var html = $("#lista_prod").html();
        var parametros = {
                "prodprinc" : prodprinc
        };
       $.ajax({
                data:  parametros,
                url:   'combinado_ventas_termina.php',
                type:  'post',
                beforeSend: function () {
					$("#lista_prod").html("Registrando...");
                },
                success:  function (response) {
					if(response == 'OK'){
						document.location.href='?cat='+cat;
					}else if(response == 'NOVALIDO'){
						$("#lista_prod").html(html);
						alert("Favor seleccione todos los productos antes de terminar.");
					}else{
						$("#lista_prod").html(response);
					}
                }
        });	
}
function buscar_cliente(iddom=0){
	//var html_ant = $("#delivery_box").html();
	var dirant = $("#direccion").val();
	// convertir a numero
	var v_telefono = $("#telefono").val();
	v_telefono = get_numbers(v_telefono);
	$("#telefono").val(v_telefono);
	if($("#telefono").val() != ''){
		//alert(iddom);
		// buscar cliente
			var parametros = {
					"tel" : v_telefono,
					"iddomicilio" : iddom
			};
		   $.ajax({
					data:  parametros,
					url:   'delivery_datos.php',
					type:  'post',
					beforeSend: function () {
						//$("#delivery_box").html("<br /><br />Cargando...<br /><br />");
						//$("#direccion").val('Cargando...');
					},
					success:  function (response) {
						//alert(response);
						if(IsJsonString(response)){
							var resp = jQuery.parseJSON(response);
							//alert(resp.idclientedel);
							if(dirant == ''){
								if(resp.direccion != ''){
									$("#direccion").val(resp.direccion);
									$("#razon_social").val(resp.razon_social);
									$("#ruc").val(resp.ruc);
									$("#zona").val(resp.zona);
									$("#nombres").val(resp.nombres);
									$("#apellidos").val(resp.apellidos);
									$('#sucursaldir').val(resp.sucursaldir).prop('selected', true);
									$('#idzonadel').val(resp.idzonadel).prop('selected', true);
									//rellenar_seljson('iddomicilio',resp.lugares);
									rellenar_selhtml(resp.iddomicilio,resp.idclientedel);
									
									if(resp.iddomicilio > 0){
										carga_lugares(resp.idclientedel,resp.iddomicilio);
										$("#lugar").hide();	
										$("#iddomicilio").show();	
										//$("#iddomicilio").change();
										
									}
									if(resp.idzonadel > 0){
										actualiza_carrito();
									}
								}
							}else{
								if(resp.direccion != ''){
									if(window.confirm('Encontramos datos almacenados con este telefono, desea utilizar los datos encontrados?')){
										$("#direccion").val(resp.direccion);
										$("#razon_social").val(resp.razon_social);
										$("#ruc").val(resp.ruc);
										$("#zona").val(resp.zona);
										$("#nombres").val(resp.nombres);
										$("#apellidos").val(resp.apellidos);
										$('#sucursaldir').val(resp.sucursaldir).prop('selected', true);
										$('#idzonadel').val(resp.idzonadel).prop('selected', true);
										//rellenar_seljson('iddomicilio',resp.lugares);
										rellenar_selhtml(resp.iddomicilio,resp.idclientedel);
										//alert(resp.iddomicilio);
										if(resp.iddomicilio > 0){
											carga_lugares(resp.idclientedel,resp.iddomicilio);
											$("#lugar").hide();	
											$("#iddomicilio").show();	
											
										}
										if(resp.idzonadel > 0){
											setTimeout(function(){ actualiza_carrito();}, 1000);
										}
										mantiene_carrito();
									}else{
										$("#direccion").val(dirant);
									}
								}
							}
						
						}else{ // if(IsJsonString(response)){
							alert(response);
						}
						mantiene_carrito();
					} // success
			}); // $.ajax({
		
	}else{ // if($("#telefono").val() != ''){
		mantiene_carrito();	
	} 
}
function rellenar_seljson(idcampo,json_data){
	//alert(json_data);
	$("#"+idcampo).empty();
	$.each(json_data, function(i, object) {
		$.each(object, function(property, value) {
			//alert(property + "=" + value);
			 $("#"+idcampo).append('<option value="'+value+'">'+property+'</option>');
		});
	});	
	$("#"+idcampo).append('<option value="N">Nuevo</option>');
}
function rellenar_selhtml(iddomicilio,idclientedel){
	   var parametros = {
                "iddomicilio" : iddomicilio,
				"idclientedel" : idclientedel
       };
       $.ajax({
                data:  parametros,
                url:   'direcciones_sel.php',
                type:  'post',
                beforeSend: function () {
					$("#lugar_box").html("Cargando...");
                },
                success:  function (response) {
					$("#lugar_box").html(response);
                }
        });	
}
function carga_lugares(idclientedel,iddomicilio){
	//alert(idclientedel+'-'+iddomicilio);
	   var parametros = {
				"idclientedel" : idclientedel,
				"iddomicilio" : iddomicilio
       };
       $.ajax({
                data:  parametros,
                url:   'direcciones_sel2.php',
                type:  'post',
                beforeSend: function () {
					$("#lugar_box").html("Cargando...");
                },
                success:  function (response) {
					//alert(response);
					$("#lugar_box").html(response);
                }
        });	
}
function verifica_lugar(valor){
	// nuevo lugar
	if(valor == 'N'){	
		$("#lugar").show();
		$("#iddomicilio").hide();
		$("#lugar").val('');
		$("#direccion").val('');
	}else{
		buscar_cliente(valor);
	}
	mantiene_carrito();
}
function buscar_cliente_btn(){
	if($("#telefono").val() != ''){
		buscar_cliente();
	}else{
		alert('Debe introducir un telefono para poder buscar el cliente.');	
	}
}
function filtra(valor){
	if (valor!=''){
		if (document.getElementById('minicentro')){	
			
			var parametros = {
					"bb" 		: valor
			};
		   $.ajax({
					data:  parametros,
					url:   'filtromini.php',
					type:  'post',
					beforeSend: function () {
						 $("#minicentro").html("....");
													
					},
					success:  function (response) {
						
							$("#minicentro").html(response);
							
						
						
					}
			});
			
		
		}
	} else {
		$("#minicentro").html('');
		
		
	}
}
//Enfoques
function enfoque(cual){
	var uno='';
	var dos='';
	var tres='';
	var cuatro='';
	var cinco='';
	if (cual==1){
		uno = $("#busqueda").is(":visible");
		if (uno==true){
			 document.getElementById('busqueda').focus();
		}
	}
	if (cual==2){
		dos = $("#cantcode").is(":visible");
		tres=$("#cantidad").is(":visible");
		//Evaluamos primero por el que siempre va estar visible
		if ((dos==true) && (tres==false)){
			
			document.getElementById('cantcode').focus();
		}
		//si ambos estan visibles, se abro por f8
		if ((dos==true) && (tres==true)) {
			document.getElementById('cantcode').value='';
			document.getElementById('cantidad').focus();
		} 
			
		
	}
	if (cual==3){
		document.getElementById('buscador').focus();
	}
	if (cual==4){
		document.getElementById('bccode').focus();
	}
}
function agregon(posicion,producto,precio){
	if (posicion!=''){
		
		//document.getElementById('cv_'+posicion).hidden='hidden';
		var cantidad=document.getElementById('cvender_'+posicion).value;
		
		var precio='';
		var prod1='';
		var prod2='';
		
		if (cantidad==''){
			cantidad=1;
			
		}
        var parametros = {
                "prod" : producto,
				"cant" : cantidad,
                "precio" : precio,
				"prod_1" : prod1,
				"prod_2" : prod2
        };
       $.ajax({
                data:  parametros,
                url:   'carrito.php',
                type:  'post',
                beforeSend: function () {
						$("#cv_"+posicion).hide();
						if(prod1 > 0){
							
						}else{
                
							$("#carrito").html("Actualizando Carrito...");
						}
                },
                success:  function (response) {
					$("#carrito").html(response);
					$("#minicentro").html('');
					$("#filtrar").val('');
					$("#filtrar").focus();
					actualiza_carrito();
                }
        });
	
		
	}
	
	
}
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
function registrar_pedido(){
	mantiene_carrito();	
	$("#regped").hide();
	$("#regped_box").html('Registrando...');
	$("#form1").submit();
}
function carga_ruc_h(idpedido){
	var vruc = $("#ruc").val();
	var txtbusca="Buscando...";
	if(txtbusca != vruc){
		var parametros = {
				"ruc" : vruc
		};
		$.ajax({
				data:  parametros,
				url:   '../ruc_extrae_tablet.php',
				type:  'post',
				beforeSend: function () {
					$("#ruc").val(txtbusca);
				},
				success:  function (response) {
					if(IsJsonString(response)){
						var obj = jQuery.parseJSON(response);
						//alert(obj.error);
						if(obj.error == ''){
							var new_ruc = obj.ruc;
							var new_rz = obj.razon_social;
							var new_nom = obj.nombre_ruc;
							var new_ape = obj.apellido_ruc;
							var idcli = obj.idcliente;
							$("#ruc").val(new_ruc);
							$("#razon_social").val(new_rz);
							//$("#apellidos").val(new_ape);
							//if(parseInt(idcli)>0){
								//nclie(tipocobro,idpedido);
								//selecciona_cliente(idcli,tipocobro,idpedido);
							//}
						}else{
							$("#ruc").val(vruc);
							$("#razon_social").val('');
		
						}
					}else{
		
						alert(response);
				
					}
					
				},
				error: function(jqXHR, textStatus, errorThrown) {
					if(jqXHR.status == 404){
						alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
					}else if(jqXHR.status == 0){
						alert('Se ha rechazado la conexión.');
					}else{
						alert(jqXHR.status+' '+errorThrown);
					}
				}
		}).fail( function( jqXHR, textStatus, errorThrown ) {
			if (jqXHR.status === 0) {
			
				alert('No conectado: verifique la red.');
			
			} else if (jqXHR.status == 404) {
			
				alert('Pagina no encontrada [404]');
			
			} else if (jqXHR.status == 500) {
			
				alert('Internal Server Error [500].');
			
			} else if (textStatus === 'parsererror') {
			
				alert('Requested JSON parse failed.');
			
			} else if (textStatus === 'timeout') {
			
				alert('Tiempo de espera agotado, time out error.');
			
			} else if (textStatus === 'abort') {
			
				alert('Solicitud ajax abortada.'); // Ajax request aborted.
			
			} else {
			
				alert('Uncaught Error: ' + jqXHR.responseText);
			
			}
		});
	}
}
function cambia_zona(idzonadel){
	var iddomicilio = 	$("#iddomicilio").val();
	//alert(iddomicilio+'-'+idzona);
	var parametros = {
		"idzonadel" : idzonadel,
		"iddomicilio" : iddomicilio,
	};
	$.ajax({
		data:  parametros,
		url:   'delivery_cambiazona.php',
		type:  'post',
		beforeSend: function () {
			//$("#ruc").val(txtbusca);
		},
		success:  function (response) {
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				//alert(obj.errores);
				if(obj.valido == 'S'){
					actualiza_carrito();
				}else{
					alert(obj.errores);
				}
			}else{
	
				alert(response);
		
			}
			
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
	if (jqXHR.status === 0) {
	
		alert('No conectado: verifique la red.');
	
	} else if (jqXHR.status == 404) {
	
		alert('Pagina no encontrada [404]');
	
	} else if (jqXHR.status == 500) {
	
		alert('Internal Server Error [500].');
	
	} else if (textStatus === 'parsererror') {
	
		alert('Requested JSON parse failed.');
	
	} else if (textStatus === 'timeout') {
	
		alert('Tiempo de espera agotado, time out error.');
	
	} else if (textStatus === 'abort') {
	
		alert('Solicitud ajax abortada.'); // Ajax request aborted.
	
	} else {
	
		alert('Uncaught Error: ' + jqXHR.responseText);
	
	}
	});
	
}
function carga_soli(){
	var idsolicitud = $("#idsolicitud").val();	
	var direccionurl='solicitud_datos.php';	
	var parametros = {
	  "idsolicitud" : idsolicitud
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			mantiene_carrito();	
			$("#razon_social").val('Cargando...');		
			$("#ruc").val('Cargando...');	
			
		},
		success:  function (response, textStatus, xhr) {
			if(xhr.status === 200){
				if(IsJsonString(response)){
					var obj = jQuery.parseJSON(response);
					if(obj.valido == 'S'){
						$("#razon_social").val(obj.razon_social);		
						$("#ruc").val(obj.ruc);
						$("#idsolicitudcab").val(obj.idsolicitudcab);
						$("#idsolicitud").val(idsolicitud);
						actualiza_carrito();
					}else{
						alert(obj.errores);	
						$("#razon_social").val('');		
						$("#ruc").val('');	
					}
				}else{
					alert(response);
					$("#errores").html(response);	
					$("#razon_social").val('');		
					$("#ruc").val('');		
				}

			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
}
</script>
</head>

<body>
<?php require_once("includes/cabeza.php"); ?>
<div class="cuerpo">

<div class="productos">
<?php 
$consulta="
SELECT * 
FROM categorias
where
estado = 1
and muestra_venta = 'S'
order by orden asc, nombre asc
";
//echo $consulta;
$rscateg=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$totalcat=$rscateg->RecordCount();
if($totalcat <= 8){
?>
<table width="98%" border="1" class="categoria" bgcolor="#FFFFFF">
  <tbody>
   <tr>
	  <td align="center" <?php if(intval($_GET['bus']) == 1){ ?>bgcolor="#F8FFCC"<?php } ?>  onClick="document.location.href='?bus=1'"><img src="../img/buscar1.png" width="50"  title="B&uacute;squeda"/></td>
	  <td align="center" <?php if(($cat == 0) && (intval($_GET['bus']) == 0)){ ?>bgcolor="#F8FFCC"<?php } ?> onClick="document.location.href='?cat=0'"><img src="gfx/iconos/estrella.fw.png" width="50"  alt="Favorito"/></td>
<?php while (!$rscateg->EOF){
		 
		 $img="gfx/iconos/cat_".$rscateg->fields['id_categoria'].".png";	 
		if(!file_exists($img)){
			$img="gfx/iconos/cat_0.png";	 
		}
			
	 ?>
      <td align="center" <?php if($cat == $rscateg->fields['id_categoria']){ ?>bgcolor="#F8FFCC"<?php } ?>  onClick="document.location.href='?cat=<?php echo $rscateg->fields['id_categoria']; ?>'"><img src="<?php echo $img; ?>" width="50" alt="<?php echo $rscateg->fields['nombre']; ?>"/></td>
<?php $rscateg->MoveNext(); }?>
    </tr>
  </tbody>
</table>
<?php }else{ ?>
<div style="width:98%; margin:0px auto;">
<img src="../img/buscar1.png" width="50"  title="B&uacute;squeda" onClick="document.location.href='?bus=1'" style="float:left;" /><select onChange="document.location.href='?cat='+this.value+'';" style="width:90%; height:60px; font-size:16px;">
  <option value="0">Favoritos</option>
<?php while (!$rscateg->EOF){ ?>
  <option value="<?php echo $rscateg->fields['id_categoria']; ?>" <?php if($cat == $rscateg->fields['id_categoria']){ ?>selected="selected"<?php } ?>><?php echo capitalizar($rscateg->fields['nombre']); ?></option>
<?php $rscateg->MoveNext(); }?>
</select>
</div>
<?php } ?>
<br />
<div class="lista_prod" id="lista_prod"><?php 
if ($busqueda==0){
?><?php if(intval($cat) > 0 && intval($t) == 0){
$consulta="
SELECT * 
FROM sub_categorias
where
idcategoria = $cat
and estado = 1
and muestrafiltro = 'S'
and idempresa = $idempresa
order by descripcion asc
";
$rssub=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
while (!$rssub->EOF){
?>
<div id="" class="producto" onClick="filtrar_subcat('<?php echo $cat; ?>','<?php echo $rssub->fields['idsubcate']; ?>');">
   <?php if($tablet_sinfoto == 'N'){?><img src="gfx/images/filter.png" height="95" width="190" border="0" alt="Filtrar" title="Filtrar" /><?php } ?><br />
   <strong><?php echo $rssub->fields['descripcion']; ?><br />[Filtrar]
    </strong><br />
</div>
<?php
$rssub->MoveNext(); }
 } 
 ?><?php 
$col=intval(ceil($totalprod/$totalcol));
$x=1;

	  while (!$rsprod->EOF){
$img="../gfx/productos/prod_".$rsprod->fields['idprod_serial'].".jpg";	 
if(!file_exists($img)){
	$img="../gfx/productos/prod_0.jpg";	 
}

?><div id="prod_<?php echo $rsprod->fields['idprod_serial']; ?>" class="producto" <?php 
// si es producto
/*if(trim($rsprod->fields['combinado']) == 'N' && trim($rsprod->fields['combo']) == 'N'){ 
	echo "onClick=\"apretar('".$rsprod->fields['idprod_serial']."',0,0);\" ";
}else if(trim($rsprod->fields['combo']) == 'S'){ 
	echo "onClick=\"apretar_combo('".$rsprod->fields['idprod_serial']."');\" ";
}else{
	echo "onClick=\"apretar_pizza('".$rsprod->fields['idprod_serial']."');\" ";
}*/
if($rsprod->fields['idtipoproducto'] == 1){ // producto
	$onclickp="onClick=\"apretar('".$rsprod->fields['idprod_serial']."',0,0);\" ";
}else if($rsprod->fields['idtipoproducto'] == 2){  // combo
	$onclickp="onClick=\"apretar_combo('".$rsprod->fields['idprod_serial']."');\" ";
}else if($rsprod->fields['idtipoproducto'] == 3){  // combinado simple
	$onclickp="onClick=\"apretar_pizza('".$rsprod->fields['idprod_serial']."');\" ";
}else if($rsprod->fields['idtipoproducto'] == 4){  // combinado extendido
	$onclickp="onClick=\"apretar_combinado('".$rsprod->fields['idprod_serial']."');\" ";
}else{ // por defecto producto
	$onclickp="onClick=\"apretar('".$rsprod->fields['idprod_serial']."',0,0);\" ";
}
echo $onclickp;

?>><div class="contador" id="contador_<?php echo $rsprod->fields['idprod_serial']; ?>" ><?php echo intval($rsprod->fields['total']); ?></div>
    <?php if(trim($rsprod->fields['descripcion']) != ''){  if($tablet_sinfoto == 'N'){?><img src="<?php echo $img ?>" height="95" width="190" border="0" alt="<?php echo Capitalizar(trim($rsprod->fields['descripcion'])); ?>" title="<?php echo Capitalizar(trim($rsprod->fields['descripcion'])); ?>"  /><?php } ?><br /><?php echo Capitalizar(trim($rsprod->fields['descripcion'])); ?><br />Gs. <?php if(trim($rsprod->fields['combinado']) == 'N'){ ?><?php echo formatomoneda(trim($rsprod->fields['p1'])); ?><?php }else{?>Precio Variable<?php } ?><input type="hidden" value="<?php echo $rsprod->fields['p1']; ?>" name="precio_<?php echo $rsprod->fields['idprod_serial']; ?>" id="precio_<?php echo $rsprod->fields['idprod_serial']; ?>">
    <br /><?php } ?>
</div>
    <?php $x++;
	 $rsprod->MoveNext(); }?>
<?php /*}*/ 
} else {?>

    <div align="center">
        <input type="text" name="filtrar" id="filtrar" placeholder="Ingrese producto a buscar" style="height:40px; width:70%;" onKeyUp="filtra(this.value);" />
    
    </div>
    <br />
    <div id="minicentro" class="">
        
        
        
    </div>
<?php }?>
</div>
<div class="clear"></div>
<br /><hr /><br />
</div>
<div class="carrito" id="carrito">
<?php require_once("carrito_grilla.php"); ?>
</div>
<div class="clear"></div>
<div style="text-align:center; margin-top:10px;">
<?php if(intval($_SESSION['canal']) == 1 or intval($_SESSION['canal']) == 0){ ?>
<input type="button" onClick="enfocar('chapa');" value="Mostrar Teclado" style="height:50px; width:400px;">
<?php } ?>
<br /><br /><br />
</div>
<div class="clear"></div>
</div>
<a href="#" id="toTop" style="display:none;"><span id="toTopHover" style="opacity: 0;"></span>To Top</a>
<a name="bottom"></a>
<?php if ($busqueda==1){?>
<script>
document.getElementById('filtrar').focus();
</script>
<?php } ?>
</body>
</html>