<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="401";
require_once("includes/rsusuario.php"); 

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(intval($_GET['iddeposito']) > 0){
	$origen=intval($_GET['iddeposito']);
	$whereadd.=" and compras_pedidos.origen = $origen ";
}

$consulta="
select insumos_lista.descripcion, insumos_lista.idinsumo, sum(compras_pedidos_detalles.cantidad) as cantidad_princ, 
sum((compras_pedidos_detalles.cantidad/cantidad_resultante)*recetas_detalles_produccion.cantidad) as cantidad_ing,
(select medidas.nombre from medidas where medidas.id_medida = insumos_lista.idmedida) as medida,
insumos_lista.costo
from compras_pedidos 
inner join compras_pedidos_detalles on compras_pedidos_detalles.idpedido = compras_pedidos.idpedido
inner join prod_lista_objetivos on prod_lista_objetivos.idinsumo = compras_pedidos_detalles.idinsumo
inner join recetas_produccion on recetas_produccion.idobjetivo =  prod_lista_objetivos.unicopkss
inner join recetas_detalles_produccion on recetas_detalles_produccion.idreceta = recetas_produccion.idreceta
inner join insumos_lista on insumos_lista.idinsumo = recetas_detalles_produccion.idinsumo
where 
compras_pedidos.estado in (2,3,4)
and recetas_produccion.estado = 1
and date(compras_pedidos.fechapedido) >= '$desde'
and date(compras_pedidos.fechapedido) <= '$hasta'
and recetas_produccion.principal = 'S'
$whereadd
group by insumos_lista.idinsumo
order by insumos_lista.descripcion asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Pedidos de Reposicion Consolidado</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php 
$refemenu="ing";
require_once("includes/menu_pedrepo.php"); ?>


<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"> Deposito que Genero el Pedido * </label>
	<div class="col-md-9 col-sm-9 col-xs-12" id="categoriabox">
<?php 

// consulta
$consulta="
SELECT iddeposito, descripcion
FROM gest_depositos
where
estado = 1
order by descripcion asc
 ";

// valor seleccionado
if(isset($_GET['iddeposito'])){ 
	$value_selected=htmlentities($_GET['iddeposito']); 
}else{
	//$value_selected=htmlentities($rs->fields['iddeposito']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'iddeposito',
	'id_campo' => 'iddeposito',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'iddeposito',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>


<div class="clearfix"></div>
<br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>


<br />
</form> 
<div class="clearfix"></div>
<hr />

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<?php /*?><th></th><?php */?>
			<th align="left">Articulo</th>
			<th align="center">Cantidad</th>
            <th align="center">Medida</th>
			<th align="center">Costo Unit</th>
            <th align="center">Costo Total</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){
	
	$cant_acum+=$rs->fields['cantidad_ing'];
	$costo_tot_acum+=$rs->fields['cantidad_ing']*$rs->fields['costo'];
	
	
	 ?>
		<tr>
			<?php /*?><td>
				
				<div class="btn-group">
					<a href="app_det.php?id=<?php echo $rs->fields['idapp']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>

				</div>

			</td><?php */?>
			<td align="left"><?php echo antixss($rs->fields['descripcion']); ?> [<?php echo $rs->fields['idinsumo'] ?>]</td>
			<td align="right"><?php echo formatomoneda($rs->fields['cantidad_ing'],4,'N'); ?></td>
            <td align="left"><?php echo antixss($rs->fields['medida']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['costo'],4,'N'); ?></td>
            <td align="right"><?php echo formatomoneda($rs->fields['cantidad_ing']*$rs->fields['costo'],4,'N'); ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
		<tr style="background-color:#CCC; font-weight:bold;">
			<?php /*?><td>
				
				<div class="btn-group">
					<a href="app_det.php?id=<?php echo $rs->fields['idapp']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>

				</div>

			</td><?php */?>
			<td align="left">Totales</td>
			<td align="right"><?php echo formatomoneda($cant_acum,4,'N'); ?></td>
            <td align="right"></td>
			<td align="right"></td>
            <td align="right"><?php echo formatomoneda($costo_tot_acum,4,'N'); ?></td>
		</tr>
	  </tbody>
    </table>
</div>
<br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
