<?php
/*-------------------------------
21/03/2025: 
-------------------------------*/
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php"); 
//print_r($_POST);
$numero_tarjeta=intval($_POST['numero_tarjeta']);//es el numero de la tarjeta, NO el idunico
$eliminar=intval($_POST['borrar']);//es el codigo unico de tmpventares
$codigo_borrar=antisqlinyeccion($_POST['codigo'],'int');//para recibir codigo de borrado
$obs=antisqlinyeccion($_POST['obs'],'text');

if($numero_tarjeta==0){
	echo "Error al recibir el numero de la tarjeta. No se puede continuar";exit;
}
$buscar="Select idtarjeta from tarjetas_activas where ACTIVO='S' and numero=$numero_tarjeta order by idtarjeta DESC limit 1";
 $rst=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
 $idtarjeta=intval($rst->fields['idtarjeta']);
if($idtarjeta==0){
	echo "Error al ubicar el ID de la tarjeta. No se puede continuar";exit;
}

if($eliminar > 0){
	
	//Es el ID de tmpventares
	//traemos la cabecera asignada
	
	$buscar="Select idtmpventares_cab,idtrans from tmp_ventares where idventatmp=$eliminar and idtarjeta=$idtarjeta ";
	$rscabeza=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	$idcabecera=intval($rscabeza->fields['idtmpventares_cab']);
	$idtransaccion_activa=intval($rscabeza->fields['idtrans']);
	
	
	$update="Update tmp_ventares set borrado='S',borrado_mozo_el='$ahora',borrado_mozo_por=$idusu where idventatmp=$eliminar and idtarjeta=$idtarjeta";
	$conexion->Execute($update) or die(errorpg($conexion,$update));

	//Verificamos si quedan articulos de esa cabecera activos
	
	$buscar="Select sum(subtotal) as total 
		from tmp_ventares 
		where idtarjeta=$idtarjeta and borrado='N' and finalizado='S' 
		and idtrans=$idtransaccion_activa and idtmpventares_cab=$idcabecera";
	
	$rsts=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	//echo $buscar;exit;
	$total=floatval($rsts->fields['total']);
	if($total==0){
		//echo "NO HAY MAS - dar de baja la cabecera";exit;
		//si ya no hay saldos para esa cabecera
		$update="Update tmp_ventares_cab set anulado_por=$idusu,anulado_el='$ahora',estado=6 where idtmpventares_cab=$idcabecera";
		//echo $update;exit;
		$conexion->Execute($update) or die(errorpg($conexion,$update));
		
	} else {
		//$update="Update tmp_ventares_cab set monto=$total where finalizado='S' and idtarjeta=$idtarjeta  ";
		//$conexion->Execute($update) or die(errorpg($conexion,$update));
		
		$buscar="Select idtmpventares_cab,sum(subtotal) as total from tmp_ventares where borrado='N' 
		and idtrans = $idtransaccion_activa group by idtmpventares_cab ";
		//echo $buscar;exit;
		$rss=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		while(!$rss->EOF){
			
			$idcabeza=intval($rss->fields['idtmpventares_cab']);
			$subtotal=floatval($rss->fields['total']);
			
			$update="Update tmp_ventares_cab set monto=$total where idtmpventares_cab=$idcabeza  ";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
		$rss->MoveNext();
		}

	}
	
	$insertar="Insert into servicios_eliminados_log 
	(fechahora ,anulado_por ,	observaciones ,	idcodigoborrar ,idunicotmp,idtarjeta)
	values
	('$ahora',$idusu,$obs,$codigo_borrar,$eliminar,$idtarjeta)";
	$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
	
	echo 'OK';
	exit;
	
}



$buscar= "select  descripcion ,idventatmp , nombres,apellidos, cantidad,  subtotal, precio
	from tmp_ventares
	inner join profesionales on profesionales.idprofe=  tmp_ventares.idprofesional
	inner join productos on productos.idprod_serial=tmp_ventares.idproducto
	 where registrado = 'N' and tmp_ventares.borrado='N'
	and tmp_ventares.idtarjeta=$idtarjeta
	and tmp_ventares.idempresa = $idempresa
	 $addprof ";
 $rs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
//echo $buscar;
?>

<table class="table table-hover">
      <thead>
        <tr>
		  <th valign="middle" bgcolor="#E7E7E7">Profesional</th>
          <th valign="middle" bgcolor="#E7E7E7">Servicio</th>    
          <th valign="middle" bgcolor="#E7E7E7">Cant.</th>
          <th valign="middle" bgcolor="#E7E7E7">Sub Total</th>
            <th align="center" valign="middle" bgcolor="#E7E7E7"><?php if ($tr> 0){?><button type="button" class="btn btn-danger btn-xs" onClick="borrar_todo(<?php echo $idmesa; ?>);">Vaciar &nbsp;<span class="fa fa-trash fa-1x"></span></button><?php }?></th>
        </tr>
      </thead>

      <tbody>
    <?php while (!$rs->EOF){
		$idtmp=intval($rs->fields['idventatmp']);
        $c++;
        $total=$rs->fields['totalprecio'];
        $subtotal=$rs->fields['subtotal']; 
        $cantidad = intval($rs->fields['total']); 
        $total_precio = $cantidad * $total;
        $totalacum+=$subtotal;
        $des=str_replace("'","",$rs->fields['descripcion']);
        $estilo="";
        $tipoplato=trim($rs->fields['tipo_plato']);
        if ($tipoplato=='E'){
            $estilo="background-color:#2E9AFE;font-weight:bold;color:#FFFFF";
        }
        if ($tipoplato=='F'){
            $estilo="background-color:green; color:#FFFFF";
            $estilo="background-color:#81F7D8;font-weight:bold;color:#FFFFF";
        }
     ?>
        <tr style="font-size: 1.2em;">
			<td style="<?php echo $estilo;?>" ><?php echo ($rs->fields['nombres'] . ' ' . $rs->fields['apellidos'] ); ?></td>
            <td style="<?php echo $estilo;?>" ><?php echo Capitalizar($rs->fields['descripcion']); ?></td>
           
			<td align="center"><?php echo formatomoneda($rs->fields['cantidad'],3,'N'); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['subtotal']); ?></td>
			<td align="center"><div class="buttons">
				<button type="button" title="Eliminar servicio" data-toggle="tooltip" data-placement="right"  data-original-title="Eliminar Producto" class="btn btn-danger btn-xs" onClick="eliminar_temporal(<?php echo $idtmp; ?>,<?php echo $numero_tarjeta; ?>);"><span class="fa fa-trash fa-1x"></span></button>&nbsp;&nbsp;              
			</div></td>
        </tr>
        <?php $rs->MoveNext(); 
		}
		
		?>
		<tr>
			<td colspan="5" style="background-color: #adeada;color:#000000;"align="center">Total en consumo GS: <?php echo formatomoneda($totalacum); ?></td>
		
		</tr>
		</tbody>
</table>