<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="1";
$submodulo="2";
require_once("../includes/rsusuario.php");

//session_start();

// Obtener el documento del usuario logueado desde la sesión
//$idusuario = $_SESSION['idusuario'];

// echo 'ID USUARIO: ' . $idusuario;

//echo 'IDUSU' . $idusu; exit;
$idusuario = $idusu;

// Obtener el documento del usuario desde la base de datos
$consulta_documento = "SELECT documento, adm FROM usuarios WHERE idusu = $idusuario";
$rs_documento = $conexion->Execute($consulta_documento);
$adm_usuario = $rs_documento->fields['adm'];
$documento_usuario = $rs_documento->fields['documento'];
$idservicio = intval($_POST['idservicio']);

// echo 'Documento: ' . $documento_usuario;
// echo 'ES ADIMINISTRADOR? S/N: ' . $adm_usuario;

// echo $consulta_documento;

// Verificar si se ha enviado el formulario
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  $fecha_inicio = $_POST['fecha_inicio'];
  $fecha_fin = $_POST['fecha_fin'];
  $idprofesional = intval( $_POST['idprofesional']); // Aquí se obtiene el valor
  
  

  if ($adm_usuario == 'S') {

    // Si el idprofesional es válido, se hace la consulta
    if ($idprofesional != 0) {

        $consulta = "
        SELECT  
            ventas_comisiones.*, 
            productos.idprod,
            productos.descripcion AS servicio,
            ventas_detalles.registrado_el,
            profesionales.nombres,
            profesionales.apellidos
        FROM 
            ventas_comisiones
        INNER JOIN 
            ventas_detalles ON ventas_comisiones.idventa = ventas_detalles.idventa and ventas_detalles.idventadet = ventas_comisiones.idventadet
        INNER JOIN 
            productos ON ventas_detalles.idprod = productos.idprod
        INNER JOIN 
            profesionales ON profesionales.idprofe = ventas_comisiones.idprofesional
        WHERE 
            ventas_comisiones.idprofesional = $idprofesional
            AND date(ventas_detalles.registrado_el) BETWEEN '$fecha_inicio' AND '$fecha_fin'
        ";
        
        // Si se seleccionó un servicio, añadir el filtro por servicio
      if ($idservicio != 0) {
        $consulta .= " AND productos.idprod = $idservicio";
      }
      //echo 'PRIMER IF' . $consulta;

    }else{ // Si no se envió el formulario, la consulta será para todos los registros (si es administrador)
        // Si es administrador, puede ver todos los profesionales
        $consulta = "
            SELECT  
            ventas_comisiones.*, 
            productos.idprod,
            productos.descripcion AS servicio,
            ventas_detalles.registrado_el,
            profesionales.nombres,
            profesionales.apellidos
        FROM 
            ventas_comisiones
        INNER JOIN 
            ventas_detalles ON ventas_comisiones.idventa = ventas_detalles.idventa and ventas_detalles.idventadet = ventas_comisiones.idventadet
        INNER JOIN 
            productos ON ventas_detalles.idprod = productos.idprod
        INNER JOIN 
            profesionales ON profesionales.idprofe = ventas_comisiones.idprofesional
        WHERE 
            ventas_comisiones.idprofesional = $idprofesional or 0 = $idprofesional
            AND date(ventas_detalles.registrado_el) BETWEEN '$fecha_inicio' AND '$fecha_fin'
        ";


        // Si se seleccionó un servicio, añadir el filtro por servicio
      if ($idservicio != 0) {
        $consulta .= " AND productos.idprod = $idservicio";
      }


     // echo 'PRIMER ELSE' . $consulta;

    }

  }

  else{

      // Si no es administrador, filtra solo por el documento del usuario
      $consulta = "
        SELECT  
            ventas_comisiones.*, 
            productos.idprod,
            productos.descripcion AS servicio,
            ventas_detalles.registrado_el,
            profesionales.nombres,
            profesionales.apellidos
        FROM 
            ventas_comisiones
        INNER JOIN 
            ventas_detalles ON ventas_comisiones.idventa = ventas_detalles.idventa and ventas_detalles.idventadet = ventas_comisiones.idventadet
        INNER JOIN 
            productos ON ventas_detalles.idprod = productos.idprod
        INNER JOIN 
            profesionales ON profesionales.idprofe = ventas_comisiones.idprofesional
        WHERE 
            profesionales.documento = '$documento_usuario'
            AND date(ventas_detalles.registrado_el) BETWEEN '$fecha_inicio' AND '$fecha_fin'";
    
    
            // Si se seleccionó un servicio, añadir el filtro por servicio
    if ($idservicio != 0) {
      $consulta .= " AND productos.idprod = $idservicio";
    }

  }

}
//echo $consulta;
$rs = $conexion->Execute($consulta);
//echo 'ID SERVICIO ES: ' .  $idservicio;
?>

<!DOCTYPE html>
<html lang="es">
  <head>
    <?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
        <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="page-title"></div>
          <div class="clearfix"></div>
          <?php require_once("../includes/lic_gen.php");?>
            
          <!-- SECCION -->
          <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
              <div class="x_panel">
                <div class="x_title">
                  <h2>Reporte de Servicios/Comisiones </h2>
                  <div class="clearfix"></div>
                </div>
                <br /><br />
                <form id="form1" name="form1" method="post">
                    <!-- Campos del formulario -->
                    <div class="col-md-6 col-sm-6 form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12"><span class="fa fa-calendar-alt"></span>&nbsp; Desde: *</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <input type="date" name="fecha_inicio" id="fecha_inicio" class="form-control" 
                                value="<?php echo isset($fecha_inicio) ? date('Y-m-d', strtotime($fecha_inicio)) : ''; ?>" required="required">
                        </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12"><span class="fa fa-calendar-alt"></span>&nbsp;Hasta: *</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <input type="date" name="fecha_fin" id="fecha_fin" class="form-control" 
                                value="<?php echo isset($fecha_fin) ? date('Y-m-d', strtotime($fecha_fin)) : ''; ?>" required="required">
                        </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12"><span class="fa fa-cut"></span>&nbsp; Servicio: *</label>
                            <div class="col-md-9 col-sm-9 col-xs-12">
                                <select name="idservicio" id="idservicio" class="form-control">
                                    <option value="0" <?php echo ($idservicio == 0) ? 'selected' : '';?>>- Seleccione -</option>
                                    <?php
                                    // Consulta para obtener todos los servicios
                                    $consulta_servicios = "SELECT idprod, descripcion FROM productos WHERE idtipoproducto = 7 ORDER BY descripcion";
                                    $rs_servicios = $conexion->Execute($consulta_servicios);
                                    while (!$rs_servicios->EOF) { 
                                    ?>
                                        <option value="<?php echo antixss($rs_servicios->fields['idprod']); ?>" 
                                        <?php echo ($idservicio == $rs_servicios->fields['idprod']) ? 'selected' : ''; ?>>
                                        <?php echo antixss($rs_servicios->fields['descripcion']); ?>
                                        </option>
                                    <?php
                                        $rs_servicios->MoveNext();
                                    }
                                    ?>
                                </select>
                            </div>
                        </div>

                    <div class="col-md-6 col-sm-6 form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">
                            <span class="fa fa-user"></span>&nbsp;Profesional: *
                        </label>
                        <div class="col-md-7 col-sm-7 col-xs-12">
                            <?php if ($adm_usuario == 'S'): // Solo si es administrador ?>
                                <select name="idprofesional" id="idprofesional" class="form-control" data-live-search="true" required="required">
                                    <option value="0" <?php echo ($idprofesional == 0) ? 'selected' : '';?>>- Seleccione -</option>
                                    <?php
                                    // Consulta para obtener todos los profesionales
                                    $consulta_profesionales = "SELECT idprofe, nombres, apellidos FROM profesionales ORDER BY apellidos, nombres";
                                    $rs_profesionales = $conexion->Execute($consulta_profesionales);
                                    while (!$rs_profesionales->EOF) { 
                                    ?>
                                        <option value="<?php echo antixss($rs_profesionales->fields['idprofe']); ?>" 
                                        <?php echo ($idprofesional == $rs_profesionales->fields['idprofe']) ? 'selected' : ''; ?>>
                                        <?php echo antixss($rs_profesionales->fields['nombres']) . ' ' . antixss($rs_profesionales->fields['apellidos']); ?>
                                        </option>
                                    <?php
                                        $rs_profesionales->MoveNext();
                                    }
                                    ?>
                                </select>
                            <?php else: // Si no es administrador ?>
                                <?php
                                // Consulta para obtener el nombre del profesional basado en el documento del usuario
                                $consulta_profesional = "SELECT p.idprofe, p.nombres, p.apellidos 
                                                        FROM profesionales p 
                                                        JOIN usuarios u ON p.documento = u.documento
                                                        WHERE u.idusu = $idusuario";
                                                        // echo $consulta_profesional;
                                $rs_profesional = $conexion->Execute($consulta_profesional);
                                //echo 'STRING'. $rs_profesional->fields['nombres'];
                                // Verificamos si se encuentra un profesional con ese documento
                                if ($rs_profesional->fields['nombres'] != '') {
                                    $nombre_profesional = antixss($rs_profesional->fields['nombres']);
                                    $apellido_profesional = antixss($rs_profesional->fields['apellidos']);
                                    $idprofesional = $rs_profesional->fields['idprofe']; // Asignar el ID del profesional
                                } else {
                                    $nombre_profesional = 'No encontrado'; // Si no se encuentra el profesional
                                    $apellido_profesional = '';
                                    $idprofesional = 0; // En caso de no encontrarlo, aseguramos que el ID sea 0
                                }
                                ?>
                                <input type="text" class="form-control" value="<?php echo $nombre_profesional . ' ' . $apellido_profesional; ?>" disabled>
                                <input type="hidden" name="idprofesional" value="<?php echo $idprofesional; ?>"> 
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-8 col-sm-8 col-xs-12 col-md-offset-5">
                            <button type="submit" class="btn btn-primary"><span class="fa fa-search"></span> Buscar</button>
                            
                            <button type="button" class="btn btn-info recalcular-comisiones"
                                onclick="recalcular_comisiones()">
                                <span class="fa fa-refresh"></span> Recalcular comisiones
                            </button>
                            
                        </div>
                    </div>
                </form>
                <br /><br />


                <!-- Mostrar resultados (Listado en la tabla) -->
                <div class="table-responsive">
                    <table width="100%" class="table table-bordered jambo_table bulk_action">
                        <thead>
                            <tr>
                                <th style="text-align: center;"></th>
                                <th style="text-align: center;">Profesional</th>
                                <th style="text-align: center;">Servicio</th>
                                <th style="text-align: center;">Tipo servicio</th>
                                <th style="text-align: center;">% Comisión</th>
                                <th style="text-align: center;">Monto comisión</th>
                                <th style="text-align: center;">Fecha</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            if ($rs !== false) { 
                                $comision_porc_acum = 0;
                                $comision_monto_acum = 0;

                                // Ciclo para mostrar los resultados
                                while (!$rs->EOF) {
                            ?>
                                <tr>
                                    <td align="center">
                                        <div class="btn-group">
                                        <a href="reporte_servicios_peluq_det.php?id=<?php echo $rs->fields['idventacom']; ?>&fecha_inicio=<?php echo $fecha_inicio; ?>&fecha_fin=<?php echo $fecha_fin; ?>&idprofesional=<?php echo $idprofesional;?>&idprod=<?php echo $rs->fields['idprod'];?>" class="btn btn-sm btn-default" title="Detalle"><span class="fa fa-search"></span></a>
                                        </div>
                                    </td>
                                    <td align="center"><?php echo antixss($rs->fields['nombres']) . ' ' . antixss($rs->fields['apellidos']); ?></td>
                                    <td align="center"><?php echo antixss($rs->fields['servicio']); ?></td>
                                    <td align="center">
                                        <?php 
                                            if ($rs->fields['tipo_comision'] == 1) {
                                                echo 'Comisión';
                                            } elseif ($rs->fields['tipo_comision'] == 2) {
                                                echo 'Monto fijo';
                                            } else {
                                                echo antixss($rs->fields['tipo_comision']);
                                            }
                                        ?>
                                    </td>
                                    <td align="center"><?php echo formatomoneda($rs->fields['comision_porc']);  ?></td>
                                    <td align="center"><?php echo formatomoneda($rs->fields['comision_monto']);  ?></td>
                                    <td align="center"><?php echo date('d/m/Y H:i', strtotime($rs->fields['registrado_el']));  ?></td>
                                </tr>
                            <?php 
                                    $comision_porc_acum += $rs->fields['comision_porc'];
                                    $comision_monto_acum += $rs->fields['comision_monto'];
                                    $rs->MoveNext(); 
                                }
                            }
                            ?>
                        </tbody>
                        <tfoot>
                            <tr style="background-color:rgb(230, 228, 228); font-weight: bold;">
                                <td align="center">Totales</td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td align="center"><?php echo formatomoneda($comision_porc_acum); ?></td>
                                <td align="center"><?php echo formatomoneda($comision_monto_acum); ?></td> 
                            </tr>
                        </tfoot>
                    </table>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- footer content -->
        <?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
    <?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>

<script>
  window.onload = function() {
    var fecha_inicio = document.getElementById('fecha_inicio').value;
    var fecha_fin = document.getElementById('fecha_fin').value;
    var idprofesional = document.getElementById('idprofesional').value;

    // Si no se ha seleccionado fecha o profesional, limpiar la tabla
    if (!fecha_inicio || !fecha_fin || idprofesional == "0") {
      var tableBody = document.querySelector('table tbody');
      // Limpiar la tabla
      tableBody.innerHTML = '';
    }
  };
</script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.js"></script>
<script>
      function recalcular_comisiones(){

        $.confirm({
            title: "Recalcular las comisiones",
            content: "¿Desea recalcular las comisiones? Este proceso puede demorar unos minutos",
            buttons: {
                confirm: {
                    text: "Regenerar",
                    action: function() {
                      $.ajax({
                        url: "recalcular_comisiones.php",
                        method: "POST",
                        dataType: "json",
                        data: {
                          'MM_insert': 'RECALCULAR_COMISIONES',
                        },
                        success: function(response) {

                          if(response.estado == 'success'){
    
                            alert(response.msg);

                          }else{

                            alert(response.msg);

                          }

                        },
                        error: function(xhr, status, error) {
                          // Manejar errores de la solicitud AJAX
                          alert("Error al recalcular las horas computo: " + error);
                        }
                      });
                  }
                },
                cancel: {
                    text: "Cancelar",
                    action: function() {}
                }
            }
        });

      }
    </script>
