<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="93";
require_once("includes/rsusuario.php"); 
$fechis=antisqlinyeccion($_POST['fechis'],'date');
if ($fechis=='NULL'){
	$fechis=date("y-m-d",strtotime($ahora));
	$fechis=antisqlinyeccion(($fechis),'date');
}
$deposito=intval($_POST['deposito']);
$obs=antisqlinyeccion($_POST['obs'],'text');
$cantidad=floatval($_POST['cantidad']);
$producto=antisqlinyeccion($_POST['producto'],'text');
$idmotivo=intval($_POST['idc']);

if( ($cantidad > 0) && ($producto!='NULL') && ($idmotivo > 0)){
	//Insertamos
	//buscamos costo promedio
	//Cantidades de precios
	$buscar="select count(*) as cantprecios from compras_detalles
			where codprod=$producto group by $producto";
	$rsd=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
	$cantprecios=intval($rsd->fields['cantprecios']);
	//Cantidad de compras de ese pproducto
	$buscar="Select sum(cantidad) as tcompras from compras_detalles where codprod=$producto";
	$rstc=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
	$cantidadglobal=($rstc->fields['tcompras']);
	//Sumamos todos los precios de ese producto
	$buscar="Select sum(costo) as precioglob from compras_detalles where codprod=$producto";
	$rscp=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
	//Suma total de precios de costo
	$tpc=floatval($rscp->fields['precioglob']);
	$costoprom=floatval($tpc/$cantprecios);

	$costosumado=floatval($rsd->fields['costos']);
	
	
	
	$insertar="Insert into insumos_perdidas
	(fechaorig,idinsumo,fechahora,registrado_por,idmotivo,cantidad,iddeposito,obs,idempresa,costo_promedio)
	values
	($fechis,$producto,'$ahora',$idusu,$idmotivo,$cantidad,$deposito,$obs,$idempresa,$costoprom)";
	$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));


}


//Traemos las ultimas 20 ocurrencias


$buscar="Select costo_promedio,serialpk,fechaorig,descripcion as nombreinsu,insumos_perdidas.fechahora,anulado_por,
(select usuario from usuarios where idusu=insumos_perdidas.registrado_por and idempresa=$idempresa) as responsable,
(select descripcion from prod_lista_motivos where idmotivo=insumos_perdidas.idmotivo) as causa,
(select descripcion as nombre from gest_depositos where idempresa=$idempresa and iddeposito=insumos_perdidas.iddeposito) as depo,
insumos_perdidas.cantidad,obs
from insumos_perdidas
inner join insumos_lista on insumos_lista.idinsumo=insumos_perdidas.idinsumo
where insumos_perdidas.idempresa=$idempresa order by fechaorig desc limit 20
";
//echo $buscar;
$last20=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tregistros=$last20->RecordCount();
?><div align="center" >
	<?php if ($tregistros ==0){?>
    <span class="resaltarojomini">No existen p&eacute;rdidas registradas.Hurra!</span>
    <?php } else {?>
  <table width="1026">
  	<tr>
    	<td align="center" colspan="10"><h1>&Uacute;ltimas 20 ocurrencias</h1></td>
    </tr>
    	<tr>
    		<td width="98" height="33" align="center" bgcolor="#A2F8FC"><strong>Fecha</strong></td>
            <td width="137" align="center" bgcolor="#A2F8FC"><strong>Insumo</strong></td>
            <td width="60" align="center" bgcolor="#A2F8FC"><strong>Cantidad</strong></td>
            <td width="99" align="center" bgcolor="#A2F8FC"><strong>Costo. Promedio</strong></td>
            <td width="99" align="center" bgcolor="#A2F8FC"><strong>Subtotal</strong></td>
            <td width="99" align="center" bgcolor="#A2F8FC"><strong>Registrado el</strong></td>
            <td width="86" align="center" bgcolor="#A2F8FC"><strong>Responsable</strong></td>
            <td width="99" align="center" bgcolor="#A2F8FC"><strong>Dep&oacute;sito</strong></td>
            <td width="108" align="center" bgcolor="#A2F8FC"><strong>Obs</strong></td>
            <td width="77" bgcolor="#A2F8FC"></td>
    	</tr>
        <?php while (!$last20->EOF){?>
        <tr>
        	<td height="25"><?php echo date("d-m-Y",strtotime($last20->fields['fechaorig']))?></td>
            <td><?php echo $last20->fields['nombreinsu'] ?></td>
          <td align="center"><?php echo $last20->fields['cantidad'] ?></td>
          <td align="center"><?php echo $last20->fields['costo_promedio'] ?></td>
          <td align="center"><?php echo ($last20->fields['cantidad']*$last20->fields['costo_promedio']) ?></td>
            <td align="center"><?php echo date("d-m-Y",strtotime($last20->fields['fechahora']))?></td>
            <td align="center"><?php echo $last20->fields['responsable'] ?></td>
            <td align="center"><?php echo $last20->fields['depo'] ?></td>
            <td><?php echo $last20->fields['obs'] ?></td>
            <td><?php if ($last20->fields['anulado_por']==0){?><a href="gest_reg_perdidas.php?se=<?php echo $last20->fields['serialpk']?>"><img src="img/1476042679_stop.png" width="24" height="24" title="Anular"/></a><?php } else {?><span style="background-color:#FFF968">ANULADO<?php }?></td>
    </tr>
        <?php $last20->MoveNext();}?>
	</table>
	<?php } ?>
</div>