<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="20";
$submodulo="303";
require_once("includes/rsusuario.php"); 

$idpersonalizacion=intval($_GET['id']);
if($idpersonalizacion == 0){
	header("location: web_personaliza.php");	
	exit;
}
$consulta="
select * 
from personalizacion_web 
inner join personalizacion_web_institucional on personalizacion_web.idpersonalizacion = personalizacion_web_institucional.idpersonalizacion
where
personalizacion_web_institucional.idpersonalizacion = $idpersonalizacion
and personalizacion_web.estado <> 6
";
$rsper=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$rs=$rsper;
$idpersonalizacion=intval($rsper->fields['idpersonalizacion']);
if($idpersonalizacion == 0){
	header("location: web_personaliza.php");	
	exit;
}








if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	
	$titulo=antisqlinyeccion($_POST['titulo'],"textbox");
	$texto=antisqlinyeccion($_POST['texto'],"textbox");
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");



	if(trim($_POST['titulo']) == ''){
		$valido="N";
		$errores.=" - El campo titulo no puede estar vacio.<br />";	
	}

	if(trim($_POST['texto']) == ''){
		$valido="N";
		$errores.=" - El campo texto no puede estar vacio.<br />";	
	}



	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update personalizacion_web_institucional
		set

			titulo=$titulo,
			texto=$texto,
			registrado_por=$registrado_por,
			registrado_el=$registrado_el
		where
			idpersonalizacion=$idpersonalizacion
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: personalizacion_web_det_nos.php?id=".$idpersonalizacion);
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Colores</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php 
$refemenu="nos";
require_once("includes/menu_web_personaliza.php");?>

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">



<div class="col-md-12 col-sm-12 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Titulo </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="titulo" id="titulo" value="<?php  if(isset($_POST['titulo'])){ echo antixss($_POST['titulo']); }else{ echo antixss($rs->fields['titulo']); }?>" placeholder="Titulo" class="form-control"  />                    
	</div>
</div>

<div class="col-md-12 col-sm-12 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Texto </label>
	<div class="col-md-9 col-sm-9 col-xs-12">

    <textarea name="texto" class="form-control" rows="10" placeholder="Texto"><?php  if(isset($_POST['texto'])){ echo antixss($_POST['texto']); }else{ echo antixss($rs->fields['texto']); }?></textarea>
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />
<br /><br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
