<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
$idserviciopos=3; // 3: listar preferencias tabla: log_bancard_equipos_pos_servicio
require_once("rsusuario_pos.php");


// busca usuarios activos con pin para pos
$consulta="
SELECT 
`idpospref`, `permite_propina_pos`, `servicio_vuelto_para_propina`, `permite_propina_con_tarjeta_credito`,
permite_preticket 
FROM `pos_preferencias` 
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$consulta="
SELECT pos_equipos.idposequipos, pos_equipos.nombre_pos, pos_equipos.idsucursal, sucursales.nombre as sucursal
FROM pos_equipos
inner join sucursales on sucursales.idsucu = pos_equipos.idsucursal
where
pos_equipos.idposequipos = $idposequipos
";
$rspos=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$texto_mostrar='POS: '.$rspos->fields['nombre_pos'].' ['.$rspos->fields['idposequipos'].'] | Sucursal: '.$rspos->fields['sucursal'].' ['.$rspos->fields['idsucursal'].']';

// la variable $sucursal trae de rsusuario
if(intval($rs->fields['idpospref']) == 0){
	$valido='N';
	$errores.="-No se creo ninguna preferencia".$saltolinea;
	$haydatos='N';
}else{
	$haydatos='S';
}

// si todo es valido genera el listado
if($valido == 'S'){
	$preferencias_ar=array();
	$i=0;
	$preferencias_ar[$i]['permite_propina_pos']=$rs->fields['permite_propina_pos'];
	$preferencias_ar[$i]['servicio_vuelto_para_propina']=$rs->fields['servicio_vuelto_para_propina'];
	$preferencias_ar[$i]['permite_propina_con_tarjeta_credito']=$rs->fields['permite_propina_con_tarjeta_credito'];
	$preferencias_ar[$i]['permite_preticket']=$rs->fields['permite_preticket'];
	
	$preferencias_ar[$i]['texto_mostrar']=$texto_mostrar;
	$preferencias_ar[$i]['idposequipos']=$rspos->fields['idposequipos'];
	$preferencias_ar[$i]['nombre_pos']=$rspos->fields['nombre_pos'];
	$preferencias_ar[$i]['sucursal']=$rspos->fields['sucursal'];
	$preferencias_ar[$i]['idsucursal']=$rspos->fields['idsucursal'];
}


// arma la respuesta
$arr_resp=array(
	'valido' => $valido,
	'errores' => $errores,
	'preferencias' => $preferencias_ar
);
// convierte a formato json
$respuesta=json_encode($arr_resp, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

$parametros_array_log=array(
	'respuesta' => $respuesta,
	'idlog' => $idlog
);
log_bancard_equipos_pos_actu($parametros_array_log);


// devuelve la respuesta formateada
echo $respuesta;
exit;


?>