<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
$idserviciopos=7; // 7: preticket mesa tabla: log_bancard_equipos_pos_servicio
require_once("rsusuario_pos.php");

require_once("../includes/funciones_mesas.php");

$idmesa=intval($_POST['idmesa']);
$accion=trim($_POST['accion']); // I:imprime V:visualiza
if(intval($idmesa) == 0){
	$valido='N';
	$errores.="- No se envio el idmesa.".$saltolinea;
	$haydatos='N';
}
$consulta="
SELECT 
permite_preticket 
FROM `pos_preferencias` 
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$permite_preticket=trim($rs->fields['permite_preticket']);
if($permite_preticket != 'S'){
	$valido='N';
	$errores.="- Preticket no permitido.".$saltolinea;
	$haydatos='N';
}

if(trim($accion) == ''){
	$valido='N';
	$errores.="- No se indico si la accion es imprimir o mostrar en pantalla el preticket.".$saltolinea;
	$haydatos='N';	
}

// si la accion es imprimir
if($accion == 'I'){
	// busca si tiene atc activo
	$consulta="
	select idatc 
	from mesas_atc 
	where 
	idmesa = $idmesa 
	and estado = 1 
	order by idatc desc 
	limit 1
	";
	$rsatc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idatc=intval($rsatc->fields['idatc']);
	// si tiene atc activo
	if($idatc > 0){
		// marca como preticket la mesa
		$estados_permite_preticket="1,2,7";
		$update="
		Update mesas 
		set 
		estado_mesa=3 
		where 
		idmesa=$idmesa 
		and estado_mesa in ($estados_permite_preticket)
		";
		$conexion->Execute($update) or die(errorpg($conexion,$update));
	}
}

// busca mesas abiertas de la sucursal
$consulta="
select  mesas.numero_mesa, mesas.idmesa, salon.nombre as salon, mesas_atc.idatc, mesas_atc.pin, sucursales.nombre as sucursal, salon.idsalon, sucursales.idsucu
from mesas 
inner join salon on salon.idsalon = mesas.idsalon
inner join mesas_atc on mesas_atc.idmesa = mesas.idmesa
inner join sucursales on sucursales.idsucu = mesas_atc.idsucursal 
where 
estadoex = 1 
and mesas.idmesa = $idmesa	
and mesas_atc.estado = 1
order by mesas.numero_mesa asc, salon.nombre asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idatc=intval($rs->fields['idatc']);
if(intval($rs->fields['idmesa']) == 0){
	$valido='N';
	$errores.="- La mesa indicada no se encuentra abierta o no existe.".$saltolinea;
	$haydatos='N';
}else{
	$haydatos='S';
}

// si todo es valido genera el listado
if($valido == 'S'){
	$parametros_array['idatc'] = $idatc;
	$res=saldo_mesa($parametros_array);
	$saldo_mesa=floatval($res['saldo_mesa']);
	$monto_mesa=floatval($res['monto_mesa']);
	$pagos_mesa=floatval($res['pagos_mesa']);

	
	
	//recalcular ticket mesa
	$parametros_entrada=array(
		'idatc'=>$idatc,
		'quien'=>$idusu,
		'idmesa'=>$idmesa,
		'idempresa'=>$idempresa,
		'idsucursal'=>$idsucursal
	); 
	recalcular_servicio_mesa($parametros_entrada);

	
	// buscar impresora remota para app
	$consulta="
	SELECT * 
	FROM impresoratk 
	where 
	borrado = 'N' 
	and tipo_impresora='REM' 
	and idsucursal = $idsucursal
	order by idimpresoratk  asc 
	limit 1
	";
	$rsimp = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idimpresoratk=intval($rsimp->fields['idimpresoratk']);
	// si no existe impresora remota para la sucursal actual 
	if($idimpresoratk == 0){
		// trae de cualquier sucursal
		$consulta="
		SELECT * 
		FROM impresoratk 
		where 
		borrado = 'N' 
		and tipo_impresora='REM' 
		order by idimpresoratk  asc 
		limit 1
		";
		$rsimp = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
	}
	
	// tipo de impresor
	$impresor_tip="MES";
	$redir_impr="impresor_ticket_mesa.php";
	
	// parametros
	$consolida=$rsimp->fields['consolida'];
	$leyenda_credito=$rsimp->fields['leyenda_credito'];
	$datos_fiscal=$rsimp->fields['datos_fiscal'];
	$muestra_nombre=$rsimp->fields['muestra_nombre'];
	$usa_chapa=$rsimp->fields['usa_chapa'];
	$usa_obs=$rsimp->fields['usa_obs'];
	$usa_obs_prod=$rsimp->fields['usa_obs_prod'];
	$usa_precio=$rsimp->fields['usa_precio'];
	$usa_total=$rsimp->fields['usa_total'];
	$usa_nombreemp=$rsimp->fields['usa_nombreemp'];
	$usa_totaldiscreto=$rsimp->fields['usa_totaldiscreto'];
	$txt_codvta=$rsimp->fields['txt_codvta'];
	$cabecera_pagina=$rsimp->fields['cabecera_pagina'];
	$pie_pagina=$rsimp->fields['pie_pagina'];
	$usa_enfasis=$rsimp->fields['usa_enfasis'];
	$propina_porcentajes=$rsimp->fields['propina_porcentajes'];
	$propina_libre=$rsimp->fields['propina_libre'];
	$propina_sinpropina=$rsimp->fields['propina_sinpropina'];
	
	//require_once("../impresor_motor.php");
	$idempresa=1;
	require_once("../includes/funciones_cocina.php");
	
	
	
	$parametros_array_coc['idimpresoratk']=$idimpresoratk;
	$parametros_array_coc['idmesa']=$idmesa;
	$parametros_array_coc['impresor_tip']='MES';
	$res=comanda_cocina_consolidado($parametros_array_coc);
	//print_r($res);
	
	if($res['valido'] == 'N'){
		// arma la respuesta
		$arr_resp=array(
			'valido' => 'N',
			'errores' => $res['errores'],
			'haydatos' => 'N',
		);
	}
	if($res['valido'] == 'S'){
		$texto=$res['ticket'];
		if(trim($texto) != ''){
			$haydatos='S';
		}else{
			$haydatos='N';
		}		
		
		// arma la respuesta
		$arr_resp=array(
			'valido' => $valido,
			'errores' => $errores,
			'haydatos' => $haydatos,
			/*'monto_mesa' => $monto_mesa,
			'pagos_mesa' => $pagos_mesa,
			'saldo_mesa' => $saldo_mesa,*/
			'preticket' => $texto
		);
	}
	
}else{
	// arma la respuesta
	$arr_resp=array(
		'valido' => $valido,
		'errores' => $errores,
		'haydatos' => $haydatos,
	);
}



// convierte a formato json
$respuesta=json_encode($arr_resp, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

$response_sql=antisqlinyeccion($respuesta,"textbox");
$consulta="
UPDATE  log_bancard_equipos_pos
SET 
json_enviado = $response_sql
where
idlog = $idlog
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

// devuelve la respuesta formateada
echo $respuesta;
exit;


?>