<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");

require_once("../includes/funciones_bancard.php");



// INICIO registrar log
$idserviciopos=5; // 5: vincular pos tabla: log_bancard_equipos_pos_servicio
$parametros_array_log=array();
$parametros_array_log['idserviciopos'] = $idserviciopos;
$idlog=log_bancard_equipos_pos_ins($parametros_array_log);
// FIN registrar log

// validaciones basicas
$valido="S";
$errores="";

// parametros de entrada
$pin=intval($_POST['pin']);

// valilda que se envio el pin
if(intval($_POST['pin']) == 0){
	$valido="N";
	$errores.=" - El campo pin no puede ser cero o nulo.".$saltolinea;	
	$arr_resp=array(
		'valido' => $valido,
		'errores' => $errores,
	);
	// convierte a formato json
	$respuesta=json_encode($arr_resp, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
	
	$parametros_array_log=array(
		'respuesta' => $respuesta,
		'idlog' => $idlog
	);
	log_bancard_equipos_pos_actu($parametros_array_log);

	
	// devuelve la respuesta formateada
	echo $respuesta;
	exit;
}



//busca el pin si existe en la bd
$consulta="
select * from pos_equipos where estado = 1 and pin = $pin order by idposequipos asc limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idposequipos=intval($rs->fields['idposequipos']);
// si no existe el pin 
if(intval($idposequipos) == 0){
	$valido="N";
	$errores.=" - No existe ningun equipo registrado en el sistema con el pin indicado o el pin ya caduco.".$saltolinea;
	$arr_resp=array(
		'valido' => $valido,
		'errores' => $errores,
	);
	// convierte a formato json
	$respuesta=json_encode($arr_resp, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
	
	$parametros_array_log=array(
		'respuesta' => $respuesta,
		'idlog' => $idlog
	);
	log_bancard_equipos_pos_actu($parametros_array_log);

	
	// devuelve la respuesta formateada
	echo $respuesta;
	exit;
}



// genera el token con el pin indicado
$parametros_array['idposequipos'] = $idposequipos;
$res=generar_token_bancard_pos($parametros_array);
$token=trim($res['token']);
// si fallo la generacion del token
if($res['valido'] != 'S'){
	$valido="N";
	$errores.=$res['errores'];	
}
// si el token genero vacio
if($token == ''){
	$valido="N";
	$errores.=" - No se genero el token.".$saltolinea;		
}


// si todo es correcto actualiza
if($valido == "S"){
	
	// limpia variable
	$token_sql=antisqlinyeccion($token,"textbox");
	// borra el pin y asigna el token
	$consulta="
	update pos_equipos
	set
		pin=NULL,
		token=$token_sql,
		vinculado_el = '$ahora'
	where
		idposequipos = $idposequipos
		and estado = 1
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
	$arr_resp=array(
		'valido' => $valido,
		'errores' => $errores,
		'token' => $token,
	);
	
// si algo fallo 
}else{
	$arr_resp=array(
		'valido' => $valido,
		'errores' => $errores,
	);
	
}


// convierte a formato json
$respuesta=json_encode($arr_resp, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

$parametros_array_log=array(
	'respuesta' => $respuesta,
	'idlog' => $idlog
);
log_bancard_equipos_pos_actu($parametros_array_log);


// devuelve la respuesta formateada
echo $respuesta;
exit;


?>