<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="17";
$submodulo="91";
require_once("includes/rsusuario.php"); 


$idreceta=intval($_GET['id']);

$consulta="
SELECT *,
(
select descripcion 
from 	insumos_lista 
inner join prod_lista_objetivos on prod_lista_objetivos.idinsumo = insumos_lista.idinsumo
where 
 prod_lista_objetivos.unicopkss = recetas_produccion.idobjetivo
 and prod_lista_objetivos.idempresa = $idempresa
) as producto_final
FROM recetas_produccion
where 
recetas_produccion.idreceta = $idreceta
and recetas_produccion.estado <> 6
and recetas_produccion.idempresa = $idempresa
and recetas_produccion.cantidad_resultante > 0
";
//echo $consulta;
$rsrecex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idreceta=intval($rsrecex->fields['idreceta']);
$idobjetivo=$rsrecex->fields['idobjetivo'];
if($idreceta == 0){
	echo "Receta inexistente!";
	exit;
}

$consulta="
SELECT *, (select nombre as medida_obj from medidas where medidas.id_medida = recetas_produccion.medida ) as medida_obj,
recetas_produccion.nombre as receta
FROM recetas_produccion
inner join recetas_detalles_produccion on recetas_detalles_produccion.idreceta = recetas_produccion.idreceta
inner join insumos_lista on insumos_lista.idinsumo = recetas_detalles_produccion.idinsumo
inner join medidas on medidas.id_medida = insumos_lista.idmedida
where 
recetas_produccion.idreceta = $idreceta
and recetas_produccion.estado <> 6
and recetas_produccion.idempresa = $idempresa
and recetas_detalles_produccion.idempresa = $idempresa
and insumos_lista.idempresa = $idempresa
and recetas_produccion.cantidad_resultante > 0
order by insumos_lista.descripcion asc
";
$rsrec=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

		$consulta="
		update recetas_produccion
		set 
		estado = 6
		where 
		recetas_produccion.idreceta = $idreceta
		and recetas_produccion.estado <> 6
		and recetas_produccion.idempresa = $idempresa
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		//direccionar
		header("location: prod_receta.php?id=".$idobjetivo);
		exit;


}



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Eliminar Receta</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
    <thead>
  <tr>

    <th>Producto Objetivo</th>
    <th>Nombre Receta</th>
    <th>Cantidad Resultante</th>

   </tr>
   </thead>
   <tbody>
   <tr> 

    <td><?php echo $rsrecex->fields['producto_final']; ?></td>
    
    <td><?php  echo antixss($rsrecex->fields['nombre']); ?></td>

	  
	  <td  align="right"><?php echo formatomoneda($rsrecex->fields['cantidad_resultante'],4,'N');  ?></td>
	  

	  </tr>

  </tbody>

</table>
 </div>

           <form id="form1" name="form1" method="post" action="">
           

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='prod_receta.php?id=<?php echo $idobjetivo; ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>


              <input name="MM_insert" type="hidden" id="MM_insert" value="form1" />

           </form>
<div class="clearfix"></div>
<br /><br /><br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
