<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="17";
$submodulo="275";
require_once("includes/rsusuario.php"); 

$opr=intval($_GET['id']);
if($opr == 0){
	header("location: produccion_ordenes.php");
	exit;	
}

// funciones de stock
require_once("includes/funciones_stock.php");


$consulta="
select *,
(select usuario from usuarios where produccion_ordenes.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where produccion_ordenes.anulado_por = usuarios.idusu) as borrado_por,
(select descripcion from gest_depositos where iddeposito = produccion_ordenes.iddeposito_origen) as deposito_origen,
(select descripcion from gest_depositos where iddeposito = produccion_ordenes.iddeposito_destino) as deposito_destino,
(select descripcion from insumos_lista where idinsumo = produccion_ordenes.idinsumo_final) as insumo_final,
(
select medidas.nombre 
from insumos_lista 
inner join medidas on medidas.id_medida = insumos_lista.idmedida 
where 
idinsumo = produccion_ordenes.idinsumo_final
) as medida,
(select estado_orden from  produccion_estado_orden where produccion_estado_orden.idestado_orden = produccion_ordenes.estado_orden ) as estado_orden
from produccion_ordenes 
where 
 estado_orden = 1 
 and produccion_ordenes.opr = $opr
order by opr asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$cantidad_receta_cab=$rs->fields['cantidad_receta'];
$cantidad_producir_cab=$rs->fields['cantidad_producir'];
$iddeposito_origen=$rs->fields['iddeposito_origen'];
$iddeposito_destino=$rs->fields['iddeposito_destino'];
$fecha=$rs->fields['fecha'];
$opr=intval($rs->fields['opr']);
if($opr == 0){
	header("location: produccion_ordenes.php");
	exit;	
}


/*
if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$opr=antisqlinyeccion($_POST['opr'],"int");
	$idinsumo=antisqlinyeccion($_POST['idinsumo'],"int");
	$cantidad_receta=antisqlinyeccion($_POST['cantidad_receta'],"float");
	$costo_unitario_teorico=antisqlinyeccion($_POST['costo_unitario_teorico'],"float");




	if(intval($_POST['opr']) == 0){
		$valido="N";
		$errores.=" - El campo opr no puede ser cero o nulo.<br />";	
	}
	if(intval($_POST['idinsumo']) == 0){
		$valido="N";
		$errores.=" - El campo idinsumo no puede ser cero o nulo.<br />";	
	}
	if(floatval($_POST['cantidad_receta']) <= 0){
		$valido="N";
		$errores.=" - El campo cantidad_receta no puede ser cero o negativo.<br />";	
	}
	if(floatval($_POST['costo_unitario_teorico']) <= 0){
		$valido="N";
		$errores.=" - El campo costo_unitario_teorico no puede ser cero o negativo.<br />";	
	}


	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into produccion_ordenes_det
		(opr, idinsumo, cantidad_receta, costo_unitario_teorico)
		values
		($opr, $idinsumo, $cantidad_receta, $costo_unitario_teorico)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: produccion_ordenes_det.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());
*/
if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		select * from produccion_ordenes_det where opr = $opr order by oprdet asc
		";
		$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// recorre la tabla de recetas
		while(!$rsdet->EOF){
			
			$cantidad_receta_prod=$rsdet->fields['cantidad_receta_prod'];
			$idinsumo=$rsdet->fields['idinsumo'];
			
			// traslados de stock
			
			// descuenta stock genereal en deposito origen
			descontar_stock_general($idinsumo,$cantidad_receta_prod,$iddeposito_origen);
			
			// entrega de articulo
			movimientos_stock($idinsumo,$cantidad_receta_prod,$iddeposito_origen,14,'-',$opr,$fecha);
			
			// aumenta stock genereal en deposito destino
			aumentar_stock_general($idinsumo,$cantidad_receta_prod,$iddeposito_destino);
			
			// recibe de articulo
			movimientos_stock($idinsumo,$cantidad_receta_prod,$iddeposito_destino,15,'+',$opr,$fecha);
			
			
			//traslada stock a nivel de costos
			traslada_stock($idinsumo,$cantidad_receta_prod,$iddeposito_origen,$iddeposito_destino);
		
		
		

		$rsdet->MoveNext(); }
		
		
		
		$consulta="
		update produccion_ordenes
		set
		estado_orden = 2
		where
		opr = $opr
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		header("location: produccion_ordenes_det.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());	
	
	
?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Orden de Produccion #<?php echo $opr ?></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<p><a href="produccion_ordenes.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th align="center">Orden #</th>
            <th align="center">Fecha Orden</th>
			<th align="center">Producto Objetivo</th>
			<th align="center">Cantidad a producir</th>
            <th align="center">Medida</th>
			<th align="center">Deposito origen</th>
			<th align="center">Deposito destino</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['opr']); ?></td>
			<td align="center"><?php if($rs->fields['fecha'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['insumo_final']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['cantidad_producir'],4,'N');  ?></td>
            <td align="right"><?php echo antixss($rs->fields['medida']);  ?></td>
			<td align="center"><?php echo antixss($rs->fields['deposito_origen']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['deposito_destino']); ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br /><?php  /* ?>
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">



<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Ingrediente *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idinsumo" id="idinsumo" value="<?php  if(isset($_POST['idinsumo'])){ echo intval($_POST['idinsumo']); }else{ echo intval($rs->fields['idinsumo']); }?>" placeholder="Idinsumo" class="form-control" required="required" />                    
	</div>
</div>

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cantidad receta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="cantidad_receta" id="cantidad_receta" value="<?php  if(isset($_POST['cantidad_receta'])){ echo floatval($_POST['cantidad_receta']); }else{ echo floatval($rs->fields['cantidad_receta']); }?>" placeholder="Cantidad receta" class="form-control" required="required" />                    
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-plus"></span> Agregar</button>

        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<hr /><?php */ ?>
<?php 		
$consulta="
select *, (select descripcion from insumos_lista where idinsumo = produccion_ordenes_det.idinsumo) as insumo,
(select medidas.nombre from medidas inner join insumos_lista on insumos_lista.idmedida = medidas.id_medida where idinsumo = produccion_ordenes_det.idinsumo ) as medida
from produccion_ordenes_det 
where 
opr = $opr
order by oprdet asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<?php /* ?><th></th><?php  */?>
			<th align="center">Ingrediente</th>
            <th align="center">Medida</th>
			<th align="center">Cantidad receta p/ <?php echo formatomoneda($cantidad_receta_cab,4,'N'); ?></th>
			<th align="center">Costo unitario</th>
            <th align="center">Subtotal teorico</th>
			<th align="center">Cantidad receta p/ <?php echo formatomoneda($cantidad_producir_cab,4,'N'); ?></th>
			<th align="center">Costo unitario</th>
            <th align="center">Subtotal teorico</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){
	
$subtotal_teorico=$rs->fields['cantidad_receta']*$rs->fields['costo_unitario_teorico'];
$subtotal_teorico_acum+=$subtotal_teorico;
$cantidad_acum+=$rs->fields['cantidad_receta'];

$subtotal_teorico_prod=$rs->fields['cantidad_receta_prod']*$rs->fields['costo_unitario_teorico'];
$subtotal_teorico_prod_acum+=$subtotal_teorico_prod;
$cantidad_prod_acum+=$rs->fields['cantidad_receta_prod'];
 ?>
		<tr>
			<?php /* ?><td>
				
				<div class="btn-group">
					<a href="produccion_ordenes_det_edit.php?id=<?php echo $rs->fields['oprdet']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
					<a href="produccion_ordenes_det_del.php?id=<?php echo $rs->fields['oprdet']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
				</div>

			</td><?php  */?>
			<td align="center"><?php echo antixss($rs->fields['insumo']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['medida']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['cantidad_receta'],4,'N');  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['costo_unitario_teorico'],4,'N');  ?></td>
            <td align="right"><?php echo formatomoneda($subtotal_teorico,4,'N');  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['cantidad_receta_prod'],4,'N');  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['costo_unitario_teorico'],4,'N');  ?></td>
            <td align="right"><?php echo formatomoneda($subtotal_teorico_prod,4,'N');  ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
		<tr bgcolor="#CCCCCC" style="font-weight:bold;">
			<td>Totales</td>
            <td></td>
			<?php /* ?><td align="center"></td><?php  */?>
			<td align="right"><?php echo formatomoneda($cantidad_acum,4,'N');  ?></td>
			<td align="right"></td>
            <td align="right"><?php echo formatomoneda($subtotal_teorico_acum,4,'N');  ?></td>
			<td align="right"><?php echo formatomoneda($cantidad_prod_acum,4,'N');  ?></td>
			<td align="right"></td>
            <td align="right"><?php echo formatomoneda($subtotal_teorico_prod_acum,4,'N');  ?></td>
		</tr>
	  </tbody>
    </table>
</div>
<br />

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Finalizar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<br /><br /><br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
