<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="17";
$submodulo="275";
require_once("includes/rsusuario.php"); 

$opr=intval($_GET['id']);
if($opr == 0){
	header("location: produccion_ordenes.php");
	exit;	
}


$consulta="
select *,
(select usuario from usuarios where produccion_ordenes.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where produccion_ordenes.anulado_por = usuarios.idusu) as borrado_por,
(select descripcion from gest_depositos where iddeposito = produccion_ordenes.iddeposito_origen) as deposito_origen,
(select descripcion from gest_depositos where iddeposito = produccion_ordenes.iddeposito_destino) as deposito_destino,
(select descripcion from insumos_lista where idinsumo = produccion_ordenes.idinsumo_final) as insumo_final,
(
select medidas.nombre 
from insumos_lista 
inner join medidas on medidas.id_medida = insumos_lista.idmedida 
where 
idinsumo = produccion_ordenes.idinsumo_final
) as medida,
(select estado_orden from  produccion_estado_orden where produccion_estado_orden.idestado_orden = produccion_ordenes.estado_orden ) as estado_orden
from produccion_ordenes 
where 
 estado_orden = 2 
 and produccion_ordenes.opr = $opr
order by opr asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$cantidad_receta_cab=$rs->fields['cantidad_receta'];
$cantidad_producir_cab=$rs->fields['cantidad_producir'];
$iddeposito_origen=$rs->fields['iddeposito_origen'];
$iddeposito_destino=$rs->fields['iddeposito_destino'];
$fecha=$rs->fields['fecha'];
$opr=intval($rs->fields['opr']);
$idreceta=intval($rs->fields['idreceta']);

$buscar="Select * from preferencias_produccion limit 1";
$rs2=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$muestra_elaboracion=trim($rs2->fields['mostrar_elaboracion']);
if ($muestra_elaboracion==''){
	$muestra_elaboracion='N';
}

if($opr == 0){
	header("location: produccion_ordenes.php");
	exit;	
}

	
?><!DOCTYPE html>
<html lang="en">
  <head>
  <title>Orden de Producci&oacute;n</title>
  </head>

  <body class="nav-md"  onLoad="print();">
  <div style="width:100%; border:1px solid #000000; height:115px;">
 
      <table width="100%" height="105">
        <tr>
            <td valign="top"> <img src="<?php echo $img; ?>" height="85" alt=""/></td>
            <td valign="top" align="center"><h1 style="margin:2px;"><?php echo $nombreempresa ?><br />
            Orden de Producci&oacute;n #<?php echo intval($rs->fields['opr']); ?></h1>
            Impreso el: <?php echo date("d/m/Y H:i:s"); ?></td>
        </tr>
      
      
      </table>
	</div>
    <br />
    


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action" border="1" style="border-collapse:collapse;">
	  <thead>
		<tr  bgcolor="#CCCCCC" style="font-weight:bold;">
			<th align="center">Orden #</th>
            <th align="center">Fecha Orden</th>
			<th align="center">Producto Objetivo</th>
			<th align="center">Cantidad a producir</th>
            <th align="center">Medida</th>
            <th align="center">Vueltas</th>
			<th align="center">Deposito origen</th>
			<th align="center">Deposito destino</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ 
	$idreceta=intval($rs->fields['idreceta']);

?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['opr']); ?></td>
			<td align="center"><?php if($rs->fields['fecha'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['insumo_final']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['cantidad_producir'],4,'N');  ?></td>
            <td align="right"><?php echo antixss($rs->fields['medida']);  ?></td>
            <td align="right"><?php echo formatomoneda($rs->fields['cantidad_producir']/$rs->fields['cantidad_receta'],4,'N');  ?></td>
			<td align="center"><?php echo antixss($rs->fields['deposito_origen']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['deposito_destino']); ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
<?php 		
$consulta="
select *, (select descripcion from insumos_lista where idinsumo = produccion_ordenes_det.idinsumo) as insumo,
(select medidas.nombre from medidas inner join insumos_lista on insumos_lista.idmedida = medidas.id_medida where idinsumo = produccion_ordenes_det.idinsumo ) as medida,
(select cantidad from recetas_detalles_produccion where idreceta=$idreceta and idinsumo=produccion_ordenes_det.idinsumo) as cantidad_bruta,
(select rendimiento_porc from recetas_detalles_produccion where idreceta=$idreceta and idinsumo=produccion_ordenes_det.idinsumo) as rendimiento,
(select cantidad_neta from recetas_detalles_produccion where idreceta=$idreceta and idinsumo=produccion_ordenes_det.idinsumo) as cantidad_neta
from produccion_ordenes_det 
where 
opr = $opr
order by oprdet asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action"  border="1" style="border-collapse:collapse;">
	  <thead>
		<tr  bgcolor="#CCCCCC" style="font-weight:bold;">
			<?php /* ?><th></th><?php  */?>
			<th align="center">Ingrediente</th>
            <th align="center">Medida</th>
			<?php /*?><th align="center">Cantidad receta p/ <?php echo formatomoneda($cantidad_receta_cab,4,'N'); ?></th>
			<th align="center">Costo unitario</th>
            <th align="center">Subtotal teorico</th><?php echo */  ?>
			<th align="center">Cantidad receta p/ <?php echo formatomoneda($cantidad_producir_cab,4,'N'); ?></th>
			<th align="center">Cantidad Bruta</th>
			<th align="center">Rendimiento %</th>
			<th align="center">Cantidad Neta</th>
			<th align="center">Costo unitario</th>
            <th align="center">Subtotal teorico</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){
	
$subtotal_teorico=$rs->fields['cantidad_receta']*$rs->fields['costo_unitario_teorico'];
$subtotal_teorico_acum+=$subtotal_teorico;
$cantidad_acum+=$rs->fields['cantidad_receta'];

$subtotal_teorico_prod=$rs->fields['cantidad_receta_prod']*$rs->fields['costo_unitario_teorico'];
$subtotal_teorico_prod_acum+=$subtotal_teorico_prod;
$cantidad_prod_acum+=$rs->fields['cantidad_receta_prod'];
 ?>
		<tr>
			<?php /* ?><td>
				
				<div class="btn-group">
					<a href="produccion_ordenes_det_edit.php?id=<?php echo $rs->fields['oprdet']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
					<a href="produccion_ordenes_det_del.php?id=<?php echo $rs->fields['oprdet']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
				</div>

			</td><?php  */?>
			<td align="center"><?php echo antixss($rs->fields['insumo']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['medida']); ?></td>
			<?php /*?><td align="right"><?php echo formatomoneda($rs->fields['cantidad_receta'],4,'N');  ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['costo_unitario_teorico'],4,'N');  ?></td>
            <td align="right"><?php echo formatomoneda($subtotal_teorico,4,'N');  ?></td><?php */ ?>
			<td align="right"><?php echo formatomoneda($rs->fields['cantidad_receta_prod'],4,'N');  ?></td>
			<td align="center"> <?php echo formatomoneda($rs->fields['cantidad_bruta'],4,'N'); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['rendimiento'],2,'S'); ?></td>
			<td align="center"><?php echo formatomoneda($rs->fields['cantidad_neta'],4,'N'); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['costo_unitario_teorico'],4,'N');  ?></td>
            <td align="right"><?php echo formatomoneda($subtotal_teorico_prod,4,'N');  ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
		<tr bgcolor="#EEEEEE" style="font-weight:bold;">
			<td>Totales</td>
            <td></td>
			<?php /* ?><td align="center"></td><?php  */?>
			<?php /*?><td align="right"><?php echo formatomoneda($cantidad_acum,4,'N');  ?></td>
			<td align="right"></td>
            <td align="right"><?php echo formatomoneda($subtotal_teorico_acum,4,'N');  ?></td><?php */?>
			<td align="right"><?php echo formatomoneda($cantidad_prod_acum,4,'N');  ?></td>
			<td align="right"></td>
			<td align="right"></td><td align="right"></td><td align="right"></td>
			
            <td align="right"><?php echo formatomoneda($subtotal_teorico_prod_acum,4,'N');  ?></td>
		</tr>
	  </tbody>
    </table>
</div>
<br />
<?php 
if($muestra_elaboracion=='S'){ 
	$buscar="Select * from recetas_produccion where idreceta=$idreceta";
	$rs4=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$elaboracion=antixss($rs4->fields['elaboracion']);
	$nombre=antixss($rs4->fields['nombre']);
	
	
?>
<div class="col-md-12 col-xs-12">
	<span style="font-size:18px;">Elaboraci&oacute;n :&nbsp;<?php echo $nombre ?></span>
	<hr />
	<?php echo $elaboracion ?>
</div>
<?php } ?>
<div align="center">
    <div style="width:96%; height:160px;border:1px solid #000000;">
    	<table width="600px;" height="150">

            <tr>
            	<td width="84" height="20" valign="bottom"><strong>Entregado por</strong></td>
                <td width="216" valign="bottom">..................................................</td>
                <td width="41" valign="bottom"><strong>Firma</strong></td>
                <td width="239" valign="bottom">........................................................</td>
          </tr>
           <tr>
            	<td width="84" height="20" valign="bottom"><strong>Recibido por</strong></td>
                <td width="216" valign="bottom">..................................................</td>
                <td width="41" valign="bottom"><strong>Firma</strong></td>
                <td width="239" valign="bottom">........................................................</td>
          </tr>
    	</table>
        <br /><br />
    </div>
</div>

  </body>
</html>
