<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="431";
require_once("includes/rsusuario.php"); 


$idagrupacion=intval($_GET['id']);
if($idagrupacion == 0){
	header("location: productos_agrupa_reportes.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * ,
(select usuario from usuarios where productos_agrupa_reportes.registrado_por = usuarios.idusu) as registrado_por
from productos_agrupa_reportes 
where 
idagrupacion = $idagrupacion
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idagrupacion=intval($rs->fields['idagrupacion']);
if($idagrupacion == 0){
	header("location: productos_agrupa_reportes.php");
	exit;	
}






if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	//$unserie=antisqlinyeccion($_POST['unserie'],"text");
	$idprod_serial=antisqlinyeccion($_POST['idprod_serial'],"int");
	//$idinsumo=antisqlinyeccion($_POST['idinsumo'],"int");
	$funcionario=antisqlinyeccion(floatval($_POST['funcionario']),"float");
	//$diferencia_otros=antisqlinyeccion($_POST['diferencia_otros'],"float");
	$estadotab=antisqlinyeccion(1,"int");
	$idsucursal=antisqlinyeccion($_POST['idsucu'],"int");
	//$idtiporep=antisqlinyeccion($_POST['idtiporep'],"int");
	//$idagrupacion=antisqlinyeccion($_POST['idagrupacion'],"int");
	$anulado_por=antisqlinyeccion('',"int");
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$anulado_el=antisqlinyeccion('',"text");




	if(intval($_POST['idprod_serial']) == 0){
		$valido="N";
		$errores.=" - El campo producto no puede estar vacio.<br />";	
	}
	if(intval($_POST['idsucu']) == 0){
		$valido="N";
		$errores.=" - El campo sucursal no puede estar vacio.<br />";	
	}
	// busca si ya existe
	$consulta="
	select unserie
	from productos_seleccionados 
	where 
	idprod_serial = $idprod_serial 
	and idsucursal = $idsucursal 
	and estadotab = 1
	limit 1
	";
	$rspsel=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$unserie=intval($rspsel->fields['unserie']);
	if($unserie > 0){
		$valido="N";
		$errores.=" - Ya existe este producto [$idprod_serial] para la sucursal [$idsucursal] seleccionada.<br />";
	}

	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		select idinsumo from insumos_lista where idproducto = $idprod_serial limit 1
		";
		$rsins=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$idinsumo=intval($rsins->fields['idinsumo']);
		
		$consulta="
		insert into productos_seleccionados
		(idprod_serial, idinsumo, funcionario, diferencia_otros, estadotab, idsucursal, idtiporep, idagrupacion, anulado_por, registrado_por, registrado_el, anulado_el)
		values
		($idprod_serial, $idinsumo, $funcionario, 0, $estadotab, $idsucursal, 1, $idagrupacion, $anulado_por, $registrado_por, $registrado_el, $anulado_el)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: productos_agrupa_reportes_det.php?id=".$idagrupacion);
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Agrupacion de Productos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">




<p><a href="productos_agrupa_reportes.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Idagrupacion</th>
			<th align="center">Descripcion</th>

			<th align="center">Registrado el</th>
			<th align="center">Registrado por</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idagrupacion']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['descripcion']); ?></td>

			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>

		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<hr />

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Producto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idprod_serial, CONCAT(descripcion,' [',idprod_serial,']') AS descripcion
FROM productos
where
borrado = 'N'
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idprod_serial'])){ 
	$value_selected=htmlentities($_POST['idprod_serial']); 
}else{
	//$value_selected=htmlentities($rs->fields['idprod_serial']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idprod_serial',
	'id_campo' => 'idprod_serial',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idprod_serial',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idsucu, CONCAT(nombre,' [',idsucu,']') AS nombre
FROM sucursales
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_POST['idsucu'])){ 
	$value_selected=htmlentities($_POST['idsucu']); 
}else{
	//$value_selected=htmlentities($rs->fields['idsucu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idsucu',
	'id_campo' => 'idsucu',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idsucu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>                    
	</div>
</div>



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cargo a cliente *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input name="funcionario" type="text" value="0" placeholder="recomendado: 0" class="form-control">                
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-plus"></span> Agregar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />
<strong>Cargo a Cliente:</strong> solo aplica para algunos reporotes de cantina, es el monto que no cubre la empresa de este producto y que debe abonar el funcionario por cada producto, la diferencia entre este monto y el precio del  producto es lo que cubrira la empresa, si no usara dejar en 0 (cero).
<div class="clearfix"></div>
<br /><br />

<?php 
		
$consulta="
select *,
(select usuario from usuarios where productos_seleccionados.registrado_por = usuarios.idusu) as registrado_por,
(select nombre from sucursales where idsucu = productos_seleccionados.idsucursal) as sucursal,
(select productos.descripcion from productos where idprod_serial = productos_seleccionados.idprod_serial) as producto,
(select descripcion from productos_agrupa_reportes where idagrupacion = productos_seleccionados.idagrupacion) as agrupacion
from productos_seleccionados 
where 
 estadotab = 1 
 and idagrupacion = $idagrupacion
order by unserie asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>

<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Cod Producto</th>
			<th align="center">Cod Articulo</th>
            <th align="center">Producto</th>
            <th align="center">Cargo Funcionario</th>
			<th align="center">Sucursal</th>

			<th align="center">Agrupacion</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="productos_seleccionados_del.php?id=<?php echo $rs->fields['unserie']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
				</div>

			</td>
			
			<td align="center"><?php echo intval($rs->fields['idprod_serial']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idinsumo']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['producto']); ?></td>
            <td align="center"><?php echo formatomoneda($rs->fields['funcionario']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['sucursal']); ?> [<?php echo intval($rs->fields['idsucursal']); ?>]</td>
			<td align="center"><?php echo antixss($rs->fields['agrupacion']); ?> [<?php echo antixss($rs->fields['idagrupacion']); ?>]</td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
<br /><br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
