<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="25";
$submodulo="263";
require_once("includes/rsusuario.php"); 


	
if($rsco->fields['master_franq'] != 'S'){
	echo "Este local no es master franquicia";
	exit;	
}



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$idfranquicia_orig=antisqlinyeccion($_POST['idfranquicia_orig'],"int");
	$idfranquicia_dest=antisqlinyeccion($_POST['idfranquicia_dest'],"int");






	if(intval($_POST['idfranquicia_orig']) == 0){
		$valido="N";
		$errores.=" - Debe indicar el usuario origen.<br />";	
	}
	if(intval($_POST['idfranquicia_dest']) == 0){
		$valido="N";
		$errores.=" - Debe indicar el usuario destino.<br />";	
	}
	if(intval($_POST['idfranquicia_orig']) == intval($_POST['idfranquicia_dest'])){
		$valido="N";
		$errores.=" - El usuario origen no puede ser el mismo que el de destino.<br />";
	}
	


	// si todo es correcto actualiza
	if($valido == "S"){
		
		// borrar todos los productos de la franquicia destino
		$consulta="
		delete from productos_franquicias where idfranquicia = $idfranquicia_dest
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		INSERT INTO productos_franquicias
		(idproducto,idfranquicia) 
		select 
		idproducto,$idfranquicia_dest
		from productos_franquicias
		where
		idfranquicia = $idfranquicia_orig
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: productos_franquicias.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
			
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Productos por Franquicias Copiar</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Franquicia Origen (copiar desde): </label>
	<div class="col-md-9 col-sm-9 col-xs-12">

<?php 
// consulta
$consulta="
SELECT idfranquicia, nombre_franquicia
FROM franquicia
where
estado = 1
order by nombre_franquicia asc
 ";

// valor seleccionado
if(isset($_POST['idfranquicia_orig'])){ 
	$value_selected=htmlentities($_POST['idfranquicia_orig']); 
}else{
	$value_selected=htmlentities($rs->fields['idfranquicia']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idfranquicia_orig',
	'id_campo' => 'idfranquicia_orig',
	
	'nombre_campo_bd' => 'nombre_franquicia',
	'id_campo_bd' => 'idfranquicia',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>	
	</div>
</div>


<div class="form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Franquicia Destino (copiar hacia): </label>
	<div class="col-md-9 col-sm-9 col-xs-12">

<?php 
// consulta
$consulta="
SELECT idfranquicia, nombre_franquicia
FROM franquicia
where
estado = 1
order by nombre_franquicia asc
 ";

// valor seleccionado
if(isset($_POST['idfranquicia_dest'])){ 
	$value_selected=htmlentities($_POST['idfranquicia_dest']); 
}else{
	$value_selected=htmlentities($rs->fields['idfranquicia']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idfranquicia_dest',
	'id_campo' => 'idfranquicia_dest',
	
	'nombre_campo_bd' => 'nombre_franquicia',
	'id_campo_bd' => 'idfranquicia',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>	
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Copiar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='productos_franquicias.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
