<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="178";
require_once("includes/rsusuario.php"); 


// para campos dias
$csv_campos="lunes,martes,miercoles,jueves,viernes,sabado,domingo,feriados";
$array_campos=explode(",",$csv_campos);

if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	$nombre_promo=antisqlinyeccion($_POST['nombre_promo'],"text");
	$desde=antisqlinyeccion($_POST['desde'],"text");
	$hasta=antisqlinyeccion($_POST['hasta'],"text");
	$hora_activa_desde=antisqlinyeccion($_POST['hora_activa_desde'].":00","text");
	$hora_activa_hasta=antisqlinyeccion($_POST['hora_activa_hasta'].":59","text");
	$lunes=antisqlinyeccion($_POST['lunes'],"text");
	$martes=antisqlinyeccion($_POST['martes'],"text");
	$miercoles=antisqlinyeccion($_POST['miercoles'],"text");
	$jueves=antisqlinyeccion($_POST['jueves'],"text");
	$viernes=antisqlinyeccion($_POST['viernes'],"text");
	$sabado=antisqlinyeccion($_POST['sabado'],"text");
	$domingo=antisqlinyeccion($_POST['domingo'],"text");
	$feriados=antisqlinyeccion($_POST['feriados'],"text");
	$idproducto=antisqlinyeccion($_POST['idproducto'],"text");

	// validaciones basicas
	$valido="S";
	$errores="";



	if(intval($_POST['idproducto']) == 0){
		$valido="N";
		$errores.=" - El campo Producto no puede ser cero o nulo.<br />";	
	}
	// campo no obligatorio por base de datos, pero quizas tu necesites que sea obligatorio
	if(trim($_POST['nombre_promo']) == ''){
		$valido="N";
		$errores.=" - El campo nombre_promo no puede estar vacio.<br />";	
	}


	if(trim($_POST['desde']) == ''){
		$valido="N";
		$errores.=" - El campo desde no puede estar vacio.<br />";	
	}
	if(trim($_POST['hasta']) == ''){
		$valido="N";
		$errores.=" - El campo hasta no puede estar vacio.<br />";	
	}
	if(trim($_POST['hora_activa_desde']) == ''){
		$valido="N";
		$errores.=" - El campo hora_activa_desde no puede estar vacio.<br />";	
	}
	if(trim($_POST['hora_activa_hasta']) == ''){
		$valido="N";
		$errores.=" - El campo hora_activa_hasta no puede estar vacio.<br />";	
	}
	if(trim($_POST['lunes']) == '' && trim($_POST['martes']) == '' && trim($_POST['miercoles']) == '' && trim($_POST['jueves']) == '' && trim($_POST['viernes']) == '' && trim($_POST['sabado']) == '' && trim($_POST['domingo']) == '' && trim($_POST['feriados']) == ''){
		$valido="N";
		$errores.=" - Debe marcar al menos 1 dia de la semana o feriados.<br />";
	}
	
	// conversiones
	/*
	ejemplo variables personalizadas
	$a='hola';
	${$a}='mundo';
	echo $hola;
	*/

	foreach($array_campos as $nombrecampo){
		if(trim($_POST[$nombrecampo]) != 'N' && trim($_POST[$nombrecampo]) != 'S'){
			${$nombrecampo}="'N'"; // debe tener doble $$ para convertir en variable
		}
	}
	


	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		insert into promociones
		( nombre_promo, idproducto, desde, hasta, hora_activa_desde, hora_activa_hasta, lunes, martes, miercoles, jueves, viernes, sabado, domingo, feriados, estado, registrado_el, registrado_por, idempresa)
		values
		( $nombre_promo, $idproducto, $desde, $hasta, $hora_activa_desde, $hora_activa_hasta, $lunes, $martes, $miercoles, $jueves, $viernes, $sabado, $domingo, $feriados, 1, '$ahora', $idusu, $idempresa)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: promociones.php");
		exit;
		
	}

}


$buscar="
select * 
from productos 
where 
borrado = 'N' 
and idempresa = $idempresa
order by descripcion asc
";
$rslista=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tlista=$rslista->RecordCount();



?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<link rel="stylesheet" type="text/css" href="css/magnific-popup.css" />
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	<div class="clear"></div>
		<div class="cuerpo">
			<div class="colcompleto" id="contenedor">
      <br /><br />
   <div align="center">
    		<table width="70" border="0">
          <tbody>
            <tr>
              <td width="62"><a href="promociones.php"><img src="img/homeblue.png" width="64" height="64" title="Regresar"/></a></td>
            </tr>
          </tbody>
        </table>
    </div>
      <div class="divstd">
    		<span class="resaltaditomenor">
    			Promociones<br />
    		</span>
 		</div>
<br /><hr /><br />

<p>&nbsp;</p>


<?php if(trim($errores) != ""){ ?>
	<div class="mensaje" style="border:1px solid #F00; background-color:#FFC; font-size:12px; padding:10px; margin:10px auto; width:500px; text-align:center;"><strong>Errores:</strong> <br /><?php echo $errores; ?></div><br />
<?php } ?>
<form id="form1" name="form1" method="post" action="">
<table width="400" border="1" class="tablaconborde" align="center">
  <tbody>

	<tr>
	  <td align="left"><strong>Nombre Promo</strong></td>
	  <td width="130" align="left"><input type="text" name="nombre_promo" id="nombre_promo" style="height:40px; width:90%" value="<?php  if(isset($_POST['nombre_promo'])){ echo htmlentities($_POST['nombre_promo']); }else{ echo htmlentities($rs->fields['nombre_promo']); }?>" placeholder="nombre_promo"  /></td>
	  </tr>

	<tr>
	  <td align="left"><strong>Producto:</strong></td>
	  <td align="left"><select id="idproducto" name="idproducto" style="height:40px; width:90%" onchange="muestra_alias();">
                <option value="0" selected="selected">Seleccionar</option>
                <?php while (!$rslista->EOF){?>
                <option value="<?php echo $rslista->fields['idprod_serial']?>" <?php
				if(isset($_POST['idproducto'])){
					if($rslista->fields['idprod_serial'] == $_POST['idproducto']){
						echo 'selected="selected"';
					}
				}else{
					if($rslista->fields['idprod_serial'] == $rs->fields['idproducto']){ 
						echo 'selected="selected"';
					}
				}
				?>><?php echo $rslista->fields['descripcion']?></option>
                <?php $rslista->MoveNext();}?>
              </select></td>
	  </tr>
	<tr>
		<td align="left"><strong>*Inicio</strong></td>
		<td width="130" align="left"><input type="datetime-local" name="desde" id="desde" value="<?php  
		if(isset($_POST['desde'])){ 
			echo date("Y-m-d",strtotime($_POST['desde'])).'T'.date("H:i",strtotime($_POST['desde']));
		}else{ 
			//echo date("Y-m-d",strtotime($rs->fields['desde'])).'T'.date("H:i",strtotime($rs->fields['desde'])); 
		}
		?>" placeholder="desde" required="required" /></td>
	</tr>

	<tr>
		<td align="left"><strong>*Finalizacion</strong></td>
		<td width="130" align="left"><input type="datetime-local" name="hasta" id="hasta" value="<?php  
		if(isset($_POST['hasta'])){ 
			echo date("Y-m-d",strtotime($_POST['hasta'])).'T'.date("H:i",strtotime($_POST['hasta']));
		}else{ 
			//echo date("Y-m-d",strtotime($rs->fields['hasta'])).'T'.date("H:i",strtotime($rs->fields['hasta'])); 
		}
		?>" placeholder="hasta" required="required" /></td>
	</tr>

	<tr>
		<td align="left"><strong>*Hora Activa Desde</strong></td>
		<td width="130" align="left"><input type="time" name="hora_activa_desde" id="hora_activa_desde" value="<?php
		if(isset($_POST['hora_activa_desde'])){
			$hactdesde=htmlentities($_POST['hora_activa_desde']);
		}else{
			$hactdesde=htmlentities($rs->fields['hora_activa_desde']);
		}	
		$hactdesde_ar=explode(":",$hactdesde);
		$hactdesde=$hactdesde_ar[0].":".$hactdesde_ar[1];
		
		echo $hactdesde;
		
		?>" placeholder="hora_activa_desde" required="required" /></td>
	</tr>

	<tr>
		<td align="left"><strong>*Hora Activa Hasta</strong></td>
		<td width="130" align="left"><input type="time" name="hora_activa_hasta" id="hora_activa_hasta" value="<?php
		if(isset($_POST['hora_activa_hasta'])){
			$hacthasta=htmlentities($_POST['hora_activa_hasta']);
		}else{
			$hacthasta=htmlentities($rs->fields['hora_activa_hasta']);
		}	
		$hacthasta_ar=explode(":",$hacthasta);
		$hacthasta=$hacthasta_ar[0].":".$hacthasta_ar[1];
		
		echo $hacthasta;
		
		?>" placeholder="hora_activa_hasta" required="required" /></td>
	</tr>
	<tr>
	  <td align="left" valign="top"><strong>Dias</strong></td>
		<td width="130" align="left">
        <?php foreach($array_campos as $nombrecampo){?>
          <input type="checkbox" name="<?php echo $nombrecampo; ?>" id="<?php echo $nombrecampo; ?>" <?php if(trim($_POST[$nombrecampo]) == 'S' or  htmlentities($rs->fields[$nombrecampo]) == 'S'){  ?>checked="checked"<?php } ?> value="S"   />
         <?php echo  capitalizar($nombrecampo); ?><br />
          <?php } ?>
          </td>
	</tr>

  </tbody>
</table>
<br />
<p align="center">
  <input type="submit" name="button" id="button" value="Registrar" />
  <input type="hidden" name="MM_update" value="form1" />
</p>
<br />
</form>
<p><br />
</p>



          </div> <!-- contenedor -->
   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
	<?php require("includes/pie.php"); ?>
</body>
</html>