<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="623";
require_once("includes/rsusuario.php"); 



if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';



$whereadd="
 and date(propina_porusuario.fecha_propina) >= '$desde'
 and date(propina_porusuario.fecha_propina) <= '$hasta'
 and propina_porusuario.fecha_propina >= '$desde_completo' 
 and propina_porusuario.fecha_propina <= '$hasta_completo' 
";


if(($_GET['idsucu']) > 0){
	$idsuc=intval($_GET['idsucu']);
	$whereadd.=" and caja_super.sucursal = $idsuc";
	
}


if(trim($_GET['idsucu']) == 'ss'){
	
	$consulta="
	select idsucu 
	from sucursales 
	where 
	estado = 1 
	and matriz = 'N'
	";
	$rssucufil=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$sucu_or_add="and ( ".$saltolinea;
	$i=0;
	while(!$rssucufil->EOF){
		$i++;
		$idsuc=intval($rssucufil->fields['idsucu']);
		if($i == 1){
			$sucu_or_add.=" caja_super.sucursal = $idsuc ".$saltolinea;
		}else{
			$sucu_or_add.=" or caja_super.sucursal = $idsuc ".$saltolinea;	
		}
	$rssucufil->MoveNext(); }
	$sucu_or_add.=" ) ".$saltolinea;
	$whereadd=$sucu_or_add;
	
}


if(intval($_GET['idcaja']) > 0){
	$idcanal=intval($_GET['idcaja']);
	$whereadd.=" and propina_porusuario.idcaja = $idcanal ";
	
}



// no sobrescribir este filtro
if(intval($_GET['estado']) == 6){
	$whereadd.=" and propina_porusuario.estado = 6 ";
}else{
	$whereadd.=" and propina_porusuario.estado <> 6 ";
}

// no sobrescribir este filtro
if(intval($_GET['condicion']) == 0){
	$whereadd.="  ";
}else{
	$condvta=intval($_GET['condicion']);
	$whereadd.=" and ventas.tipo_venta= $condvta ";
}
if(trim($_GET['desde']) != ''){
	$consulta="
    SELECT 
        propina_porusuario.*,
        formas_pago.descripcion AS formapago,
        (SELECT usuario FROM usuarios WHERE propina_porusuario.idusu_recibe_propina = usuarios.idusu) AS usuario_recibe_propina,
        (SELECT usuario FROM usuarios WHERE propina_porusuario.registrado_por = usuarios.idusu) AS registrado_por,
        (SELECT usuario FROM usuarios WHERE propina_porusuario.borrado_por = usuarios.idusu) AS borrado_por
    FROM 
        propina_porusuario
    INNER JOIN 
        formas_pago ON formas_pago.idforma = propina_porusuario.idformapago
        inner join caja_super on caja_super.idcaja = propina_porusuario.idcaja
    WHERE 
        propina_porusuario.estado is not null
        $whereadd
    ORDER BY 
        propina_porusuario.idpropinaporusuario desc
    limit 10000
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
}





?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Propinas por Usuario</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">



                  <p>
                     <a href="propina_porusuario.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a>

                  </p>
                  
<hr />



<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hora Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="time" name="hdesde" id="hdesde" value="<?php  echo $hdesde; ?>" placeholder="hora desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hora Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="time" name="hhasta" id="hhasta" value="<?php echo $hhasta; ?>" placeholder="hora hasta" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idsucu, nombre
FROM sucursales
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_GET['idsucu'])){ 
	$value_selected=htmlentities($_GET['idsucu']); 
}else{
	$value_selected=htmlentities($rs->fields['idsucu']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idsucu',
	'id_campo' => 'idsucu',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idsucu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODAS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Estado </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 


// valor seleccionado
if(isset($_GET['estado'])){ 
	$value_selected=htmlentities($_GET['estado']); 
}else{
	$value_selected=1;
}
// opciones
$opciones=array(
	'Vigentes' => '1',
	'Anuladas' => '6'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'estado',
	'id_campo' => 'estado',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);


?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idcaja </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idcaja" id="idcaja" value="<?php  if(isset($_GET['idcaja'])){ echo htmlentities($_GET['idcaja']); } ?>" placeholder="idcaja" class="form-control"  />                    
	</div>
</div>


<div class="clearfix"></div>
<br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>


<br />
</form>        
<div class="clearfix"></div>
<br />
<?php if(trim($_GET['desde']) != ''){?>
<hr />

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Usuario que recibio la Propina</th>
      <th align="center">Fecha propina</th>
			<th align="center">Monto propina</th>
			<th align="center">Forma pago</th>
			<th align="center">Idcaja</th>
			<th align="center">Observacion</th>
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="propina_porusuario_edit.php?id=<?php echo $rs->fields['idpropinaporusuario']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
					<a href="propina_porusuario_del.php?id=<?php echo $rs->fields['idpropinaporusuario']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
				</div>

			</td>
			<td align="center"><?php echo antixss($rs->fields['usuario_recibe_propina']); ?> [<?php echo intval($rs->fields['idusu_recibe_propina']); ?>]</td>
            <td align="center"><?php if($rs->fields['fecha_propina'] != ""){ echo date("d/m/Y H:i",strtotime($rs->fields['fecha_propina'])); } ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto_propina']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['formapago']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idcaja']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['observacion']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
		</tr>
<?php 
$monto_propina_acum+=$rs->fields['monto_propina'];
$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
	  <tfoot>
		<tr>
			<td>Totales</td>
			<td></td>
			<td></td>

			<td align="right"><?php echo formatomoneda($monto_propina_acum); ?></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
            <td></td>

		</tr>
	  </tfoot>

    </table>
</div>
<br />
<?php 

 }  ?>
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
