<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="16";
$submodulo="76";
require_once("includes/rsusuario.php"); 
/*
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
*/


require("../clases/phpqrcode/qrlib.php");
 // include('../lib/full/qrlib.php');

$idrevista=intval($_GET['id']); 
if($idrevista == 0){
	echo "No se indico la revista.";
	exit;
}

$consulta="
select *,
(select usuario from usuarios where revistas.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where revistas.borrado_por = usuarios.idusu) as borrado_por,
(SELECT count(idrevista_det) FROM revistas_det WHERE idrevista = revistas.idrevista) as cantidad_hojas
from revistas
where 
 estado = 1 
 and idrevista = $idrevista
order by idrevista asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	//$url=strtolower(trim($rs->fields['menu_online']));

	$url="http://".antixss(strtolower(trim($_SERVER['HTTP_HOST'])))."/revista/revista_vista_previa.php?id=".$idrevista;

	$dataText   = $url;
	$saveToFile = false; // nombre del archivo o false para no guardar

	
     
	/*
	// SAVE TO FILE
	// TEXT | FILENAME | CORRECT LEVEL | PIXEL PER POINT | OUTER FRAME SIZE | PRINT + SAVE | BACKGROUND COLOR | FOREGROUND COLOR
	QRcode::png("https://code-boxx.com", false, 'h', 6, 2, false, 0x000000, 0xFFFFFF);
	1. The text you want to encode.
	2. The filename to save to, enter false to directly output the image to the browser.
	3. Error correction level – L, M, Q, H. (Low, medium, quartile, high)
	4. Pixel per point (affects the size of QR code)
	5. Outer frame size (size of the border surrounding the QR code)
	6. Print and save (true or false). When set to true, it will both save to a file and output as an image.
	7. The background color, in RGB hex code.
	8. The foreground color, in RGB hex code.
	formatos de imagen:
	QRcode::svg($dataText, $saveToFile, $saveToFile, QR_ECLEVEL_L, $imageWidth);
	QRcode::png($dataText, $saveToFile, QR_ECLEVEL_L, 1200);
	*/
	$descarga='N';
	if(isset($_GET['desc'])){
		$descarga=strtoupper(substr($_GET['desc'],0,1));
	}

	
	if($descarga != 'S'){
		// outputs image directly into browser, as PNG stream 
		QRcode::png($dataText, $saveToFile, QR_ECLEVEL_H, 1200);
		 //exit;
	}else{
		$datetime=date("YmdHis");
		$fichero = 'qr_revista_'.$datetime.'.png';
		QRcode::png($dataText, $fichero, QR_ECLEVEL_H, 1200);
		
		
		if (file_exists($fichero)) {
			header('Content-Description: File Transfer');
			header('Content-Type: application/octet-stream');
			header('Content-Disposition: attachment; filename="'.basename($fichero).'"');
			header('Expires: 0');
			header('Cache-Control: must-revalidate');
			header('Pragma: public');
			header('Content-Length: ' . filesize($fichero));
			readfile($fichero);
			
			// borra el archivo
			unlink($fichero);
			exit;
		}else{
			echo "Hubo un problema y la imagen no se pudo crear, verifique permisos del fichero.";
			exit;	
		}
		

	}


?>