<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="16";
$submodulo="76";
require_once("includes/rsusuario.php"); 


	// facturacion
	$consulta="
	select idcliente, (select razon_social from cliente where idcliente = ventas.idcliente) as cliente, ruchacienda, dv,
	count(idventa) as total_tk, sum(total_venta) as total_vta, 
	(select v.fecha from ventas v where v.idcliente = ventas.idcliente order by v.fecha desc limit 1) as ult_vta
	from ventas
	where
	estado <> 6
	group by idcliente
	order by sum(total_venta) desc
	limit 100
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	// delivery
	$consulta="
	select idclientedel, (select CONCAT(nombres, ' ', apellidos) as nomape from cliente_delivery where idclientedel = ventas.idclientedel) as cliente,
	count(idventa) as total_tk, sum(total_venta) as total_vta,
	(select v.fecha from ventas v where v.idclientedel = ventas.idclientedel order by v.fecha desc limit 1) as ult_vta
	from ventas
	where
	estado <> 6
	and idclientedel is not null
	group by idclientedel
	order by sum(total_venta) desc
	limit 100
	";
	//$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<link rel="stylesheet" type="text/css" href="css/magnific-popup.css" />
<?php require("includes/head.php"); ?>
 <link rel="stylesheet" type="text/css" href="css/tablesorter.css">
<script src="js/jquery.tablesorter.min.js" type="text/javascript"></script> 
<script>

   $(document).ready(function () {
        jQuery.tablesorter.addParser({
            id: "fancyNumber",
            is: function (s) {
                return /^[0-9]?[0-9,\.]*$/.test(s);
            },
            format: function (s) {
                 var s = parseFloat(s.replace(/[.]/g, '').replace(',', '.'));
                return (isNaN(s)) ? 0 : s;
            },
            type: "numeric"
        });

        $(".tablesorter").tablesorter({
            headers: { 
			0: { sorter: false },
			1: { sorter: false },
			2: { sorter: 'fancyNumber'},
			3: { sorter: 'fancyNumber'},
			},
            widgets: ['zebra']
        });
    }); 
</script>
</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	<div class="clear"></div>
		<div class="cuerpo">
			<div class="colcompleto" id="contenedor">
      <br /><br />
   <div align="center">
    		<table width="70" border="0">
          <tbody>
            <tr>
              <td width="62"><a href="index.php"><img src="img/homeblue.png" width="64" height="64" title="Regresar"/></a></td>
            </tr>
          </tbody>
        </table>
    </div>
      <div class="divstd">
    		<span class="resaltaditomenor">
    			Ranking de Clientes<br />
    		</span>
 		</div>
<br /><hr /><br />
<p align="center">Tipo Cliente:
  <select name="select" id="select">
    <option value="F">Facturacion</option>
    <option value="D">Delivery</option>
  </select>
</p><br /><hr /><br />
<p align="center">Top 50 Mayores Compradores</p><br />
<table width="900" border="1" class="tablesorter" style="margin:0px auto;">
  <thead>
    <tr>
      <th>Cliente</th>
      <th>Ultima Venta</th>
      <th>Cantidad de Tikets</th>
      <th>Monto Ticket</th>
      </tr>
   </thead>
   <tbody>   
<?php while(!$rs->EOF){ ?>      
    <tr>
      <td><?php echo $rs->fields['cliente']; ?></td>
      <td><?php echo date("d/m/Y H:i",strtotime($rs->fields['ult_vta'])); ?> hs.</td>
      <td><?php echo formatomoneda($rs->fields['total_tk']); ?></td>
      <td><?php echo formatomoneda($rs->fields['total_vta']); ?></td>
    </tr>
<?php $rs->MoveNext(); } ?>
  </tbody>
</table>
<br />

<br /><br /><br />

		  </div> <!-- contenedor -->
   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
	<?php require("includes/pie.php"); ?>
</body>
</html>