<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="72";
$dirsup="S";
require_once("../includes/rsusuario.php"); 


$idrecetaimpcab=intval($_GET['id']);
if($idrecetaimpcab == 0){
	header("location: recetas.php");
	exit;	
}
$consulta="
select *
from recetas_import_cab 
where 
idrecetaimpcab = $idrecetaimpcab
and estado = 1
and tipo = 'V'
order by idrecetaimpcab asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idrecetaimpcab=intval($rs->fields['idrecetaimpcab']);
if($idrecetaimpcab == 0){
	header("location: recetas.php");
	exit;	
}




if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	$consulta="
	select * 
	from 
		(
			SELECT idproducto_final, idinsumo, count(*) as total
			FROM recetas_import
			where
			idrecetaimpcab = $idrecetaimpcab
			group by idproducto_final, idinsumo
			order by count(*) desc
		) duplic
	WHERE
	total > 1
	";
	$rsdup=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idprod_dup=$rsdup->fields['idproducto_final'];
	$idinsumo_dup=$rsdup->fields['idinsumo'];
	if(intval($rsdup->fields['total']) > 1){
		$dup_txt=antixss($rsdup->fields['descripcion']);
		$errores.="- Existen ingredientes duplicados para un mismo producto en el archivo cargado ej: Producto: $idprod_dup Ingrediente: $idinsumo_dup.<br />";
		$valido="N";
	}

	// si todo es correcto actualiza
	if($valido == "S"){
		

		
		//  backup de los detalles que se reemplazaran, excluyendo el ingrediente que es el mismo producto (muestra en gris en receta)
		$consulta="
		INSERT INTO recetas_detalles_reempla
		(`idrecetaimpcab`, `idreceta_detalle`, `idreceta`, `idprod`, `ingrediente`, `cantidad`, `sacar`, `alias`, `idempresa`,fechahora)
		SELECT 
		$idrecetaimpcab, `idreceta_detalle`, `idreceta`, `idprod`, `ingrediente`, `cantidad`, `sacar`, `alias`, `idempresa`,'$ahora' 
		FROM `recetas_detalles` 
		where
		idprod in (
			select idproducto_final
			from recetas_import 
			where 
			idrecetaimpcab = $idrecetaimpcab
			and idproducto_final in (
				SELECT recetas_detalles.idprod as prod_final_receta
				FROM recetas_detalles
				inner join ingredientes on recetas_detalles.ingrediente = ingredientes.idingrediente
				inner join insumos_lista on insumos_lista.idinsumo = ingredientes.idinsumo
				inner join medidas on medidas.id_medida = insumos_lista.idmedida
				where
				COALESCE(insumos_lista.idproducto,0) <> COALESCE(recetas_detalles.idprod,0)
			   )
			group by idproducto_final
			order by idproducto_final asc
		)
        and idreceta_detalle in (
			SELECT recetas_detalles.idreceta_detalle
			FROM recetas_detalles
			inner join ingredientes on recetas_detalles.ingrediente = ingredientes.idingrediente
			inner join insumos_lista on insumos_lista.idinsumo = ingredientes.idinsumo
			inner join medidas on medidas.id_medida = insumos_lista.idmedida
			where
			COALESCE(insumos_lista.idproducto,0) <> COALESCE(recetas_detalles.idprod,0)
        )
		";
		//echo $consulta; exit;
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		// borra todos los ingredientes backupeados
		$consulta="
		delete from recetas_detalles
		where
		idreceta_detalle in 
		(
			select idreceta_detalle 
			from recetas_detalles_reempla
			where
			idrecetaimpcab = $idrecetaimpcab
		)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		
		
		// recorre los ingredientes nuevos
		$consulta="
		select *,
		(select idingrediente from ingredientes where ingredientes.idinsumo = recetas_import.idinsumo) as idingrediente
		from recetas_import 
		where 
		idrecetaimpcab = $idrecetaimpcab
		order by idrecetaimp asc
		";
		$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		while(!$rsdet->EOF){
			
			$idproducto_final=$rsdet->fields['idproducto_final'];
			$idingrediente=$rsdet->fields['idingrediente'];
			$cantidad=$rsdet->fields['cantidad_bruta'];
			$sacar=$rsdet->fields['permite_sacar'];
			$idrecetaimp=$rsdet->fields['idrecetaimp'];



			// buscar si ya existe receta para ese producto
			$consulta="
			SELECT * 
			FROM recetas
			where
			idproducto = $idproducto_final
			limit 1
			";
			$rsrec=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$idreceta=$rsrec->fields['idreceta'];
			// si no existe crea
			if(intval($rsrec->fields['idproducto']) == 0){
				$ahora=date("Y-m-d H:i:s");
				$consulta="
				INSERT INTO recetas
				(nombre, estado, creado_por, fecha_creacion, ultimo_cambio, ultimo_cambio_por, idproducto, idempresa) 
				VALUES
				(NULL,1,$idusu,'$ahora','$ahora',$idusu,$idproducto_final,1)
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				
				// busca el id de la receta
				$consulta="
				SELECT * 
				FROM recetas
				where
				idproducto = $idproducto_final
				";
				$rsrec=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				$idreceta=$rsrec->fields['idreceta'];
			}
			// si existe actualiza
			if(intval($rsrec->fields['idproducto']) > 0){
				$consulta="
				update recetas 
				set
				ultimo_cambio = '$ahora',
				ultimo_cambio_por = $idusu
				where
				idproducto = $idproducto_final
				";
				$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			}
			
			// inserta los ingredientes nuevos en receta detalle	
			$consulta="
			INSERT INTO recetas_detalles
			(idreceta, idprod, ingrediente, cantidad, sacar,alias,idempresa, idrecetaimp)
			values
			($idreceta,$idproducto_final,$idingrediente,$cantidad,'$sacar','',1, $idrecetaimp)
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

			
		$rsdet->MoveNext(); }
		
		// actualizar alias
		$consulta="
		update recetas_detalles 
		set 
		alias = (
				select insumos_lista.descripcion 
				from insumos_lista 
				inner join ingredientes on ingredientes.idinsumo = insumos_lista.idinsumo 
				where 
				ingredientes.idingrediente = recetas_detalles.ingrediente
				) 
		where 
			(
			select 
			insumos_lista.descripcion 
			from insumos_lista 
			inner join ingredientes on ingredientes.idinsumo = insumos_lista.idinsumo 
			where 
			ingredientes.idingrediente = recetas_detalles.ingrediente
			) is not null
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

		$consulta="
		delete from recetas_detalles where cantidad <= 0
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

		

		

			
		// actualiza como finalizado
		$consulta="
		update recetas_import_cab
		set
		finalizado_por = $idusu,
		finalizado_el = '$ahora',
		estado = 3
		where
		idrecetaimpcab = $idrecetaimpcab
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

		header("location: recetas.php");
		exit;


		

		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

$consulta="
select recetas_import.*, productos.descripcion as producto, insumos_lista.descripcion as ingrediente,
(select nombre from medidas where id_medida = productos.idmedida) as medida_producto,
(select nombre from medidas where id_medida = insumos_lista.idmedida) as medida_ingrediente
from recetas_import 
inner join productos on productos.idprod_serial = recetas_import.idproducto_final
inner join insumos_lista on insumos_lista.idinsumo = recetas_import.idinsumo
where 
 idrecetaimpcab = $idrecetaimpcab
order by productos.descripcion asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Controlar Recetas de Venta</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<p><a href="recetas.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />	
<strong style="color: tomato;">Advertencia:</strong><br />
Este modulo sirve solamente para crear recetas nuevas, no para editar o borrar, si el prooducto final ya tiene una receta cargada <strong style="color: tomato;">SE BORRARA</strong> la receta actual y sera <strong style="color: tomato;">REEMPLAZADA</strong> por la nueva, luego de esto no habra forma de restaurar la receta anterior ni deshacer la accion.<br />
Favor verifique que los datos cargados esten correctos, una vez finalizado ya <strong style="color:#F00">NO SE PODRA DESHACER</strong> esta accion.<br />

<hr />

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<a href="recetas_csv.php?id=<?php echo $idrecetaimpcab; ?>" class="btn btn-sm btn-default"><span class="fa fa-file-excel-o"></span> Descargar CSV</a>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
		

			<th align="center">Producto Final</th>
			<th align="center">Medida Prod</th>
			<th align="center">Ingrediente</th>
			<th align="center">Medida Ing</th>
			<th align="center">Cantidad bruta</th>

			<th align="center">Permite sacar</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="left"><?php echo antixss($rs->fields['producto']); ?> [<?php echo intval($rs->fields['idproducto_final']); ?>]</td>
			<td align="center"><?php echo antixss($rs->fields['medida_producto']); ?></td>
			<td align="left"><?php echo antixss($rs->fields['ingrediente']); ?> [<?php echo intval($rs->fields['idinsumo']); ?>]</td>
			<td align="center"><?php echo antixss($rs->fields['medida_ingrediente']); ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['cantidad_bruta'],4,'N');  ?></td>

			<td align="center"><?php echo siono($rs->fields['permite_sacar']); ?></td>

		</tr>
<?php 
$cantidad_bruta_acum+=$rs->fields['cantidad_bruta'];
$rendimiento_porc_acum+=$rs->fields['rendimiento_porc'];
$cantidad_neta_acum+=$rs->fields['cantidad_neta'];

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />
<br />
<br />


<form id="form1" name="form1" method="post" action="">
					  

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Finalizar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='recetas.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />

<br />
</form>
					  <div class="clearfix"></div>
<br />
<br /><br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
