<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="72";
$dirsup="S";
require_once("../includes/rsusuario.php"); 


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

$idrecetaimpcab=intval($_GET['id']);
if($idrecetaimpcab == 0){
	echo "No se envio ningun parametro.";
	exit;
}

$consulta="
select 
insumos_lista_fin.idinsumo as cod_producto, insumos_lista_fin.descripcion as producto_final, 
(select nombre from medidas where id_medida = insumos_lista_fin.idmedida) as medida_producto,
insumos_lista.idinsumo as cod_articulo, insumos_lista.descripcion as ingrediente, 
(select nombre from medidas where id_medida = insumos_lista.idmedida) as medida_ingrediente,
REPLACE(COALESCE(recetas_import.cantidad_bruta,0),'.',',') as cantidad_bruta, 
REPLACE(COALESCE(recetas_import.rendimiento_porc,0),'.',',') as rendimiento, 
REPLACE(COALESCE(recetas_import.cantidad_neta,0),'.',',') as cantidad_neta, 
REPLACE(COALESCE(recetas_import.cantidad_resultante,0),'.',',') as cantidad_resultante, 
recetas_import.nombre_receta,
recetas_import.comentario_ing,
'AL PRODUCIR' as descuento_stock
from recetas_import 
inner join recetas_import_cab on recetas_import_cab.idrecetaimpcab = recetas_import.idrecetaimpcab
inner join insumos_lista insumos_lista_fin on insumos_lista_fin.idinsumo = recetas_import.idproducto_final
inner join insumos_lista on insumos_lista.idinsumo = recetas_import.idinsumo
where 
 recetas_import.idrecetaimpcab = $idrecetaimpcab
 and recetas_import_cab.estado = 1
order by  insumos_lista_fin.descripcion asc, insumos_lista_fin.idinsumo asc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 //	CONCAT('\"',factura,'\"') as Factura,


 $impreso=date("d/m/Y H:i:s");



$datos="";


// asigna los datos de la consulta a una variable
$array=$rs->fields;

// CONSTRUYE CABECERA
foreach($array as $key=>$value){
	$i++;
	$datos.=limpiacsv($key).';';
}
reset($array);
$datos.=$saltolinea;





$impreso=date("YmdHis");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=receta_prod_import_'.$idrecetaimpcab.'_'.$impreso.'.csv');
	
	
// imprime cabecera
echo $datos;


//CONSTRUYE CUERPO
$fila=1;
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		echo limpiacsv($value).';';
	}
	echo $saltolinea;
$rs->MoveNext(); }


exit; 

?>
