<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="375";
require_once("includes/rsusuario.php"); 

function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

$consulta="
SELECT 
(
  SELECT insumos_lista.idinsumo
FROM prod_lista_objetivos
inner join insumos_lista on insumos_lista.idinsumo = prod_lista_objetivos.idinsumo
where
prod_lista_objetivos.unicopkss = recetas_produccion.idobjetivo
) as idinsumo_final,
(
  SELECT insumos_lista.descripcion as descripcion
FROM prod_lista_objetivos
inner join insumos_lista on insumos_lista.idinsumo = prod_lista_objetivos.idinsumo
where
prod_lista_objetivos.unicopkss = recetas_produccion.idobjetivo
) as insumo_final,
recetas_produccion.idreceta, recetas_produccion.nombre as nombre_receta, 
REPLACE(COALESCE(recetas_produccion.cantidad_resultante,0),'.',',') as cantidad_resultante, 
(
  SELECT medidas.nombre as descripcion
FROM prod_lista_objetivos
inner join insumos_lista on insumos_lista.idinsumo = prod_lista_objetivos.idinsumo
inner join medidas on medidas.id_medida = insumos_lista.idmedida
where
prod_lista_objetivos.unicopkss = recetas_produccion.idobjetivo
) as medida,
insumos_lista.idinsumo,
insumos_lista.descripcion as ingrediente,
REPLACE(COALESCE(recetas_detalles_produccion.cantidad,0),'.',',') as cantidad_bruta,
REPLACE(COALESCE(recetas_detalles_produccion.rendimiento_porc,0),'.',',') as rendimiento, 
REPLACE(COALESCE(recetas_detalles_produccion.cantidad_neta,0),'.',',') as cantidad_neta, 

(select medidas.nombre from medidas where medidas.id_medida = insumos_lista.idmedida) as medida_ing,
REPLACE(COALESCE(insumos_lista.costo,0),'.',',')  as ult_costo_ing,
comentario_ing
FROM `recetas_produccion`
inner join recetas_detalles_produccion on recetas_detalles_produccion.idreceta = recetas_produccion.idreceta
inner join insumos_lista on insumos_lista.idinsumo = recetas_detalles_produccion.idinsumo
 WHERE
 recetas_produccion.estado <> 6
 order by (
  SELECT insumos_lista.descripcion as descripcion
FROM prod_lista_objetivos
inner join insumos_lista on insumos_lista.idinsumo = prod_lista_objetivos.idinsumo
where
prod_lista_objetivos.unicopkss = recetas_produccion.idobjetivo
) asc, idreceta asc,
insumos_lista.descripcion asc
";
$rs=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));




$impreso=date("d/m/Y H:i:s");



$datos="";


// asigna los datos de la consulta a una variable
$array=$rs->fields;

// CONSTRUYE CABECERA
$array=$rs->fields;
foreach($array as $key=>$value){
	$i++;
	$datos.=limpiacsv($key).';';
}
reset($array);
$datos.=$saltolinea;

//CONSTRUYE CUERPO
$ante=0;
$fila=1;
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		$datos.=limpiacsv($value).';';
	}
	$datos.=$saltolinea;
$rs->MoveNext(); }



$impreso=date("d/m/Y H:i:s");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=recetas_prod_'.$impreso.'.csv');
	
echo $datos;
exit;

?>