<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="375";
require_once("includes/rsusuario.php"); 



$consulta="
SELECT 
insumos_lista.idinsumo, insumos_lista.descripcion as descripcion, unicopkss as idobjetivo,
 (select categorias.nombre from categorias where categorias.id_categoria = insumos_lista.idcategoria limit 1) as categoria,
  (select sub_categorias.descripcion from sub_categorias where sub_categorias.idsubcate = insumos_lista.idsubcate limit 1) as subcategoria
FROM prod_lista_objetivos
inner join insumos_lista on insumos_lista.idinsumo = prod_lista_objetivos.idinsumo
where
prod_lista_objetivos.estado <> 6
and  prod_lista_objetivos.unicopkss =  (
SELECT recetas_produccion.idobjetivo 
FROM recetas_produccion 
inner join recetas_detalles_produccion on recetas_detalles_produccion.idreceta = recetas_produccion.idreceta
where
recetas_produccion.idobjetivo  = prod_lista_objetivos.unicopkss
and recetas_produccion.estado = 1
limit 1
) 
order by insumos_lista.descripcion asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Recetas de Produccion</title>
</head>

<body onLoad="print();"><!---->
<strong>Recetas de Produccion</strong><hr />


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action" border="1" style="border-collapse:collapse;">
	  <thead>
		<tr style="background-color:#CCC;">
	
			<th align="center">Codigo</th>

			<th align="center">Producto</th>

			<th align="center">Categoria</th>
			<th align="center">Subcategoria</th>

		</tr>
	  </thead>
	  <tbody>
<?php 


while(!$rs->EOF){
	
$idobjetivo=$rs->fields['idobjetivo'];
 
$consulta="
SELECT 
recetas_produccion.idreceta,
insumos_lista.descripcion as descripcion, unicopkss as idobjetivo, recetas_produccion.nombre as receta,
recetas_produccion.cantidad_resultante, medidas.nombre as medida
FROM prod_lista_objetivos
inner join insumos_lista on insumos_lista.idinsumo = prod_lista_objetivos.idinsumo
inner join recetas_produccion on recetas_produccion.idobjetivo = prod_lista_objetivos.unicopkss
inner join medidas on medidas.id_medida = insumos_lista.idmedida
where
prod_lista_objetivos.estado <> 6
and recetas_produccion.estado <> 6

and prod_lista_objetivos.unicopkss = $idobjetivo
order by insumos_lista.descripcion asc
";
$rsreccab=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	 ?>
		<tr style="background-color:#FFC;">
	
			<td align="center"><?php echo antixss($rs->fields['idinsumo']); ?></td>

			<td align="center"><?php echo antixss($rs->fields['descripcion']); ?></td>

			<td align="center"><?php echo antixss($rs->fields['categoria']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['subcategoria']); ?></td>

	
		</tr>
		<tr>
		  <td align="center" colspan="4">
          
          



<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
	
			<th align="center">Codigo</th>

			<th align="center">Nombre Receta</th>
            <th align="center">Cantidad Resultante</th>
            <th align="center">Medida</th>



		</tr>
	  </thead>
	  <tbody>
<?php while(!$rsreccab->EOF){ ?>
		<tr  >
	
			<td align="center"><?php echo antixss($rsreccab->fields['idreceta']); ?></td>

			<td align="center"><?php echo antixss($rsreccab->fields['receta']); ?></td>
            <td align="center"><?php echo formatomoneda($rsreccab->fields['cantidad_resultante'],4,'N'); ?></td>
            <td align="center"><?php echo antixss($rsreccab->fields['medida']); ?></td>


	
		</tr>
		<tr>
		  <td align="center" colspan="4"  style="background-color:#FFF;" >
          
           <table width="100%" class="table table-bordered jambo_table bulk_action"  style="border-collapse:collapse;" border="1">
             <tr style="background-color:#CCC;">
               <td ><strong>Cod</strong></td>
               <td ><strong>Ingrediente</strong></td>
               <td ><strong>Cantidad</strong></td>
               <td ><strong>Medida</strong></td>

             </tr>
             <?php 
			 
			 $idreceta=$rsreccab->fields['idreceta'];
			$consulta="
			SELECT insumos_lista.idinsumo,
			(select nombre as medida_obj from medidas where medidas.id_medida = recetas_produccion.medida ) as medida_obj,
			medidas.nombre as medida,
			insumos_lista.descripcion, recetas_detalles_produccion.cantidad
			FROM recetas_produccion
			inner join recetas_detalles_produccion on recetas_detalles_produccion.idreceta = recetas_produccion.idreceta
			inner join insumos_lista on insumos_lista.idinsumo = recetas_detalles_produccion.idinsumo
			inner join medidas on medidas.id_medida = insumos_lista.idmedida
			where 
			recetas_produccion.idreceta = $idreceta
			and recetas_produccion.estado <> 6
			and recetas_produccion.cantidad_resultante > 0
			order by insumos_lista.descripcion asc
			";
			$rsrec=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			 
			 
			 while (!$rsrec->EOF){
				 

				 ?>
             <tr>
               <td><?php echo $rsrec->fields['idinsumo']?></td>
               <td><?php echo $rsrec->fields['descripcion']?></td>
               <td align="right"><?php echo formatomoneda($rsrec->fields['cantidad'],4,'N'); ?></td>
               <td align="center"><?php echo $rsrec->fields['medida']?></td>
             </tr>
             <?php $rsrec->MoveNext(); } ?>
           </table>
          
          </td>

		  </tr>
<?php $rsreccab->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<hr />
          
          
          </td>

	    </tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />


</body>
</html>