<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="28";
$submodulo="317";
require_once("includes/rsusuario.php"); 


$idregcomensales=intval($_GET['id']);
if($idregcomensales == 0){
	header("location: registro_comensales.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from registro_comensales 
where 
idregcomensales = $idregcomensales
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idregcomensales=intval($rs->fields['idregcomensales']);
if($idregcomensales == 0){
	header("location: registro_comensales.php");
	exit;	
}




if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$nombre=antisqlinyeccion($_POST['nombre'],"text");
	$apellido=antisqlinyeccion($_POST['apellido'],"text");
	$telefono=antisqlinyeccion($_POST['telefono'],"text");
	$documento=antisqlinyeccion($_POST['documento'],"text");
	$observacion=antisqlinyeccion($_POST['observacion'],"text");
	$idatc=antisqlinyeccion($_POST['idatc'],"int");
	$registrado_el=antisqlinyeccion($ahora,"text");
	$registrado_por=$idusu;
	$estado=1;



	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update registro_comensales
		set
			estado = 6,
			borrado_por = $idusu,
			borrado_el = '$ahora'
		where
			idregcomensales = $idregcomensales
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: registro_comensales.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php //require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Registro de Comensales</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled  type="text" name="nombre" id="nombre" value="<?php  if(isset($_POST['nombre'])){ echo htmlentities($_POST['nombre']); }else{ echo htmlentities($rs->fields['nombre']); }?>" placeholder="Nombre" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Apellido </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled  type="text" name="apellido" id="apellido" value="<?php  if(isset($_POST['apellido'])){ echo htmlentities($_POST['apellido']); }else{ echo htmlentities($rs->fields['apellido']); }?>" placeholder="Apellido" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Telefono *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled  type="text" name="telefono" id="telefono" value="<?php  if(isset($_POST['telefono'])){ echo htmlentities($_POST['telefono']); }else{ echo htmlentities($rs->fields['telefono']); }?>" placeholder="Telefono" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Documento </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled  type="text" name="documento" id="documento" value="<?php  if(isset($_POST['documento'])){ echo htmlentities($_POST['documento']); }else{ echo htmlentities($rs->fields['documento']); }?>" placeholder="Documento" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Observacion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled  type="text" name="observacion" id="observacion" value="<?php  if(isset($_POST['observacion'])){ echo htmlentities($_POST['observacion']); }else{ echo htmlentities($rs->fields['observacion']); }?>" placeholder="Observacion" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cliente con sintoma Respiratorio *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<select disabled name="sintoma" class="form-control">
    	<option value="N" <?php if($_POST['sintoma'] != 'S'){ ?>selected<?php } ?>>NO</option>
    	<option value="S" <?php if($_POST['sintoma'] == 'S'){ ?>selected<?php } ?>>SI</option>
    </select>                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='registro_comensales.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
