<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="28";
$submodulo="317";
require_once("includes/rsusuario.php"); 


$idregcomensales=intval($_GET['id']);
if($idregcomensales == 0){
	header("location: registro_comensales.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from registro_comensales 
where 
idregcomensales = $idregcomensales
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idregcomensales=intval($rs->fields['idregcomensales']);
if($idregcomensales == 0){
	header("location: registro_comensales.php");
	exit;	
}




if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$nombre=antisqlinyeccion($_POST['nombre'],"text");
	$apellido=antisqlinyeccion($_POST['apellido'],"text");
	$telefono=antisqlinyeccion($_POST['telefono'],"text");
	$documento=antisqlinyeccion($_POST['documento'],"text");
	$direccion=antisqlinyeccion($_POST['direccion'],"text");
	$observacion=antisqlinyeccion($_POST['observacion'],"text");
	$idatc=antisqlinyeccion($_POST['idatc'],"int");
	$registrado_el=antisqlinyeccion($ahora,"text");
	$registrado_por=$idusu;
	$estado=1;



	if(trim($_POST['sintoma']) == 'S'){
		$valido="N";
		$errores.=" - LOS CLIENTES CON SINTOMAS RESPIRATORIOS NO PUEDEN INGRESAR AL LOCAL.<br />";	
	}
	if(trim($_POST['nombre']) == ''){
		$valido="N";
		$errores.=" - El campo nombre no puede estar vacio.<br />";	
	}
/* 
apellido 
	if(trim($_POST['apellido']) == ''){
		$valido="N";
		$errores.=" - El campo apellido no puede estar vacio.<br />";	
	}
*/

	if(intval($_POST['telefono']) == 0){
		$valido="N";
		$errores.=" - El campo telefono no puede estar vacio.<br />";	
	}

/* 
documento 
	if(trim($_POST['documento']) == ''){
		$valido="N";
		$errores.=" - El campo documento no puede estar vacio.<br />";	
	}
*/
/* 
observacion 
	if(trim($_POST['observacion']) == ''){
		$valido="N";
		$errores.=" - El campo observacion no puede estar vacio.<br />";	
	}
*/
/* 
idatc 
	if(intval($_POST['idatc']) == 0){
		$valido="N";
		$errores.=" - El campo idatc no puede ser cero o nulo.<br />";	
	}
*/
/* 
registrado_el 
*/
/* 
registrado_por 
*/
/* 
borrado_el 
*/
/* 
borrado_por 
*/


	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update registro_comensales
		set
			nombre=$nombre,
			apellido=$apellido,
			telefono=$telefono,
			documento=$documento,
			direccion=$direccion,
			observacion=$observacion,
			idatc=$idatc
		where
			idregcomensales = $idregcomensales
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: registro_comensales.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php //require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Registro de Comensales</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="nombre" id="nombre" value="<?php  if(isset($_POST['nombre'])){ echo htmlentities($_POST['nombre']); }else{ echo htmlentities($rs->fields['nombre']); }?>" placeholder="Nombre" class="form-control" required="required" />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Apellido </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="apellido" id="apellido" value="<?php  if(isset($_POST['apellido'])){ echo htmlentities($_POST['apellido']); }else{ echo htmlentities($rs->fields['apellido']); }?>" placeholder="Apellido" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Telefono *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="telefono" id="telefono" value="<?php  if(isset($_POST['telefono'])){ echo htmlentities($_POST['telefono']); }else{ echo htmlentities($rs->fields['telefono']); }?>" placeholder="Telefono" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Direccion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="direccion" id="direccion" value="<?php  if(isset($_POST['direccion'])){ echo htmlentities($_POST['direccion']); }else{ echo htmlentities($rs->fields['direccion']); }?>" placeholder="Direccion" class="form-control"  />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Documento </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="documento" id="documento" value="<?php  if(isset($_POST['documento'])){ echo htmlentities($_POST['documento']); }else{ echo htmlentities($rs->fields['documento']); }?>" placeholder="Documento" class="form-control"  />                    
	</div>
</div>


<?php if($rsco->fields['comensales_atc_o_mesa'] == 'A'){ ?>
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Mesa Asignada </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT mesas_atc.idatc, CONCAT('Mesa:',mesas.numero_mesa,' | Abierta el: ',DATE_FORMAT(mesas_atc.fecha_inicio,'%d/%m/%Y %H:%i'),' hs.') as descripcion
FROM mesas_atc 
inner join mesas on mesas.idmesa = mesas_atc.idmesa 
WHERE 
mesas.estadoex = 1 
and mesas_atc.estado = 1 
order by mesas.numero_mesa asc
";

// valor seleccionado
if(isset($_POST['idatc'])){ 
	$value_selected=htmlentities($_POST['idatc']); 
}else{
	$value_selected=htmlentities($rs->fields['idatc']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idatc',
	'id_campo' => 'idatc',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idatc',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>
<?php }else{ ?>
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Mesa Asignada </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT mesas.idmesa, CONCAT('Mesa: ',mesas.numero_mesa,' | Salon: ',salon.nombre) as descripcion
FROM  mesas
inner join salon on salon.idsalon = mesas.idsalon 
WHERE 
mesas.estadoex = 1 
order by mesas.numero_mesa asc
";

// valor seleccionado
if(isset($_POST['idmesa'])){ 
	$value_selected=htmlentities($_POST['idmesa']); 
}else{
	$value_selected=htmlentities($rs->fields['idmesa']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idmesa',
	'id_campo' => 'idmesa',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idmesa',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>
<?php } ?>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Observacion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="observacion" id="observacion" value="<?php  if(isset($_POST['observacion'])){ echo htmlentities($_POST['observacion']); }else{ echo htmlentities($rs->fields['observacion']); }?>" placeholder="Observacion" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cliente con sintoma Respiratorio *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<select name="sintoma" class="form-control">
    	<option value="N" <?php if($_POST['sintoma'] != 'S'){ ?>selected<?php } ?>>NO</option>
    	<option value="S" <?php if($_POST['sintoma'] == 'S'){ ?>selected<?php } ?>>SI</option>
    </select>                    
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='registro_comensales.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
