<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="655"; //Produccion
//$submodulo="660";

require_once("includes/rsusuario.php"); 

$consulta = "SELECT idusu as id, concat(nombres, ' ', apellidos) as nombres from usuarios WHERE estado=1 and mozo = 'S'";
$rsfuncionarios = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$id_funcionario = 0;

$consulta = "SELECT porcentaje_bancard FROM preferencias WHERE idempresa=$idempresa";
$rspreferencias = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$porcentaje_descuento_tarjeta = doubleval($rspreferencias->fields['porcentaje_bancard'] / 100);

if($_POST){

  $id_mozo=intval($_POST['id_funcionario_filtro']);
  $id_atc=intval($_POST['idatc']);
  $fecha_inicio_busqueda=antisqlinyeccion($_POST['fecha_inicio'], "text");
  $fecha_fin_busqueda=antisqlinyeccion($_POST['fecha_fin'], "text");

  if(isset($_POST['fecha_inicio']) && isset($_POST['fecha_fin'])){

    $filtro_fechas = "and registrado_el between $fecha_inicio_busqueda and $fecha_fin_busqueda";

  }

  $consulta="
  select 
  (sum(total_propina)*0.6) as propina_mozos,
  (sum(total_propina)*0.4) as propina_cocina
  from (select mediopago, sum(monto_propina) as total_propina
  from mesas_atc_propinas
  where 
  mediopago = 1
  $filtro_fechas
  union all
  select mediopago, (sum(monto_propina) - (sum(monto_propina)*$porcentaje_descuento_tarjeta)) as total_propina
  from mesas_atc_propinas
  where 
  mediopago in (2,4)
  $filtro_fechas) as suma_propina
";

  //$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

  /******** PAGINACION **********/
    //Limito la busqueda
    $TAMANO_PAGINA = 500;
    
    $consulta_tot="
    WITH consulta_a_paginar AS (
      $consulta
    )
    select count(*) as total
    from consulta_a_paginar
    ";
    $rstotal=$conexion->Execute($consulta_tot) or die(errorpg($conexion,$consulta_tot));
    $num_total_registros=$rstotal->fields['total'];
    $nropagina = intval($_GET["pagina"]);
    //examino la página a mostrar y el inicio del registro a mostrar
    if ($nropagina == 0) {
      $inicio = 0;
      $nropagina = 1;
    } else {
      $inicio = ($nropagina - 1) * $TAMANO_PAGINA;
    }
    //calculo el total de páginas
    $total_paginas = ceil($num_total_registros / $TAMANO_PAGINA);
    // volver a consultar pero agregar los limites
    $limite=" 
    Limit $inicio, $TAMANO_PAGINA
    ";
    // ejecutar despues de la paginacion
    $consulta_paginada=$consulta.$limite;
    $rs=$conexion->Execute($consulta_paginada) or die(errorpg($conexion,$consulta_paginada));
  /******** PAGINACION **********/

}

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			      <?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Reporte mozos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

                  <form id="form1" name="form1" method="post">
                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha inicio *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="date" name="fecha_inicio" id="fecha_inicio" value="<?php  if(isset($_POST['fecha_inicio'])){ echo htmlentities($_POST['fecha_inicio']); }?>" placeholder="Fecha inicio busqueda" class="form-control" required="required" />                    
                      </div>
                    </div>
                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha fin *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="date" name="fecha_fin" id="fecha_fin" value="<?php  if(isset($_POST['fecha_fin'])){ echo htmlentities($_POST['fecha_fin']); }?>" placeholder="Fecha fin busqueda" class="form-control" required="required" />                    
                      </div>
                    </div>

                    <div class="form-group">
                      <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
                      <button type="submit" class="btn btn-success"><span class="fa fa-check-square-o"></span> Buscar</button>
                      </div>
                    </div>

                      <input type="hidden" name="MM_insert" value="form1">
                      <input type="hidden" name="form_control" value="e0276b9add77b1e485b7178e331e845f">
                    <br>
                  </form>
                  <p><hr /></p>
                  <div class="table-responsive">
                      <table width="100%" class="table table-bordered jambo_table bulk_action">
                      <thead>
                      <tr>
                        <!-- <th align="center">ID</th> -->
                        <th align="center">Propina para mozos</th>
                        <th align="center">Propina para cocina</th>
                      </tr>
                      </thead>
                      <tbody>
                  <?php while(!$rs->EOF){ ?>
                      <tr>
                          <td align="center"><?php echo number_format(round($rs->fields['propina_mozos'], 0, PHP_ROUND_HALF_DOWN), 0, ',', '.'); ?></td>
                          <td align="left"><?php echo number_format(round($rs->fields['propina_cocina'], 0, PHP_ROUND_HALF_DOWN), 0, ',', '.'); ?></td>
                        </tr>
                  <?php 

                  $rs->MoveNext(); } //$rs->MoveFirst(); ?>
                      </tbody>

                      </table>
                  </div>
                  <br />


                            
                  <?php if ($total_paginas > 1) { ?>
                  <ul class="pagination">
                  <?php 
                  $parametros_array['get_excluye'] = 'sf,pagina';
                  $parametros_array['primer_parametro_fijo'] = 'S';
                  $url_add=parametros_url($parametros_array);
                  $nombre_script = basename($_SERVER['SCRIPT_NAME']);
                  if($url_add != ''){
                    $url=$nombre_script."?sf=n".$url_add;
                  }else{
                    $url=$nombre_script."?sf=s";	
                  }
                  if ($total_paginas > 1) {
                    if ($nropagina != 1){
                      echo '<li><a href="'.$url.'&pagina='.($nropagina-1).'">&laquo;</a></li>';
                    }
                    for ($i=1;$i<=$total_paginas;$i++) {
                      if ($nropagina == $i){
                        //si muestro el índice de la página actual, no coloco enlace
                        echo '<li class="active" style="background-color:#FE980F; color:#FFF;"><a href="'.$url.'">'.$nropagina.'</a></li>';
                      }else{
                        //si el índice no corresponde con la página mostrada actualmente,
                        //coloco el enlace para ir a esa página
                        echo '<li><a href="'.$url.'&pagina='.$i.'">'.$i.'</a></li>';
                      }
                    }
                    if ($nropagina != $total_paginas){
                      echo '<li><a href="'.$url.'&pagina='.($nropagina+1).'">&raquo;</a></li>';
                    }
                  }
                  ?>
                  </ul>
                  <div class="clearfix"></div>

                  <?php } ?>


                  <div class="clearfix"></div>

                  <br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
    <?php require_once("includes/footer_gen.php"); ?>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.14/dist/css/bootstrap-select.min.css">
      <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.14/dist/js/bootstrap-select.min.js"></script>

      <script type="text/javascript">

        $(document).ready(function () {

          $('#id_funcionario_filtro').selectpicker({
            size: 10,
          });
        });

    </script>
  </body>
</html>
