<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="27";
$submodulo="316";
require_once("includes/rsusuario.php"); 

$buscar="Select nombre,idsalon from salon where estado_salon=1 order by nombre asc";
$rs = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
if (isset($_POST['ocid'])){
	$motivo=intval($_POST['motivoanula']);
	$idreserva=intval($_POST['ocid']);
	if ($idreserva >0){
		//verificamos que no haya sido anulado previamente
		$buscar="select anulado_por from reservas where idreserva=$idreserva and estado_reserva=6"	;
		$rsf = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		if (intval($rsf->fields['anulado_por'])==0){
			$update="update reservas set estado_reserva=6,anulado_por=$idusu,anulado_el=current_timestamp,idmotivo=$motivo
			 where idreserva=$idreserva";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
		}
	}
	
}
if (isset($_POST['fecha'])){
 	$numero=antisqlinyeccion($_POST['numero'],'text');
	$fechareserva=antisqlinyeccion($_POST['fecha'],'date');
	$nombrereserva=antisqlinyeccion($_POST['reservapara'],'text');
	$hora=antisqlinyeccion($_POST['hora'],'text');
	$tc=0;
	$ta=0;//Para el tipo de acontecimineto
	$idsalon=intval($_POST['salon']);
	$idmesa=intval($_POST['mesas']);
	$notas=antisqlinyeccion($_POST['notas'],'text');
	$cantidad=intval($_POST['cant']);
	$buscar="select idtipoclie from tipos_clientes where estado=1";
	$rscli = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	while (!$rscli->EOF){
		$idck=intval($rscli->fields['idtipoclie']);
		$tc=intval($_POST['tc_'.$idck]);
		if ($tc > 0){
			$tipoc=$tc;
			
		}
		
		$rscli->MoveNext();
	}
	//Registramos la reserva si no existe para la persona en el dia y hora marcados
	
	$buscar="Select idreserva from reservas where numero_contacto=$numero and fecha_para=$fechareserva and estado_reserva=1";
	$rsco=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	if (intval($rsco->fields['idreserva'])==0){
		$insertar="Insert into reservas
		(numero_contacto,fecha_para, reservado_para,idsalon,idmesa,cantidad_personas,hora_deseada,reservado_por,
		reservado_el,estado_reserva,idtipocliente,idtipoacon,vincula_funcionario,idtiporeserva)
		values
		($numero,$fechareserva,$nombrereserva,$idsalon,$idmesa,$cantidad,$hora,$idusu,current_timestamp,1,$tc,$ta,NULL,1)";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));

	}
	
}



//Traemos lista de registros
$buscar="Select *,(select usuario from usuarios where idusu=reservas.reservado_por) as quien from reservas where  estado_reserva=1 order by idreserva desc";
$rsd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$tr=$rsd->RecordCount();

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Reserva de Lugares</h2>
                        <ul class="nav navbar-right panel_toolbox">
                          <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                          </li>
                        </ul>
                    <div class="clearfix"></div>
                  </div>
                    <form action="" method="post" >
                        <div class="x_content">
                            <div class="col-md-12">
                                <h2>Datos basicos</h2>
                                  
                                     <div class="col-md-2 col-sm-2  form-group has-feedback">
                                        <input type="date" class="form-control has-feedback-left" id="fecha"  name="fecha" placeholder="" required="required">
                                        <span class="fa fa-calendar form-control-feedback left" aria-hidden="true"></span>
                                    </div> 
                                     <div class="col-md-2 col-sm-2  form-group has-feedback">
                                        <input type="time" class="form-control has-feedback-left" id="hora"  name="hora" placeholder="Hora deseada" required="required" style="width:100%;">
                                        <span class="fa fa-clock-o form-control-feedback left" aria-hidden="true"></span>
                                    </div> 
                                      <div class="col-md-2 col-sm-2  form-group has-feedback">
                                        <input type="text" class="form-control has-feedback-left" id="reservapara"  name="reservapara"  placeholder="Reservar a nombre de" required="required">
                                        <span class="fa fa-user form-control-feedback left" aria-hidden="true"></span>
                                    </div> 
                                    <div class="col-md-2 col-sm-2  form-group has-feedback">
                                        <input type="text" class="form-control has-feedback-left" id="numero"  name="numero"  placeholder="Telefono" required="required">
                                        <span class="fa fa-mobile-phone form-control-feedback left" aria-hidden="true"></span>
                                    </div> 
                            </div>
                                <div class="clearfix"></div>
                                <div class="col-md-12">
                                <h2>Zonas y Observaciones</h2>
                                    <div class="col-md-2 col-sm-2  form-group has-feedback">
                                        <select name="salones" id="salones" style="height:40px; width:100%;" onChange="cargarmesas(this.value);" >
                                        <option value="">Zona</option>
                                            <?php while(!$rs->EOF){?>
                                                <option value="<?php echo $rs->fields['idsalon']; ?>"><?php echo $rs->fields['nombre']?></option>
                                        
                                            <?php $rs->MoveNext();}?>
                                        </select>
                                       
                                    </div> 
                                     <div class="col-md-2 col-sm-2  form-group has-feedback" id="listarmesas">
                                        
                                    </div> 
                                    
                                </div>
                                <div class="clearfix"></div>
                                 <div class="col-md-12">
                                    <h2>Datos complementarios</h2>
                                    <div class="col-md-2 col-sm-2  form-group has-feedback">
                                       <input type="text" class="form-control has-feedback-left" id="cant"  name="cant"  placeholder="Cantidad Personas">
                                        <span class="fa fa-male form-control-feedback left" aria-hidden="true"></span>
                                        
                                       
                                    </div> 
                                    <?php 
                                        $buscar="Select * from tipos_clientes where estado=1 order by descripcion asc";
                                        $rstc = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
                                        $tc=$rstc->RecordCount();
                                        if ($tc > 0){
                                            
                                      ?>
                                    
                                     <div class="col-md-2 col-sm-2  form-group has-feedback" id="">
                                         <select name="listatipoc" id="listatipoc" style="height:40px; width:100%;" >
                                            <option value="">Tipo cliente</option>
                                              <?php while(!$rstc->EOF){
                                                $tc=intval();
                                                ?>
                                                <option value="<?php echo $rstc->fields['idtipoclie']?>"> <?php echo $rstc->fields['descripcion'];?></option>
                                                 <?php $rstc->MoveNext();} ?>
                                                </select>
                                       
                                    </div> 
                                    <?php }?>
                                    <?php 
                                        $buscar="Select * from tipos_acontecimientos where estado=1 order by descripcion asc";
                                        $rstc = $conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
                                        $tc=$rstc->RecordCount();
                                        if ($tc > 0){
                                            
                                      ?>
                                     <div class="col-md-2 col-sm-2  form-group has-feedback">
             
                                       <select name="tipos" id="tipos" style="height:40px; width:80%;">
                                        <option value="">Tipo Acontecimiento</option>
                                               <?php while(!$rstc->EOF){ ?>
                                                <option value="<?php echo $rstc->fields['idtipoacon']; ?>"><?php echo $rstc->fields['descripcion']?></option>
                                        
                                                     
                                         <?php $rstc->MoveNext();} ?>
                                        </select>
                                    </div> 
                                    <?php } ?>
                                     <div class="col-md-2 col-sm-2  form-group has-feedback">
                                         <input type="text" class="form-control has-feedback-left" id="notas"  name="notas"  placeholder="Notas / Observaciones" >
                                        <span class="fa fa-edit form-control-feedback left" aria-hidden="true"></span>
                                    </div> 
                                    </div> 
                                    <div class="col-md-9 col-sm-9  offset-md-3">
                                      <button type="submit" class="btn btn-success"><span class="fa fa-save"></span>&nbsp;&nbsp;Reserva</button>
                                    </div>
                                    
                                    
                        </div>
                    </form>	
                    </div>
                </div>
             </div><!-- SECCION --> 
            <div class="clearfix"></div>
            <?php if ($tr>0){?>
                 <!-- SECCION -->
                <div class="row">
                  <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                      <div class="x_title">
                        <h2>Reservas efectuadas</h2>
                            <ul class="nav navbar-right panel_toolbox">
                              <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                              </li>
                            </ul>
                        <div class="clearfix"></div>
                      </div>
                      <div class="x_content">
                          <table class="table table-striped jambo_table bulk_action">
                            <thead>
                            <tr>
                                <th class="heading">Id Reserva</th>
                                <th>Fecha para</th>
                                <th>Responsable</th>
                                <th>Telefono</th>
                                <th>Notas</th>
                              	<th>Registrado por</th>
                               	<th>Reservado el</th>
                               	
                                  <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php while(!$rsd->EOF){?>
                            <tr>
                            
                                <td><?php echo $rsd->fields['idreserva']?></td>
                                <td><?php echo date("d/m/Y",strtotime($rsd->fields['fecha_para'])).' | '. $rsd->fields['hora_deseada']; ?></td>
                                <td><?php echo $rsd->fields['reservado_para']?></td>
                                <td><?php echo $rsd->fields['numero_contacto']?></td>
                                <td><?php echo $rsd->fields['notas']?></td>
                                <td><?php echo $rsd->fields['quien']?></td>
                                <td><?php echo date("d/m/Y H:i:s",strtotime($rsd->fields['reservado_el']));?></td>
                                
                                <td><a href="javascript:void(0);" onClick="cancelar(<?php echo $rsd->fields['idreserva']?>,'<?php echo trim($rsd->fields['reservado_para']); ?>')">
                                <span class="fa fa-trash-o"></span>&nbsp;Anular Reserva</a></td>
                            </tr>
                        	<?php $rsd->MoveNext();}?>
                        
                            </tbody>
                        </table>
      
                      </div>
                   </div>
                 </div>
                 </div><!-- SECCION --> 
            <?php }?>
            <?php 
			
			$buscar="Select *,(select usuario from usuarios where idusu=reservas.anulado_por) as quien
			,(select descripcion from reservas_motivos where idmotivo=reservas.idmotivo) as motivo
			 from reservas where  estado_reserva=6 order by idreserva desc";
			$rsd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$tanulados=$rsd->RecordCount();
			
			if ($tanulados >0){
				
				?>
            <div class="row">
                  <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                      <div class="x_title">
                        <h2>Reservas Anuladas</h2>
                            <ul class="nav navbar-right panel_toolbox">
                              <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                              </li>
                            </ul>
                        <div class="clearfix"></div>
                      </div>
                      <div class="x_content">
                          <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>Id Reserva</th>
                                <th>Fecha para</th>
                                <th>Responsable</th>
                                <th>Tel&eacute;fono</th>
                              	<th>Cancelado por</th>
                               	<th>Cancelado el</th>
                                <th>Motivo Cancelacion</th>
                                  
                            </tr>
                            </thead>
                            <tbody>
                            <?php while(!$rsd->EOF){?>
                            <tr>
                            
                                <td><?php echo $rsd->fields['idreserva']?></td>
                                <td><?php echo date("d/m/Y",strtotime($rsd->fields['fecha_para'])).' | '. $rsd->fields['hora_deseada']; ?></td>
                                <td><?php echo $rsd->fields['reservado_para']?></td>
                                <td><?php echo $rsd->fields['numero_contacto']?></td>
                               
                                <td><?php echo $rsd->fields['quien']?></td>
                                <td><?php echo date("d/m/Y H:i:s",strtotime($rsd->fields['anulado_el']));?></td>
                                <td><?php echo $rsd->fields['motivo']?></td>
                            </tr>
                        	<?php $rsd->MoveNext();}?>
                        
                            </tbody>
                        </table>
      
                      </div>
                   </div>
                 </div>
                 </div><!-- SECCION --> 
            
            <?php } ?>
          </div>
        </div>
        <!-- /page content -->
		<div class="modal fade" id="popupab"  role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true" style="min-height: 450px; width::800px;">
			<div class="modal-dialog modal-dialog-scrollable modal-dialog-centered" role="document">
			  <div class="modal-content" style="width:800px;">

				<!-- Modal Header -->
				<div class="modal-header">
					
					<div class="alert alert-danger alert-dismissible fade in" role="alert" id="errorescod" style="display: none">
						<strong>Errores:</strong><br /><span id="errorescodcuerpo"></span>
					</div>
				  <h4 class="modal-title" id="titulocuerpo"><span class="fa fa-trash"></span>&nbsp;&nbsp;Anular reserva para <span id="hresno"></span></h4>
				  <button type="button" class="close" data-dismiss="modal">&times;</button>
				</div>

				<!-- Modal body -->
				<div class="modal-body" id="cuerpopop" >
				  <?php 
				  $buscar="Select descripcion,idmotivo from reservas_motivos where estado=1 order by descripcion asc"; 
				  $rmo=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				  ?>
                  <form action="res_mesas.php" method="post">
                  <input type="hidden" name="ocid" id="ocid" value=""/>
                  <select name="motivoanula" id="motivoanula" style="height:40px; width:30%;">
                  	<option value="">Indicar motivo</option>
                    <?php while (!$rmo->EOF){?>
                  
                  	<option value="<?php echo $rmo->fields['idmotivo']?>"><?php echo $rmo->fields['descripcion']?></option>
                  	<?php $rmo->MoveNext();}?>
                  </select>
                  <button type="submit" class="btn btn-success">Registrar</button>
                  </form>
				</div>

				<!-- Modal footer -->
				<div class="modal-footer">
			
					<span  id="controlcito" style="display: none"></span>
				</div>

			  </div>
			</div>
		  </div>	
<script>
	function cancelar(idreserva,nombre){
		$("#ocid").val(idreserva);
		$("#hresno").html(nombre);
		$("#popupab").modal("show");
	}

function cargarmesas(idsalon){
		var parametros = {
			"idsalon" : idsalon
		};
		 $.ajax({
				data:  parametros,
				url:   'res_mini_lista_mesas.php',
				type:  'post',
				beforeSend: function () {
						
				},
				success:  function (response) {
						$("#listarmesas").html(response);
						
				}
		});
	
		
	}
</script>




        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>

  </body>
</html>
