<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="323";
require_once("includes/rsusuario.php"); 

$idreserva=intval($_GET['id']);
if($idreserva == 0){
	header("location: reservas.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from reservas 
where 
idreserva = $idreserva
and estado_reserva <> 6
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idreserva=intval($rs->fields['idreserva']);
if($idreserva == 0){
	header("location: reservas.php");
	exit;	
}



if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	//$idreserva=antisqlinyeccion($_POST['idreserva'],"text");
	$numero_contacto=antisqlinyeccion($_POST['numero_contacto'],"text");
	$reservado_para=antisqlinyeccion($_POST['reservado_para'],"text");
	$cantidad_personas=antisqlinyeccion($_POST['cantidad_personas'],"int");
	
	$fecha_para=antisqlinyeccion($_POST['fecha_para'],"text");
	$hora_deseada=antisqlinyeccion($_POST['hora_deseada'],"text");
	$idsalon=antisqlinyeccion($_POST['idsalon'],"int");
	$idmesa=antisqlinyeccion($_POST['idmesa'],"int");
	$notas=antisqlinyeccion($_POST['notas'],"text");
	$reservado_por=antisqlinyeccion($idusu,"int");
	$reservado_el=antisqlinyeccion($ahora,"text");
	$confirmado_por=antisqlinyeccion('',"int");
	$confirmado_el=antisqlinyeccion('',"text");
	$estado_reserva=antisqlinyeccion(1,"int");
	$anulado_por=antisqlinyeccion('',"int");
	$anulado_el=antisqlinyeccion('',"text");
	$idtipoacon=antisqlinyeccion('',"int");
	$idtiporeserva=antisqlinyeccion('',"int");
	$vincula_funcionario=antisqlinyeccion('',"int");
	$idtipocliente=antisqlinyeccion('',"int");
	$idmotivo=antisqlinyeccion('',"int");








	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		update reservas
		set
			estado_reserva = 6,
			anulado_por = $idusu,
			anulado_el = '$ahora'
		where
			idreserva = $idreserva
			and estado_reserva <> 6
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: reservas.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Borrar Reserva</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Telefono *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="numero_contacto" id="numero_contacto" value="<?php  if(isset($_POST['numero_contacto'])){ echo htmlentities($_POST['numero_contacto']); }else{ echo htmlentities($rs->fields['numero_contacto']); }?>" placeholder="Numero contacto" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Reserva a Nombre de *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="reservado_para" id="reservado_para" value="<?php  if(isset($_POST['reservado_para'])){ echo htmlentities($_POST['reservado_para']); }else{ echo htmlentities($rs->fields['reservado_para']); }?>" placeholder="Reservado para" class="form-control" required />                    
	</div>
</div>



<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha deseada *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="date" name="fecha_para" id="fecha_para" value="<?php  if(isset($_POST['fecha_para'])){ echo htmlentities($_POST['fecha_para']); }else{  echo htmlentities($rs->fields['fecha_para']);  } ?>" min="<?php  echo date("Y-m-d"); ?>" placeholder="Fecha para" class="form-control" required />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hora deseada </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="time" name="hora_deseada" id="hora_deseada" value="<?php  if(isset($_POST['hora_deseada'])){ echo htmlentities($_POST['hora_deseada']); }else{ echo htmlentities($rs->fields['hora_deseada']); }?>" placeholder="Hora deseada" class="form-control"  />                    
	</div>
</div>

<div class="clearfix"></div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cantidad personas *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="number" name="cantidad_personas" id="cantidad_personas" value="<?php  if(isset($_POST['cantidad_personas'])){ echo intval($_POST['cantidad_personas']); }else{ echo intval($rs->fields['cantidad_personas']); }?>" placeholder="Cantidad personas" class="form-control" required />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Observacion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input disabled type="text" name="notas" id="notas" value="<?php  if(isset($_POST['notas'])){ echo htmlentities($_POST['notas']); }else{ echo htmlentities($rs->fields['notas']); }?>" placeholder="Observacion" class="form-control"  />                    
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='reservas.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
