<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");


$idrevista=intval($_GET['id']);
if($idrevista == 0){
	echo "Revista Inexistente!";
	exit;	
}

$idrevista = antisqlinyeccion($idrevista,"int");

		
$consulta="
SELECT *
FROM revistas
WHERE 
idrevista = $idrevista
AND estado = 1
";
$rscab=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));	
$idrevista=intval($rscab->fields['idrevista']);
$color_fondo_ulthoja=antixss($rscab->fields['color_fondo_ulthoja']);
$formato=trim($rscab->fields['formato']);
if($idrevista == 0){
	echo "Revista Inexistente!";
	exit;	
}

$consulta="
SELECT det.*, r.revista FROM revistas_det det
LEFT JOIN revistas r ON r.idrevista = det.idrevista
WHERE 
det.idrevista = $idrevista
AND det.estado = 1
ORDER BY det.numero_hoja ASC
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



if($rs->recordCount() >0){

    $rsRow=$conexion->GetRow($consulta) or die(errorpg($conexion,$consulta));



}else{
    
    header("location: revistas_hojas_vacias.php");
    exit;
    
}


if($formato == 'R'){

?><!DOCTYPE html>
<html class="no-js">
<head>
	<meta charset="utf-8">
	<title>Vista previa: <?php echo antixss($rsRow['revista']); ?></title>
	<meta name="description" content="">
	<meta name="HandheldFriendly" content="True">
	<meta name="MobileOptimized" content="320">
	<meta name="viewport" content="width=device-width, initial-scale=1, minimal-ui,maximum-scale=2">
	<meta name="viewport" content="width=device-width, initial-scale=1, minimal-ui,maximum-scale=1">
	<meta http-equiv="cleartype" content="on">
<!--
	<link rel="apple-touch-icon-precomposed" sizes="144x144" href="img/touch/apple-touch-icon-144x144-precomposed.png">
	<link rel="apple-touch-icon-precomposed" sizes="114x114" href="img/touch/apple-touch-icon-114x114-precomposed.png">
	<link rel="apple-touch-icon-precomposed" sizes="72x72" href="img/touch/apple-touch-icon-72x72-precomposed.png">
	<link rel="apple-touch-icon-precomposed" href="img/touch/apple-touch-icon-57x57-precomposed.png">
	<link rel="shortcut icon" sizes="196x196" href="img/touch/touch-icon-196x196.png">
	<link rel="shortcut icon" href="img/touch/apple-touch-icon.png">

	<!-- Tile icon for Win8 (144x144 + tile color) -->
	<!--<meta name="msapplication-TileImage" content="img/touch/apple-touch-icon-144x144-precomposed.png">-->
	<meta name="msapplication-TileColor" content="#222222">

	<!-- SEO: If mobile URL is different from desktop URL, add a canonical link to the desktop page -->
	<!--
	<link rel="canonical" href="http://www.example.com/" >
	-->

	<!-- Add to homescreen for Chrome on Android -->
	<!--
	<meta name="mobile-web-app-capable" content="yes">
	-->

	<!-- For iOS web apps. Delete if not needed. https://github.com/h5bp/mobile-boilerplate/issues/94 -->
	<!--
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-status-bar-style" content="black">
	<meta name="apple-mobile-web-app-title" content="">
	-->

	<!-- This script prevents links from opening in Mobile Safari. https://gist.github.com/1042026 -->
	<!--
	<script>(function(a,b,c){if(c in b&&b[c]){var d,e=a.location,f=/^(a|html)$/i;a.addEventListener("click",function(a){d=a.target;while(!f.test(d.nodeName))d=d.parentNode;"href"in d&&(d.href.indexOf("http")||~d.href.indexOf(e.host))&&(a.preventDefault(),e.href=d.href)},!1)}})(document,window.navigator,"standalone")</script>
	-->

	<link rel="stylesheet" href="css/normalize.css">
	<link rel="stylesheet" href="wow_book/wow_book.css" type="text/css" />
	<link rel="stylesheet" href="css/main.css">
	<link href='//fonts.googleapis.com/css?family=News+Cycle' rel='stylesheet' type='text/css'>

	<script src="js/vendor/modernizr-2.7.1.min.js"></script>
</head>
<body style="background-color:#000000">
	<!-- Add your site or application content here -->
	<div class='book_container'>
  		<div id='book'>
<?php 
$i=1;
while(!$rs->EOF){ 
if($i==1){
	$class=" class='cover' ";
}else{
	$class="";
}
	
	
?>
<div <?php echo $class; ?>>
	<img src="../gfx/revistas/<?php echo $rs->fields['img']?>" width="100%"  height="100%" />
</div>
<?php 
$i++;
$rs->MoveNext(); } $rs->MoveFirst();
?>
<div  style="background-color:<?php echo $color_fondo_ulthoja; ?>;">
	<div style="border:0px solid #FFFFFF;width: 80%; margin-top:50%;margin-left:auto;margin-right:auto; text-align:center;">
		<a href="http://www.restaurante.com.py/" target="_blank"><img src="../img/logoemp2.png" width="100%" /></a>
	</div>
</div>
			
		</div> <!-- book -->
	</div>

	<!-- if you don't need support for IE8 use jquery 2.1 -->
	<!-- <script src="js/vendor/jquery-2.1.0.min.js"></script> -->
	<script src="js/vendor/jquery-1.11.2.min.js"></script>

	<script src="js/helper.js"></script>
	<script src="wow_book/wow_book.min.js"></script>
	<!-- <script src="js/main.js"></script> -->
	<script>

		$(function(){
			var bookOptions = {
				height   : '<?php echo $rscab->fields['height']; ?>',
				width    : '<?php echo $rscab->fields['width']; ?>',
				//maxWidth : 800,
				maxHeight : '<?php echo $rscab->fields['max_height']; ?>',

				centeredWhenClosed : true,
				hardcovers : true,
				//numberedPages : [1,-2],
				numberedPages : [-80],

				toolbar : "lastLeft, left, right, lastRight,  zoomin, zoomout, slideshow, fullscreen, thumbnails",

				thumbnailsPosition : 'bottom',
				responsiveHandleWidth : 50,
				//scaleToFit: ".book_container",

				container: window,
				containerPadding: "20px",
				toolbarPosition: "top", // default "bottom"

				// ,toc: [                      // table of contents in the format
				// 	[ "Item description", 1 ],  // [ "title", page number ]
				// 	[ "Go to codecanyon.net", "http://codecanyon.net" ] // or [ "title", "url" ]
				// ]
			};

			$('#book').wowBook( bookOptions ); // create the book

			var book=$.wowBook("#book"); // get book object instance

			$("#cover").click(function(){
				book.advance();
			});
		})
	</script>

</body>
</html><?php
} // if($formato == 'R'){
if($formato == 'P'){
?><!DOCTYPE html>
<html class="no-js">
<head>
	<meta charset="utf-8">
	<title>Vista previa: <?php echo antixss($rsRow['revista']); ?></title>
	<meta name="description" content="">
	<meta name="HandheldFriendly" content="True">
	<meta name="MobileOptimized" content="320">
	<meta name="viewport" content="width=device-width, initial-scale=1, minimal-ui,maximum-scale=2">
	<meta name="viewport" content="width=device-width, initial-scale=1, minimal-ui,maximum-scale=1">
</head>
<body style="background-color:#000000;">
<?php while(!$rs->EOF){ ?>
<div  style="background-color:<?php echo $color_fondo_ulthoja; ?>;">
	<div style="border:0px solid #FFFFFF;width: 98%; margin-top:5px;margin-left:auto;margin-right:auto; text-align:center;">
		<img src="../gfx/revistas/<?php echo $rs->fields['img']?>" width="100%"  height="100%" />
	</div>
</div>
<?php 

$rs->MoveNext(); } 
?>
<div  style="background-color:<?php echo $color_fondo_ulthoja; ?>;">
	<div style="border:0px solid #FFFFFF;width: 98%; margin-top:50px;margin-left:auto;margin-right:auto; text-align:center;">
		<a href="http://www.restaurante.com.py/" target="_blank"><img src="../img/logoemp2.png" style="max-width: 90%;"   /></a>
	</div>
</div>

</body>
</html>
<?php } ?>