<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="18";
$submodulo="635";
$dirsup="S";
require_once("../includes/rsusuario.php"); 




$idrhanticipocaja=intval($_GET['id']);
if($idrhanticipocaja == 0){
	header("location: rrhh_anticipo_caja_anul.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select *
from rrhh_anticipo_caja 
where 
idrhanticipocaja = $idrhanticipocaja
and estado = 1
limit 1
";
//echo $consulta;exit;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idrhanticipocaja=intval($rs->fields['idrhanticipocaja']);
$idpago=intval($rs->fields['idpago']);
$idcaja=intval($rs->fields['idcaja']);
if($idrhanticipocaja == 0){
	header("location: rrhh_anticipo_caja_anul.php");
	exit;	
}


if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	$idfuncionario=antisqlinyeccion($_POST['idfuncionario'],"int");


	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	



	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update rrhh_anticipo_caja
		set
			estado = 6,
			borrado_por = $idusu,
			borrado_el = '$ahora'
		where
			idrhanticipocaja = $idrhanticipocaja
			and estado = 1
			and idcaja = $idcaja
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		$consulta="
		update gest_pagos
		set
			estado = 6
		where
			idpago = $idpago
			and idcaja = $idcaja
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// recalcular caja
		recalcular_caja($idcaja);
		
		
		header("location: rrhh_anticipo_caja_anul.php");
		exit;
		
	}

}


// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Anticipos de salario por Caja</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Funcionario *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idfunci, concat(nombres,' ',apellidos) as funcionario
FROM gest_funcionarios
where
estado = 1
order by concat(nombres,' ',apellidos) asc
 ";

// valor seleccionado
if(isset($_POST['idfuncionario'])){ 
	$value_selected=htmlentities($_POST['idfuncionario']); 
}else{
	$value_selected=htmlentities($rs->fields['idfuncionario']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idfuncionario',
	'id_campo' => 'idfuncionario',
	
	'nombre_campo_bd' => 'funcionario',
	'id_campo_bd' => 'idfunci',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" disabled ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
		
?>
              
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Caja *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idcaja" id="idcaja" value="<?php  echo $idcaja; ?>" placeholder="Idcaja" class="form-control" required="required" readonly  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Monto anticipo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="monto_anticipo" id="monto_anticipo" value="<?php  if(isset($_POST['monto_anticipo'])){ echo floatval($_POST['monto_anticipo']); }else{ echo floatval($rs->fields['monto_anticipo']); }?>" placeholder="Monto anticipo" class="form-control" required="required" disabled />                    
	</div>
</div>


<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='rrhh_anticipo_caja_anul.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>


  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />
					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
