<?php

require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="18";
$submodulo="589";
require_once("../includes/rsusuario.php"); 


if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$mes=antisqlinyeccion($_POST['mes'],"int");
	$ano=antisqlinyeccion($_POST['ano'],"int");
	$fecha_inicio=antisqlinyeccion($_POST['fecha_inicio'],"text");
	$fecha_fin=antisqlinyeccion($_POST['fecha_fin'],"text");
	$estado=1;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$registrado_por=$idusu;

	if(intval($_POST['mes']) == 0){
		$valido="N";
		$errores.=" - El campo mes no puede ser cero o nulo.<br />";	
	}
	if(intval($_POST['ano']) == 0){
		$valido="N";
		$errores.=" - El campo ano no puede ser cero o nulo.<br />";	
	}
	if(trim($_POST['fecha_inicio']) == ''){
		$valido="N";
		$errores.=" - El campo fecha_inicio no puede estar vacio.<br />";	
	}
	if(trim($_POST['fecha_fin']) == ''){
		$valido="N";
		$errores.=" - El campo fecha_fin no puede estar vacio.<br />";	
	}
/* 
borrado_por 
*/
/* 
borrado_el 
*/


	// si todo es correcto inserta
	if($valido == "S"){
		
    // Antes de guardar un periodo nuevo, se verifica que no haya uno marcado como activo

    $consulta="SELECT id from rrhh_periodos where cerrado = 0 and estado = 1";
		$rsperiodos = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
    $rsperiodosCount = $rsperiodos->recordCount();

    if($rsperiodosCount == 0){

      $consulta="
      insert into rrhh_periodos
      (mes, ano, fecha_inicio, fecha_fin, estado, registrado_el, registrado_por)
      values
      ($mes, $ano, $fecha_inicio, $fecha_fin, $estado, $registrado_el, $registrado_por)
      ";
      $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
      
      header("location: rrhh_periodos.php");
      exit;

    }else{

      $valido="N";
      $errores.=" - No se puede crear un periodo si hay otro periodo activo.<br />";	

    }
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			      <?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Crear nuevo periodo</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <?php if(trim($errores) != ""){ ?>
                      <div class="alert alert-danger alert-dismissible fade in" role="alert">
                      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
                      </button>
                      <strong>Errores:</strong><br /><?php echo $errores; ?>
                      </div>
                    <?php } ?>
                    <form id="form1" name="form1" method="post" action="">

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Mes *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                        <select class="form-control" name="mes" id="mes">
                          <option value="0">-- Seleccione --</option>
                          <option value="1" <?php echo ($_POST['mes']==1)?'selected':'' ?>>Enero</option>
                          <option value="2" <?php echo ($_POST['mes']==2)?'selected':'' ?>>Febrero</option>
                          <option value="3" <?php echo ($_POST['mes']==3)?'selected':'' ?>>Marzo</option>
                          <option value="4" <?php echo ($_POST['mes']==4)?'selected':'' ?>>Abril</option>
                          <option value="5" <?php echo ($_POST['mes']==5)?'selected':'' ?>>Mayo</option>
                          <option value="6" <?php echo ($_POST['mes']==6)?'selected':'' ?>>Junio</option>
                          <option value="7" <?php echo ($_POST['mes']==7)?'selected':'' ?>>Julio</option>
                          <option value="8" <?php echo ($_POST['mes']==8)?'selected':'' ?>>Agosto</option>
                          <option value="9" <?php echo ($_POST['mes']==9)?'selected':'' ?>>Setiembre</option>
                          <option value="10" <?php echo ($_POST['mes']==10)?'selected':'' ?>>Octubre</option>
                          <option value="11" <?php echo ($_POST['mes']==11)?'selected':'' ?>>Noviembre</option>
                          <option value="12" <?php echo ($_POST['mes']==12)?'selected':'' ?>>Diciembre</option>
                        </select>
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">A&ntilde;o *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                        <select class="form-control" name="ano" id="ano">
                          <option value="0">-- Seleccione --</option>
                          <option value="2020" <?php echo ($_POST['ano']==1)?'selected':'' ?>>2020</option>
                          <option value="2021" <?php echo ($_POST['ano']==2)?'selected':'' ?>>2021</option>
                          <option value="2022" <?php echo ($_POST['ano']==3)?'selected':'' ?>>2022</option>
                          <option value="2023" <?php echo ($_POST['ano']==4)?'selected':'' ?>>2023</option>
                          <option value="2024" <?php echo ($_POST['ano']==5)?'selected':'' ?>>2024</option>
                          <option value="2025" <?php echo ($_POST['ano']==6)?'selected':'' ?>>2025</option>
                          <option value="2026" <?php echo ($_POST['ano']==7)?'selected':'' ?>>2026</option>
                          <option value="2027" <?php echo ($_POST['ano']==8)?'selected':'' ?>>2027</option>
                          <option value="2028" <?php echo ($_POST['ano']==9)?'selected':'' ?>>2028</option>
                          <option value="2029" <?php echo ($_POST['ano']==10)?'selected':'' ?>>2029</option>
                          <option value="2030" <?php echo ($_POST['ano']==11)?'selected':'' ?>>2030</option>
                          <option value="2031" <?php echo ($_POST['ano']==12)?'selected':'' ?>>2031</option>
                          <option value="2032" <?php echo ($_POST['ano']==12)?'selected':'' ?>>2032</option>
                          <option value="2032" <?php echo ($_POST['ano']==12)?'selected':'' ?>>2032</option>
                          <option value="2034" <?php echo ($_POST['ano']==12)?'selected':'' ?>>2034</option>
                          <option value="2035" <?php echo ($_POST['ano']==12)?'selected':'' ?>>2035</option>
                          <option value="2036" <?php echo ($_POST['ano']==12)?'selected':'' ?>>2036</option>
                          <option value="2037" <?php echo ($_POST['ano']==12)?'selected':'' ?>>2037</option>
                          <option value="2038" <?php echo ($_POST['ano']==12)?'selected':'' ?>>2038</option>
                          <option value="2039" <?php echo ($_POST['ano']==12)?'selected':'' ?>>2039</option>
                          <option value="2040" <?php echo ($_POST['ano']==12)?'selected':'' ?>>2040</option>
                        </select>
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha inicio *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="date" name="fecha_inicio" id="fecha_inicio" value="<?php  if(isset($_POST['fecha_inicio'])){ echo htmlentities($_POST['fecha_inicio']); }else{ echo htmlentities($rs->fields['fecha_inicio']); }?>" placeholder="Fecha inicio" class="form-control" required="required" />                    
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha fin *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="date" name="fecha_fin" id="fecha_fin" value="<?php  if(isset($_POST['fecha_fin'])){ echo htmlentities($_POST['fecha_fin']); }else{ echo htmlentities($rs->fields['fecha_fin']); }?>" placeholder="Fecha fin" class="form-control" required="required" />                    
                      </div>
                    </div>

                    <div class="clearfix"></div>
                    <br />

                        <div class="form-group">
                        <div class="col-md-12 col-sm-12 col-xs-12 text-center">
                            
                        <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
                        <button type="button" class="btn btn-primary" onMouseUp="document.location.href='rrhh_periodos.php'"><span class="fa fa-ban"></span> Cancelar</button>
                            </div>
                        </div>

                      <input type="hidden" name="MM_insert" value="form1" />
                      <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
                    <br />
                    </form>
                    <div class="clearfix"></div>
                    <br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		    <?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
    <?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
