<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="18";
$submodulo="591";
require_once("../includes/rsusuario.php"); 


$id=intval($_GET['id']);
if($id == 0){
	header("location: rrhh_tipos_permisos.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from rrhh_permisos_tipos 
where 
id = $id
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$id=intval($rs->fields['id']);
if($id == 0){
	header("location: rrhh_tipos_permisos.php");
	exit;	
}




if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$descripcion=antisqlinyeccion($_POST['descripcion'],"text");
	$descontar_salario=antisqlinyeccion($_POST['descontar_salario'],"text");
  $monto_descuento=antisqlinyeccion($_POST['monto_descuento'],"int");
  $permiso_ips=antisqlinyeccion($_POST['permiso_ips'],"int");
	$estado=1;
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");




	if(trim($_POST['descripcion']) == ''){
		$valido="N";
		$errores.=" - El campo descripcion no puede estar vacio.<br />";	
	}
	if(trim($_POST['descontar_salario']) == ''){
		$valido="N";
		$errores.=" - El campo descontar_salario no puede estar vacio.<br />";	
	}
  /*if((trim($_POST['monto_descuento']) == '' || trim($_POST['monto_descuento']) == 0)  && trim($_POST['descontar_salario']) == 1){
		$valido="N";
		$errores.=" - El monto a descontar debe ser mayor a 0.<br />";	
	}*/


	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update rrhh_permisos_tipos
		set
			descripcion=$descripcion,
			descontar_salario=$descontar_salario,
      montodes=$monto_descuento,
      permiso_ips=$permiso_ips
		where
			id = $id
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: rrhh_tipos_permisos.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Editar tipo de permiso</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

                  <?php if(trim($errores) != ""){ ?>
                  <div class="alert alert-danger alert-dismissible fade in" role="alert">
                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
                  </button>
                  <strong>Errores:</strong><br /><?php echo $errores; ?>
                  </div>
                  <?php } ?>
                  <form id="form1" name="form1" method="post" action="">

                  <div class="col-md-6 col-sm-6 form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Descripcion *</label>
                    <div class="col-md-9 col-sm-9 col-xs-12">
                    <input type="text" name="descripcion" id="descripcion" value="<?php  if(isset($_POST['descripcion'])){ echo htmlentities($_POST['descripcion']); }else{ echo htmlentities($rs->fields['descripcion']); }?>" placeholder="Descripcion" class="form-control" required="required" />                    
                    </div>
                  </div>

                  <div class="col-md-6 col-sm-6 form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Descontar del salario *</label>
                    <div class="col-md-9 col-sm-9 col-xs-12">
                      <select class="form-control" name="descontar_salario" id="descontar_salario">
                        <option value="0" <?php echo ($rs->fields['descontar_salario'] == 0)?'selected':''; ?>>No</option>
                        <option value="1" <?php echo ($rs->fields['descontar_salario'] == 1)?'selected':''; ?>>Si</option>
                      </select>
                    </div>
                  </div>

                  <div class="col-md-6 col-sm-6 form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12">Monto a descontar *</label>
                    <div class="col-md-9 col-sm-9 col-xs-12">
                    <input type="text" name="monto_descuento" id="monto_descuento" value="<?php  if(isset($_POST['montodes'])){ echo htmlentities($_POST['montodes']); }else{ echo htmlentities($rs->fields['montodes']); }?>" placeholder="Monto a descontar" class="form-control" />                    
                    </div>
                  </div>

                  <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Permiso IPS *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                        <select class="form-control" name="permiso_ips" id="permiso_ips">
                          <option value="0" <?php echo ($rs->fields['permiso_ips'] == 0)?'selected':''; ?>>No</option>
                          <option value="1" <?php echo ($rs->fields['permiso_ips'] == 1)?'selected':''; ?>>Si</option>
                        </select>
                      </div>
                    </div>

                  <div class="clearfix"></div>
                  <br />

                      <div class="form-group">
                      <div class="col-md-12 col-sm-12 col-xs-12 text-center">
                          
                      <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
                      <button type="button" class="btn btn-primary" onMouseUp="document.location.href='rrhh_tipos_permisos.php'"><span class="fa fa-ban"></span> Cancelar</button>
                          </div>
                      </div>

                    <input type="hidden" name="MM_update" value="form1" />
                    <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
                  <br />
                  </form>
                  <div class="clearfix"></div>
                  <br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
