<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo="1";
$submodulo="585";
require_once("../includes/rsusuario.php"); 

$id=intval($_GET['id']);
if($id == 0){
	header("location: rrhh_vacaciones_registradas.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select rfv.*, rvp.periodo
from rrhh_funcionarios_vacaciones rfv
join rrhh_vacaciones_periodos rvp ON rvp.id = rfv.id_periodo
where 
rfv.id = $id
and rfv.estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$id=intval($rs->fields['id']);
if($id == 0){
	header("location: rrhh_vacaciones_registradas.php");
	exit;	
}


if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){


	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots


	// A) si todo es correcto actualiza como estado = 6 (Borrado)
	if($valido == "S"){
		
		$consulta="
		update rrhh_funcionarios_vacaciones
		set
			estado = 6,
			borrado_por = $idusu,
			borrado_el = '$ahora'
		where
			id = $id
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: rrhh_funcionarios_vacaciones.php");
		exit;
		
	}

  // B) Luego elimina 

}


// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			      <?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Borrar vacación asignada</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

                    <?php if(trim($errores) != ""){ ?>
                    <div class="alert alert-danger alert-dismissible fade in" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
                    </button>
                    <strong>Errores:</strong><br /><?php echo $errores; ?>
                    </div>
                    <?php } ?>
                    <form id="form1" name="form1" method="post" action="">

                    <div class="col-md-12 col-sm-12 form-group">
                      <div class="col-md-9 col-sm-9 col-xs-12"><h2>Periodo: <?php echo date('Y', strtotime($rs->fields['periodo'])); ?></h2></div>
                      <div class="col-md-9 col-sm-9 col-xs-12"><h2>D&iacute;as que saldr&aacute;: <?php echo $rs->fields['cantidad_dias']; ?></h2></div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Descripcion *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="text" name="descripcion" id="descripcion" value="<?php  if(isset($_POST['descripcion'])){ echo htmlentities($_POST['descripcion']); }else{ echo htmlentities($rs->fields['descripcion']); }?>" placeholder="Descripcion" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha inicio *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="date" name="fecha_inicio" id="fecha_inicio" value="<?php  if(isset($_POST['fecha_inicio'])){ echo htmlentities($_POST['fecha_inicio']); }else{ echo htmlentities($rs->fields['fecha_inicio']); }?>" placeholder="Fecha inicio" class="form-control" required="required" readonly="readonly" disabled="disabled"  />                    
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha fin *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="date" name="fecha_fin" id="fecha_fin" value="<?php  if(isset($_POST['fecha_fin'])){ echo htmlentities($_POST['fecha_fin']); }else{ echo htmlentities($rs->fields['fecha_fin']); }?>" placeholder="Fecha fin" class="form-control" required="required" readonly="readonly" disabled="disabled"  />                    
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha vuelta *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="date" name="fecha_vuelta" id="fecha_vuelta" value="<?php  if(isset($_POST['fecha_vuelta'])){ echo htmlentities($_POST['fecha_vuelta']); }else{ echo htmlentities($rs->fields['fecha_vuelta']); }?>" placeholder="Fecha vuelta" class="form-control" required="required" readonly="readonly" disabled="disabled" />                    
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Cantidad dias *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="text" name="cantidad_dias" id="cantidad_dias" value="<?php  if(isset($_POST['cantidad_dias'])){ echo intval($_POST['cantidad_dias']); }else{ echo intval($rs->fields['cantidad_dias']); }?>" placeholder="Cantidad dias" class="form-control" required="required" readonly="readonly" disabled="disabled"  />                    
                      </div>
                    </div>

                    <div class="col-md-6 col-sm-6 form-group">
                      <label class="control-label col-md-3 col-sm-3 col-xs-12">Monto a percibir *</label>
                      <div class="col-md-9 col-sm-9 col-xs-12">
                      <input type="text" name="monto_recibir" id="monto_recibir" value="<?php  if(isset($_POST['monto_recibir'])){ echo intval($_POST['monto_recibir']); }else{ echo intval($rs->fields['monto_recibir']); }?>" placeholder="Monto a percibir" class="form-control" required="required" readonly="readonly" disabled="disabled"  />                    
                      </div>
                    </div>

                    <div class="clearfix"></div>
                    <br />

                    <div class="form-group">
                        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
                    <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
                    <button type="button" class="btn btn-primary" onMouseUp="document.location.href='rrhh_vacaciones_registradas.php'"><span class="fa fa-ban"></span> Cancelar</button>
                        </div>
                    </div>


                    <input type="hidden" name="MM_update" value="form1" />
                    <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
                    <br />
                    </form>
                    <div class="clearfix"></div>
                    <br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION -->
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
