<?php
/*--------------------------------
02/05/2023

----------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="18";
$submodulo="351";

require_once("includes/rsusuario.php"); 




if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){
//print_r($_POST);exit;
	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	//$idcargo=antisqlinyeccion($_POST['idcargo'],"text");
	$descripcion=antisqlinyeccion($_POST['descripcion'],"text");
	$estado=1;
	//$muestra_ambos=antisqlinyeccion($_POST['muestra_ambos'],"text");
	$mostrar_en=antisqlinyeccion($_POST['eli'],"int");
	//$registrado_por=$idusu;
	//$registrado_el=antisqlinyeccion($ahora,"text");
	//$anulado_el=antisqlinyeccion($_POST['anulado_el'],"text");
	//$anulado_por=antisqlinyeccion($_POST['anulado_por'],"int");




	
	if(trim($_POST['descripcion']) == ''){
		$valido="N";
		$errores.=" - El campo descripcion no puede estar vacio.<br />";	
	}
	
	if(intval($_POST['eli']) == 0){
		$valido="N";
		$errores.=" - Debe indicar si el cargo muestra en recibo real o fiscal.<br />";	
	}



	// si todo es correcto inserta
	if($valido == "S"){
		//buscamos si ya no existe el tipo
		$buscar="Select descripcion from rrhh_cargos where descripcion=$descripcion";
		$rg=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		if ($rg->fields['descripcion']==''){
			$consulta="
			insert into rrhh_cargos
			(descripcion, estado, muestra_ambos, mostrar_en, registrado_por, registrado_el, anulado_el, anulado_por)
			values
			($descripcion, $estado, 'N', $mostrar_en, $idusu, current_timestamp, NULL, NULL)
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

			header("location: rrhh_listado_cargos.php");
			exit;
			
			
			
		} else {
			$errores="El item ya existe con el nombre de $descripcion";
			
		}
		
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Agregar tipo descuento</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
								<?php if(trim($errores) != ""){ ?>
								<div class="alert alert-danger alert-dismissible fade in" role="alert">
								<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
								</button>
								<strong>Errores:</strong><br /><?php echo $errores; ?>
								</div>
								<?php } ?>
								<form id="form1" name="form1" method="post" action="">

								<div class="col-md-6 col-sm-6 form-group">
									<label class="control-label col-md-3 col-sm-3 col-xs-12">Descripcion *</label>
									<div class="col-md-9 col-sm-9 col-xs-12">
									<input type="text" name="descripcion" id="descripcion" value="<?php  if(isset($_POST['descripcion'])){ echo htmlentities($_POST['descripcion']); }else{ echo htmlentities($rs->fields['descripcion']); }?>" placeholder="Descripcion" class="form-control" required="required" />                    
									</div>
								</div>

								<div class="col-md-6 col-sm-6 form-group">
									<label class="control-label col-md-3 col-sm-3 col-xs-12">Mostrar en recibos *</label>
									<div class="col-md-9 col-sm-9 col-xs-12">
										<select name="eli" id="eli" style="height: 40px; width: 90%;">
											<option value="" selected="selected">Seleccionar</option>
											<option value="1" >FISCAL</option>
											<option value="2" >REAL</option>
										</select>
									                   
									</div>
								</div>

							

								

								
								<div class="clearfix"></div>
								<br />

									<div class="form-group">
										<div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
									   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
									   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='rrhh_listado_cargos.php'"><span class="fa fa-ban"></span> Cancelar</button>
										</div>
									</div>

								  <input type="hidden" name="MM_insert" value="form1" />
								  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
								<br />
								</form>
								<div class="clearfix"></div>
								<br /><br />
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
