<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="18";
$submodulo="289";
require_once("includes/rsusuario.php"); 




$buscar="Select * from sucursales where estado=1 order by nombre asc";
$rsli=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$total=$rsli->RecordCount();

//Traemos lista de funcionarios x sucursal
$buscar="Select sucursal,nombre,documento,idfunci,nombres,apellidos,
(select monto_salario from rrhh_salarios where idfuncionario=gest_funcionarios.idfunci and estado=1 order by registrado_el desc limit 1) as salario,
(select ingreso_real from rrhh_funcionarios_ingresos where idfunci=gest_funcionarios.idfunci) as ingresoreal,
(select ingreso_ips from rrhh_funcionarios_ingresos where idfunci=gest_funcionarios.idfunci) as ingresoips
from gest_funcionarios
inner join sucursales on sucursales.idsucu=gest_funcionarios.sucursal
order by sucursal asc";
$rsf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
              
            </div>

            <div class="clearfix"></div>
			
            
            
            <?php if ($total >0){?>
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2> Funcionarios activos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                      
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                  		<table class="table table-striped jambo_table bulk_action">
                     
                                    <thead>
                                        <tr class="headings">
                                            <th height="37">Funcionario</th>
                                            <th class="column-title">Documento</th>
                                            <th class="column-title">Fecha Ingreso EF</th>
                                            <th class="column-title">Fecha Inscripcion EF</th>
                                            <th class="column-title"></th>
                                            
                                            
                                        </tr>
                                    </thead>
                                    
                                    <tbody>
                                    <?php 
										$anterior=0;
										$c=0;
										while(!$rsf->EOF){
											$c=$c+1;
											if (intval($rsf->fields['sucursal'])!=$idsucusel){
												
												$idsucusel=intval($rsf->fields['sucursal']);
												$c=1;
											}
											if ($c==1){
												$anterior=$idsucusel;
												$imprime="<tr>
												<td colspan='5' align='center'>Sucursal:".trim($rsf->fields['nombre'])."</td>
												</tr>
												";
											} else {
												$imprime="";
											}
										
										?>
                                        <?php echo $imprime;?>
                                        <tr>
                                       		 
                                        	<td><?php echo $rsf->fields['nombres'].' '.$rsf->fields['apellidos']; ?></td>
                                            <td><?php echo formatomoneda($rsf->fields['documento'],0,'N')?></td>
                                            
                                            <td><?php if ($rsf->fields['ingresoreal']!=''){echo date("d/m/Y",strtotime($rsf->fields['ingresoreal'])); }?></td>
                                            <td><?php if ($rsf->fields['ingresoips']!=''){echo date("d/m/Y",strtotime($rsf->fields['ingresoips']));}?></td>
                                            <td></td>
                                        </tr>
                                     <?php 
									 
									 $rsf->MoveNext();
									 
									 }
									 
									 ?>
                                     <tr>
                                     	<td colspan="5" align="center">
                                        <a href="rrhh_nomina_activa_xls.php" target="_blank">
                                        <img src="img/xls3.png" width="40px;" height="40px;" />
                                        </a>
                                        </td>
                                     
                                     </tr>
                                    </tbody>
                                    </table>
                                        
                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            <?php }?>
          </div>
        </div>
        <script>
			function generar_xls(){
				var enlace='';
				var d=$("#desde").val();
				var h=$("#hasta").val();
				var ss=$("#suc").val();
				var ff=$("#funci").val();
				
				enlace="rrhh_registro_marcaciones_xls.php?suc="+ss+"&desde="+d+"&hasta="+h+"&funci="+ff+"";
				window.open(enlace,"_blank"); 
			}
		
		</script>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
