<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="18";
$submodulo="98";

require_once("includes/rsusuario.php"); 

if (isset($_POST['mesoc']) && ($_POST['mesoc'] > 0)){
	$mesprocesar=intval($_POST['mesoc']);
	$anoprocesar=intval($_POST['anoc']);
	//armamos el ultimo dia del mes a ser procesado
	$prim=$anoprocesar.'-'.$mesprocesar.'-'.'01';
	$prim=date("Y-m-d",strtotime($prim));
	$last=ultimodia($prim);
	$lt=$anoprocesar.'-'.$mesprocesar.'-'.$last;
	$ultimo=date("Y-m-d",strtotime($lt));
	//Nomina de funcionarios activos
	$buscar="Select * from gest_funcionarios where estado=1	and date(fecha_ingreso) <='$ultimo'
	order by nombres,apellidos asc";
	$rsfun=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	//Cerramos el mes activo que se proceso , en la seccion de pagos y registramos el pago al IPS
	$update="Update gest_mes_curso set estado=3,fecha_cierre=current_timestamp,cerrado_por=$idusu
	where mes=$mesprocesar and ano=$anoprocesar and estado=1";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	
	
	//Registramos el pago AL IPS
	$fechapago=antisqlinyeccion($_POST['fechapago'],'date');
	

	 $tnetopaga=0;
    while (!$rsfun->EOF){
		$dc=intval($rsfun->fields['documento']);
        $salarioactual=intval($rsfun->fields['salariogs']);
        $ips25=intval(($salarioactual*25.5)/100);
        $ips9=intval(($salarioactual*9)/100);
        $ipsneto=$ips25-$ips9;
        $tnetopaga=$tnetopaga+$ipsneto;	
		
		$insertar="Insert into rrhh_pagos_ips 
		(documento,mes,ano,estado,montoips,montotrabajador,neto_abonadogs,fecha_pago,registrado_por,salariogs)
		values
		($dc,$mesprocesar,$anoprocesar,1,$ips25,$ips9,$ipsneto,$fechapago,$idusu,$salarioactual)";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
		
		$rsfun->MoveNext();
	}
	
	//Por ultimo registramos el mes y ano como pagados
	$insertar="insert into rrhh_pagos_ips_mes
	(mes,ano,registrado_el,registrado_por,fecha_pago,total_abonado)
	values
	($mesprocesar,$anoprocesar,current_timestamp,$idusu,$fechapago, $tnetopaga)";
	$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));	
	
	$mes=$mesprocesar;
	$ano=$anoprocesar;
}
if (isset($_POST['tipos']) && (intval($_POST['tipos']) > 0)){
	$mes=intval($_POST['tipos']);
	$ano=intval($_POST['anos']);
	if ($mes<10){
		$mes='0'.$mes;
	}
	$buscar="select * from gest_mes_curso where mes=$mes and ano=$ano";
	$rsbus=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$h1=intval($rsbus->fields['estado']);

	if ($h1==0){
		$errorbusca="* Mes/A&ntilde;o seleccionado no se ha encontrado.";
	} else {
		$mc=intval($rsbus->fields['mes']);
		$ano=intval($rsbus->fields['ano']);
		$estadomes=intval($rsbus->fields['estado']);
		if ($mc <10){
			$mc='0'.$mc;	
		}
		$prim=$ano.'-'.$mc.'-'.'01';
		$prim=date("Y-m-d",strtotime($prim));
		$last=ultimodia($prim);
		$lt=$ano.'-'.$mc.'-'.$last;
		$ultimo=date("Y-m-d",strtotime($lt));
		
	}
} else {
	//No se selecciono nada, traemos el primero activo por defecto
	//Buscamos el mes en curso o abierto.Si no existe, se genera uno

	$buscar="Select mes,ano,estado from gest_mes_curso where estado=1 order by mes,ano desc ";
	$rsm=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	$mc=intval($rsm->fields['mes']);
	$ano=intval($rsm->fields['ano']);
	$estadomes=intval($rsm->fields['estado']);
	
	$prim=$ano.'-'.$mc.'-'.'01';
	$prim=date("Y-m-d",strtotime($prim));
	$last=ultimodia($prim);
	$lt=$ano.'-'.$mc.'-'.$last;
	$ultimo=date("Y-m-d",strtotime($lt));
	
}

//Nomina de funcionarios activos
$buscar="Select * from gest_funcionarios where estado=1 and date(fecha_ingreso) <='$ultimo'
order by nombres,apellidos asc";
$rsfun=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
//echo $buscar;
$tfunci=$rsfun->RecordCount();

//cursor para ano
$buscar="Select  distinct(ano) as anofin from gest_mes_curso order by anofin desc";
$rsanos=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

//Con el mes y ano indicados, vemos si ya se abono por el mes en curso seleccionado para mostrar fecha y boton
$buscar="select * from rrhh_pagos_ips_mes where mes=$mc and ano=$ano";
$rsbu=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

if ($rsbu->fields['registrado_por']>0){
	$mostrar=0;
} else {
	$mostrar=1;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<script type="text/javascript" src="js/jquery-1.9.1.js">

</script>
<script>
function enviar(){
	var errores='';
	var m=document.getElementById('tipos').value;
	var a=document.getElementById('anos').value;
	if ((m=='') || (a=='')){
		errores=errores='* Debe indicar mes y ano a buscar.';
		alertar('ATENCION: Algo sali mal.',errores,'error','Lo entiendo!');	
	} else {
		document.getElementById('selemes').submit();
		
	}
		
	 
 }
</script>
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="clear"></div>
<div class="cuerpo">
 <div align="center" >
 <?php require_once("includes/menuarriba.php");?>
</div>

<div class="colcompleto" id="contenedor">
 	<!-- SECCION DONDE COMIENZA TODO -->
<br />
<div class="divstd"></div>
<br />
<br />
    <div class="resumenmini">
    	<a href="rrhh_pagos_efectuados.php">
   	  		<img src="img/1455915556_file.png" width="32" height="32" alt=""/><br />
     	</a>
        
       <strong>Pago de IPS</strong><br />
    	<strong>Monto a ser abonado por la Patronal</strong>
        <br />
        Indique el mes y a&ntilde;o a procesar<br />
      <form id="selemes" name="selemes" action="rrhh_pago_ips.php" method="post">
                <select id="tipos" name="tipos" style="width:100px">
                            <option value="0" selected="selected">Seleccionar</option>
                             <?php for ($i=1;$i<=12;$i++){?>
                             <option value="<?php echo $i;?>"<?php if($_POST['tipos']==$i){?> selected="selected"<?php } else { if ($mc==$i) {?>  selected="selected" <?php }} ?> ><?php echo $i;?></option>
                             <?php } ?>
                        </select>
                <select id="anos" name="anos" style="width:100px">
                            <option value="0" selected="selected">Seleccionar</option>
                            <?php while (!$rsanos->EOF){?>
                            <option value="<?php echo $rsanos->fields['anofin']?>" 
							<?php if($_POST['anos']==$rsanos->fields['anofin']){?> selected="selected"<?php ?>
							<?php } else { 
							if ($ano==$rsanos->fields['anofin']) {?>  
                            selected="selected" <?php }} ?>  >
							<?php echo $rsanos->fields['anofin']?></option>
                            
                            <?php $rsanos->MoveNext();}?>
                  </select>
                  &nbsp;<a href="javascript:void(0);" onclick="enviar();"><img src="img/buscar16.png" width="16" height="16" title="buscar"/> </a>
                </form>
    </div>
    
    <br />
   <div align="center">
   <?php if (($mc > 0) && ($ano > 0)){?>
   				<br />
   		<?php if ($errorbusca==''){?>
        	
	  <strong>Mes abonar:</strong> <span class="resaltarojomini"><?php echo $mc ?>/ <?php echo $ano?></span>
                     <br />
      <span class="resaltaditomenor">N&oacute;mina de Funcionarios</span>
                      <br />
                        <table width="647" height="147" class="tablalinda3">
                            <tr>
                                <td width="77" height="33" align="center" bgcolor="#C9FFD7"><strong>Fecha Ingreso</strong></td>
                                <td width="113" align="center" bgcolor="#C9FFD7"><strong>Funcionario</strong></td>
                                 <td width="82" align="center" bgcolor="#C9FFD7"><strong>CI</strong></td>
                                <td width="89" align="center" bgcolor="#C9FFD7"><strong>Salario Actual</strong></td>
                                <td width="93" align="center" bgcolor="#C9FFD7"><strong>IPS 25.5%</strong></td>
                                <td width="73" align="center" bgcolor="#C9FFD7"><strong>IPS 9%</strong></td>
                                <td width="88" align="center" bgcolor="#C9FFD7"><strong>Neto Abonar IPS</strong></td>
                            </tr>
                            <?php 
                                $tnetopaga=0;
                                while (!$rsfun->EOF){
                                $salarioactual=intval($rsfun->fields['salariogs']);
                                $ips25=intval(($salarioactual*25.5)/100);
                                $ips9=intval(($salarioactual*9)/100);
                                $ipsneto=$ips25-$ips9;
                                $tnetopaga=$tnetopaga+$ipsneto;
                            ?>
                            <tr>
                                <td height="28"><?php echo $rsfun->fields['fecha_ingreso']?></td>
                                <td><?php echo $rsfun->fields['nombres'].' '.$rsfun->fields['apellidos']?></td>
                                <td align="right"><?php echo $rsfun->fields['documento']?></td>
                                <td align="right"><strong><?php echo formatomoneda($rsfun->fields['salariogs'])?></strong></td>
                                <td align="right"><strong><?php echo formatomoneda($ips25)?></strong></td>
                                <td align="right"><strong><?php echo formatomoneda($ips9)?></strong></td>
                                <td align="right"><span class="resaltarojomini"><?php echo formatomoneda($ipsneto)?></span></td>
                            </tr>
                            <?php  !$rsfun->MoveNext();}?>
                            
                            <tr>
                                <td height="33" colspan="7" align="right"><strong>Neto a pagar mes <?php echo $mc ?>/ <?php echo $ano ?> Gs: </strong> <span class="resaltarojomini"><?php echo formatomoneda($tnetopaga);?></span></td>
                            
                          </tr>
                          <tr>
                          <td colspan="7" align="center">
                          <?php if ($mostrar==1){?>
                           <form id="fdrt" action="rrhh_pago_ips.php" method="post" >
                            <input type="hidden" name="mesoc" id="mesoc" value="<?php echo $mc?>" />
                                <input type="hidden" name="anoc" id="anoc" value="<?php echo $ano?>" />
                                <strong>Fecha Pago</strong>:
                               <input type="date" name="fechapago" id="fechapago" required="required" /><br />
                            <input type="submit" name="rg" value="Registrar Pago a IPS" />
                          </form>
                          <?php } ?>
                          </td>
                          </tr>
                        </table>
                
               <?php } else { ?>
               <span class="resaltarojomini">
           	   <h1> Mes y ano indicados no continenen registros.</h1>
               </span>
               <?php }?>
         <?php }?>      
   	</div>
    
</div> <!-- contenedor -->
<div class="clear"></div><!-- clear1 -->
</div> <!-- cuerpo -->
<div class="clear"></div><!-- clear2 -->
<?php require("includes/pie.php"); ?>
</body>
</html>