<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="18";
$submodulo="98";

require_once("includes/rsusuario.php"); 

function tiempo_trasnc($hora1,$hora2){ 
	//retorna solominutos transcurridos
	//echo $hora1;echo '..'.$hora2;
    $separar[1]=explode(':',$hora1); 
    $separar[2]=explode(':',$hora2); 

	$total_minutos_trasncurridos[1] = ($separar[1][0]*60)+$separar[1][1]; 
	$total_minutos_trasncurridos[2] = ($separar[2][0]*60)+$separar[2][1]; 
	$total_minutos_trasncurridos = $total_minutos_trasncurridos[1]-$total_minutos_trasncurridos[2]; 
	return $total_minutos_trasncurridos;
	
	
} 
function transforma($tminutos){
	 
	$segundos=floor($tminutos*60);
	$dias=floor($segundos/86400); 
	$mod_hora=($segundos%86400);
	$hora=floor($mod_hora/3600);
	$min=($mod_hora%3600); 
	$min=floor($min/60);
	$res="";
	

	// construye el tiempo
	if($dias > 0){
		$res.=$dias.' Dias. ';
	}
	if($hora > 0){
		$res.=$hora.' hs. ';
	}
	if($min > 0){
		$res.=$min.' min. ';
	}
	

	
	return $res;
	 
 }
$pagar=intval($_GET['pagar']);
if ($pagar > 0){
	$mc=intval($_GET['mc']);
	if ($mc<10){
		$mc='0'.$mc;
	}
	$idfuncionario=intval($pagar);
	$ac=intval($_GET['ac']);
	$ano=$ac;

	$prim=$ano.'-'.$mc.'-'.'01';
	$prim=date("Y-m-d",strtotime($prim));
	$last=ultimodia($prim);
	$lt=$ano.'-'.$mc.'-'.$last;
	$ultimo=date("Y-m-d",strtotime($lt));
	//para pagar, tomaremos como valida la revision de horarios que pudieran haber efectuado y aplicamos/fijamos los horarios
	
	$buscar="Select * from gest_funcionarios where documento=$idfuncionario";
	$rsfun=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	//salario base del funcionario
	$salario=($rsfun->fields['salariogs']);
	$ips=intval(($salario*9)/100);
	//Total de descuentos fijos/otros aplicados
	$buscar="Select sum(montogs) as tdesco from gest_descuentos_detalles
	where mes=$mc and ano=$ano and estado=1";
	$rsd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tdesco1=$rsd->fields['tdesco'];

	//Total de descuentos a ser aplicados (por llegada tardia)
	$buscar="Select  sum(descuento) as descontar from gest_registros where estado=1 and documento=$idfuncionario and 
	date(fechahora) between '$prim' and '$ultimo' and excluido=0 ";
	$rsff=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
								
	$tdesco=floatval($rsff->fields['descontar']);
	$totaldescontar=$tdesco+$tdesco1;
	
	$netoabonar=$salario-$totaldescontar-$ips;

	//Registramos el salario
	$insertar="Insert into  rrhh_pagos_salarios 
	(documento,mes,ano,estado,registrado_por,fecha_pago,ips,descuentos_varios,salario_base,neto_cobradogs)
	values
	($idfuncionario,$mc,$ano,1,$idusu,current_timestamp,$ips,$totaldescontar,$salario,$netoabonar)";
	$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
	
	//Actualizamos como cobrado los descuentos del mes
		
		
		
}
if (isset($_POST['mes']) && ($_POST['mes']) !=''){
	$mes=intval($_POST['mes']);
	$ano=intval($_POST['ano']);
	if ($mes<10){
		$mes='0'.$mes;
	}
	$buscar="select * from gest_mes_curso where mes=$mes and ano=$ano";
	$rsb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$h=intval($rsb->fields['estado']); 
	if ($h==0){
		//no existe y creamos
		$insertar="Insert into gest_mes_curso 
		(mes,ano,registrado_por,registrado_el,estado)
		values
		($mes,$ano,$idusu,current_timestamp,1)";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
		
	}
	
}

/*--------------------------POST de busqueda----------------------------------*/

if (isset($_POST['tipos']) && (intval($_POST['tipos']) > 0)){
	$mes=intval($_POST['tipos']);
	$ano=intval($_POST['anos']);
	if ($mes<10){
		$mes='0'.$mes;
	}
	$buscar="select * from gest_mes_curso where mes=$mes and ano=$ano";
	$rsbus=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$h1=intval($rsbus->fields['estado']); 
	if ($h1==0){
		$errorbusca="* Mes/A&ntilde;o seleccionado no se ha encontrado.";
	} else {
		$mc=intval($rsbus->fields['mes']);
		$ano=intval($rsbus->fields['ano']);
		$estadomes=intval($rsbus->fields['estado']);
		if ($mc <10){
			$mc='0'.$mc;	
		}
		$prim=$ano.'-'.$mc.'-'.'01';
		$prim=date("Y-m-d",strtotime($prim));
		$last=ultimodia($prim);
		$lt=$ano.'-'.$mc.'-'.$last;
		$ultimo=date("Y-m-d",strtotime($lt));
		
	}
} else {
	//No se selecciono nada, traemos el primero activo por defecto
	//Buscamos el mes en curso o abierto.Si no existe, se genera uno

	$buscar="Select mes,ano,estado from gest_mes_curso where estado=1 order by mes,ano desc ";
	$rsm=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
	$mc=intval($rsm->fields['mes']);
	$ano=intval($rsm->fields['ano']);
	$estadomes=intval($rsm->fields['estado']);
	
	$prim=$ano.'-'.$mc.'-'.'01';
	$prim=date("Y-m-d",strtotime($prim));
	$last=ultimodia($prim);
	$lt=$ano.'-'.$mc.'-'.$last;
	$ultimo=date("Y-m-d",strtotime($lt));
	
}
/*----------------------------FINAL BUSQUEDA HISTORICA-------------------------*/


//Nomina de funcionarios activos
$buscar="Select * from gest_funcionarios where estado=1  order by nombres,apellidos asc";
$rsfun=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$tfunci=$rsfun->RecordCount();

//cursor para ano
$buscar="Select  distinct(ano) as anofin from gest_mes_curso order by anofin desc";
$rsanos=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));



?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<script type="text/javascript" src="js/jquery-1.9.1.js"></script>


<script>
function controlar(){
	var errores='';
	var m=document.getElementById('mes').value;
	var a=document.getElementById('ano').value;
	if ((m=='') || (a=='')){
		errores=errores='* Debe indicar mes y ano a crear.';
		alertar('ATENCION: Algo sali mal.',errores,'error','Lo entiendo!');	
	} else {
		document.getElementById('fo01').submit();
		
	}
}
function enviar(){
	var errores='';
	var m=document.getElementById('tipos').value;
	var a=document.getElementById('anos').value;
	if ((m=='') || (a=='')){
		errores=errores='* Debe indicar mes y ano a buscar.';
		alertar('ATENCION: Algo sali mal.',errores,'error','Lo entiendo!');	
	} else {
		document.getElementById('selemes').submit();
		
	}
		
	 
 }
function abrir(donde,pagina){
	var parametros='';
	var enlace='';
	if (donde > 0){
		if (pagina==1){
			//Nuevo Func
			parametros='';
			enlace='rrhh_agrega.php';
		}
		if (pagina==2){
			//Horarios
			parametros='';
			enlace='rrhh_horarios.php';
		}
		if (pagina==3){
			//Horarios
			parametros='';
			enlace='rrhh_listafun.php';
		}
		OpenPage(enlace,parametros,'POST','recarga','pred');
	}
	
	
}

function registrar(donde,item){
	var parametros='';
	var enlace='';
	if (donde > 0){
		if (item==1){
			//Nuevo Funcionario, comprobar valores base
			var nombres=document.getElementById('nombres').value;
			var apellidos=document.getElementById('apellidos').value;
			var documento=parseInt(document.getElementById('documento').value);
			var pais=document.getElementById('pais').value;
			var fechanac=document.getElementById('fechanac').value;
			var direccion=document.getElementById('direccion').value;
			var lbaja=document.getElementById('lbaja').value;
			var celular=document.getElementById('celular').value;
			var estciv=document.getElementById('estaciv').value;
			var sexo=document.getElementById('sexo').value;
			//Requeridos
			var errores='';
			if (nombres==''){
				errores=errores+'Debe ingresar nombre de la persona. \n';
			}
			if (apellidos==''){
				errores=errores+'Debe ingresar apellido de la persona. \n';
			}
			if (documento==0){
				errores=errores+'Debe ingresar documento de la persona. \n';
			}
			if (fechanac==''){
				errores=errores+'Debe ingresar fecha de nacimiento. \n';
			}
			if (lbaja==''){
				if (celular==''){
					errores=errores+'Debe ingresar al menos un nmero telefnico. \n';
				}
			}
			
			if (errores==''){
				parametros='idp=1'+'&no='+nombres+'&ap='+apellidos+'&docu='+documento+'&pa='+pais+'&fech='+fechanac+'&dir='+direccion+'&lbaja='+lbaja+'&cel='+celular+'&ec='+estciv+'&sex='+sexo;
				enlace='rrhh_agrega.php';
				OpenPage(enlace,parametros,'POST','recarga','pred');
			} else {
				alertar('ATENCION: Algo sali mal.',errores,'error','Lo entiendo!');	
			}
		} else {
			if (item==2){
				//Referencia Personal del Funcionario
				var documento=parseInt(document.getElementById('documento').value);
				var pariente=document.getElementById('refper').value;
				var tipopariente=parseInt(document.getElementById('tipopar').value);
				var contacto=document.getElementById('contacto').value;
				var errores='';
				if (documento==0){
					errores=errores+'Debe ingresar documento de la persona. \n';
				}
				if (pariente==''){
					errores=errores+'Debe ingresar nombre y apellido del pariente. \n';
				}
				if (tipopariente==0){
					errores=errores+'Debe seleccionar tipo del pariente. \n';
				}
				if (contacto==''){
					errores=errores+'Debe ingresar nmero telefnico del pariente. \n';
				}
				if (errores==''){
					parametros='idp=2'+'&pariente='+pariente+'&docu='+documento+'&tipopar='+tipopariente+'&contacto='+contacto;
					enlace='rrhh_agrega_refper.php';
					OpenPage(enlace,parametros,'POST','referenciasperso','pred');
				} else {
					alertar('ATENCION: Algo sali mal.',errores,'error','Lo entiendo!');	
				}
			} else {
				if (item==3){
					//antecedente laboral	
					
					var errorp='';
					var documentol=document.getElementById('documento').value;
					var nom=document.getElementById('nombres').value;
					var ape=document.getElementById('apellidos').value;
					if (documentol==0){
						errorp='Debe registrar los datos personales antes del laboral.';
					}
					if (nom==''){
						errorp='Debe registrar los datos personales antes del laboral.';
					}
					if (ape==''){
						errorp='Debe registrar los datos personales antes del laboral.';
					}
					if (errorp==''){
						var lugtra=document.getElementById('lugtra').value;
						var dirtra=document.getElementById('dirtra').value;
						var teltra=document.getElementById('teltra').value;
						var seccion=document.getElementById('secciont').value;
						var cargo=document.getElementById('cargo').value;
						var jefe=document.getElementById('jefe').value;
						var teljefe=document.getElementById('teljefe').value;
						var salario=document.getElementById('salario').value;
						var tiposalario=document.getElementById('tiposala').value;
						var desde=document.getElementById('desde').value;
						var hasta=document.getElementById('hasta').value;
						var motivo=document.getElementById('motivosale').value;
						var obs=document.getElementById('obstra').value;
						var errores='';
						if (lugtra==''){
							errores=errores+'Debe indicar nombre la empresa. \n';
						}
						if (dirtra==''){
							errores=errores+'Debe indicar direccin la empresa. \n';
						}
						if (teltra==''){
							errores=errores+'Debe telfono de la empresa. \n';
						}
						if (seccion==''){
							errores=errores+'Debe indicar seccin laboral. \n';
						}
						if (cargo==''){
							errores=errores+'Debe indicar cargo ocupado. \n';
						}
						if (jefe==''){
							errores=errores+'Debe indicar nombre del ex jefe inmediato. \n';
						}
						if (teljefe==''){
							errores=errores+'Debe indicar telefono del ex jefe. \n';
						}
						if (salario==''){
							errores=errores+'Debe indicar salario anterior. \n';
						}
						if (tiposalario==''){
							errores=errores+'Debe indicar tipo de Salario. \n';
						}
						if (desde==''){
							errores=errores+'Debe indicar fecha de vinculacin a la empresa anterior. \n';
						}
						if (hasta==''){
							errores=errores+'Debe indicar fecha de ultimo dia laboral anterior. \n';
						}
						if (motivo==''){
							errores=errores+'Debe indicar motivo de salida. \n';
						}
						if (errores==''){
							var parametros='ltra='+lugtra+'&dt='+dirtra+'&ttra='+teltra+'&secc='+seccion+'&ca='+cargo+'&jefe='+jefe+'&teljefe='+teljefe+'&sal='+salario+'&tiposal='+tiposalario+'&de='+desde+'&ha='+hasta+'&mot='+motivo+'&obs='+obs+'&idp=2'+'&docu='+documentol;		
							document.getElementById('antelabo').innerHTML='';
									
							OpenPage('rrhh_agrega_antelabo.php',parametros,'POST','antelabo','pred');
							//antelabo
							
						} else {
							alertar('ATENCION: Algo sali mal.',errores,'error','Lo entiendo!');	
						}
					} else {
						alert(errorp);
					}
				} else {
					if (item==4){	
						//Registro de Horario Laboral
						var fechaingreso=document.getElementById('feingre').value;
						var idfunci=document.getElementById('listafunci').value;
						var tipofunci=document.getElementById('tipofunci').value;
						var seccion=document.getElementById('seccion').value;
						var horario=document.getElementById('tipohorario').value;
						var tothoras=document.getElementById('tothoras').value;
						var salario=document.getElementById('salario').value;
						var tiposal=document.getElementById('tiposal').value;
						var ips=document.getElementById('ips').value;
						var errores='';
						if (fechaingreso==''){
							errores=errores+'Debe indicar la fecha de ingreso laboral. \n';
						}
						if (idfunci==0){
							errores=errores+'Debe seleccionar un funcionario de la lista. \n';
						}
						if (tipofunci==0){
							errores=errores+'Debe seleccionar el tipo de funcionario. \n';
						}
						if (seccion==0){
							errores=errores+'Debe asignar una seccin. \n';
						}
						if (horario==0){
							errores=errores+'Debe seleccionar el tipo de horario laboral. \n';
						}
						if (salario==0){
							errores=errores+'Debe indicar salario acordado. \n';
						}
						if (tiposal==0){
							errores=errores+'Debe indicar el tipo de salario acordado. \n';
						}
						if (ips==0){
							errores=errores+'Debe indicar si accede al IPS. \n';
						}
						if (errores==''){
							parametros='idf='+idfunci+'&idp=3'+'&tpf='+tipofunci+'&secc='+seccion+'&idhor='+horario+'&thoras='+tothoras+'&sal='+salario+'&tiposal='+tiposal+'&ips='+ips+'&feingre='+fechaingreso;
							enlace='rrhh_horarios.php';
							OpenPage(enlace,parametros,'POST','recarga','pred');
						} else {
							alertar('ATENCION: Algo sali mal.',errores,'error','Lo entiendo!');	
						}
						
					}
				}
			}
		}
	}//donde > 0
}

</script>
<script src="js/sweetalert.min.js"></script>
 <link rel="stylesheet" type="text/css" href="css/sweetalert.css">
 
 
 <script>
 
 
 function alertar(titulo,error,tipo,boton){
	swal({   title: titulo,   text: error,   type: tipo,   confirmButtonText: boton });
	}
 
 
 </script>
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
<?php require("includes/cabeza.php"); ?>    
<div class="clear"></div>
<div class="cuerpo">
 <div align="center" >
 <?php require_once("includes/menuarriba.php");?>
</div>

<div class="colcompleto" id="contenedor">
 	<!-- SECCION DONDE COMIENZA TODO -->
<br />
<div class="divstd"></div>
<br />
<br />
    <div class="resumenmini">
   	  <strong>Pago de Salarios</strong><br />
    	<strong>ATENCI&Oacute;N</strong>: Debe revisar  los descuentos en la marcaci&oacute;n antes de efectuar el presente pago correspondiente al mes activo.<br />
    <strong>Si es la primera implementaci&oacute;n</strong>, aseg&uacute;rese de que el mes generado (<strong>el primero</strong>) posea los datos de marcaci&oacute;n para ser cargados al sistema. </div>
    
    <br />
   <div align="center">
   <strong>
   		Utilice esta secci&oacute;n para generar el mes deseado.
       </strong>
   		<form action="rrhh_pago_salarios.php" method="post" id="fo01">
            <table width="101" height="90">
                <tr>
                    <td width="46" align="center" bgcolor="#FF797B"><em><strong>Num Mes</strong></em></td>
                    <td width="142" align="center" bgcolor="#FF797B"><em><strong>A&ntilde;o</strong></em></td>
                </tr>
                <tr>
                    <td align="center"><input type="text" id="mes" name="mes" value="" size="3"  /></td>
                    <td align="center"><input type="text" id="ano" name="ano" value="" size="3"  /></td>
                </tr>
                <tr>
                    <td colspan="2" align="center"><input type="button" value="Crear" onclick="controlar()" /></td>
                   
                </tr>
            </table>
        </form>
        	<br />
            <div class="resumenmini">
       		  <form id="selemes" name="selemes" action="rrhh_pago_salarios.php" method="post">
                <select id="tipos" name="tipos" style="width:100px">
                            <option value="0" selected="selected">Seleccionar</option>
                             <?php for ($i=1;$i<=12;$i++){?>
                             <option value="<?php echo $i;?>"<?php if($_POST['tipos']==$i){?> selected="selected"<?php } else { if ($mc==$i) {?>  selected="selected" <?php }} ?> ><?php echo $i;?></option>
                             <?php } ?>
                        </select>
                <select id="anos" name="anos" style="width:100px">
                            <option value="0" selected="selected">Seleccionar</option>
                            <?php while (!$rsanos->EOF){?>
                            <option value="<?php echo $rsanos->fields['anofin']?>" 
							<?php if($_POST['anos']==$rsanos->fields['anofin']){?> selected="selected"<?php ?>
							<?php } else { 
							if ($ano==$rsanos->fields['anofin']) {?>  
                            selected="selected" <?php }} ?>  >
							<?php echo $rsanos->fields['anofin']?></option>
                            
                            <?php $rsanos->MoveNext();}?>
                  </select>
                  &nbsp;<a href="javascript:void(0);" onclick="enviar();"><img src="img/buscar16.png" width="16" height="16" title="buscar"/> </a>
                </form>
                    <br />
                    <?php if (($errorbusca=='') && ($mc > 0)){?>
	 		 			<strong>Mes en Curso: <?php echo $mc ?> / <?php echo $ano ?></strong> 
     					 <br />
                         <strong>(<?php echo $prim ?> / <?php echo $ultimo?>)</strong>
                         <br /><br />
                        <strong>Estado del Mes: 
                            <?php if ($estadomes==1){?>ABIERTO<?php } ?>
                            <?php if ($estadomes==3){?>CERRADO<?php } ?>
                        </strong>
             		<?php } else {?>
                    
                    <span class="resaltarojomini"><?php echo $errorbusca?></span>
                    <?php } ?>
             </div>
      <br />
      	<span class="resaltarojomini">
	  		<?php if ($mc==0){?>No existe un mes en curso activo.<?php } ?>
      	</span>
     	<br />
        <hr />
   		<div align="center">
        	<?php if (($tfunci>0) && ($mc > 0)){?>
        		 <span class="resaltaditomenor">N&oacute;mina de Funcionarios</span>
                 <div class="resumenmini">Para  que el d&iacute;a sea contabilizado <strong>como completo</strong>, el funcionario debe tener las <strong>4 </strong>marcaciones reglamentarias.2 para Entrada y 2 para Salida respectivamente.Los registros que no cumplan esta condici&oacute;n, ser&aacute;n considerados incompletos.
                 </div>
                 <br />
                 <table width="700" height="81" class="tablalinda3">
                <tr>
                    <td width="59" height="33" align="center" bgcolor="#C9FFD7"><strong>Fecha Ingreso</strong></td>
                    <td width="90" align="center" bgcolor="#C9FFD7"><strong>Funcionario</strong></td>
                     <td width="73" align="center" bgcolor="#C9FFD7"><strong>CI</strong></td>
                    <td width="73" align="center" bgcolor="#C9FFD7"><strong>Salario Actual</strong></td>
                    <td width="54" align="center" bgcolor="#C9FFD7"><p><strong>T D&iacute;as Comp </strong></p>
                    <p><strong>(4 Marc.)</strong></p></td>
                    <td width="54" align="center" bgcolor="#C9FFD7"><p><strong>T D&iacute;as Inco. </strong></p>
                    </td>
                    <td width="53" align="center" bgcolor="#C9FFD7"><strong>Total Desc</strong></td>
                    <td width="56" align="center" bgcolor="#C9FFD7"><strong>IPS</strong></td>
                    <td width="57" align="center" bgcolor="#C9FFD7"><strong>Neto Abonar</strong></td>
                    <td width="68" align="center" bgcolor="#C9FFD7"><strong>Acciones</strong></td>	
                </tr>
                 <?php 
				 //Segun elmes en curso, verificamos si hay marcaciones del mes, si no las hay, no mostramos
					while (!$rsfun->EOF){
						$tiposalario=intval($rsfun->fields['tiposalario']);
						$idtipohorario=intval($rsfun->fields['idhorario']);
						$montosal=floatval($rsfun->fields['salariogs']);
						//echo $montosal;
						//exit;
						//Traemos la hora de entrada, tolerancia y frecuencia de descuento
						$buscar="Select *,count(*) as total
						from gest_franja where idtipohora=$idtipohorario";
						$rsgf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
						$th=intval($rsgf->fields['total']);
						
						$v=array();
						$freq=array();
						$desc=array();
						$i=0;
						$p=0;
						
						while (!$rsgf->EOF){
							
							//Inicio
							$hi=intval($rsgf->fields['hora_inicio']);
							$mi=intval($rsgf->fields['min_inicio']);
							if (($mi >=0) && ($mi < 10)){
								$mi='0'.$mi;
							}
							$ini=$hi.':'.$mi;
							//Final
							
							$hf=intval($rsgf->fields['hora_final']);
							$mf=intval($rsgf->fields['min_final']);
							if (($mf >=0) && ($mf < 10)){
								$mf='0'.$mf;
							}
							$fin=$hf.':'.$mf;
							$v[$i]=$ini;
							$i++;
							$v[$i]=$fin;
							$i++;
							$freq[$p]=intval($rsgf->fields['freq']);
							$desc[$p]=intval($rsgf->fields['descuentogs']);
							$p++;
							$rsgf->MoveNext();
						}
						//Ya tenemos los horarios en el array de v
						if ($tiposalario==3){
							$clase='M'	;
							$ips=intval(($montosal*9)/100);
						}
						
						if ($tiposalario==2){
							$clase='J'	;
							$ips=0;	
						}
						$idfun=intval($rsfun->fields['idfunci']);
						
						$docu=intval($rsfun->fields['documento']);
						
						$ingreso=date("d-m-Y",strtotime($rsfun->fields['fecha_ingreso']));
						$controla=explode("-",$ingreso);
						$mesing=intval($controla[1]);
						$anoing=intval($controla[2]);
						
						$ahora=date("Y-m-d");
						$ex=explode("-",$ahora);
						$mesahora=($ex[1]);
						$anoahora=($ex[0]);
						//Primer dia del mes
						$primdia=$anoahora.'-'.$mesahora.'-'.'01';
						//ultimo dia del mes
						$td=ultimodia($ahora);
						$ultimodia=$anoahora.'-'.$mesahora.'-'.$td;
						//echo $ultimodia;
						
						//ya tenemos el utimo dia del mes real en curso, pero la info la traemos basados en el mes y ano seleccionados
						//Basados en el mes y ano seleccionados
						$buscar="
						Select ( 
						select count(*) as tdias from( select date(fechahora) as fecha,count(*) as total
						 from gest_registros where date(fechahora)
						between '$prim' and '$ultimo' and documento=$docu group by fecha )as dd where total>=4 
						) as tmarca4, 
						(
						select count(*) as tdias from( select date(fechahora) as fecha,count(*) as total 
						from gest_registros where date(fechahora) 
						between '$prim' and '$ultimo' and documento=$docu group by fecha ) as dd where total<=3 
						) as tmarcainco
						";
						
						$rsmarcas=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
						$tdiascompletos=intval($rsmarcas->fields['tmarca4']);
						$tinco=intval($rsmarcas->fields['tmarcainco']);
						//Si el mes y ano  en curso (seleccionado) es mayor al mes y ano de ingreso, se debe calcular basados en la fecha
						// final del mes seleccionado y la fecha inicial del mes seleccionado, 
						//pero solo si el mes seleccionado y procesado, no es el actual.(basados enlos registros de marcacion
						
						//comprobamos si la fecha de ingreso, es menor o igual al mes que se va pagar
						
						
						if (($ingreso <=$ultimodia)){
							
							$funcionario=trim($rsfun->fields['nombres'].' '.$rsfun->fields['apellidos']);
						//echo $funcionario;
							$ci=formatomoneda($rsfun->fields['documento']);
							$cdisolo=$rsfun->fields['documento'];
							$salario=formatomoneda($rsfun->fields['salariogs']);
							
							//echo $salario;exit;
							if ($estadomes==1){
								
								 //calculamos los dis trabajados solo si el mes deseado es abierto, sino mostramos del historico
								 //Para considerar dia completo, debe contener
								 // al menos 4 marcaciones en el dia, (2 entradas ) y (2 salidas)
								//si el mes y ano de ingreso son iguales al seleccionado
								if (($mc==$mesing) && ($ano==$anoing)){
								//Tomamos la fecha de ingreso como parametro de medicion para los dias trabajados
								
								//Usamos el ultimo dia del mes calculado (segun lo que marco) ->$last
								//si el dia no posee ambos turnos con marcacion de entrada/salida, se tomara en cuenta 
								//el turno que este completo, para considerarlo 1/2 dia
								} else {
									//ya es el nuevo mes pasado el del ingreso, calcular basados en el dia inicial del mes y el final
									
									
									
								}
								//Calculamos los descuentos
								//Descuentos por aplicacin directa
								$buscar="Select sum(montogs) as tdesco from gest_descuentos_detalles
								where mes=$mc and ano=$anoing and estado=1";
								$rsd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
								$tdesco1=$rsd->fields['tdesco'];
								
								//Calculamos los decuentos automaticos
								$buscar="Select * from gest_registros where documento=$docu and estado=1 and date(fechahora) between 
								'$prim' and '$ultimo'   
								order by fechahora,tipo asc";
								//and idseria=19 
								$rsh=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
								if ($th ==2){
									//e/S//e/S VER QUE PASA SI ES SOLO DE DOS
									$inicio1=$v[0];
									$inicio1=date("H:i",strtotime($inicio1));
									$salida1=$v[1];
									$salida1=date("H:i",strtotime($salida1));
									$inicio2=$v[2];
									$inicio2=date("H:i",strtotime($inicio2));
									$salida2=$v[3];
									$salida2=date("H:i",strtotime($salida2));
									while (!$rsh->EOF){
										$bloqueado=intval($rsh->fields['bloq']);
										$excluido=intval($rsh->fields['excluido']);
										$idserial=intval($rsh->fields['idseria']);
										$tipo=intval($rsh->fields['tipo']);
										if (($excluido==0) && ($bloqueado==0)){
											 $mostrar=1;
											//Caso 1: 4 Marcaciones x dia
											if (($inicio1!='') && ($inicio2!='') && ($salida1!='') && ($salida2!='')){
												
												if ($tipo==1){
													//Entrada
													$entra=date("H:i",strtotime($rsh->fields['fechahora']));
													//echo $inicio1.'*'.$entra.'**'.$inicio2.'<br />';
													
													//Si la hora de entrada es pasado el medio dia,hay que comparar contSra la entrada 2
													if (($entra >=$inicio1) && ($entra < $inicio2)){
										
														//primera entrada (turno1)
														$dif=tiempo_trasnc($entra,$inicio1);
														//echo $entra.$dif;
														//exit;
														if ($dif >0){
															//llegada tardia en minutos:Segun la frecuencia del turno
															$buscar="Select * from gest_franja where 
															idturno=1 and idtipohora=$idtipohorario";
															$rsc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
																	
															$frecuencia=intval($rsc->fields['freq']);
															$descuentogs=intval($rsc->fields['descuentogs']);
															if (($frecuencia > 0) && ($dif >=$frecuencia)){
																//calculamos la cantidad de frecuencias que ingresan en tiempo atrasado.
																$totfrecuencia=$dif/$frecuencia;
																$descontar=$totfrecuencia*$descuentogs;
															} else {
																//Descuento unico, solo si no tiene frequencia
																$totfrecuencia=0;
																if (($frecuencia > 0) && ($dif <$frecuencia)){
																	$dif=0;
																	$descontar=0;
																} else {
																
																	$descontar=intval($descuentogs);
																}
															}
															//Almacenamos total de minutos de llegada tardia
															$update="update gest_registros set 
																	minutos_contra=$dif,total_minutos=$dif,total_frecuencias=$totfrecuencia,
																	descuento=$descontar,ultimorec=current_timestamp
																	where idseria=$idserial";
															$conexion->Execute($update) or die(errorpg($conexion,$update));
																	
															
														}
													} else {
														//Turno 2
														if ($entra >=$inicio2){
																$dif=tiempo_trasnc($entra,$inicio2);
																if ($dif >0){
																	//llegada tardia en minutos:Segun la frecuencia del turno
																	$buscar="Select * from gest_franja where 
																	idturno=2 and idtipohora=$idtipohorario";
																	$rsc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
																	
																	$frecuencia=intval($rsc->fields['freq']);
																	$descuentogs=intval($rsc->fields['descuentogs']);
																	if (($frecuencia > 0) && ($dif <$frecuencia)){
																		$dif=0;
																		$descontar=0;
																	}  else {
																	
																		$descontar=intval($descuentogs);
																	}
																	//Almacenamos total de minutos de llegada tardia
																	$update="update gest_registros set 
																	minutos_contra=$dif,total_minutos=$dif,total_frecuencias=$totfrecuencia,
																	descuento=$descontar,ultimorec=current_timestamp
																	where idseria=$idserial";
																	$conexion->Execute($update) or die(errorpg($conexion,$update));
																	
																}
														
														} else {
															//es menor , registrar como minutos a favor, pero dependiendo del turno
															if ($entra < $inicio1){
																//turno 1
																$dif=tiempo_trasnc($inicio1,$entra);
																	$update="update gest_registros set 
																	minutos_favor=$dif 
																	where idseria=$idserial";
																	$conexion->Execute($update) or die(errorpg($conexion,$update));
															} else {
																if ($entra <$inicio2){
																	//turno 2
																	$dif=tiempo_trasnc($inicio2,$entra);
																	$update="update gest_registros set 
																	minutos_favor=$dif 
																	where idseria=$idserial";
																	$conexion->Execute($update) or die(errorpg($conexion,$update));
																}
															}
														}
													}
													
												}
											
											
											
											} else {
												//No tiene 4 marcaciones,colocar codigo aqui
												echo 'Solo debe cumplir  marcaciones';
												exit;
												
												
											}
										} else {
											$mostrar=0;	
											
										}
										$rsh->MoveNext();
									}
								} else {
									if ($th==1){
										//solo e/s
										$inicio1=$v[0];
										$inicio1=date("H:i",strtotime($inicio1));
										$salida1=$v[1];
										$salida1=date("H:i",strtotime($salida1));
										
									}
								}
								//Terminado el while, sumamos los minutos a favor y en contra
								$buscar="Select sum(minutos_favor) as favor,sum(minutos_contra) as contra
								from gest_registros where date(fechahora) between '$prim' and '$ultimo'
								and documento=$docu and estado=1";
								$rsmi=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
								
								$tfavor=floatval($rsmi->fields['favor']);
								$tcon=floatval($rsmi->fields['contra']);
								//Minutos a compuesto
								$favc=transforma($tfavor);
								//Minutos a horas
								$favh=floor($tfavor/60);
								//Compuesto en contra
								$contrac=transforma($tcon);
								//Horas en contra
								$favcont=floor($tcon/60);
								//Por ultimo sumamos los descuentos
								$buscar="Select  sum(descuento) as descontar from gest_registros where estado=1 and documento=$docu and 
								date(fechahora) between '$prim' and '$ultimo' and excluido=0 ";
								$rsff=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
								
								$tdesco=floatval($rsff->fields['descontar']);
								$totaldescontar=$tdesco+$tdesco1;
								
								$netoabonar=$montosal-$totaldescontar-$ips;
								
								
							 } else {
							 	//Mes cerrado, mostrar valores almacenados
							 
							}
							//Vemos si ya se le pago a este funcionario, con lo cual, solo mostramos la generacion del recibo
							
							$buscar="Select  * from rrhh_pagos_salarios where mes=$mc and ano=$ano and estado=1 and documento=$docu";
							$rsbusca=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
							if (floatval($rsbusca->fields['neto_cobradogs'])==0){
								//no se abono aun
								$ver=1;
							
							
							} else {
								//ya se abon
								$ver=0;
							}
				 ?>
              
                   <tr>
                        <td align="center"><?php echo $ingreso?></td>
                        <td align="center"><?php echo $funcionario?></td>
                         <td align="center"><?php echo $ci?></td>
                       <td align="center"><span class="resaltarojomini"><?php echo $salario?></span></td>
                         <td align="center"><?php echo $tdiascompletos?></td>
                         <td align="center"><?php echo $tinco ?></td>
                       <td align="center"><?php echo formatomoneda($totaldescontar) ?></td>
                        <td align="center"><?php echo formatomoneda($ips) ?></td>
                        <td align="center"><?php echo formatomoneda($netoabonar)?></td>
                        <td align="center">
                        <?php if ($ver==1){?>
                        <a href="rrhh_marcaciones_new.php?idf=<?php echo $docu?>&d=<?php echo $prim?>&h=<?php echo $ultimo?>" title="Administrar Marcaciones"><img src="img/fingerprint_reader_icon.jpg" width="20" height="20" /></a>
                        <a href="rrhh_pago_salarios.php?pagar=<?php echo $cdisolo?>&mc=<?php echo $mc?>&ac=<?php echo $ano?>" title="Registrar Pago"><img src="img/caja01.png" width="20" height="20" alt=""/></a>
                        <?php }?>
                         <a href="rrhh_recibo_salario.php?idf=<?php echo $cdisolo?>&d=<?php echo $prim ?>&h=<?php echo $ultimo ?>&a=<?php echo $ano ?>&p=<?php echo $mc ?>" title="Generar Recibo" target="_blank" ><img src="img/1445735221_file.png" width="20" height="20" alt=""/></a></td>
                     </tr>
                    
                     <?php } //de mes en curso mayo al ingreso?>
                 <?php $rsfun->Movenext();} ?>
                 </table>
        	<?php } else { //Nos e encontro al ,enos un funcionario activo?>
            	<?php if (($tfunci>0) && ($mc > 0)){?>
                    <span class="resaltarojomini">No existen funcionarios registrados/ activos.<br />
                    
                    Debe registrarlos antes de pagar salarios</span>
            		<?php }?>
            <?php } ?>
        </div>
    </div>
</div> <!-- contenedor -->
<div class="clear"></div><!-- clear1 -->
</div> <!-- cuerpo -->
<div class="clear"></div><!-- clear2 -->
<?php require("includes/pie.php"); ?>
</body>
</html>