<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="26";
$submodulo="481";
require_once("includes/rsusuario.php"); 

$campos_orden=array(
	'1' => 'cliente.maxventa',
	'2' => 'cliente.maxcompra',
	'3' => 'cliente.maxgasto',
	'4' => 'cliente.maxconteo',
	'5' => 'cliente.maxinventario',
	'6' => 'cliente.maxproduccion',
	'7' => 'cliente.maxordenpago',
);
$campos_orden_id=array(
	'VENTA' => '1',
	'COMPRA' => '2',
	'GASTO' => '3',
	'CONTEO' => '4',
	'INVENTARIO' => '5',
	'PRODUCCION' => '6',
	'ORDENPAGO' => '7',
);
$order_add=$campos_orden[intval($_GET['orden'])];
if(trim($order_add) == ''){
	$order_add='cliente.maxventa';
}


$whereadd="";
if(trim($_POST['bloqueado_sistema']) != ''){
	$bloqueado_sistema=antisqlinyeccion($_POST['bloqueado_sistema'],"text");
	$whereadd="
	and bloqueado_sistema = $bloqueado_sistema
	";
}

$fecha_actual = date("Y-m-d");
$dias_restar=3;
//resto 1 día
$dias_atras=date("Y-m-d",strtotime($fecha_actual."- $dias_restar days")); 

$consulta="
SELECT 
idcliente, ruc, razon_social, fantasia, bloqueado_sistema, 
maxventa, maxcompra, maxgasto, maxconteo, maxinventario, maxproduccion, maxordenpago ,
(select registrado_el from clientes_comentarios where estado =1 and idcliente = cliente.idcliente order by idcomentario desc limit 1 ) as ult_comentario_fec,
(select comentario from clientes_comentarios where estado =1 and idcliente = cliente.idcliente order by idcomentario desc limit 1 ) as ult_comentario
FROM cliente 
WHERE 
estado = 1 
$whereadd
and (maxventa is null or maxventa <= '$dias_atras')
ORDER BY $order_add ASC
limit 1000
";
//echo $consulta;
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));







?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Seguimiento Sistema</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
					  
					  
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="GET" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Ordenar por*</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<?php 


	// valor seleccionado
	if(isset($_GET['orden'])){ 
		$value_selected=htmlentities($_GET['orden']); 
	}else{
		$value_selected=1;
	}
	// opciones
	$opciones=$campos_orden_id;

	// parametros
	$parametros_array=array(
		'nombre_campo' => 'orden',
		'id_campo' => 'orden',

		'value_selected' => $value_selected,

		'pricampo_name' => 'Seleccionar...',
		'pricampo_value' => '',
		'style_input' => 'class="form-control"', 
		'acciones' => ' required="required" ',
		'autosel_1registro' => 'S',
		'opciones' => $opciones

	);

	// construye campo
	echo campo_select_sinbd($parametros_array);					  
	?>                   
	</div>
</div>
	
	
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Estado sistema *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<?php 


	// valor seleccionado
	if(isset($_GET['bloqueado_sistema'])){ 
		$value_selected=htmlentities($_GET['bloqueado_sistema']); 
	}else{
		$value_selected=1;
	}
	// opciones
	$opciones=array(
		'ACTIVO' => 'N',
		'BLOQUEADO' => 'S'
	);

	// parametros
	$parametros_array=array(
		'nombre_campo' => 'bloqueado_sistema',
		'id_campo' => 'bloqueado_sistema',

		'value_selected' => $value_selected,

		'pricampo_name' => 'TODOS',
		'pricampo_value' => '',
		'style_input' => 'class="form-control"', 
		'acciones' => '  ',
		'autosel_1registro' => 'S',
		'opciones' => $opciones

	);

	// construye campo
	echo campo_select_sinbd($parametros_array);					  
	?>                   
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />
Viendo clientes que no registraron ventas en el sistema en los ultimos <?php echo $dias_restar; ?> dias.
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">idcliente</th>
			<th align="center">fantasia</th>
			<th align="center">razon_social</th>
			<th align="center">ruc</th>
			<th align="center">bloqueado_sistema</th>
			<th align="center">Ult Comentario</th>
			<th align="center" >Ult venta</th>
			<th align="center" >Ult compra</th>
			<th align="center">Ult gasto</th>
			<th align="center">Ult conteo</th>
			<th align="center">Ult inventario</th>
			<th align="center">Ult produccion</th>
			<th align="center">Ult ordenpago</th>
		</tr>
	  </thead>
	  <tbody>
<?php 
$total_alerta=0;		  
while(!$rs->EOF){
	

$colorventa="background-color:#E1FFA9; color: black;"; 
if(strtotime($dias_atras) >= strtotime($rs->fields['maxventa'])){
	$colorventa="background-color:red; color: white;"; 
	$total_alerta++;
}
 
		  
?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="seguimiento_sistema_det.php?id=<?php echo $rs->fields['idcliente']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>
				</div>

			</td>
			<td align="center"><?php echo intval($rs->fields['idcliente']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['fantasia']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['ruc']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['bloqueado_sistema']); ?></td>
			<td align="center"><?php  if(trim($rs->fields['ult_comentario_fec']) != ''){ echo '['.date("d/m/Y",strtotime($rs->fields['ult_comentario_fec'])).']<br />'; } ?><?php echo antixss($rs->fields['ult_comentario']); ?></td>
			<td align="center" style="<?php echo $colorventa; ?>"><?php  if(trim($rs->fields['maxventa']) != ''){ echo date("d/m/Y",strtotime($rs->fields['maxventa'])); } ?></td>
			<td align="center" style="background-color:#E1FFA9; color: black;"><?php  if(trim($rs->fields['maxcompra']) != ''){ echo date("d/m/Y",strtotime($rs->fields['maxcompra'])); } ?></td>
			<td align="center"><?php  if(trim($rs->fields['maxgasto']) != ''){ echo date("d/m/Y",strtotime($rs->fields['maxgasto'])); } ?></td>
			<td align="center"><?php  if(trim($rs->fields['maxconteo']) != ''){ echo date("d/m/Y",strtotime($rs->fields['maxconteo'])); } ?></td>
			<td align="center"><?php  if(trim($rs->fields['maxinventario']) != ''){ echo date("d/m/Y",strtotime($rs->fields['maxinventario'])); } ?></td>
			<td align="center"><?php  if(trim($rs->fields['maxproduccion']) != ''){ echo date("d/m/Y",strtotime($rs->fields['maxproduccion'])); } ?></td>
			<td align="center"><?php  if(trim($rs->fields['maxordenpago']) != ''){ echo date("d/m/Y",strtotime($rs->fields['maxordenpago'])); } ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />
<strong>Total Alerta: <?php echo formatomoneda($total_alerta); ?></strong>

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
