<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="26";
$submodulo="481";
require_once("includes/rsusuario.php"); 

$idcliente=intval($_GET['id']);
if($idcliente == 0){
	header("location: seguimiento_sistema.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from cliente 
where 
idcliente = $idcliente
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcliente=intval($rs->fields['idcliente']);
if($idcliente == 0){
	header("location: seguimiento_sistema.php");
	exit;	
}


$consulta="
SELECT 
idcliente, ruc, razon_social, fantasia, bloqueado_sistema, 
maxventa, maxcompra, maxgasto, maxconteo, maxinventario, maxproduccion, maxordenpago 
FROM cliente 
WHERE 
estado = 1 
and  idcliente = $idcliente
$whereadd
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$fecha_actual = date("Y-m-d");
//resto 1 día
$dias_atras=date("Y-m-d",strtotime($fecha_actual."- 2 days")); 


if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$comentario=antisqlinyeccion($_POST['comentario'],"text");
	$estado=1;
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");




	if(trim($_POST['comentario']) == ''){
		$valido="N";
		$errores.=" - El campo comentario no puede estar vacio.<br />";	
	}


	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into clientes_comentarios
		(idcliente, comentario, estado, registrado_por, registrado_el)
		values
		($idcliente, $comentario, $estado, $registrado_por, $registrado_el)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: seguimiento_sistema_det.php?id=".$idcliente);
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Seguimiento Sistema</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
					  


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">idcliente</th>
			<th align="center">fantasia</th>
			<th align="center">razon_social</th>
			<th align="center">ruc</th>
			<th align="center">bloqueado_sistema</th>
			<th align="center" >Ult venta</th>
			<th align="center" >Ult compra</th>
			<th align="center">Ult gasto</th>
			<th align="center">Ult conteo</th>
			<th align="center">Ult inventario</th>
			<th align="center">Ult produccion</th>
			<th align="center">Ult ordenpago</th>
		</tr>
	  </thead>
	  <tbody>
<?php 
$total_alerta=0;		  
while(!$rs->EOF){
	

$colorventa="background-color:#E1FFA9; color: black;"; 
if(strtotime($dias_atras) >= strtotime($rs->fields['maxventa'])){
	$colorventa="background-color:red; color: white;"; 
	$total_alerta++;
}
 
		  
?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idcliente']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['fantasia']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['ruc']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['bloqueado_sistema']); ?></td>
			<td align="center" style="<?php echo $colorventa; ?>"><?php  if(trim($rs->fields['maxventa']) != ''){ echo date("d/m/Y",strtotime($rs->fields['maxventa'])); } ?></td>
			<td align="center" style="background-color:#E1FFA9; color: black;"><?php  if(trim($rs->fields['maxcompra']) != ''){ echo date("d/m/Y",strtotime($rs->fields['maxcompra'])); } ?></td>
			<td align="center"><?php  if(trim($rs->fields['maxgasto']) != ''){ echo date("d/m/Y",strtotime($rs->fields['maxgasto'])); } ?></td>
			<td align="center"><?php  if(trim($rs->fields['maxconteo']) != ''){ echo date("d/m/Y",strtotime($rs->fields['maxconteo'])); } ?></td>
			<td align="center"><?php  if(trim($rs->fields['maxinventario']) != ''){ echo date("d/m/Y",strtotime($rs->fields['maxinventario'])); } ?></td>
			<td align="center"><?php  if(trim($rs->fields['maxproduccion']) != ''){ echo date("d/m/Y",strtotime($rs->fields['maxproduccion'])); } ?></td>
			<td align="center"><?php  if(trim($rs->fields['maxordenpago']) != ''){ echo date("d/m/Y",strtotime($rs->fields['maxordenpago'])); } ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">
<?php 
			
		
$consulta="
select *,
(select usuario from usuarios where clientes_comentarios.registrado_por = usuarios.idusu) as registrado_por
from clientes_comentarios 
where 
 estado = 1 
 and idcliente = $idcliente
order by idcomentario asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	
	
?>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>


			<th align="center">Comentario</th>

			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo antixss($rs->fields['comentario']); ?></td>

			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<hr />

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Comentario *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<textarea name="comentario" cols="100" rows="8" required="required" class="form-control" id="comentario" placeholder="Comentario" value=""><?php  if(isset($_POST['comentario'])){ echo htmlentities($_POST['comentario']);  }?></textarea>
           
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='seguimiento_sistema.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
