<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
require_once("includes/rs_carrito.php");


$pag="bienvenida"; // para evitar el conteo

$consulta="
select `script_bienvenida`, `script_inicio_pedido`, `alto_inicio_px`, `color_fondo`, `url_logo`, texto_boton_iniciar from preferencias_self
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$script_bienvenida=trim($rs->fields['script_bienvenida']);
$script_inicio_pedido=trim($rs->fields['script_inicio_pedido']);
$alto_inicio_px=trim($rs->fields['alto_inicio_px']);
$color_fondo=trim($rs->fields['color_fondo']);
$url_logo=trim($rs->fields['url_logo']);
$texto_boton_iniciar=trim($rs->fields['texto_boton_iniciar']);
// vaciar el carrito
$consulta="
delete from web_carrito_det 
where 
id_ses='$session_id'
and idwebcarrito in (
	select idwebcarrito 
	from web_carrito 
	where 
	estado = 1
)
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


$consulta="
select empresa, slogan_empresa from empresas limit 1
";
$rsemp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


$consulta="
select script_bienvenida from preferencias_self
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$script_bienvenida=trim($rs->fields['script_bienvenida']);
if($script_bienvenida != 'bienvenida.php' && $script_bienvenida != ''){
	header("location: $script_bienvenida");
	exit;
}




?><!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <title><?php echo $empresa ?> | Paraguay</title>
<?php require_once("includes/head.php"); ?>  
<script>
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
function iniciar_pedido(){
	var direccionurl='iniciar_pedido.php';	
	var parametros = {
	  "MM_insert" : "form1"
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#inicio_ped").html('Cargando...');
		},
		success:  function (response) {
			//alert(response);
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				if(obj.valido == 'S'){
					iniciar_pedido_listo();
				}else{
					var errores = obj.errores;
					if(obj.falta_asignar == 'S'){
					   leer_datos_locales();
					}
					if(obj.timbrado_correcto == 'N'){
						alerta_modal('No se puede iniciar el pedido','Motivo: \n'+errores);
						$("#inicio_ped").html('No se puede iniciar el pedido debido a:<br />'+errores+'<hr /> Favor avisar a la encargada del local.');
					}
					if(obj.caja_abierta == 'N'){
						alerta_modal('No se puede iniciar el pedido','Motivo: \n'+errores);
						$("#inicio_ped").html('No se puede iniciar el pedido debido a:<br />'+errores+'<hr /> Favor avisar a la encargada del local.');
					}
					
				}
			}else{
				alert(response);	
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});
}
function iniciar_pedido_listo(){
	document.location.href='<?php echo $script_inicio_pedido; ?>';
}
function leer_datos_locales(){
	if((typeof window.flutter_inappwebview != 'undefined')){
		$("#inicio_ped").html('<p>Asignando, aguarde por favor...</p>');
        var array_app = {
            "metodo": "DATOS_LOCALES",
            "accion": "l", // a: agregar l: leer
            "funcion_js_resp": "leer_datos_locales_app_success"
        };
        var json_app = JSON.stringify(array_app);
		
		
		$("#asignadiv").html('<h2>Asignando en app, aguarde por favor...</h2>');	
		var result = json_app;	//alert(result);
		window.flutter_inappwebview.callHandler('ApiChannel',result);
	}
	if((typeof window.flutter_inappwebview == 'undefined')){
		var direccionurl = 'http://localhost/impresorweb/datos_locales.php';
		var parametros = {
		  'accion' : 'l' // a: agregar/editar l: leer
		};
		$.ajax({		  
			data:  parametros,
			url:   direccionurl,
			type:  'post',
			cache: false,
			timeout: 3000,  // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function () {
				$("#inicio_ped").html('<p>Asignando, aguarde por favor...</p>');				
			},
			success:  function (response) {
				//alert(response);
				if(IsJsonString(response)){
					var obj = jQuery.parseJSON(response);
					// si hay datos locales
					if(obj.factura_pexp > 0){
						// crea las cookies
						setCookie('cfactura_pexp',obj.factura_pexp,-1);
						setCookie('cfactura_suc',obj.factura_suc,-1);
						setCookie('csucursal',obj.idsucursal,-1);
						// asigna la pc en la bd tambien
						asignar_pc(obj.idsucursal,obj.factura_suc,obj.factura_pexp);
					}else{
						//si no hay datos en el archivo local, direccion para asignar
						//document.location.href='../asigna_sucursal_pc_auto.php';
						alerta_modal('Error','Los datos de tributacion para esta pc no son validos, favor avisar al encargado del local.');
						$("#inicio_ped").html('<p>Los datos de tributacion para esta pc no son validos, favor avisar al encargado del local.</p>');
					}
				}else{
					//si no hay datos en el archivo local, direccion para asignar
					//document.location.href='../asigna_sucursal_pc_auto.php';	
					alerta_modal('Error','No se encontraron los datos de tributacion para esta pc, favor avisar al encargado del local');
					$("#inicio_ped").html('<p>No se encontraron los datos de tributacion para esta pc, favor avisar al encargado del local.</p>');
				}
			},
			error: function(jqXHR, textStatus, errorThrown) {
				errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
																														 
																																  
			}
	
		}).fail( function( jqXHR, textStatus, errorThrown ) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
		});
	}
}
function leer_datos_locales_app_success(response){
	response = response.replace(/#\*#/g, '"');
	if(IsJsonString(response)){
		var obj = jQuery.parseJSON(response);
		// si hay datos locales
		if(obj.factura_pexp > 0){
			// crea las cookies
			setCookie('cfactura_pexp',obj.factura_pexp,-1);
			setCookie('cfactura_suc',obj.factura_suc,-1);
			setCookie('csucursal',obj.idsucursal,-1);
			// asigna la pc en la bd tambien
			asignar_pc(obj.idsucursal,obj.factura_suc,obj.factura_pexp);
		}else{
			//si no hay datos en el archivo local, direccion para asignar
			//document.location.href='../asigna_sucursal_pc_auto.php';
			alerta_modal('Error','Los datos de tributacion para esta pc no son validos, favor avisar al encargado del local.');
			$("#inicio_ped").html('<p>Los datos de tributacion para esta pc no son validos, favor avisar al encargado del local.</p>');
		}
	}else{
		//si no hay datos en el archivo local, direccion para asignar
		//document.location.href='../asigna_sucursal_pc_auto.php';	
		alerta_modal('Error','No se encontraron los datos de tributacion para esta pc, favor avisar al encargado del local');
		$("#inicio_ped").html('<p>No se encontraron los datos de tributacion para esta pc, favor avisar al encargado del local.</p>');
	}
}
function alerta_modal(titulo,mensaje){
	$('#modal_ventana').modal('show');
	$("#modal_titulo").html(titulo);
	$("#modal_cuerpo").html(mensaje);
}
function asignar_pc(csucursal,cfactura_suc,cfactura_pexp){
	var direccionurl = 'asigna_pc_self.php';
	var parametros = {
	  'sucursal'     : csucursal,
	  'factura_suc'  : cfactura_suc,
	  'factura_pexp' : cfactura_pexp,
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#inicio_ped").html('<p>Registrando Asignacion, aguarde por favor...</p>');				
		},
		success:  function (response) {
			//alert(response);
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				// si hay datos locales
				if(obj.valido == 'S'){
					// vuelve a comprobar que todo esta ok
					iniciar_pedido();
				}else{
					alert(obj.errores);
				}
			}else{
				alert(response);
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'error');
		}
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		errores_ajax_manejador(jqXHR, textStatus, errorThrown, 'fail');
	});
}
function errores_ajax_manejador(jqXHR, textStatus, errorThrown, tipo){
	// error
	if(tipo == 'error'){
		if(jqXHR.status == 404){
			alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
		}else if(jqXHR.status == 0){
			alert('Se ha rechazado la conexiÃ³n.');
		}else{
			alert(jqXHR.status+' '+errorThrown);
		}
	// fail
	}else{
		if (jqXHR.status === 0) {
			alert('No conectado: verifique la red.');
		} else if (jqXHR.status == 404) {
			alert('Pagina no encontrada [404]');
		} else if (jqXHR.status == 500) {
			alert('Internal Server Error [500].');
		} else if (textStatus === 'parsererror') {
			alert('Requested JSON parse failed.');
		} else if (textStatus === 'timeout') {
			alert('Tiempo de espera agotado, time out error.');
		} else if (textStatus === 'abort') {
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		} else {
			alert('Uncaught Error: ' + jqXHR.responseText);
		}
	}
}
function setCookie(cname,cvalue,exdays) {
    var d = new Date();
    d.setTime(d.getTime() + (exdays*24*60*60*1000));
    var expires = "expires=" + d.toGMTString();
    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
	//document.cookie = cname+'=';
}
function borra_cookie(){

		setCookie('chapa_cookie','',-1);
		setCookie('ruc_cookie','',-1);
		setCookie('razon_social_cookie','',-1);
		setCookie('delivery_cookie','',-1);
		setCookie('mesa_cookie','',-1);
		setCookie('observacion_cookie','',-1);
	
	
}
</script>
</head><!--/head-->

<body>
<?php 
	$ocultacab="S";
	require_once("includes/cabeza.php"); ?>  


	<!-- COL SM 3 Y COL SM 9 -->
	<section>
		<div class="container">
			<div class="row" style="background-color: #fff; ">
	
				<div class="col-md-9 col-sm-9 col-xs-9" style="float: none; border: 0px solid; text-align: center; margin:0px auto; margin-top: 20px; min-height: 800px;">
					<br /><br /><br />
				<h1 style="font-size: 72px;">BIENVENIDO A <?php echo antixss($rsemp->fields['empresa']); ?></h1><BR />
					
				<h2><?php echo antixss($rsemp->fields['slogan_empresa']); ?></h2>
					<BR />
					<div id="inicio_ped"></div>
					<BR />
					
					<a href="#" class="btn btn-lg  btn-primary" onMouseUp="iniciar_pedido();" style="background-color: tomato;"><span class="fa fa-plus"></span> Iniciar Pedido</a>
<BR /><BR /><BR /><BR /><BR /><BR /><BR /><BR /><BR /><BR /><BR /><BR /><BR />
					<p align="right" style="font-size:9px;"><?php echo agregacero($factura_suc,3); ?>-<?php echo agregacero($factura_pexp,3); ?> <?php echo $nombre?>-<?php echo antixss(strtoupper($nombresucursal)); ?></p><br />
				</div>
					
					
			</div>
		</div>
	</section>
	<!-- COL SM 3 Y COL SM 9 -->
	
<!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
<!-- POPUP DE MODAL OCULTO -->
	
<?php require_once("includes/pie_contacto.php");?>

<?php require_once("includes/pie.php");?>
</body>
</html>