<?php

require_once("includes/conexion.php");
require_once("includes/funciones.php");
require_once("includes/rs_carrito.php");

//echo $session_id;exit;

$consulta = "
select *,
(select idinsumo from insumos_lista where idproducto = productos.idprod_serial) as idinsumo,
medidas.nombre_singular as medida,
(
	select sum(cantidad*precio_adicional) as subtotal
	from tmp_ventares_agregado_ecom
	where
	tmp_ventares_agregado_ecom.idwebcarrito_det =  web_carrito_det.idwebcarrito_det
) as monto_agregados,
web_carrito_det.subtotal as subtotal,
COALESCE((
	select sum(cantidad*precio_adicional) as subtotal
	from tmp_ventares_agregado_ecom
	where
	tmp_ventares_agregado_ecom.idwebcarrito_det =  web_carrito_det.idwebcarrito_det
),0)+COALESCE(web_carrito_det.subtotal,0) as subtotal_con_extras,
COALESCE((
	select sum(cantidad*precio_adicional) as subtotal
	from tmp_ventares_agregado_ecom
	where
	tmp_ventares_agregado_ecom.idwebcarrito_det =  web_carrito_det.idwebcarrito_det
),0)+COALESCE(web_carrito_det.subtotal,0)/COALESCE(cantidad,0) as precio_unitario_con_extras
from web_carrito
inner join web_carrito_det on web_carrito.idwebcarrito = web_carrito_det.idwebcarrito
inner join productos on productos.idprod_serial = web_carrito_det.idproducto
inner join medidas on medidas.id_medida = productos.idmedida
where 
web_carrito.id_ses = '$session_id'
and web_carrito.idempresa = $idempresa
and productos.idempresa = $idempresa
and web_carrito.estado = 1
";
//echo $consulta;exit;
$rs_prod = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
// sumatoria
$consulta = "
select sum(web_carrito_det.subtotal)  as total,count(web_carrito_det.subtotal)  as total_productos , web_carrito_det.precio as precio , web_carrito_det.idproducto as idproducto
from web_carrito
inner join web_carrito_det on web_carrito.idwebcarrito = web_carrito_det.idwebcarrito
inner join productos on productos.idprod_serial = web_carrito_det.idproducto
where 
web_carrito.id_ses = '$session_id'
and web_carrito.idempresa = $idempresa
and productos.idempresa = $idempresa
and web_carrito.estado = 1
";
$rs_prodtot = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));




?>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@10"></script>
<script>
	function apretar_combinado(prodprinc) {
		$('#dialogobox').modal('show');
		$(".modal-title").html('Armar Combinado');
		var direccionurl = 'combinado_ventas.php';
		var parametros = {
			"prodprinc": prodprinc
		};
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$(".modal-body").html("Cargando Opciones...");
			},
			success: function(response) {

				$(".modal-body").html(response);
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if (jqXHR.status == 404) {
					alert('Pagina no encontrada. ' + jqXHR.status + ' ' + errorThrown);
				} else if (jqXHR.status == 0) {
					alert('Se ha rechazado la conexión.');
				} else {
					alert(jqXHR.status + ' ' + errorThrown);
				}
			}
		}).fail(function(jqXHR, textStatus, errorThrown) {

			if (jqXHR.status === 0) {

				alert('No conectado: verifique la red.');

			} else if (jqXHR.status == 404) {

				alert('Pagina no encontrada [404]');

			} else if (jqXHR.status == 500) {

				alert('Internal Server Error [500].');

			} else if (textStatus === 'parsererror') {

				alert('Requested JSON parse failed.');

			} else if (textStatus === 'timeout') {

				alert('Tiempo de espera agotado, time out error.');

			} else if (textStatus === 'abort') {

				alert('Solicitud ajax abortada.'); // Ajax request aborted.

			} else {

				alert('Uncaught Error: ' + jqXHR.responseText);

			}

		});

	}

	function agrega_prod_combinado(idproducto_principal, idproducto_partes) {
		var direccionurl = 'combinado_ventas_add.php';
		var parametros = {
			"prodprinc": idproducto_principal,
			"prodpart": idproducto_partes
		};
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$("#counter_combinado_" + idproducto_principal + '_' + idproducto_partes).val('...');
			},
			success: function(response) {
				if (IsJsonString(response)) {
					var obj = jQuery.parseJSON(response);
					if (obj.valido == 'S') {
						$("#counter_combinado_" + idproducto_principal + '_' + idproducto_partes).val(obj.cantidad_seleccionada);
					} else {
						$("#counter_combinado_" + idproducto_principal + '_' + idproducto_partes).val(obj.cantidad_seleccionada);
						// muestra mensaje error
						$.notify({
							// options
							icon: 'glyphicon glyphicon-warning-sign',
							title: 'Error:',
							message: obj.errores
						}, {
							// settings
							type: 'danger',
							z_index: 2000,
							placement: {
								from: "top",
								align: "right"
							},
							animate: {
								enter: 'animated fadeInDown',
								exit: 'animated fadeOutUp'
							},
						});
					}
				} else {
					$("#counter_combo_" + idproducto_principal + '_' + idproducto_partes).val(0);
					alert(response);

				}
			}
		});
	}

	function saca_prod_combinado(idproducto_principal, idproducto_partes) {
		var direccionurl = 'combinado_ventas_del.php';
		var parametros = {
			"prodprinc": idproducto_principal,
			"prodpart": idproducto_partes
		};
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$("#counter_combinado_" + idproducto_principal + '_' + idproducto_partes).val('...');
			},
			success: function(response) {
				if (IsJsonString(response)) {
					var obj = jQuery.parseJSON(response);
					if (obj.valido == 'S') {
						$("#counter_combinado_" + idproducto_principal + '_' + idproducto_partes).val(obj.cantidad_seleccionada);
					} else {
						$("#counter_combinado_" + idproducto_principal + '_' + idproducto_partes).val(obj.cantidad_seleccionada);
						// muestra mensaje error
						$.notify({
							// options
							icon: 'glyphicon glyphicon-warning-sign',
							title: 'Error:',
							message: obj.errores
						}, {
							// settings
							type: 'danger',
							z_index: 2000,
							placement: {
								from: "top",
								align: "right"
							},
							animate: {
								enter: 'animated fadeInDown',
								exit: 'animated fadeOutUp'
							},
						});
					}
				} else {
					$("#counter_combo_" + idproducto_principal + '_' + idproducto_partes).val(0);
					alert(response);

				}
			}
		});
	}

	function terminar_combinado(idproducto) {
		var html_ant = $(".modal-body").html();
		var direccionurl = 'combinado_ventas_termina.php';
		var parametros = {
			"prodprinc": idproducto

		};
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$(".modal-body").html('Registrando...');
			},
			success: function(response) {
				if (IsJsonString(response)) {
					var obj = jQuery.parseJSON(response);
					if (obj.valido == 'S') {
						$('#dialogobox').modal('hide');
						// actualiza carrito
						$("#totcarro-top").html(obj.totalencarro);
						$("#totcarro-navbar").html(obj.totalencarro);
						// muestra mensaje agregado
						$.notify({
							// options
							icon: 'glyphicon glyphicon-shopping-cart',
							message: 'Agregado!'
						}, {
							// settings
							type: 'success',
							placement: {
								from: "bottom",
								align: "right"
							},
						});

						actualizar_agregado_carrito();

						$("#producto_box_" + idproducto + " .card-body").append('<a href="#" class="icono-carrito" title="Ir al carrito" data-toggle="tooltip" data-placement="right"  data-original-title="Ir al carrito"><img src="img/agregado_car.png" class="cart_added" alt="Agregado al carrito" /></a>');
						$("#producto_box_" + idproducto).addClass('card-producto-agregado');
					} else {
						$(".modal-body").html(html_ant);
						// muestra mensaje error
						$.notify({
							// options
							icon: 'glyphicon glyphicon-warning-sign',
							title: 'Errores:<br />',
							message: nl2br(obj.errores)
						}, {
							// settings
							type: 'danger',
							z_index: 2000,
							placement: {
								from: "top",
								align: "right"
							},
							animate: {
								enter: 'animated fadeInDown',
								exit: 'animated fadeOutUp'
							},
						});
					}
				} else {
					$(".modal-body").html(response);

				}
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if (jqXHR.status == 404) {
					alert('Pagina no encontrada. ' + jqXHR.status + ' ' + errorThrown);
				} else if (jqXHR.status == 0) {
					alert('Se ha rechazado la conexión.');
				} else {
					alert(jqXHR.status + ' ' + errorThrown);
				}
			}
		}).fail(function(jqXHR, textStatus, errorThrown) {

			if (jqXHR.status === 0) {

				alert('No conectado: verifique la red.');

			} else if (jqXHR.status == 404) {

				alert('Pagina no encontrada [404]');

			} else if (jqXHR.status == 500) {

				alert('Internal Server Error [500].');

			} else if (textStatus === 'parsererror') {

				alert('Requested JSON parse failed.');

			} else if (textStatus === 'timeout') {

				alert('Tiempo de espera agotado, time out error.');

			} else if (textStatus === 'abort') {

				alert('Solicitud ajax abortada.'); // Ajax request aborted.

			} else {

				alert('Uncaught Error: ' + jqXHR.responseText);

			}

		});
	}

	function apretar_combo(idproducto, cantidad, obj) {
		$('#dialogobox').modal('show');
		$(".modal-title").html('Armar Combo');
		var direccionurl = 'combo_ventas.php';
		var parametros = {
			"id": idproducto
		};
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$(".modal-body").html("Cargando Opciones...");
			},
			success: function(response) {

				$(".modal-body").html(response);
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if (jqXHR.status == 404) {
					alert('Pagina no encontrada. ' + jqXHR.status + ' ' + errorThrown);
				} else if (jqXHR.status == 0) {
					alert('Se ha rechazado la conexión.');
				} else {
					alert(jqXHR.status + ' ' + errorThrown);
				}
			}
		}).fail(function(jqXHR, textStatus, errorThrown) {

			if (jqXHR.status === 0) {

				alert('No conectado: verifique la red.');

			} else if (jqXHR.status == 404) {

				alert('Pagina no encontrada [404]');

			} else if (jqXHR.status == 500) {

				alert('Internal Server Error [500].');

			} else if (textStatus === 'parsererror') {

				alert('Requested JSON parse failed.');

			} else if (textStatus === 'timeout') {

				alert('Tiempo de espera agotado, time out error.');

			} else if (textStatus === 'abort') {

				alert('Solicitud ajax abortada.'); // Ajax request aborted.

			} else {

				alert('Uncaught Error: ' + jqXHR.responseText);

			}

		});

	}

	function agrega_prod_grupo_combo(idproducto, idlistacombo) {
		var direccionurl = 'combo_ventas_add.php';
		var parametros = {
			"idlista": idlistacombo,
			"idprod": idproducto

		};

		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$("#counter_combo_" + idproducto + '_' + idlistacombo).val('...');
			},
			success: function(response) {

				if (IsJsonString(response)) {
					mostrarError(response);
					var obj = jQuery.parseJSON(response);
					if (obj.valido == 'S') {
						$("#counter_combo_" + idproducto + '_' + idlistacombo).val(obj.cantidad_seleccionada);
					} else {
						$("#counter_combo_" + idproducto + '_' + idlistacombo).val(obj.cantidad_seleccionada);
						// muestra mensaje error
						$.notify({
							// options
							icon: 'glyphicon glyphicon-warning-sign',
							title: 'Error:',
							message: obj.errores
						}, {
							// settings
							type: 'danger',
							z_index: 2000,
							placement: {
								from: "top",
								align: "right"
							},
							animate: {
								enter: 'animated fadeInDown',
								exit: 'animated fadeOutUp'
							},
						});
					}
				} else {
					$("#counter_combo_" + idproducto + '_' + idlistacombo).val(0);
					alert(response);

				}
				sumarRestar(idlistacombo)
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if (jqXHR.status == 404) {
					alert('Pagina no encontrada. ' + jqXHR.status + ' ' + errorThrown);
				} else if (jqXHR.status == 0) {
					alert('Se ha rechazado la conexión.');
				} else {
					alert(jqXHR.status + ' ' + errorThrown);
				}
			}
		}).fail(function(jqXHR, textStatus, errorThrown) {

			if (jqXHR.status === 0) {

				alert('No conectado: verifique la red.');

			} else if (jqXHR.status == 404) {

				alert('Pagina no encontrada [404]');

			} else if (jqXHR.status == 500) {

				alert('Internal Server Error [500].');

			} else if (textStatus === 'parsererror') {

				alert('Requested JSON parse failed.');

			} else if (textStatus === 'timeout') {

				alert('Tiempo de espera agotado, time out error.');

			} else if (textStatus === 'abort') {

				alert('Solicitud ajax abortada.'); // Ajax request aborted.

			} else {

				alert('Uncaught Error: ' + jqXHR.responseText);

			}

		});

	}

	function mostrarError(response) {
		var obj = JSON.parse(response);
		if (obj.valido === 'N') {
			var mensajeError = obj.errores;
			// Mostrar el mensaje de error con SweetAlert2

			Swal.fire({
				position: "top-end",
				icon: "error",
				title: mensajeError,
				showConfirmButton: false,
				timer: 1500
			});
		}
	}

	function sumarRestar(idlistacombo) {

		var suma = 0;
		var maximaCantidad = parseInt(document.querySelector('#grupo_' + idlistacombo + ' .maxima-cantidad').value);

		// Buscar dinámicamente el div con el id correspondiente al grupo
		var grupo = document.querySelector('#grupo_' + idlistacombo);
		if (grupo) {
			grupo.querySelectorAll('input[type="text"]').forEach(function(input) {
				var parsedValue = parseInt(input.value);
				// Verificar si parsedValue es un número válido
				if (!isNaN(parsedValue)) {
					suma += parsedValue;
				} else {
					suma += 0;
					console.error('El valor del campo de texto no es un número válido: ' + input.value);
				}
			});
		} else {
			console.error('No se encontró ningún grupo con el ID "grupo_' + idlistacombo + '".');
			return;
		}

		var diferencia = maximaCantidad - suma;
		var sobran = maximaCantidad - diferencia;
		var mensaje = document.querySelector('#mensaje_cantidad_' + idlistacombo);
		if (mensaje) {

			if (diferencia < 1) {
				mensaje.textContent = 'Completaste la selección';
				mensaje.style.color = '#cea71f'; // Cambia el color del texto si la diferencia es cero
			} else {
				mensaje.textContent = 'Elegí hasta ' + maximaCantidad + ' (puedes elegir hasta ' + diferencia + ' más)';
				mensaje.style.color = '#ffffff';
			}
		} else {
			console.error('No se encontró ningún elemento con el ID "mensaje_cantidad_' + idlistacombo + '".');
			return;
		}
	}


	function saca_prod_grupo_combo(idproducto, idlistacombo) {
		var direccionurl = 'combo_ventas_del.php';
		var parametros = {
			"idlista": idlistacombo,
			"idprod": idproducto

		};
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$("#counter_combo_" + idproducto + '_' + idlistacombo).val('...');
			},
			success: function(response) {
				if (IsJsonString(response)) {
					var obj = jQuery.parseJSON(response);
					if (obj.valido == 'S') {
						$("#counter_combo_" + idproducto + '_' + idlistacombo).val(obj.cantidad_seleccionada);
					} else {
						$("#counter_combo_" + idproducto + '_' + idlistacombo).val(obj.cantidad_seleccionada);
						// muestra mensaje error
						$.notify({
							// options
							icon: 'glyphicon glyphicon-warning-sign',
							title: 'Error:',
							message: obj.errores
						}, {
							// settings
							type: 'danger',
							z_index: 2000,
							placement: {
								from: "top",
								align: "right"
							},
							animate: {
								enter: 'animated fadeInDown',
								exit: 'animated fadeOutUp'
							},
						});
					}
				} else {
					$("#counter_combo_" + idproducto + '_' + idlistacombo).val(0);
					alert(response);

				}
				sumarRestar(idlistacombo)
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if (jqXHR.status == 404) {
					alert('Pagina no encontrada. ' + jqXHR.status + ' ' + errorThrown);
				} else if (jqXHR.status == 0) {
					alert('Se ha rechazado la conexión.');
				} else {
					alert(jqXHR.status + ' ' + errorThrown);
				}
			}
		}).fail(function(jqXHR, textStatus, errorThrown) {

			if (jqXHR.status === 0) {

				alert('No conectado: verifique la red.');

			} else if (jqXHR.status == 404) {

				alert('Pagina no encontrada [404]');

			} else if (jqXHR.status == 500) {

				alert('Internal Server Error [500].');

			} else if (textStatus === 'parsererror') {

				alert('Requested JSON parse failed.');

			} else if (textStatus === 'timeout') {

				alert('Tiempo de espera agotado, time out error.');

			} else if (textStatus === 'abort') {

				alert('Solicitud ajax abortada.'); // Ajax request aborted.

			} else {

				alert('Uncaught Error: ' + jqXHR.responseText);

			}

		});

	}
function terminar_combo(idproducto) {
    var boton = $("#agregar_al_carrito");
    var htmlOriginal = boton.html();
    boton.html('<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>');

    $.ajax({
        data: { "idprod_princ": idproducto },
        url: 'combo_ventas_termina.php',
        type: 'post',
        cache: false,
        timeout: 3000,
        crossDomain: true,
        success: function(response) {
            if (IsJsonString(response)) {
                var obj = jQuery.parseJSON(response);
                if (obj.valido == 'S') {
                    $('#dialogobox').modal('hide');
                    $("#totcarro-top, #totcarro-navbar").html(obj.totalencarro);
                    mostrarMensaje('Agregado al carrito', 'success');
                    actualizar_agregado_carrito();
                    agregarIconoCarrito(idproducto);
                } else {
                    mostrarMensaje(obj.errores, 'error');
                }
            } else {
                $(".modal-body").html(response);
            }
        },
        error: function(jqXHR, textStatus, errorThrown) {
            console.log(jqXHR, textStatus, errorThrown);
        },
        complete: function() {
            boton.html(htmlOriginal);
        }
    });
}
function agregado_add(idproducto_ag, idproducto_princ) {
		var direccionurl = 'agregado_add.php';
		var parametros = {
			"idproducto_ag": idproducto_ag,
			"idproducto_princ": idproducto_princ

		};

		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$("#counter_agregado_" + idproducto_ag + '_' + idproducto_princ).val('...');
			},
			success: function(response) {

				if (IsJsonString(response)) {
					mostrarError(response);
					var obj = jQuery.parseJSON(response);
					if (obj.valido == 'S') {
						$("#counter_agregado_" + idproducto_ag + '_' + idproducto_princ).val(obj.cantidad_seleccionada);
					} else {
						$("#counter_agregado_" + idproducto_ag + '_' + idproducto_princ).val(obj.cantidad_seleccionada);
						// muestra mensaje error
						$.notify({
							// options
							icon: 'glyphicon glyphicon-warning-sign',
							title: 'Error:',
							message: obj.errores
						}, {
							// settings
							type: 'danger',
							z_index: 2000,
							placement: {
								from: "top",
								align: "right"
							},
							animate: {
								enter: 'animated fadeInDown',
								exit: 'animated fadeOutUp'
							},
						});
					}
				} else {
					$("#counter_combo_" + idproducto_ag + '_' + idproducto_princ).val(0);
					alert(response);
					console.log(response);

				}
				//sumarRestar_ag(idproducto_princ)
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if (jqXHR.status == 404) {
					alert('Pagina no encontrada. ' + jqXHR.status + ' ' + errorThrown);
				} else if (jqXHR.status == 0) {
					alert('Se ha rechazado la conexión.');
				} else {
					alert(jqXHR.status + ' ' + errorThrown);
				}
			}
		}).fail(function(jqXHR, textStatus, errorThrown) {

			if (jqXHR.status === 0) {

				alert('No conectado: verifique la red.');

			} else if (jqXHR.status == 404) {

				alert('Pagina no encontrada [404]');

			} else if (jqXHR.status == 500) {

				alert('Internal Server Error [500].');

			} else if (textStatus === 'parsererror') {

				alert('Requested JSON parse failed.');

			} else if (textStatus === 'timeout') {

				alert('Tiempo de espera agotado, time out error.');

			} else if (textStatus === 'abort') {

				alert('Solicitud ajax abortada.'); // Ajax request aborted.

			} else {

				alert('Uncaught Error: ' + jqXHR.responseText);

			}

		});

	}
function agregado_del(idproducto_ag, idproducto_princ) {
		var direccionurl = 'agregado_del.php';
		var parametros = {
			"idproducto_ag": idproducto_ag,
			"idproducto_princ": idproducto_princ

		};

		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$("#counter_agregado_" + idproducto_ag + '_' + idproducto_princ).val('...');
			},
			success: function(response) {

				if (IsJsonString(response)) {
					mostrarError(response);
					var obj = jQuery.parseJSON(response);
					if (obj.valido == 'S') {
						$("#counter_agregado_" + idproducto_ag + '_' + idproducto_princ).val(obj.cantidad_seleccionada);
					} else {
						$("#counter_agregado_" + idproducto_ag + '_' + idproducto_princ).val(obj.cantidad_seleccionada);
						// muestra mensaje error
						$.notify({
							// options
							icon: 'glyphicon glyphicon-warning-sign',
							title: 'Error:',
							message: obj.errores
						}, {
							// settings
							type: 'danger',
							z_index: 2000,
							placement: {
								from: "top",
								align: "right"
							},
							animate: {
								enter: 'animated fadeInDown',
								exit: 'animated fadeOutUp'
							},
						});
					}
				} else {
					$("#counter_combo_" + idproducto_ag + '_' + idproducto_princ).val(0);
					alert(response);
					console.log(response);

				}
				//sumarRestar_ag(idproducto_princ)
			},
			error: function(jqXHR, textStatus, errorThrown) {
				if (jqXHR.status == 404) {
					alert('Pagina no encontrada. ' + jqXHR.status + ' ' + errorThrown);
				} else if (jqXHR.status == 0) {
					alert('Se ha rechazado la conexión.');
				} else {
					alert(jqXHR.status + ' ' + errorThrown);
				}
			}
		}).fail(function(jqXHR, textStatus, errorThrown) {

			if (jqXHR.status === 0) {

				alert('No conectado: verifique la red.');

			} else if (jqXHR.status == 404) {

				alert('Pagina no encontrada [404]');

			} else if (jqXHR.status == 500) {

				alert('Internal Server Error [500].');

			} else if (textStatus === 'parsererror') {

				alert('Requested JSON parse failed.');

			} else if (textStatus === 'timeout') {

				alert('Tiempo de espera agotado, time out error.');

			} else if (textStatus === 'abort') {

				alert('Solicitud ajax abortada.'); // Ajax request aborted.

			} else {

				alert('Uncaught Error: ' + jqXHR.responseText);

			}

		});

	}



function mostrarMensaje(mensaje, tipo) {
    Swal.fire({
        position: "top-end",
        icon: (tipo === 'success') ? 'success' : 'error',
        title: mensaje,
        showConfirmButton: false,
        timer: 1500
 });
}
function alerta_modal(titulo, mensaje) {
	$('#dialogobox').modal('show');
	$(".modal-title").html(titulo);
	$(".modal-body").html(mensaje);
}

	function IsJsonString(str) {
		try {
			JSON.parse(str);
		} catch (e) {
			return false;
		}
		return true;
	}

	function nl2br(str, is_xhtml) {
		var breakTag = (is_xhtml || typeof is_xhtml === 'undefined') ? '<br ' + '/>' : '<br>';

		return (str + '').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1' + breakTag + '$2');
	}

	function reinicia_combos_y_otros() {
		var direccionurl = 'reinicia_combos_y_otros.php';
		var parametros = {
			"time_nocache": '<?php echo $ahora  ?>'
		};
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {

			},
			success: function(response, textStatus, xhr) {

			}

		});
	}

	function confirmar_pedido() {
		var valido = 'S';
		var nomape = $("#nomape").val();
		var email = $("#email").val();
		var telefono = $("#telefono").val();
		var direccion = $("#direccion").val();
		var comentarios = $("#comentarios").val();
		var ruc = $("#ruc").val();
		var razon_social = $("#razon_social").val();
		var delivery = "N";
		var comeolleva = $("#comeolleva").val();
		if (comeolleva == 'LLEVA') {
			var idcanal = 1; // carry
		}
		if (comeolleva == 'COME') {
			var idcanal = 2; // caja
		}

		/*if ($('#canal_del').is(':checked')) {
			var delivery = "S";
		}else{
			var delivery = "N";	
		}*/
		var formapago = $('input:radio[name=formapago]:checked').val();
		if (nomape == '') {
			valido = 'N';
			$('#nomape_er').show();
		} else {
			$('#nomape_er').hide();
		}
		if (email == '') {
			//valido = 'N';
			$('#email_er').show();
		} else {
			$('#email_er').hide();
		}
		if (telefono == '') {
			valido = 'N';
			$('#telefono_er').show();
		} else {
			$('#telefono_er').hide();
		}
		if (direccion == '') {
			//valido = 'N';
			$('#direccion_er').show();
		} else {
			$('#direccion_er').hide();
		}

		if (valido == 'S') {
			var parametros = {
				"nomape": nomape,
				"email": email,
				"telefono": telefono,
				"direccion": direccion,
				"comentarios": comentarios,
				"ruc": ruc,
				"razon_social": razon_social,
				"formapago": formapago,
				"delivery": delivery,
				"idcanal": idcanal,
			};
			$.ajax({
				data: parametros,
				url: 'carro_registra.php',
				type: 'post',
				beforeSend: function() {
					$("#confirmabtn").hide();
				},
				success: function(response) {
					//alert(response);
					if (IsJsonString(response)) {
						var obj = jQuery.parseJSON(response);
						$("#monto_abonar").val(obj.valido);
						if (obj.valido == 'S') {
							/*Swal.fire({
								title: "<p style='font-family:Rubik'>¡Exito!</p>",
								html: `<p style='font-family:Rubik'>¡El pedido ha sido enviado exitosamente!<br>El numero de pedido es: ${obj.idpedido}</p>`,
								icon: "success",
								confirmButtonText:"Aceptar"
							}).then(function () {
								//window.location.reload();
								document.location.href='pedido_registrado.php?idpedido='+obj.idpedido;
							});*/
							//document.location.href='pedido_registrado.php?idpedido='+obj.idpedido;
							document.location.href = 'pagar_pedido.php?idpedido=' + obj.idpedido + '&key=' + obj.key;
						} else {
							//alert('Errores: ' + obj.errores);
							mostrarMensaje(obj.errores, 'error');
							$("#confirmabtn").show();
						}
					} else {
						/* alert("Hubo un problema con tu compra y no se pudo registrar.\n"+response);					
						$("#confirmabtn").show(); */
						alert(response);
						Swal.fire({
							title: "<p style='font-family:Rubik'>¡Error!</p>",
							html: "<p style='font-family:Rubik'>¡Hubo un problema con tu compra y no se pudo registrar!</p>",
							icon: "error",
							confirmButtonText: "Aceptar"
						}).then(function() {
							window.location.reload();
						});
					}
				}
			});
			
		/* si no es valido los campos */
		}else{
			Swal.fire({
				title: "<p style='font-family:Rubik'>¡Error!</p>",
				html: "<p style='font-family:Rubik'>No completaste todos los campos obligatorios.</p>",
				icon: "error",
				confirmButtonText: "Aceptar"
			}).then(function() {
				//window.location.reload();
			});
		}
	}
</script>

<div class="overlay_dos"></div>

<section class="">
	<div class="productos_carrito">

		<?php if ($_GET['env'] != 's') { ?>

			<div class="row">
				<?php if ($_GET['env'] == 's') { ?>
					<div class="col-12 text-center alert alert-success alert-dismissible" role="alert">
						<button type="button" class="close btn" data-dismiss="alert" aria-label="Close">
							<span aria-hidden="true">×</span>
						</button>
						<strong>Pedido enviado!!</strong> nos pondremos en contacto con usted en la brevedad posible.
					</div>
					<div class="clearfix"></div>
				<?php } ?>
			</div>
			<div class="contenedor_carrito texto-blanco">


				<div class="lista_carrito">

					<?php 
					$tiene_productos = 0;
					while (!$rs_prod->EOF) {
						$tiene_productos = 1;
						// crea imagen
						$id  = $rs_prod->fields['idprod_serial'];
						$img = "$RUTA_IMG/wprod_$id.jpg";

						if (!file_exists($img)) {
							$img = "$RUTA_IMG/wprod_0.jpg";
						}

						$idwebcarrito_det = $rs_prod->fields['idwebcarrito_det'];
						$idproducto = $rs_prod->fields['idproducto'];
						$disabled = "";

						if ($rs_prod->fields['idtipoproducto'] != 1) {
							$disabled = 'disabled="disabled"';
						}
						$observacion = "-";
						$idPordSerial = $rs_prod->fields['idprod_serial'];
						if ($rs_prod->fields['observacion']) {
							$observacion = $rs_prod->fields['observacion'];
						}

					?>
						<div id="cont_inp_<?php echo $idPordSerial ?>" class="d-flex flex-column mb-2 d-md-revert producto_carrito fondo_dos">

							<td><!-- aca inicia -->
								<button class="btn-carrito-quitar-producto color_dos" id_eliminar="<?php echo $idwebcarrito_det; ?>" ; onclick="borra(<?php echo $idwebcarrito_det . ',' . $idproducto; ?>);">
									<ion-icon name="trash-outline"></ion-icon>
								</button>
								<div class="descripcion">
									<span class="nombre_producto_carrito color_dos">
										<?php echo $rs_prod->fields['descripcion']; ?>
									</span>
									<span class="descripcion_producto_carrito color_dos">
										<?php echo $rs_prod->fields['descripcion_larga']; ?>
									</span>
									<span class="observacion_producto_carrito color_dos">
										Obs: <?php echo $observacion; ?>
									</span>
									<?php
									if (!$rs_prod->fields['observacion']) {
										echo '<button class="agregar_observacion color_uno fondo_transparente" onclick="agrega_observacion(' . $idproducto . ',`' . $rs_prod->fields['descripcion'] . '`,' . $idwebcarrito_det . ')">Agregar observacion</button>';
									}
									?>
									<?php
									/* if($rs_prod->fields['idtipoproducto'] == 1):  
												if( trim($rs_prod->fields['idinsumo']) != '' ):
													echo "<small>Cód. ".$rs_prod->fields['idinsumo']."</small>";
												endif;
													echo "<br>";
												if( trim($rs_prod->fields['barcode']) != '' ):
													echo "<small>Cód. de Barras: ".$rs_prod->fields['barcode']."</small>";
												endif;
											endif; */
									?>
								</div>




								<small class="color_dos">
									<?php
									if ($rs_prod->fields['idtipoproducto'] == 2) { // combo
										$consulta = "
												select productos.descripcion,  count(*) as total
												from tmp_combos_listas_ecom
												inner join productos on productos.idprod_serial = tmp_combos_listas_ecom.idproducto
												where
												idwebcarrito_det =  $idwebcarrito_det
												group by productos.descripcion
												";
										$rs_combo = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
										$combo_partes = "";
										while (!$rs_combo->EOF) {
											//if($rs_combo->fields['total'] > 1){
											$combo_partes .= "[" . $rs_combo->fields['total'] . "] " . strtolower($rs_combo->fields['descripcion']) . ", ";
											//}else{
											//	$combo_partes.=strtolower($rs_combo->fields['descripcion']).", ";	
											//}
											$rs_combo->MoveNext();
										}
										$combo_partes = substr($combo_partes, 0, -2);
										echo "Detalle: " . $combo_partes;
									}
									if ($rs_prod->fields['idtipoproducto'] == 4) { // combinado extendido
										$consulta = "
												select productos.descripcion,  count(*) as total
												from tmp_combinado_listas_ecom
												inner join productos on productos.idprod_serial = tmp_combinado_listas_ecom.idproducto_partes
												where
												idwebcarrito_det =  $idwebcarrito_det
												group by productos.descripcion
												";
										$rs_combo = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
										$combo_partes = "";
										while (!$rs_combo->EOF) {
											//if($rs_combo->fields['total'] > 1){
											$combo_partes .= "[" . $rs_combo->fields['total'] . "] " . strtolower($rs_combo->fields['descripcion']) . ", ";
											//}else{
											//	$combo_partes.=strtolower($rs_combo->fields['descripcion']).", ";	
											//}
											$rs_combo->MoveNext();
										}
										$combo_partes = substr($combo_partes, 0, -2);
										echo "Detalle: " . $combo_partes;
										
									}
									// agregados con precio extra
									$consulta="
									select alias, min(precio_adicional) as precio_adicional, sum(cantidad) as cantidad, sum(cantidad*precio_adicional) as subtotal
									from tmp_ventares_agregado_ecom
									where
									idwebcarrito_det =  $idwebcarrito_det
									group by alias
									";
									//echo $consulta;exit;
									$rs_agregado = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
									$agregado_partes = "";
									while (!$rs_agregado->EOF) {
										if(floatval($rs_agregado->fields['cantidad']) > 0){
											$agregado_partes .= "[" . formatomoneda($rs_agregado->fields['cantidad']) . "] " . strtolower($rs_agregado->fields['alias']) . " Gs. ".formatomoneda($rs_agregado->fields['subtotal']).", ";
										}
										$rs_agregado->MoveNext();
									}
									if($combo_partes != ''){
										echo "<br />";
									}
									if(trim($agregado_partes) != ''){
										echo "<strong>Agregados:</strong>" . $agregado_partes;
									}
									?>
								</small>


								<div class="base">
									<div class="cantidad">
										<button class="restar boton_cantidad fondo_cuatro" funcion="restar" idprod="<?php echo $rs_prod->fields['idprod_serial']; ?>" idwebcarrito_det="<?php echo $rs_prod->fields['idwebcarrito_det']; ?>"><ion-icon name="remove-outline" class="color_tres"></ion-icon></button>
										<form name="<?php echo md5('+' . $rs_prod->fields['idprod_serial']); ?>" id="<?php echo md5('+' . $rs_prod->fields['idprod_serial']); ?>" method="post" action="carro.php">

											<div id="cont_inp_<?php echo $rs_prod->fields['idprod_serial']; ?>" style="display:<?php echo $display ?>;">

												<input name="cant_inp" id="cant_inp_<?php echo $rs_prod->fields['idprod_serial']; ?>" value="<?php echo floatval($rs_prod->fields['cantidad']); ?>" type="number" class="form-control bg-white text-center px-0" onKeyUp="muestra_btn(<?php echo $rs_prod->fields['idprod_serial']; ?>);" onchange="actualizar_cant_inp('<?php echo md5('+' . $rs_prod->fields['idprod_serial']); ?>',<?php echo $rs_prod->fields['idprod_serial']; ?>);" <?php echo $disabled ?>>

												<input name="id" type="hidden" id="id" value="<?php echo $rs_prod->fields['idprod_serial']; ?>">
											</div>
										</form>
										<button class="sumar boton_cantidad fondo_cuatro" funcion="sumar" idprod="<?php echo $rs_prod->fields['idprod_serial']; ?>" idwebcarrito_det="<?php echo $rs_prod->fields['idwebcarrito_det']; ?>"><ion-icon name="add-outline" class="color_tres"></ion-icon></button>
									</div>

									<span class="precio color_dos" precio_unitario="<?php echo formatomoneda($rs_prod->fields['precio_unitario_con_extras'], 0); ?>">Gs <?php echo formatomoneda($rs_prod->fields['subtotal_con_extras'], 0); ?></span>
								</div>
							</td><!-- aca termina -->


						</div>
					<?php
						$rs_prod->MoveNext();
					}


					///endwhile; //fin while
					$mostrar_aviso = "display:none;";
					if ($tiene_productos == 0) {
						$mostrar_aviso = "display:flex;";
					}
					?>
					<div class='contenedor_vacio' style="<?php echo $mostrar_aviso; ?>">
						<img src='img/carrito_vacio.png'>
						<span>Tu carrito esta vacio</span>
					</div>
				</div>
				<?php
				if ($tiene_productos != 0) {
					echo '
							<div class="contenedor_total_carrito flotante fondo_uno">              
								<span class="total_titulo color_dos" >Finalizar pedido</span>
								<span class="total_numero color_dos" >Gs ' . formatomoneda($rs_prodtot->fields['total'], 0) . '</span>             
							</div>		
							';
				}

				?>


			</div>
			<div class="contenedor_pedido">
				<div class="contenedor_opciones_carrito">


					<button class="editar_carrito fondo_uno color_dos">Modificar carrito</button>
					<!-- <label for="" class="texto-oscuro" >
                    <input type="radio" name="formapago" id="formapago_ef" value="EF" checked>
                    <strong style="font-weight: 600;" >Pago en efectivo </strong>
                </label> 	 -->
					<!-- <label for="" class="texto-oscuro mt-4" >
                    <input type="radio" name="canal" id="canal_car" value="C">
                    <strong style="font-weight: 600;" > Pasar a retirar </strong>
                </label> -->





					<form method="post" action="">
						<div class="" id="carrito" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
							<div class="contenedor_datos_pedido">
								<div class="col-sm-12">

									<span class="titulo_input color_dos">RUC (Opcional)</span>
									<div class="form-group">
										<input type="text" class="form-control input-lg fondo_dos color_dos" id="ruc" name="ruc" placeholder="Ej: 1234567-8" value="<?php echo antixss($_COOKIE['ruc_selfqr']); ?>">
									</div>

									<span class="titulo_input color_dos">Razon social (Opcional)</span>
									<div class="form-group">
										<input type="text" class="form-control input-lg fondo_dos color_dos" id="razon_social" name="razon_social" placeholder="Ej: Juan Perez" value="<?php echo antixss($_COOKIE['razon_social_selfqr']); ?>" >
									</div>

									<span class="titulo_input color_dos">Nombre del que retirara</span>
									<div class="form-group">
										<input type="text" class="form-control input-lg fondo_dos color_dos" id="nomape" name="nomape" placeholder="Ej: Juan Perez" value="<?php echo antixss($_COOKIE['nomape_selfqr']); ?>" >
										<div class="requerir" id="nomape_er">* Debe completar este campo</div>
									</div>


									<span class="titulo_input color_dos">Celular</span>
									<div class="form-group">
										<input type="tel" class="form-control input-lg fondo_dos color_dos" id="telefono" name="telefono" placeholder="Ej: 0976100000" value="<?php echo antixss($_COOKIE['telefono_selfqr']); ?>" >
										<div class="requerir" id="telefono_er">* Debe completar este campo</div>
									</div>

									<span class="titulo_input color_dos">Comer o Llevar</span>
									<div class="form-group">
										<?php

										// valor seleccionado
										if (isset($_GET['comeolleva'])) {
											$value_selected = htmlentities($_GET['comeolleva']);
										} else {
											$value_selected = '';
										}
										// opciones
										$opciones = array(
											'PARA LLEVAR' => 'LLEVA',
											'COMER  AQUI' => 'COME'
										);
										// parametros
										$parametros_array = array(
											'nombre_campo' => 'comeolleva',
											'id_campo' => 'comeolleva',

											'value_selected' => $value_selected,

											'pricampo_name' => 'Seleccionar...',
											'pricampo_value' => '',
											'style_input' => 'class="form-control"',
											'acciones' => ' required="required" ',
											'autosel_1registro' => 'S',
											'opciones' => $opciones

										);

										// construye campo
										echo campo_select_sinbd($parametros_array);
										?>
									</div>

									<span class="titulo_input color_dos">Observaciones</span>
									<div class="form-group">
										<textarea class="form-control" rows="3" id="comentarios" name="comentarios" placeholder="Ej: Llamar al telefono cuando este listo para retirar"></textarea>
									</div>
								</div>



								<div class="contenedor_total_pedido">
									<span class="total_titulo color_cuatro">Total carrito</span>
									<span class="total_numero color_dos">Gs <?php echo formatomoneda($rs_prodtot->fields['total'], 0); ?></span>
									<!-- <?php if ($totalencarro > 0) { ?>
										<button class="btn btn-solicitar" data-bs-toggle="modal" data-bs-target="#carrito" >
											<i class="fab fa-get-pocket"></i> Solicitar
										</button>
									<?php } ?> -->
								</div>



								<div class="">
									<input type="hidden" name="form" value="1">
									<button type="button" class="btn btn-solicitar color_dos fondo_cinco" id="confirmabtn" onclick="confirmar_pedido();">
										Proceder al Pago
										<ion-icon name="checkmark-circle-outline"></ion-icon>
									</button>
								</div>

							</div>
						</div>
					</form>















				</div>









			</div>

			<!--POPUP CONFIRMAR PEDIDO-->

			<!--/POPUP CONFIRMAR PEDIDO-->

		<?php }; //fin if $_GET['env'] != 's' 
		?>

	</div>
</section>

<div class="ver_carrito_movil fondo_uno">
	<span class="contenedor_contador color_dos"><ion-icon name="cart-outline"></ion-icon><span class="contador_productos"><?php echo formatomoneda($rs_prodtot->fields['total_productos'], 0); ?></span></span>
	<span class="color_dos">Ver pedido</span>
	<span class="total_numero color_dos">Gs <?php echo formatomoneda($rs_prodtot->fields['total'], 0); ?></span>
</div>
<div class="observacion_formulario" id_producto="" id_webcarrito_det="">
	<div class="cabecera_observacion">
		<span class="titulo_pedido color_dos">Observación</span>
		<button class="cerrar_observacion color_dos fondo_transparente" onclick=cerrar_observacion()><ion-icon name="close-outline"></ion-icon></button>
	</div>
	<p class="color_dos">¿Tienes alguna observación con respecto a tu pedido? Escribelas aquí!</p>
	<span class="producto_observacion color_dos">-</span>
	<textarea class="observacion_input fondo_dos" id="" cols="30" rows="10"></textarea>
	<button class="agregar_observacion_carrito fondo_uno" onclick="enviar_observacion()">Agregar observación</button>
</div>
<script>
	const observacion_formulario = document.querySelector(".observacion_formulario");
	const observacion_input = observacion_formulario.querySelector(".observacion_input");
	const producto_observacion = observacion_formulario.querySelector(".producto_observacion");
	const overlay_dos = document.querySelector(".overlay_dos");

	function agrega_observacion(id, nombre, id_webcarrito_det) {
		producto_observacion.innerHTML = "-" + nombre;
		overlay_dos.style = "display: flex; z-index: 9;";
		observacion_formulario.style = "display: flex;";
		observacion_formulario.setAttribute("id_producto", id);
		observacion_formulario.setAttribute("id_webcarrito_det", id_webcarrito_det);
	}

	function cerrar_observacion() {
		observacion_input.value = "";
		observacion_formulario.style = "display: none;";
		overlay_dos.style = "display: none;";
	}

	function enviar_observacion() {
		const observacion = observacion_input.value;
		const id_producto = observacion_formulario.getAttribute("id_producto");
		const id_webcarrito_det = observacion_formulario.getAttribute("id_webcarrito_det");
		var tabla_peticion = new FormData();
		tabla_peticion.append('enviar_observacion', observacion);
		tabla_peticion.append('id_observacion', id_producto);
		tabla_peticion.append('idwebcarrito_det', id_webcarrito_det);
		fetch('carro_edit.php', {
				method: "POST",
				body: tabla_peticion,
			}).then(respuesta => respuesta.text())
			.then(datos => {
				const texto_obs = document.querySelector(`#cont_inp_${id_producto} .observacion_producto_carrito`);
				const boton_obs = document.querySelector(`#cont_inp_${id_producto} .agregar_observacion`);
				texto_obs.innerHTML = "Obs: " + observacion;
				boton_obs.remove();
				cerrar_observacion();
				return;
			});
	}
	var contenedor_carrito = document.querySelector(".contenedor_carrito");
	var contenedor_vacio = document.querySelector(".contenedor_vacio");
	var lista_carrito = document.querySelector(".contenedor_carrito");
	let contenedor_pedido = document.querySelector(".contenedor_pedido");
	const editar_carrito = document.querySelector(".editar_carrito");
	var contenedor_total_carrito = document.querySelector(".contenedor_total_carrito.flotante");
	editar_carrito.addEventListener('click', function() {
		contenedor_carrito.style = "display : block;";
		contenedor_pedido.style = "display : none;";
	});
	if (contenedor_total_carrito) {
		contenedor_total_carrito.addEventListener('click', function() {
			contenedor_carrito.style = "display : none;";
			contenedor_pedido.style = "display : block;";
		});
	}







	function formatear(numero) {
		var num = numero;
		if (!isNaN(num)) {
			num = num.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g, '$1.');
			num = num.split('').reverse().join('').replace(/^[\.]/, '');
			return num;
		}
	}

	function borra(id, id_producto) {
		var tabla_peticion = new FormData();
		const boton_eliminar = document.querySelector(`.btn-carrito-quitar-producto[id_eliminar='${id}']`);
		const producto_carrito_eliminar = boton_eliminar.closest(".producto_carrito");
		const producto_lista_eliminar = document.querySelector(`#producto_box_${id_producto}`);
		tabla_peticion.append('del', id);
		fetch('carro.php', {
				method: "POST",
				body: tabla_peticion,
			}).then(respuesta => respuesta.json())
			.then(datos => {
				producto_carrito_eliminar.remove();
				if (producto_lista_eliminar) {
					producto_lista_eliminar.classList.remove("card-producto-agregado");
					const imagen_carrito = producto_lista_eliminar.querySelector(`.icono-carrito`);
					imagen_carrito.remove();
				}
				actualizar_carrito();
			});
	}

	function actualizar_carrito() {
		const total_productos = document.querySelectorAll('.producto_carrito');
		const total_carrito_texto = document.querySelectorAll(".total_numero");
		const contador_productos = document.querySelector(".contador_productos");
		let total_carrito = 0;
		total_productos.forEach(producto => {
			const precio = producto.querySelector(".precio");
			const precio_unitario = Number(precio.getAttribute("precio_unitario").replace(/[gs₲.]/gi, ''));
			const cantidad = producto.querySelector(".cantidad input").value;
			const operacion = Number(cantidad) * precio_unitario;
			precio.innerHTML = "Gs " + formatear(operacion);
			total_carrito += operacion;
		});
		total_carrito_texto[0].innerHTML = "Gs " + formatear(total_carrito);
		total_carrito_texto[1].innerHTML = "Gs " + formatear(total_carrito);
		if (total_carrito_texto[2]) {
			total_carrito_texto[2].innerHTML = "Gs " + formatear(total_carrito);
		}

		if (total_productos.length <= 0) {
			contenedor_total_carrito = contenedor_carrito.querySelector(".contenedor_total_carrito.flotante");
			contenedor_vacio = contenedor_carrito.querySelector(".contenedor_vacio");
			contenedor_vacio.style = "display: flex;";
			if (contenedor_total_carrito) {
				contenedor_total_carrito.style = "display: none;";
			}

		}
		contador_productos.innerHTML = total_productos.length;

	}
	actualizar_carrito();

	var boton_cantidad = lista_carrito.querySelectorAll('.boton_cantidad');
	boton_cantidad.forEach(boton => {
		boton.addEventListener('click', actualizar_cant_inp);
	});

	function actualizar_cant_inp(event) {
		const click = event.target;
		const boton = click.closest('.boton_cantidad');
		const funcion = boton.getAttribute('funcion');
		const idprod = boton.getAttribute('idprod');
		const idwebcarrito_det = boton.getAttribute('idwebcarrito_det');
		let padre = boton.closest('.producto_carrito');
		let input_cantidad = padre.querySelector('input');

		if (funcion == "sumar") {
			input_cantidad.value = parseInt(input_cantidad.value) + 1;
		} else {
			if (input_cantidad.value == "1") {
				return;
			}
			input_cantidad.value = parseInt(input_cantidad.value) - 1;
		}
		actualizar_carrito();



		var tabla_peticion = new FormData();
		tabla_peticion.append('id', idprod);
		tabla_peticion.append('cant_inp', input_cantidad.value);
		tabla_peticion.append('idwebcarrito_det', idwebcarrito_det);
		fetch('carro_edit.php', {
				method: "POST",
				body: tabla_peticion,
			}).then(respuesta => respuesta.text())
			.then(datos => {
				return;
			});
	}

	function actualizar_agregado_carrito() {
		fetch('carro_interact_actualizar.php', {
				method: "GET",
			}).then(respuesta => respuesta.text())
			.then(datos => {
				lista_carrito.innerHTML = "";
				lista_carrito.innerHTML = datos;
				boton_cantidad = lista_carrito.querySelectorAll('.boton_cantidad');
				boton_cantidad.forEach(boton => {
					boton.addEventListener('click', actualizar_cant_inp);
				});
				contenedor_total_carrito = lista_carrito.querySelector(".contenedor_total_carrito.flotante");
				contenedor_total_carrito.addEventListener('click', function() {
					contenedor_carrito.style = "display : none;";
					contenedor_pedido.style = "display : block;";
				});
				actualizar_carrito();
			});
	}


	function carro_add(idproducto, cantidad, obj) {
		var direccionurl = 'carro_add.php';
		var parametros = {
			"id": idproducto,
			"q": cantidad
		};
		actualizar_carrito();
		$.ajax({
			data: parametros,
			url: direccionurl,
			type: 'post',
			cache: false,
			timeout: 3000, // I chose 3 secs for kicks: 3000
			crossDomain: true,
			beforeSend: function() {
				$(obj).animate({
					opacity: 0.05,
				}, 1000, "linear", function() {
					$(obj).animate({
						opacity: 1,
					}, 1000, "linear", function() {});
				});
			},
			success: function(response, textStatus, xhr) {
				//alerta_modal('Agregado','Mensaje');
				if (IsJsonString(response)) {
					var obj = jQuery.parseJSON(response);
					if (obj.valido == 'S') {
						// actualiza carrito
						$("#totcarro-top").html(obj.totalencarro);
						$("#totcarro-navbar").html(obj.totalencarro);


						actualizar_agregado_carrito();
						// muestra mensaje agregado
						$.notify({
							// options
							icon: 'glyphicon glyphicon-shopping-cart',
							message: 'Agregado!'
						}, {
							// settings
							type: 'success',
							placement: {
								from: "bottom",
								align: "right"
							},
						});
						$("#producto_box_" + idproducto + " .card-body").append('<a href="#" class="icono-carrito" title="Ir al carrito" data-toggle="tooltip" data-placement="right"  data-original-title="Ir al carrito"><img src="img/agregado_car.png" class="cart_added" alt="Agregado al carrito" /></a>');
						$("#producto_box_" + idproducto).addClass('card-producto-agregado');
						
					} else {
						alert(obj.errores);
					}
				} else {
					alert(response);
				}

			},
			error: function(jqXHR, textStatus, errorThrown) {
				if (jqXHR.status == 404) {
					alert('Pagina no encontrada. ' + jqXHR.status + ' ' + errorThrown);
				} else if (jqXHR.status == 0) {
					alert('Se ha rechazado la conexión.');
				} else {
					alert(jqXHR.status + ' ' + errorThrown);
				}
			}


		}).fail(function(jqXHR, textStatus, errorThrown) {

			if (jqXHR.status === 0) {

				alert('No conectado: verifique la red.');

			} else if (jqXHR.status == 404) {

				alert('Pagina no encontrada [404]');

			} else if (jqXHR.status == 500) {

				alert('Internal Server Error [500].');

			} else if (textStatus === 'parsererror') {

				alert('Requested JSON parse failed.');

			} else if (textStatus === 'timeout') {

				alert('Tiempo de espera agotado, time out error.');

			} else if (textStatus === 'abort') {

				alert('Solicitud ajax abortada.'); // Ajax request aborted.

			} else {

				alert('Uncaught Error: ' + jqXHR.responseText);

			}
		});
	}
</script>