<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
$pag="pedreg";
$selsuc="S";
require_once("includes/rs_carrito.php");

$idpersonalizacion=1;

function campo_select($consulta,$parametros_array,$conexion=''){
	
		global $conexion;

	
	// parametros
	$nombre_campo=$parametros_array['nombre_campo']; // name html
	$id_campo=$parametros_array['id_campo']; // id html
	$nombre_campo_bd=$parametros_array['nombre_campo_bd']; // name bd
	$id_campo_bd=$parametros_array['id_campo_bd']; // id bd
	$value_selected=$parametros_array['value_selected']; // valor seleccionado
	$pricampo_name=$parametros_array['pricampo_name']; //  nombre de la primera opcion
	$pricampo_value=$parametros_array['pricampo_value']; // valor de la primera opcion
	$style_input=$parametros_array['style_input'];
	$acciones=$parametros_array['acciones'];
	$autosel_1registro=$parametros_array['autosel_1registro']; // si hay 1 solo registro selecciona automaticamente en caso que sea 'S'
	$opciones_extra=$parametros_array['opciones_extra'];
	$cant_opciones_extra=intval(count($opciones_extra));
	$data_hidden=$parametros_array['data_hidden'];
	$data_hidden2=$parametros_array['data_hidden2'];
	$data_hidden3=$parametros_array['data_hidden3'];
	$data_hidden4=$parametros_array['data_hidden4'];
	
	// trae datos de la bd
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	if($autosel_1registro == 'S'){	
		$cant_opciones=intval($rs->recordCount())+$cant_opciones_extra;
	}


	// construye campo
	$html.='<select name="'.$nombre_campo.'" id="'.$id_campo.'" '.$style_input.' '.$acciones.'>';
	// si la seleccion automatica esta desactivada
	if($autosel_1registro != 'S'){
		$html.='<option value="'.$pricampo_value.'">'.$pricampo_name.'</option>';
	}
	// si la seleccion automatica esta activada
	if($autosel_1registro == 'S'){
		// si hay mas de una opcion o no hay ninguna
		if($cant_opciones <> 1){
			$html.='<option value="'.$pricampo_value.'">'.$pricampo_name.'</option>';
		}
	}
	while(!$rs->EOF){
		
		// valor actual
		$value_actual=trim($rs->fields[$id_campo_bd]);
		$name_actual=$rs->fields[$nombre_campo_bd];
		$value_hidden="";
		if(isset($data_hidden)){

			$value_hidden .=" data-hidden-value='". $rs->fields[$data_hidden]."' ";
		}
		if(isset($data_hidden2)){

			$value_hidden .=" data-hidden-value2='". $rs->fields[$data_hidden2]."' ";
		}
		if(isset($data_hidden3)){

			$value_hidden .=" data-hidden-value3='". $rs->fields[$data_hidden3]."' ";
		}
		if(isset($data_hidden4)){
			$value_hidden .=" data-hidden-value4='". $rs->fields[$data_hidden4]."' ";
		}
		//echo $value_selected;
		//echo $value_actual;
		// si es el valor seleccionado
		if(trim($value_selected) == trim($value_actual)){
			$selected='selected="selected"';
		}else{
			$selected='';	
		}
		// si la seleccion automatica esta activada y hay mas de 1 registro
		if($autosel_1registro == 'S' && $cant_opciones < 2){
			$selected='selected="selected"';
		}
		
		$html.='<option value="'.$value_actual.'" '.$value_hidden.' '.$selected.'>'.$name_actual.'</option>';
	$rs->MoveNext(); }
	if($cant_opciones_extra > 0){
		foreach($opciones_extra as $key => $value){
			
			// valor actual
			$value_actual=trim($value);
			$name_actual=trim($key);
			// si es el valor seleccionado
			if(trim($value_selected) == trim($value_actual)){
				$selected='selected="selected"';
			}else{
				$selected='';	
			}
			// si la seleccion automatica esta activada y hay mas de 1 registro
			if($autosel_1registro == 'S' && $cant_opciones < 2){
				$selected='selected="selected"';
			}
			
			$html.='<option value="'.$value_actual.'" '.$selected.'>'.$name_actual.'</option>';
		}
	}
    $html.='</select>';     
     
     return $html;
}

?><!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <title><?php if($title_add_head != ''){ ?><?php echo capitalizar($title_add_head); ?> | <?php } ?><?php echo $empresa ?> | Paraguay </title>
<?php require_once("includes/head.php"); ?>  

</head><!--/head-->

<body class="fondo_dos">

<!-- ************** INTERACTIVO ************-->
<?php require_once("includes/cabeza.php"); ?>  



<section class="seccion-oscuro-productos">
	<div class="contenedor_padre">


			<?php //require_once("includes/menu_lateral.php"); ?>

			<div class="secciones_catalogo">
				<div class="listado-productos">				
					<div class="">
					
						<div class="producto" >
							<div  class="card-producto fondo_tres">
								<div  style="color:white;">
									<h3>Seleccionar Sucursal:</h3>

<form id="form1" name="form1" method="get" action="inicia_tanda.php">

<div class="col-md-12 col-sm-12 form-group  text-center">

<?php 
// consulta
$consulta="
SELECT idsucu, nombre
FROM sucursales
where
estado = 1
order by nombre asc
 ";
/*
$opciones_extra=array(
	'PROCESO MANUAL' => 'PM'
);
*/

// valor seleccionado
if(isset($_GET['idsuc'])){ 
	$value_selected=htmlentities($_GET['idsuc']); 
}else{
	$value_selected="";
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idsuc',
	'id_campo' => 'idsuc',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idsucu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	//'opciones_extra' => $opciones_extra,

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Seleccionar</button>

        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />

								</div>
								
		
							</div>
						</div>
					

					</div>
					
				


			</div>
	</div>
	
</section>
<div class="overlay"></div>	
<?php

  require_once("includes/pie.php");
?>
<!-- ************** /INTERACTIVO ************-->

</body>
</html>