<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");

// Modulo y submodulo respectivamente
$modulo="21";
$submodulo="185";
require_once("includes/rsusuario.php"); 

$idventatmp=antisqlinyeccion($_POST['idvt'],"int");
$idproducto=antisqlinyeccion($_POST['idprod'],"int");
$idingrediente=antisqlinyeccion($_POST['iding'],"int");

//$prod_1=antisqlinyeccion($_POST['prod_1'],"int");
//$prod_2=antisqlinyeccion($_POST['prod_2'],"int");
$fechahora=antisqlinyeccion(date("Y-m-d H:i:s"),"text");
$usuario=$idusu;
$idsucursal=$idsucursal;
$idempresa=$idempresa;



// hacer consulta y obtener
$consulta="
SELECT agregado.idproducto, agregado.idingrediente, agregado.alias, agregado.precio_adicional, insumos_lista.descripcion, agregado.cantidad, medidas.nombre
FROM agregado 
inner join ingredientes on ingredientes.idingrediente = agregado.idingrediente
inner join insumos_lista on insumos_lista.idinsumo=ingredientes.idinsumo
inner join medidas on insumos_lista.idmedida=medidas.id_medida
WHERE
agregado.idproducto = $idproducto
and agregado.idingrediente = $idingrediente
and agregado.idempresa = $idempresa
and insumos_lista.idempresa = $idempresa
";
//echo $consulta;
$rsagregado = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$precio_adicional=antisqlinyeccion($rsagregado->fields['precio_adicional'],"float");
$alias=antisqlinyeccion($rsagregado->fields['alias'],"text");
$cantidad=antisqlinyeccion($rsagregado->fields['cantidad'],"int");

if(intval($rsagregado->fields['idproducto']) == 0){
	echo "Error! producto no existe o no pertenece a tu empresa.";
	exit;
}
// buscar producto si es combinado
/*
if($_POST['prod_1'] > 0 && $_POST['prod_2'] > 0){
	$consulta="
	select (sum(p1)/2) as precio
	from productos 
	where
	idprod_serial is not null
	and productos.idempresa = $idempresa
	and productos.sucursal = $idsucursal
	and (idprod_serial = $prod_1 or idprod_serial = $prod_2)
	order by productos.descripcion asc
	";
	$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$precio=antisqlinyeccion($rs->fields['precio'],"int");
}
*/
$consulta="
INSERT INTO tmp_ventares_agregado
(idventatmp, idproducto, idingrediente, precio_adicional, alias, cantidad, fechahora)
VALUES 
($idventatmp,$idproducto, $idingrediente, $precio_adicional, $alias, $cantidad, $fechahora)
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

// buscar cantidad total de ese producto y responder
$consulta="
select 
count(idventatmp) as total
from tmp_ventares_agregado
where 
idventatmp = $idventatmp
and tmp_ventares_agregado.idingrediente = $idingrediente
and tmp_ventares_agregado.idproducto = $idproducto
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

echo intval($rs->fields['total']);


?>