<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="21";
$submodulo="185";
require_once("../includes/rsusuario.php"); 

/* 
si el grupo tiene 1 solo producto cargado
debe hacer un insert directo y no figurar en la lista 
si la cantidad es 6 y solo hay 1 producto cargado hace 6 insert
*/


$prodprinc=intval($_POST['prodprinc']);
$prodpart=intval($_POST['prodpart']);

//print_r($_POST);

// busca producto principal para ver si pertenece a la empresa
$consulta="
select * 
from productos 
where 
idempresa = $idempresa 
and idtipoproducto = 4
and idprod_serial = $prodprinc
and productos.borrado = 'N'
order by 
descripcion asc
limit 1
";
$rsprod2=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$cat_princ=$rsprod2->fields['idcategoria'];
$cantidadmax=$rsprod2->fields['combinado_maxitem'];
if(intval($rsprod2->fields['idprod_serial']) == 0){
	echo "Producto principal inexistente!";
	exit;
}

// busca producto parte para ver si pertenece a la empresa
$consulta="
select * 
from productos 
where 
idempresa = $idempresa 
and idtipoproducto = 1
and idprod_serial = $prodpart
and productos.borrado = 'N'
order by 
descripcion asc
limit 1
";
$rsprod2=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
if(intval($rsprod2->fields['idprod_serial']) == 0){
	echo "Producto parte inexistente!";
	exit;
}



	$consulta="
	select * 
	from productos_combinado
	where 
	productos_combinado.idproducto_principal = $prodprinc
	and productos_combinado.idproducto_partes = $prodpart
	limit 1
	";
	$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// si forma parte de la lista
	$idproducto_principal=$rsprod->fields['idproducto_principal'];

	if($idproducto_principal > 0){
		
		
		// validar que no haya llegado al maximo permitido para esa lista
		$consulta="
		select count(*) as total
		from tmp_combinado_listas
		where
		tmp_combinado_listas.idsucursal = $idsucursal
		and tmp_combinado_listas.idusuario = $idusu
		and tmp_combinado_listas.idempresa = $idempresa
		and tmp_combinado_listas.idproducto_principal = $idproducto_principal
		and tmp_combinado_listas.idventatmp is null
		";
		$rscuenta=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$totalbd=intval($rscuenta->fields['total']);

		// si no supero el maximo permitido para el grupo
		if($totalbd < $cantidadmax){
			// insertar en tabla temporal
			$consulta="
			INSERT INTO tmp_combinado_listas
			(idventatmp, idproducto_principal, idproducto_partes, idempresa, idsucursal, idusuario, registrado_el)
			VALUES
			(NULL,$prodprinc,$prodpart,$idempresa,$idsucursal,$idusu,'$ahora')
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
	
			// busca si inserto y devuelve la cantidad de ese producto para esa lista para esa empresa para ese usuario y sucursal
			$consulta="
			select count(*) as total
			from tmp_combinado_listas
			where
			tmp_combinado_listas.idproducto_principal = $prodprinc
			and tmp_combinado_listas.idproducto_partes = $prodpart
			and tmp_combinado_listas.idsucursal = $idsucursal
			and tmp_combinado_listas.idusuario = $idusu
			and tmp_combinado_listas.idempresa = $idempresa
			and tmp_combinado_listas.idventatmp is null
			";
			$rsinsertado=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			$totalbd_part=intval($rsinsertado->fields['total']);
			
			// luego de insertar se suma 1 y se verifica si llego al maximo
			if($totalbd+1 < $cantidadmax){		
				echo $rsinsertado->fields['total'];
			}else{
				echo "LISTO";	
				exit;
			}
			
		}else{
			echo "MAX"; // cantidad maxima alcanzada
			exit;
		}
		
	}

?>