<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="21";
$submodulo="185";
require_once("../includes/rsusuario.php"); 

$idprod_princ=intval($_POST['idprod_princ']);
$combinado=antisqlinyeccion("N","text");

// busca si existen los grupos
$consulta="
select *,
	(
		select count(*) as total
		from tmp_combos_listas
		where
		tmp_combos_listas.idsucursal = $idsucursal
		and tmp_combos_listas.idusuario = $idusu
		and tmp_combos_listas.idempresa = $idempresa
		and tmp_combos_listas.idlistacombo = combos_listas.idlistacombo
		and tmp_combos_listas.idventatmp is null
	) as total
from combos_listas 
where 
idproducto = $idprod_princ 
and idempresa = $idempresa 
and estado = 1
";
$rscombo=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idlistacombo=$rscombo->fields['idlistacombo'];

// si existe
if($idlistacombo > 0){
	$valido="S";
	
	// recorre y valida que cada grupo haya llegado a su maximo
	while (!$rscombo->EOF){ 
	
		$maxagrega=intval($rscombo->fields['cantidad']);
		$totagregado=intval($rscombo->fields['total']);
		
		// verifica si se agrego el maximo
		if($maxagrega != $totagregado){
			$valido="N";
			echo "NOVALIDO";
			exit;	
		}
		
		
	$rscombo->MoveNext(); }
	
	

	
	// si todo es valido
	if($valido=="S"){
		
		// busca precio del combo
		$consulta="
		select * 
		from productos 
		where 
		borrado = 'N' 
		and combo = 'S'
		and idempresa = $idempresa
		and idprod_serial = $idprod_princ
		";
		$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$precio=$rsprod->fields['p1'];
		
		// inserta en ventas temporal
		$consulta="
		INSERT INTO tmp_ventares
		(idproducto, cantidad, precio, subtotal, fechahora, usuario, registrado, idsucursal, idempresa, receta_cambiada, borrado, combinado, idprod_mitad1, idprod_mitad2, combo) 
		VALUES 
		($idprod_princ,1,$precio, $precio, '$ahora', $idusu, 'N', $idsucursal, $idempresa, 'N', 'N', $combinado, NULL, NULL, 'S')
		;
		";
		//echo $consulta;
		//exit;
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// busca el id temporal insertado
		$consulta="
		select idventatmp
		from tmp_ventares  
		where 
		usuario = $idusu 
		and idsucursal = $idsucursal
		and idempresa = $idempresa
		and combo = 'S'
		order by idventatmp desc
		limit 1
		";
		$rsmaxid=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$maxid=$rsmaxid->fields['idventatmp'];
		
		//actualiza en la tabla temporal de combos listas por cada lista
		$rscombo->MoveFirst();
		while (!$rscombo->EOF){ 
			$idlistacombo=$rscombo->fields['idlistacombo'];
			$consulta="
			update tmp_combos_listas
			set 
			tmp_combos_listas.idventatmp = $maxid
			where
			tmp_combos_listas.idsucursal = $idsucursal
			and tmp_combos_listas.idusuario = $idusu
			and tmp_combos_listas.idempresa = $idempresa
			and tmp_combos_listas.idlistacombo = $idlistacombo
			and tmp_combos_listas.idventatmp is null
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$rscombo->MoveNext(); }
		
		
		echo "OK";
		
	}
		
	
}
?>