<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="545";
require_once("includes/rsusuario.php"); 

	

$pagina_actual = $_SERVER['REQUEST_URI'];
$urlParts = parse_url($pagina_actual);



// Verificar si hay parámetros GET
if (isset($urlParts['query'])) {
  // Convertir los parámetros GET en un arreglo asociativo
  parse_str($urlParts['query'], $queryParams);

  // Eliminar el parámetro 'pag' (si existe)
  unset($queryParams['pag']);
  // Reconstruir los parámetros GET sin 'pag'
  $newQuery = http_build_query($queryParams);
  // Reconstruir la URL completa
  if(isset($newQuery) == false || empty($newQuery)){
    $newUrl = $urlParts['path'].'?' ;
  }else{
    $newUrl = $urlParts['path'] . '?' . $newQuery .'&';
  }
  
  $pagina_actual=$newUrl;
}else{
  $pagina_actual =  $urlParts['path'].'?' ;
}

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}

if(trim($_GET['enviado']) != ''){
	$enviado=antisqlinyeccion(substr(trim($_GET['enviado']),0,1),"text");
	$whereadd.=' AND enviado = '.$enviado;
}

// paginado del index

$limit ="";
$consulta_numero_filas="
select 
count(*) as filas 
from   shoppings_informa_mail
where
date(fecha_informa) >= '$desde'
and date(fecha_informa) <= '$hasta'
$whereadd
";
$rs_filas=$conexion->Execute($consulta_numero_filas) or die(errorpg($conexion,$consulta_numero_filas));
$num_filas= $rs_filas->fields['filas'];
$filas_por_pagina = 20;
$paginas_num_max=ceil($num_filas/$filas_por_pagina);

$limit ="  LIMIT $filas_por_pagina";

		
$num_pag=intval($_GET['pag']);
$offset=null;
if(($_GET['pag'])>0){
  $numero = (intval($_GET['pag'])-1)*$filas_por_pagina;
$offset=" offset $numero";	
}else{
$offset=" ";	
  $num_pag=1;
}
////////////////////////////////



		
$consulta="
select *,
(select nombre from sucursales where idsucu = shoppings_informa_mail.idsucursal_sistema) as sucursal_sistema,
(select shopping from shopping where idshopping = shoppings_informa_mail.idshopping) as shopping
from shoppings_informa_mail 
where 
date(fecha_informa) >= '$desde'
and date(fecha_informa) <= '$hasta'
$whereadd
order by idshoppinginf desc
$limit $offset
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Log del Shopping</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<p><a href="shopping.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />

<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Enviado *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php
// valor seleccionado
if(isset($_GET['enviado'])){ 
	$value_selected=htmlentities($_GET['enviado']); 
}else{
	$value_selected='';
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'enviado',
	'id_campo' => 'enviado',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'TODOS',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);

?>
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Buscar</button>

        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />

<br />
</form>
<div class="clearfix"></div>
<br /><br />
<?php if(trim($_GET['desde']) != ''){ ?>
<hr />
<strong>Informado al Shopping por mail:</strong><br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Fecha Envio</th>
			<th align="center">Fecha Informe desde</th>
			<th align="center">Fecha Informe hasta</th>
			<th align="center">Sucursal sistema</th>
			<th align="center">Shopping</th>
			<th align="center">Emails</th>
			<th align="center">Error mail</th>
			<th align="center">Enviado</th>
			<th align="center">Estado</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){

if($rs->fields['enviado'] == 'S'){
	$color="green";
}else{
	$color="red";
}

 ?>
		<tr>


			<td align="center"><?php if($rs->fields['fecha_informa'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_informa'])); }  ?></td>
			<td align="center"><?php if($rs->fields['fecha_desde'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_desde'])); } ?></td>
			<td align="center"><?php if($rs->fields['fecha_hasta'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_hasta'])); } ?></td>
			<td align="center"><?php echo antixss($rs->fields['sucursal_sistema']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['shopping']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['emails']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['error_mail']); ?></td>
			<td align="center" style="background-color:<?php echo $color; ?>; color:#fff;"><?php echo antixss($rs->fields['enviado']); ?></td>
			<td align="center"><?php echo intval($rs->fields['estado']); ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
<tr>
	<td align="center" colspan="20">
		<div class="btn-group">
			<?php 
			$last_index=0;
			if( $num_pag+10 > $paginas_num_max){
				$last_index = $paginas_num_max; 
			}else{
				$last_index = $num_pag+10;
			}
			if($num_pag != 1){ ?>
				<a href="<?php echo $pagina_actual ?>pag=<?php echo ($num_pag-1);?>" class="btn btn-sm btn-default" title="<?php echo ($num_pag-1);?>"  data-placement="right"  data-original-title="<?php echo ($num_pag-1);?>"><span class="fa fa-arrow-left"></span></a>
			<?php }
			$inicio_pag=0;
			if($num_pag !=1 && $num_pag-5 > 0 ){
				$inicio_pag=$num_pag-5;
			}else{
				$inicio_pag=1;
			}
			for ($i=$inicio_pag; $i <= $last_index; $i++) { 
				?>
				<a href="<?php echo $pagina_actual ?>pag=<?php echo ($i);?>" class="btn btn-sm btn-default <?php echo $i == $num_pag ? " selected_pag " : "" ?>" title="<?php echo ($i);?>"  data-placement="right"  data-original-title="<?php echo ($i);?>"><?php echo ($i);?></a>
				<?php if($i == $last_index && ( $num_pag + 1 < $paginas_num_max )){?>
					<a href="<?php echo $pagina_actual ?>pag=<?php echo ($num_pag + 1);?>" class="btn btn-sm btn-default" title="<?php echo ($num_pag + 1);?>"  data-placement="right"  data-original-title="<?php echo ($num_pag + 1);?>"><span class="fa fa-arrow-right"></span></a>
				<?php } ?>
			<?php } ?>
		</div>
	</td>
</tr>
	  </tbody>
    </table>
</div>
<br />
<?php } ?>



<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- POPUP DE MODAL OCULTO -->
        <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Log informado</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
