<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="39";
$submodulo="566";
$dirsup="S";
require_once("../includes/rsusuario.php"); 

require_once("../includes/funciones_electronica.php");


// configuracion
$LIMITE_TANDA_ACTU=500;
$minutos_correr=20;
$segundos_correr=$minutos_correr*60;

// automentar el timpo de ejecucion del script
set_time_limit($segundos_correr); // 10 minutos: 600  ( 10 x 60 = 600) 15 min: 900 20 min: 1200
// para evitar el error 500 por falta de memoria
//ini_set('memory_limit', '-1');
ignore_user_abort(true);


$fecha_72horas_atras = new DateTime(); 
$fecha_72horas_atras->modify('-72 hour'); 
$hace_72horas_atras=$fecha_72horas_atras->format('Y-m-d H:i:s');

// funciones para factura electronica
if($facturador_electronico == 'S'){
	
	require_once('../facturaElectronica/VerificarEstadoLote.php');
	
	$slot_datos=slot_vigente();
	$slot_firma=trim($slot_datos['nombre_slot']);    //'80052292_test';   // nombre del slot con que se dio de alta la firma digital en el servidor
	
	if($slot_firma == ''){
		echo "No esta cargado el slot de la firma electronica.";
		exit;
	}
	
	// todos los lotes
	if($_REQUEST['masivo'] == 'S'){
		
		// BLOQUEADOR DE BOTON INICIO
		$idbotonbloq=2; // tabla botones_bloqueo
		$parametros_array=array(
			'apretado_por' => $idusu,
			'idbotonbloq' => $idbotonbloq, 
		);
		$res=botones_bloqueo_apretar($parametros_array);
		// si no permite muestra mensaje
		if($res['permite_apretar'] != 'S'){
			echo $res['errores'];
			exit;
		}
		// si permite trae el id del log generado
		if($res['permite_apretar'] == 'S'){
			$idbotonbloqaprieta=intval($res['idbotonbloqaprieta']);
		}
		// BLOQUEADOR DE BOTON INICIO




		// PASO 4 ACTUALIZAR ESTADOS DE TODOS LOS PENDIENTES
		echo "<hr />INICIO PASO 4 - ".date("d/m/Y H:i:s")." - ACTUALIZAR ESTADOS DE TODOS LOS PENDIENTES PROCESO Y PENDIENTES ENVIO<br />";
		$consulta="
		select nro_lote, idventa, iddocumentoemitido
		from documentos_electronicos_emitidos
		where
		estado_set <> 3
		and (estado_set = 1 OR estado_set = 5)
		and nro_lote > 0
		and fecha_comprobante >= '$hace_72horas_atras'
		order by fecha_comprobante asc
		limit $LIMITE_TANDA_ACTU
		";
		$rslotes=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		while(!$rslotes->EOF){
			$parametros_array=array(
				'nro_lote' => $rslotes->fields['nro_lote'],
				'iddocumentoemitido' => $rslotes->fields['iddocumentoemitido']
			);
			$res=actualiza_estado_documento_electronico($parametros_array);
			echo $rslotes->fields['iddocumentoemitido'].','.$rslotes->fields['idventa'].'-'; 
			print_r($res);
		$rslotes->MoveNext(); }

		// PASO 5 ACTUALIZAR ESTADOS DE TODOS LOS ENVIADOS
		echo "<hr />INICIO PASO 5 - ".date("d/m/Y H:i:s")." - ACTUALIZAR ESTADOS DE TODOS LOS ENVIADOS<br />";
		$consulta="
		select nro_lote, idventa, iddocumentoemitido
		from documentos_electronicos_emitidos
		where
		estado_set <> 3
		and (estado_set = 2)
		and nro_lote > 0
		and fecha_comprobante >= '$hace_72horas_atras'
		order by fecha_comprobante asc
		limit $LIMITE_TANDA_ACTU
		";
		$rslotes=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		while(!$rslotes->EOF){
			$parametros_array=array(
				'nro_lote' => $rslotes->fields['nro_lote'],
				'iddocumentoemitido' => $rslotes->fields['iddocumentoemitido']
			);
			$res=actualiza_estado_documento_electronico($parametros_array);
			echo $rslotes->fields['iddocumentoemitido'].','.$rslotes->fields['idventa'].'-'; 
			print_r($res);
		$rslotes->MoveNext(); }
		
		// BLOQUEADOR DE BOTON FINAL
		$parametros_array=array(
			'idbotonbloqaprieta' => $idbotonbloqaprieta
		);
		botones_bloqueo_finalizar($parametros_array);
		// BLOQUEADOR DE BOTON FINAL
		
	// un solo lote	
	}else{
		
		
		// BLOQUEADOR DE BOTON INICIO
		$idbotonbloq=4; // tabla botones_bloqueo
		$parametros_array=array(
			'apretado_por' => $idusu,
			'idbotonbloq' => $idbotonbloq, 
		);
		$res=botones_bloqueo_apretar($parametros_array);
		// si no permite muestra mensaje
		if($res['permite_apretar'] != 'S'){
			echo $res['errores'];
			exit;
		}
		// si permite trae el id del log generado
		if($res['permite_apretar'] == 'S'){
			$idbotonbloqaprieta=intval($res['idbotonbloqaprieta']);
		}
		// BLOQUEADOR DE BOTON INICIO
		
		
		$lotes[1] = intval($_REQUEST['lote']);
		$iddocumentoemitido= intval($_REQUEST['iddocumentoemitido']);
		$parametros_array=array(
			'nro_lote' => $lotes[1],
			'iddocumentoemitido' => $iddocumentoemitido
		);
		$res=actualiza_estado_documento_electronico($parametros_array);
		print_r($res);
		
		// BLOQUEADOR DE BOTON FINAL
		$parametros_array=array(
			'idbotonbloqaprieta' => $idbotonbloqaprieta
		);
		botones_bloqueo_finalizar($parametros_array);
		// BLOQUEADOR DE BOTON FINAL

	}

}else{
	echo "No es un facturador electronico.";
	exit;
}

?>