<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="39";
$submodulo="574";
$dirsup="S";
require_once("../includes/rsusuario.php"); 

$consulta="
select documentos_electronicos_cancelacion_cdc.*,
(select usuario from usuarios where documentos_electronicos_cancelacion_cdc.registrado_por = usuarios.idusu) as registrado_por,
documentos_electronicos_emitidos_estado.estado_set  as estado_set_res,
documentos_electronicos_emitidos_estado.color as color_set

from documentos_electronicos_cancelacion_cdc 

inner join documentos_electronicos_emitidos_estado on documentos_electronicos_emitidos_estado.idestadoset = documentos_electronicos_cancelacion_cdc.estado_set

where 
 documentos_electronicos_cancelacion_cdc.estado = 1 
order by documentos_electronicos_cancelacion_cdc.idcancelacion desc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("../includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("../includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("../includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("../includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Cancelacion CDC</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
				  
<strong>Cancelación (11.1.2.)</strong><br />
Es un evento solicitado por el emisor, ocurre cuando el comprobante es emitido sin errores y 
transmitido y aprobado por el SIFEN se convierte en un DTE, sin embargo, por algún motivo no se 
concreta la transacción.<br />
El emisor electrónico puede solicitar la CANCELACIÓN de cualquier tipo de DTE y tiene hasta 48 hs. 
posteriores a la aprobación de uso del DE para generar el evento. El estado de los DTE cancelados 
quedará registrado en el SIFEN y es obligatoria la conservación por 5 años.	<br />	
<hr />

<p><a href="cancelacion_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a></p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
<th></th>
			<th align="center">Idcancelacion</th>
			<th align="center">Iddocumentoemitido</th>
			<th align="center">Cdc</th>
			<th align="center">Motivo</th>
			<th align="center">Fecha cancelacion</th>
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>
			

			<th align="center">Estado set</th>
			<th align="center">Respuesta set</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
		<td>

					<?php if($rs->fields['estado_set'] == 4){ ?>
                    <a href="cancelacion_reenvio.php?id=<?php echo $rs->fields['idcancelacion']; ?>" target="_blank" class="btn btn-sm btn-default" title="Reenviar SET" data-toggle="tooltip" data-placement="right"  data-original-title="Reenviar SET"><span class="fa fa-paper-plane"></span> Reenviar a SET</a>
					<?php } ?>
      
					
				</div>

			</td>
			<td align="center"><?php echo intval($rs->fields['idcancelacion']); ?></td>
			<td align="center"><?php echo intval($rs->fields['iddocumentoemitido']); ?></td>
			<td align="center"><input type="text" value="<?php echo  antixss($rs->fields['cdc']); //echo wordwrap($rs->fields['cdc'], 4, " ",true); ?>" style="width:100px;"></td>
			<td align="center"><?php echo antixss($rs->fields['motivo']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_cancelacion'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_cancelacion'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
			<td align="center" style="font-weight:bold;color:#FFF;background-color:<?php echo $rs->fields['color_set']; ?>;"><?php echo antixss($rs->fields['estado_set_res']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['estado_set_txt']); ?></td>

		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />
					  
					  
<br /><br /><br />					  

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->
		  
        <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("../includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("../includes/footer_gen.php"); ?>
  </body>
</html>
