<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="19";
$submodulo="415";
require_once("includes/rsusuario.php"); 




$idsoportegastopla=intval($_GET['id']);
if($idsoportegastopla == 0){
	header("location: soportes_gastos_per.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * , 
(select monto from soportes_gastos where idsoportegastopla = soportes_gastos_pla.idsoportegastopla and estado = 1) as monto_apro
from soportes_gastos_pla 
where 
idsoportegastopla = $idsoportegastopla
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idsoportegastopla=intval($rs->fields['idsoportegastopla']);
$idsoportegasto_old=intval($rs->fields['idsoportegasto']);
$idcliente=intval($rs->fields['idcliente']);
if($idsoportegastopla == 0){
	header("location: soportes_gastos_per.php");
	exit;	
}
/*$idsoportegasto=intval($rs->fields['idsoportegasto']);
if($idsoportegasto > 0){
	echo "No se puede modificar este registro por que la planilla ya fue conciliada.";
	exit;	
}*/



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$idcliente=antisqlinyeccion($_POST['idcliente'],"int");
	$idtiposoporte=antisqlinyeccion($_POST['idtiposoporte'],"int");
	$soporte=antisqlinyeccion($_POST['soporte'],"text");
	$descripcion_larga=antisqlinyeccion($_POST['descripcion_larga'],"text");
	$fecha_soporte=antisqlinyeccion($_POST['fecha_soporte'],"text");
	$monto=antisqlinyeccion($_POST['monto'],"float");
	$estado=1;
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	
	$monto_apro=antisqlinyeccion($_POST['monto_apro'],"float");
	$idestadoapro=antisqlinyeccion($_POST['idestadoapro'],"int");
	$fuera_de_horario=antisqlinyeccion($_POST['fuera_de_horario'],"text");




	if(intval($_POST['idcliente']) == 0){
		$valido="N";
		$errores.=" - El campo idcliente no puede ser cero o nulo.<br />";	
	}
	if(intval($_POST['idtiposoporte']) == 0){
		$valido="N";
		$errores.=" - El campo idtiposoporte no puede ser cero o nulo.<br />";	
	}
	if(trim($_POST['soporte']) == ''){
		$valido="N";
		$errores.=" - El campo soporte no puede estar vacio.<br />";	
	}
/* 
descripcion_larga 
	if(trim($_POST['descripcion_larga']) == ''){
		$valido="N";
		$errores.=" - El campo descripcion_larga no puede estar vacio.<br />";	
	}
*/
	if(trim($_POST['fecha_soporte']) == ''){
		$valido="N";
		$errores.=" - El campo fecha_soporte no puede estar vacio.<br />";	
	}
	if(floatval($_POST['monto']) <= 0){
		$valido="N";
		$errores.=" - El campo monto no puede ser cero o negativo.<br />";	
	}
/* 
registrado_por 
*/
/* 
registrado_el 
*/
/* 
borrado_por 
*/
/* 
borrado_el 
*/
	if(intval($_POST['idestadoapro']) == 2){
		if(floatval($_POST['monto_apro']) <= 0){
			$valido="N";
			$errores.=" - El campo monto aprobado no puede ser cero cuando el estado es aprobado.<br />";	
		}
	}
	if(intval($_POST['idestadoapro']) != 2){
		if(floatval($_POST['monto_apro']) != 0){
			$valido="N";
			$errores.=" - El campo monto aprobado debe ser cero cuando el estado es no aprobado.<br />";	
		}
	}
	if(trim($_POST['fuera_de_horario']) == ''){
		$valido="N";
		$errores.=" - El campo fuera_de_horario no puede estar vacio.<br />";	
	}
	

	// si todo es correcto actualiza
	if($valido == "S"){
		//echo $idestadoapro;exit;
		// si se aprueba
		if($idestadoapro == 2){
			// insertar en la tabla definitiva de gastos si no existe aun
			$consulta="
			INSERT INTO soportes_gastos
			(
			idsoportegastopla, idcliente, idtiposoporte, soporte, descripcion_larga, fecha_soporte, monto,
			 estado, registrado_por, registrado_el, borrado_por, borrado_el, fuera_de_horario
			 )
			 select 
			 idsoportegastopla, idcliente, idtiposoporte, soporte, descripcion_larga, fecha_soporte, $monto_apro,
			 1, $idusu, '$ahora', NULL, NULL, fuera_de_horario
			 from soportes_gastos_pla
			 where
			 idsoportegastopla = $idsoportegastopla
			 and idsoportegastopla not in (
			 select idsoportegastopla from soportes_gastos where estado = 1 and idsoportegastopla is not null
			 )
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			
		}

		
		$consulta="
		update soportes_gastos_pla
		set
			idcliente=$idcliente,
			idtiposoporte=$idtiposoporte,
			soporte=$soporte,
			descripcion_larga=$descripcion_larga,
			fecha_soporte=$fecha_soporte,
			monto=$monto,
			idestadoapro=$idestadoapro,
			fuera_de_horario=$fuera_de_horario
		where
			idsoportegastopla = $idsoportegastopla
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		// si se aprueba
		if($idestadoapro == 2){
			// vuelve a actualizar luego del update
			$consulta="
			update soportes_gastos
			set
			idcliente=(select idcliente from soportes_gastos_pla where idsoportegastopla = soportes_gastos.idsoportegastopla),
			idtiposoporte=(select idtiposoporte from soportes_gastos_pla where idsoportegastopla = soportes_gastos.idsoportegastopla),
			soporte=(select soporte from soportes_gastos_pla where idsoportegastopla = soportes_gastos.idsoportegastopla),
			descripcion_larga=(select descripcion_larga from soportes_gastos_pla where idsoportegastopla = soportes_gastos.idsoportegastopla),
			fecha_soporte=(select fecha_soporte from soportes_gastos_pla where idsoportegastopla = soportes_gastos.idsoportegastopla),
			fuera_de_horario=(select fuera_de_horario from soportes_gastos_pla where idsoportegastopla = soportes_gastos.idsoportegastopla),
			monto=$monto_apro
			where
			idsoportegastopla = $idsoportegastopla
			and estado = 1
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
		// si no esta aprobado
		if($idestadoapro != 2){
			$consulta="
			update soportes_gastos
			set
			estado = 6,
			borrado_por = $idusu,
			borrado_el = '$ahora'
			where
			idsoportegastopla = $idsoportegastopla
			and estado = 1
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		}
		
		
		$mes=date('m',strtotime($_POST['fecha_soporte']));
		$ano=date('Y',strtotime($_POST['fecha_soporte']));
		header("location: soportes_gastos_per.php?ano=$ano&mes=$mes");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());







?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function busca_cliente(){
	var direccionurl='busqueda_cliente.php';		
	var parametros = {
	  "m" : '1'		  
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$('#cuadro_pop').modal('show');
			$("#myModalLabel").html('Busqueda de Cliente');
			$("#modal_cuerpo").html('Cargando...');				
		},
		success:  function (response) {
			$("#modal_cuerpo").html(response);
		}
	});
	
}
function busca_cliente_res(tipo){
	var ruc = $("#ruc").val();
	var razon_social = $("#razon_social").val();
	var fantasia = $("#fantasia").val();
	if(tipo == 'ruc'){
		razon_social = '';
		$("#razon_social").val('');
		fantasia = '';
		$("#fantasia").val('');
	}
	if(tipo == 'razon_social'){
		ruc = '';
		$("#ruc").val('');
		fantasia = '';
		$("#fantasia").val('');
	}
	if(tipo == 'fantasia'){
		ruc = '';
		$("#ruc").val('');
		razon_social = '';
		$("#razon_social").val('');
	}
	var direccionurl='busqueda_cliente_res.php';		
	var parametros = {
	  "ruc"            : ruc,
	  "razon_social"   : razon_social,
	  "fantasia" : fantasia
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		beforeSend: function () {
			$("#busqueda_cli").html('Cargando...');				
		},
		success:  function (response) {
			$("#busqueda_cli").html(response);
		}
	});
}
function seleccionar_item(idcliente,descricion){
	$("#idcliente").val(idcliente);
	$('#cuadro_pop').modal('hide');
}
function aprobar(){
	$("#idestadoapro").val(2);
	var monto = $("#monto").val();
	$("#monto_apro").val(monto);
	$("#form1").submit();
}
function rechazar(){
	$("#idestadoapro").val(3);
	$("#monto_apro").val(0);
	$("#form1").submit();
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Gastos de Soporte</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Estado *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idestadoapro, estado_apro
FROM soportes_gastos_estadoapro
where
estado = 1
order by estado_apro asc
 ";

// valor seleccionado
if(isset($_POST['idestadoapro'])){ 
	$value_selected=htmlentities($_POST['idestadoapro']); 
}else{
	$value_selected=htmlentities($rs->fields['idestadoapro']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idestadoapro',
	'id_campo' => 'idestadoapro',
	
	'nombre_campo_bd' => 'estado_apro',
	'id_campo_bd' => 'idestadoapro',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>               
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Monto Aprobado *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="monto_apro" id="monto_apro" value="<?php  if(isset($_POST['monto_apro'])){ echo floatval($_POST['monto_apro']); }else{ echo floatval($rs->fields['monto_apro']); }?>" placeholder="Monto" class="form-control" required />                    
	</div>
</div>


<div class="clearfix"></div>
<hr />

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Cod Cliente </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="idcliente" id="idcliente" value="<?php  if(isset($_POST['idcliente'])){ echo htmlentities($_POST['idcliente']); }else{ echo $rs->fields['idcliente']; } ?>" placeholder="Codigo de Cliente" class="form-control" readonly onClick="busca_cliente();"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Idtiposoporte *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">

<?php 
// consulta
$consulta="
SELECT idtiposoporte, tiposoporte
FROM soporte_tipos
where
estado = 1
order by tiposoporte asc
 ";

// valor seleccionado
if(isset($_POST['idtiposoporte'])){ 
	$value_selected=htmlentities($_POST['idtiposoporte']); 
}else{
	$value_selected=htmlentities($rs->fields['idtiposoporte']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idtiposoporte',
	'id_campo' => 'idtiposoporte',
	
	'nombre_campo_bd' => 'tiposoporte',
	'id_campo_bd' => 'idtiposoporte',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);
?>
                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Soporte *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="soporte" id="soporte" value="<?php  if(isset($_POST['soporte'])){ echo htmlentities($_POST['soporte']); }else{ echo htmlentities($rs->fields['soporte']); }?>" placeholder="Soporte" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Descripcion larga </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="descripcion_larga" id="descripcion_larga" value="<?php  if(isset($_POST['descripcion_larga'])){ echo htmlentities($_POST['descripcion_larga']); }else{ echo htmlentities($rs->fields['descripcion_larga']); }?>" placeholder="Descripcion larga" class="form-control"  />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha soporte *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="fecha_soporte" id="fecha_soporte" value="<?php  if(isset($_POST['fecha_soporte'])){ echo htmlentities($_POST['fecha_soporte']); }else{ echo htmlentities($rs->fields['fecha_soporte']); }?>" placeholder="Fecha soporte" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Monto *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="monto" id="monto" value="<?php  if(isset($_POST['monto'])){ echo floatval($_POST['monto']); }else{ echo floatval($rs->fields['monto']); }?>" placeholder="Monto" class="form-control" required readonly  />                    
	</div>
</div>
	

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fuera de Horario *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 

// valor seleccionado
if(isset($_POST['fuera_de_horario'])){ 
	$value_selected=htmlentities($_POST['fuera_de_horario']); 
}else{
	$value_selected=$rs->fields['fuera_de_horario'];
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'fuera_de_horario',
	'id_campo' => 'fuera_de_horario',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
		
?>
	</div>
</div>



<div class="clearfix"></div>
	<HR />				  
<?php 
	
	$consulta="
select *,
(select usuario from usuarios where cliente.registrado_por = usuarios.idusu) as registrado_por,
(select clientetipo from cliente_tipo where cliente_tipo.idclientetipo = cliente.tipocliente) as tipocliente
from cliente 
where 
 estado = 1 
 and idcliente = $idcliente

limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcliente=intval($rs->fields['idcliente']);
	?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Idcliente</th>
			<th align="center">Fantasia</th>
			<th align="center">Razon social</th>
			<th align="center">Ruc</th>
			<th align="center">Documento</th>
			<th align="center">Nombre</th>
			<th align="center">Apellido</th>


		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idcliente']); ?></td>
<td align="center"><?php echo antixss($rs->fields['fantasia']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['ruc']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['documento']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['nombre']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['apellido']); ?></td>
			
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
<?php 

$consulta="
select *,
(select usuario from usuarios where soportes_gastos.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where soportes_gastos.borrado_por = usuarios.idusu) as borrado_por
from soportes_gastos 
where 
 estado = 1 
 and idcliente = $idcliente
order by idsoportegasto desc

";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>


			<th align="center">Idcliente</th>

			<th align="center">Soporte</th>
			<th align="center">Descripcion larga</th>
			<th align="center">Fecha soporte</th>
			<th align="center">Monto</th>
			<th align="center">Estado</th>
			<th align="center">Idsoportegasto</th>
			<th align="center">Idtiposoporte</th>
			<th align="center">Registrado por</th>
			<th align="center">Registrado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ 
$monto_gasto_acum+=$rs->fields['monto'];

?>
		<tr>


			<td align="center"><?php echo intval($rs->fields['idcliente']); ?></td>

			<td align="center"><?php echo antixss($rs->fields['soporte']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['descripcion_larga']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_soporte'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_soporte'])); } ?></td>
			<td align="right"><?php echo formatomoneda($rs->fields['monto']);  ?></td>
			<td align="center"><?php echo intval($rs->fields['estado']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idsoportegasto']); ?></td>
			<td align="center"><?php echo intval($rs->fields['idtiposoporte']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
		</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />

<strong>Total Gastos:</strong> <?php echo formatomoneda($monto_gasto_acum); ?><br />
<br />
<?php 
$consulta="
select sum(pagos_cab.monto) as monto_abonado
from pagos_cab 
inner join operacion on operacion.idoperacion = pagos_cab.idoperacion
where 
pagos_cab.idcliente = $idcliente
and pagos_cab.estado <> 6
and operacion.idoperacion_clase=1
";
$rsimp=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<strong>Recibos de Implementacion: </strong> <?php echo formatomoneda($rsimp->fields['monto_abonado']); ?><br />
<br />

<?php 
$consulta="
select sum(pagos_cab.monto) as monto_abonado
from pagos_cab 
inner join operacion on operacion.idoperacion = pagos_cab.idoperacion
where 
pagos_cab.idcliente = $idcliente
and pagos_cab.estado <> 6
and operacion.idoperacion_clase in (2,5)
";
$rssop=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<strong>Recibos de Soporte:</strong> <?php echo formatomoneda($rssop->fields['monto_abonado']); ?><br />
<br />

<?php 
$consulta="
select sum(monto_abonado) as monto_abonado
from cuentas_clientes_pagos_cab
where 
idcliente = $idcliente
and estado <> 6
";
$rsrec=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
?>
<strong>Total Recibos: </strong> <?php echo formatomoneda($rsrec->fields['monto_abonado']); ?><br />
<br />

<?php
$diferencia=$rsimp->fields['monto_abonado']-$monto_gasto_acum; 
if($diferencia < 0){
	$color="#F00";
}else{
	$color="#090";
}


?>
<strong>Diferencia (Implementacion-Gastos): </strong> <strong style="color:<?php echo $color; ?>;"><?php echo formatomoneda($diferencia); ?></strong><br />
<br />

<button type="button" class="btn btn-default" onMouseUp="document.location.href='soportes_gastos_add.php?id=<?php echo $idcliente; ?>'"><span class="fa fa-plus"></span> Agregar Gasto</button>
				  
			  
<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-12 col-sm-12 col-xs-12 text-center">
	  
	   <button type="button" class="btn btn-success" onMouseUp="aprobar();" ><span class="fa fa-check-square-o"></span> APROBAR Monto Total</button>
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> APROBAR Monto Parcial</button>
	   <button type="button" class="btn btn-danger" onMouseUp="rechazar();"><span class="fa fa-times-circle"></span>  Rechazar
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='soportes_gastos_per.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
	
<div class="clearfix"></div>
<br /><br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->
        
<!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="cuadro_pop">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">

            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
              </button>
              <h4 class="modal-title" id="myModalLabel">Titulo</h4>
            </div>

            <div class="modal-body" id="modal_cuerpo">
            	Cuerpo
            </div>

            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>

        </div>
    </div>
</div>
<!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
