<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="19";
$submodulo="114";
require_once("includes/rsusuario.php"); 



$idoperacion=intval($_GET['id']);
if($idoperacion == 0){
	echo "No especifico el idoperacion.";
	exit;
}

// consulta a la tabla	
$consulta="
select *
from operacion 
where 
idoperacion = $idoperacion
and estado = 1
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idoperacion=intval($rs->fields['idoperacion']);
$idcontrato=intval($rs->fields['contrato_idcontrato']);
$idcliente=intval($rs->fields['idcliente']);


if($idoperacion == 0){
	echo "El idoperacion no existe o no esta activo.";
	exit;	
}
	$consulta="
	select *, (select sucursal from sucursal_cliente where idsucursal_clie = operacion.idsucursal_clie) as sucursal
	from operacion
	inner join operacion_clase on operacion_clase.idoperacion_clase = operacion.idoperacion_clase
	where 
	operacion.estado = 1 
	and idoperacion = $idoperacion
	order by idoperacion asc
	";
	//echo $consulta;
	$rsop=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// recibe parametros
	$idoperacion_clase=antisqlinyeccion($_POST['idoperacion_clase'],"int");


	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	
	
	$motivo_borra=antisqlinyeccion($_POST['motivo_borra'],"text");
	
	if(trim($_POST['motivo_borra']) == ''){
		$valido="N";
		$errores.=" - El campo motivo_borra no puede estar vacio.<br />";	
	}


	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update operacion
		set
			estado = 6,
			borrado_por = $idusu,
			borrado_el = '$ahora',
			motivo_borra=$motivo_borra
		where
			idoperacion = $idoperacion
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: sys_obligacion_agrega.php?id=".$idcontrato);
		exit;
		
	}

}


// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());




?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php require("includes/title.php"); ?></title>
<link rel="stylesheet" type="text/css" href="ani/css/demo.css" />
<link rel="stylesheet" type="text/css" href="ani/css/style2.css" />
<link rel="stylesheet" type="text/css" href="css/magnific-popup.css" />
<?php require("includes/head.php"); ?>
</head>
<body bgcolor="#FFFFFF">
	<?php require("includes/cabeza.php"); ?>    
	<div class="clear"></div>
		<div class="cuerpo">
			<div class="colcompleto" id="contenedor">
            <p align="center">&nbsp;</p>
            <p align="center">&nbsp;</p>
            
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true"></span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<p align="center"><strong>Operacion a Borrar:</strong></p>
              <p align="center">&nbsp;</p>
              <table width="900" border="1">
                <tbody>
                  <tr bgcolor="#F8FFCC">
                    <td align="center"><strong>Operacion</strong></td>
                    <td align="center"><strong>Sucursal</strong></td>
                    <td align="center"><strong>Clase</strong></td>
                    <td align="center"><strong>MontoTotal</strong></td>
                    <td align="center"><strong>Plazo</strong></td>
                    <td align="center"><strong>Entrega</strong></td>
                    <td align="center"><strong>Saldo</strong></td>
                    <td align="center"><strong>Monto Cuota</strong></td>
                    <td align="center"><strong>Dia de Pago</strong></td>
                    <td align="center">Prim Venc.</td>
                    <td align="center">Ult Venc.</td>

                  </tr>
                  <?php while (!$rsop->EOF){?>
                  <tr>
                    <td align="center"><?php echo $rsop->fields['idoperacion'];?></td>
                    <td align="center"><?php echo $rsop->fields['sucursal'];?></td>
                    <td align="center"><?php echo $rsop->fields['operacion_clase'];?></td>
                    <td align="center"><?php echo formatomoneda($rsop->fields['monto']);?></td>
                    <td align="center"><?php echo formatomoneda($rsop->fields['plazo']);?></td>
                    <td align="center"><?php echo formatomoneda($rsop->fields['entrega']);?></td>
                    <td align="center"><?php echo formatomoneda($rsop->fields['saldo']);?></td>
                    <td align="center"><?php echo formatomoneda($rsop->fields['monto_cuota']);?></td>
                    <td align="center"><?php echo $rsop->fields['ciclo_facturacion'];?> de cada mes.</td>
                    <td align="center"><?php echo date("d/m/Y",strtotime($rsop->fields['primer_vencimiento']));?></td>
                    <td align="center"><?php echo date("d/m/Y",strtotime($rsop->fields['ultimo_vencimiento']));?></td>

                  </tr>
                  <?php $rsop->MoveNext();} ?>
                </tbody>
              </table>
<div class="clearfix"></div>
<br />	<br />				
<form id="form1" name="form1" method="post" action="">


<div class="col-md-6 col-sm-6 form-group" style="400px; margin:0px auto; text-align: center;">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Motivo borra </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="motivo_borra" id="motivo_borra" value="<?php  if(isset($_POST['motivo_borra'])){ echo htmlentities($_POST['motivo_borra']); }else{ echo htmlentities($rs->fields['motivo_borra']); }?>" placeholder="Motivo borra" class="form-control"  />                    
	</div>
</div>

	
<div class="clearfix"></div>
<br />

    <div class="form-group" style="400px; margin:0px auto; text-align: center;">
        <div class="col-md-5 col-sm-5 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-danger" ><span class="fa fa-trash-o"></span> Borrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='sys_obligacion_agrega.php?id=<?php echo $idcontrato; ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>


  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo antixss($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


          </div> <!-- contenedor -->
   		<div class="clear"></div><!-- clear1 -->
	</div> <!-- cuerpo -->
	<div class="clear"></div><!-- clear2 -->
	<?php require("includes/pie.php"); ?>
</body>
</html>