<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="58";
require_once("../includes/rsusuario.php"); 

$idprod_princ=intval($_POST['idprod_princ']);
$combinado=antisqlinyeccion("N","text");
$idlistaprecio=intval($_SESSION['idlistaprecio']);
$idcanalventa=intval($_SESSION['idcanalventa']);

//print_r($_POST);

if($idcanalventa > 0){
	$consulta="
	select idlistaprecio, idcanalventa, canal_venta 
	from canal_venta 
	where 
	idcanalventa = $idcanalventa 
	and estado = 1
	limit 1
	";
	$rscv=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idlistaprecio=intval($rscv->fields['idlistaprecio']);
}
$seladd_lp=" productos_sucursales.precio ";
if($idlistaprecio > 0){
	$joinadd_lp=" inner join productos_listaprecios on productos_listaprecios.idproducto = productos.idprod_serial ";
	$whereadd_lp="
	and productos_listaprecios.idsucursal = $idsucursal 
	and productos_listaprecios.idlistaprecio = $idlistaprecio 
	and productos_listaprecios.estado = 1
	";
	$seladd_lp=" productos_listaprecios.precio ";
}

// busca si existen los grupos
$consulta_princ="
select idlistacombo, nombre, idproducto,  estado,  permite_cantidad_menor, 
	cantidad as cantidad_orig,
	CASE WHEN  
		permite_cantidad_menor = 'S'
	THEN
		1
	ELSE
		cantidad
	END as cantidad,
	(
		select sum(cant_real) as total
		from tmp_combos_listas
		where
		tmp_combos_listas.idsucursal = $idsucursal
		and tmp_combos_listas.idusuario = $idusu
		and tmp_combos_listas.idlistacombo = combos_listas.idlistacombo
		and tmp_combos_listas.idventatmp is null
	) as total,
	(
		select count(*) 
		from combos_listas_det 
		inner join productos on productos.idprod_serial = combos_listas_det.idproducto
		where 
		combos_listas_det.idlistacombo = combos_listas.idlistacombo
		and productos.borrado = 'N'
		and combos_listas_det.estado = 1
	) as total_productos,
	(
		select productos.idprod_serial
		from combos_listas_det 
		inner join productos on productos.idprod_serial = combos_listas_det.idproducto
		where 
		combos_listas_det.idlistacombo = combos_listas.idlistacombo
		and productos.borrado = 'N'
		and combos_listas_det.estado = 1
		order by productos.idprod_serial asc
		limit 1
	) as id_primer_producto_lista
from combos_listas 
where 
idproducto = $idprod_princ 
and estado = 1
";
//echo $consulta_princ;exit;
$rscombo=$conexion->Execute($consulta_princ) or die(errorpg($conexion,$consulta_princ));

$idlistacombo=intval($rscombo->fields['idlistacombo']);
// si no existe ninguna lista
if($idlistacombo == 0){
	// genera array con los datos
	$arr = array(
		'valido' => 'N',
		'errores' => 'No se termino de configurar el combo seleccionado.',
		'listas_faltan_csv' => ''
	);
	// convierte a formato json
	$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
	// devuelve la respuesta formateada
	echo $respuesta;
	exit;
}

// si existe
if($idlistacombo > 0){
	$valido="S";
	
	// recorre y valida si hay alguna lista que tenga 1 sola opcion de prodctos y agrega
	while (!$rscombo->EOF){
		$idlistacombo=$rscombo->fields['idlistacombo'];
		$total_opciones=intval($rscombo->fields['total_productos']);
		$cant_obliga=floatval($rscombo->fields['cantidad']);
		$totagregado=floatval($rscombo->fields['total']);
		$id_primer_producto_lista=intval($rscombo->fields['id_primer_producto_lista']);
		$permite_cantidad_menor=trim($rscombo->fields['permite_cantidad_menor']);
		//echo 'a:'.$total_opciones;
		
		// si no permite cantidad menor agrega automaticamente lo que falta
		if($permite_cantidad_menor != 'S'){
			// si el total de opciones que hay es 1 solo producto
			if($total_opciones == 1){
				// si lo agregado es menor que la cantidad minima obligatoria
				if($totagregado < $cant_obliga){
					// calcula cuantos faltan agregar
					$faltan_agregar=$cant_obliga-$totagregado;
					// si faltan agregar productos
					if($faltan_agregar > 0){
						///for($i=1;$i<=$faltan_agregar;$i++){
							// insertar en tabla temporal
							$consulta="
							INSERT INTO tmp_combos_listas
							(idlistacombo, idventatmp, idproducto, idempresa, idsucursal, idusuario, registrado_el, cant_real)
							VALUES
							($idlistacombo,NULL,$id_primer_producto_lista,1,$idsucursal,$idusu,'$ahora', $faltan_agregar)
							";
							$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
						//}
					}
				}
				
			}

		}
		


	
	
	$rscombo->MoveNext(); }
	
	
	// limpia la variable
	$rscombo='';

	// vuelve a actualizar la consulta luego de insertar
	$rscombo=$conexion->Execute($consulta_princ) or die(errorpg($conexion,$consulta_princ));
	
	
	$listas_faltan_csv="";
	// recorre y valida que cada grupo haya llegado a su maximo
	$pcm=0;
	while (!$rscombo->EOF){ 
	
		$cant_obliga=intval($rscombo->fields['cantidad']);
		$cantidad_orig=intval($rscombo->fields['cantidad_orig']);
		$totagregado=intval($rscombo->fields['total']);
		$idlistacombo=$rscombo->fields['idlistacombo'];
		$permite_cantidad_menor=trim($rscombo->fields['permite_cantidad_menor']);
		//echo $rscombo->fields['nombre'].$idlistacombo.'-'.$cant_obliga.'-'.$totagregado.'<br />';
		
		// si lo agregado es menor que la cantidad minima obligatoria
		if($totagregado < $cant_obliga){
			$valido="N";
			$listas_faltan_csv.=$idlistacombo.',';
			//echo "NOVALIDO";
			//exit;	
			$lista_falta[$idlistacombo]['lista'] = $rscombo->fields['nombre'];
			$lista_falta[$idlistacombo]['incluye'] = $cant_obliga;
			$lista_falta[$idlistacombo]['agregado'] = $totagregado;
			$lista_falta[$idlistacombo]['faltan'] = $cant_obliga-$totagregado;
			$lista_falta[$idlistacombo]['incluye_orig'] = $cantidad_orig;
			$lista_falta[$idlistacombo]['permite_cantidad_menor'] = $permite_cantidad_menor;
			if($permite_cantidad_menor == 'S'){
				$pcm++;
				$lista_falta[$idlistacombo]['pcm_html'] = '<span title="Permite cantidad menor">[*]</span>';
			}
		}
		
		
	$rscombo->MoveNext(); }
	
	$listas_faltan_csv=rtrim(trim($listas_faltan_csv),",");
	

	
	// si faltaron completar algunas listas
	if($listas_faltan_csv != ''){
		$html_faltan='';
		$listas_faltan_ar=explode(',',$listas_faltan_csv);
		
		// si hay al menos 1 grupo que permita cantidad Menor, (para cantidad mayor se debe hacer como agregado ya que podria tener precio adicional)
		if($pcm > 0){
			$txt_cant_max='Cant Maxima';
			$html_obliga='<th align="center">Cant Obligatoria</th>';
		}else{
			$txt_cant_max='Incluye';
			$html_obliga='';
		}
		
		//genera tabla html
		$html_faltan.='<br />
		<div class="table-responsive">
			<table width="100%" class="table table-bordered jambo_table bulk_action">
			  <thead>
				<tr>
					<th align="center">Lista</th>
					<th align="center">'.$txt_cant_max.'</th>
		';
		$html_faltan.=$html_obliga;
		
		
		$html_faltan.='
					<th align="center">Seleccionados</th>
					<th align="center">Faltan</th>
		';
		

		$html_faltan.='
				</tr>
			  </thead>
			  <tbody>
		';
		
		 foreach($listas_faltan_ar as $idlista_falta){

		
			$html_faltan.='
			<tr>
					<td align="center">'.$lista_falta[$idlista_falta]['lista'].'</td>
					<td align="center">'.$lista_falta[$idlista_falta]['incluye_orig'].'</td>
			';
			if($pcm > 0){
				$html_faltan.='
						<td align="center">'.$lista_falta[$idlista_falta]['incluye'].'</td>
				';	
			}				
			$html_faltan.='
					<td align="center">'.$lista_falta[$idlista_falta]['agregado'].'</td>
					<td align="center"><strong style="color:red;">'.$lista_falta[$idlista_falta]['faltan'].'</strong></td>
			</tr>
			';
		

		} 
		$html_faltan.='
				</tbody>

			</table>
		</div>
		<br />
		<p align="center"><a href="javascript:apretar_combo('.$idprod_princ.');void(0);" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
		';
		
		// genera array con los datos
		$arr = array(
			'valido' => $valido,
			'errores' => $errores,
			'listas_faltan_csv' => $listas_faltan_csv,
			'listas_faltan_html' => $html_faltan
		);
		// convierte a formato json
		$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
		// devuelve la respuesta formateada
		echo $respuesta;
		exit;
	}
	
	
	// reinicia el bucle al primer registro
	$rscombo->MoveFirst();
	

	
	// si todo es valido
	if($valido=="S"){
		
		// busca precio del combo
		$consulta="
		select * , $seladd_lp as p1
		from productos 
		inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial
		$joinadd_lp
		where 
		borrado = 'N' 
		and combo = 'S'
		and productos.idprod_serial = $idprod_princ
		and productos_sucursales.idsucursal = $idsucursal 
		$whereadd_lp
		";
		$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$precio=$rsprod->fields['p1'];
		
		// inserta en ventas temporal
		$consulta="
		INSERT INTO tmp_ventares
		(idproducto, idtipoproducto, cantidad, precio, subtotal, fechahora, usuario, registrado, idsucursal, idempresa, receta_cambiada, borrado, combinado, idprod_mitad1, idprod_mitad2, combo) 
		VALUES 
		($idprod_princ, 2, 1,$precio, $precio, '$ahora', $idusu, 'N', $idsucursal, $idempresa, 'N', 'N', $combinado, NULL, NULL, 'S')
		;
		";
		//echo $consulta;
		//exit;
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// busca el id temporal insertado
		$consulta="
		select idventatmp
		from tmp_ventares  
		where 
		usuario = $idusu 
		and idsucursal = $idsucursal
		and combo = 'S'
		order by idventatmp desc
		limit 1
		";
		$rsmaxid=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$maxid=$rsmaxid->fields['idventatmp'];
		

		//actualiza en la tabla temporal de combos listas por cada lista
		while (!$rscombo->EOF){ 
			$idlistacombo=$rscombo->fields['idlistacombo'];
			$consulta="
			update tmp_combos_listas
			set 
			tmp_combos_listas.idventatmp = $maxid
			where
			tmp_combos_listas.idsucursal = $idsucursal
			and tmp_combos_listas.idusuario = $idusu
			and tmp_combos_listas.idlistacombo = $idlistacombo
			and tmp_combos_listas.idventatmp is null
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$rscombo->MoveNext(); }
		
		
		// genera array con los datos
		$arr = array(
			'valido' => 'S',
			'errores' => '',
		);
		// convierte a formato json
		$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
		// devuelve la respuesta formateada
		echo $respuesta;
		exit;
		
	}
		
	
}
?>