<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");

// Modulo y submodulo respectivamente
$modulo="1";
$submodulo="58";
require_once("includes/rsusuario.php"); 

//print_r($_POST);

//$id=intval($_POST['id']);
$tel=intval($_REQUEST['tel']);
$iddomicilio=intval($_REQUEST['iddomicilio']);
if($tel == 0){
	$arr = array(
	'error' => 'Debe indicar un telefono valido.'
	);
	$resp=json_encode($arr);
	echo $resp;
	exit;	
}

$consulta="
Select idzona, descripcion, costoentrega
from gest_zonas
where 
gest_zonas.estado=1
and gest_zonas.idempresa = $idempresa 
and gest_zonas.idsucursal = $idsucursal
order by descripcion asc
";
$rszon = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));


// buscar datos del delivery anterior si existe
$consulta="
select * 
from tmp_ventares_cab 
where
idsucursal = $idsucursal
and idempresa = $idempresa
and finalizado = 'S'
and registrado = 'S'
and telefono = $tel
order by idtmpventares_cab desc
limit 1
";
$rscab_old = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$zona=intval($rscab_old->fields['delivery_zona']); // zona con el precio que se le cobro la ultima vez
// si no selecciono domicilio trae el ultimo insertado del pedido anterior
if($iddomicilio == 0){
	$iddomicilio_last=intval($rscab_old->fields['iddomicilio']);
	$iddomicilio_sel=$iddomicilio_last;
}else{
	$iddomicilio_sel=$iddomicilio;
}

// datos de la zona de delivery
$consulta="
select * 
from cliente_delivery
where
idclientedel is not null
and estado = 1
and telefono = $tel
and idempresa = $idempresa
limit 1
";
$rsdel = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcliente=$rsdel->fields['idcliente'];
$idclientedel=$rsdel->fields['idclientedel'];
$nombres=$rsdel->fields['nombres'];
$apellidos=$rsdel->fields['apellidos'];

// datos de facturacion
if($idcliente > 0){
	$consulta="
	select * 
	from cliente 
	where
	idcliente = $idcliente
	and estado = 1
	";
	$rsclifac = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$ruc=$rsclifac->fields['ruc'];
	$rz=$rsclifac->fields['razon_social'];
}

if($iddomicilio_sel > 0){
	$whereadd="and iddomicilio = $iddomicilio_sel";
}	

// datos de domicilio
if($idclientedel > 0){
	$consulta="
	SELECT *, 
	(select idsucursal_forzar from zonas_delivery where zonas_delivery.idzonadel = cliente_delivery_dom.idzonadel) as idsucursal
	FROM cliente_delivery_dom
	where
	idclientedel = $idclientedel
	and estado = 1
	$whereadd
	order by iddomicilio desc
	";
	//echo $consulta;
	$rsclidom = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	// si no encuentra o no coincide con el cliente
	if(intval($rsclidom->fields['iddomicilio']) == 0){
		$consulta="
		SELECT *,
		(select idsucursal_forzar from zonas_delivery where zonas_delivery.idzonadel = cliente_delivery_dom.idzonadel) as idsucursal
		FROM cliente_delivery_dom
		where
		idclientedel = $idclientedel
		and estado = 1
		order by iddomicilio desc
		limit 1
		";
		//echo $consulta;
		$rsclidom = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	}
	
}
//echo $consulta;
// datos de ubicacion
$direccion=$rsclidom->fields['direccion'];
$lugar=$rsclidom->fields['nombre_domicilio'];
$iddomicilio=$rsclidom->fields['iddomicilio'];
$idzonadel=intval($rsclidom->fields['idzonadel']);
$sucursaldir=$rsclidom->fields['idsucursal'];
if($sucursaldir == 0){
	$sucursaldir=$idsucursal;	
}

if(trim($lugar) == ''){
	$lugar="CASA";
}

// lista de domicilios del cliente
if($idclientedel > 0){
	$consulta="
	SELECT * 
	FROM cliente_delivery_dom
	where
	idclientedel = $idclientedel
	and estado = 1
	order by iddomicilio asc
	";
	//echo $consulta;
	$rslugares = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	$i=1;
	$lugares=array();
	// genera array con lugares de todos los domicilios del cliente
	while(!$rslugares->EOF){
		$iddomicilio_ar=$rslugares->fields['iddomicilio'];
		$lugar_ar=$rslugares->fields['nombre_domicilio'];
		// genera array con lugares
		//$lugares[$i]['iddomicilio']=$iddomicilio_ar;
		//$lugares[$i]['lugar']=$lugar_ar;
		$lugares[$i][$lugar_ar]=$iddomicilio_ar;
		$i++;
	$rslugares->MoveNext(); }

}


$agrega_delivery_auto=$rsco->fields['agrega_delivery_auto'];
if($agrega_delivery_auto == 'S'){


	//$idzonadel=intval($_POST['idzona']);
	$consulta="
	select * 
	from zonas_delivery 
	inner join productos on productos.idprod_serial = zonas_delivery.idproducto_zona
	inner join productos_sucursales on productos_sucursales.idproducto = productos.idprod_serial 
	where 
	idzonadel = $idzonadel
	and productos_sucursales.idsucursal = $idsucursal
	limit 1;
	";
	$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idproducto=$rsprod->fields['idproducto_zona'];
	$precio=$rsprod->fields['precio'];
	$tipoiva=$rsprod->fields['tipoiva'];
	
	if($idproducto > 0){
		
		// si hay articulos delivery en el carrito lo borra
		$consulta="
		update  tmp_ventares 
		set borrado = 'S'
		where 
		idtipoproducto = 6
		and registrado = 'N'
		and tmp_ventares.usuario = $idusu
		and tmp_ventares.borrado = 'N'
		and tmp_ventares.finalizado = 'N'
		and tmp_ventares.idsucursal = $idsucursal
		and tmp_ventares.idempresa = $idempresa
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		// agrega el nuevo articulo delivery al carrito
		$consulta="
		INSERT INTO tmp_ventares
		(idproducto, idtipoproducto, cantidad, precio, fechahora, usuario, registrado, idsucursal, idempresa, receta_cambiada, borrado, combinado, idprod_mitad1, idprod_mitad2, subtotal, iva) 
		VALUES 
		($idproducto, 6, 1, $precio, '$ahora',$idusu, 'N', $idsucursal, $idempresa, 'N', 'N', 'N', NULL, NULL, $precio, $tipoiva)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	}

}



// genera array con los datos
$arr = array(
'zona' => $zona, 
'ruc' => antixss($ruc), 
'razon_social' => antixss($rz), 
'nombres' => antixss($nombres), 
'apellidos' => antixss($apellidos), 
'direccion' => antixss($direccion),
'iddomicilio' => antixss($iddomicilio),
'idzonadel'  => $idzonadel,
'sucursaldir' => antixss($sucursaldir),
'idclientedel' => antixss($idclientedel),
'lugar' => antixss($lugar),
'lugares' => $lugares,
'error' => ''
);

//print_r($arr);

// convierte a formato json
$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

// devuelve la respuesta formateada
echo $respuesta;
?>