<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="11";
$submodulo="703";
require_once("includes/rsusuario.php"); 
//exit;

function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	$txt=str_replace($saltolinea,"",$txt);
	return $txt;
}

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-d");
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if($_GET['idsucu'] > 0){
	$idsucu=intval($_GET['idsucu']);
	$whereadd.=" and tmp_ventares_cab.idsucursal  = $idsucu ";
}
if(intval($_GET['claset']) >0){
	$tipoc=intval($_GET['claset']);
	$whereadd.=" and tmp_ventares_cab.idcanal  = $tipoc ";
}

$consulta="
SELECT 
	idproducto,
	producto,
	CASE WHEN promedio_segundos_coc < 0 then 0 ELSE REPLACE(COALESCE(promedio_segundos_coc,0),'.',',') end AS promedio_segundos_coc,
	CASE WHEN promedio_segundos_coc < 0 then 0 ELSE REPLACE(COALESCE(promedio_segundos_coc/60,0),'.',',') end AS promedio_minutos_coc,
	CASE WHEN promedio_segundos_coc < 0 then 0 ELSE REPLACE(COALESCE(promedio_segundos_coc/60/60,0),'.',',') end AS promedio_horas_coc,
	CASE WHEN promedio_segundos_ret < 0 then 0 ELSE REPLACE(COALESCE(promedio_segundos_ret,0),'.',',') end AS promedio_segundos_ret,
	CASE WHEN promedio_segundos_ret < 0 then 0 ELSE REPLACE(COALESCE(promedio_segundos_ret/60,0),'.',',') end AS promedio_minutos_ret,
	CASE WHEN promedio_segundos_ret < 0 then 0 ELSE REPLACE(COALESCE(promedio_segundos_ret/60/60,0),'.',',') end AS promedio_horas_ret
FROM 
(
	SELECT 
		tmp_ventares.idproducto,
		productos.descripcion AS producto,
		
		AVG(TIME_TO_SEC(TIMEDIFF(
			estados_cocina_log_coc.registrado_el, 
			tmp_ventares_cab.fechahora
		))) AS promedio_segundos_coc,

		
		AVG(TIME_TO_SEC(TIMEDIFF(
			estados_cocina_log_ret.registrado_el, 
			tmp_ventares_cab.fechahora
		))) AS promedio_segundos_ret

		
	FROM tmp_ventares_cab
	INNER JOIN tmp_ventares 
		ON tmp_ventares.idtmpventares_cab = tmp_ventares_cab.idtmpventares_cab
	INNER JOIN productos 
		ON productos.idprod_serial = tmp_ventares.idproducto
	LEFT JOIN estados_cocina_log AS estados_cocina_log_coc
		ON tmp_ventares.idventatmp = estados_cocina_log_coc.idventatmp 
		AND estados_cocina_log_coc.idestadococina = 3
	LEFT JOIN estados_cocina_log AS estados_cocina_log_ret
		ON tmp_ventares.idventatmp = estados_cocina_log_ret.idventatmp 
		AND estados_cocina_log_ret.idestadococina = 4
	WHERE 
		tmp_ventares_cab.estado <> 6
		AND tmp_ventares.borrado = 'N'
		AND DATE(tmp_ventares_cab.fechahora) BETWEEN '$desde' AND '$hasta'
		and estados_cocina_log_coc.registrado_el is not null
		$whereadd
	GROUP BY tmp_ventares.idproducto
	LIMIT 100000
)  tiempos
WHERE
promedio_segundos_ret >= promedio_segundos_coc
";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
 //	CONCAT('\"',factura,'\"') as Factura,


 $impreso=date("d/m/Y H:i:s");



$datos="";


// asigna los datos de la consulta a una variable
$array=$rs->fields;

// CONSTRUYE CABECERA
foreach($array as $key=>$value){
	$i++;
	$datos.=limpiacsv($key).';';
}
reset($array);
$datos.=$saltolinea;





$impreso=date("YmdHis");

header('Content-Description: File Transfer');
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=tiempos_prod_'.$impreso.'.csv');
	
	
// imprime cabecera
echo $datos;


//CONSTRUYE CUERPO
$fila=1;
while (!$rs->EOF){
	$fila++;
	$array=$rs->fields;
	$i=0;
	foreach($array as $key=>$value){
		$i++;
		echo limpiacsv($value).';';
	}
	echo $saltolinea;
$rs->MoveNext(); }


exit; 

?>
