<?php 
require_once("includes/conexion.php");
require_once("includes/funciones.php");
require_once("includes/rs_carrito.php");

$id=intval($_GET['id']);
if($id == 0){
	header("location: productos.php");
	exit;	
}

// productos carousel, limit 3
	$consulta="
	Select productos.*, categorias.nombre as categoria, sub_categorias.descripcion as subcategoria,
	(select idprod from recetas_detalles where recetas_detalles.idprod = productos.idprod_serial limit 1) as receta,
	(select idproducto from agregado where agregado.idproducto = productos.idprod_serial limit 1) as agregado,
	(select idproducto from producto_impresora where producto_impresora.idproducto = productos.idprod_serial limit 1) as tieneimpre,
	(select marca from marca where marca.idmarca = productos.idmarca and idempresa = $idempresa) as marca
	from productos 
	inner join categorias on productos.idcategoria = categorias.id_categoria 
	inner join sub_categorias on productos.idsubcate = sub_categorias.idsubcate 
	where 
	productos.borrado = 'N'
	and productos.idprod_serial = $id
	and productos.idempresa = $idempresa
	order by combo desc, combinado desc, productos.descripcion asc
	limit 1
	"	;
	$rsprod=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
?>


	<section>
		<div class="container">
			<div class="row" style="background-color: #fff; ">
				<br><br>

				<!-- MENU LATERAL -->
<?php require_once("includes/menu_lateral.php"); ?>
				<!-- /MENU LATERAL -->

				<!--PRODUCTOS-->
				<div class="col-sm-9 padding-right"> 


						<div class="breadcrumbs">
							<ol class="breadcrumb">
							  <li ><a href="index.php">Portada</a></li>
							  <li ><a href="productos.php?cat=<?php echo $rsprod->fields['idcategoria'];?>"><?php echo $rsprod->fields['categoria'];?></a></li>
                              <li ><a href="productos.php?subcat=<?php echo $rsprod->fields['idsubcate'];?>"><?php echo $rsprod->fields['subcategoria'];?></a></li>
							  <li class="active"> <b><?php echo $rsprod->fields['descripcion'];?></b></li>
							</ol>
						</div><!--/breadcrums-->
						
					<div class="product-details"><!--product-details-->
						<div class="col-sm-7">
							<div class="view-product">
								<img class="img-responsive" src="img/producto.jpg" alt="" />
							</div>
							<div id="similar-product" class="carousel slide" data-ride="carousel">
								
								  <!-- Wrapper for slides -->
								    <div class="carousel-inner">
										<div class="item active">
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										</div>
										<div class="item">
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										</div>
										<div class="item">
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										  <a href=""><img src="img/thum-producto.jpg" alt=""></a>
										</div>										
									</div>

								  <!-- Controls -->
								  <a class="left item-control" href="#similar-product" data-slide="prev">
									<i class="fa fa-angle-left"></i>
								  </a>
								  <a class="right item-control" href="#similar-product" data-slide="next">
									<i class="fa fa-angle-right"></i>
								  </a>
							</div>

						</div>
						<div class="col-sm-5">
							<div class="product-information"><!--/product-information-->
								<h2><?php echo $rsprod->fields['descripcion'];?></h2>
								<p>Código: <?php echo $rsprod->fields['idprod_serial'];?></p>
								<span>
									<span>Gs.<?php echo formatomoneda($rsprod->fields['p1'],0,"N");?></span>
								</span>
								<p><?php echo $rsprod->fields['descripcion_larga'];?></p>


								<br>

									<button type="button" class="btn btn-fefault cart">
										<i class="fa fa-shopping-cart"></i>
										Agregar
									</button>
							</div><!--/product-information-->
						</div>
					</div><!--/product-details-->
					
	
				</div>
				<!--/PRODUCTOS-->
			</div>
		</div>
	</section>