<?php 
session_start();
include("db.php");
include("variables_globales.php");
$pagina=isset($_GET['pagina']) ? (int)$_GET['pagina'] : 1;
$numero_de_botones=6;
$productos_por_pagina=12;
$inicio=($pagina > 1) ? ($pagina*$productos_por_pagina-$productos_por_pagina) : 0;
$marca="";
if(isset($_GET["marca"])){
    $marca="AND marca='".$_GET["marca"]."'";
}

if(isset($_GET['buscar'])){
    $buscar_producto=$_GET['buscar'];
    $buscar_producto=str_replace("%20", " ", $buscar_producto);
    $traer_productos=$BD->query("SELECT id,imagen,nombre,precio,existencia,marca,estado,descuento,en_descuento,visualizaciones,opciones,categoria FROM productos_tienda WHERE MATCH(nombre) AGAINST ('".$buscar_producto."') LIMIT $inicio, $productos_por_pagina");
    $productos_traidos = $traer_productos->fetchall(PDO::FETCH_ASSOC);
    $total_productos=$BD->query("SELECT COUNT(*) FROM productos_tienda WHERE MATCH(nombre) AGAINST ('".$buscar_producto."') LIMIT 0, $productos_por_pagina");
    $total_productos=$total_productos->fetch(PDO::FETCH_NUM);
    $numero_paginas=ceil($total_productos[0]/$productos_por_pagina);
}else if(isset($_GET['subcategoria'])){
    $buscar_subcategoria=$_GET['subcategoria'];
    $buscar_subcategoria=str_replace("%20", " ", $buscar_subcategoria);
    $traer_productos2=$BD->query("SELECT id,imagen,nombre,precio,existencia,marca,estado,descuento,en_descuento,visualizaciones,opciones,categoria FROM productos_tienda INNER JOIN subcategoria_productos ON productos_tienda.subcategoria=subcategoria_productos.subcategoria WHERE subcategoria_productos.subcategoria='$buscar_subcategoria' $marca LIMIT $inicio, $productos_por_pagina");
    $productos_traidos=$traer_productos2->fetchall(PDO::FETCH_ASSOC);
    $total_productos=$BD->query("SELECT COUNT(*) FROM productos_tienda WHERE subcategoria='$buscar_subcategoria' $marca");
    $total_productos=$total_productos->fetch(PDO::FETCH_NUM);
    $numero_paginas=ceil($total_productos[0]/$productos_por_pagina);
}else if(isset($_GET['categoria'])){
    $buscar_categoria=$_GET['categoria'];
    if($buscar_categoria=="ofertas"){
        $traer_productos=$BD->query("SELECT id,imagen,nombre,precio,existencia,marca,estado,descuento,en_descuento,visualizaciones,opciones,categoria FROM productos_tienda WHERE en_descuento='1' LIMIT $inicio, $productos_por_pagina");
        $productos_traidos=$traer_productos->fetchall(PDO::FETCH_ASSOC);
        $total_productos=$BD->query("SELECT COUNT(*) FROM productos_tienda WHERE en_descuento='1'");
        $total_productos=$total_productos->fetch(PDO::FETCH_NUM);
        $numero_paginas=ceil($total_productos[0]/$productos_por_pagina);
    }else{
        $traer_productos=$BD->query("SELECT id,imagen,nombre,precio,existencia,marca,estado,descuento,en_descuento,visualizaciones,opciones,categoria FROM productos_tienda WHERE categoria='$buscar_categoria' $marca LIMIT $inicio, $productos_por_pagina");
        $productos_traidos=$traer_productos->fetchall(PDO::FETCH_ASSOC);
        $total_productos=$BD->query("SELECT COUNT(*) FROM productos_tienda WHERE categoria='$buscar_categoria' $marca");
        $total_productos=$total_productos->fetch(PDO::FETCH_NUM);
        $numero_paginas=ceil($total_productos[0]/$productos_por_pagina);
    }
    
}
else{
    $traer_productos=$BD->query("SELECT id,imagen,nombre,precio,existencia,marca,estado,descuento,en_descuento,visualizaciones,opciones,categoria FROM productos_tienda ORDER BY categoria LIMIT $inicio, $productos_por_pagina");
    $productos_traidos=$traer_productos->fetchall(PDO::FETCH_ASSOC);
    $total_productos=$BD->query('SELECT COUNT(*) FROM productos_tienda');
    $total_productos=$total_productos->fetch(PDO::FETCH_NUM);
    $numero_paginas=ceil($total_productos[0]/$productos_por_pagina);
}
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" href=<?php echo $Favicon_Pagina;?> type="image/png">
    <link rel="stylesheet" href=<?php echo $Estilo_Productos_Generales."?v=5";?>>
    <link rel="stylesheet" href=css/estilos_menu_vertical.css>
    <title><?php echo $Titulo_Pagina;?></title>
</head>
<body>
    <?php include("header.php");?>
    <div class="Grilla_Filtros">   
        <div class="Opciones_Filtros">
                <div class="contenedor_titulo_filtros">
                    <span class="titulo_filtros">Categorias</span>
                    <button class="boton_categorias_tienda"><ion-icon name="add"></ion-icon></button>              
                </div>
                <?php
                    $categorias_traer=$BD->query("SELECT categoria FROM categoria_productos");
                    $categorias_traidas=$categorias_traer->fetchall(PDO::FETCH_ASSOC);
                    $cadena_datos="";

                    
                    
                    for($i=0;$i<count($categorias_traidas);$i++){
                        $cadena_datos.='<a href="?categoria='.$categorias_traidas[$i]['categoria'].'" class="Boton_Busquedas">'.$categorias_traidas[$i]['categoria']."</a>";
                    }



                    echo '<a href="tienda.php" class="Boton_Busquedas">Todos</a><a href="tienda.php?categoria=ofertas" class="Boton_Busquedas">Ofertas</a>'.$cadena_datos;                
                    if(isset($_GET['categoria'])){
                        $categoria_buscar=$_GET['categoria'];
                        $subcategorias_traer=$BD->query("SELECT subcategoria FROM subcategoria_productos WHERE categoria_id='$categoria_buscar'");
                        $subcategorias_traidas=$subcategorias_traer->fetchall(PDO::FETCH_ASSOC);
                        $cadena_datos="";
                        if(count($subcategorias_traidas) > 0){
                            for($i=0;$i<count($subcategorias_traidas);$i++){
                                $cadena_datos.='<a href="?categoria='.$categoria_buscar.'&subcategoria='.$subcategorias_traidas[$i]['subcategoria'].'" class="Boton_Busquedas">'.$subcategorias_traidas[$i]['subcategoria']."</a>";
                            }
                            echo '          
                                <span class="titulo_filtros dos">Subcategorias</span>
                                '.$cadena_datos.'
                            ';
                        }
                        
                    }  
                ?>   
                <div class="contenedor_titulo_filtros">
                    <span class="titulo_filtros">Marcas</span>
                    <button class="boton_categorias_tienda"><ion-icon name="add"></ion-icon></button>              
                </div>  
                <?php
                    $categorias_traer=$BD->query("SELECT marca FROM marcas_productos");
                    $categorias_traidas=$categorias_traer->fetchall(PDO::FETCH_ASSOC);
                    $cadena_datos="";
                    
                    $categoria="";
                    $subcategoria="";
                    if(isset($_GET["categoria"])){
                        $categoria.="&categoria=".$_GET["categoria"];
                    }
                    if(isset($_GET["subcategoria"])){
                        $subcategoria.="&subcategoria=".$_GET["subcategoria"];
                    }

                    for($i=0;$i<count($categorias_traidas);$i++){
                        $marca="?marca=".$categorias_traidas[$i]['marca'];                  
                        $cadena_datos.='<a href="'.$marca.$categoria.$subcategoria.'" class="Boton_Busquedas">'.$categorias_traidas[$i]['marca']."</a>";
                    } 
                    echo $cadena_datos;
                ?>      
        </div>
        <div class="contenedor_productos">
            <div class="cabecera_tienda">
                <?php
                    $titulo_cabecera="Tienda";
                    $marca="";
                    if(isset($_GET['marca'])){
                        $marca=" [".$_GET['marca']."]";
                    }

                    if(isset($_GET['buscar'])){
                        $titulo_cabecera=$_GET['buscar'];
                        echo '<span class="titulo_cabecera_actual">Busqueda: '.$titulo_cabecera.$marca.'</span>'; 
                    }
                    else if(isset($_GET['subcategoria'])){
                        $titulo_cabecera=$_GET['subcategoria'];
                        echo '<span class="titulo_cabecera_actual">'.$titulo_cabecera.$marca.'</span>'; 
                    }else if(isset($_GET['categoria'])){            
                        $titulo_cabecera=$_GET['categoria'];
                        echo '<span class="titulo_cabecera_actual">'.$titulo_cabecera.$marca.'</span>'; 
                    }else{
                        echo '<span class="titulo_cabecera_actual">'.$titulo_cabecera.$marca.'</span>'; 
                    }        
                    if(count($productos_traidos) == 0){
                        echo ("<span class='productos_no_encontrados'>¡No se han encontrado productos!</span>");
                    }
                ?>
            </div>           
            <div class="Contenedor_Grilla_Productos">            
            <?php
                for($i=0;$i<count($productos_traidos);$i++){
                    if($productos_traidos[$i]['estado'] == 'inactivo' || $productos_traidos[$i]['estado'] == 'Inactivo'){
                        continue;
                    }
                    $array_imagenes=json_decode($productos_traidos[$i]['imagen']);
                    $llaves=array_keys(json_decode($productos_traidos[$i]['imagen'],true));
                    $eliminar=["[","]"];
                    $llaves_limpias=str_replace($eliminar, "", json_encode($llaves));
                    $lista_llaves=explode(",", $llaves_limpias);
                    $posicion=$lista_llaves[0];
                    $primera_imagen=$array_imagenes->$posicion;
                    if($productos_traidos[$i]['existencia'] <= 0){
                        $existencia="Sin stock";
                        $precio=$productos_traidos[$i]['precio'];
                        $aviso_oferta="";
                        $precio_antiguo="";
                        if($productos_traidos[$i]['en_descuento']==1){
                            $precio_antiguo='<del class="precio_producto_antiguo">Gs '.number_format($precio,0,",",".").'</del>';
                            $precio=$productos_traidos[$i]['descuento'];
                            $aviso_oferta="<span class='producto_oferta'>OFERTA</span>";
                        }     
                        echo "<div class='producto mostrar sinstock' marca_producto='".$productos_traidos[$i]["marca"]."'>
                        ".$aviso_oferta."
                        <span class='visualizaciones_producto'>".$productos_traidos[$i]['visualizaciones']."<ion-icon name='eye'></ion-icon></span>
                        <a href='producto.php?id=".$productos_traidos[$i]['id']."'><img src='admin/imagenes_productos/".$primera_imagen."' class='Imagen'></a>
                        <div class='informacion_producto'>
                            <span class='descripcion_producto' title='".$productos_traidos[$i]['nombre']."'>".$productos_traidos[$i]['nombre']."</span>  
                            <span class='categoria_producto' title='".$productos_traidos[$i]['categoria']."'>".$productos_traidos[$i]['categoria']."</span>  
                            <span class='precio_producto'>Gs ".number_format($precio,0,",",".")."</span>       
                            ".$precio_antiguo."                              
                        </div>   
                        <span class='existencia_producto sinstock'>".$existencia."</span>         
                        </div>";
                    }else{
                        $existencia="En stock";
                        $precio=$productos_traidos[$i]['precio'];
                        $aviso_oferta="";
                        $precio_antiguo="";
                        $boton_anadir="<span class='Agregar_Carrito' funcion='anadir_carrito' id_producto='".$productos_traidos[$i]['id']."'><ion-icon name='cart'></ion-icon></span>";
                        if($productos_traidos[$i]['en_descuento']==1){
                            $precio_antiguo='<del class="precio_producto_antiguo">Gs '.number_format($precio,0,",",".").'</del>';
                            $precio=$productos_traidos[$i]['descuento'];
                            $aviso_oferta="<span class='producto_oferta'>OFERTA</span>";
                        }
                        if($productos_traidos[$i]['opciones'] != "{}"){
                            $boton_anadir="<a class='Agregar_Carrito' href='producto.php?id=".$productos_traidos[$i]['id']."'><ion-icon name='cart'></ion-icon></a>";
                        }
                        echo "<div class='producto mostrar' marca_producto='".$productos_traidos[$i]["marca"]."'>
                        ".$aviso_oferta."
                        <span class='visualizaciones_producto'>".$productos_traidos[$i]['visualizaciones']."<ion-icon name='eye'></ion-icon></span>
                        ".$boton_anadir."
                        <a href='producto.php?id=".$productos_traidos[$i]['id']."'><img src='admin/imagenes_productos/".$primera_imagen."' class='Imagen'></a>
                        <div class='informacion_producto'>
                            <span class='descripcion_producto' title='".$productos_traidos[$i]['nombre']."'>".$productos_traidos[$i]['nombre']."</span>  
                            <span class='categoria_producto' title='".$productos_traidos[$i]['categoria']."'>".$productos_traidos[$i]['categoria']."</span>                            
                            <span class='precio_producto'>Gs ".number_format($precio,0,",",".")."</span>  
                            ".$precio_antiguo."        
                        </div>     
                        <span class='existencia_producto enstock'>".$existencia."</span>            
                        </div>";
                    }
                    
                }
            ?>
        </div> 
        
        </div>   
    </div>
    <div class="Caja_Botones_Indices">  
    <?php
         $indice=1;
         $numero_control=$numero_de_botones+($pagina-3); 
         if($numero_paginas < $numero_de_botones){
            $numero_de_botones=$numero_paginas;
         }

         for($i=0;$i<$numero_de_botones;$i++){  
            if($pagina >= 4){
                if($numero_control >= $numero_paginas){
                    $operacion_1=abs($indice-$numero_de_botones);
                    $operacion_2=abs($operacion_1-$numero_paginas);
                    $numero=$operacion_2;
                }else{
                    $numero=$i+($pagina-2); 
                }               
            }
            else{
                $numero=$i+1;
            }   
            if(isset($_GET['subcategoria'])){            
                if($numero == $pagina){
                    echo "<a class='Boton_Indice activo' numero_boton=".$indice." href='?categoria=".$_GET['categoria']."&subcategoria=".$_GET['subcategoria']."&pagina=".$numero."'>".$numero."</a>";
                }else{
                    echo "<a class='Boton_Indice' numero_boton=".$indice." href='?categoria=".$_GET['categoria']."&subcategoria=".$_GET['subcategoria']."&pagina=".$numero."'>".$numero."</a>";
                } 
            }else if(isset($_GET['categoria'])){    
                $marca="";
                if(isset($_GET["marca"])){
                    $marca="&marca=".$_GET["marca"];
                }
                if($numero == $pagina){
                    echo "<a class='Boton_Indice activo' numero_boton=".$indice." href=?categoria=".$_GET['categoria']."&pagina=".$numero.$marca.">".$numero."</a>";
                }else{
                    echo "<a class='Boton_Indice' numero_boton=".$indice." href=?categoria=".$_GET['categoria']."&pagina=".$numero.$marca.">".$numero."</a>";
                } 

            }else if(isset($_GET['buscar'])){    
                if($numero == $pagina){
                    echo "<a class='Boton_Indice activo' numero_boton=".$indice." href=?buscar=".$_GET['buscar']."&pagina=".$numero.">".$numero."</a>";
                }else{
                    echo "<a class='Boton_Indice' numero_boton=".$indice." href=?buscar=".$_GET['buscar']."&pagina=".$numero.">".$numero."</a>";
                } 

            }else{
                if($numero == $pagina){
                    echo "<a class='Boton_Indice activo' numero_boton=".$indice." href=?pagina=".$numero.">".$numero."</a>";
                }else{
                    echo "<a class='Boton_Indice' numero_boton=".$indice." href=?pagina=".$numero.">".$numero."</a>";
                }              
            }
            $indice++;         
         }   
        ?> 
    </div>
    <script>
        let boton_categorias_tienda=document.querySelector(".boton_categorias_tienda");
        let Opciones_Filtros=document.querySelector(".Opciones_Filtros");
        boton_categorias_tienda.addEventListener("click", function(){
            let icono_boton=boton_categorias_tienda.querySelector("ion-icon");
            if(Opciones_Filtros.classList.contains('activo')){
                Opciones_Filtros.classList.remove("activo");           
                icono_boton.setAttribute("aria-label","add");
                icono_boton.setAttribute("name","add");
            }else{
                Opciones_Filtros.classList.add("activo");
                icono_boton.setAttribute("aria-label","remove");
                icono_boton.setAttribute("name","remove");
            }
        });
    </script>
    <?php include('footer.php');?>
    <?php include('scripts_globales.php');?>  
</body>
</html>