<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="398";
require_once("includes/rsusuario.php"); 


$idtanda=intval($_GET['id']);
if($idtanda == 0){
	header("location: traslado_stock_acopio.php");exit;
}
$consulta="
select *,
(select descripcion from gest_depositos where iddeposito = gest_transferencias.origen) as deposito_origen,
(select descripcion from gest_depositos where iddeposito = gest_transferencias.destino) as deposito_destino,
(select usuario from usuarios where gest_transferencias.generado_por = usuarios.idusu) as generado_por
from gest_transferencias 
where 
 estado = 1 
and idtanda = $idtanda
order by idtanda asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idtanda=intval($rs->fields['idtanda']);
$origen=intval($rs->fields['origen']);
$destino=intval($rs->fields['destino']);
$tanda=$idtanda;
if($idtanda == 0){
	header("location: traslado_stock_acopio.php");exit;
}


// descripcion de depositos
$buscar="select *,
(Select descripcion as origen from gest_depositos where iddeposito=$origen) as origen,
(Select descripcion as dst from gest_depositos where iddeposito=$destino) as destino
from gest_depositos
limit 1
";
$rsdd=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$origen_txt=antixss($rsdd->fields['origen']);
$destino_txt=antixss($rsdd->fields['destino']);

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function alerta_modal(titulo,mensaje){
	$('#modal_ventana').modal('show');
	$("#modal_titulo").html(titulo);
	$("#modal_cuerpo").html(mensaje);
	//$("#modal_pie").html(html_botones);
	/*
	Otros usos:
	$('#modal_ventana').modal('show'); // abrir
	$('#modal_ventana').modal('hide'); // cerrar
	*/
	
}
function ventana(){
	var titulo = $("#titulo").val();
	var mensaje = $("#mensaje").val();
	alerta_modal(titulo,mensaje);
}
function alertar(titulo,error,tipo,boton){
	//swal({   title: titulo,   text: error,   type: tipo,   confirmButtonText: boton });
	alerta_modal(titulo,error);
}
function registrar_cambio_cant(unicaser){
	var cantidad_modif = $("#cantidad_modif").val();
	var lote_modif = $("#lote_modif").val();
	var vto_modif = $("#vto_modif").val();
	
	 var parametros = {
                "id"         : unicaser,
				"MM_update"  : "form1",
				"cantidad"   : cantidad_modif,
				"lote"  	 : lote_modif,
				"vto"  		 : vto_modif
        };
       $.ajax({
                data:  parametros,
                url:   'traslado_edit_cant_acop.php',
                type:  'post',
                beforeSend: function () {
                        $("#modal_cuerpo").html("<br /><br /><br />Registrando...<br /><br /><br />");
                },
                success:  function (response) {
						//$("#pop1").html(response);
						if(response == 'OK'){
							document.location.href='traslado_stock_acopio_det.php?id=<?php echo $idtanda ?>';
						}else{
							$("#modal_cuerpo").html(response);
						}
                }
        });
}
function registrar_observacion(unicaser){
	var observacion = $("#observacion").val();
	
	 var parametros = {
                "id"         : unicaser,
				"MM_update"  : "form1",
				"observacion"   : observacion
        };
       $.ajax({
                data:  parametros,
                url:   'traslado_coment_acop.php',
                type:  'post',
                beforeSend: function () {
                        $("#modal_cuerpo").html("<br /><br /><br />Registrando...<br /><br /><br />");
                },
                success:  function (response) {
						//$("#pop1").html(response);
						if(response == 'OK'){
							document.location.href='traslado_stock_acopio_det.php?id=<?php echo $idtanda ?>';
						}else{
							$("#modal_cuerpo").html(response);
						}
                }
        });
}

function editar(cual){
	
	var parametros = {
			"id" : cual
	};
	$.ajax({
		data:  parametros,
		url:   'traslado_edit_cant_acop.php',
		type:  'post',
		beforeSend: function () {
			$('#modal_ventana').modal('show');
			$("#modal_titulo").html('Editar datos del Articulo a trasladar');
			$("#modal_cuerpo").html('Cargando...');
		},
		success:  function (response) {
			$("#modal_cuerpo").html(response);
		}
	});
	
}
function comentar(cual){
	
	var parametros = {
			"id" : cual
	};
	$.ajax({
		data:  parametros,
		url:   'traslado_coment_acop.php',
		type:  'post',
		beforeSend: function () {
			$('#modal_ventana').modal('show');
			$("#modal_titulo").html('Comentarios del Articulo');
			$("#modal_cuerpo").html('Cargando...');
		},
		success:  function (response) {
			$("#modal_cuerpo").html(response);
		}
	});
	
}
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
function confirma(unicaser){
	var direccionurl='confirma_registra_acop.php';	
	//alert(direccion);
	var parametros = {
	  "unicaser"  : unicaser,
	  "idtanda"  : <?php echo $idtanda; ?>,
	};
	$.ajax({		  
		data:  parametros,
		url:   direccionurl,
		type:  'post',
		cache: false,
		timeout: 3000,  // I chose 3 secs for kicks: 3000
		crossDomain: true,
		beforeSend: function () {
			$("#conf_"+unicaser).html('Cargando...');	
		},
		success:  function (response, textStatus, xhr) {
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				if(obj.valido == 'S'){
					$("#conf_"+unicaser).html(obj.html_checkbox);
					var confirmado = obj.confirmado;
					var elem = $("#confirma_"+unicaser);
					//alert(elem);
					var idbox = "confirma_"+unicaser;
					switchery_reactivar_uno(idbox);
				}else{
					alert(obj.errores);
				}
			}else{
				alert(response);	
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
		
	});
	
}
function switchery_reactivar(){
	var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));
	elems.forEach(function(html) {
		var switchery = new Switchery(html);
	});
}
function switchery_reactivar_uno(idbox){
	var elems = document.querySelector('#'+idbox);
	var switchery = new Switchery(elems);

}

</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Acopio de Mercaderias</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<p><a href="traslado_stock_acopio.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Idtanda</th>
			<th align="center">Origen</th>
			<th align="center">Destino</th>
			<th align="center">Fecha transferencia</th>
			<th align="center">Fecha Registrado</th>
			<th align="center">Generado por</th>
			</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idtanda']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['deposito_origen']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['deposito_destino']); ?></td>
			<td align="center"><?php if($rs->fields['fecha_transferencia'] != ""){ echo date("d/m/Y",strtotime($rs->fields['fecha_transferencia'])); } ?></td>
			<td align="center"><?php if($rs->fields['fecha_real'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['fecha_real'])); }  ?></td>
			<td align="center"><?php echo antixss($rs->fields['generado_por']); ?></td>
			</tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>
    </table>
</div>
<br />
<?php if ($tdata > 0 or $tdata2 > 0){?>

<p align="left">
<a href="gest_transfer_tmp_xls.php?idtanda=<?php echo $idtanda ?>" class="btn btn-sm btn-default"><span class="fa fa-file-excel-o"></span> Descargar</a>
<a href="gest_transfer_tmp_del.php?idtanda=<?php echo $idtanda ?>" class="btn btn-sm btn-default"><span class="fa fa-trash"></span> Borrar Todo</a>

</p>

<br />
<?php } ?>
<?php 
$buscar="Select *, 
(
 select barcode 
 from productos
 inner join insumos_lista on insumos_lista.idproducto = productos.idprod_serial
 where insumos_lista.idinsumo = tmp_transfer.idproducto
 
 )  as codbar
from tmp_transfer 
where 
idtanda=$tanda 
order by descripcion asc";
//echo $buscar;
$rstras=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));



?><div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
  <tr>
    <th>&nbsp;</th>
    <th>&nbsp;</th>
    <th>&nbsp;</th>
    <th>&nbsp;</th>

    <th align="center" bgcolor="#C5FFA8"  style="color:#000;"><strong><?php echo $origen_txt; ?></strong></th>
    <th colspan="2" align="center" bgcolor="#FFFF99"  style="color:#000;"><strong><?php echo $destino_txt; ?></strong></th>
    <th >&nbsp;</th>
    <th >&nbsp;</th>
  </tr>
  <tr>
    <th width="37" ><strong>N&ordm;</strong></th>
    <th width="57" ><strong>Cod int.</strong></th>
    <th width="111" ><strong>Cod Barra</strong></th>
    <th width="262" ><strong>Descripcion </strong></th>
    <th width="65" bgcolor="#C5FFA8"  style="color:#000;"><strong>Stock en Origen</strong></th>
    <th width="59" bgcolor="#FFFF99"  style="color:#000;"><strong>Stock. Ideal</strong></th>
    <th width="65" bgcolor="#FFFF99"  style="color:#000;"><strong>Stock Actual </strong></th>
    <th width="65" ><strong>Cant. a Enviar</strong></th>
    <th width="65"><strong>Acciones /<br />Confirmacion</strong></th>
  </tr>
  </thead>
<?php 
$i=0;
while(!$rstras->EOF){
$i++;
	
	 ?>
  <tr>
    <td align="right"><?php echo $i; ?></td>
    <td align="right"><?php echo $rstras->fields['idproducto']; ?></td>
    <td align="right"><?php echo $rstras->fields['codbar']; ?></td>
    <td><?php echo $rstras->fields['descripcion']; ?></td>
    <td align="right" bgcolor="#C5FFA8"><?php echo formatomoneda($rstras->fields['stock_origen'],4,'N'); ?></td>
    <td align="right" bgcolor="#FFFF99"><?php echo formatomoneda($rstras->fields['stock_ideal_destino'],4,'N'); ?></td>
    <td align="right" bgcolor="#FFFF99"><?php echo formatomoneda($rstras->fields['stock_destino'],4,'N'); ?></td>
    <td align="right" bgcolor="#FFFFFF"><?php echo formatomoneda($rstras->fields['cantidad'],4,'N'); ?></td>
    <td bgcolor="#FFFFFF" width="100">		

        
        
				<div class="btn-group">

					<a   href="javascript:void(0);" onmouseup="editar(<?php echo $rstras->fields['unicaser']?>);" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
                    <a   href="javascript:void(0);" onmouseup="comentar(<?php echo $rstras->fields['unicaser']?>);" class="btn btn-sm btn-default" title="Comentario" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-comment-o"></span></a>
					
                   <div id="conf_<?php echo $rstras->fields['unicaser']?>" title="Confirmar/Desconfirmar" data-toggle="tooltip" data-placement="left"  data-original-title="Confirmar/Desconfirmar">
					<input name="confirma" id="confirma_<?php echo $rstras->fields['unicaser']?>" type="checkbox" value="S" class="js-switch" onChange="confirma(<?php echo $rstras->fields['unicaser']?>);" <?php if($rstras->fields['confirmado']=='S'){ echo "checked"; } ?>  >
                    </div>
                    
				</div>
        
        </td>

  </tr>
<?php $rstras->MoveNext(); }?>
</table>
</div>



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->
        
      <!-- POPUP DE MODAL OCULTO -->
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
                    <div class="modal-dialog modal-lg">
                      <div class="modal-content">

                        <div class="modal-header">
                          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
                          </button>
                          <h4 class="modal-title" id="modal_titulo">Titulo</h4>
                        </div>
                        <div class="modal-body" id="modal_cuerpo">
						...
                        </div>
                        <div class="modal-footer" id="modal_pie">
                          <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                          
                        </div>

                      </div>
                    </div>
                  </div>

                      
                  </div>
                </div>
              </div>
              
              
              
        <!-- POPUP DE MODAL OCULTO -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
<link href="vendors/switchery/dist/switchery.min.css" rel="stylesheet">
<script src="vendors/switchery/dist/switchery.min.js" type="text/javascript"></script>
  </body>
</html>
