<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="313";
require_once("includes/rsusuario.php"); 

$idpreferencia=1;

// consulta a la tabla	
$consulta="
select * 
from preferencias_transfer 
where 
idpreferencia = $idpreferencia
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idpreferencia=intval($rs->fields['idpreferencia']);
if($idpreferencia == 0){
	header("location: traslados_permisos.php");
	exit;	
}




if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$tipo_pantalla=antisqlinyeccion($_POST['tipo_pantalla'],"text");
	$obliga_confirmar=antisqlinyeccion($_POST['obliga_confirmar'],"text");
	$valoriza_reposicion=antisqlinyeccion($_POST['valoriza_reposicion'],"text");
	$confirma_auto=antisqlinyeccion($_POST['confirma_auto'],"text");
	$filtra_recepcion_porsucursal=antisqlinyeccion($_POST['filtra_recepcion_porsucursal'],"text");
	$fecha_traslado_fija=antisqlinyeccion($_POST['fecha_traslado_fija'],"text");



	if(trim($_POST['tipo_pantalla']) == ''){
		$valido="N";
		$errores.=" - El campo tipo_pantalla no puede estar vacio.<br />";	
	}
	if(trim($_POST['obliga_confirmar']) == ''){
		$valido="N";
		$errores.=" - El campo obliga_confirmar no puede estar vacio.<br />";	
	}
	if(trim($_POST['valoriza_reposicion']) == ''){
		$valido="N";
		$errores.=" - El campo valoriza_reposicion no puede estar vacio.<br />";	
	}

	if(trim($_POST['confirma_auto']) == ''){
		$valido="N";
		$errores.=" - El campo confirma_auto no puede estar vacio.<br />";	
	}

	if(trim($_POST['filtra_recepcion_porsucursal']) == ''){
		$valido="N";
		$errores.=" - El campo filtra_recepcion_porsucursal no puede estar vacio.<br />";	
	}
	if(trim($_POST['fecha_traslado_fija']) == ''){
		$valido="N";
		$errores.=" - El campo filtra_recepcion_porsucursal no puede estar vacio.<br />";	
	}



	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta_pf="
		update preferencias_transfer
		set
			tipo_pantalla=$tipo_pantalla,
			obliga_confirmar=$obliga_confirmar,
			valoriza_reposicion=$valoriza_reposicion,
			confirma_auto=$confirma_auto,
			filtra_recepcion_porsucursal=$filtra_recepcion_porsucursal,
			fecha_traslado_fija=$fecha_traslado_fija
		where
			idpreferencia = $idpreferencia

		";
		$conexion->Execute($consulta_pf) or die(errorpg($conexion,$consulta_pf));
		
		$consulta_pf_sql=antisqlinyeccion($consulta_pf,'textbox');
		
		// registra el log
		$consulta="
		INSERT INTO `preferencias_log_temporal`
		(`txt_preftransfer`, `log_registrado_por`, `log_registrado_el`) 
		VALUES 
		($consulta_pf_sql,$idusu,'$ahora')
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: traslados_permisos_pref.php?ok=s");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());


$disabled='';
if($_GET['ok'] == 's'){
	$disabled='disabled';
}

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>

  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Preferencias globales para traslados de stock</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<p>
<a href="traslados_permisos.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a>
</p>
<hr />
					  
<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo pantalla *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['tipo_pantalla'])){ 
	$value_selected=htmlentities($_POST['tipo_pantalla']); 
}else{
	$value_selected=$rs->fields['tipo_pantalla'];
}
// opciones
$opciones=array(
	'Completa' => 'C',
	'Estandar' => 'E'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'tipo_pantalla',
	'id_campo' => 'tipo_pantalla',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$disabled,
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
		
		?>
                
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12" title="Obliga a confirmar todo para permitir finalizar el traslado.">Obliga confirmar </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['obliga_confirmar'])){ 
	$value_selected=htmlentities($_POST['obliga_confirmar']); 
}else{
	$value_selected=$rs->fields['obliga_confirmar'];
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'obliga_confirmar',
	'id_campo' => 'obliga_confirmar',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$disabled,
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
		
		?>
             
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12"  >Valoriza reposicion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['valoriza_reposicion'])){ 
	$value_selected=htmlentities($_POST['valoriza_reposicion']); 
}else{
	$value_selected=$rs->fields['valoriza_reposicion'];
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'valoriza_reposicion',
	'id_campo' => 'valoriza_reposicion',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$disabled,
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
		
?>                   
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12" title="Confirma automaticamente la carga al camion, no recibe automaticamente.">Confirma automaticamente </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['confirma_auto'])){ 
	$value_selected=htmlentities($_POST['confirma_auto']); 
}else{
	$value_selected=$rs->fields['confirma_auto'];
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'confirma_auto',
	'id_campo' => 'confirma_auto',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$disabled,
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
		
?>                  
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Filtra recepcion porsucursal </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['filtra_recepcion_porsucursal'])){ 
	$value_selected=htmlentities($_POST['filtra_recepcion_porsucursal']); 
}else{
	$value_selected=$rs->fields['filtra_recepcion_porsucursal'];
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'filtra_recepcion_porsucursal',
	'id_campo' => 'filtra_recepcion_porsucursal',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$disabled,
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
		
?>                 
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Fecha traslado fija del dia </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// valor seleccionado
if(isset($_POST['fecha_traslado_fija'])){ 
	$value_selected=htmlentities($_POST['fecha_traslado_fija']); 
}else{
	$value_selected=$rs->fields['fecha_traslado_fija'];
}
// opciones
$opciones=array(
	'SI' => 'S',
	'NO' => 'N'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'fecha_traslado_fija',
	'id_campo' => 'fecha_traslado_fija',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" '.$disabled,
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
		
?>                 
	</div>
</div>

<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        <?php if($_GET['ok'] != 's'){ ?>
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='traslados_permisos.php'"><span class="fa fa-ban"></span> Cancelar</button>
		<?php }else{ ?>
		<button type="button" class="btn btn-default" onMouseUp="document.location.href='traslados_permisos_pref.php'"><span class="fa fa-edit"></span> Editar</button>
		<?php } ?>
	   </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
<link href="vendors/switchery/dist/switchery.min.css" rel="stylesheet">
<script src="vendors/switchery/dist/switchery.min.js" type="text/javascript"></script>
  </body>
</html>
