<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="253";
require_once("includes/rsusuario.php"); 



$consulta="
select *
from usuarios_mozos 
inner join usuarios on usuarios.idusu = usuarios_mozos.idusu
where 
 estado_mozo = 1 
order by usuarios.usuario asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

// crear usuarios para app bancard a todos los usuarios para todas las sucursales
$consulta="
INSERT ignore INTO `usuarios_app_pos`
( `idusuario`, `idsucursal`) 
select usuarios.idusu, sucursales.idsucu
from usuarios, sucursales
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

// temporal hasta tener el ABM de pines
$consulta="
update usuarios 
set 
usuarios.pin_app_pos = (select codigo_acciones from usuarios_mozos where idusu = usuarios.idusu and estado_mozo = 1 limit 1)
where 
(select codigo_acciones from usuarios_mozos where idusu = usuarios.idusu and estado_mozo = 1 limit 1) is not null
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

// borrar mozos con usuarios inactivos
$consulta="
update `usuarios_mozos` 
set 
estado_mozo = 6 
where 
idusu in (select idusu from usuarios where estado = 6 or estado is NULL);
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?><!DOCTYPE html>
<html lang="en">
  <head>
    <?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>

            <div class="clearfix"></div>
            
            
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Mozos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">




<p><a href="usuarios_mozos_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a></p>
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
      <thead>
        <tr>
            <th></th>
            <th align="center">Idusu</th>
            <th align="center">Codigo acciones</th>
            <th align="center">Cobra Propina</th>
            <th align="center">Registrado el</th>
            </tr>
      </thead>
      <tbody>
<?php while(!$rs->EOF){ ?>
        <tr>
            <td>
                
                <div class="btn-group">
                    <a href="usuarios_mozos_edit.php?id=<?php echo $rs->fields['ssuni']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a>
                    <a href="usuarios_mozos_del.php?id=<?php echo $rs->fields['ssuni']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right"  data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
                </div>

            </td>
            <td align="center"><?php echo antixss($rs->fields['usuario']); ?></td>
            <td align="center">********</td>
            <td align="center"><?php echo antixss($rs->fields['cobrar_propina']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['registrado_el']); ?></td>
            </tr>
<?php $rs->MoveNext(); } //$rs->MoveFirst(); ?>
      </tbody>
    </table>
</div>
<br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>