<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="16";
$submodulo="76";
require_once("includes/rsusuario.php"); 

// si el usuario no es de una master franquicia
$consulta="
select * from usuarios where idusu = $idusu 
";
$rsusfranq=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
$franq_m=$rsusfranq->fields['franq_m'];
// si el usuario actual no es master franq ni super filtra
if($franq_m != 'S' && $superus != 'S'){
	$whereadd="
	and (
	select (select idusu from usuarios where idusu = modulo_usuario_log.idusu) as idusu
	from modulo_usuario_log 
	where 
	idtandalog = modulo_usuario_tanda_log.idtandalog
	order by idmodulousuariolog desc
	limit 1
	) not in ( select idusu from usuarios where franq_m = 'S')
	";	
	$whereadd_sel="
	and franq_m = 'N'
	";	
}

// si no es un super usuario debe filtrar usuarios por este campo
if($superus != 'S'){
	$whereadd.="
	and (
	select (select idusu from usuarios where idusu = modulo_usuario_log.idusu) as idusu
	from modulo_usuario_log 
	where 
	idtandalog = modulo_usuario_tanda_log.idtandalog
	order by idmodulousuariolog desc
	limit 1
	) not in ( select idusu from usuarios where super = 'S')
	";	
	$whereadd_sel.="
	and super = 'N'
	";	
}

$consulta="
select *,
(select usuario from usuarios where modulo_usuario_tanda_log.registrado_por = usuarios.idusu) as registrado_por,
(
select (select usuario from usuarios where idusu = modulo_usuario_log.idusu) as usuario
from modulo_usuario_log 
where 
idtandalog = modulo_usuario_tanda_log.idtandalog
order by idmodulousuariolog desc
limit 1
) as usuario_afectado
from modulo_usuario_tanda_log 
where
idtandalog is not null
$whereadd
order by idtandalog desc
limit 100
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Auditoria de Permisos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php 
$refemenu='tan';
require_once("includes/menu_usu_audit.php"); ?>
<strong>Ultimos cambios en los permisos:</strong>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th></th>
			<th align="center">Tanda #</th>
            <th align="center">Usuario Afectado</th>
			<th align="center">Cambiado por</th>
			<th align="center">Cambiado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>
			<td>
				
				<div class="btn-group">
					<a href="usuarios_permisos_audit_det.php?id=<?php echo $rs->fields['idtandalog']; ?>" class="btn btn-sm btn-default" title="Detalle" data-toggle="tooltip" data-placement="right"  data-original-title="Detalle"><span class="fa fa-search"></span></a>

				</div>

			</td>
			<td align="center"><?php echo intval($rs->fields['idtandalog']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['usuario_afectado']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
		</tr>
<?php 

$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />

<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
