<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="16";
$submodulo="76";
require_once("includes/rsusuario.php"); 


// si el usuario no es de una master franquicia
$consulta="
select * from usuarios where idusu = $idusu 
";
$rsusfranq=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
$franq_m=$rsusfranq->fields['franq_m'];
// si el usuario actual no es master franq ni super filtra
if($franq_m != 'S' && $superus != 'S'){
	$whereadd="
	and (
	select (select idusu from usuarios where idusu = modulo_usuario_log.idusu) as idusu
	from modulo_usuario_log 
	where 
	idtandalog = modulo_usuario_tanda_log.idtandalog
	order by idmodulousuariolog desc
	limit 1
	) not in ( select idusu from usuarios where franq_m = 'S')
	";	
	$whereadd_sel="
	and franq_m = 'N'
	";	
}

// si no es un super usuario debe filtrar usuarios por este campo
if($superus != 'S'){
	$whereadd.="
	and (
	select (select idusu from usuarios where idusu = modulo_usuario_log.idusu) as idusu
	from modulo_usuario_log 
	where 
	idtandalog = modulo_usuario_tanda_log.idtandalog
	order by idmodulousuariolog desc
	limit 1
	) not in ( select idusu from usuarios where super = 'S')
	";	
	$whereadd_sel.="
	and super = 'N'
	";	
}

$idtandalog=intval($_GET['id']);
if($idtandalog == 0){
	header("location: usuarios_permisos_audit.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from modulo_usuario_tanda_log 
where 
idtandalog = $idtandalog
$whereadd
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idtandalog=intval($rs->fields['idtandalog']);
if($idtandalog == 0){
	header("location: usuarios_permisos_audit.php");
	exit;	
}



$consulta="
select *,
(select usuario from usuarios where modulo_usuario_tanda_log.registrado_por = usuarios.idusu) as registrado_por,
(
select (select usuario from usuarios where idusu = modulo_usuario_log.idusu) as usuario
from modulo_usuario_log 
where 
idtandalog = modulo_usuario_tanda_log.idtandalog
order by idmodulousuariolog desc
limit 1
) as usuario_afectado
from modulo_usuario_tanda_log 
where
idtandalog=$idtandalog

limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Auditoria de Permisos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">

<p><a href="usuarios_permisos_audit.php" class="btn btn-sm btn-default"><span class="fa fa-reply"></span> Volver</a></p>
<hr />

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>

			<th align="center">Tanda #</th>
            <th align="center">Usuario Afectado</th>
			<th align="center">Cambiado por</th>
			<th align="center">Cambiado el</th>
		</tr>
	  </thead>
	  <tbody>
<?php //while(!$rs->EOF){ ?>
		<tr>

			<td align="center"><?php echo intval($rs->fields['idtandalog']); ?></td>
            <td align="center"><?php echo antixss($rs->fields['usuario_afectado']); ?></td>
			<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
			<td align="center"><?php if($rs->fields['registrado_el'] != ""){ echo date("d/m/Y H:i:s",strtotime($rs->fields['registrado_el'])); }  ?></td>
		</tr>
<?php 

//$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>


<?php 
$consulta="
select *,
(select usuario from usuarios where modulo_usuario_log.registrado_por = usuarios.idusu) as registrado_por,
(select modulo from modulo where idmodulo = modulo_usuario_log.idmodulo) as modulo_txt,
(select nombresub from modulo_detalle where idsubmod = modulo_usuario_log.submodulo) as submodulo_txt
from modulo_usuario_log 
where 
 estado = 1 
 and idtandalog = $idtandalog
order by idmodulousuariolog asc
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>
<hr />
<strong>Permisos Concedidos en esta tanda:</strong>
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
		<tr>
			<th align="center">Modulo</th>
			<th align="center">Sub modulo</th>

		</tr>
	  </thead>
	  <tbody>
<?php while(!$rs->EOF){ ?>
		<tr>


			<td align="left"><?php echo antixss($rs->fields['modulo_txt']);  ?> [<?php echo intval($rs->fields['idmodulo']);  ?>]</td>
			<td align="left"><?php echo antixss($rs->fields['submodulo_txt']);  ?> [<?php echo intval($rs->fields['submodulo']);  ?>]</td>


		</tr>
<?php 


$rs->MoveNext(); } //$rs->MoveFirst(); ?>
	  </tbody>

    </table>
</div>
<br />
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
