<?php
/*------------------------------------------------

15/07/2024: Merge con maestro y subida a todos

-------------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
require_once("includes/funciones_stock.php");
// Modulo y submodulo respectivamente
$modulo = "1";
$submodulo = "639";
require_once("includes/rsusuario.php");
$datos = 0;



?>
<!DOCTYPE html>
<html lang="en">

<head>
	<?php require_once("includes/head_gen.php"); ?>
</head>
<script>


	function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}


  function nl2br (str, is_xhtml) {
  var breakTag = (is_xhtml || typeof is_xhtml === 'undefined') ? '<br ' + '/>' : '<br>'; // Adjust comment to avoid issue on phpjs.org display

  return (str + '').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1' + breakTag + '$2');
}

function agregar_carrito(){
	var idusuadd = document.getElementById("idusuadd").value;
		var parametros = {
				"codigo" : idusuadd
			};
			$.ajax({
			data:  parametros,
			url:   'usuarios_preferencias_sucursal_add.php',
			type:  'post',
			beforeSend: function () {

			},
			success:  function (response) {

				if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				if(obj.valido == 'S'){
					actualizar_carrito();
				}else{

					$('#modal_ventana').modal('show');
					$("#modal_titulo").html("Atencion");
					$("#modal_cuerpo").html(nl2br(obj.errores));	
				}
			}else{
				alert(response);	
			}
				
			}
	}); 
}



function borrar_carrito_item(codigo){
		var parametros = {
				"codigo" : codigo
			};
			$.ajax({
			data:  parametros,
			url:   'usuarios_preferencias_sucursal_del.php',
			type:  'post',
			beforeSend: function () {

			},
			success:  function (response) {

				if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				if(obj.valido == 'S'){
					actualizar_carrito();
				}else{
					$('#modal_ventana').modal('show');
					$("#modal_titulo").html("Atencion");
					$("#modal_cuerpo").html(nl2br(obj.errores));	
				}
			}else{
				alert(response);	
			}
				
			}
	}); 
}

function redirect(irl){
 window.location = "usuarios_preferencias_sucursal";
 
}





function  actualizar_carrito(){
				var valor;
				var parametros = {
				   "buscar" : valor
				};
			   $.ajax({
				   data:  parametros,
				   url:   'usuarios_preferencias_sucursal_grilla.php',
				   type:  'post',
				   beforeSend: function () {
						   
				   },
				   success:  function (response) {
					   
					   $("#carrito_usupreferencias").html(response);
				   
				   }
			   
				});
			   
		   }
	</script>
<body class="nav-md">
	<div class="container body">
		<div class="main_container">
			<?php require_once("includes/menu_gen.php"); ?>

			<!-- top navigation -->
			<?php require_once("includes/menu_top_gen.php"); ?>
			<!-- /top navigation -->
			
			<!-- page content -->
			<div class="right_col" role="main">
				<div class="">
					<div class="page-title">
					</div>
					<div class="clearfix"></div>
					<?php require_once("includes/lic_gen.php"); ?>

					<!-- SECCION -->
					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_title">
									<h2>Preferencias de Usuarios - Visualizar informes solo de la sucursal asignada</h2>
									<ul class="nav navbar-right panel_toolbox">
										<li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
										</li>
									</ul>
									<div class="clearfix"></div>
								</div>
								<div class="x_content">
									
									<hr />

									<?php if (trim($errores) != "") { ?>
										<div class="alert alert-danger alert-dismissible fade in" role="alert">
											<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
											</button>
											<strong>Errores:</strong><br /><?php echo $errores; ?>
										</div>
									<?php } ?>
									<form id="form1" name="form1" method="get" action="">
									

										<div class="col-md-6 col-sm-6 form-group">
											<label class="control-label col-md-3 col-sm-3 col-xs-12">Seleccionar Usuario :</label>
											<div class="col-md-9 col-sm-9 col-xs-12">
												<?php

												// consulta
												$consulta = "
												SELECT idusu, concat(trim(a.nombres),' ',trim(a.apellidos)) as nombres
												FROM usuarios a
												where idusu>0
												and estado <> 6
												order by nombres,apellidos asc
												";

												// valor seleccionado
												if (isset($_GET['idusu'])) {
													$value_selected = htmlentities($_GET['idusu']);

												} else {
													$value_selected = 0;
												}

												// parametros
												$parametros_array = array(
													'nombre_campo' => 'idusu',
													'id_campo' => 'idusuadd',
													'nombre_campo_bd' => 'nombres',
													'id_campo_bd' => 'idusu',
													'value_selected' => $value_selected,
													'pricampo_name' => 'NINGUNA',
													'pricampo_value' => '0',
													'style_input' => 'class="form-control"',
													'autosel_1registro' => 'S'

												);

												echo campo_select($consulta, $parametros_array);

												?> </div>
										</div>

										<div class="col-md-6 col-sm-6 form-group">
									</div>
										<div class="clearfix"></div>
										<br />

										<div class="form-group">
											<div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
											<a onclick="agregar_carrito()" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar Preferencia</a>
											</div>
										</div>
										
										<input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
										
									</form>
									<div class="clearfix"></div>
									<br />
									<hr />
									Favor seleccionar el usuario con preferencia de solo ver la sucursal Asignada
									<div id="carrito_usupreferencias"> <?php require_once("usuarios_preferencias_sucursal_grilla.php"); ?></div>  
									<br />
								</div>
							</div>
						</div>
					</div>
					<!-- SECCION -->
					<div class="clearfix"></div>
					<br />
					<br /><br /><br />
				</div>
			</div>

			<!-- /page content -->
             <!-- POPUP DE MODAL OCULTO -->
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
            <div class="modal-header">
            	<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
           		<h4 class="modal-title" id="modal_titulo">Titulo</h4>
            </div>
            <div class="modal-body" id="modal_cuerpo">
            	Contenido...
            </div>
            <div class="modal-footer" id="modal_pie">
            	<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        
        </div>
    </div>
</div>
        <!-- POPUP DE MODAL OCULTO -->

			<!-- footer content -->
			<?php require_once("includes/pie_gen.php"); ?>
			<!-- /footer content -->
		</div>
	</div>
	<?php require_once("includes/footer_gen.php"); ?>
</body>

</html>