<?php
//22/04/2022
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 
/*
echo "Reporte en mantenimiento.";
exit;
*/
set_time_limit(0);


function limpiacsv($txt){
	global $saltolinea;
	$txt=trim($txt);
	$txt=str_replace(";",",",$txt);
	return $txt;
}

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
$idsucu=intval($_GET['idsucu']);
if($idsucu > 0){
	$whereadd=" and ventas.sucursal = $idsucu ";	
}


$id=intval($_GET['id']);




//Lista de Categorias con sub categorias para recorrer
$buscar="
Select nombre,id_categoria,descripcion,idsubcate,
(
	Select sum(ventas_detalles.subtotal) as monto
	from ventas 
	inner join ventas_detalles on ventas_detalles.idventa=ventas.idventa 
	inner join productos on productos.idprod_serial=ventas_detalles.idprod
	where 
	productos.idsubcate=sub_categorias.idsubcate
	and productos.idcategoria = categorias.id_categoria
	and date(fecha) >='$desde' 
	and date(fecha) <='$hasta'
	$whereadd
	and ventas.estado <> 6 
	and ventas.excluye_repven = 0
) as monto_subcate,
(
	Select sum(ventas_detalles.cantidad) as cantidad
	from ventas 
	inner join ventas_detalles on ventas_detalles.idventa=ventas.idventa 
	inner join productos on productos.idprod_serial=ventas_detalles.idprod
	where 
	productos.idsubcate=sub_categorias.idsubcate
	and productos.idcategoria = categorias.id_categoria
	and date(fecha) >='$desde' 
	and date(fecha) <='$hasta'
	$whereadd
	and ventas.estado <> 6 
	and ventas.excluye_repven = 0
) as cant_subcate
from categorias
inner join sub_categorias on sub_categorias.idcategoria=categorias.id_categoria
where
(
	Select sum(ventas_detalles.cantidad) as cantidad
	from ventas 
	inner join ventas_detalles on ventas_detalles.idventa=ventas.idventa 
	inner join productos on productos.idprod_serial=ventas_detalles.idprod
	where 
	productos.idsubcate=sub_categorias.idsubcate
	and date(fecha) >='$desde' 
	and date(fecha) <='$hasta'
	$whereadd
	and ventas.estado <> 6 
	and ventas.excluye_repven = 0
) > 0

order by nombre,descripcion asc 
";
//echo $buscar;exit;


$buscar="
select idcliente,razon_social,fecha,ventas.idventa,descripcion,pventa as precio,subtotal
from ventas 
inner join ventas_detalles on ventas_detalles.idventa=ventas.idventa 
inner join productos on productos.idprod_serial=ventas_detalles.idprod
where
ventas.idcliente =
	(select idcliente from cliente_agrupacion_det where  cliente_agrupacion_det.estado <> 6  and cliente_agrupacion_det.idclienteagrupa = $id    and cliente_agrupacion_det.idcliente =ventas.idcliente limit 1 )
and date(fecha) >='$desde' 
	and date(fecha) <='$hasta'
order by fecha,razon_social,descripcion asc


";

//echo $buscar;exit;
$rslista=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

//echo $buscar;
//logotipo
$img="gfx/empresas/emp_".$idempresa.".png";	 
if(!file_exists($img)){
	$img="gfx/empresas/emp_0.png";
}	



$html.="
<html>
<head>
<style>
    @page {
        margin-top: 2.00cm;
		margin-bottom: 2.04cm;
		margin-left: 1.175cm;
		margin-right: 1.175cm;
    }
</style>
</head>

<body>
<div style='text-align:center;font-size:16px;font-weight:bold;' ><strong>$nombreempresa &nbsp; Ventas por Agrupacion</strong>
<br />
Desde: ".date("d/m/Y", strtotime($desde))." hasta : &nbsp;".date("d/m/Y", strtotime($hasta))."<br />
Sucursal :&nbsp; ";
if ($idsucu==0){
	$dess=" Todas ";
} else {
	$buscar="select nombre from sucursales where idsucu=$idsucursal and estado <> 6";
	$rvf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$dess=trim($rvf->fields['nombre']);
}
$html.="
$dess
</div>
<div  style=\"float:left;margin-left:5%;height: $anchopx;text-align:center;border-collapse:collapse;\" >
    <table width=\"90%\" style=\"border-collapse:collapse;\" >
	  <thead>
		
		<tr>
			<th style=\"background-color:grey;\" >Id cliente</th>
			<th style=\"background-color:grey;\" align=\"center\">Razon Social / Descripcion</th>
			<th style=\"background-color:grey;\" align=\"center\">Producto / Descripcion</th>
			<th style=\"background-color:grey;\" align=\"center\">Precio </th>
			<th style=\"background-color:grey;\" align=\"center\">Subtotal</th>
			
			
		</tr>
	  </thead>
	  <tbody>
";


while (!$rslista->EOF){
	$idcategoria=intval($rslista->fields['idcliente']);
	$idsubcategoria=($rslista->fields['razon_social']);
	$nombre_categoria=trim($rslista->fields['descripcion']);
	$nombre_subcategoria=trim($rslista->fields['descripcion']);
	$monto_subcate=trim($rslista->fields['precio']);
	$cant_subcate=trim($rslista->fields['subtotal']);
	
	


	$html.="
	<tr>
		<td align=\"center\">$idcategoria</td>
		<td align=\"right\">$idsubcategoria: &nbsp;</td>
		<td align=\"center\">$nombre_categoria</td>
		<td align=\"right\">".formatomoneda($monto_subcate)."</td>
		<td align=\"right\">".formatomoneda($cant_subcate)."</td>
	</tr>

	";
	

$rslista->MoveNext(); }



$html.="
</tbody>
	</table>
</body>
</html>
";
//echo $html;exit;
require_once  '../clases/mpdf/vendor/autoload.php';

$mpdf = new mPDF('','Legal', 0, 0, 0, 0, 0, 0);
$mpdf->SetWatermarkText('');
$mpdf->showWatermarkText = false;



$mpdf->use_kwt = true;
$mini=date('dmYHis');
$mpdf->SetDisplayMode('fullpage');
$mpdf->shrink_tables_to_fit = 0;
//$mpdf->shrink_tables_to_fit = 2.5;
// Write some HTML code:
$mpdf->WriteHTML($html);
$mpdf->showImageErrors = true; 
// Output a PDF file
$mpdf->Output($archivopdf,'I'); // mostrar en el navegador
?>
