<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="20";
$submodulo="352";
require_once("includes/rsusuario.php"); 

if(trim($_GET['desde']) == '' or trim($_GET['hasta']) == ''){
	$desde=date("Y-m-").'01';
	$hasta=date("Y-m-d");
}else{
	$desde=date("Y-m-d",strtotime($_GET['desde']));
	$hasta=date("Y-m-d",strtotime($_GET['hasta']));	
}
if(trim($_GET['hdesde']) == '' or trim($_GET['hhasta']) == ''){
	$hdesde="00:00";
	$hhasta="23:59";
}else{
	$hdesde=date("H:i",strtotime($_GET['hdesde']));
	$hhasta=date("H:i",strtotime($_GET['hhasta']));	
}
$desde_completo=$desde." ".$hdesde.':00';
$hasta_completo=$hasta." ".$hhasta.':59';

$whereadd="";
if(trim($_GET['ruc']) != ''){
	$ruc=antisqlinyeccion($_GET['ruc'],"text");
	$whereadd.=" and web_pedidos.ruc = $ruc ";
}




$stock_cliente="N";


$consulta="
select 
productos.idprod_serial, productos.descripcion, 
sum(web_pedidos_det.cantidad) as cantidad, sum(web_pedidos_det.subtotal) as subtotal
from web_pedidos_det
inner join productos on productos.idprod_serial = web_pedidos_det.idproducto
inner join web_pedidos on web_pedidos.idwebpedido = web_pedidos_det.idwebpedido
where 
web_pedidos.estado = 1
and date(web_pedidos.fechahora) >= '$desde' 
and date(web_pedidos.fechahora) <= '$hasta' 
and web_pedidos.fechahora >= '$desde_completo' 
and web_pedidos.fechahora <= '$hasta_completo' 
$whereadd
group by  productos.idprod_serial, productos.descripcion
order by productos.descripcion asc
";
$rsdet=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Mix de Pedidos</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<form id="form1" name="form1" method="get" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Desde *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="desde" id="desde" value="<?php  echo $desde; ?>" placeholder="Desde" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Hasta *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="date" name="hasta" id="hasta" value="<?php echo $hasta; ?>" placeholder="Hasta" class="form-control" required />                    

	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">RUC *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="ruc" id="ruc" value="<?php echo antixss($_GET['ruc']);?>" placeholder="ruc" class="form-control"  />                    

	</div>
</div>

<div class="clearfix"></div>
<br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-default" ><span class="fa fa-search"></span> Filtrar</button>

        </div>
    </div>


<br />
</form>        
<div class="clearfix"></div>
  <hr /><br /> 


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
	  <thead>
          <tr>
            <th>Cod</th>
			<th>Producto</th>
			<th>Cantidad</th>
        	<th>Monto</th>
          </tr>
        

	  </thead>
<?php 
while(!$rsdet->EOF){
$cantidad_acum+=$rsdet->fields['cantidad'];
$subtotal_acum+=$rsdet->fields['subtotal'];
?>
  <tr>
	  <td align="center"><?php echo $rsdet->fields['idprod_serial']; ?></td>
	  <td><?php echo $rsdet->fields['descripcion']; ?></td>
	  <td align="right"><?php echo formatomoneda($rsdet->fields['cantidad'],'N',4); ?></td>
	  <td align="right"><?php echo formatomoneda($rsdet->fields['subtotal'],'N',4); ?></td>
  </tr>
<?php $rsdet->MoveNext(); } ?>
<tfoot>
	  <tr>
	  <td colspan="2">Totales</td>
	  <td align="right"><?php echo formatomoneda($cantidad_acum,'N',4); ?></td>
	  <td align="right"><?php echo formatomoneda($subtotal_acum,'N',4); ?></td>
  </tr>
</tfoot>
</table>
</div>
<br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
