<?php
/*-----------------------------------------
31/10/2023
Se redirecciona directo aa la edicion del pedido
06/09: Se agregan controles para mayoristas
28/11: s corrige problema en plantilla (graba bien pero no se edita, faltaba iddetalle en tabla tmp
23/01/25: Falta id detalle por alguna razon
----------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="2";
require_once("includes/rsusuario.php"); 
//ini_set('display_errors', '1');
//ini_set('display_startup_errors', '1');
//error_reporting(E_ALL);



$idpedidoweb=intval($_GET['id']);

if($idpedidoweb==0){
	echo "Error al obtener id del pedido. No se continua";exit;
	
}
$valido='S';

$buscar="Select * from web_pedidos where idwebpedido=$idpedidoweb";
$rs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

$rz=antisqlinyeccion($rs->fields['razon_social'],'text');
$nomape=antisqlinyeccion($rs->fields['nomape'],'text');
$email=antisqlinyeccion(strtolower($rs->fields['email']),'email');
$celular=antisqlinyeccion($rs->fields['telefono'],'text');
$celular_num=intval($rs->fields['telefono']);
$ruc=antisqlinyeccion($rs->fields['ruc'],'text');
$documento=antisqlinyeccion($rs->fields['documento'],'int');
$idsucursal_sugiere=intval($rs->fields['idsucursal_sugiere']);
$mayorista=trim($rs->fields['mayorista']);
if($mayorista=='S'){
	$idsucursal_cliente=intval($rs->fields['idsucursal_cliente']);
	if($idsucursal_cliente==0){
		$valido='N';
		$errores.=". No se ha ingresado el codigo de la sucursal para canal Mayorista";
	}
	
}

$direccion_entrega=antisqlinyeccion($rs->fields['direccion'],'text');
if($rs->fields['direccion']==''){
	$valido='N';
	$errores.=". No se ha ingresado una direccion de entrega/retiro";
	
}
if($mayorista!='S'){
	$nombre_evento="WEB: C-".$rs->fields['nomape'];
} else {
	$nombre_evento="MAY IDSUC: $idsucursal_cliente | WEB: C-".$rs->fields['nomape'];
	
}
$nombre_evento=antisqlinyeccion($nombre_evento,'text');
$colores=antisqlinyeccion($rs->fields['comentarios'],'text');
$idcliente=0;
if($mayorista!='S'){
	//Verificar si ya es cliente el ruc ingresado
	if($rs->fields['ruc']!='' && $rs->fields['ruc']!='X'){
		$buscar="Select idcliente from cliente where ruc=$ruc";
		$rcli=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$idcliente=intval($rcli->fields['idcliente']);
	} else {
			if($rs->fields['documento']!=''){
				$buscar="Select idcliente from cliente where documento=$documento";
				$rcli=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				$idcliente=intval($rcli->fields['idcliente']);
				
			} 
	}
}
if($mayorista!='S'){	

	//echo $buscar;
	if($idcliente==0){

		//echo "Generando cliente...<br />";
		$nomape=str_replace("'","",$nomape);
		$rz=str_replace("'","",$rz);
		$email=str_replace("'","",$email);
		$ex=explode(" ",$nomape);
		$nombres=$ex[0];
		$apellidos=$ex[1];
		$tipodocu=1;
		$parametros_array=array(
		'idusu' => $idusu,
		'idvendedor' => '',
		'sexo' => '',
		'nombre' => $nombres,
		'apellido' => $apellidos,
		'nombre_corto' => $_POST['nombre_corto'],
		'idtipdoc' => $tipodocu,
		'documento' => $rs->fields['documento'],
		'ruc' => $rs->fields['ruc'],
		'telefono' => '',
		'celular' => $_POST['celular'],
		'email' => $email,
		'direccion' => NULL,
		'comentario' => 'CAN: PEDIDO WEB',
		'fechanac' => $_POST['fechanac'],
		'idclientetipo' => 1,
		'razon_social' => $rz,
		'fantasia' => $nomape,
		'ruc_especial' => $_POST['ruc_especial'],
		'idsucursal' => $idsucursal,
		);
		//print_r($parametros_array);exit;
		$res=validar_cliente($parametros_array);
		
		if($res['valido'] != 'S'){
			//echo "Cliente error:...<br />";
			$text=trim($res['errores']);
			
		
			
			$continuar_proceso='N';
			$errores=nl2br($res['errores']);
			$respuesta=json_encode($res, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
			echo $respuesta;
			exit;
			
			
		
		} else {
			//echo 'registrar al cliente';exit;
			$res=registrar_cliente($parametros_array);
			$idcliente=$res['idcliente'];
			//echo "Cliente registrado...<br />";
		}
	}
	
	//buscamos la sucursal del cliente
	$buscar="Select * from sucursal_cliente where idcliente=$idcliente order by idsucursal_clie desc limit 1 ";
	$rclisucu=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idsucursal_cliente=intval($rclisucu->fields['idsucursal_clie']);
	$nomape=str_replace("'","",$nomape);
	$email=str_replace("'","",$email);
	$nomape=antisqlinyeccion($nomape,'text');
	$email=antisqlinyeccion($email,'text');
	//cambiamos el nombre x defecto
	$update="update sucursal_cliente set sucursal=$nomape,mail=$email,telefono=$celular_num where idsucursal_clie=$idsucursal_cliente";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
} else {
	
	
	
	$buscar="Select idcliente,idsucursal_clie from sucursal_cliente where idsucursal_clie=$idsucursal_cliente order by idsucursal_clie desc limit 1 ";
	$rclisucu=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idcliente=intval($rclisucu->fields['idcliente']);
	$idsucursal_cliente==intval($rclisucu->fields['idsucursal_clie']);
	
	$nomape=str_replace("'","",$nomape);
	$email=str_replace("'","",$email);
	$nomape=antisqlinyeccion($nomape,'text');
	$email=antisqlinyeccion($email,'text');
	
	
	
}//FIN de solo si no es mayorista
	
	
	$buscar="Select * from web_pedidos_deta_cat where idwebpedido=$idpedidoweb";
	$rs1=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$men=$rs1->RecordCount();
	$idbarrio=intval($rs1->fields['idbarrio']);
	$idciudad=intval($rs1->fields['idciudad']);
	
	if($men > 0){
		
		$fecha_evento=antisqlinyeccion($rs1->fields['fecha_evento'],'date');
		$hora_evento=antisqlinyeccion($rs1->fields['hora_evento'],'date');
		$mensaje_remitente=antisqlinyeccion($rs1->fields['mensaje_remitente'],'text');
		$quien_recibe=antisqlinyeccion($rs1->fields['quien_recibe'],'text');
		$telefono_recibe=antisqlinyeccion($rs1->fields['telefono_recibe'],'text');
	} else {
		//ver wue hacemos con la fecha del evento
		
	}
	$buscar="Select * from pedidos_eventos_transacciones where registrado_por=$idusu and estado=1 order by idtransaccion desc limit 1";
	$rst=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$idtransaccion=intval($rst->fields['idtransaccion']);
	//echo "Generando transaccion...<br />" ;
	if ($idtransaccion==0){
		$insertar="Insert into pedidos_eventos_transacciones (registrado_por,registrado_el,estado) values ($idusu,'$ahora',1)";
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
		$buscar="Select * from pedidos_eventos_transacciones where registrado_por=$idusu and estado=1 order by idtransaccion desc limit 1";
		$rst=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$idtransaccion=intval($rst->fields['idtransaccion']);
	}
	//echo "IDT generado: $idtransaccion...<br />";
	//echo "Generando cabecera de pedido...<br />" ;
	//Cabecera para trabajar en caso de cortes o recarga
	$buscar="Select *,
	(select razon_social from cliente where idcliente=pedidos_eventos.idcliente_factura) as rz
	 from pedidos_eventos where idtransaccion=$idtransaccion ";
	$rscab=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	//echo $buscar;
	if ($rscab->fields['idtransaccion']==0){
		$consulta="
			insert into pedidos_eventos
			(idtransaccion,idpresupuesto, idtipoev, id_cliente_solicita, fecha_solicitud, evento_para, hora_entrega, iddomicilio, cantidad_personas, adultos, ninhos, comentarios, idlistaprecio, estado, registrado_el, registrado_por, valido_hasta,
			idorganizador,iddecorador,comentario_interno,idcliente_recibe,idcliente_factura,tipoenvio,dire_entrega,estado_pedido_int,id_cliente_sucu_pedido,monto_evento,monto_sin_descuento,idlugar_entrega,
			ubicacion_comp,idsucursal,nombre_evento)
			values
			($idtransaccion,NULL, NULL, NULL,current_timestamp, NULL, NULL, NULL, 0, 0,
			0, NULL, NULL, 1, current_timestamp, $idusu,NULL,
			NULL,NULL,NULL,0,0,NULL,NULL,1,0,0,0,NULL,
			NULL,$idsucursal,$nombre_evento)
			";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		$buscar="Select * from pedidos_eventos where idtransaccion=$idtransaccion ";
		$rscab=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		$idpedido=intval($rscab->fields['regid']);
	} else {
			$idpedido=intval($rscab->fields['regid']);
	}
	//echo "Pedido  generado: $idpedido...<br />";
	$comen="WEB:".$nomape;
	$comen=str_replace("'","",$comen);
	$comen=antisqlinyeccion($comen,'text');
	
	$ahora=date("Y-m-d H:i:s");
	
	
	//traemos los datos de fecha y hora asi como el mensaje del remitente
	$update="update pedidos_eventos set evento_para=$fecha_evento,hora_entrega=$hora_evento,estado=1,estado_pedido_int=1,dire_entrega=$direccion_entrega,comentario_interno=$comen,comentarios=$colores,id_cliente_solicita=$idcliente,
	idcliente_factura=$idcliente,id_cliente_sucu_pedido=$idsucursal_cliente,idbarrio=$idbarrio,idciudad=$idciudad,idlugar_entrega=$idsucursal_sugiere,registrado_el='$ahora'
	where idtransaccion=$idtransaccion and regid=$idpedido";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	
	//echo "Verificando mensaje de remitente...<br />";
	if($rs1->fields['mensaje_remitente']!=''){
		$quienrecibe=antisqlinyeccion($rs1->fields['quien_recibe'],'text');
		//echo "mensaje de remitente encontrado...<br />";
		$insertar="Insert into 
		pedidos_eventos_mensajes
		(idtransaccion,idpedido,mensaje,remitente,celular,registrado_por,registrado_el,estado)
		values
		($idtransaccion,$idpedido,$mensaje_remitente,$quienrecibe,$telefono_recibe,$idusu,current_timestamp,1)
		"; 
		$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));
		//echo "mensaje de remitente registrado...<br />";
	} else {
		//echo "mensaje de remitente no encontrado...<br />";
	}
	//echo "Verificando detalles (productos)..<br />";
	$buscar="Select idproducto,cantidad,precio,subtotal,
	(select idcpr from productos where idprod_serial=idproducto) as cpr,
	(select idtipoproducto from productos where idprod_serial=idproducto) as tipo_producto
	from web_pedidos_det where idwebpedido=$idpedidoweb";
	$rs3=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tpedido=0;
	while(!$rs3->EOF){
		$tpedido=$tpedido+floatval($rs3->fields['subtotal']);
		$idproducto=intval($rs3->fields['idproducto']);
		
		
		
		
		//echo "Registrando productos $idproducto..<br />";
		$cantidad=floatval($rs3->fields['cantidad']);
		$precio=floatval($rs3->fields['precio']);
		$subtotal=floatval($rs3->fields['subtotal']);
		$cpr=intval($rs3->fields['cpr']);
		$tipo_producto=intval($rs3->fields['idtipoproducto']);
		if($tipo_producto==11){
			$combo_catering='S';
		} else {
			$combo_catering='N';
		}
		if($combo_catering=='N'){
			//verificamos si el producto es una plantilla
			$buscar="Select idplantillaart,nombre_plantilla from plantilla_articulos where idproducto_vinculado=$idproducto";
			$rsplantilla=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
			$idplantilla=intval($rsplantilla->fields['idplantillaart']);
			if ($idplantilla > 0){
				//buscamos los componentes de la plantilla
				$titulo_contenedor='S';	
				$nombre_plantilla=trim($rsplantilla->fields['nombre_plantilla']);
				$consulta="
					INSERT INTO tmp_carrito_pedidos
					(idtransaccion,idproducto,idproducto_vinculado,cantidad,precio,subtotal,estado,registrado_por,idplantilla,desglosa_precio,idcpr,combo_catering,observacion,titulo_contenedor) 
					VALUES 
					($idtransaccion, $idproducto,$idproducto,$cantidad,$precio,$subtotal,1,$idusu,$idplantilla,'N',$cpr,'N','$nombre_plantilla','$titulo_contenedor')
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				
					//ahora los componentes
					//$buscar="Select * from plantilla_articulos_det where idplantillaart=$idplantilla";
					//$rsplantilladet=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
						
					$buscar="
					Select 
					idmedida,idtipoproducto,productos.idcpr,
					(select desglosa_precio from plantilla_articulos where idplantillaart=$idplantilla) as muestraprecio,
					(select precio from productos_sucursales where productos_sucursales.idproducto=plantilla_articulos_det.idproducto and idsucursal=$idsucursal and activo_suc=1) as precio,
					
					plantilla_articulos_det.idproducto,cantidad,descripcion 
					from plantilla_articulos_det
					inner join productos on productos.idprod_serial=plantilla_articulos_det.idproducto
					where 
					idplantillaart=$idplantilla and plantilla_articulos_det.estado <>6
					and productos.borrado = 'N' 
					order by idplantillaartdet asc";

					$rsb=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));

					while(!$rsb->EOF){	
					/*------------------------COMPONENTES DE LA PLANTILLA-------------------------------------*/	
						$producto=intval($rsb->fields['idproducto']);
						$cantidad_definida_articulos=floatval($rsb->fields['cantidad']);
						$precio=floatval($rsb->fields['precio']);
						$idtipoproducto=floatval($rsb->fields['idtipoproducto']);
						$fechahora=date("Y-m-d H:i:s");
						$borrado=antisqlinyeccion($_POST['borrado'],'text');
						//$combinado=antisqlinyeccion($_POST['combinado'],'text');
						//$prod_1=antisqlinyeccion($_POST['idprod1'],'text');
						//$prod_2=antisqlinyeccion($_POST['idprod2'],'text');
						$idmedida=intval($rsb->fields['idmedida']);
						$muestraprecio=trim($rsb->fields['muestraprecio']);
						$cpr=intval($rsb->fields['idcpr']);
						if($cantidad > 0){
							//en $cantidad llega la cantidad de personas del evento (VERIFCADO).
							$cantidad_calculada=floatval($cantidad*$cantidad_definida_articulos);
							if ($medida != 4){
							//Precio en kls a gramos
								$preciogr=($precio/1000);
								$subtotal=(($preciogr*1000)*$cantidad_calculada);
							} else {
								if ($cantidad_calculada==0){
									$cantidad_calculada=1;
								}
								$subtotal=($precio*$cantidad_calculada);
							}
							if ($muestraprecio=='N'){
								$precio=0;
								$subtotal=0;
							}
						
							$consulta="
								INSERT INTO tmp_carrito_pedidos
								(idtransaccion,idproducto,cantidad,precio,subtotal,estado,registrado_por,idplantilla,desglosa_precio,idcpr) 
								VALUES 
								($idtransaccion, $producto,$cantidad_calculada,0,0,1,$idusu,$idplantilla,'N',$cpr)
								;
								";
								$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
						
						}
						$rsb->MoveNext();
					}	
					/*-----------------------------------------------------------------------------------------*/
			} else {
				//Normal
					$consulta="
					INSERT INTO tmp_carrito_pedidos
					(idtransaccion,idproducto,cantidad,precio,subtotal,estado,registrado_por,idplantilla,desglosa_precio,idcpr,combo_catering) 
					VALUES 
					($idtransaccion, $idproducto,$cantidad,$precio,$subtotal,1,$idusu,NULL,'N',$cpr,'$combo_catering')
					";
					$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
				
				
			}
			
		}

		
		
		
		
		$rs3->MoveNext();
	}
	
	//Migramos a la tabla de eventos_detalles ya que produccion usa de ahi
	$buscar="Select * from pedidos_eventos_detalles where idtransaccion=$idtransaccion";
	//echo $buscar;exit;
	$rvs=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$tdeta=$rvs->RecordCount();

	if(intval($tdeta==0)){
		//echo 'no existe en pedidos eventos detalles,generando....';
			$consulta="
			INSERT INTO pedidos_eventos_detalles
			(idtransaccion,combo_catering,idprodserial,cantidad,precio_venta,subtotal,registrado_por,idplantilla,desglosa_precio,idcpr,idpedidocatering,idcombolista,idcombolistadet,registrado,idproducto_vinculado,titulo_contenedor) 
			SELECT
			idtransaccion,'$combo_catering',idproducto,cantidad,precio,subtotal,registrado_por,idplantilla,desglosa_precio,idcpr,$idpedido,0,0,'$ahora',idproducto_vinculado,titulo_contenedor
			FROM tmp_carrito_pedidos 
			where idtransaccion=$idtransaccion
			";
			$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
			
			//actualizamos el detalle
			$update="
			update tmp_carrito_pedidos set 
			iddetalle=(Select iddeta from pedidos_eventos_detalles where idtransaccion=$idtransaccion 
			and pedidos_eventos_detalles.idprodserial=tmp_carrito_pedidos.idproducto and idplantilla=tmp_carrito_pedidos.idplantilla)
			where tmp_carrito_pedidos.idtransaccion=$idtransaccion;
			";
			$conexion->Execute($update) or die(errorpg($conexion,$update));
	}

	//Buscamos si quedaron detalles con ID NULO
	$buscar="Select count(*) as total from  tmp_carrito_pedidos where idtransaccion=$idtransaccion and iddetalle IS NULL ";
	$rscontrol_local=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	$total_huerfanos=intval($rscontrol_local->fields['total']);
	if ($total_huerfanos > 0){
		
		$buscar="Select * from  tmp_carrito_pedidos where idtransaccion=$idtransaccion and iddetalle IS NULL ";
		$rslc=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
		while(!$rslc->EOF){
			$idproducto=intval($rslc->fields['idproducto']);
				$buscar="Select * from  pedidos_eventos_detalles where idtransaccion=$idtransaccion and idprodserial=$idproducto ";
				$rsvvl=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
				if($rsvvl->fields['iddeta']!=''){
					$iddetalle=intval($rsvvl->fields['iddeta']);
					$update="Update tmp_carrito_pedidos set iddetalle=$iddetalle where idproducto=$idproducto and iddetalle IS NULL";
					$conexion->Execute($update) or die(errorpg($conexion,$update));
				}
			$rslc->MoveNext();
		}
		
	}
	
	
	$update="update pedidos_eventos set monto_pedido=$tpedido,monto_sin_descuento=$tpedido,monto_evento=$tpedido  where idtransaccion=$idtransaccion";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	$parametros_array=array(
		"idevento"=>$idpedido
	);
	require_once('includes/funciones_eventos.php');
	$bb=nombre_evento_actualiza($parametros_array);

	//Calculamos los montos del evento
	require_once('includes/funciones_cobros.php');
	
	
	actualiza_saldo_evento($parametros_array);
	
	$update="update web_pedidos_deta_cat set idtransaccion=$idtransaccion,idpedidocat=$idpedido where idwebpedido=$idpedidoweb";
	$conexion->Execute($update) or die(errorpg($conexion,$update));	
	$update="update web_pedidos set aceptado_el='$ahora',aceptado_por=$idusu,aceptado='S',estado=3  where idwebpedido=$idpedidoweb";
	$conexion->Execute($update) or die(errorpg($conexion,$update));	
	$update="update pedidos_eventos_transacciones set estado=3  where idtransaccion=$idtransaccion";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	//echo "Conversion Finalizada. Verifique su panel de Eventos con el IDT: $idtransaccion..<br />";
	
	
	$terminado=1;

	if($terminado==1){ 
		header("location: cat_pedidos_new_editar.php?id=$idpedido");
		exit;
	} 
       
?>