<?php
/*---------------------------------------
01/11/2023: Se sube aa todos
21/11/2023: Se agrega detalle de catering (evento) de estar activa la vinculacon con ECOM2
-----------------------------------------*/
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// Modulo y submodulo respectivamente
$modulo="20";
$submodulo="120";
require_once("includes/rsusuario.php"); 

$id=intval($_GET['id']);
if($id == 0){
	header("location: web_pedidos_rec.php");
	exit;
}

$consulta="SELECT usa_tarjetadelivery,sucursal_tablet, fecha_enpedido,
notifica_carry_interno, notifica_delivery_interno , nombre_mesa_tablet, 
formapago_tomapedidos, pin_mozo_tablet, forzar_listaprecio_delivery, forzar_listaprecio_carry
FROM preferencias_caja limit 1 ";
$rsprefcaj=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$usa_tarjeta_delivery=trim($rsprefcaj->fields['usa_tarjetadelivery']);

function registrar_uso_tarjeta($idpedido,$idtarjeta,$idusuario_local){
	 global $conexion;
	 $ahora=date("Y-m-d H:i:s");
	$update="update tarjeta_delivery set idestadotarjetadel=2, idpedido_ult=$idpedido where idtarjetadelivery=$idtarjeta";
	$conexion->Execute($update) or die(errorpg($conexion,$update));
	
	$insertar="Insert into tarjeta_delivery_movimientos 
	(idtarjetadelivery,idpedido,reservado_el,reservado_por,estado)
	values
	($idtarjeta,$idpedido,'$ahora',$idusuario_local,1)";
	$conexion->Execute($insertar) or die(errorpg($conexion,$insertar));

}


$consulta="
select * 
from web_pedidos
where
idwebpedido = $id
and finalizado = 'S'
and estado = 1
order by fechahora desc
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idwebpedido=$rs->fields['idwebpedido'];
$id=intval($idwebpedido);
$canal_delivery=$rs->fields['delivery'];
if($id == 0){
	header("location: web_pedidos_rec.php");
	exit;
}

$consulta="
update web_pedidos
set 
notificado = 'S'
where
idwebpedido = $id
and estado = 1
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
select * 
from web_pedidos_det
inner join productos on productos.idprod_serial = web_pedidos_det.idproducto
where
web_pedidos_det.idwebpedido = $idwebpedido
order by web_pedidos_det.fechahora desc
limit 1000
";
$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

$consulta="
select razon_social, ruc from cliente where borrable = 'N' and estado <> 6 order by idcliente asc limit 1
";
$rsclipred=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$razon_social_pred=trim($rsclipred->fields['razon_social']);
$ruc_pred=trim($rsclipred->fields['ruc']);
$buscar="Select * from catering_preferencias ";
$rscat=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
$usa_ecom=trim($rscat->fields['vincula_ecom']);
if($usa_ecom == ''){
	$usa_ecom='N';
}

?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
<script>
function IsJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}
function nl2br (str, is_xhtml) {
  var breakTag = (is_xhtml || typeof is_xhtml === 'undefined') ? '<br ' + '/>' : '<br>'; // Adjust comment to avoid issue on phpjs.org display
  return (str + '').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1' + breakTag + '$2');
}
function aceptar_pedido(id){
	var idsucu = $("#idsucu").val();
	var ruc = $("#ruc").val();
	var razon_social = $("#razon_social").val();
	var idproddel = $("#idproddel").val();
	var valido = true;
	var errormsg = '';
	
	if(!(parseInt(idsucu) > 0)){
		valido = false;	
		errormsg += '- Seleccione la sucursal.\n';
	}
<?php if($canal_delivery == 'S'){ ?>
	if(!(parseInt(idproddel) > 0)){
		valido = false;	
		errormsg += '- Seleccione el producto delivery.\n';
	}
<?php } ?>
	//alert(idsucu);
	if(valido){
		//document.location.href='web_pedidos_rec_det_fac_comp.php?id='+id+'&idsucu='+idsucu+'&idproddel='+idproddel+'&ruc='+ruc+'&razon_social='+razon_social+'&observacion='+observacion;
		
		enviar_pedido(id);
	}else{
		//alert('Errores:\n'+errormsg);	
		document.location.href='#error_box';
		$("#error_box").show();
		$("#error_box_msg").html(nl2br(errormsg));
	}
}

function enviar_pedido(id){
	var idsucu = $("#idsucu").val();
	var ruc = $("#ruc").val();
	var razon_social = $("#razon_social").val();
	var idproddel = $("#idproddel").val();
	var observacion = $("#observacion").val();
	
	var parametros = {
	  "id"            : id ,
	  "idsucu"        : idsucu,
	  "idproddel"     : idproddel,
	  "ruc"           : ruc,
	  "razon_social"  : razon_social,
	  "observacion"   : observacion
	};
	$.ajax({		  
		data:  parametros,
		url:   'web_pedidos_rec_det_fac_comp.php',
		type:  'post',
		cache: false,
		timeout: 5000,  // I chose 3 secs for kicks: 5000
		crossDomain: true,
		beforeSend: function () {
			$("#aceptaped_box").html('Cargando...');			
			$("#aceptaped").hide();	
			$("#error_box").hide();
			$("#error_box_msg").html('');
		},
		success:  function (response) {
			if(IsJsonString(response)){
				var obj = jQuery.parseJSON(response);
				if(obj.valido == 'S'){
					// hacer algo
					//$("#monto_abonar").val(obj.saldo_factura);
					$("#aceptaped_box").html('');	
					document.location.href='central_pedidos.php';
				}else{
					//alert('Errores: '+obj.errores);	
					$("#aceptaped_box").html('');	
					$("#error_box_msg").html(nl2br(obj.errores));
					$("#error_box").show();
					document.location.href='#error_box';
					$("#aceptaped").show();
				}
			}else{
				alert(response);
				$("#aceptaped_box").html('');	
				$("#error_box_msg").html(response);
				$("#error_box").show();
				$("#aceptaped").show();	
			}
		},
		error: function(jqXHR, textStatus, errorThrown) {
			if(jqXHR.status == 404){
				alert('Pagina no encontrada. '+jqXHR.status+' '+errorThrown);
			}else if(jqXHR.status == 0){
				alert('Se ha rechazado la conexión.');
			}else{
				alert(jqXHR.status+' '+errorThrown);
			}
		}
		
		
	}).fail( function( jqXHR, textStatus, errorThrown ) {
		
		if (jqXHR.status === 0) {
	
			alert('No conectado: verifique la red.');
		
		} else if (jqXHR.status == 404) {
		
			alert('Pagina no encontrada [404]');
		
		} else if (jqXHR.status == 500) {
		
			alert('Internal Server Error [500].');
		
		} else if (textStatus === 'parsererror') {
		
			alert('Requested JSON parse failed.');
		
		} else if (textStatus === 'timeout') {
		
			alert('Tiempo de espera agotado, time out error.');
		
		} else if (textStatus === 'abort') {
		
			alert('Solicitud ajax abortada.'); // Ajax request aborted.
		
		} else {
		
			alert('Uncaught Error: ' + jqXHR.responseText);
		
		}
	});
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Detalle del Pedido #<?php echo $idwebpedido ?></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
<div class="alert alert-danger alert-dismissible fade in" role="alert" style="display:none;" id="error_box">
<strong>Errores:</strong><br /><span id="error_box_msg"><?php echo $errores; ?></span>
</div>
<a href="web_pedidos_rec.php" target="_self" class="btn btn-sm btn-default"><span class="fa fa-arrow-left"></span> Regresar</a>
<a href="web_pedidos_rec_det_imp.php?id=<?php echo $idwebpedido; ?>" target="_blank" class="btn btn-sm btn-default"><span class="fa fa-print"></span> Imprimir A4</a>
<a href="web_pedidos_rec_det_imp_tk.php?id=<?php echo $idwebpedido; ?>" target="_blank" class="btn btn-sm btn-default"><span class="fa fa-print"></span> Imprimir TK</a>

 
<hr />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
             <thead>
               <tr>
                 <th>Fecha/Hora</th>
                 <th>Nombre</th>
                 <th>Email</th>
                 <th>Forma Pago</th>
                 <th>Delivery</th>
               </tr>
               </thead>
               <tbody>
               <tr>
                 <td align="center"><?php echo date("d/m/Y H:i:s",strtotime($rs->fields['fechahora'])); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['nomape']); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['email']); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['formapago']); ?> <a href="web_pedidos_rec_det_edit_fp.php?id=<?php echo $idwebpedido; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a></td>
                 <td align="center"><?php echo antixss($rs->fields['delivery']); ?> <a href="web_pedidos_rec_det_edit_deliv.php?id=<?php echo $idwebpedido; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right"  data-original-title="Editar"><span class="fa fa-edit"></span></a></td>
               </tr>
             </tbody>
           </table>
</div>

<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
             <thead>
               <tr>
                 <th>Telefono</th>
                 <th>Direccion</th>
                 <th>Comentarios</th>
                 <th>RUC</th>
                 <th>Razon Social</th>
               </tr>
               </thead>
               <tbody>
				   
<?php 
$telefonolimpio=$rs->fields['telefono'];
$telefonolimpio=solonumeros($telefonolimpio);			   
$telefonolimpio=str_replace("+595","0",$telefonolimpio);			   
				   
 ?>
               <tr>
                 <td align="center"><?php echo antixss($rs->fields['telefono']); ?>&nbsp;&nbsp;<a href="http://wa.me/595<?php echo $telefonolimpio; ?>" target="_blank"><img src="img/whatsapp.jpg" width="25" /></a></td>
                 <td align="center"><?php echo antixss($rs->fields['direccion']); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['comentarios']); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['ruc']); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['razon_social']); ?></td>
               </tr>
             </tbody>
           </table>
</div>
 <?php if($usa_ecom=='S'){ 
	$buscar="select  fecha_evento,hora_evento,quien_recibe,mensaje_remitente,(select nombre from ciudades where idciudad=web_pedidos_deta_cat.idciudad) as ciudad,(select nombre from barrios where idbarrio=web_pedidos_deta_cat.idbarrio) as barrio

	from  web_pedidos_deta_cat where idwebpedido=$id and estado<>6" ;
	$rsdf=$conexion->Execute($buscar) or die(errorpg($conexion,$buscar));
	
?>
<strong>Detalle del Evento:</strong><br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
             <thead>
               <tr>
                 <th>Fecha/Hora</th>
                 <th>Quien recibe</th>
                 <th>Telefono Recibe</th>
                 <th>Mensaje Remitente</th>
                 <th>Ciudad</th>
				  <th>Bario</th>
               </tr>
               </thead>
               <tbody>
               <tr>
                 <td align="center"><?php echo date("d/m/Y",strtotime($rsdf->fields['fecha_evento'])); ?> &nbsp; /<?php echo date("H:i:s",strtotime($rsdf->fields['hora_evento'])); ?></td>
                 <td align="center"><?php echo $rsdf->fields['quien_recibe']; ?></td>
                 <td align="center"> <?php echo antixss($rsdf->fields['telefono_recibe']); ?></td>
                 <td align="center"> <?php echo antixss($rsdf->fields['mensaje_remitente']); ?></td>
				 <td align="center"> <?php echo antixss($rsdf->fields['ciudad']); ?></td>
				 <td align="center"> <?php echo antixss($rsdf->fields['barrio']); ?></td>
               </tr>
             </tbody>
           </table>
</div>



	<?php } ?>



<strong>Detalle del Pedido:</strong><br />
<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
             <thead>
               <tr>
                 <th>Producto</td>
                 <th>Cantidad</th>
                 <th>Precio</th>
                 <th>Subtotal</th>
               </tr>
               </thead>
               <tbody>
<?php 
while (!$rsdet->EOF){
$total+=$rsdet->fields['subtotal'];	
$idwebpedido_det=$rsdet->fields['idwebpedido_det'];
if($rsdet->fields['idtipoproducto'] == 2){ // combo
	$consulta="
	select productos.descripcion,  count(*) as total
	from tmp_combos_listas_ecom_ped
	inner join productos on productos.idprod_serial = tmp_combos_listas_ecom_ped.idproducto
	where
	idwebpedido_det =  $idwebpedido_det
	group by productos.descripcion
	";
	$rs_combo=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$combo_partes="";
	while (!$rs_combo->EOF){
		//if($rs_combo->fields['total'] > 1){
			$combo_partes.="[".$rs_combo->fields['total']."] ".strtolower($rs_combo->fields['descripcion']).", ";
		//}else{
		//	$combo_partes.=strtolower($rs_combo->fields['descripcion']).", ";	
		//}
	$rs_combo->MoveNext(); }
	$combo_partes=substr($combo_partes,0,-2);
	

} 
if($rsdet->fields['idtipoproducto'] == 4){ // combinado extendido
	$consulta="
	select productos.descripcion,  count(*) as total
	from tmp_combinado_listas_ecom_ped
	inner join productos on productos.idprod_serial = tmp_combinado_listas_ecom_ped.idproducto_partes
	where
	idwebpedido_det =  $idwebpedido_det
	group by productos.descripcion
	";
	$rs_combo=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$combo_partes="";
	while (!$rs_combo->EOF){
		//if($rs_combo->fields['total'] > 1){
			$combo_partes.="[".$rs_combo->fields['total']."] ".strtolower($rs_combo->fields['descripcion']).", ";
		//}else{
		//	$combo_partes.=strtolower($rs_combo->fields['descripcion']).", ";	
		//}
	$rs_combo->MoveNext(); }
	$combo_partes=substr($combo_partes,0,-2);


}  
?>
               <tr>
                 <td align="center"><?php echo antixss($rsdet->fields['descripcion']); ?><?php if($combo_partes != ''){ echo "<br />Obs: ".$combo_partes; } ?></td>
                 <td align="center"><?php echo formatomoneda($rsdet->fields['cantidad'],4,'N'); ?></td>
                 <td align="center"><?php echo formatomoneda($rsdet->fields['precio'],4,'N'); ?></td>
                 <td align="center"><?php echo formatomoneda($rsdet->fields['subtotal'],4,'N'); ?></td>
               </tr>
<?php $rsdet->Movenext();}?>
             </tbody>
           </table>
</div>
<br /><br />
           <h1 align="center" style="font-weight:bold;">Total: <?php echo formatomoneda($total,4,'N'); ?><?php if($rs->fields['delivery'] == 'S'){ ?> + Delivery <?php } ?></h1>

	
<div class="clearfix"></div>
<br /><br />


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">RUC *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="ruc" id="ruc" value="<?php  
	if(isset($_POST['ruc'])){ 
		echo htmlentities($_POST['ruc']); 
	}else{  
		if(trim($rs->fields['ruc']) != ''){
			echo htmlentities($rs->fields['ruc']); 
		}else{
			echo $ruc_pred;
		}
	} 
		?>" placeholder="ruc" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Razon Social *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="razon_social" id="razon_social" value="<?php  
	if(isset($_POST['razon_social'])){
		echo htmlentities($_POST['razon_social']); 
	}else{ 
		
		if(trim($rs->fields['razon_social']) != ''){
			echo htmlentities($rs->fields['razon_social']);
		}else{
			echo $razon_social_pred;
		} 
	}
	
		 
		 ?>" placeholder="razon_social" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<?php 
    // consulta
    $consulta="
    SELECT idsucu, nombre
    FROM sucursales
    where
    estado = 1
    order by nombre asc
     ";
    
    // valor seleccionado
    if(isset($_POST['idsucu'])){ 
        $value_selected=htmlentities($_POST['idsucu']); 
    }else{
        $value_selected=htmlentities($rs->fields['idsucursal_sugiere']);
    }
    
    // parametros
    $parametros_array=array(
        'nombre_campo' => 'idsucu',
        'id_campo' => 'idsucu',
        
        'nombre_campo_bd' => 'nombre',
        'id_campo_bd' => 'idsucu',
        
        'value_selected' => $value_selected,
        
        'pricampo_name' => 'Seleccionar...',
        'pricampo_value' => '',
        'style_input' => 'class="form-control"', 
        'acciones' => ' required="required" ',
        'autosel_1registro' => 'S'
    
    );
    
    // construye campo
    echo campo_select($consulta,$parametros_array);
    
    ?>        
	</div>
</div>

<?php if($canal_delivery == 'S'){ ?>
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Delivery *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<?php 
    // consulta
    $consulta="
    SELECT idprod_serial, descripcion
    FROM productos
    where
    borrado = 'N'
	and idtipoproducto = 6
    order by descripcion asc
     ";
    
    // valor seleccionado
    if(isset($_POST['idproddel'])){ 
        $value_selected=htmlentities($_POST['idproddel']); 
    }else{
        //$value_selected=htmlentities($rs->fields['idsucu']);
    }
    
    // parametros
    $parametros_array=array(
        'nombre_campo' => 'idproddel',
        'id_campo' => 'idproddel',
        
        'nombre_campo_bd' => 'descripcion',
        'id_campo_bd' => 'idprod_serial',
        
        'value_selected' => $value_selected,
        
        'pricampo_name' => 'Seleccionar...',
        'pricampo_value' => '',
        'style_input' => 'class="form-control"', 
        'acciones' => ' required="required" ',
        'autosel_1registro' => 'S'
    
    );
    
    // construye campo
    echo campo_select($consulta,$parametros_array);
    
    ?>        
	</div>
</div>
<?php } ?>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Observacion *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="observacion" id="observacion" value="<?php  
	if(isset($_POST['observacion'])){
		echo antixss($_POST['observacion']); 
	}else{ 
		echo antixss($rs->fields['comentarios']);
	}
	
		 
		 ?>" placeholder="observacion" class="form-control" required />  
	</div>
</div>

<div class="clearfix"></div>
<br />
<?php if($usa_ecom=='N'){ ?>
<div id="aceptaped_box"></div>

    <div class="form-group">
        <div class="col-md-12 col-sm-12 col-xs-12 text-center">
         <button type="button" onClick="aceptar_pedido(<?php echo $id ?>);" id="aceptaped"  class="btn btn-success"><span class="fa fa-check-square-o"></span> Aceptar Pedido</button>

	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='web_pedidos_rec.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>
    
<div class="clearfix"></div>
<br />
<hr />
<br />

<p align="center"><strong>Cargar en el carrito de venta sin facturar:</strong></p><br /><br />
        <div class="form-group">
        <div class="col-md-6 col-sm-6 col-xs-6 text-center">
    
            <a href="web_pedidos_rec_det_fac.php?id=<?php echo $id ?>" target="_blank" class="btn btn-warning"><span class="fa fa-edit"></span> Facturar Modificando</a>
            
        </div>
			
        <div class="col-md-6 col-sm-6 col-xs-6 text-center">
    
            <a href="web_pedidos_rec_det_fac_ped.php?id=<?php echo $id ?>" target="_blank" class="btn btn-warning"><span class="fa fa-edit"></span>  Modificar Pedido</a>
            
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
<?php } ?>



<div class="clearfix"></div>
<br />
<br /><br /><br />


                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
