<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="20";
$submodulo="120";
require_once("includes/rsusuario.php"); 
//#242424 color de fondo dreamweaver



$id=intval($_GET['id']);
if($id == 0){
	header("location: web_pedidos_rec.php");
	exit;
}

$consulta="
select * 
from web_pedidos
where
idwebpedido = $id
and idempresa = $idempresa
and estado = 1
order by fechahora desc
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idwebpedido=$rs->fields['idwebpedido'];
$id=intval($idwebpedido);
$canal_delivery=$rs->fields['delivery'];
if($id == 0){
	header("location: web_pedidos_rec.php");
	exit;
}

$consulta="
select * 
from web_pedidos_det
inner join productos on productos.idprod_serial = web_pedidos_det.idproducto
where
web_pedidos_det.idwebpedido = $idwebpedido
and web_pedidos_det.idempresa = $idempresa
and productos.idempresa = $idempresa
order by web_pedidos_det.fechahora desc
limit 1000
";
$rsdet=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));



if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	$formapago=antisqlinyeccion($_POST['formapago'],"text");



	if(trim($_POST['formapago']) == ''){
		$valido="N";
		$errores.=" - El campo formapago no puede estar vacio.<br />";	
	}



	// si todo es correcto actualiza
	if($valido == "S"){
		
		$consulta="
		update web_pedidos
		set
			formapago=$formapago
		where
			idwebpedido = $idwebpedido
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: web_pedidos_rec_det.php?id=$idwebpedido");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());



?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Editar Forma de Pago - Pedido Web</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<div class="table-responsive">
    <table width="100%" class="table table-bordered jambo_table bulk_action">
             <thead>
               <tr>
                 <th>Fecha/Hora</th>
                 <th>Nombre</th>
                 <th>Email</th>
                 <th>Forma Pago</th>
                 <th>Delivery</th>
               </tr>
               </thead>
               <tbody>
               <tr>
                 <td align="center"><?php echo date("d/m/Y H:i:s",strtotime($rs->fields['fechahora'])); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['nomape']); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['email']); ?></td>
                 <td align="center"><?php echo antixss($rs->fields['formapago']); ?> </td>
                 <td align="center"><?php echo antixss($rs->fields['delivery']); ?> </td>
               </tr>
             </tbody>
           </table>
</div>

<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Llevar POS *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
 <?php    

// valor seleccionado
if(isset($_POST['formapago'])){ 
	$value_selected=htmlentities($_POST['formapago']); 
}else{
	$value_selected=$rs->fields['formapago'];
}
// opciones
$opciones=array(
	'SI' => 'TC',
	'NO' => 'EF'
);
// parametros
$parametros_array=array(
	'nombre_campo' => 'formapago',
	'id_campo' => 'formapago',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S',
	'opciones' => $opciones

);

// construye campo
echo campo_select_sinbd($parametros_array);
?>
                 
	</div>
</div>



<div class="clearfix"></div>
<br />

    <div class="form-group">
		<div class="col-md-12 col-sm-12 col-xs-12 text-center">
        
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='web_pedidos_rec_det.php?id=<?php echo $idwebpedido ?>'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />
<br /><br />

                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            

            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
