<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo = "38";
$submodulo = "554";
require_once("../includes/rsusuario.php");
?>

<!DOCTYPE html>
<html lang="en">

<head>

  <?php require_once("../includes/head_gen.php"); ?>

</head>

<body class="nav-md">
  <div class="container body">
    <div class="main_container">
      <?php require_once("../includes/menu_gen.php"); ?>

      <!-- top navigation -->
      <?php require_once("../includes/menu_top_gen.php"); ?>
      <!-- /top navigation -->

      <!-- page content -->
      <div class="right_col" role="main">
        <div class="">
          <div class="page-title">
          </div>
          <div class="clearfix"></div>
          <?php require_once("../includes/lic_gen.php"); ?>

          <!-- SECCION -->
          <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
              <div class="x_panel">
                <div class="x_title">
                  <h2>Acceso</h2>
                  <ul class="nav navbar-right panel_toolbox">
                    <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                    </li>
                  </ul>
                  <div class="clearfix"></div>
                </div>
                <div class="x_content">

                  Se muestra la hora de la PC local pero la hora de acceso sera registrada segun el horario del servidor.<br />
                  Hora del servidor desde el ultimo refresco de este sitio: <?php echo date("H:i:s"); ?>
                  &nbsp;&nbsp;<a href="#" class="btn btn-sm btn-default" onclick="document.location.href='apertura_acceso.php'"><span class="fa fa-refresh"></span> Actualizar</a>
                  <hr />
                  <div id="clock" class="light">
                    <div align="center" id="mes" style="font-size:30px;font-weight:bold">

                    </div>
                    <div class="display">
                      <div class="weekdays"></div>
                      <div class="ampm"></div>
                      <div class="alarm"></div>
                      <div class="digits"></div>
                    </div>

                  </div>
                  <?php if ($registrado == 1) { ?>
                    <hr />
                    <h2 id="regcor">REGISTRO CORRECTO!<br />
                      Horario Marcado: <?php echo $horario_marcado; ?> hs.
                    </h2>
                  <?php } ?>
                  <form id="regs" action="" method="post">

                    <div id="cliente_acceso" style="font-size: 24px;"></div>
                    <div id="molinete_abierto" style="font-size: 24px;"></div>

                    <div class="clearfix"></div>
                    <hr />

                    <div class="row">
                      <div class="col-md-6 col-sm-6 form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Cedula *</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                          <span class="fa fa-info-circle"></span>&nbsp;&nbsp;indique el documento de Identidad<br />
                          <input type="text" placeholder="Ingresa tu Cedula" name="ci" id="ci" class="form-control" required="required" autofocus />
                        </div>
                      </div>

                      <div class="col-md-6 col-sm-6 form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Pin Proveedores</label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                          <span class="fa fa-info-circle"></span>&nbsp;&nbsp;Indique el pin de proveedor<br />
                          <input type="password" placeholder="Ingresa tu PIN" name="pin" id="pin" class="form-control" autofocus />
                        </div>
                      </div>
                    </div>

                    <br />

                    <div class="row" align="center">
                      <div class="col-md-6 col-sm-6 form-group">
                        <a href="#" class="btn btn-sm btn-info" onclick="proceder();" align="center"><span class="fa fa-sign-in"></span> Entrada</a>
                      </div>
                    </div>

                    <input type="hidden" name="cual" value="<?php echo $tipohora ?>" id="cual" />
                  </form>
                </div>
                <br /><br />
              </div>
            </div>
          </div>
        </div>
        <!-- SECCION -->
      </div>
    </div>
    <!-- /page content -->
    <div id="recarga"></div>
    <!-- footer content -->
    <?php require_once("../includes/pie_gen.php"); ?>
    <!-- /footer content -->
  </div>
  </div>
  <?php require_once("../includes/footer_gen.php"); ?>

  <script>
    function proceder() {
      var cedula = $("#ci").val();
      var pin = $("#pin").val();

      // Prepare the data to be sent
      var data = JSON.stringify({
        cedula: cedula,
        pin: pin
      });

      $.ajax({
        url: 'molinete.php',
        type: 'POST',
        data: data,
        contentType: 'application/json',
        beforeSend: function() {
          $("#cliente_acceso").html('Cargando...');
        },
        success: function(response) {

          $('#cliente_acceso').html(response.msg);

          if (response.status == true) {
            console.log(response);
            console.log("abre molinete");
            // setTimeout(activar_molinete, 100);
          } else if (response.status == false) {

            console.log(response);
            console.log("no abre molinete");
          }

          // Limpiando inputs
          $('#ci').val('');
          $('#pin').val('');
          $('#ci').focus();
          setTimeout(function() {
            $('#cliente_acceso').html('');
          }, 10000);
        },
        error: function(jqXHR, textStatus, errorThrown) {

          $('#cliente_acceso').html('Error en la solicitud: ' + textStatus);

          // Limpiando inputs
          $('#ci').val('');
          $('#pin').val('');
          $('#ci').focus();
          setTimeout(function() {
            $('#cliente_acceso').html('');
          }, 10000);
        }
      });
    }

    function activar_molinete() {
      <?php
      $default = "http://localhost/impresorweb/molinete.php";
      ?>
      if ((typeof ApiChannel === 'undefined')) {

        var parametros = {
          "ok": 1
        };
        $.ajax({
          data: parametros,
          url: '<?php echo $default ?>',
          type: 'post',
          dataType: 'html',
          beforeSend: function() {
            $("#recarga").html("Enviando...");
          },
          crossDomain: true,
          success: function(response) {
            $("#recarga").html(response);
          }
        });
      }
    }

    function salir() {

      setTimeout("activar_molinete(1)", 100);
    }
  </script>

</body>

</html>