<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo = "38";
$submodulo = "555";
require_once("../includes/rsusuario.php");

$idprofe = antisqlinyeccion($_GET['id'], "int");

$consulta = "SELECT * FROM profesionales WHERE idprofe = $idprofe";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));
$idtipoprofesional = intval($rs->fields['tipo_profesional']);
$idtipovinculo = intval($rs->fields['tipo_vinculo']);

if (isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1') {

    // validaciones basicas
    $valido = "S";
    $errores = "";

    // control de formularios, seguridad para evitar doble envio y ataques via bots
    if ($_SESSION['form_control'] != $_POST['form_control']) {
        $errores .= "- Se detecto un intento de envio doble, recargue la pagina.<br />";
        $valido = "N";
    }
    if (trim($_POST['form_control']) == '') {
        $errores .= "- Control del formularios no activado.<br />";
        $valido = "N";
    }

    // control de formularios, seguridad para evitar doble envio y ataques via bots
    $_SESSION['form_control'] = md5(rand());

    // recibe parametros
    $idprofe = antisqlinyeccion($_POST['idprofe'], "int");
    $documento = antisqlinyeccion($_POST['documento'], "int");
    $nombres = antisqlinyeccion($_POST['nombres'], "text");
    $apellidos = antisqlinyeccion($_POST['apellidos'], "text");
    $celular = antisqlinyeccion($_POST['celular'], "int");
    $tipo_profesional = antisqlinyeccion($_POST['tipoprofesional'], "int");
    $tipo_vinculo = antisqlinyeccion($_POST['tipo_vinculo'], "int");
    $direccion = antisqlinyeccion($_POST['direccion'], "text");
    $cantidad_establecida = antisqlinyeccion($_POST['cantidad_establecida'], "int");
    $registrado_el = antisqlinyeccion($ahora, "text");
    $registrado_por = $idusu;
    $estado = 1;
    $anulado_por = antisqlinyeccion($_POST['anulado_por'], "int");
    $anulado_el = antisqlinyeccion($_POST['anulado_el'], "text");
    $observaciones = antisqlinyeccion($_POST['observaciones'], "text");
    $idcliente = antisqlinyeccion($_POST['idcliente'], "int");

    if (intval($_POST['documento']) == 0) {
        $valido = "N";
        $errores .= " - El campo documento no puede ser cero o nulo.<br />";
    }
    if (trim($_POST['nombres']) == '') {
        $valido = "N";
        $errores .= " - El campo nombres no puede estar vacio.<br />";
    }
    if (trim($_POST['apellidos']) == '') {
        $valido = "N";
        $errores .= " - El campo apellidos no puede estar vacio.<br />";
    }
    if (intval($_POST['celular']) == 0) {
        $valido = "N";
        $errores .= " - El campo celular no puede ser cero o nulo.<br />";
    }
    if (intval($_POST['tipoprofesional']) == 0) {
        $valido = "N";
        $errores .= " - El campo tipo_profesional no puede ser cero o nulo.<br />";
    }
    if (intval($_POST['tipo_vinculo']) == 0) {
        $valido = "N";
        $errores .= " - El campo tipo_vinculo no puede ser cero o nulo.<br />";
    }

    // si todo es correcto inserta
    if ($valido == "S") {

        $update = "
        UPDATE profesionales
		SET            
            documento = $documento, 
            nombres = $nombres, 
            apellidos = $apellidos, 
            celular = $celular, 
            tipo_profesional = $tipo_profesional, 
            tipo_vinculo = $tipo_vinculo, 
            direccion = $direccion, 
            cantidad_establecida = $cantidad_establecida, 
            registrado_el = $registrado_el, 
            registrado_por = $registrado_por, 
            estado = $estado, 
            anulado_por = $anulado_por, 
            anulado_el = $anulado_el, 
            observaciones = $observaciones 
        WHERE idprofe = $idprofe";
        $rsup = $conexion->Execute($update) or die(errorpg($conexion, $update));

        if (!$rsup) {
            echo "No se pudo relizar correctamente los cambios";
            header("location: well_profesionales_edit.phpid?" .$idprofe);
        } else {
            echo "Cambios realizados correctamente";
            header("location: well_profesionales.php");
        }

        exit;
    }
}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());
?>

<!DOCTYPE html>

<head>
    <?php require_once("../includes/head_gen.php"); ?>
</head>

<body class="nav-md">
    <div class="container body">
        <div class="main_container">
            <?php require_once("../includes/menu_gen.php"); ?>

            <!-- top navigation -->
            <?php require_once("../includes/menu_top_gen.php"); ?>
            <!-- /top navigation -->

            <!-- page content -->
            <div class="right_col" role="main">
                <div class="">
                    <div class="page-title">
                    </div>
                    <div class="clearfix"></div>
                    <?php require_once("../includes/lic_gen.php"); ?>

                    <!-- SECCION -->
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="x_panel">
                                <div class="x_title">
                                    <h2>Editar Profesional</h2>
                                    <ul class="nav navbar-right panel_toolbox">
                                        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                                        </li>
                                    </ul>
                                    <div class="clearfix"></div>
                                </div>
                                <div class="x_content">
                                    <?php if (trim($errores) != "") { ?>
                                        <div class="alert alert-danger alert-dismissible fade in" role="alert">
                                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
                                            </button>
                                            <strong>Errores:</strong><br /><?php echo $errores; ?>
                                        </div>
                                    <?php } ?>
                                    <form id="form1" name="form1" method="post" action="">

                                        <input type="hidden" name="idprofe" id="idprofe" value="<?php echo $idprofe; ?>">

                                        <div class="col-md-6 col-sm-6 form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Documento *</label>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <input type="text" name="documento" id="documento" value="<?php if (isset($_POST['documento'])) {
                                                                                                                echo intval($_POST['documento']);
                                                                                                            } else {
                                                                                                                echo intval($rs->fields['documento']);
                                                                                                            } ?>" placeholder="Documento" class="form-control" required="required" onkeyup="busca_cliente(this.value);" />
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-sm-6 form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Nombres *</label>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <input type="text" name="nombres" id="nombres" value="<?php if (isset($_POST['nombres'])) {
                                                                                                            echo htmlentities($_POST['nombres']);
                                                                                                        } else {
                                                                                                            echo htmlentities($rs->fields['nombres']);
                                                                                                        } ?>" placeholder="Nombres" class="form-control" required="required" />
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-sm-6 form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Apellidos *</label>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <input type="text" name="apellidos" id="apellidos" value="<?php if (isset($_POST['apellidos'])) {
                                                                                                                echo htmlentities($_POST['apellidos']);
                                                                                                            } else {
                                                                                                                echo htmlentities($rs->fields['apellidos']);
                                                                                                            } ?>" placeholder="Apellidos" class="form-control" required="required" />
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-sm-6 form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Celular </label>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <input type="text" name="celular" id="celular" value="<?php if (isset($_POST['celular'])) {
                                                                                                            echo intval($_POST['celular']);
                                                                                                        } else {
                                                                                                            echo intval($rs->fields['celular']);
                                                                                                        } ?>" placeholder="Celular" class="form-control" />
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-sm-6 form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo profesional </label>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <select name="tipoprofesional" id="tipoprofesional" class="form-control" required>
                                                    <option value="" selected="selected">Seleccionar</option>
                                                    <?php
                                                    $buscar = "Select * from profesionales_tipos where estado=1 order by descripcion ASC";
                                                    $rs = $conexion->Execute($buscar) or die(errorpg($conexion, $buscar));
                                                    while (!$rs->EOF) {
                                                        $currentTipoProfesional = $rs->fields['idtipo_profesional'];
                                                        $selected = ($currentTipoProfesional == $idtipoprofesional) ? 'selected="selected"' : '';
                                                    ?>
                                                        <option value="<?php echo $currentTipoProfesional; ?>" <?php echo $selected; ?>>
                                                            <?php echo $rs->fields['descripcion']; ?>
                                                        </option>
                                                    <?php
                                                        $rs->MoveNext();
                                                    }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-sm-6 form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Tipo vinculo </label>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <select name="tipo_vinculo" id="tipo_vinculo" class="form-control" required>
                                                    <option value="" selected="selected">Seleccionar</option>
                                                    <?php
                                                    $buscar = "Select * from tipo_vinculo where estado=1 order by descripcion ASC";
                                                    $rs = $conexion->Execute($buscar) or die(errorpg($conexion, $buscar));
                                                    while (!$rs->EOF) {
                                                        $currentTipoVinculo = $rs->fields['idtipovinculo'];
                                                        $selected = ($currentTipoVinculo == $idtipovinculo) ? 'selected="selected"' : '';
                                                    ?>
                                                        <option value="<?php echo $currentTipoVinculo; ?>" <?php echo $selected; ?>>
                                                            <?php echo $rs->fields['descripcion']; ?>
                                                        </option>
                                                    <?php
                                                        $rs->MoveNext();
                                                    }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-sm-6 form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Direccion </label>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <input type="text" name="direccion" id="direccion" value="<?php if (isset($_POST['direccion'])) {
                                                                                                                echo htmlentities($_POST['direccion']);
                                                                                                            } else {
                                                                                                                echo htmlentities($rs->fields['direccion']);
                                                                                                            } ?>" placeholder="Direccion" class="form-control" />
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-sm-6 form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Numero Personas </label>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <input type="text" name="cantidad_establecida" id="cantidad_establecida" value="<?php if (isset($_POST['cantidad_establecida'])) {
                                                                                                                                    echo intval($_POST['cantidad_establecida']);
                                                                                                                                } else {
                                                                                                                                    echo intval($rs->fields['cantidad_establecida']);
                                                                                                                                } ?>" placeholder="Cantidad establecida" class="form-control" />
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-sm-6 form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Observaciones </label>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <input type="text" name="observaciones" id="observaciones" value="<?php if (isset($_POST['observaciones'])) {
                                                                                                                        echo htmlentities($_POST['observaciones']);
                                                                                                                    } else {
                                                                                                                        echo htmlentities($rs->fields['observaciones']);
                                                                                                                    } ?>" placeholder="Observaciones" class="form-control" />
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-sm-6 form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">Idcliente </label>
                                            <div class="col-md-9 col-sm-9 col-xs-12">
                                                <input readonly type="text" name="idcliente" id="idcliente" value="<?php if (isset($_POST['idcliente'])) {
                                                                                                                        echo intval($_POST['idcliente']);
                                                                                                                    } else {
                                                                                                                        echo intval($rs->fields['idcliente']);
                                                                                                                    } ?>" placeholder="Idcliente" class="form-control" />
                                            </div>
                                        </div>

                                        <div class="clearfix"></div>
                                        <br />

                                        <div class="form-group">
                                            <div class="col-md-12 col-sm-12 col-xs-12 text-center">
                                                <button type="submit" class="btn btn-success"><span class="fa fa-check-square-o"></span> Registrar</button>
                                                <button type="button" class="btn btn-primary" onMouseUp="document.location.href='well_profesionales.php'"><span class="fa fa-ban"></span> Cancelar</button>
                                            </div>
                                        </div>

                                        <input type="hidden" name="MM_insert" value="form1" />
                                        <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
                                        <br />
                                    </form>
                                    <div class="clearfix"></div>
                                    <br /><br />
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- SECCION -->
                    <div id="ls_dire"></div>
                </div>
                <!-- /page content -->

                <script>
                    function IsJsonString(str) {
                        try {
                            JSON.parse(str);
                        } catch (e) {
                            return false;
                        }
                        return true;
                    }

                    function busca_cliente(valor) {
                        var direccionurl = 'well_buscar_clientes.php';

                        var parametros = {

                            "valor": valor
                        };
                        $.ajax({
                            data: parametros,
                            url: direccionurl,
                            type: 'post',
                            beforeSend: function() {

                                $("#ls_dire").html('Cargando...');
                            },
                            success: function(response) {
                                if (IsJsonString(response)) {
                                    //alert(response);							
                                    var obj = jQuery.parseJSON(response);

                                    if (obj.idcliente > 0) {
                                        $("#nombres").val(obj.nombres);
                                        $("#apellidos").val(obj.apellidos);
                                        $("#celular").val(obj.telefono);
                                        $("#idcliente").val(obj.idcliente);
                                        $("#direccion").val(obj.direccion)
                                    }
                                }
                                $("#ls_dire").html(response);
                            }
                        });
                    }
                </script>
                <?php require_once("../includes/pie_gen.php"); ?>
                <!-- /footer content -->
            </div>
        </div>
        <?php require_once("../includes/footer_gen.php"); ?>
</body>

</html>