<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo = "38";
$submodulo = "558";
require_once("../includes/rsusuario.php");

$consulta = "
select *,
(select nombre from sucursales where sucursales.idsucu = cuentas_tipos.idsucursal) as sucursal,
(select usuario from usuarios where cuentas_tipos.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where cuentas_tipos.anulado_por = usuarios.idusu) as borrado_por
from cuentas_tipos 
where 
 estado = 1 
order by idcuenta_tipo asc";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));

$consulta = "
select *,
(select usuario from usuarios where cuentas_tipos.registrado_por = usuarios.idusu) as registrado_por,
(select usuario from usuarios where cuentas_tipos.anulado_por = usuarios.idusu) as borrado_por
from cuentas_tipos 
where 
 estado = 6
order by idcuenta_tipo asc";
$rs2 = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));

$anulados = $rs2->RecordCount();
?>

<!DOCTYPE html>

<head>
	<?php require_once("../includes/head_gen.php"); ?>
</head>

<body class="nav-md">
	<div class="container body">
		<div class="main_container">
			<?php require_once("../includes/menu_gen.php"); ?>

			<!-- top navigation -->
			<?php require_once("../includes/menu_top_gen.php"); ?>

			<!-- page content -->
			<div class="right_col" role="main">
				<div class="">
					<div class="page-title">
					</div>
					<div class="clearfix"></div>
					<?php require_once("../includes/lic_gen.php"); ?>

					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_title">
									<h2>Tipos de Membresias</h2>
									<ul class="nav navbar-right panel_toolbox">
										<li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
										</li>
									</ul>
									<div class="clearfix"></div>
								</div>
								<div class="x_content">
									<p><a href="well_tipos_membresia_add.php" class="btn btn-sm btn-default"><span class="fa fa-plus"></span> Agregar</a></p>
									<hr />
									<div class="table-responsive">
										<table width="100%" class="table table-bordered jambo_table bulk_action">
											<thead>
												<tr>
													<th></th>
													<th align="center">Idcuenta tipo</th>
													<th align="center">Limite personas</th>
													<th align="center">Plan adherente</th>
													<th align="center">Descripcion</th>
													<th align="center">Monto</th>
													<th align="center">Especial</th>
													<th align="center">Frecuencia</th>
													<th align="center">Sucursal</th>
													<th align="center">Regitrado el</th>
													<th align="center">Registrado por</th>
												</tr>
											</thead>
											<tbody>
												<?php while (!$rs->EOF) { ?>
													<tr>
														<td>
															<div class="btn-group">
																<a href="well_tipos_membresia_edit.php?id=<?php echo $rs->fields['idcuenta_tipo']; ?>" class="btn btn-sm btn-default" title="Editar" data-toggle="tooltip" data-placement="right" data-original-title="Editar"><span class="fa fa-edit"></span></a>
																<a href="well_tipos_membresia_del.php?id=<?php echo $rs->fields['idcuenta_tipo']; ?>" class="btn btn-sm btn-default" title="Borrar" data-toggle="tooltip" data-placement="right" data-original-title="Borrar"><span class="fa fa-trash-o"></span></a>
															</div>
														</td>
														<td align="center"><?php echo antixss($rs->fields['idcuenta_tipo']); ?></td>
														<td align="center"><?php echo intval($rs->fields['limite_personas']); ?></td>
														<td align="center"><?php echo antixss($rs->fields['plan_adherente']); ?></td>
														<td align="center"><?php echo antixss($rs->fields['descripcion']); ?></td>
														<td align="right"><?php echo formatomoneda($rs->fields['monto']);  ?></td>
														<td align="center"><?php echo antixss($rs->fields['especial']); ?></td>
														<td align="center"><?php echo intval($rs->fields['frecuencia']); ?></td>
														<td align="center"><?php echo antixss($rs->fields['sucursal']); ?></td>
														<td align="center"><?php if ($rs->fields['regitrado_el'] != "") {
																				echo date("d/m/Y H:i:s", strtotime($rs->fields['regitrado_el']));
																			}  ?></td>
														<td align="center"><?php echo antixss($rs->fields['registrado_por']); ?></td>
													</tr>
												<?php $rs->MoveNext();
												} //$rs->MoveFirst(); 
												?>
											</tbody>
										</table>
									</div>
									<br />
								</div>
							</div>
						</div>
					</div>

					<!-- Anulados -->
					<?php if ($anulados > 0) { ?>
						<div class="row">
							<div class="col-md-12 col-sm-12 col-xs-12">
								<div class="x_panel">
									<div class="x_title">
										<h2>Membresias Anuladas</h2>
										<ul class="nav navbar-right panel_toolbox">
											<li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
											</li>
										</ul>
										<div class="clearfix"></div>
									</div>
									<div class="x_content">
										<hr />
										<div class="table-responsive">
											<table width="100%" class="table table-bordered jambo_table bulk_action">
												<thead>
													<tr>
														<th align="center">Idcuenta tipo</th>
														<th align="center">Limite personas</th>
														<th align="center">Plan adherente</th>
														<th align="center">Descripcion</th>
														<th align="center">Monto</th>
														<th align="center">Especial</th>
														<th align="center">Frecuencia</th>
														<th align="center">Anulado el</th>
														<th align="center">Anulado por</th>
													</tr>
												</thead>
												<tbody>
													<?php while (!$rs2->EOF) { ?>
														<tr>
															<td align="center"><?php echo antixss($rs2->fields['idcuenta_tipo']); ?></td>
															<td align="center"><?php echo intval($rs2->fields['limite_personas']); ?></td>
															<td align="center"><?php echo antixss($rs2->fields['plan_adherente']); ?></td>
															<td align="center"><?php echo antixss($rs2->fields['descripcion']); ?></td>
															<td align="right"><?php echo formatomoneda($rs2->fields['monto']);  ?></td>
															<td align="center"><?php echo antixss($rs2->fields['especial']); ?></td>
															<td align="center"><?php echo intval($rs2->fields['frecuencia']); ?></td>
															<td align="center"><?php if ($rs2->fields['anulado_el'] != "") {
																					echo date("d/m/Y H:i:s", strtotime($rs2->fields['anulado_el']));
																				}  ?></td>
															<td align="center"><?php echo ($rs2->fields['borrado_por']); ?></td>
														</tr>
													<?php $rs2->MoveNext();
													} //$rs->MoveFirst(); 
													?>
												</tbody>
											</table>
										</div>
										<br />
									</div>
								</div>
							</div>
						</div>
					<?php } ?>
				</div>
			</div>

			<!-- POPUP DE MODAL OCULTO -->
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
				<div class="modal-dialog modal-lg">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
							<h4 class="modal-title" id="modal_titulo">Titulo</h4>
						</div>
						<div class="modal-body" id="modal_cuerpo">
							Contenido...
						</div>
						<div class="modal-footer" id="modal_pie">
							<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
						</div>
					</div>
				</div>
			</div>

			<!-- footer content -->
			<?php require_once("../includes/pie_gen.php"); ?>
		</div>
	</div>
	<?php require_once("../includes/footer_gen.php"); ?>
</body>

</html>