<?php
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$dirsup = 'S';
$modulo = "38";
$submodulo = "558";
require_once("../includes/rsusuario.php");

$idcuenta_tipo = intval($_GET['id']);
if ($idcuenta_tipo == 0) {
	header("location: cuentas_tipos.php");
	exit;
}

// consulta a la tabla	
$consulta = "
select * 
from cuentas_tipos 
where 
idcuenta_tipo = $idcuenta_tipo
and estado = 1
limit 1";
$rs = $conexion->Execute($consulta) or die(errorpg($conexion, $consulta));

$idcuenta_tipo = intval($rs->fields['idcuenta_tipo']);
$idsu = intval($rs->fields['idsucursal']);

if ($idcuenta_tipo == 0) {
	header("location: cuentas_tipos.php");
	exit;
}

if (isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1') {

	// validaciones basicas
	$valido = "S";
	$errores = "";

	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if ($_SESSION['form_control'] != $_POST['form_control']) {
		$errores .= "- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido = "N";
	}
	if (trim($_POST['form_control']) == '') {
		$errores .= "- Control del formularios no activado.<br />";
		$valido = "N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots


	// recibe parametros
	$idcuenta_tipo = antisqlinyeccion($_POST['octipo'], "text");
	$limite_personas = antisqlinyeccion($_POST['limite_personas'], "int");
	$plan_adherente = antisqlinyeccion($_POST['plan_adherente'], "text");
	$descripcion = antisqlinyeccion($_POST['descripcion'], "text");
	$estado = 1;
	$monto = antisqlinyeccion($_POST['monto'], "float");
	$especial = antisqlinyeccion($_POST['especial'], "text");
	$frecuencia = antisqlinyeccion($_POST['frecuencia'], "int");
	$regitrado_el = date("Y-m-d H:i:s");
	$regitrado_el = antisqlinyeccion($regitrado_el, "date");
	$registrado_por = $idusu;
	$anulado_el = antisqlinyeccion($_POST['anulado_el'], "text");
	$anulado_por = antisqlinyeccion($_POST['anulado_por'], "int");
	$idsucu = antisqlinyeccion($_POST['sucursal'], 'int');

	if (trim($_POST['idcuenta_tipo']) == '') {
		//$valido="N";
		//$errores.=" - El campo idcuenta_tipo no puede estar vacio.<br />";	
	}
	if (intval($_POST['limite_personas']) == 0) {
		$valido = "N";
		$errores .= " - El campo limite_personas no puede ser cero o nulo.<br />";
	}
	// if (trim($_POST['plan_adherente']) == '') {
	// 	$valido = "N";
	// 	$errores .= " - El campo plan_adherente no puede estar vacio.<br />";
	// }
	if (trim($_POST['descripcion']) == '') {
		$valido = "N";
		$errores .= " - El campo descripcion no puede estar vacio.<br />";
	}
	/* 
monto 
	if(floatval($_POST['monto']) <= 0){
		$valido="N";
		$errores.=" - El campo monto no puede ser cero o negativo.<br />";	
	}
*/
	/* 
especial 
	if(trim($_POST['especial']) == ''){
		$valido="N";
		$errores.=" - El campo especial no puede estar vacio.<br />";	
	}
*/
	/* 
frecuencia 
	if(intval($_POST['frecuencia']) == 0){
		$valido="N";
		$errores.=" - El campo frecuencia no puede ser cero o nulo.<br />";	
	}
*/
	if (trim($_POST['regitrado_el']) == '') {
		//$valido="N";
		//$errores.=" - El campo regitrado_el no puede estar vacio.<br />";	
	}
	/* 
anulado_el 
	if(trim($_POST['anulado_el']) == ''){
		$valido="N";
		$errores.=" - El campo anulado_el no puede estar vacio.<br />";	
	}
*/
	/* 
anulado_por 
	if(intval($_POST['anulado_por']) == 0){
		$valido="N";
		$errores.=" - El campo anulado_por no puede ser cero o nulo.<br />";	
	}
*/


	// si todo es correcto actualiza
	if ($valido == "S") {

		$consulta = "
		update cuentas_tipos
		set
			limite_personas=$limite_personas,
			plan_adherente=$plan_adherente,
			descripcion=$descripcion,
			monto=$monto,
			especial=$especial,
			frecuencia=$frecuencia,
			regitrado_el=$regitrado_el,
			anulado_el=$anulado_el,
			anulado_por=$anulado_por,
			idsucursal=$idsucu
		where
			idcuenta_tipo = $idcuenta_tipo
			and estado = 1
		";
		$conexion->Execute($consulta) or die(errorpg($conexion, $consulta));

		header("location: well_tipos_membresia.php");
		exit;
	}
}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());

?>
<!DOCTYPE html>

<head>
	<?php require_once("../includes/head_gen.php"); ?>
</head>


<body class="nav-md">
	<div class="container body">
		<div class="main_container">
			<?php require_once("../includes/menu_gen.php"); ?>

			<!-- top navigation -->
			<?php require_once("../includes/menu_top_gen.php"); ?>
			<!-- /top navigation -->

			<!-- page content -->
			<div class="right_col" role="main">
				<div class="">
					<div class="page-title">
					</div>
					<div class="clearfix"></div>
					<?php require_once("../includes/lic_gen.php"); ?>


					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_title">
									<h2>Editar tipos de membresias</h2>
									<ul class="nav navbar-right panel_toolbox">
										<li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
										</li>
									</ul>
									<div class="clearfix"></div>
								</div>
								<div class="x_content">
									<?php if (trim($errores) != "") { ?>
										<div class="alert alert-danger alert-dismissible fade in" role="alert">
											<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
											</button>
											<strong>Errores:</strong><br /><?php echo $errores; ?>
										</div>
									<?php } ?>
									<form id="form1" name="form1" method="post" action="">
										<div class="col-md-6 col-sm-6 form-group">
											<label class="control-label col-md-3 col-sm-3 col-xs-12">Descripcion *</label>
											<div class="col-md-9 col-sm-9 col-xs-12">
												<input type="text" name="descripcion" id="descripcion" value="<?php if (isset($_POST['descripcion'])) {
																													echo htmlentities($_POST['descripcion']);
																												} else {
																													echo htmlentities($rs->fields['descripcion']);
																												} ?>" placeholder="Descripcion" class="form-control" required="required" />
											</div>
										</div>
										<div class="col-md-6 col-sm-6 form-group">
											<label class="control-label col-md-3 col-sm-3 col-xs-12">Limite personas *</label>
											<div class="col-md-9 col-sm-9 col-xs-12">
												<input type="text" name="limite_personas" id="limite_personas" value="<?php if (isset($_POST['limite_personas'])) {
																															echo intval($_POST['limite_personas']);
																														} else {
																															echo intval($rs->fields['limite_personas']);
																														} ?>" placeholder="Limite personas" class="form-control" required="required" />
											</div>
										</div>

										<div class="col-md-6 col-sm-6 form-group">
											<label class="control-label col-md-3 col-sm-3 col-xs-12">Plan adherente *</label>
											<div class="col-md-9 col-sm-9 col-xs-12">
												<select name="plan_adherente" id="plan_adherente" required class="form-control">
													<option value="" selected="selected">Seleccionar</option>
													<option value="S" <?php if ($_REQUEST['plan_adherente'] == 'S') { ?>selected="selected" <?php } ?><?php if ($rs->fields['plan_adherente'] == 'S') { ?>selected="selected" <?php } ?>>SI, incluir adherentes con el plan</option>
													<option value="N" <?php if ($_REQUEST['plan_adherente'] == 'N') { ?> selected="selected" <?php } ?><?php if ($rs->fields['plan_adherente'] == 'N') { ?>selected="selected" <?php } ?>>NO incluir adherentes con el plan</option>
												</select>
											</div>
										</div>
										<input type="hidden" name="octipo" id="octipo" value="<?php echo $idcuenta_tipo ?>" />


										<div class="col-md-6 col-sm-6 form-group">
											<label class="control-label col-md-3 col-sm-3 col-xs-12">Monto </label>
											<div class="col-md-9 col-sm-9 col-xs-12">
												<input type="text" name="monto" id="monto" value="<?php if (isset($_POST['monto'])) {
																										echo floatval($_POST['monto']);
																									} else {
																										echo floatval($rs->fields['monto']);
																									} ?>" placeholder="Monto" class="form-control" />
											</div>
										</div>

										<div class="col-md-6 col-sm-6 form-group">
											<label class="control-label col-md-3 col-sm-3 col-xs-12">Especial </label>
											<div class="col-md-9 col-sm-9 col-xs-12">
												<select name="especial" id="especial" required class="form-control">
													<option value="" selected="selected">Seleccionar</option>
													<option value="S" <?php if ($_REQUEST['especial'] == 'S') { ?>selected="selected" <?php } ?><?php if ($rs->fields['especial'] == 'S') { ?>selected="selected" <?php } ?>>SI</option>
													<option value="N" <?php if ($_REQUEST['especial'] == 'N') { ?> selected="selected" <?php } ?><?php if ($rs->fields['especial'] == 'N') { ?>selected="selected" <?php } ?>>NO </option>
												</select>



											</div>
										</div>


										<div class="col-md-6 col-sm-6 form-group">
											<label class="control-label col-md-3 col-sm-3 col-xs-12">Frecuencia Dias</label>
											<div class="col-md-9 col-sm-9 col-xs-12">
												<input type="text" name="frecuencia" id="frecuencia" value="<?php if (isset($_POST['frecuencia'])) {
																												echo intval($_POST['frecuencia']);
																											} else {
																												echo intval($rs->fields['frecuencia']);
																											} ?>" placeholder="Frecuencia" class="form-control" />
											</div>
										</div>

										<?php
										$buscar = "Select * from sucursales where estado <>6 order by nombre asc";
										$rssucu = $conexion->Execute($buscar) or die(errorpg($conexion, $buscar));
										?>
										<div class="col-md-6 col-sm-6 form-group">
											<label class="control-label col-md-3 col-sm-3 col-xs-12">Sucursal </label>
											<div class="col-md-9 col-sm-9 col-xs-12">
												<select name="sucursal" class="form-control" id="sucursal">
													<option value="" <?php echo ($idsu == 0) ? 'selected="selected"' : ''; ?>>Todas</option>
													<?php while (!$rssucu->EOF) { ?>
														<option value="<?php echo $rssucu->fields['idsucu']; ?>" <?php echo ($idsu == $rssucu->fields['idsucu']) ? 'selected="selected"' : ''; ?> <?php if ($_REQUEST['sucursal'] == $rssucu->fields['idsucu']) { ?> selected="selected" <?php } ?><?php $ns = trim($rssucu->fields['nombre']); ?>><?php echo $rssucu->fields['nombre']; ?></option>
													<?php $rssucu->MoveNext();
													}
													?>
												</select>
											</div>
										</div>

										<div class="clearfix"></div>
										<br />

										<div class="form-group">
											<div class="col-md-12 col-sm-12 col-xs-12 text-center">

												<button type="submit" class="btn btn-success"><span class="fa fa-check-square-o"></span> Registrar</button>
												<button type="button" class="btn btn-primary" onMouseUp="document.location.href='well_tipos_membresia.php'"><span class="fa fa-ban"></span> Cancelar</button>
											</div>
										</div>

										<input type="hidden" name="MM_update" value="form1" />
										<input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
										<br />
									</form>
									<div class="clearfix"></div>
									<br /><br />
								</div>
							</div>
						</div>
					</div>


				</div>
			</div>
			<!-- /page content -->

			<!-- POPUP DE MODAL OCULTO -->
			<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true" id="modal_ventana">
				<div class="modal-dialog modal-lg">
					<div class="modal-content">

						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span></button>
							<h4 class="modal-title" id="modal_titulo">Titulo</h4>
						</div>
						<div class="modal-body" id="modal_cuerpo">
							Contenido...
						</div>
						<div class="modal-footer" id="modal_pie">
							<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
						</div>

					</div>
				</div>
			</div>
			<!-- POPUP DE MODAL OCULTO -->

			<!-- footer content -->
			<?php require_once("../includes/pie_gen.php"); ?>
			<!-- /footer content -->
		</div>
	</div>
	<?php require_once("../includes/footer_gen.php"); ?>
</body>

</html>