<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");

set_time_limit(0);

$buscar="Select * from preferencias where idempresa=1";
$rsco=$conexion->Execute($buscar) or die (errorpg($conexion,$buscar));
if($rsco->fields['master_franq'] != 'S'){
	echo "Este local no es master franquicia.";
	exit;	
}


//$idfranquicia=intval($_POST['idfranquicia']);
require_once("seguridad_ws.php");


// falta proveedores, y recetas de produccion

function limpia_json($texto){
	global $saltolinea;
	
	$texto=str_replace($saltolinea,'',$texto);
	$texto=utf8_encode($texto);
	$respuesta=$texto;
	return $respuesta;	
}

// registrar log de inicio sincronizacion
$ip=solonumeros(str_replace('.','',$_SERVER['REMOTE_ADDR']));
$contran=date("YmdHis").$ip.rand(5,15);

// registra el log
$consulta="
INSERT INTO sincronizacion_clientes
(fecha_inicio, fecha_fin, idsincronizacion_tipo, finalizo_ok, contran, idfranquicia) 
VALUES
('$ahora',NULL,1,'N', '$contran', $idfranquicia)
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

// busca el ultimo insertado
$consulta="
select idsincronizacioncli
from sincronizacion_clientes 
where 
contran = $contran 
order by idsincronizacioncli desc 
limit 1
";
$rssinc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idsincronizacioncli=intval($rssinc->fields['idsincronizacioncli']);

$origen="BD";
$nombre_archivo=str_replace("/","",$_REQUEST['nombre_archivo']);
$extension_archivo=end(explode(".", $nombre_archivo));
// valida extension por seguridad
if($_REQUEST['usa_archivo'] == 's'){
	if($extension_archivo != 'json'){
		$nombre_archivo="";	
		echo "Nombre de archivo incorrecto.";
		exit;
	}
	if(file_exists($nombre_archivo)){
		$origen="ARCH";
	}
}

if($origen == 'BD'){
	
		
	// trae categorias
	$consulta="
	SELECT id_categoria as idcategoria, nombre as categoria, estado
	FROM categorias
	 WHERE 
	 estado = 1
	 order by id_categoria asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$categorias_ar=array();
	while (!$rs->EOF){
		//$categorias_ar[]=$rs->fields;
		$categorias_ar[]=array(
			'idcategoria' => $rs->fields['idcategoria'], 
			'categoria' => limpia_json($rs->fields['categoria']),
			'estado' => $rs->fields['estado']
		);
	$rs->MoveNext(); }
	//print_r($categorias_ar);
	//exit;
	
	// trae subcategorias
	$consulta="
	SELECT idsubcate as idsubcategoria, idcategoria, descripcion as subcategoria, estado
	FROM sub_categorias
	WHERE 
	estado = 1
	order by idsubcate asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$subcategorias_ar=array();
	while (!$rs->EOF){
		//$subcategorias_ar[]=$rs->fields;
		$subcategorias_ar[]=array(
			'idsubcategoria' => $rs->fields['idsubcategoria'], 
			'idcategoria' => $rs->fields['idcategoria'], 
			'subcategoria' => limpia_json($rs->fields['subcategoria']),
			'estado' => $rs->fields['estado']
		);
	$rs->MoveNext(); }
	//print_r($subcategorias_ar);
	//exit;
	
	// marcas
	
	
	
	
	// trae productos
	$consulta="
	select idprod_serial as idproducto,idtipoproducto, replace(descripcion,'\n',' ') as producto,
	idcategoria,idsubcate as idsubcategoria,idmedida,
	precio_min,precio_max,tipoiva as iva,
	p1 as precio,barcode,combinado_tipoprecio,
	combinado_maxitem,idmarca,combinado_minitem
	from productos 
	where 
	borrado = 'N'
	order by idprod_serial asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$productos_ar=array();
	while (!$rs->EOF){
		//$productos_ar[]=$rs->fields;
		$productos_ar[]=array(
			'idproducto' => $rs->fields['idproducto'], 
			'idtipoproducto' => $rs->fields['idtipoproducto'],
			'producto' => limpia_json($rs->fields['producto']),
			'idcategoria' => $rs->fields['idcategoria'],
			'idsubcategoria' => $rs->fields['idsubcategoria'],
			'idmedida' => $rs->fields['idmedida'],
			'precio_min' => $rs->fields['precio_min'],
			'precio_max' => $rs->fields['precio_max'],
			'iva' => $rs->fields['iva'],
			'precio' => $rs->fields['precio'],
			'barcode' => limpia_json($rs->fields['barcode']),
			'combinado_tipoprecio' => $rs->fields['combinado_tipoprecio'],
			'combinado_maxitem' => $rs->fields['combinado_maxitem'],
			'idmarca' => $rs->fields['idmarca'],
			'combinado_minitem' => $rs->fields['combinado_minitem']
		);
	$rs->MoveNext(); }
	//$productos_ar=mb_convert_encoding($productos_ar,'UTF8');
	//print_r($productos_ar);
	//$json=json_encode($productos_ar, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
	//echo $json;
	//$json_dec=json_decode($json);
	//print_r($json_dec);
	//exit;
	
	// trae insumos
	$consulta="
	SELECT 
	idinsumo, idproducto, descripcion, idcategoria, idsubcate as idsubcategoria, idmedida, produccion,  
	tipoiva as iva_compra, mueve_stock, paquete, cant_paquete, estado,  idgrupoinsu, ajuste, hab_compra, hab_invent,
	idconcepto, solo_conversion, aplica_regalia 
	FROM insumos_lista 
	WHERE
	estado = 'A'
	order by idinsumo asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$insumos_ar=array();
	while (!$rs->EOF){
		//$insumos_ar[]=$rs->fields;
		$insumos_ar[]=array(
			'idinsumo' => $rs->fields['idinsumo'],
			'idproducto' => $rs->fields['idproducto'],
			'descripcion' => limpia_json($rs->fields['descripcion']),
			'idcategoria' => $rs->fields['idcategoria'],
			'idsubcategoria' => $rs->fields['idsubcategoria'],
			'idmedida' => $rs->fields['idmedida'],
			'produccion' => $rs->fields['produccion'],
			'iva_compra' => $rs->fields['iva_compra'],
			'mueve_stock' => $rs->fields['mueve_stock'],
			'paquete' => $rs->fields['paquete'],
			'cant_paquete' => $rs->fields['cant_paquete'],
			'estado' => $rs->fields['estado'],
			'idgrupoinsu' => $rs->fields['idgrupoinsu'],
			'ajuste' => $rs->fields['ajuste'],
			'hab_compra' => $rs->fields['hab_compra'],
			'hab_invent' => $rs->fields['hab_invent'],
			'idconcepto' => $rs->fields['idconcepto'],
			'solo_conversion' => $rs->fields['solo_conversion'],
			'aplica_regalia' => $rs->fields['aplica_regalia']
		);
	$rs->MoveNext(); }
	//print_r($insumos_ar);
	//exit;
	
	// trae ingredientes
	$consulta="
	SELECT idingrediente, idinsumo, estado
	FROM ingredientes
	order by idingrediente asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$ingredientes_ar=array();
	while (!$rs->EOF){
		//$recetas_ar[]=$rs->fields;
		$ingredientes_ar[]=array(
			'idingrediente' => $rs->fields['idingrediente'],
			'idinsumo' => $rs->fields['idinsumo'],
			'estado' => $rs->fields['estado']
		);
	$rs->MoveNext(); }
	
	// trae recetas
	$consulta="
	SELECT idreceta,  idproducto, estado
	FROM recetas
	where 
	estado = 1
	order by idreceta asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$recetas_ar=array();
	while (!$rs->EOF){
		//$recetas_ar[]=$rs->fields;
		$recetas_ar[]=array(
			'idreceta' => $rs->fields['idreceta'],
			'idproducto' => $rs->fields['idproducto'],
			'estado' => $rs->fields['estado']
		);
	$rs->MoveNext(); }
	
	// trae recetas detalles
	$consulta="
	SELECT idreceta_detalle as idrecetadet, idreceta, idprod as idproducto, ingrediente as idingrediente, cantidad, sacar 
	FROM recetas_detalles
	WHERE
	idreceta in (select idreceta from recetas where estado = 1)
	order by idreceta_detalle asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$recetas_det_ar=array();
	while (!$rs->EOF){
		//$recetas_det_ar[]=$rs->fields;
		$recetas_det_ar[]=array(
			'idrecetadet' => $rs->fields['idrecetadet'],
			'idreceta' => $rs->fields['idreceta'],
			'idproducto' => $rs->fields['idproducto'],
			'idingrediente' => $rs->fields['idingrediente'],
			'cantidad' => $rs->fields['cantidad'],
			'sacar' => $rs->fields['sacar']
		);
	$rs->MoveNext(); }
	
	
	// trae productos_sucursales
	$consulta="
	SELECT idproducto, activo_suc, precio 
	FROM productos_sucursales
	order by idproducto asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$productos_sucursales_ar=array();
	while (!$rs->EOF){
		//$recetas_det_ar[]=$rs->fields;
		$productos_sucursales_ar[]=array(
			'idproducto' => $rs->fields['idproducto'],
			'activo_suc' => $rs->fields['activo_suc'],
			'precio' => $rs->fields['precio']
		);
	$rs->MoveNext(); }
	
	// trae productos_combinado
	$consulta="
	SELECT idproducto_principal, idproducto_partes 
	FROM productos_combinado
	order by idproducto_principal asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$productos_combinado_ar=array();
	while (!$rs->EOF){
		//$recetas_det_ar[]=$rs->fields;
		$productos_combinado_ar[]=array(
			'idproducto_principal' => $rs->fields['idproducto_principal'],
			'idproducto_partes' => $rs->fields['idproducto_partes']
		);
	$rs->MoveNext(); }
	
	// trae combos_listas
	$consulta="
	SELECT idlistacombo, nombre, idproducto, cantidad, estado 
	FROM combos_listas
	where 
	estado = 1
	order by idlistacombo asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$combos_listas_ar=array();
	while (!$rs->EOF){
		//$recetas_det_ar[]=$rs->fields;
		$combos_listas_ar[]=array(
			'idlistacombo' => $rs->fields['idlistacombo'],
			'nombre' => limpia_json($rs->fields['nombre']),
			'idproducto' => $rs->fields['idproducto'],
			'cantidad' => $rs->fields['cantidad']
		);
	$rs->MoveNext(); }
	
	
	// trae combos_listas_det
	$consulta="
	SELECT idlistacombodet, idlistacombo, idproducto
	FROM combos_listas_det
	where 
	estado = 1
	order by idlistacombodet asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$combos_listas_det_ar=array();
	while (!$rs->EOF){
		//$recetas_det_ar[]=$rs->fields;
		$combos_listas_det_ar[]=array(
			'idlistacombodet' => $rs->fields['idlistacombodet'],
			'idlistacombo' => $rs->fields['idlistacombo'],
			'idproducto' => $rs->fields['idproducto']
		);
	$rs->MoveNext(); }
	
	// trae agregado
	$consulta="
	SELECT idproducto, idingrediente, precio_adicional, cantidad, transferible, borrable
	FROM agregado
	order by idproducto asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$agregado_ar=array();
	while (!$rs->EOF){
		//$recetas_det_ar[]=$rs->fields;
		$agregado_ar[]=array(
			'idproducto' => $rs->fields['idproducto'],
			'idingrediente' => $rs->fields['idingrediente'],
			'precio_adicional' => $rs->fields['precio_adicional'],
			'cantidad' => $rs->fields['cantidad'],
			'transferible' => $rs->fields['transferible'],
			'borrable' => $rs->fields['borrable']
		);
	$rs->MoveNext(); }
	
	// trae prod_lista_objetivos
	$consulta="
	SELECT unicopkss, idprod_serial, idinsumo
	FROM prod_lista_objetivos
	where 
	estado = 1
	order by unicopkss asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$prod_lista_objetivos_ar=array();
	while (!$rs->EOF){
		//$recetas_det_ar[]=$rs->fields;
		$prod_lista_objetivos_ar[]=array(
			'unicopkss' => $rs->fields['unicopkss'],
			'idprod_serial' => $rs->fields['idprod_serial'],
			'idinsumo' => $rs->fields['idinsumo']
		);
	$rs->MoveNext(); }
	
	// trae recetas_produccion
	$consulta="
	SELECT 
	idreceta, nombre, idobjetivo, cantidad_resultante
	FROM recetas_produccion
	where 
	estado = 1
	order by idreceta asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$recetas_produccion_ar=array();
	while (!$rs->EOF){
		//$recetas_det_ar[]=$rs->fields;
		$recetas_produccion_ar[]=array(
			'idreceta' => $rs->fields['idreceta'],
			'nombre' => limpia_json($rs->fields['nombre']),
			'idobjetivo' => $rs->fields['idobjetivo'],
			'cantidad_resultante' => $rs->fields['cantidad_resultante']
		);
	$rs->MoveNext(); }
	
	
	// trae recetas_detalles_produccion
	$consulta="
	SELECT idreceta_detalleprod, idreceta, idobjetivo, idinsumo, cantidad, sacar, vinculado
	FROM recetas_detalles_produccion
	where 
	idreceta in (select idreceta from recetas_produccion where estado = 1)
	order by idreceta_detalleprod asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$recetas_detalles_produccion_ar=array();
	while (!$rs->EOF){
		//$recetas_det_ar[]=$rs->fields;
		$recetas_detalles_produccion_ar[]=array(
			'idreceta_detalleprod' => $rs->fields['idreceta_detalleprod'],
			'idreceta' => $rs->fields['idreceta'],
			'idobjetivo' => $rs->fields['idobjetivo'],
			'idinsumo' => $rs->fields['idinsumo'],
			'cantidad' => $rs->fields['cantidad'],
			'sacar' => $rs->fields['sacar'],
			'vinculado' => $rs->fields['vinculado']
		);
	$rs->MoveNext(); }
	
	
	
	// trae productos_franquicias
	$consulta="
	SELECT idproducto, idfranquicia
	FROM productos_franquicias

	order by idproducto asc
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	/*
	where 
	idfranquicia = $idfranquicia
	*/
	$array=$rs->fields;
	$productos_franquicias_ar=array();
	while (!$rs->EOF){
		//$productos_franquicias_ar[]=$rs->fields;
		$productos_franquicias_ar[]=array(
			'idproducto' => $rs->fields['idproducto'],
			'idfranquicia' => $rs->fields['idfranquicia']
		);
	$rs->MoveNext(); }
	
	
	
	// trae grupo de conceptos
	$consulta="
	SELECT idgrupo, descripcion, estado, borrable, solo_master_fran 
	FROM cn_grupos
	WHERE 
	idgrupo < 100000
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$cn_grupos_ar=array();
	while (!$rs->EOF){
		//$cn_grupos_ar[]=$rs->fields;
		$cn_grupos_ar[]=array(
			'idgrupo' => $rs->fields['idgrupo'],
			'descripcion' => limpia_json($rs->fields['descripcion']),
			'estado' => $rs->fields['estado'],
			'borrable' => limpia_json($rs->fields['borrable']),
			'solo_master_fran' => limpia_json($rs->fields['solo_master_fran'])
		);
	$rs->MoveNext(); }
	
	// trae conceptos
	$consulta="
	SELECT idconcepto, idgrupo, descripcion, estado, borrable, solo_master_fran 
	FROM cn_conceptos 
	WHERE 
	idconcepto < 100000
	";
	$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$array=$rs->fields;
	$cn_conceptos_ar=array();
	while (!$rs->EOF){
		//$cn_conceptos_ar[]=$rs->fields;
		$cn_conceptos_ar[]=array(
			'idconcepto' => $rs->fields['idconcepto'],
			'idgrupo' => $rs->fields['idgrupo'],
			'descripcion' => limpia_json($rs->fields['descripcion']),
			'estado' => $rs->fields['estado'],
			'borrable' => limpia_json($rs->fields['borrable']),
			'solo_master_fran' => limpia_json($rs->fields['solo_master_fran'])
		);
	$rs->MoveNext(); }





} // if($origen == 'BD'){

if($origen == 'BD'){
	$arr=array(
		'categorias' => $categorias_ar,
		'subcategorias' => $subcategorias_ar,
		'marcas' =>  $marcas_ar,
		'productos' =>  $productos_ar,
		'insumos' =>  $insumos_ar,
		'ingredientes' => $ingredientes_ar,
		'recetas' => $recetas_ar,
		'recetas_det' => $recetas_det_ar,
		'productos_sucursales' => $productos_sucursales_ar,
		'productos_combinado' => $productos_combinado_ar,
		'combos_listas' => $combos_listas_ar,
		'combos_listas_det' => $combos_listas_det_ar,
		'agregado' => $agregado_ar,
		'prod_lista_objetivos' => $prod_lista_objetivos_ar,
		'recetas_produccion' => $recetas_produccion_ar,
		'recetas_detalles_produccion' => $recetas_detalles_produccion_ar,
		'productos_franquicias' => $productos_franquicias_ar,
		'cn_grupos' => $cn_grupos_ar,
		'cn_conceptos' => $cn_conceptos_ar,
		'idsincronizacioncli' => $idsincronizacioncli,
		'valido' => 'S'
	);
	// convierte a formato json
	$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
	
}

// si usa archivo
if($_REQUEST['usa_archivo'] == 's'){
	// si no existe el archivo crea
	if(!file_exists($nombre_archivo)){
		// crear archivo
		$fp=fopen($nombre_archivo,"w+");
		fwrite($fp, $respuesta);
		fclose($fp);
	}
	$origen="ARCH";
}
// si el origen es archivo, lee
if($origen == 'ARCH'){
	$contenido_archivo=file_get_contents($nombre_archivo);
	$arr=json_decode($contenido_archivo,true);
	$arr['idsincronizacioncli'] = $idsincronizacioncli;
	// convierte a formato json
	$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);
	
}

// devuelve la respuesta formateada
echo $respuesta;





?>