<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");

set_time_limit(0);

$consulta="Select * from preferencias where idempresa=1";
$rsco=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
if($rsco->fields['master_franq'] == 'S'){
	echo "Este local es master franquicia, no se debe sincronizar.";
	exit;	
}

$url_master_fran=trim(strtolower($rsco->fields['url_master_fran']));

$consulta="
select * from empresas where idempresa = 1
";
$rsemp=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
$idfranquicia=intval($rsemp->fields['idfranquicia']);

// URL de sincronizacion
$url=$url_master_fran."ws/ws_productos.php";


function limpia_json_rec($texto){
	$texto=utf8_decode($texto);
	$respuesta=$texto;
	return $respuesta;	
}

function getUrlContent($url,$postdata) {
    $parts = parse_url($url);
    $host = $parts['host'];
    $ch = curl_init();
    $header = array(
		'GET /1575051 HTTP/1.1',
        "Host: {$host}",
        'Accept:text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8',
        'Accept-Language:en-US,en;q=0.8',
        'Cache-Control:max-age=0',
        'Connection:keep-alive',
        'User-Agent:Mozilla/5.0 (Macintosh; Intel Mac OS X 10_8_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/27.0.1453.116 Safari/537.36',
    );
	//print_r($header);

    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 0);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $postdata);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
    $result = curl_exec($ch);
    curl_close($ch);
    return $result;
}

// traer de la BD
$key="e027bd527a89fcfd08dd83f879943868+81ca1cbe9767cce58056c27cde60a2a6*-100151d7701a8e55cab3f5272e88e9d8";
$postdata = array(
	'key'=>$key,
	'idfranquicia' => $idfranquicia,
	'url_franq' => strtolower(trim($_SERVER['HTTP_HOST'])),
	'nombre_archivo' => $_REQUEST['nombre_archivo'],
	'usa_archivo' => $_REQUEST['usa_archivo'],
);
//print_r($postdata);exit;
http_build_query($postdata);



//echo $url;
$respuesta=getUrlContent($url,$postdata);

//echo $respuesta;

$datos=json_decode($respuesta,true);

///print_r($datos);

if($datos['valido'] == 'S'){

	
	$ip=solonumeros(str_replace('.','',$_SERVER['REMOTE_ADDR']));
	$contran=date("YmdHis").$ip.rand(5,15);
	//echo $ip;
	
	// registra el log
	$consulta="
	INSERT INTO sincronizacion
	(fecha_inicio, fecha_fin, idsincronizacion_tipo, finalizo_ok, contran) 
	VALUES
	('$ahora',NULL,1,'N', '$contran')
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// busca el ultimo insertado
	$consulta="
	select idsincronizacion 
	from sincronizacion 
	where 
	contran = '$contran' 
	order by idsincronizacion desc 
	limit 1
	";
	$rssinc=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$idsincronizacion=intval($rssinc->fields['idsincronizacion']);
	
	
	
	
	/* 1 VACIA TABLAS TEMPORALES */
	$consulta="truncate table categorias_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="truncate table sub_categorias_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="truncate table categorias_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="truncate table productos_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="truncate table insumos_lista_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="truncate table recetas_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="truncate table recetas_detalles_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="truncate table productos_combinado_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="truncate table combos_listas_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="truncate table combos_listas_det_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="truncate table agregado_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="truncate table productos_sucursales_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="truncate table prod_lista_objetivos_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="truncate table recetas_produccion_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="truncate table recetas_detalles_produccion_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="truncate table ingredientes_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="truncate table productos_franquicias;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="truncate table cn_grupos_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="truncate table cn_conceptos_tmp;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
	
	/* 2 INSERTA TABLAS TEMPORALES */
	
	// inserta categoria en tabla temporal
	$categorias_ar=$datos['categorias'];
	//print_r($categorias_ar);
	foreach($categorias_ar as $item){
		$idcategoria=intval($item['idcategoria']);
		$categoria=antisqlinyeccion(limpia_json_rec($item['categoria']),"text");
		$estado=intval($item['estado']);
		//echo $idcategoria;
		
		// inserta todo 
		$consulta="
		insert into categorias_tmp 
		(id_categoria, nombre, ab, orden, textobanner, imgbanner, estado, borrable, especial, idsucursal, idempresa, muestra_self)
		values
		($idcategoria, $categoria, NULL, 0, '', '', $estado, 'S', 'N', 1, 1, 'S')
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	// inserta subcategoria en tabla temporal
	$subcategorias_ar=$datos['subcategorias'];
	//print_r($categorias_ar);
	foreach($subcategorias_ar as $item){
		$idsubcategoria=intval($item['idsubcategoria']);
		$idcategoria=intval($item['idcategoria']);
		$subcategoria=antisqlinyeccion(limpia_json_rec($item['subcategoria']),"text");
		$estado=intval($item['estado']);
		//echo $idcategoria;
		
		// inserta todo 
		$consulta="
		insert into sub_categorias_tmp 
		(idsubcate, idcategoria, descripcion, idempresa, estado, describebanner, orden, muestrafiltro, borrable)
		values
		($idsubcategoria, $idcategoria, $subcategoria, 1, $estado, '', 0, 'S', 'S')
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	// inserta productos en tabla temporal
	$productos_ar=$datos['productos'];
	//print_r($productos_ar);
	foreach($productos_ar as $item){
		$idproducto=intval($item['idproducto']);
		$idtipoproducto=intval($item['idtipoproducto']);
		$producto=antisqlinyeccion(limpia_json_rec($item['producto']),"text");
		$idcategoria=antisqlinyeccion($item['idcategoria'],"text");
		$idsubcategoria=antisqlinyeccion($item['idsubcategoria'],"text");
		$idmedida=antisqlinyeccion($item['idmedida'],"text");
		$precio_min=floatval($item['precio_min']);
		$precio_max=floatval($item['precio_max']);
		$iva=intval($item['iva']);
		$precio=floatval($item['precio']);
		$barcode=antisqlinyeccion(limpia_json_rec($item['barcode']),"text");
		$combinado_tipoprecio=antisqlinyeccion($item['combinado_tipoprecio'],"int");
		$combinado_maxitem=antisqlinyeccion($item['combinado_maxitem'],"int");
		$combinado_minitem=antisqlinyeccion($item['combinado_minitem'],"int");
		$idmarca=intval($item['idmarca']);
		//echo $idcategoria;
		$combo="N";
		$combinado="N";
		
		// conversiones
		if($idtipoproducto == 2){  // combo
			$combo="S";
		}
		if($idtipoproducto == 3){  // combinado
			$combinado="S";
		}
		
		// inserta todo 
		$consulta="
		insert into productos_tmp 
		(
		idempresa, idprod, idprod_serial, idtipoproducto, barcode, codplu, descripcion, descripcion_larga, precio_venta, 
		costo_actual, idcategoria, idmedida, ubicacion, imagen, controla_vencimiento, controla_garantia, registrado_el, 
		keywords, idproveedor, disponible, precio_min, precio_max,
		lista_precios, registrado_por, tipoiva, sucursal, idsubcate, descuento, actualizado, facturacompra, fechacompra, 
		p1, desc1, p2, p3, promo, describeprodu, mostrar, idgen, combinado, combo, favorito, idpantallacocina, idimpresoratk, 
		borrado, produccion, web_nuevo, web_carousel, web_destacado, idmarca, codproveedor, combinado_maxitem, 
		combinado_tipoprecio, combinado_minitem, muestra_self, hab_venta, muestra_vianda
		)
		values
		(
		1, $idproducto, $idproducto, $idtipoproducto, $barcode, NULL, $producto, NULL, 
		0, 0, $idcategoria, $idmedida, 0, NULL, 0, 0, '$ahora',
		NULL, 1, NULL, $precio_min, $precio_max,
		NULL, 1, $iva, 1, $idsubcategoria, 0, '$ahora', NULL, NULL,
		$precio, 0, 0, 0, 0, NULL, 0, 0, '$combinado', '$combo', NULL, 0, 0, 
		'N', 0, 'N', 'N', 'N', $idmarca, NULL, $combinado_maxitem,
		$combinado_tipoprecio, $combinado_minitem, 'S', 'S', 'N'
		)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	// inserta insumos en tabla temporal
	$insumos_ar=$datos['insumos'];
	//print_r($insumos_ar);
	foreach($insumos_ar as $item){
		$idinsumo=intval($item['idinsumo']);
		$idproducto=antisqlinyeccion($item['idproducto'],"int");
		$descripcion=antisqlinyeccion(limpia_json_rec($item['descripcion']),"text");
		$idcategoria=antisqlinyeccion($item['idcategoria'],"text");
		$idsubcategoria=antisqlinyeccion($item['idsubcategoria'],"text");
		$idmedida=antisqlinyeccion($item['idmedida'],"text");
		$produccion=intval($item['produccion']);
		$iva_compra=intval($item['iva_compra']);
		$mueve_stock=antisqlinyeccion($item['mueve_stock'],"text");
		$paquete=antisqlinyeccion(limpia_json_rec($item['paquete']),"text");
		$cant_paquete=floatval($item['cant_paquete']);
		$estado=trim($item['estado']);
		$idgrupoinsu=intval($item['idgrupoinsu']);
		$ajuste=trim($item['ajuste']);
		$hab_compra=intval($item['hab_compra']);
		$hab_invent=intval($item['hab_invent']);
		$idconcepto=intval($item['idconcepto']);
		$solo_conversion=intval($item['solo_conversion']);
		$aplica_regalia=antisqlinyeccion(limpia_json_rec($item['aplica_regalia']),"text");
	
		// inserta todo 
		$consulta="
		insert into insumos_lista_tmp 
		(
		idinsumo, idproducto, descripcion, idcategoria, idsubcate, idmedida, produccion, costo, tipoiva, mueve_stock, 
		paquete, cant_paquete, estado, idempresa, idgrupoinsu, ajuste, fechahora, hab_compra, hab_invent, 
		idconcepto, solo_conversion, aplica_regalia
		)
		values
		(
		$idinsumo, $idproducto, $descripcion, $idcategoria, $idsubcategoria, $idmedida, $produccion, 0, $iva_compra, $mueve_stock, 
		$paquete, $cant_paquete, '$estado', 1, $idgrupoinsu, '$ajuste', '$ahora', $hab_compra, $hab_invent, 
		$idconcepto, $solo_conversion, $aplica_regalia
		)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	// inserta ingredientes en tabla temporal
	$ingredientes_ar=$datos['ingredientes'];
	//print_r($ingredientes_ar); exit;
	foreach($ingredientes_ar as $item){
		$idingrediente=intval($item['idingrediente']);
		$idinsumo=intval($item['idinsumo']);
		$estado=intval($item['estado']);
		
		// inserta todo 
		$consulta="
		INSERT INTO ingredientes_tmp
		(
		idingrediente, idinsumo, estado, idempresa, fechahora
		) 
		VALUES 
		(
		$idingrediente, $idinsumo, $estado, 1, '$ahora'
		)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	// inserta recetas en tabla temporal
	$recetas_ar=$datos['recetas'];
	//print_r($recetas_ar); exit;
	foreach($recetas_ar as $item){
		$idreceta=intval($item['idreceta']);
		$idproducto=intval($item['idproducto']);
		$estado=intval($item['estado']);
		
		// inserta todo 
		$consulta="
		INSERT INTO recetas_tmp
		(
		idreceta, nombre, estado, creado_por, fecha_creacion, ultimo_cambio, ultimo_cambio_por, idproducto, idempresa
		) 
		VALUES 
		(
		$idreceta, '', $estado, 1, '$ahora', '$ahora', 1, $idproducto, 1
		)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	// inserta recetas detalles en tabla temporal
	$recetas_det_ar=$datos['recetas_det'];
	//print_r($recetas_ar); exit;
	foreach($recetas_det_ar as $item){
		$idrecetadet=intval($item['idrecetadet']);
		$idreceta=intval($item['idreceta']);
		$idproducto=intval($item['idproducto']);
		$idingrediente=intval($item['idingrediente']);
		$cantidad=floatval($item['cantidad']);
		$sacar=trim($item['sacar']);
		
		// inserta todo 
		$consulta="
		INSERT INTO recetas_detalles_tmp
		(
		idreceta_detalle, idreceta, idprod, ingrediente, cantidad, sacar, alias, idempresa
		) 
		VALUES 
		(
		$idrecetadet, $idreceta, $idproducto, $idingrediente, $cantidad, '$sacar', '', 1
		)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	// inserta productos_sucursales_tmp en tabla temporal
	$productos_sucursales_ar=$datos['productos_sucursales'];
	//print_r($recetas_ar); exit;
	foreach($productos_sucursales_ar as $item){
		$idproducto=intval($item['idproducto']);
		$activo_suc=antisqlinyeccion($item['activo_suc'],"int");
		$precio=intval($item['precio']);
		
		// inserta todo 
		$consulta="
		INSERT INTO productos_sucursales_tmp
		(
		idproducto, idsucursal, idempresa, activo_suc, precio
		) 
		VALUES 
		(
		$idproducto, 1, 1, $activo_suc, $precio
		)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}

	// inserta productos_combinado en tabla temporal
	$productos_combinado_ar=$datos['productos_combinado'];
	//print_r($recetas_ar); exit;
	foreach($productos_combinado_ar as $item){
		$idproducto_partes=intval($item['idproducto_partes']);
		$idproducto_principal=intval($item['idproducto_principal']);
		
		// inserta todo 
		$consulta="
		INSERT INTO productos_combinado_tmp
		(
		idproducto_principal, idproducto_partes
		) 
		VALUES 
		(
		$idproducto_principal, $idproducto_partes
		)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	// inserta combos_listas en tabla temporal
	$combos_listas_ar=$datos['combos_listas'];
	//print_r($recetas_ar); exit;
	foreach($combos_listas_ar as $item){
		$idlistacombo=intval($item['idlistacombo']);
		$nombre=antisqlinyeccion(limpia_json_rec($item['nombre']),"text");
		$idproducto=intval($item['idproducto']);
		$cantidad=floatval($item['cantidad']);
		
		// inserta todo 
		$consulta="
		INSERT INTO combos_listas_tmp
		(
		idlistacombo, nombre, idproducto, cantidad, idempresa, estado
		) 
		VALUES 
		(
		$idlistacombo, $nombre, $idproducto, $cantidad, 1, 1
		)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	// inserta combos_listas_det en tabla temporal
	$combos_listas_det_ar=$datos['combos_listas_det'];
	//print_r($recetas_ar); exit;
	foreach($combos_listas_det_ar as $item){
		$idlistacombodet=intval($item['idlistacombodet']);
		$idlistacombo=intval($item['idlistacombo']);
		$idproducto=intval($item['idproducto']);
		
		// inserta todo 
		$consulta="
		INSERT INTO combos_listas_det_tmp
		(
		idlistacombodet, idlistacombo, idproducto, idempresa, estado
		) 
		VALUES 
		(
		$idlistacombodet, $idlistacombo, $idproducto, 1, 1
		)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	// inserta agregado en tabla temporal
	$agregado_ar=$datos['agregado'];
	//print_r($recetas_ar); exit;
	foreach($agregado_ar as $item){
		$idproducto=intval($item['idproducto']);
		$idingrediente=intval($item['idingrediente']);
		$precio_adicional=floatval($item['precio_adicional']);
		$cantidad=floatval($item['cantidad']);
		$transferible=antisqlinyeccion(limpia_json_rec($item['transferible']),"text");
		$borrable=antisqlinyeccion(limpia_json_rec($item['borrable']),"text");
		
		// inserta todo 
		$consulta="
		INSERT INTO agregado_tmp
		(
		idproducto, idingrediente, idempresa, alias, precio_adicional, cantidad, transferible, borrable
		) 
		VALUES 
		(
		$idproducto, $idingrediente, 1, '', $precio_adicional, $cantidad, $transferible, $borrable
		)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	// inserta prod_lista_objetivos en tabla temporal
	$prod_lista_objetivos_ar=$datos['prod_lista_objetivos'];
	//print_r($recetas_ar); exit;
	foreach($prod_lista_objetivos_ar as $item){
		$unicopkss=intval($item['unicopkss']);
		$idprod_serial=intval($item['idprod_serial']);
		$idinsumo=intval($item['idinsumo']);
		
		// inserta todo 
		$consulta="
		INSERT INTO prod_lista_objetivos_tmp
		(
		unicopkss, nombre, estado, registrado_por, registrado_el, idprod_serial,
		 idinsumo, idempresa, idcentroprod, anulado_por, anulado_el
		) 
		VALUES 
		(
		$unicopkss, '', 1, 1, '$ahora', $idprod_serial,
		 $idinsumo, 1, 0, NULL, NULL
		)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	
	// inserta recetas_produccion en tabla temporal
	$recetas_produccion_ar=$datos['recetas_produccion'];
	//print_r($recetas_ar); exit;
	foreach($recetas_produccion_ar as $item){
		$idreceta=intval($item['idreceta']);
		$nombre=antisqlinyeccion(limpia_json_rec($item['nombre']),"text");
		$idobjetivo=intval($item['idobjetivo']);
		$cantidad_resultante=floatval($item['cantidad_resultante']);
		
		// inserta todo 
		$consulta="
		INSERT INTO recetas_produccion_tmp
		(
		idreceta, nombre, estado, creado_por, fecha_creacion, ultimo_cambio,
		ultimo_cambio_por, idobjetivo, idempresa, anulado_por, anulado_el, cantidad_resultante, medida
		) 
		VALUES 
		(
		$idreceta, $nombre, 1, 1, '$ahora', NULL,
		1, $idobjetivo, 1, NULL, NULL, $cantidad_resultante, 1
		)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	// inserta recetas_produccion en tabla temporal
	$recetas_detalles_produccion_ar=$datos['recetas_detalles_produccion'];
	//print_r($recetas_detalles_produccion_ar); exit;
	foreach($recetas_detalles_produccion_ar as $item){
		$idreceta_detalleprod=intval($item['idreceta_detalleprod']);
		$idreceta=intval($item['idreceta']);
		$idobjetivo=intval($item['idobjetivo']);
		$idinsumo=intval($item['idinsumo']);
		$cantidad=floatval($item['cantidad']);
		$sacar=antisqlinyeccion(limpia_json_rec($item['sacar']),"text");
		$vinculado=antisqlinyeccion(limpia_json_rec($item['vinculado']),"text");

		
		// inserta todo 
		$consulta="
		INSERT INTO recetas_detalles_produccion_tmp
		(
		idreceta_detalleprod, idreceta, idobjetivo, idinsumo, cantidad, sacar, vinculado, alias, idempresa
		) 
		VALUES 
		(
		$idreceta_detalleprod, $idreceta, $idobjetivo, $idinsumo, $cantidad, $sacar, $vinculado,'', 1
		)
		";
		//echo $consulta."<br />";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	// inserta productos_franquicias en tabla temporal
	$productos_franquicias_ar=$datos['productos_franquicias'];
	//print_r($recetas_detalles_produccion_ar); exit;
	foreach($productos_franquicias_ar as $item){
		$idproducto=intval($item['idproducto']);
		$idfranquicia_pf=intval($item['idfranquicia']);
		// inserta todo 
		$consulta="
		INSERT INTO productos_franquicias
		(
		idproducto,idfranquicia
		) 
		VALUES 
		(
		$idproducto,$idfranquicia_pf
		)
		";
		//echo $consulta."<br />";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}


	// inserta cn_grupos en tabla temporal
	$cn_grupos_ar=$datos['cn_grupos'];
	//print_r($cn_grupos_ar); exit;
	foreach($cn_grupos_ar as $item){
		$idgrupo=intval($item['idgrupo']);
		$descripcion=antisqlinyeccion(limpia_json_rec($item['descripcion']),"text");
		$estado=intval($item['estado']);
		$borrable=antisqlinyeccion(limpia_json_rec($item['borrable']),"text");
		$solo_master_fran=antisqlinyeccion(limpia_json_rec($item['solo_master_fran']),"text");
		// inserta todo 
		$consulta="
		INSERT INTO cn_grupos_tmp
		(
		idgrupo, descripcion, estado, registrado_el, registrado_por, borrado_el, borrado_por, borrable, solo_master_fran
		) 
		VALUES 
		(
		$idgrupo,$descripcion,$estado,'$ahora',1,NULL,NULL,$borrable,$solo_master_fran
		)
		";
		//echo $consulta."<br />";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}
	
	// inserta cn_grupos en tabla temporal
	$cn_conceptos_ar=$datos['cn_conceptos'];
	//print_r($cn_conceptos_ar); exit;
	foreach($cn_conceptos_ar as $item){
		$idgrupo=intval($item['idgrupo']);
		$idconcepto=intval($item['idconcepto']);
		$descripcion=antisqlinyeccion(limpia_json_rec($item['descripcion']),"text");
		$estado=intval($item['estado']);
		$borrable=antisqlinyeccion(limpia_json_rec($item['borrable']),"text");
		$solo_master_fran=antisqlinyeccion(limpia_json_rec($item['solo_master_fran']),"text");
		// inserta todo 
		$consulta="
		INSERT INTO cn_conceptos_tmp
		(
		idconcepto, idgrupo, descripcion, estado, registrado_por, registrado_el, borrado_por, borrado_el, 
		borrable, solo_master_fran
		) 
		VALUES 
		(
		$idconcepto,$idgrupo,$descripcion,$estado,1,'$ahora',NULL,NULL,
		$borrable,$solo_master_fran
		)
		";
		//echo $consulta."<br />";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	}


	
	// bloquear venta
	
	/* 3 INSERTA DATOS QUE NO EXISTEN EN TABLAS REALES */
	
	// inserta en tablas reales con insert ignore por si hay datos nuevos
	$consulta="
	insert into categorias
	(id_categoria, nombre, ab, orden, textobanner, imgbanner, estado, borrable, especial, idsucursal, idempresa, muestra_self)
	select id_categoria, nombre, ab, orden, textobanner, imgbanner, estado, borrable, especial, idsucursal, idempresa, muestra_self
	from categorias_tmp
	where
	id_categoria not in (select id_categoria from categorias)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
	$consulta="
	insert into sub_categorias
	(idsubcate, idcategoria, descripcion, idempresa, estado, describebanner, orden, muestrafiltro, borrable)
	select 
	idsubcate, idcategoria, descripcion, idempresa, estado, describebanner, orden, muestrafiltro, borrable
	from sub_categorias_tmp
	where
	idsubcate not in (select idsubcate from sub_categorias)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	insert into productos 
	(
	idempresa, idprod, idprod_serial, idtipoproducto, barcode, codplu, descripcion, descripcion_larga, precio_venta, 
	costo_actual, idcategoria, idmedida, ubicacion, imagen, controla_vencimiento, controla_garantia, registrado_el, 
	keywords, idproveedor, disponible, precio_min, precio_max,
	lista_precios, registrado_por, tipoiva, sucursal, idsubcate, descuento, actualizado, facturacompra, fechacompra, 
	p1, desc1, p2, p3, promo, describeprodu, mostrar, idgen, combinado, combo, favorito, idpantallacocina, idimpresoratk, 
	borrado, produccion, web_nuevo, web_carousel, web_destacado, idmarca, codproveedor, combinado_maxitem, 
	combinado_tipoprecio, combinado_minitem, muestra_self, hab_venta, muestra_vianda
	)
	select 
	idempresa, idprod, idprod_serial, idtipoproducto, barcode, codplu, descripcion, descripcion_larga, precio_venta, 
	costo_actual, idcategoria, idmedida, ubicacion, imagen, controla_vencimiento, controla_garantia, registrado_el, 
	keywords, idproveedor, disponible, precio_min, precio_max,
	lista_precios, registrado_por, tipoiva, sucursal, idsubcate, descuento, actualizado, facturacompra, fechacompra, 
	p1, desc1, p2, p3, promo, describeprodu, mostrar, idgen, combinado, combo, favorito, idpantallacocina, idimpresoratk, 
	borrado, produccion, web_nuevo, web_carousel, web_destacado, idmarca, codproveedor, combinado_maxitem, 
	combinado_tipoprecio, combinado_minitem, muestra_self, hab_venta, muestra_vianda
	from productos_tmp
	where
	idprod_serial not in (select idprod_serial from productos)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	insert into insumos_lista
	(
	idinsumo, idproducto, descripcion, idcategoria, idsubcate, idmedida, produccion, costo, tipoiva, mueve_stock, 
	paquete, cant_paquete, estado, idempresa, idgrupoinsu, ajuste, fechahora, hab_compra, idconcepto, solo_conversion,
	aplica_regalia
	)
	select 
	idinsumo, idproducto, descripcion, idcategoria, idsubcate, idmedida, produccion, costo, tipoiva, mueve_stock, 
	paquete, cant_paquete, estado, idempresa, idgrupoinsu, ajuste, fechahora, hab_compra, $idconcepto, solo_conversion,
	aplica_regalia
	from insumos_lista_tmp
	where
	idinsumo not in (select idinsumo from insumos_lista)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// directo se borra y rellena
	$consulta="truncate table ingredientes;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="
	insert into ingredientes
	(
	idingrediente, idinsumo, estado, idempresa, fechahora
	)
	select idingrediente, idinsumo, estado, idempresa, fechahora
	from ingredientes_tmp
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	INSERT INTO recetas
	(
	idreceta, nombre, estado, creado_por, fecha_creacion, ultimo_cambio, ultimo_cambio_por, idproducto, idempresa
	) 
	select 
	idreceta, nombre, estado, creado_por, fecha_creacion, ultimo_cambio, ultimo_cambio_por, idproducto, idempresa
	from recetas_tmp
	where
	idreceta not in (select idreceta from recetas)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// directo se borra y rellena por que no tiene estado
	$consulta="truncate table recetas_detalles;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="
	INSERT INTO recetas_detalles
	(
	idreceta_detalle, idreceta, idprod, ingrediente, cantidad, sacar, alias, idempresa
	) 
	select 
	idreceta_detalle, idreceta, idprod, ingrediente, cantidad, sacar, alias, idempresa
	from recetas_detalles_tmp
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
	// directo se borra y rellena por que tiene clave combinada y no tiene estado
	$consulta="truncate table productos_sucursales;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="
	insert into productos_sucursales
	(idproducto, idsucursal, idempresa, activo_suc, precio)
	SELECT 
	idproducto, idsucursal, idempresa, activo_suc, precio 
	FROM productos_sucursales_tmp
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// directo se borra y rellena por que tiene clave combinada y no tiene estado
	$consulta="truncate table productos_combinado;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="
	insert into productos_combinado
	(idproducto_principal, idproducto_partes )
	SELECT 
	idproducto_principal, idproducto_partes 
	FROM productos_combinado_tmp
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	INSERT INTO combos_listas
	(
	idlistacombo, nombre, idproducto, cantidad, idempresa, estado 
	) 
	select 
	idlistacombo, nombre, idproducto, cantidad, idempresa, estado 
	from combos_listas_tmp
	where
	idlistacombo not in (select idlistacombo from combos_listas)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	INSERT INTO combos_listas_det
	(
	idlistacombodet, idlistacombo, idproducto, idempresa, estado
	) 
	select 
	idlistacombodet, idlistacombo, idproducto, idempresa, estado
	from combos_listas_det_tmp
	where
	idlistacombodet not in (select idlistacombodet from combos_listas_det)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// directo se borra y rellena por que tiene clave combinada y no tiene estado
	$consulta="truncate table agregado;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="
	insert into agregado
	(idproducto, idingrediente, idempresa, alias, precio_adicional, cantidad, transferible, borrable)
	SELECT 
	idproducto, idingrediente, idempresa, alias, precio_adicional, cantidad, transferible, borrable 
	FROM agregado_tmp
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	INSERT INTO prod_lista_objetivos
	(
	 unicopkss, nombre, estado, registrado_por, registrado_el, idprod_serial,
	 idinsumo, idempresa, idcentroprod, anulado_por, anulado_el
	) 
	select 
	 unicopkss, nombre, estado, registrado_por, registrado_el, idprod_serial,
	 idinsumo, idempresa, idcentroprod, anulado_por, anulado_el
	from prod_lista_objetivos_tmp
	where
	unicopkss not in (select unicopkss from prod_lista_objetivos)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	INSERT INTO recetas_produccion
	(
	 idreceta, nombre, estado, creado_por, fecha_creacion, ultimo_cambio, ultimo_cambio_por,
	  idobjetivo, idempresa, anulado_por, anulado_el, cantidad_resultante, medida
	) 
	select 
	 idreceta, nombre, estado, creado_por, fecha_creacion, ultimo_cambio, ultimo_cambio_por,
	  idobjetivo, idempresa, anulado_por, anulado_el, cantidad_resultante, medida
	from recetas_produccion_tmp
	where
	idreceta not in (select idreceta from recetas_produccion)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// directo se borra y rellena por que no tiene estado
	$consulta="truncate table recetas_detalles_produccion;";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	$consulta="
	INSERT INTO recetas_detalles_produccion
	(
	 idreceta_detalleprod, idreceta, idobjetivo, idinsumo, cantidad, sacar, vinculado, alias, idempresa
	) 
	select 
	idreceta_detalleprod, idreceta, idobjetivo, idinsumo, cantidad, sacar, vinculado, alias, idempresa
	from recetas_detalles_produccion_tmp
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	INSERT INTO cn_grupos
	(
	idgrupo, descripcion, estado, registrado_el, registrado_por, borrado_el, borrado_por, borrable, solo_master_fran
	) 
	select 
	idgrupo, descripcion, estado, registrado_el, registrado_por, borrado_el, borrado_por, borrable, solo_master_fran
	from cn_grupos_tmp
	where
	idgrupo not in (select idgrupo from cn_grupos)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	INSERT INTO cn_conceptos
	(
	idconcepto, idgrupo, descripcion, estado, registrado_por, registrado_el, borrado_por, borrado_el, 
	borrable, solo_master_fran
	) 
	select 
	idconcepto, idgrupo, descripcion, estado, registrado_por, registrado_el, borrado_por, borrado_el, 
	borrable, solo_master_fran
	from cn_conceptos_tmp
	where
	idconcepto not in (select idconcepto from cn_conceptos)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
	/* 4 ACTUALIZA TABLAS REALES EN BASE A TEMPORALES  */

	$consulta="
	update categorias
	set
	nombre = (select nombre from categorias_tmp where id_categoria = categorias.id_categoria),
	estado = (select estado from categorias_tmp where id_categoria = categorias.id_categoria),
	borrable = (select borrable from categorias_tmp where id_categoria = categorias.id_categoria),
	especial = (select especial from categorias_tmp where id_categoria = categorias.id_categoria),
	muestra_self = (select muestra_self from categorias_tmp where id_categoria = categorias.id_categoria)
	where
	id_categoria in (
	select id_categoria from categorias_tmp
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	update sub_categorias
	set
	idcategoria = (select idcategoria from sub_categorias_tmp where sub_categorias_tmp.idsubcate = sub_categorias.idsubcate),
	descripcion = (select descripcion from sub_categorias_tmp where sub_categorias_tmp.idsubcate = sub_categorias.idsubcate),
	estado = (select estado from sub_categorias_tmp where sub_categorias_tmp.idsubcate = sub_categorias.idsubcate),
	muestrafiltro = (select muestrafiltro from sub_categorias_tmp where sub_categorias_tmp.idsubcate = sub_categorias.idsubcate)
	where
	idsubcate in (
	select idsubcate from sub_categorias_tmp
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	update productos
	set
	idempresa = (select idempresa from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	idtipoproducto = (select  idtipoproducto from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	barcode = (select  barcode from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	codplu = (select  codplu from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	descripcion = (select  descripcion from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	descripcion_larga = (select  descripcion_larga from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	precio_venta = (select  precio_venta from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	idcategoria = (select  idcategoria from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	idmedida = (select  idmedida from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	precio_min = (select  precio_min from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	precio_max = (select  precio_max from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	lista_precios = (select lista_precios from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	tipoiva = (select  tipoiva from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	idsubcate = (select  idsubcate from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	p1 = (select p1 from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	combinado = (select  combinado from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	combo = (select  combo from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	favorito = (select  favorito from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	borrado = (select borrado from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	idmarca = (select  idmarca from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	combinado_maxitem = (select  combinado_maxitem from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	combinado_tipoprecio = (select combinado_tipoprecio from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	combinado_minitem = (select  combinado_minitem from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	muestra_self = (select  muestra_self from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	hab_venta = (select  hab_venta from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial),
	muestra_vianda = (select  muestra_vianda from productos_tmp where productos_tmp.idprod_serial = productos.idprod_serial)
	where
	idprod_serial in (
	select idprod_serial from productos_tmp
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	update insumos_lista
	set
	idproducto = (select  idproducto from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	descripcion = (select  descripcion from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	idcategoria = (select  idcategoria from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	idsubcate = (select  idsubcate from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	idmedida = (select  idmedida from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	produccion = (select  produccion from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	tipoiva = (select  tipoiva from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	mueve_stock = (select  mueve_stock from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	paquete = (select paquete from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	cant_paquete = (select  cant_paquete from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	estado = (select  estado from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	ajuste = (select  ajuste from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	hab_compra = (select  hab_compra from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	hab_invent = (select  hab_invent from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	idconcepto = (select  idconcepto from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	solo_conversion = (select  solo_conversion from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo),
	aplica_regalia = (select  aplica_regalia from insumos_lista_tmp where insumos_lista_tmp.idinsumo = insumos_lista.idinsumo)
	where
	idinsumo in (
	select idinsumo from insumos_lista_tmp
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	update recetas
	set
	nombre = (select  nombre from recetas_tmp where recetas_tmp.idreceta = recetas.idreceta),
	estado = (select  estado from recetas_tmp where recetas_tmp.idreceta = recetas.idreceta),
	creado_por = (select  creado_por from recetas_tmp where recetas_tmp.idreceta = recetas.idreceta),
	fecha_creacion = (select  fecha_creacion from recetas_tmp where recetas_tmp.idreceta = recetas.idreceta),
	ultimo_cambio = (select  ultimo_cambio from recetas_tmp where recetas_tmp.idreceta = recetas.idreceta),
	ultimo_cambio_por = (select  ultimo_cambio_por from recetas_tmp where recetas_tmp.idreceta = recetas.idreceta),
	idproducto = (select  idproducto from recetas_tmp where recetas_tmp.idreceta = recetas.idreceta),
	idempresa = (select  idempresa from recetas_tmp where recetas_tmp.idreceta = recetas.idreceta)
	where
	idreceta in (
	select idreceta from recetas_tmp
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	/*$consulta="
	update recetas_detalles
	set
	idreceta = (select  idreceta from recetas_detalles_tmp where recetas_detalles_tmp.idreceta_detalle = recetas_detalles.idreceta_detalle),
	idprod = (select  idprod from recetas_detalles_tmp where recetas_detalles_tmp.idreceta_detalle = recetas_detalles.idreceta_detalle),
	ingrediente = (select  ingrediente from recetas_detalles_tmp where recetas_detalles_tmp.idreceta_detalle = recetas_detalles.idreceta_detalle),
	cantidad = (select  cantidad from recetas_detalles_tmp where recetas_detalles_tmp.idreceta_detalle = recetas_detalles.idreceta_detalle),
	sacar = (select  sacar from recetas_detalles_tmp where recetas_detalles_tmp.idreceta_detalle = recetas_detalles.idreceta_detalle)
	where
	idreceta_detalle in (
	select idreceta_detalle from recetas_detalles_tmp
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));*/
	
	

	$consulta="
	update combos_listas
	set
	nombre = (select  nombre from combos_listas_tmp where idlistacombo = combos_listas.idlistacombo), 
	idproducto = (select  idproducto from combos_listas_tmp where idlistacombo = combos_listas.idlistacombo), 
	cantidad = (select  cantidad from combos_listas_tmp where idlistacombo = combos_listas.idlistacombo), 
	estado = (select  estado from combos_listas_tmp where idlistacombo = combos_listas.idlistacombo)
	where
	idlistacombo in (
	select idlistacombo from combos_listas_tmp
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	update combos_listas_det
	set
 	idlistacombo = (select  idlistacombo from combos_listas_det_tmp where idlistacombodet = combos_listas_det.idlistacombodet), 
 	idproducto = (select  idproducto from combos_listas_det_tmp where idlistacombodet = combos_listas_det.idlistacombodet)
	where
	idlistacombodet in (
	select idlistacombodet from combos_listas_det_tmp
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// no aplican: productos_sucursales, productos_combinado, agregado xq arriba se trunco y reemplazo
	
	$consulta="
	update prod_lista_objetivos
	set
	nombre = (select  nombre from prod_lista_objetivos_tmp where unicopkss = prod_lista_objetivos.unicopkss), 
	estado = (select  estado from prod_lista_objetivos_tmp where unicopkss = prod_lista_objetivos.unicopkss), 
	registrado_por = (select  registrado_por from prod_lista_objetivos_tmp where unicopkss = prod_lista_objetivos.unicopkss), 
	registrado_el = (select  registrado_el from prod_lista_objetivos_tmp where unicopkss = prod_lista_objetivos.unicopkss), 
	idprod_serial = (select  idprod_serial from prod_lista_objetivos_tmp where unicopkss = prod_lista_objetivos.unicopkss), 
	idinsumo = (select  idinsumo from prod_lista_objetivos_tmp where unicopkss = prod_lista_objetivos.unicopkss), 
	idempresa = (select  idempresa from prod_lista_objetivos_tmp where unicopkss = prod_lista_objetivos.unicopkss), 
	idcentroprod = (select  idcentroprod from prod_lista_objetivos_tmp where unicopkss = prod_lista_objetivos.unicopkss), 
	anulado_por = (select  anulado_por from prod_lista_objetivos_tmp where unicopkss = prod_lista_objetivos.unicopkss), 
	anulado_el = (select  anulado_el from prod_lista_objetivos_tmp where unicopkss = prod_lista_objetivos.unicopkss)
	where
	unicopkss in (
	select unicopkss from prod_lista_objetivos_tmp
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
	$consulta="
	update recetas_produccion
	set
	 nombre = (select  nombre from recetas_produccion_tmp where idreceta = recetas_produccion.idreceta), 
	 estado = (select  estado from recetas_produccion_tmp where idreceta = recetas_produccion.idreceta), 
	 creado_por = (select  creado_por from recetas_produccion_tmp where idreceta = recetas_produccion.idreceta), 
	 fecha_creacion = (select  fecha_creacion from recetas_produccion_tmp where idreceta = recetas_produccion.idreceta), 
	 ultimo_cambio = (select  ultimo_cambio from recetas_produccion_tmp where idreceta = recetas_produccion.idreceta), 
	 ultimo_cambio_por = (select  ultimo_cambio_por from recetas_produccion_tmp where idreceta = recetas_produccion.idreceta), 
	 idobjetivo = (select  idobjetivo from recetas_produccion_tmp where idreceta = recetas_produccion.idreceta), 
	 idempresa = (select  idempresa from recetas_produccion_tmp where idreceta = recetas_produccion.idreceta), 
	 anulado_por = (select  anulado_por from recetas_produccion_tmp where idreceta = recetas_produccion.idreceta), 
	 anulado_el = (select  anulado_el from recetas_produccion_tmp where idreceta = recetas_produccion.idreceta), 
	 cantidad_resultante = (select  cantidad_resultante from recetas_produccion_tmp where idreceta = recetas_produccion.idreceta)
	where
	idreceta in (
	select idreceta from recetas_produccion_tmp
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	/*$consulta="
	update recetas_detalles_produccion
	set
	idreceta = (select  idreceta from recetas_detalles_produccion_tmp where idreceta_detalleprod = recetas_detalles_produccion.idreceta_detalleprod), 
	idobjetivo = (select  idobjetivo from recetas_detalles_produccion_tmp where idreceta_detalleprod = recetas_detalles_produccion.idreceta_detalleprod), 
	idinsumo = (select  idinsumo from recetas_detalles_produccion_tmp where idreceta_detalleprod = recetas_detalles_produccion.idreceta_detalleprod), 
	cantidad = (select  cantidad from recetas_detalles_produccion_tmp where idreceta_detalleprod = recetas_detalles_produccion.idreceta_detalleprod), 
	sacar = (select  sacar from recetas_detalles_produccion_tmp where idreceta_detalleprod = recetas_detalles_produccion.idreceta_detalleprod), 
	vinculado = (select  vinculado from recetas_detalles_produccion_tmp where idreceta_detalleprod = recetas_detalles_produccion.idreceta_detalleprod), 
	alias = (select  alias from recetas_detalles_produccion_tmp where idreceta_detalleprod = recetas_detalles_produccion.idreceta_detalleprod), 
	idempresa = (select  idempresa from recetas_detalles_produccion_tmp where idreceta_detalleprod = recetas_detalles_produccion.idreceta_detalleprod)
	where
	idreceta_detalleprod in (
	select idreceta_detalleprod from recetas_detalles_produccion_tmp
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));*/
	

	/* 5 CONVERSIONES INTERNAS  */
	
	// completar nombre receta
	$consulta="
	update recetas
	set
	nombre = (select descripcion from productos where idproducto = productos.idprod_serial)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// completar alias en receta detalle
	$consulta="
	update recetas_detalles
	set
	alias = (select descripcion from insumos_lista where idinsumo = recetas_detalles.ingrediente)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// completar prod_lista_objetivos
	$consulta="
	update prod_lista_objetivos set nombre = (select descripcion from insumos_lista where idinsumo = prod_lista_objetivos.idinsumo);
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// completar agregado
	$consulta="
	update agregado 
	set 
	alias = (
		select insumos_lista.descripcion 
		from insumos_lista 
		INNER join ingredientes on ingredientes.idinsumo = insumos_lista.idinsumo 
		where 
		ingredientes.idingrediente = agregado.idingrediente
		);
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	update  recetas_produccion 
	set 
	medida = (
			select insumos_lista.idmedida 
			from insumos_lista 
			inner join prod_lista_objetivos on prod_lista_objetivos.idinsumo = insumos_lista.idinsumo 
			where 
			prod_lista_objetivos.unicopkss = recetas_produccion.idobjetivo
			)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	$consulta="
	update  cn_grupos
	set  
	descripcion = (select  descripcion from cn_grupos_tmp where idgrupo = cn_grupos.idgrupo), 
	estado = (select  estado from cn_grupos_tmp where idgrupo = cn_grupos.idgrupo), 
	borrable = (select  borrable from cn_grupos_tmp where idgrupo = cn_grupos.idgrupo), 
	solo_master_fran = (select  solo_master_fran from cn_grupos_tmp where idgrupo = cn_grupos.idgrupo)
	where
	idgrupo in (
	select idgrupo from cn_grupos_tmp
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	$consulta="
	update  cn_conceptos 
	set 
	idgrupo = (select  idgrupo from cn_conceptos_tmp where idconcepto = cn_conceptos.idconcepto), 
	descripcion = (select  descripcion from cn_conceptos_tmp where idconcepto = cn_conceptos.idconcepto), 
	estado = (select  estado from cn_conceptos_tmp where idconcepto = cn_conceptos.idconcepto), 
	borrable = (select  borrable from cn_conceptos_tmp where idconcepto = cn_conceptos.idconcepto), 
	solo_master_fran = (select  solo_master_fran from cn_conceptos_tmp where idconcepto = cn_conceptos.idconcepto)
	where
	idconcepto in (
	select idconcepto from cn_conceptos_tmp
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	
	
	/* 6 MARCA COMO BORRADOS DATOS QUE NO VINIERON EN LA MIGRACION  */
	
	$consulta="
	update categorias 
	set 
	estado = 6
	where
	id_categoria not in (select id_categoria from categorias_tmp)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	update sub_categorias 
	set 
	estado = 6
	where
	idsubcate not in (select idsubcate from sub_categorias_tmp)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
	// marca como borrados: productos, insumos, categorias, subcategorias, recetas
	$consulta="
	update productos 
	set 
	borrado = 'S' 
	where 
	idprod_serial not in (
	select idprod_serial from productos_tmp
	)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	update insumos_lista 
	set 
	estado = 'I'
	where
	idinsumo not in (select idinsumo from insumos_lista_tmp)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	update recetas 
	set 
	estado = 6
	where
	idreceta not in (select idreceta from recetas_tmp)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	update combos_listas 
	set 
	estado = 6
	where
	idlistacombo not in (select idlistacombo from combos_listas_tmp)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	update combos_listas_det 
	set 
	estado = 6
	where
	idlistacombodet not in (select idlistacombodet from combos_listas_det_tmp)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	$consulta="
	delete from combos_listas_det where estado = 6;
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

	$consulta="
	update prod_lista_objetivos 
	set 
	estado = 6
	where
	unicopkss not in (select unicopkss from prod_lista_objetivos_tmp)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
	$consulta="
	update recetas_produccion 
	set 
	estado = 6
	where
	idreceta not in (select idreceta from recetas_produccion_tmp)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
	// desactivar productos no permitidos para la franquicia actual
	$consulta="
	update productos_sucursales 
	set 
	activo_suc = 0 
	where 
	idproducto not in (select idproducto from productos_franquicias where idfranquicia = $idfranquicia)
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	//NO SE USA POR QUE YA VIENEN ACTIVADOS EN PRODUCTOS_SUCURSALES 
	//activar productos permitidos para la franquicia actual
	$consulta="
	update productos_sucursales 
	set 
	activo_suc = 1
	where 
	idproducto in (select idproducto from productos_franquicias where idfranquicia = $idfranquicia)
	";
	//$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	
	// desbloquear venta
	
	
	// marca la sincronizacion como finalizada
	$ahora_fin=date("Y-m-d H:i:s");
	$consulta="
	update sincronizacion
	set 
	finalizo_ok = 'S',
	fecha_fin = '$ahora_fin'
	where
	idsincronizacion = $idsincronizacion
	";
	$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	
	// marca sincronizacion como finalizada en servidor
	$idsincronizacioncli=intval($datos['idsincronizacioncli']);
	$postdata = array(
		'key'=>$key,
		'idfranquicia' => $idfranquicia,
		'url_franq' => strtolower(trim($_SERVER['HTTP_HOST'])),
		'idsincronizacioncli' => $idsincronizacioncli
	);
	http_build_query($postdata);
	//print_r($postdata);exit;
	// URL de sincronizacion
	$url=$url_master_fran."ws/ws_productos_marcasincro.php";
	
	// marca como finalizado en el servidor master
	$respuesta=getUrlContent($url,$postdata);
	
	$datos=json_decode($respuesta,true);
	
	require_once("ws_productos_img.php");

	
	if($datos['marcado'] == 'S'){
		echo "Sincronizacion Correcta!";
		exit;
	}else{
		echo "Sincronizacion termino, pero no pudo marcarse en el servidor";
		//print_r($datos);
		//echo $respuesta;
		exit;	
	}




}else{ // if($datos['valido'] == 'S'){
	
	// si es json
	if(trim($datos['errores']) != ''){
		echo "Errores:<br />".nl2br(htmlentities($datos['errores']));
		exit;
	}else{
		// errror sin json
		echo "Errores:<br />".$respuesta;
		//echo $url;
		exit;
	}

	
	
} // if($datos['valido'] == 'S'){




?>