<?php 
require_once("../includes/conexion.php");
require_once("../includes/funciones.php");

set_time_limit(0);

$consulta="Select * from preferencias where idempresa=1";
$rsco=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
if($rsco->fields['master_franq'] == 'S'){
	echo "Este local es master franquicia, no se deben exportar datos.";
	exit;	
}

function limpia_json($texto){
	global $saltolinea;
	
	$texto=str_replace($saltolinea,'',$texto);
	$texto=utf8_encode($texto);
	$respuesta=$texto;
	return $respuesta;	
}

$consulta="
select * from empresas where idempresa = 1
";
$rsemp=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
$idfranquicia=intval($rsemp->fields['idfranquicia']);



require_once("seguridad_franq_ws.php");

$idventa=intval($_POST['idv']);
//echo $idventa;
if($idventa > 0){
	$whereadd="
	where
	idventa >= $idventa
	";	
}


$consulta="
select 
idventa, fecha, idcliente, tipo_venta, total_venta, factura, concat(ventas.ruchacienda,'-', ventas.dv) as ruc, idcanal, 
ventas.estado, ventas.razon_social 
FROM ventas
$whereadd
";
$rs=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
//echo $consulta;
//exit;
//$array=$rs->fields;
$ventas_ar=array();
while (!$rs->EOF){
	//$ventas_ar[]=$rs->fields;
	$ventas_ar[]=array(
		'idventa' => $rs->fields['idventa'],
		'fecha' => $rs->fields['fecha'],
		'idcliente' => $rs->fields['idcliente'],
		'tipo_venta' => $rs->fields['tipo_venta'],
		'total_venta' => $rs->fields['total_venta'],
		'ruc' => $rs->fields['ruc'],
		'idcanal' => $rs->fields['idcanal'],
		'estado' => $rs->fields['estado'],
		'factura' => limpia_json($rs->fields['factura']),
		'razon_social' => limpia_json($rs->fields['razon_social'])
	);
$rs->MoveNext(); }


$consulta="
SELECT idventadet, idventa, idprod, cantidad, pventa, subtotal, subtotal_sindesc, costo, 
subtotal_costo, utilidad, iva, subtotal_monto_iva, descuento, descuento_porc 
FROM ventas_detalles
$whereadd
";
$rs=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
//$array=$rs->fields;
$ventas_det_ar=array();
while (!$rs->EOF){
	//$ventas_det_ar[]=$rs->fields;
	$ventas_det_ar[]=array(
		'idventadet' => $rs->fields['idventadet'],
		'idventa' => $rs->fields['idventa'],
		'idprod' => $rs->fields['idprod'],
		'cantidad' => $rs->fields['cantidad'],
		'pventa' => $rs->fields['pventa'],
		'subtotal' => $rs->fields['subtotal'],
		'subtotal_sindesc' => $rs->fields['subtotal_sindesc'],
		'costo' => $rs->fields['costo'],
		'subtotal_costo' => $rs->fields['subtotal_costo'],
		'utilidad' => $rs->fields['utilidad'],
		'iva' => $rs->fields['iva'],
		'subtotal_monto_iva' => $rs->fields['subtotal_monto_iva'],
		'descuento' => $rs->fields['descuento'],
		'descuento_porc' => $rs->fields['descuento_porc']
	);
$rs->MoveNext(); }

$consulta="
select idcaja, fecha_apertura, fecha_cierre, monto_apertura, monto_cierre
from caja_super
where
fecha_apertura >= date_sub(NOW(), INTERVAL 365 DAY)
and fecha_cierre is not null
";
$rs=$conexion->Execute($consulta) or die (errorpg($conexion,$consulta));
//$array=$rs->fields;
$caja_ar=array();
while (!$rs->EOF){
	//$caja_ar[]=$rs->fields;
	$caja_ar[]=array(
		'idcaja' => $rs->fields['idcaja'],
		'fecha_apertura' => $rs->fields['fecha_apertura'],
		'fecha_cierre' => $rs->fields['fecha_cierre'],
		'monto_apertura' => $rs->fields['monto_apertura'],
		'monto_cierre' => $rs->fields['monto_cierre']
	);
$rs->MoveNext(); }

$arr=array(
	'ventas' => $ventas_ar,
	'ventas_detalles' => $ventas_det_ar,
	'caja' => $caja_ar,
	'valido' => 'S'
);


// convierte a formato json
$respuesta=json_encode($arr, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE);

// en otro script se marca como finalizado

// devuelve la respuesta formateada
echo $respuesta;


?>