<?php 
// Ruta del archivo configuracion del servidor
$ruta_archivo = '../1_conf_servidor.json';
// Leer el contenido del archivo
$contenido_archivo = file_get_contents($ruta_archivo);
if(!file_exists($ruta_archivo)){
	echo "No existe el archivo de configuracion del servidor.";
	exit;
}
// Decodificar el JSON en un array asociativo
$datos_servidor = json_decode($contenido_archivo, true);
$user_serv=$datos_servidor['user_serv'];
$dominio_serv=$datos_servidor['dominio_serv'];
$usuario_hosting=$user_serv;

$archivo_verifica="gfx/empresas/emp_1.png";

// lista todos los directorios del public_html que dentro de ellos contiene un directorio llamado ws/
function listar_directorios_ws($usuario_hosting,$inicio_dir){
	$dir="/home/$usuario_hosting/public_html/";
	$directorio = opendir($dir);
	
	global $archivo_verifica;
	
	//echo $dir;
	
	$archivos = array();
	$carpetas = array();
	//Carpetas y Archivos a excluir
	$excluir = array('.', '..', 'index.php', 'favicon.ico','folder.png','file.png','.dropbox.cache','.dropbox');
	
	
	while ($f = readdir($directorio)) {
		if (is_dir("$dir/$f") && !in_array($f, $excluir)) {
			if(file_exists("$dir/$f/ws/")){
				// descomentar si queremos filtar por nombre de inicio
				//if (strpos("$dir/$f/ws/", $inicio_dir) !== false) {
					$carpetas[] = $f;
				//}
			}
		} else if (!in_array($f, $excluir)){
			//No es una carpeta, por ende lo mandamos a archivos
			$archivos[] = $f;
		}
	}
	closedir($directorio);
	sort($carpetas,SORT_NATURAL | SORT_FLAG_CASE);
	//sort($archivos,SORT_NATURAL | SORT_FLAG_CASE);
	
	//Mostrar Carpetas
	$i = 1;
	$directorios=array();
	foreach ($carpetas as $c) {
		$directorios[]=$dir.''.$c."/".$archivo_verifica;
		$i++;
	}
	
	return $directorios;
//print_r($directorios);
}

$directorios=listar_directorios_ws($usuario_hosting,'');

// copia de burgerfactory/pedidos/ a todos/pedidos/
$fichero_origen='/home/'.$usuario_hosting.'/public_html/maestro.'.$dominio_serv.'/'.$archivo_verifica;
echo "<strong>Clientes sin Fotos:</strong>";
echo "<br />";
//print_r($directorios);exit;
foreach($directorios as $fichero_destino){
	if($fichero_destino != $fichero_origen){
		// crea carpeta si no existe
		$micarpeta = $fichero_destino;
		if (!file_exists($micarpeta)){
			//echo 'NO EXISTE:'.$micarpeta;echo "<br />";
			$sin_foto_url=str_replace('/home/'.$usuario_hosting.'/public_html/','',$micarpeta);
			$sin_foto_url=str_replace($archivo_verifica,'',$sin_foto_url);
			echo '<a href="https://'.$sin_foto_url.'" target="_blank">https://'.$sin_foto_url.'</a><br />';
		}else{
			//echo 'SI EXISTE:'.$micarpeta;echo "<br />";
		}
	}
}

?>
