<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");

// para mostrar errores por ejemplo el de falta de memoria en vez de mostarr un error 500 y no saber el problema
/*ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);*/
/*
PARA REENVIAR ALGUNA FECHA
1) ejecutar este consulta reemplazando el idshopping por el que quieras 3: san lorenzo
update  `shoppings_informa` 
set 
estado_log = 6 
where 
idshopping = 3 
and idventa in (select idventa from ventas where date(ventas.fecha) >= '2023-10-01' and date(ventas.fecha) <= '2023-10-03');
2) reenviar abriendo la URL varias veces hasta que diga que no queda nada por enviar, hacer esto por cada fecha
https://bellini.servidor.com.py/ws_shoppings_auto.php?fecha_forzar=2023-10-03
*/


// busca si el ultimo cron del mismo tipo ya termino y a que hora fue
$idcronsettipo=3;
$consulta="
select idcronsetlog, fechahora, finalizado
from  cron_set_log 
where 
idcronsettipo = $idcronsettipo 
order by idcronsetlog desc 
limit 1
";
$rsveriflog=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$finalizado=$rsveriflog->fields['finalizado'];
$fechahora_ultcron=$rsveriflog->fields['fechahora'];
// Si no ha finalizado
if ($finalizado == 'N') {
    $fechahora_ultcron_timestamp = strtotime($fechahora_ultcron);
    $tiempo_actual_timestamp = time();
    
    // Verifica si han pasado 20 minutos = 1200 segundos
    if (($tiempo_actual_timestamp - $fechahora_ultcron_timestamp) < 1200) {
        echo "Aun no termino el cron anterior.";
        exit;
    }
}

// registra log de inicio del cron nuevo
$consulta="
INSERT INTO cron_set_log
(fechahora, idcronsettipo) 
VALUES 
('$ahora',$idcronsettipo)
";
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
// busca el id insertado
$consulta="
select idcronsetlog, fechahora from  cron_set_log where idcronsettipo = $idcronsettipo order by idcronsetlog desc limit 1
";
$rsultlog=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idcronsetlog=$rsultlog->fields['idcronsetlog'];


function limpiar_json_shopping($txt){
	$txt=preg_replace('/[[:^print:]]/', "", $txt);	
	return $txt;
}

// shopping mariscal y shopping mariano
require_once("ws_shoppings_auto_funciones_mcalymariano.php");

// shopping san lorenzo
require_once("ws_shoppings_auto_funciones_sanlo.php");




$fecha_forzar=trim($_GET['fecha_forzar']);

// trae todas las sucursales asignadas a shoppings 
$consulta="
SELECT *, 
(select informa_tickets from shopping where shopping.idshopping = shopping_sucursales.idshopping) as informa_tickets
FROM shopping_sucursales
where 
estado <> 6
order by idshoppingsuc asc
";
$rsshop = $conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
// recorre todas las sucursales e informa
while(!$rsshop->EOF){
	//genera parametros
	$idshopping=intval($rsshop->fields['idshopping']);
	$idsucursal_sistema=intval($rsshop->fields['idsucursal_sistema']);
	$informa_tickets=$rsshop->fields['informa_tickets'];
	$parametros_array=array(
		'idsucursal_sistema' => $idsucursal_sistema,
		'fecha_forzar' => $fecha_forzar,  // opcional, si no se envia toma la mas antigua sin informar del dia de ayer,
		'reenvio' => 'N',
		'informa_tickets' => $informa_tickets,
	);
	// INICIO shopping mariscal y mariano
	if($idshopping == 1 or $idshopping == 2){
		// elimina variables que no aplican el shopping
		unset($parametros_array['informa_tickets']);
		// valida
		$res_val=informar_shopping_valida_mcalymariano($parametros_array);
		//print_r($res_val);
		// si todo es valido informa
		if($res_val['valido'] == 'S'){
			$res=informar_shopping_envia_mcalymariano($parametros_array);
		}else{
			echo $res_val['errores'];
		}
	}
	// FIN shopping mariscal y mariano

	// INICIO shopping san lorenzo
	if($idshopping == 3){
		// valida ventas
		$res_val=informar_shopping_valida_sanlorenzo($parametros_array);
		//print_r($res_val);
		// si todo es valido informa
		if($res_val['valido'] == 'S'){
			$res=informar_shopping_envia_sanlorenzo($parametros_array);
		}else{
			echo $res_val['errores'];
		}
		
		// valida anulaciones
		$res_val=informar_shopping_valida_sanlorenzo_anul($parametros_array);
		//print_r($res_val);
		// si todo es valido informa
		if($res_val['valido'] == 'S'){
			$res=informar_shopping_envia_sanlorenzo_anul($parametros_array);
		}else{
			echo $res_val['errores'];
		}
	}
	// FIN shopping san lorenzo

$rsshop->MoveNext(); }

// envio de mails si es despues de las 9 am xq a las 11 corre el cron
if(date("H") >= 9){
	require_once("ws_shoppings_mail.php");
}


// registra como finalizado
$ahora_fin=date("Y-m-d H:i:s");
$consulta="
update  cron_set_log 
set 
finalizado  = 'S',
finalizado_el = '$ahora_fin'
where 
idcronsetlog = $idcronsetlog
";
//echo $consulta;
$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));

?>