<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="315";
require_once("includes/rsusuario.php"); 

//print_r($_POST);exit;

$consulta="
select gmaps_apikey, lat_defecto, lng_defecto, zoom , ultactu_maps_js
from preferencias_caja 
limit 1;
";
$rsprefcaj=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$lng_defecto=$rsprefcaj->fields['lng_defecto'];
$lat_defecto=$rsprefcaj->fields['lat_defecto'];
$gmaps_apikey=$rsprefcaj->fields['gmaps_apikey'];
$zoom=$rsprefcaj->fields['zoom'];
$ultactu_maps_js=date("YmdHis",strtotime($rsprefcaj->fields['ultactu_maps_js']));

if(isset($_POST['MM_insert']) && $_POST['MM_insert'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	//$idzonadel=antisqlinyeccion($_POST['idzonadel'],"text");
	$describezona=antisqlinyeccion($_POST['describezona'],"text");
	$obs=antisqlinyeccion($_POST['obs'],"text");
	$estado=1;
	$anulado_por=antisqlinyeccion($_POST['anulado_por'],"int");
	$anulado_el=antisqlinyeccion($_POST['anulado_el'],"text");
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$idproducto_zona=antisqlinyeccion($_POST['idproducto_zona'],"int");
	$idsucursal_forzar=antisqlinyeccion($_POST['idsucursal_forzar'],"int");
	$color=antisqlinyeccion($_POST['color'],"text");

	
	// conversiones 
	// permitir solo una zona
	$coordenadas_p=explode("---",trim($_POST['coordinates']));
	$coordenadas=antisqlinyeccion($coordenadas_p[0],"textbox");
	


	if(trim($_POST['describezona']) == ''){
		$valido="N";
		$errores.=" - El campo Nombre Zona no puede estar vacio.<br />";	
	}

	/*if(trim($_POST['obs']) == ''){
		$valido="N";
		$errores.=" - El campo observacion no puede estar vacio.<br />";	
	}*/
	if(intval($_POST['idproducto_zona']) == 0){
		$valido="N";
		$errores.=" - El campo articulo no puede ser cero o nulo.<br />";	
	}
	
	
	$consulta="
	select * from zonas_delivery where describezona = $describezona and estado <> 6 limit 1
	";
	$rsex=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
	if($rsex->fields['idzonadel'] > 0){
		$valido="N";
		$errores.=" - Ya existe otra zona con el mismo nombre.<br />";	
	}

	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		insert into zonas_delivery
		(describezona, obs, estado, anulado_por, anulado_el, registrado_por, registrado_el, idproducto_zona, idsucursal_forzar,
		coordenadas,color)
		values
		($describezona, $obs, $estado, $anulado_por, $anulado_el, $registrado_por, $registrado_el, $idproducto_zona, $idsucursal_forzar,
		$coordenadas,$color)
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: zonas_delivery.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
    <script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>
    <link rel="stylesheet" type="text/css" href="css/style.css?nc=<?php echo $ultactu_maps_js;  ?>" />
<script>
function coordenadas() {
    fetch('maps.php')
        .then(res => {
            if (res.ok) {
                return res.json();
            } else {
                console.log('error');
            }
        })
        .then(data => {
            if (data.status == 'success') {
                initMap(true, data);
            } else {
                initMap(false);
            }
        });
}
</script>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Agregar Zona de Delivery</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre Zona *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="describezona" id="describezona" value="<?php  if(isset($_POST['describezona'])){ echo htmlentities($_POST['describezona']); }else{ echo htmlentities($rs->fields['describezona']); }?>" placeholder="Nombre Zona" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Articulo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idprod_serial, descripcion
FROM productos
where
borrado = 'N'
and idtipoproducto = 6
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idproducto_zona'])){ 
	$value_selected=htmlentities($_POST['idproducto_zona']); 
}else{
	$value_selected=htmlentities($rs->fields['idproducto_zona']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idproducto_zona',
	'id_campo' => 'idproducto_zona',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idprod_serial',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Observacion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" name="obs" id="obs" value="<?php  if(isset($_POST['obs'])){ echo htmlentities($_POST['obs']); }else{ echo htmlentities($rs->fields['obs']); }?>" placeholder="Observacion" class="form-control"  />                    
	</div>
</div>


<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Forzar Sucursal *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idsucu, nombre
FROM sucursales
where
estado = 1
order by nombre asc
 ";

// valor seleccionado
if(isset($_POST['idsucursal_forzar'])){ 
	$value_selected=htmlentities($_POST['idsucursal_forzar']); 
}else{
	$value_selected=htmlentities($rs->fields['idsucursal_forzar']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idsucursal_forzar',
	'id_campo' => 'idsucursal_forzar',
	
	'nombre_campo_bd' => 'nombre',
	'id_campo_bd' => 'idsucu',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'NO FORZAR',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => '  ',
	'autosel_1registro' => 'N'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>
<?php //#D0F3C9 ?>
<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Color </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="color" name="color" id="color" value="<?php  if(isset($_POST['color'])){ echo htmlentities($_POST['color']); }else if(trim($rs->fields['color']) != ''){ echo htmlentities($rs->fields['color']); }else{  echo "#FFFFFF"; } ?>" placeholder="color" class="form-control"  />                    
	</div>
</div>





<div class="clearfix"></div>
<br /><br />


<strong>Dibujar Coordenadas: </strong><br />
<br />

<div class="col-md-6 col-sm-6 form-group">
	
	<label class="control-label col-md-3 col-sm-3 col-xs-12"></label>
	<div class="col-md-9 col-sm-9 col-xs-12">
    <button type="button" id="delete-poly">Eliminar Dibujo</button>
    <input
      id="pac-input"
      class="form-control"
      type="text"
      placeholder="Buscar calle..."
    />
	</div>
</div>


    <div id="map-container">
        <div id="map"></div>
    </div>

<textarea name="coordinates" id="coordinates" cols="70" rows="3" style="width:100%; display:none;"></textarea>

<div class="clearfix"></div>
<br /><br /><br />


    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-check-square-o"></span> Registrar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='zonas_delivery.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_insert" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<br /><br />
<br /><br />




                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>


<script src="https://maps.googleapis.com/maps/api/js?key=<?php echo $gmaps_apikey; ?>&libraries=places,drawing,geometry,places&v=weekly"></script>

<script src="js/dibujar.js?nc=<?php echo $ultactu_maps_js;  ?>"></script>
  </body>
</html>
