<?php
require_once("includes/conexion.php");
require_once("includes/funciones.php");
// nombre del modulo al que pertenece este archivo
$modulo="1";
$submodulo="315";
require_once("includes/rsusuario.php"); 



$idzonadel=intval($_GET['id']);
if($idzonadel == 0){
	header("location: zonas_delivery.php");
	exit;	
}

// consulta a la tabla	
$consulta="
select * 
from zonas_delivery 
where 
idzonadel = $idzonadel
limit 1
";
$rs=$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
$idzonadel=intval($rs->fields['idzonadel']);
if($idzonadel == 0){
	header("location: zonas_delivery.php");
	exit;	
}


if(isset($_POST['MM_update']) && $_POST['MM_update'] == 'form1'){

	// validaciones basicas
	$valido="S";
	$errores="";
	
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	if($_SESSION['form_control'] != $_POST['form_control']){
		$errores.="- Se detecto un intento de envio doble, recargue la pagina.<br />";
		$valido="N";
	}
	if(trim($_POST['form_control']) == ''){
		$errores.="- Control del formularios no activado.<br />";
		$valido="N";
	}
	$_SESSION['form_control'] = md5(rand());
	// control de formularios, seguridad para evitar doble envio y ataques via bots
	

	// recibe parametros
	//$idzonadel=antisqlinyeccion($_POST['idzonadel'],"text");
	$describezona=antisqlinyeccion($_POST['describezona'],"text");
	$obs=antisqlinyeccion($_POST['obs'],"text");
	$estado=1;
	$anulado_por=antisqlinyeccion($_POST['anulado_por'],"int");
	$anulado_el=antisqlinyeccion($_POST['anulado_el'],"text");
	$registrado_por=$idusu;
	$registrado_el=antisqlinyeccion($ahora,"text");
	$idproducto_zona=antisqlinyeccion($_POST['idproducto_zona'],"int");






	// si todo es correcto inserta
	if($valido == "S"){
		
		$consulta="
		update zonas_delivery
		set
			estado = 1
		where
			idzonadel = $idzonadel
			and estado = 6
		";
		$conexion->Execute($consulta) or die(errorpg($conexion,$consulta));
		
		header("location: zonas_delivery.php");
		exit;
		
	}

}

// control de formulario despues de recibir el post y validar vuelve a regenerar
$_SESSION['form_control'] = md5(rand());




?><!DOCTYPE html>
<html lang="en">
  <head>
	<?php require_once("includes/head_gen.php"); ?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <?php require_once("includes/menu_gen.php"); ?>

        <!-- top navigation -->
       <?php require_once("includes/menu_top_gen.php"); ?>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
            </div>
            <div class="clearfix"></div>
			<?php require_once("includes/lic_gen.php");?>
            
            <!-- SECCION -->
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Restaurar Zona de Delivery</h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">


<?php if(trim($errores) != ""){ ?>
<div class="alert alert-danger alert-dismissible fade in" role="alert">
<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
</button>
<strong>Errores:</strong><br /><?php echo $errores; ?>
</div>
<?php } ?>
<form id="form1" name="form1" method="post" action="">

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Nombre Zona *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" disabled name="describezona" id="describezona" value="<?php  if(isset($_POST['describezona'])){ echo htmlentities($_POST['describezona']); }else{ echo htmlentities($rs->fields['describezona']); }?>" placeholder="Nombre Zona" class="form-control" required />                    
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Articulo *</label>
	<div class="col-md-9 col-sm-9 col-xs-12">
<?php 
// consulta
$consulta="
SELECT idprod_serial, descripcion
FROM productos
where
borrado = 'N'
and idtipoproducto = 6
order by descripcion asc
 ";

// valor seleccionado
if(isset($_POST['idproducto_zona'])){ 
	$value_selected=htmlentities($_POST['idproducto_zona']); 
}else{
	$value_selected=htmlentities($rs->fields['idproducto_zona']);
}

// parametros
$parametros_array=array(
	'nombre_campo' => 'idproducto_zona',
	'id_campo' => 'idproducto_zona',
	
	'nombre_campo_bd' => 'descripcion',
	'id_campo_bd' => 'idprod_serial',
	
	'value_selected' => $value_selected,
	
	'pricampo_name' => 'Seleccionar...',
	'pricampo_value' => '',
	'style_input' => 'class="form-control"', 
	'acciones' => ' required="required" disabled ',
	'autosel_1registro' => 'S'

);

// construye campo
echo campo_select($consulta,$parametros_array);

?>
	</div>
</div>

<div class="col-md-6 col-sm-6 form-group">
	<label class="control-label col-md-3 col-sm-3 col-xs-12">Observacion </label>
	<div class="col-md-9 col-sm-9 col-xs-12">
	<input type="text" disabled name="obs" id="obs" value="<?php  if(isset($_POST['obs'])){ echo htmlentities($_POST['obs']); }else{ echo htmlentities($rs->fields['obs']); }?>" placeholder="Observacion" class="form-control"  />                    
	</div>
</div>



<div class="clearfix"></div>
<br />

    <div class="form-group">
        <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-5">
	   <button type="submit" class="btn btn-success" ><span class="fa fa-recycle"></span> Restaurar</button>
	   <button type="button" class="btn btn-primary" onMouseUp="document.location.href='zonas_delivery_borrados.php'"><span class="fa fa-ban"></span> Cancelar</button>
        </div>
    </div>

  <input type="hidden" name="MM_update" value="form1" />
  <input type="hidden" name="form_control" value="<?php echo htmlentities($_SESSION['form_control']); ?>">
<br />
</form>
<div class="clearfix"></div>
<br /><br />



                  </div>
                </div>
              </div>
            </div>
            <!-- SECCION --> 
            
            
            
            
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<?php require_once("includes/pie_gen.php"); ?>
        <!-- /footer content -->
      </div>
    </div>
<?php require_once("includes/footer_gen.php"); ?>
  </body>
</html>
